/*
** init_dpm.c
**
** Initialize dynamic power management
**
** Copyright (c) 2013 Analog Devices, Inc. All Rights Reserved.
**/

#include "init_dpm.h"

// #pragma location = "hw_init"
// __ramfunc INIT_DPM_RESULT init_dpm(void)

#pragma arm section code = "hw_init"
INIT_DPM_RESULT init_dpm(void)
{
  ADI_DPM_TypeDef *pDPM = pADI_DPM0;

  switch((pDPM->STAT & BITM_DPM_STAT_CURMODE) >> BITP_DPM_STAT_CURMODE)
  {
  case 0:
    return INIT_DPM_RESULT_FAILURE;
  case 1:
    return INIT_DPM_RESULT_SUCCESS;
  case 2:
     pDPM->CTL |= BITM_DPM_CTL_PLLBPCL;
    while((pDPM->STAT & BITM_DPM_STAT_CURMODE)!= 1);
    return INIT_DPM_RESULT_SUCCESS;
  case 3:
    /* We are in Active mode with PLL Disabled */
    /* Enable the PLL */
    pDPM->CTL &= ~BITM_DPM_CTL_PLLDIS;
    while((pDPM->STAT & BITM_DPM_STAT_CURMODE)!= 2);
    pDPM->CTL |= BITM_DPM_CTL_PLLBPCL;
    while((pDPM->STAT & BITM_DPM_STAT_CURMODE)!= 1);
    return INIT_DPM_RESULT_SUCCESS;
  default:
    return INIT_DPM_RESULT_SUCCESS;
  }
}
