/*
** init_cgu.h
**
** Initialize CGU programmatically
**
** Copyright (c) 2011-2012 Analog Devices, Inc. All Rights Reserved.
**/

#ifndef __INIT_MEM_H__
#define __INIT_MEM_H__

#include "device.h"

typedef enum {
  INIT_MEM_CODE3_DATA3,
  INIT_MEM_CODE2_DATA4,
  INIT_MEM_CODE1_DATA5,
  INIT_MEM_CODE0_DATA6,
  INIT_MEM_CODE4_DATA2,
  INIT_MEM_CODE5_DATA1,
  INIT_MEM_CODE6_DATA0,
} INIT_MEM_CONFIG;

typedef enum {
  INIT_MEM_POSTED_WRITES_ENABLED,
  INIT_MEM_POSTED_WRITES_DISABLED,
} INIT_MEM_POSTED_WRITES;

typedef enum {

  INIT_MEM_RESULT_SUCCESS,
  INIT_MEM_RESULT_FAILURE,
} INIT_MEM_RESULT;

INIT_MEM_RESULT init_mem(const INIT_MEM_CONFIG config, const INIT_MEM_POSTED_WRITES posted);

#endif /* __INIT_SPI_H_ */
