/*
** __low_level_init.c
**
** The __low_level_init() routine is called early in the runtime startup sequence 
** providing a hook to initialize hardware prior to the rest of the runtime 
** initialization in which all the code and data is coped from flash to
** internal SRAM.
**
** Copyright (c) 2013 Analog Devices, Inc. All Rights Reserved.
**/

#include "device.h"
#include "proc_init.h"

//#pragma section = "hw_init"
//#pragma section = "hw_init_init"

extern uint32_t Load$$hw_init$$Base;
extern uint32_t Image$$hw_init$$Length;
extern uint32_t Image$$hw_init$$Base;

uint32_t __low_level_init()
{
//  char * from = __section_begin("hw_init_init");
//  char * to = __section_begin("hw_init");

  uint8_t * from = (uint8_t *)&Load$$hw_init$$Base;
  uint8_t * to   = (uint8_t *)&Image$$hw_init$$Base;

//  for(uint32_t i = 0; i < __section_size("hw_init"); i++)
  for(uint32_t i = 0; i < (uint32_t)&Image$$hw_init$$Length; i++)
  {
    to[i] = from[i];
  }

  proc_init();
  return 1;

}
