/* ================================================================================

     Project      :   CM40z
     File         :   CM40z_device.h
     Description  :   Register Definitions

     Date         :   09-03-2013
     

     Copyright (c) 2011-2013 Analog Devices, Inc.  All Rights Reserved.
     This software is proprietary and confidential to Analog Devices, Inc. and
     its licensors.

     This file was auto-generated. Do not make local changes to this file.

   ================================================================================ */
#ifndef _CM40Z_DEVICE_H
#define _CM40Z_DEVICE_H

/*! \file CM40z_device.h */

/* pickup integer types */
#include <stdint.h>

#ifndef __IO
  #ifdef __cplusplus
    #define     __I     volatile      /* read-only */
    #define     __C    
  #else
    #define     __I     volatile      /* read-only */
    #define     __C     const
  #endif
  #define       __O     volatile      /* write-only */
  #define       __IO    volatile      /* read-write */
#endif

#if defined (_MISRA_RULES)
/*
  anonymous unions violate ISO 9899:1990 and therefore MISRA Rule 1.1.
  Use of unions violates MISRA Rule 18.4.
  Anonymous unions are required for this implementation.
  Re-use of identifiers violates MISRA Rule 5.7.
  Field names are repeated for the CM40z register map.
*/
#pragma diag(push)
#pragma diag(suppress:misra_rule_1_1:"Allow anonymous unions")
#pragma diag(suppress:misra_rule_5_7:"Header will re-use identifiers")
#pragma diag(suppress:misra_rule_18_4:"Allow the use of a union")
#endif /* _MISRA_RULES */

#if defined ( __CC_ARM   )
#pragma anon_unions
#endif

/* Feature macro for conditional compilation */
#define ADI_CM40z

/* pickup register bitfield and bit mask macros */
#include "cdefCM40z.h"

/*!
 * \struct ADI_TIMER_TMR_TypeDef
 * \brief  TIMER0 Module's TMR register block
*/
typedef struct
{
    __IO     uint16_t CFG;                           /*!< Timer n Configuration Register */
    __I      uint8_t                  RESERVED0[2];
    __I      uint32_t CNT;                           /*!< Timer n Counter Register */
    __IO     uint32_t PER;                           /*!< Timer n Period Register */
    __IO     uint32_t WID;                           /*!< Timer n Width Register */
    __IO     uint32_t DLY;                           /*!< Timer n Delay Register */
    __I      uint8_t                  RESERVED1[12];
} ADI_TIMER_TMR_TypeDef;


/*!
 * \struct ADI_TIMER_TypeDef
 * \brief  GP Timer Interface
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[4];
    __IO     uint16_t RUN;                           /*!< Run Register */
    __I      uint8_t                  RESERVED1[2];
    __IO     uint16_t RUN_SET;                       /*!< Run Set Register */
    __I      uint8_t                  RESERVED2[2];
    __IO     uint16_t RUN_CLR;                       /*!< Run Clear Register */
    __I      uint8_t                  RESERVED3[2];
    __IO     uint16_t STOP_CFG;                      /*!< Stop Configuration Register */
    __I      uint8_t                  RESERVED4[2];
    __IO     uint16_t STOP_CFG_SET;                  /*!< Stop Configuration Set Register */
    __I      uint8_t                  RESERVED5[2];
    __IO     uint16_t STOP_CFG_CLR;                  /*!< Stop Configuration Clear Register */
    __I      uint8_t                  RESERVED6[2];
    __IO     uint16_t DATA_IMSK;                     /*!< Data Interrupt Mask Register */
    __I      uint8_t                  RESERVED7[2];
    __IO     uint16_t STAT_IMSK;                     /*!< Status Interrupt Mask Register */
    __I      uint8_t                  RESERVED8[2];
    __IO     uint16_t TRG_MSK;                       /*!< Trigger Master Mask Register */
    __I      uint8_t                  RESERVED9[2];
    __IO     uint16_t TRG_IE;                        /*!< Trigger Slave Enable Register */
    __I      uint8_t                 RESERVED10[2];
    __IO     uint16_t DATA_ILAT;                     /*!< Data Interrupt Latch Register */
    __I      uint8_t                 RESERVED11[2];
    __IO     uint16_t STAT_ILAT;                     /*!< Status Interrupt Latch Register */
    __I      uint8_t                 RESERVED12[2];
    __I      uint32_t ERR_TYPE;                      /*!< Error Type Status Register */
    __IO     uint32_t BCAST_PER;                     /*!< Broadcast Period Register */
    __IO     uint32_t BCAST_WID;                     /*!< Broadcast Width Register */
    __IO     uint32_t BCAST_DLY;                     /*!< Broadcast Delay Register */
    __I      uint8_t                 RESERVED13[28];
    ADI_TIMER_TMR_TypeDef TMR[8];                /*!<  */
} ADI_TIMER_TypeDef;


/*!
 * \struct ADI_TWI_TypeDef
 * \brief  Two-Wire Interface
*/
typedef struct
{
    __IO     uint16_t CLKDIV;                        /*!< SCL Clock Divider Register */
    __I      uint8_t                  RESERVED0[2];
    __IO     uint16_t CTL;                           /*!< Control Register */
    __I      uint8_t                  RESERVED1[2];
    __IO     uint16_t SLVCTL;                        /*!< Slave Mode Control Register */
    __I      uint8_t                  RESERVED2[2];
    __I      uint16_t SLVSTAT;                       /*!< Slave Mode Status Register */
    __I      uint8_t                  RESERVED3[2];
    __IO     uint16_t SLVADDR;                       /*!< Slave Mode Address Register */
    __I      uint8_t                  RESERVED4[2];
    __IO     uint16_t MSTRCTL;                       /*!< Master Mode Control Registers */
    __I      uint8_t                  RESERVED5[2];
    __I      uint16_t MSTRSTAT;                      /*!< Master Mode Status Register */
    __I      uint8_t                  RESERVED6[2];
    __IO     uint16_t MSTRADDR;                      /*!< Master Mode Address Register */
    __I      uint8_t                  RESERVED7[2];
    __IO     uint16_t ISTAT;                         /*!< Interrupt Status Register */
    __I      uint8_t                  RESERVED8[2];
    __IO     uint16_t IMSK;                          /*!< Interrupt Mask Register */
    __I      uint8_t                  RESERVED9[2];
    __IO     uint16_t FIFOCTL;                       /*!< FIFO Control Register */
    __I      uint8_t                 RESERVED10[2];
    __I      uint16_t FIFOSTAT;                      /*!< FIFO Status Register */
    __I      uint8_t                 RESERVED11[82];
    __O      uint16_t TXDATA8;                       /*!< Tx Data Single-Byte Register */
    __I      uint8_t                 RESERVED12[2];
    __O      uint16_t TXDATA16;                      /*!< Tx Data Double-Byte Register */
    __I      uint8_t                 RESERVED13[2];
    __O      uint16_t RXDATA8;                       /*!< Rx Data Single-Byte Register */
    __I      uint8_t                 RESERVED14[2];
    __O      uint16_t RXDATA16;                      /*!< Rx Data Double-Byte Register */
} ADI_TWI_TypeDef;


/*!
 * \struct ADI_SPORT_TypeDef
 * \brief  Synchronous Serial Port
*/
typedef struct
{
    __IO     uint32_t CTL_A;                         /*!< Half SPORT 'A' Control Register */
    __IO     uint32_t DIV_A;                         /*!< Half SPORT 'A' Divisor Register */
    __IO     uint32_t MCTL_A;                        /*!< Half SPORT 'A' Multi-channel Control Register */
    __IO     uint32_t CS0_A;                         /*!< Half SPORT 'A' Multi-channel 0-31 Select Register */
    __IO     uint32_t CS1_A;                         /*!< Half SPORT 'A' Multi-channel 32-63 Select Register */
    __IO     uint32_t CS2_A;                         /*!< Half SPORT 'A' Multi-channel 64-95 Select Register */
    __IO     uint32_t CS3_A;                         /*!< Half SPORT 'A' Multi-channel 96-127 Select Register */
    __I      uint8_t                  RESERVED0[4];
    __IO     uint32_t ERR_A;                         /*!< Half SPORT 'A' Error Register */
    __I      uint32_t MSTAT_A;                       /*!< Half SPORT 'A' Multi-channel Status Register */
    __IO     uint32_t CTL2_A;                        /*!< Half SPORT 'A' Control 2 Register */
    __I      uint8_t                  RESERVED1[20];
    __IO     uint32_t TXPRI_A;                       /*!< Half SPORT 'A' Tx Buffer (Primary) Register */
    __IO     uint32_t RXPRI_A;                       /*!< Half SPORT 'A' Rx Buffer (Primary) Register */
    __IO     uint32_t TXSEC_A;                       /*!< Half SPORT 'A' Tx Buffer (Secondary) Register */
    __IO     uint32_t RXSEC_A;                       /*!< Half SPORT 'A' Rx Buffer (Secondary) Register */
    __I      uint8_t                  RESERVED2[48];
    __IO     uint32_t CTL_B;                         /*!< Half SPORT 'B' Control Register */
    __IO     uint32_t DIV_B;                         /*!< Half SPORT 'B' Divisor Register */
    __IO     uint32_t MCTL_B;                        /*!< Half SPORT 'B' Multi-channel Control Register */
    __IO     uint32_t CS0_B;                         /*!< Half SPORT 'B' Multi-channel 0-31 Select Register */
    __IO     uint32_t CS1_B;                         /*!< Half SPORT 'B' Multi-channel 32-63 Select Register */
    __IO     uint32_t CS2_B;                         /*!< Half SPORT 'B' Multichannel 64-95 Select Register */
    __IO     uint32_t CS3_B;                         /*!< Half SPORT 'B' Multichannel 96-127 Select Register */
    __I      uint8_t                  RESERVED3[4];
    __IO     uint32_t ERR_B;                         /*!< Half SPORT 'B' Error Register */
    __I      uint32_t MSTAT_B;                       /*!< Half SPORT 'B' Multi-channel Status Register */
    __IO     uint32_t CTL2_B;                        /*!< Half SPORT 'B' Control 2 Register */
    __I      uint8_t                  RESERVED4[20];
    __IO     uint32_t TXPRI_B;                       /*!< Half SPORT 'B' Tx Buffer (Primary) Register */
    __IO     uint32_t RXPRI_B;                       /*!< Half SPORT 'B' Rx Buffer (Primary) Register */
    __IO     uint32_t TXSEC_B;                       /*!< Half SPORT 'B' Tx Buffer (Secondary) Register */
    __IO     uint32_t RXSEC_B;                       /*!< Half SPORT 'B' Rx Buffer (Secondary) Register */
} ADI_SPORT_TypeDef;


/*!
 * \struct ADI_CRC_TypeDef
 * \brief  CRC Module
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t DCNT;                          /*!< Data Word Count Register */
    __IO     uint32_t DCNTRLD;                       /*!< Data Word Count Reload Register */
    __I      uint8_t                  RESERVED0[8];
    __IO     uint32_t COMP;                          /*!< Data Compare Register */
    __IO     uint32_t FILLVAL;                       /*!< Fill Value Register */
    __IO     uint32_t DFIFO;                         /*!< Data FIFO Register */
    __IO     uint32_t INEN;                          /*!< Interrupt Enable Register */
    __IO     uint32_t INEN_SET;                      /*!< Interrupt Enable Set Register */
    __IO     uint32_t INEN_CLR;                      /*!< Interrupt Enable Clear Register */
    __IO     uint32_t POLY;                          /*!< Polynomial Register */
    __I      uint8_t                  RESERVED1[16];
    __IO     uint32_t STAT;                          /*!< Status Register */
    __IO     uint32_t DCNTCAP;                       /*!< Data Count Capture Register */
    __I      uint8_t                  RESERVED2[4];
    __IO     uint32_t RESULT_FIN;                    /*!< CRC Final Result Register */
    __IO     uint32_t RESULT_CUR;                    /*!< CRC Current Result Register */
} ADI_CRC_TypeDef;


/*!
 * \struct ADI_EMUID_TypeDef
 * \brief  CHIP ID for Emulator
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[32];
    __I      uint16_t ADIID;                         /*!< Analog Devices Identification */
    __I      uint8_t                  RESERVED1[2];
    __I      uint16_t CHIPID;                        /*!< Chip Identification */
} ADI_EMUID_TypeDef;


/*!
 * \struct ADI_CAN_MB_TypeDef
 * \brief  Number of Mailbox Registers
*/
typedef struct
{
    __IO     uint16_t DATA0;                         /*!< Mailbox Word 0 Register */
    __I      uint8_t                  RESERVED0[2];
    __IO     uint16_t DATA1;                         /*!< Mailbox Word 1 Register */
    __I      uint8_t                  RESERVED1[2];
    __IO     uint16_t DATA2;                         /*!< Mailbox Word 2 Register */
    __I      uint8_t                  RESERVED2[2];
    __IO     uint16_t DATA3;                         /*!< Mailbox Word 3 Register */
    __I      uint8_t                  RESERVED3[2];
    __IO     uint16_t LENGTH;                        /*!< Mailbox Length Register */
    __I      uint8_t                  RESERVED4[2];
    __IO     uint16_t TIMESTAMP;                     /*!< Mailbox Timestamp Register */
    __I      uint8_t                  RESERVED5[2];
    __IO     uint16_t ID0;                           /*!< Mailbox ID 0 Register */
    __I      uint8_t                  RESERVED6[2];
    __IO     uint16_t ID1;                           /*!< Mailbox ID 1 Register */
    __I      uint8_t                  RESERVED7[2];
} ADI_CAN_MB_TypeDef;


/*!
 * \struct ADI_CAN_AM_TypeDef
 * \brief  Number of Acceptance Mask Registers
*/
typedef struct
{
    __IO     uint16_t L;                             /*!< Acceptance Mask (L) Register */
    __I      uint8_t                  RESERVED0[2];
    __IO     uint16_t H;                             /*!< Acceptance Mask (H) Register */
    __I      uint8_t                  RESERVED1[2];
} ADI_CAN_AM_TypeDef;


/*!
 * \struct ADI_CAN_TypeDef
 * \brief  CAN Controller
*/
typedef struct
{
    __IO     uint16_t MC1;                           /*!< Mailbox Configuration 1 Register */
    __I      uint8_t                  RESERVED0[2];
    __IO     uint16_t MD1;                           /*!< Mailbox Direction 1 Register */
    __I      uint8_t                  RESERVED1[2];
    __IO     uint16_t TRS1;                          /*!< Transmission Request Set 1 Register */
    __I      uint8_t                  RESERVED2[2];
    __IO     uint16_t TRR1;                          /*!< Transmission Request Reset 1 Register */
    __I      uint8_t                  RESERVED3[2];
    __IO     uint16_t TA1;                           /*!< Transmission Acknowledge 1 Register */
    __I      uint8_t                  RESERVED4[2];
    __IO     uint16_t AA1;                           /*!< Abort Acknowledge 1 Register */
    __I      uint8_t                  RESERVED5[2];
    __IO     uint16_t RMP1;                          /*!< Receive Message Pending 1 Register */
    __I      uint8_t                  RESERVED6[2];
    __I      uint16_t RML1;                          /*!< Receive Message Lost 1 Register */
    __I      uint8_t                  RESERVED7[2];
    __IO     uint16_t MBTIF1;                        /*!< Mailbox Transmit Interrupt Flag 1 Register */
    __I      uint8_t                  RESERVED8[2];
    __IO     uint16_t MBRIF1;                        /*!< Mailbox Receive Interrupt Flag 1 Register */
    __I      uint8_t                  RESERVED9[2];
    __IO     uint16_t MBIM1;                         /*!< Mailbox Interrupt Mask 1 Register */
    __I      uint8_t                 RESERVED10[2];
    __IO     uint16_t RFH1;                          /*!< Remote Frame Handling 1 Register */
    __I      uint8_t                 RESERVED11[2];
    __IO     uint16_t OPSS1;                         /*!< Overwrite Protection/Single Shot Transmission 1 Register */
    __I      uint8_t                 RESERVED12[14];
    __IO     uint16_t MC2;                           /*!< Mailbox Configuration 2 Register */
    __I      uint8_t                 RESERVED13[2];
    __IO     uint16_t MD2;                           /*!< Mailbox Direction 2 Register */
    __I      uint8_t                 RESERVED14[2];
    __IO     uint16_t TRS2;                          /*!< Transmission Request Set 2 Register */
    __I      uint8_t                 RESERVED15[2];
    __IO     uint16_t TRR2;                          /*!< Transmission Request Reset 2 Register */
    __I      uint8_t                 RESERVED16[2];
    __IO     uint16_t TA2;                           /*!< Transmission Acknowledge 2 Register */
    __I      uint8_t                 RESERVED17[2];
    __IO     uint16_t AA2;                           /*!< Abort Acknowledge 2 Register */
    __I      uint8_t                 RESERVED18[2];
    __IO     uint16_t RMP2;                          /*!< Receive Message Pending 2 Register */
    __I      uint8_t                 RESERVED19[2];
    __I      uint16_t RML2;                          /*!< Receive Message Lost 2 Register */
    __I      uint8_t                 RESERVED20[2];
    __IO     uint16_t MBTIF2;                        /*!< Mailbox Transmit Interrupt Flag 2 Register */
    __I      uint8_t                 RESERVED21[2];
    __IO     uint16_t MBRIF2;                        /*!< Mailbox Receive Interrupt Flag 2 Register */
    __I      uint8_t                 RESERVED22[2];
    __IO     uint16_t MBIM2;                         /*!< Mailbox Interrupt Mask 2 Register */
    __I      uint8_t                 RESERVED23[2];
    __IO     uint16_t RFH2;                          /*!< Remote Frame Handling 2 Register */
    __I      uint8_t                 RESERVED24[2];
    __IO     uint16_t OPSS2;                         /*!< Overwrite Protection/Single Shot Transmission 2 Register */
    __I      uint8_t                 RESERVED25[14];
    __IO     uint16_t CLK;                           /*!< Clock Register */
    __I      uint8_t                 RESERVED26[2];
    __IO     uint16_t TIMING;                        /*!< Timing Register */
    __I      uint8_t                 RESERVED27[2];
    __IO     uint16_t DBG;                           /*!< Debug Register */
    __I      uint8_t                 RESERVED28[2];
    __I      uint16_t STAT;                          /*!< Status Register */
    __I      uint8_t                 RESERVED29[2];
    __IO     uint16_t CEC;                           /*!< Error Counter Register */
    __I      uint8_t                 RESERVED30[2];
    __IO     uint16_t GIS;                           /*!< Global CAN Interrupt Status Register */
    __I      uint8_t                 RESERVED31[2];
    __IO     uint16_t GIM;                           /*!< Global CAN Interrupt Mask Register */
    __I      uint8_t                 RESERVED32[2];
    __I      uint16_t GIF;                           /*!< Global CAN Interrupt Flag Register */
    __I      uint8_t                 RESERVED33[2];
    __IO     uint16_t CTL;                           /*!< CAN Master Control Register */
    __I      uint8_t                 RESERVED34[2];
    __I      uint16_t INT;                           /*!< Interrupt Pending Register */
    __I      uint8_t                 RESERVED35[6];
    __IO     uint16_t MBTD;                          /*!< Temporary Mailbox Disable Register */
    __I      uint8_t                 RESERVED36[2];
    __IO     uint16_t EWR;                           /*!< Error Counter Warning Level Register */
    __I      uint8_t                 RESERVED37[2];
    __IO     uint16_t ESR;                           /*!< Error Status Register */
    __I      uint8_t                 RESERVED38[14];
    __IO     uint16_t UCCNT;                         /*!< Universal Counter Register */
    __I      uint8_t                 RESERVED39[2];
    __IO     uint16_t UCRC;                          /*!< Universal Counter Reload/Capture Register */
    __I      uint8_t                 RESERVED40[2];
    __IO     uint16_t UCCNF;                         /*!< Universal Counter Configuration Mode Register */
    __I      uint8_t                 RESERVED41[50];
    ADI_CAN_AM_TypeDef AM[32];                   /*!< Number of Acceptance Mask Registers */
    ADI_CAN_MB_TypeDef MB[32];                   /*!< Number of Mailbox Registers */
} ADI_CAN_TypeDef;


/*!
 * \struct ADI_UART_TypeDef
 * \brief  UART Controller
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[4];
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t STAT;                          /*!< Status Register */
    __IO     uint32_t SCR;                           /*!< Scratch Register */
    __IO     uint32_t CLK;                           /*!< Clock Rate Register */
    __IO     uint32_t IMSK;                          /*!< Interrupt Mask Register */
    __IO     uint32_t IMSK_SET;                      /*!< Interrupt Mask Set Register */
    __IO     uint32_t IMSK_CLR;                      /*!< Interrupt Mask Clear Register */
    __IO     uint32_t RBR;                           /*!< Receive Buffer Register */
    __IO     uint32_t THR;                           /*!< Transmit Hold Register */
    __IO     uint32_t TAIP;                          /*!< Transmit Address/Insert Pulse Register */
    __IO     uint32_t TSR;                           /*!< Transmit Shift Register */
    __IO     uint32_t RSR;                           /*!< Receive Shift Register */
    __IO     uint32_t TXCNT;                         /*!< Transmit Counter Register */
    __IO     uint32_t RXCNT;                         /*!< Receive Counter Register */
} ADI_UART_TypeDef;


/*!
 * \struct ADI_PORT_TypeDef
 * \brief  Port Controller
*/
typedef struct
{
    __IO     uint32_t FER;                           /*!< Port x Function Enable Register */
    __IO     uint32_t FER_SET;                       /*!< Port x Function Enable Set Register */
    __IO     uint32_t FER_CLR;                       /*!< Port x Function Enable Clear Register */
    __IO     uint32_t DATA;                          /*!< Port x GPIO Data Register */
    __IO     uint32_t DATA_SET;                      /*!< Port x GPIO Data Set Register */
    __IO     uint32_t DATA_CLR;                      /*!< Port x GPIO Data Clear Register */
    __IO     uint32_t DIR;                           /*!< Port x GPIO Direction Register */
    __IO     uint32_t DIR_SET;                       /*!< Port x GPIO Direction Set Register */
    __IO     uint32_t DIR_CLR;                       /*!< Port x GPIO Direction Clear Register */
    __IO     uint32_t INEN;                          /*!< Port x GPIO Input Enable Register */
    __IO     uint32_t INEN_SET;                      /*!< Port x GPIO Input Enable Set Register */
    __IO     uint32_t INEN_CLR;                      /*!< Port x GPIO Input Enable Clear Register */
    __IO     uint32_t MUX;                           /*!< Port x Multiplexer Control Register */
    __IO     uint32_t DATA_TGL;                      /*!< Port x GPIO Input Enable Toggle Register */
    __IO     uint32_t POL;                           /*!< Port x GPIO Polarity Invert Register */
    __IO     uint32_t POL_SET;                       /*!< Port x GPIO Polarity Invert Set Register */
    __IO     uint32_t POL_CLR;                       /*!< Port x GPIO Polarity Invert Clear Register */
    __IO     uint32_t LOCK;                          /*!< Port x GPIO Lock Register */
} ADI_PORT_TypeDef;


/*!
 * \struct ADI_PADS_TypeDef
 * \brief  Pads Controller
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[4];
    __IO     uint32_t PCFG0;                         /*!< Peripheral Configuration0 Register */
} ADI_PADS_TypeDef;


/*!
 * \struct ADI_PINT_TypeDef
 * \brief  Port Interrupt Controller
*/
typedef struct
{
    __IO     uint32_t MSK_SET;                       /*!< Pint Mask Set Register */
    __IO     uint32_t MSK_CLR;                       /*!< Pint Mask Clear Register */
    __IO     uint32_t REQ;                           /*!< Pint Request Register */
    __IO     uint32_t ASSIGN;                        /*!< Pint Assign Register */
    __IO     uint32_t EDGE_SET;                      /*!< Pint Edge Set Register */
    __IO     uint32_t EDGE_CLR;                      /*!< Pint Edge Clear Register */
    __IO     uint32_t INV_SET;                       /*!< Pint Invert Set Register */
    __IO     uint32_t INV_CLR;                       /*!< Pint Invert Clear Register */
    __IO     uint32_t PINSTATE;                      /*!< Pint Pinstate Register */
    __IO     uint32_t LATCH;                         /*!< Pint Latch Register */
} ADI_PINT_TypeDef;


/*!
 * \struct ADI_SMC_TypeDef
 * \brief  Static Memory Controller
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[12];
    __IO     uint32_t B0CTL;                         /*!< Bank 0 Control Register */
    __IO     uint32_t B0TIM;                         /*!< Bank 0 Timing Register */
    __IO     uint32_t B0ETIM;                        /*!< Bank 0 Extended Timing Register */
    __I      uint8_t                  RESERVED1[4];
    __IO     uint32_t B1CTL;                         /*!< Bank 1 Control Register */
    __IO     uint32_t B1TIM;                         /*!< Bank 1 Timing Register */
    __IO     uint32_t B1ETIM;                        /*!< Bank 1 Extended Timing Register */
    __I      uint8_t                  RESERVED2[4];
    __IO     uint32_t B2CTL;                         /*!< Bank 2 Control Register */
    __IO     uint32_t B2TIM;                         /*!< Bank 2 Timing Register */
    __IO     uint32_t B2ETIM;                        /*!< Bank 2 Extended Timing Register */
    __I      uint8_t                  RESERVED3[4];
    __IO     uint32_t B3CTL;                         /*!< Bank 3 Control Register */
    __IO     uint32_t B3TIM;                         /*!< Bank 3 Timing Register */
    __IO     uint32_t B3ETIM;                        /*!< Bank 3 Extended Timing Register */
} ADI_SMC_TypeDef;


/*!
 * \struct ADI_PWM_TypeDef
 * \brief  PWM Unit
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t CHANCFG;                       /*!< Channel Config Register */
    __IO     uint32_t TRIPCFG;                       /*!< Trip Config Register */
    __IO     uint32_t STAT;                          /*!< Status Register */
    __IO     uint32_t IMSK;                          /*!< Interrupt Mask Register */
    __IO     uint32_t ILAT;                          /*!< Interrupt Latch Register */
    __IO     uint32_t CHOPCFG;                       /*!< Chop Configuration Register */
    __IO     uint32_t DT;                            /*!< Dead Time Register */
    __IO     uint32_t SYNC_WID;                      /*!< Sync Pulse Width Register */
    __IO     uint32_t TM0;                           /*!< Timer 0 Period Register */
    __IO     uint32_t TM1;                           /*!< Timer 1 Period Register */
    __IO     uint32_t TM2;                           /*!< Timer 2 Period Register */
    __IO     uint32_t TM3;                           /*!< Timer 3 Period Register */
    __IO     uint32_t TM4;                           /*!< Timer 4 Period Register */
    __IO     uint32_t DLYA;                          /*!< Channel A Delay Register */
    __IO     uint32_t DLYB;                          /*!< Channel B Delay Register */
    __IO     uint32_t DLYC;                          /*!< Channel C Delay Register */
    __IO     uint32_t DLYD;                          /*!< Channel D Delay Register */
    __IO     uint32_t ACTL;                          /*!< Channel A Control Register */
    __IO     uint32_t AH0;                           /*!< Channel A-High Duty-0 Register */
    __IO     uint32_t AH1;                           /*!< Channel A-High Duty-1 Register */
    __IO     uint32_t AH0_HP;                        /*!< Channel A-High Heightened-Precision Duty-0 Register */
    __IO     uint32_t AH1_HP;                        /*!< Channel A-High Heightened-Precision Duty-1 Register */
    __IO     uint32_t AL0;                           /*!< Channel A-Low Duty-0 Register */
    __IO     uint32_t AL1;                           /*!< Channel A-Low Duty-1 Register */
    __IO     uint32_t AL0_HP;                        /*!< Channel A-Low Heightened-Precision Duty-0 Register */
    __IO     uint32_t AL1_HP;                        /*!< Channel A-Low Heightened-Precision Duty-1 Register */
    __IO     uint32_t BCTL;                          /*!< Channel B Control Register */
    __IO     uint32_t BH0;                           /*!< Channel B-High Duty-0 Register */
    __IO     uint32_t BH1;                           /*!< Channel B-High Duty-1 Register */
    __IO     uint32_t BH0_HP;                        /*!< Channel B-High Heightened-Precision Duty-0 Register */
    __IO     uint32_t BH1_HP;                        /*!< Channel B-High Heightened-Precision Duty-1 Register */
    __IO     uint32_t BL0;                           /*!< Channel B-Low Duty-0 Register */
    __IO     uint32_t BL1;                           /*!< Channel B-Low Duty-1 Register */
    __IO     uint32_t BL0_HP;                        /*!< Channel B-Low Heightened-Precision Duty-0 Register */
    __IO     uint32_t BL1_HP;                        /*!< Channel B-Low Heightened-Precision Duty-1 Register */
    __IO     uint32_t CCTL;                          /*!< Channel C Control Register */
    __IO     uint32_t CH0;                           /*!< Channel C-High Pulse Duty Register 0 */
    __IO     uint32_t CH1;                           /*!< Channel C-High Pulse Duty Register 1 */
    __IO     uint32_t CH0_HP;                        /*!< Channel C-High Pulse Heightened-Precision Duty Register 0 */
    __IO     uint32_t CH1_HP;                        /*!< Channel C-High Pulse Heightened-Precision Duty Register 1 */
    __IO     uint32_t CL0;                           /*!< Channel C-Low Pulse Duty Register 0 */
    __IO     uint32_t CL1;                           /*!< Channel C-Low Duty-1 Register */
    __IO     uint32_t CL0_HP;                        /*!< Channel C-Low Pulse Duty Register 1 */
    __IO     uint32_t CL1_HP;                        /*!< Channel C-Low Heightened-Precision Duty-1 Register */
    __IO     uint32_t DCTL;                          /*!< Channel D Control Register */
    __IO     uint32_t DH0;                           /*!< Channel D-High Duty-0 Register */
    __IO     uint32_t DH1;                           /*!< Channel D-High Pulse Duty Register 1 */
    __IO     uint32_t DH0_HP;                        /*!< Channel D-High Pulse Heightened-Precision Duty Register 0 */
    __IO     uint32_t DH1_HP;                        /*!< Channel D High Pulse Heightened-Precision Duty Register 1 */
    __IO     uint32_t DL0;                           /*!< Channel D-Low Pulse Duty Register 0 */
    __IO     uint32_t DL1;                           /*!< Channel D-Low Pulse Duty Register 1 */
    __IO     uint32_t DL0_HP;                        /*!< Channel D-Low Heightened-Precision Duty-0 Register */
    __IO     uint32_t DL1_HP;                        /*!< Channel D-Low Heightened-Precision Duty-1 Register */
    __IO     uint32_t AH_DUTY0;                      /*!< Channel A-High Full Duty0 Register */
    __IO     uint32_t AH_DUTY1;                      /*!< Channel A-High Full Duty1 Register */
    __IO     uint32_t AL_DUTY0;                      /*!< Channel A-Low Full Duty0 Register */
    __IO     uint32_t AL_DUTY1;                      /*!< Channel A-Low Full Duty1 Register */
    __IO     uint32_t BH_DUTY0;                      /*!< Channel B-High Full Duty0 Register */
    __IO     uint32_t BH_DUTY1;                      /*!< Channel B-High Full Duty1 Register */
    __IO     uint32_t BL_DUTY0;                      /*!< Channel B-Low Full Duty0 Register */
    __IO     uint32_t BL_DUTY1;                      /*!< Channel B-Low Full Duty1 Register */
    __IO     uint32_t CH_DUTY0;                      /*!< Channel C-High Full Duty0 Register */
    __IO     uint32_t CH_DUTY1;                      /*!< Channel C-High Full Duty1 Register */
    __IO     uint32_t CL_DUTY0;                      /*!< Channel C-Low Full Duty0 Register */
    __IO     uint32_t CL_DUTY1;                      /*!< Channel C-Low Full Duty1 Register */
    __IO     uint32_t DH_DUTY0;                      /*!< Channel D-High Full Duty0 Register */
    __IO     uint32_t DH_DUTY1;                      /*!< Channel D-High Full Duty1 Register */
    __IO     uint32_t DL_DUTY0;                      /*!< Channel D-Low Full Duty0 Register */
    __IO     uint32_t DL_DUTY1;                      /*!< Channel D-Low Full Duty1 Register */
} ADI_PWM_TypeDef;


/*!
 * \struct ADI_CNT_TypeDef
 * \brief  GP Counter Interface
*/
typedef struct
{
    __IO     uint32_t CFG;                           /*!< Configuration Register */
    __IO     uint32_t IMSK;                          /*!< Interrupt Mask Register */
    __IO     uint32_t STAT;                          /*!< Status Register */
    __IO     uint32_t CMD;                           /*!< Command Register */
    __IO     uint32_t DEBNCE;                        /*!< Debounce Register */
    __IO     uint32_t CNTR;                          /*!< Counter Register */
    __IO     uint32_t MAX;                           /*!< Maximum Count Register */
    __IO     uint32_t MIN;                           /*!< Minimum Count Register */
    __IO     uint32_t MDIV;                          /*!< M Value for Divider */
    __IO     uint32_t NDIV;                          /*!< N Value for Divider */
} ADI_CNT_TypeDef;


/*!
 * \struct ADI_SINC_TypeDef
 * \brief  SINC Unit
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t STAT;                          /*!< Status Register */
    __IO     uint32_t CLK;                           /*!< Clock Control Register */
    __I      uint8_t                  RESERVED0[4];
    __IO     uint32_t RATE0;                         /*!< Rate Control for Group 0 Register */
    __IO     uint32_t RATE1;                         /*!< Rate Control for Group 1 Register */
    __IO     uint32_t LEVEL0;                        /*!< Level Control for Group 0 Register */
    __IO     uint32_t LEVEL1;                        /*!< Level Control for Group 1 Register */
    __IO     uint32_t LIMIT0;                        /*!< (Amplitude) Limits for Secondary Filter 0 Register */
    __IO     uint32_t LIMIT1;                        /*!< (Amplitude) Limits for Secondary Filter 1 Register */
    __IO     uint32_t LIMIT2;                        /*!< (Amplitude) Limits for Secondary Filter 2 Register */
    __IO     uint32_t LIMIT3;                        /*!< (Amplitude) Limits for Secondary Filter 3 Register */
    __IO     uint32_t BIAS0;                         /*!< Bias for Group 0 Register */
    __IO     uint32_t BIAS1;                         /*!< Bias for Group 1 Register */
    __IO     uint32_t PPTR0;                         /*!< Primary (Filters) Pointer for Group 0 Register */
    __IO     uint32_t PPTR1;                         /*!< Primary (Filters) Pointer for Group 1 Register */
    __IO     uint32_t PHEAD0;                        /*!< Primary (Filters) Head for Group 0 Register */
    __IO     uint32_t PHEAD1;                        /*!< Primary (Filters) Head for Group 1 Register */
    __IO     uint32_t PTAIL0;                        /*!< Primary (Filters) Tail for Group 0 Register */
    __IO     uint32_t PTAIL1;                        /*!< Primary (Filters) Tail for Group 1 Register */
    __I      uint32_t HIS_STAT;                      /*!< History Status Register */
    __I      uint8_t                  RESERVED1[44];
    __I      uint32_t P0SEC_HIST[4];                 /*!< Pair 0 Secondary (Filter) History n Register */
    __I      uint32_t P1SEC_HIST[4];                 /*!< Pair 1 Secondary (Filter) History n Register */
    __I      uint32_t P2SEC_HIST[4];                 /*!< Pair 2 Secondary (Filter) History n Register */
    __I      uint32_t P3SEC_HIST[4];                 /*!< Pair 3 Secondary (Filter) History n Register */
} ADI_SINC_TypeDef;


/*!
 * \struct ADI_ADCC_EVT_TypeDef
 * \brief  Event registers for each event
*/
typedef struct
{
    __IO     uint32_t EVT;                           /*!< Event n Time Register */
    __IO     uint32_t EVCTL;                         /*!< Event n Control Register */
} ADI_ADCC_EVT_TypeDef;


/*!
 * \struct ADI_ADCC_TypeDef
 * \brief  ADC Controller
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t ERRSTAT;                       /*!< Error Status Register */
    __IO     uint32_t ERRMSK;                        /*!< Error Mask Register */
    __IO     uint32_t ERRMSK_SET;                    /*!< Error Mask Set Register */
    __IO     uint32_t ERRMSK_CLR;                    /*!< Error Mask Clear Register */
    __IO     uint32_t EISTAT;                        /*!< Event Interrupt Status Register */
    __IO     uint32_t EIMSK;                         /*!< Event Interrupt Mask Register */
    __IO     uint32_t EIMSK_SET;                     /*!< Event Interrupt Mask Set Register */
    __IO     uint32_t EIMSK_CLR;                     /*!< Event Interrupt Mask Clear Register */
    __IO     uint32_t FISTAT;                        /*!< Frame Interrupt Status Register */
    __IO     uint32_t FIMSK;                         /*!< Frame Interrupt Mask Register */
    __IO     uint32_t FIMSK_SET;                     /*!< Frame Interrupt Mask Set Register */
    __IO     uint32_t FIMSK_CLR;                     /*!< Frame Interrupt Mask Clear Register */
    __IO     uint32_t EVTEN;                         /*!< Event Enable Register */
    __IO     uint32_t EVTEN_SET;                     /*!< Event Enable Set Register */
    __IO     uint32_t EVTEN_CLR;                     /*!< Event Enable Clear Register */
    __IO     uint32_t ECOL;                          /*!< Event Collision Status Register */
    __IO     uint32_t EMISS;                         /*!< Event Miss Status Register */
    __IO     uint32_t BPTR0;                         /*!< Base Pointer 0 Register */
    __IO     uint32_t FRINC0;                        /*!< Frame Increment 0 Register */
    __IO     uint32_t CBSIZ0;                        /*!< Circular Buffer Size 0 Register */
    __IO     uint32_t TCA0;                          /*!< Timing Control A (ADC0) Register */
    __IO     uint32_t TCB0;                          /*!< Timing Control B (ADC0) Register */
    __IO     uint32_t BWMON0;                        /*!< Bandwidth Monitor 0 Register */
    __IO     uint32_t CFG;                           /*!< ADC Configuration Register */
    __IO     uint32_t BPTR1;                         /*!< DMA Base Pointer 1 Register */
    __IO     uint32_t FRINC1;                        /*!< Frame Increment 1 Register */
    __IO     uint32_t CBSIZ1;                        /*!< Circular Buffer Size 1 Register */
    __IO     uint32_t TCA1;                          /*!< Timing Control A (ADC1) Register */
    __IO     uint32_t TCB1;                          /*!< Timing Control B (ADC1) Register */
    __IO     uint32_t BWMON1;                        /*!< Bandwidth Monitor 1 Register */
    ADI_ADCC_EVT_TypeDef EVT[24];                /*!< Event registers for each event */
    __I      uint8_t                  RESERVED0[196];
    __I      uint32_t EPND;                          /*!< Pending Events Status Register */
    __I      uint32_t T0STAT;                        /*!< Timer 0 Status Register */
    __I      uint32_t TMR0;                          /*!< Timer 0 Current Count Register */
    __I      uint32_t T1STAT;                        /*!< Timer 1 Status Register */
    __I      uint32_t TMR1;                          /*!< Timer 1 Current Count Register */
    __I      uint32_t EVDAT[24];                     /*!< Event n Data Register */
    __I      uint32_t EVSTAT[24];                    /*!< Event n Status Register */
} ADI_ADCC_TypeDef;


/*!
 * \struct ADI_DACC_TypeDef
 * \brief  DAC Controller
*/
typedef struct
{
    __IO     uint32_t CTL0;                          /*!< Control 0 Register */
    __IO     uint32_t CTL1;                          /*!< Control 1 Register */
    __IO     uint32_t ERRSTAT;                       /*!< Error Status Register */
    __IO     uint32_t ERRMSK;                        /*!< Error Mask Register */
    __IO     uint32_t ERRMSK_SET;                    /*!< Error Mask Set Register */
    __IO     uint32_t ERRMSK_CLR;                    /*!< Error Mask Clear Register */
    __IO     uint32_t ISTAT;                         /*!< Interrupt Status Register */
    __IO     uint32_t IMSK;                          /*!< Interrupt Mask Register */
    __IO     uint32_t IMSK_SET;                      /*!< Interrupt Mask Set Register */
    __IO     uint32_t IMSK_CLR;                      /*!< Interrupt Mask Clear Register */
    __IO     uint32_t TC0;                           /*!< Timing Control 0 Register */
    __IO     uint32_t BPTR0;                         /*!< Base Pointer 0 Register */
    __IO     uint32_t MOD0;                          /*!< Modify 0 Register */
    __IO     uint32_t CNT0;                          /*!< Count 0 Register */
    __IO     uint32_t DAT0;                          /*!< Data FIFO 0 Register */
    __IO     uint32_t TC1;                           /*!< Timing Control 1 Register */
    __IO     uint32_t BPTR1;                         /*!< Base Pointer 1 Register */
    __IO     uint32_t MOD1;                          /*!< Modify 1 Register */
    __IO     uint32_t CNT1;                          /*!< Count 1 Register */
    __IO     uint32_t DAT1;                          /*!< Data FIFO 1 Register */
    __IO     uint32_t BCST_CTL;                      /*!< Broadcast (Write) Control Register */
    __I      uint8_t                  RESERVED0[172];
    __I      uint32_t CNTCUR0;                       /*!< Current Count 0 Register */
    __I      uint32_t CNTCUR1;                       /*!< Current Count 1 Register */
    __IO     uint32_t STAT;                          /*!< Status Register */
} ADI_DACC_TypeDef;


/*!
 * \struct ADI_DMA_TypeDef
 * \brief  DMA Cluster 0 (SPORT0, SPI0, UART0)
*/
typedef struct
{
    __IO     uint32_t DSCPTR_NXT;                    /*!< Pointer to Next Initial Descriptor */
    __IO     uint32_t ADDRSTART;                     /*!< Start Address of Current Buffer */
    __IO     uint32_t CFG;                           /*!< Configuration Register */
    __IO     uint32_t XCNT;                          /*!< Inner Loop Count Start Value */
    __IO     uint32_t XMOD;                          /*!< Inner Loop Address Increment */
    __IO     uint32_t YCNT;                          /*!< Outer Loop Count Start Value (2D only) */
    __IO     uint32_t YMOD;                          /*!< Outer Loop Address Increment (2D only) */
    __I      uint8_t                  RESERVED0[8];
    __IO     uint32_t DSCPTR_CUR;                    /*!< Current Descriptor Pointer */
    __I      uint32_t DSCPTR_PRV;                    /*!< Previous Initial Descriptor Pointer */
    __IO     uint32_t ADDR_CUR;                      /*!< Current Address */
    __IO     uint32_t STAT;                          /*!< Status Register */
    __I      uint32_t XCNT_CUR;                      /*!< Current Count(1D) or intra-row XCNT (2D) */
    __I      uint32_t YCNT_CUR;                      /*!< Current Row Count (2D only) */
    __I      uint8_t                  RESERVED1[4];
    __IO     uint32_t BWLCNT;                        /*!< Bandwidth Limit Count */
    __I      uint32_t BWLCNT_CUR;                    /*!< Bandwidth Limit Count Current */
    __IO     uint32_t BWMCNT;                        /*!< Bandwidth Monitor Count */
    __I      uint32_t BWMCNT_CUR;                    /*!< Bandwidth Monitor Count Current */
} ADI_DMA_TypeDef;


/*!
 * \struct ADI_RCU_TypeDef
 * \brief  Reset Control Unit
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t STAT;                          /*!< Status Register */
    __IO     uint32_t SVECT_LCK;                     /*!< SVECT Lock Register */
    __IO     uint32_t BCODE;                         /*!< Boot Code Register */
    __IO     uint32_t SVECT0;                        /*!< Software Vector Register 0 */
    __IO     uint32_t MSG;                           /*!< Message Register */
    __IO     uint32_t MSG_SET;                       /*!< Message Set Bits Register */
    __IO     uint32_t MSG_CLR;                       /*!< Message Clear Bits Register */
} ADI_RCU_TypeDef;


/*!
 * \struct ADI_TRU_TypeDef
 * \brief  Trigger Routing Unit
*/
typedef struct
{
    __IO     uint32_t SSR[63];                       /*!< Slave Select Register */
    __I      uint8_t                  RESERVED0[1764];
    __IO     uint32_t MTR;                           /*!< Master Trigger Register */
    __I      uint8_t                  RESERVED1[4];
    __IO     uint32_t ERRADDR;                       /*!< Error Address Register */
    __IO     uint32_t STAT;                          /*!< Status Information Register */
    __I      uint8_t                  RESERVED2[4];
    __IO     uint32_t GCTL;                          /*!< Global Control Register */
} ADI_TRU_TypeDef;


/*!
 * \struct ADI_CGU_TypeDef
 * \brief  Clock Generation Unit
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t STAT;                          /*!< Status Register */
    __IO     uint32_t DIV;                           /*!< Clocks Divisor Register */
    __IO     uint32_t CLKOUTSEL;                     /*!< CLKOUT Select Register */
    __IO     uint32_t OSCWDCTL;                      /*!< Oscillator Watchdog Register */
    __IO     uint32_t TSCTL;                         /*!< Timestamp Control Register */
    __IO     uint32_t TSVALUE0;                      /*!< Timestamp Counter Initial 32 l.s.b. Value Register */
    __IO     uint32_t TSVALUE1;                      /*!< Timestamp Counter Initial m.s.b. Value Register */
    __I      uint32_t TSCOUNT0;                      /*!< Timestamp Counter 32 l.s.b. */
    __I      uint32_t TSCOUNT1;                      /*!< Timestamp Counter 32 m.s.b. Register */
} ADI_CGU_TypeDef;


/*!
 * \struct ADI_DPM_TypeDef
 * \brief  Dynamic Power Management Controller
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t STAT;                          /*!< Status Register */
    __IO     uint32_t CCBF_DIS;                      /*!< Core Clock Buffer Disable Register */
    __IO     uint32_t CCBF_EN;                       /*!< Core Clock Buffer Enable Register */
    __I      uint32_t CCBF_STAT;                     /*!< Core Clock Buffer Status Register */
    __IO     uint32_t CCBF_STAT_STKY;                /*!< Core Clock Buffer Status Sticky Register */
    __IO     uint32_t SCBF_DIS;                      /*!< System Clock Buffer Disable Register */
    __IO     uint32_t WAKE_EN;                       /*!< Wakeup Enable Register */
    __IO     uint32_t WAKE_POL;                      /*!< Wakeup Polarity Register */
    __IO     uint32_t WAKE_STAT;                     /*!< Wakeup Status Register */
} ADI_DPM_TypeDef;


/*!
 * \struct ADI_HAE_TypeDef
 * \brief  Harmonic Analysis Engine
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[160];
    __I      uint32_t RUN;                           /*!< Run Register */
    __I      uint8_t                  RESERVED1[92];
    __IO     uint32_t COEF_RAM;                      /*!< Coefficient RAM Register */
    __I      uint8_t                  RESERVED2[2556];
    __IO     uint32_t CFG0;                          /*!< Configuration 0 Register */
    __IO     uint32_t CFG1;                          /*!< Configuration 1 Register */
    __IO     uint32_t CFG2;                          /*!< Configuration 2 Register */
    __IO     uint32_t CFG3;                          /*!< Configuration 3 Register */
    __I      uint8_t                  RESERVED3[16];
    __IO     uint32_t STAT;                          /*!< Status Register */
    __I      uint8_t                  RESERVED4[28];
    __IO     uint32_t ISAMPLE;                       /*!< I (Current) Sample Register */
    __IO     uint32_t VSAMPLE;                       /*!< V (Voltage) Sample Register */
    __I      uint8_t                  RESERVED5[56];
    __I      uint32_t IWAVEFORM;                     /*!< I (Current) Waveform Register */
    __I      uint32_t VWAVEFORM;                     /*!< V (Voltage) Waveform Register */
    __I      uint8_t                  RESERVED6[120];
    __I      uint32_t RESULTS_RAM;                   /*!< Results RAM Register */
    __I      uint8_t                  RESERVED7[1020];
    __IO     uint32_t DATA_RAM;                      /*!< Data (Configuration) RAM Register */
    __I      uint8_t                  RESERVED8[3580];
    __IO     uint32_t CFG4;                          /*!< Configuration 4 Register */
    __IO     uint32_t DIDT_GAIN;                     /*!< DIDT Gain Register */
    __IO     uint32_t DIDT_COEF;                     /*!< DIDT Coefficient Register */
    __IO     uint32_t VLEVEL;                        /*!< Voltage Level Register */
    __I      uint8_t                  RESERVED9[28];
    __IO     uint32_t H_INDX[12];                    /*!< Harmonic n Index Register */
} ADI_HAE_TypeDef;


/*!
 * \struct ADI_EMAC_TypeDef
 * \brief  10/100 Ethernet MAC
*/
typedef struct
{
    __IO     uint32_t MACCFG;                        /*!< MAC Configuration Register */
    __IO     uint32_t MACFRMFILT;                    /*!< MAC Rx Frame Filter Register */
    __IO     uint32_t HASHTBL_HI;                    /*!< Hash Table High Register */
    __IO     uint32_t HASHTBL_LO;                    /*!< Hash Table Low Register */
    __IO     uint32_t SMI_ADDR;                      /*!< SMI Address Register */
    __IO     uint32_t SMI_DATA;                      /*!< SMI Data Register */
    __IO     uint32_t FLOWCTL;                       /*!< FLow Control Register */
    __IO     uint32_t VLANTAG;                       /*!< VLAN Tag Register */
    __I      uint8_t                  RESERVED0[4];
    __IO     uint32_t DBG;                           /*!< Debug Register */
    __I      uint8_t                  RESERVED1[16];
    __IO     uint32_t ISTAT;                         /*!< Interrupt Status Register */
    __IO     uint32_t IMSK;                          /*!< Interrupt Mask Register */
    __IO     uint32_t ADDR0_HI;                      /*!< MAC Address 0 High Register */
    __IO     uint32_t ADDR0_LO;                      /*!< MAC Address 0 Low Register */
    __I      uint8_t                  RESERVED2[184];
    __IO     uint32_t MMC_CTL;                       /*!< MMC Control Register */
    __IO     uint32_t MMC_RXINT;                     /*!< MMC Rx Interrupt Register */
    __IO     uint32_t MMC_TXINT;                     /*!< MMC Tx Interrupt Register */
    __IO     uint32_t MMC_RXIMSK;                    /*!< MMC Rx Interrupt Mask Register */
    __IO     uint32_t MMC_TXIMSK;                    /*!< MMC TX Interrupt Mask Register */
    __I      uint32_t TXOCTCNT_GB;                   /*!< Tx OCT Count (Good/Bad) Register */
    __I      uint32_t TXFRMCNT_GB;                   /*!< Tx Frame Count (Good/Bad) Register */
    __I      uint32_t TXBCASTFRM_G;                  /*!< Tx Broadcast Frames (Good) Register */
    __I      uint32_t TXMCASTFRM_G;                  /*!< Tx Multicast Frames (Good) Register */
    __I      uint32_t TX64_GB;                       /*!< Tx 64-Byte Frames (Good/Bad) Register */
    __I      uint32_t TX65TO127_GB;                  /*!< Tx 65- to 127-Byte Frames (Good/Bad) Register */
    __I      uint32_t TX128TO255_GB;                 /*!< Tx 128- to 255-Byte Frames (Good/Bad) Register */
    __I      uint32_t TX256TO511_GB;                 /*!< Tx 256- to 511-Byte Frames (Good/Bad) Register */
    __I      uint32_t TX512TO1023_GB;                /*!< Tx 512- to 1023-Byte Frames (Good/Bad) Register */
    __I      uint32_t TX1024TOMAX_GB;                /*!< Tx 1024- to Max-Byte Frames (Good/Bad) Register */
    __I      uint32_t TXUCASTFRM_GB;                 /*!< Tx Unicast Frames (Good/Bad) Register */
    __I      uint32_t TXMCASTFRM_GB;                 /*!< Tx Multicast Frames (Good/Bad) Register */
    __I      uint32_t TXBCASTFRM_GB;                 /*!< Tx Broadcast Frames (Good/Bad) Register */
    __I      uint32_t TXUNDR_ERR;                    /*!< Tx Underflow Error Register */
    __I      uint32_t TXSNGCOL_G;                    /*!< Tx Single Collision (Good) Register */
    __I      uint32_t TXMULTCOL_G;                   /*!< Tx Multiple Collision (Good) Register */
    __I      uint32_t TXDEFERRED;                    /*!< Tx Deferred Register */
    __I      uint32_t TXLATECOL;                     /*!< Tx Late Collision Register */
    __I      uint32_t TXEXCESSCOL;                   /*!< Tx Excess Collision Register */
    __I      uint32_t TXCARR_ERR;                    /*!< Tx Carrier Error Register */
    __I      uint32_t TXOCTCNT_G;                    /*!< Tx Octet Count (Good) Register */
    __I      uint32_t TXFRMCNT_G;                    /*!< Tx Frame Count (Good) Register */
    __I      uint32_t TXEXCESSDEF;                   /*!< Tx Excess Deferral Register */
    __I      uint32_t TXPAUSEFRM;                    /*!< Tx Pause Frame Register */
    __I      uint32_t TXVLANFRM_G;                   /*!< Tx VLAN Frames (Good) Register */
    __I      uint8_t                  RESERVED3[8];
    __I      uint32_t RXFRMCNT_GB;                   /*!< Rx Frame Count (Good/Bad) Register */
    __I      uint32_t RXOCTCNT_GB;                   /*!< Rx Octet Count (Good/Bad) Register */
    __I      uint32_t RXOCTCNT_G;                    /*!< Rx Octet Count (Good) Register */
    __I      uint32_t RXBCASTFRM_G;                  /*!< Rx Broadcast Frames (Good) Register */
    __I      uint32_t RXMCASTFRM_G;                  /*!< Rx Multicast Frames (Good) Register */
    __I      uint32_t RXCRC_ERR;                     /*!< Rx CRC Error Register */
    __I      uint32_t RXALIGN_ERR;                   /*!< Rx alignment Error Register */
    __I      uint32_t RXRUNT_ERR;                    /*!< Rx Runt Error Register */
    __I      uint32_t RXJAB_ERR;                     /*!< Rx Jab Error Register */
    __I      uint32_t RXUSIZE_G;                     /*!< Rx Undersize (Good) Register */
    __I      uint32_t RXOSIZE_G;                     /*!< Rx Oversize (Good) Register */
    __I      uint32_t RX64_GB;                       /*!< Rx 64-Byte Frames (Good/Bad) Register */
    __I      uint32_t RX65TO127_GB;                  /*!< Rx 65- to 127-Byte Frames (Good/Bad) Register */
    __I      uint32_t RX128TO255_GB;                 /*!< Rx 128- to 255-Byte Frames (Good/Bad) Register */
    __I      uint32_t RX256TO511_GB;                 /*!< Rx 256- to 511-Byte Frames (Good/Bad) Register */
    __I      uint32_t RX512TO1023_GB;                /*!< Rx 512- to 1023-Byte Frames (Good/Bad) Register */
    __I      uint32_t RX1024TOMAX_GB;                /*!< Rx 1024- to Max-Byte Frames (Good/Bad) Register */
    __I      uint32_t RXUCASTFRM_G;                  /*!< Rx Unicast Frames (Good) Register */
    __I      uint32_t RXLEN_ERR;                     /*!< Rx Length Error Register */
    __I      uint32_t RXOORTYPE;                     /*!< Rx Out Of Range Type Register */
    __I      uint32_t RXPAUSEFRM;                    /*!< Rx Pause Frames Register */
    __I      uint32_t RXFIFO_OVF;                    /*!< Rx FIFO Overflow Register */
    __I      uint32_t RXVLANFRM_GB;                  /*!< Rx VLAN Frames (Good/Bad) Register */
    __I      uint32_t RXWDOG_ERR;                    /*!< Rx Watch Dog Error Register */
    __I      uint8_t                  RESERVED4[32];
    __IO     uint32_t IPC_RXIMSK;                    /*!< MMC IPC Rx Interrupt Mask Register */
    __I      uint8_t                  RESERVED5[4];
    __IO     uint32_t IPC_RXINT;                     /*!< MMC IPC Rx Interrupt Register */
    __I      uint8_t                  RESERVED6[4];
    __I      uint32_t RXIPV4_GD_FRM;                 /*!< Rx IPv4 Datagrams (Good) Register */
    __I      uint32_t RXIPV4_HDR_ERR_FRM;            /*!< Rx IPv4 Datagrams Header Errors Register */
    __I      uint32_t RXIPV4_NOPAY_FRM;              /*!< Rx IPv4 Datagrams No Payload Frame Register */
    __I      uint32_t RXIPV4_FRAG_FRM;               /*!< Rx IPv4 Datagrams Fragmented Frames Register */
    __I      uint32_t RXIPV4_UDSBL_FRM;              /*!< Rx IPv4 UDP Disabled Frames Register */
    __I      uint32_t RXIPV6_GD_FRM;                 /*!< Rx IPv6 Datagrams Good Frames Register */
    __I      uint32_t RXIPV6_HDR_ERR_FRM;            /*!< Rx IPv6 Datagrams Header Error Frames Register */
    __I      uint32_t RXIPV6_NOPAY_FRM;              /*!< Rx IPv6 Datagrams No Payload Frames Register */
    __I      uint32_t RXUDP_GD_FRM;                  /*!< Rx UDP Good Frames Register */
    __I      uint32_t RXUDP_ERR_FRM;                 /*!< Rx UDP Error Frames Register */
    __I      uint32_t RXTCP_GD_FRM;                  /*!< Rx TCP Good Frames Register */
    __I      uint32_t RXTCP_ERR_FRM;                 /*!< Rx TCP Error Frames Register */
    __I      uint32_t RXICMP_GD_FRM;                 /*!< Rx ICMP Good Frames Register */
    __I      uint32_t RXICMP_ERR_FRM;                /*!< Rx ICMP Error Frames Register */
    __I      uint8_t                  RESERVED7[8];
    __I      uint32_t RXIPV4_GD_OCT;                 /*!< Rx IPv4 Datagrams Good Octets Register */
    __I      uint32_t RXIPV4_HDR_ERR_OCT;            /*!< Rx IPv4 Datagrams Header Errors Register */
    __I      uint32_t RXIPV4_NOPAY_OCT;              /*!< Rx IPv4 Datagrams No Payload Octets Register */
    __I      uint32_t RXIPV4_FRAG_OCT;               /*!< Rx IPv4 Datagrams Fragmented Octets Register */
    __I      uint32_t RXIPV4_UDSBL_OCT;              /*!< Rx IPv4 UDP Disabled Octets Register */
    __I      uint32_t RXIPV6_GD_OCT;                 /*!< Rx IPv6 Good Octets Register */
    __I      uint32_t RXIPV6_HDR_ERR_OCT;            /*!< Rx IPv6 Header Errors Register */
    __I      uint32_t RXIPV6_NOPAY_OCT;              /*!< Rx IPv6 No Payload Octets Register */
    __I      uint32_t RXUDP_GD_OCT;                  /*!< Rx UDP Good Octets Register */
    __I      uint32_t RXUDP_ERR_OCT;                 /*!< Rx UDP Error Octets Register */
    __I      uint32_t RXTCP_GD_OCT;                  /*!< Rx TCP Good Octets Register */
    __I      uint32_t RXTCP_ERR_OCT;                 /*!< Rx TCP Error Octets Register */
    __I      uint32_t RXICMP_GD_OCT;                 /*!< Rx ICMP Good Octets Register */
    __I      uint32_t RXICMP_ERR_OCT;                /*!< Rx ICMP Error Octets Register */
    __I      uint8_t                  RESERVED8[1144];
    __IO     uint32_t TM_CTL;                        /*!< Time Stamp Control Register */
    __IO     uint32_t TM_SUBSEC;                     /*!< Time Stamp Sub Second Increment Register */
    __IO     uint32_t TM_SEC;                        /*!< Time Stamp Low Seconds Register */
    __IO     uint32_t TM_NSEC;                       /*!< Time Stamp Nanoseconds Register */
    __IO     uint32_t TM_SECUPDT;                    /*!< Time Stamp Seconds Update Register */
    __IO     uint32_t TM_NSECUPDT;                   /*!< Time Stamp Nanoseconds Update Register */
    __IO     uint32_t TM_ADDEND;                     /*!< Time Stamp Addend Register */
    __IO     uint32_t TM_TGTM;                       /*!< Time Stamp Target Time Seconds Register */
    __IO     uint32_t TM_NTGTM;                      /*!< Time Stamp Target Time Nanoseconds Register */
    __IO     uint32_t TM_HISEC;                      /*!< Time Stamp High Second Register */
    __IO     uint32_t TM_STMPSTAT;                   /*!< Time Stamp Status Register */
    __IO     uint32_t TM_PPSCTL;                     /*!< PPS Control Register */
    __IO     uint32_t TM_AUXSTMP_NSEC;               /*!< Time Stamp Auxiliary TS Nano Seconds Register */
    __IO     uint32_t TM_AUXSTMP_SEC;                /*!< Time Stamp Auxiliary TM Seconds Register */
    __I      uint8_t                  RESERVED9[40];
    __IO     uint32_t TM_PPSINTVL;                   /*!< Time Stamp PPS Interval Register */
    __IO     uint32_t TM_PPSWIDTH;                   /*!< PPS Width Register */
    __I      uint8_t                 RESERVED10[2200];
    __IO     uint32_t DMA_BUSMODE;                   /*!< DMA Bus Mode Register */
    __IO     uint32_t DMA_TXPOLL;                    /*!< DMA Tx Poll Demand Register */
    __IO     uint32_t DMA_RXPOLL;                    /*!< DMA Rx Poll Demand register */
    __IO     uint32_t DMA_RXDSC_ADDR;                /*!< DMA Rx Descriptor List Address Register */
    __IO     uint32_t DMA_TXDSC_ADDR;                /*!< DMA Tx Descriptor List Address Register */
    __IO     uint32_t DMA_STAT;                      /*!< DMA Status Register */
    __IO     uint32_t DMA_OPMODE;                    /*!< DMA Operation Mode Register */
    __IO     uint32_t DMA_IEN;                       /*!< DMA Interrupt Enable Register */
    __IO     uint32_t DMA_MISS_FRM;                  /*!< DMA Missed Frame Register */
    __IO     uint32_t DMA_RXIWDOG;                   /*!< DMA Rx Interrupt Watch Dog Register */
    __IO     uint32_t DMA_BMMODE;                    /*!< DMA SCB Bus Mode Register */
    __IO     uint32_t DMA_BMSTAT;                    /*!< DMA SCB Status Register */
    __I      uint8_t                 RESERVED11[24];
    __IO     uint32_t DMA_TXDSC_CUR;                 /*!< DMA Tx Descriptor Current Register */
    __IO     uint32_t DMA_RXDSC_CUR;                 /*!< DMA Rx Descriptor Current Register */
    __IO     uint32_t DMA_TXBUF_CUR;                 /*!< DMA Tx Buffer Current Register */
    __IO     uint32_t DMA_RXBUF_CUR;                 /*!< DMA Rx Buffer Current Register */
} ADI_EMAC_TypeDef;


/*!
 * \struct ADI_SWU_WB_TypeDef
 * \brief  SWU0 Module's WB register block
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register n */
    __IO     uint32_t LA;                            /*!< Lower Address Register n */
    __IO     uint32_t UA;                            /*!< Upper Address Register n */
    __IO     uint32_t ID;                            /*!< ID Register n */
    __IO     uint32_t CNT;                           /*!< Count Register n */
    __IO     uint32_t TARG;                          /*!< Target Register n */
    __IO     uint32_t HIST;                          /*!< Bandwidth History Register n */
    __IO     uint32_t CUR;                           /*!< Current Register n */
} ADI_SWU_WB_TypeDef;


/*!
 * \struct ADI_SWU_TypeDef
 * \brief  System Watchpoint Unit
*/
typedef struct
{
    __IO     uint32_t GCTL;                          /*!< Global Control Register */
    __IO     uint32_t GSTAT;                         /*!< Global Status Register */
    __I      uint8_t                  RESERVED0[8];
    ADI_SWU_WB_TypeDef WB[4];                    /*!<  */
} ADI_SWU_TypeDef;


/*!
 * \struct ADI_SPU_TypeDef
 * \brief  System Protection Unit
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t STAT;                          /*!< Status Register */
    __I      uint8_t                  RESERVED0[1016];
    __IO     uint32_t WP[59];                        /*!< Write Protect Register n */
} ADI_SPU_TypeDef;


/*!
 * \struct ADI_SEC_SB_TypeDef
 * \brief  SSI Registers
*/
typedef struct
{
    __IO     uint32_t SCTL;                          /*!< Source Control Register n */
    __IO     uint32_t SSTAT;                         /*!< Source Status Register n */
} ADI_SEC_SB_TypeDef;


/*!
 * \struct ADI_SEC_TypeDef
 * \brief  SEC Fault Interface
*/
typedef struct
{
    __IO     uint32_t GCTL;                          /*!< Global Control Register */
    __IO     uint32_t GSTAT;                         /*!< Global Status Register */
    __IO     uint32_t RAISE;                         /*!< Global Raise Register */
    __I      uint8_t                  RESERVED0[4];
    __IO     uint32_t FCTL;                          /*!< Fault Control Register */
    __IO     uint32_t FSTAT;                         /*!< Fault Status Register */
    __I      uint32_t FSID;                          /*!< Fault Source ID Register */
    __IO     uint32_t FEND;                          /*!< Fault End Register */
    __IO     uint32_t FDLY;                          /*!< Fault Delay Register */
    __I      uint32_t FDLY_CUR;                      /*!< Fault Delay Current Register */
    __IO     uint32_t FSRDLY;                        /*!< Fault System Reset Delay Register */
    __I      uint32_t FSRDLY_CUR;                    /*!< Fault System Reset Delay Current Register */
    __IO     uint32_t FCOPP;                         /*!< Fault COP Period Register */
    __I      uint32_t FCOPP_CUR;                     /*!< Fault COP Period Current Register */
    __I      uint8_t                  RESERVED1[1992];
    ADI_SEC_SB_TypeDef SB[129];                  /*!< SSI Registers */
} ADI_SEC_TypeDef;


/*!
 * \struct ADI_JTAG_TypeDef
 * \brief  JTAG
*/
typedef struct
{
    __I      uint32_t IDCODE;                        /*!< IDCODE Register */
    __I      uint32_t USERCODE;                      /*!< User Code Register */
} ADI_JTAG_TypeDef;


/*!
 * \struct ADI_SPI_TypeDef
 * \brief  SPI Controller
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[4];
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t RXCTL;                         /*!< Receive Control Register */
    __IO     uint32_t TXCTL;                         /*!< Transmit Control Register */
    __IO     uint32_t CLK;                           /*!< Clock Rate Register */
    __IO     uint32_t DLY;                           /*!< Delay Register */
    __IO     uint32_t SLVSEL;                        /*!< Slave Select Register */
    __IO     uint32_t RWC;                           /*!< Received Word Count Register */
    __IO     uint32_t RWCR;                          /*!< Received Word Count Reload Register */
    __IO     uint32_t TWC;                           /*!< Transmitted Word Count Register */
    __IO     uint32_t TWCR;                          /*!< Transmitted Word Count Reload Register */
    __I      uint8_t                  RESERVED1[4];
    __IO     uint32_t IMSK;                          /*!< Interrupt Mask Register */
    __IO     uint32_t IMSK_CLR;                      /*!< Interrupt Mask Clear Register */
    __IO     uint32_t IMSK_SET;                      /*!< Interrupt Mask Set Register */
    __I      uint8_t                  RESERVED2[4];
    __IO     uint32_t STAT;                          /*!< Status Register */
    __IO     uint32_t ILAT;                          /*!< Masked Interrupt Condition Register */
    __IO     uint32_t ILAT_CLR;                      /*!< Masked Interrupt Clear Register */
    __I      uint8_t                  RESERVED3[4];
    __IO     uint32_t RFIFO;                         /*!< Receive FIFO Data Register */
    __I      uint8_t                  RESERVED4[4];
    __IO     uint32_t TFIFO;                         /*!< Transmit FIFO Data Register */
    __I      uint8_t                  RESERVED5[4];
    __IO     uint32_t MMRDH;                         /*!< Memory Mapped Read Header */
    __IO     uint32_t MMTOP;                         /*!< SPI Memory Top Address */
} ADI_SPI_TypeDef;


/*!
 * \struct ADI_WDOG_TypeDef
 * \brief  Watchdog Timer
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register */
    __IO     uint32_t CNT;                           /*!< Count Register */
    __IO     uint32_t STAT;                          /*!< Watchdog Timer Status Register */
} ADI_WDOG_TypeDef;


/*!
 * \struct ADI_USB_EP0_TypeDef
 * \brief  Endpoint 0
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[2];
    union {
    __IO     uint16_t CSR_H;                         /*!< EP0 Configuration and Status (Host) Register */
    __IO     uint16_t CSR_P;                         /*!< EP0 Configuration and Status (Peripheral) Register */
    };
    __I      uint8_t                  RESERVED1[4];
    __I      uint16_t CNT;                           /*!< EP0 Number of Received Bytes Register */
    __IO      uint8_t TYPE;                          /*!< EP0 Connection Type Register */
    __IO      uint8_t NAKLIMIT;                      /*!< EP0 NAK Limit Register */
    __I      uint8_t                  RESERVED2[3];
    __I       uint8_t CFGDATA;                       /*!< EP0 Configuration Information Register */
} ADI_USB_EP0_TypeDef;


/*!
 * \struct ADI_USB_MP_TypeDef
 * \brief  Multipoint Block (0-11)
*/
typedef struct
{
    __IO      uint8_t TXFUNCADDR;                    /*!< MPn Transmit Function Address Register */
    __I      uint8_t                  RESERVED0;
    __IO      uint8_t TXHUBADDR;                     /*!< MPn Transmit Hub Address Register */
    __IO      uint8_t TXHUBPORT;                     /*!< MPn Transmit Hub Port Register */
    __IO      uint8_t RXFUNCADDR;                    /*!< MPn Receive Function Address Register */
    __I      uint8_t                  RESERVED1;
    __IO      uint8_t RXHUBADDR;                     /*!< MPn Receive Hub Address Register */
    __IO      uint8_t RXHUBPORT;                     /*!< MPn Receive Hub Port Register */
} ADI_USB_MP_TypeDef;


/*!
 * \struct ADI_USB_EP0I_TypeDef
 * \brief  Endpoint 0 Indexed Block
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[2];
    union {
    __IO     uint16_t CSR_P;                         /*!< EP0 Configuration and Status (Peripheral) Register */
    __IO     uint16_t CSR_H;                         /*!< EP0 Configuration and Status (Host) Register */
    };
    __I      uint8_t                  RESERVED1[4];
    __I      uint16_t CNT;                           /*!< EP0 Number of Received Bytes Register */
    __IO      uint8_t TYPE;                          /*!< EP0 Connection Type Register */
    __IO      uint8_t NAKLIMIT;                      /*!< EP0 NAK Limit Register */
    __I      uint8_t                  RESERVED2[3];
    __I       uint8_t CFGDATA;                       /*!< EP0 Configuration Information Register */
} ADI_USB_EP0I_TypeDef;


/*!
 * \struct ADI_USB_DMA_TypeDef
 * \brief  DMA Block (1-8)
*/
typedef struct
{
    __IO     uint16_t CTL;                           /*!< DMA Channel n Control Register */
    __I      uint8_t                  RESERVED0[2];
    __IO     uint32_t ADDR;                          /*!< DMA Channel n Address Register */
    __IO     uint32_t CNT;                           /*!< DMA Channel n Count Register */
    __I      uint8_t                  RESERVED1[4];
} ADI_USB_DMA_TypeDef;


/*!
 * \struct ADI_USB_EPI_TypeDef
 * \brief  Endpoint Indexed Block
*/
typedef struct
{
    __IO     uint16_t TXMAXP;                        /*!< EPn Transmit Maximum Packet Length Register */
    union {
    __IO     uint16_t TXCSR_P;                       /*!< EPn Transmit Configuration and Status (Peripheral) Register */
    __IO     uint16_t TXCSR_H;                       /*!< EPn Transmit Configuration and Status (Host) Register */
    };
    __IO     uint16_t RXMAXP;                        /*!< EPn Receive Maximum Packet Length Register */
    union {
    __IO     uint16_t RXCSR_H;                       /*!< EPn Receive Configuration and Status (Host) Register */
    __IO     uint16_t RXCSR_P;                       /*!< EPn Receive Configuration and Status (Peripheral) Register */
    };
    __I      uint16_t RXCNT;                         /*!< EPn Number of Bytes Received Register */
    __IO      uint8_t TXTYPE;                        /*!< EPn Transmit Type Register */
    __IO      uint8_t TXINTERVAL;                    /*!< EPn Transmit Polling Interval Register */
    __IO      uint8_t RXTYPE;                        /*!< EPn Receive Type Register */
    __IO      uint8_t RXINTERVAL;                    /*!< EPn Receive Polling Interval Register */
    __I      uint8_t                  RESERVED0;
    __IO      uint8_t FIFOSZ;                        /*!< FIFO Size */
} ADI_USB_EPI_TypeDef;


/*!
 * \struct ADI_USB_EP_TypeDef
 * \brief  Endpoint Block
*/
typedef struct
{
    __IO     uint16_t TXMAXP;                        /*!< EPn Transmit Maximum Packet Length Register */
    union {
    __IO     uint16_t TXCSR_H;                       /*!< EPn Transmit Configuration and Status (Host) Register */
    __IO     uint16_t TXCSR_P;                       /*!< EPn Transmit Configuration and Status (Peripheral) Register */
    };
    __IO     uint16_t RXMAXP;                        /*!< EPn Receive Maximum Packet Length Register */
    union {
    __IO     uint16_t RXCSR_H;                       /*!< EPn Receive Configuration and Status (Host) Register */
    __IO     uint16_t RXCSR_P;                       /*!< EPn Receive Configuration and Status (Peripheral) Register */
    };
    __I      uint16_t RXCNT;                         /*!< EPn Number of Bytes Received Register */
    __IO      uint8_t TXTYPE;                        /*!< EPn Transmit Type Register */
    __IO      uint8_t TXINTERVAL;                    /*!< EPn Transmit Polling Interval Register */
    __IO      uint8_t RXTYPE;                        /*!< EPn Receive Type Register */
    __IO      uint8_t RXINTERVAL;                    /*!< EPn Receive Polling Interval Register */
    __I      uint8_t                  RESERVED0;
    __IO      uint8_t FIFOSZ;                        /*!< FIFO Size */
} ADI_USB_EP_TypeDef;


/*!
 * \struct ADI_USB_FIFO_TypeDef
 * \brief  FIFO Block (0 - 11)
*/
typedef struct
{
    union {
    __IO      uint8_t B;                             /*!< FIFO Byte (8-Bit) Register */
    __IO     uint16_t H;                             /*!< FIFO Half-Word (16-Bit) Register */
    __IO     uint32_t FIFO;                          /*!< FIFO Word (32-Bit) Register */
    };
} ADI_USB_FIFO_TypeDef;


/*!
 * \struct ADI_USB_RQPKT_TypeDef
 * \brief  Request Packet Count Block (1-11)
*/
typedef struct
{
    __IO     uint16_t CNT;                           /*!< EPn Request Packet Count Register */
    __I      uint8_t                  RESERVED0[2];
} ADI_USB_RQPKT_TypeDef;


/*!
 * \struct ADI_USB_TypeDef
 * \brief  USB 2.0 FS OTG Controller
*/
typedef struct
{
    __IO      uint8_t FADDR;                         /*!< Function Address Register */
    __IO      uint8_t POWER;                         /*!< Power and Device Control Register */
    __I      uint16_t INTRTX;                        /*!< Transmit Interrupt Register */
    __I      uint16_t INTRRX;                        /*!< Receive Interrupt Register */
    __IO     uint16_t INTRTXE;                       /*!< Transmit Interrupt Enable Register */
    __IO     uint16_t INTRRXE;                       /*!< Receive Interrupt Enable Register */
    __I       uint8_t IRQ;                           /*!< Common Interrupts Register */
    __IO      uint8_t IEN;                           /*!< Common Interrupts Enable Register */
    __I      uint16_t FRAME;                         /*!< Frame Number Register */
    __IO      uint8_t INDEX;                         /*!< Index Register */
    __IO      uint8_t TESTMODE;                      /*!< Testmode Register */
    union {
    ADI_USB_EP0I_TypeDef EP0I;                   /*!< Endpoint 0 Indexed Block */
    ADI_USB_EPI_TypeDef EPI;                     /*!< Endpoint Indexed Block */
      };
    ADI_USB_FIFO_TypeDef FIFO[4];                /*!< FIFO Block (0 - 11) */
    __I      uint8_t                  RESERVED0[48];
    __IO      uint8_t DEV_CTL;                       /*!< Device Control Register */
    __I      uint8_t                  RESERVED1[23];
    __I       uint8_t EPINFO;                        /*!< Endpoint Information Register */
    __I       uint8_t RAMINFO;                       /*!< RAM Information Register */
    __IO      uint8_t LINKINFO;                      /*!< Link Information Register */
    __IO      uint8_t VPLEN;                         /*!< VBUS Pulse Length Register */
    __I      uint8_t                  RESERVED2;
    __IO      uint8_t FS_EOF1;                       /*!< Full-Speed EOF 1 Register */
    __IO      uint8_t LS_EOF1;                       /*!< Low-Speed EOF 1 Register */
    __IO      uint8_t SOFT_RST;                      /*!< Software Reset Register */
    ADI_USB_MP_TypeDef MP[4];                    /*!< Multipoint Block (0-11) */
    __I      uint8_t                  RESERVED3[96];
    union {
    ADI_USB_EP0_TypeDef EP0;                     /*!< Endpoint 0 */
    ADI_USB_EP_TypeDef EP[4];                    /*!< Endpoint Block */
      };
    __I      uint8_t                  RESERVED4[192];
    __I       uint8_t DMA_IRQ;                       /*!< DMA Interrupt Register */
    __I      uint8_t                  RESERVED5[3];
    ADI_USB_DMA_TypeDef DMA[7];                  /*!< DMA Block (1-8) */
    __I      uint8_t                  RESERVED6[140];
    ADI_USB_RQPKT_TypeDef RQPKT[3];              /*!< Request Packet Count Block (1-11) */
    __I      uint8_t                  RESERVED7[52];
    __IO     uint16_t RXDPKTBUFDIS;                  /*!< RX Double Packet Buffer Disable for Endpoints 1 to 3 */
    __IO     uint16_t TXDPKTBUFDIS;                  /*!< TX Double Packet Buffer Disable  for Endpoints 1 to 3 */
    __I      uint8_t                  RESERVED8[28];
    __IO     uint16_t LPM_ATTR;                      /*!< LPM Attribute Register */
    __IO      uint8_t LPM_CTL;                       /*!< LPM Control Register */
    __IO      uint8_t LPM_IEN;                       /*!< LPM Interrupt Enable Register */
    __I       uint8_t LPM_IRQ;                       /*!< LPM Interrupt Status Register */
    __IO      uint8_t LPM_FADDR;                     /*!< LPM Function Address Register */
    __I      uint8_t                  RESERVED9[26];
    __IO      uint8_t VBUS_CTL;                      /*!< VBUS Control Register */
    __I      uint8_t                 RESERVED10;
    __IO      uint8_t IDCTL;                         /*!< ID Control */
    __I      uint8_t                 RESERVED11[25];
    __IO     uint16_t PHY_CTL;                       /*!< FS PHY Control */
    __I      uint16_t PHY_STAT;                      /*!< FS PHY Status */
} ADI_USB_TypeDef;


/*!
 * \struct ADI_EFS_TypeDef
 * \brief  Efuse Controller
*/
typedef struct
{
    __IO     uint32_t CTL;                           /*!< Control Register */
    __I      uint8_t                  RESERVED0[4];
    __I      uint32_t DAT0;                          /*!< Data Register 0 */
    __I      uint32_t DAT1;                          /*!< Data Register 1 */
    __I      uint32_t DAT2;                          /*!< Data Register 2 */
    __I      uint32_t DAT3;                          /*!< Data Register 3 */
    __I      uint32_t DAT4;                          /*!< Data Register 4 */
    __I      uint32_t DAT5;                          /*!< Data Register 5 */
    __I      uint32_t DAT6;                          /*!< Data Register 6 */
    __I      uint32_t DAT7;                          /*!< Data Register 7 */
    __IO     uint32_t PGM0;                          /*!< Program Register 0 */
    __IO     uint32_t PGM1;                          /*!< Program Register 1 */
    __IO     uint32_t PGM2;                          /*!< Program Register 2 */
    __IO     uint32_t PGM3;                          /*!< Program Register 3 */
    __IO     uint32_t PGM4;                          /*!< Program Register 4 */
    __IO     uint32_t PGM5;                          /*!< Program Register 5 */
    __IO     uint32_t PGM6;                          /*!< Program Register 6 */
    __IO     uint32_t PGM7;                          /*!< Program Register 7 */
    __I      uint8_t                  RESERVED1[52];
    __IO     uint32_t PGM_TIMING;                    /*!< Program Timing Config Register */
} ADI_EFS_TypeDef;


/*!
 * \struct ADI_SCB_TypeDef
 * \brief  System Crossbar
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[270368];
    __IO     uint32_t MST00_IB_SYNC;                 /*!< Master 0 IB Sync Mode */
    __I      uint8_t                  RESERVED1[220];
    __IO     uint32_t MST00_IB_RQOS;                 /*!< Master 0 Read Quality of Service */
    __IO     uint32_t MST00_IB_WQOS;                 /*!< Master 0 Write Quality of Service */
    __I      uint8_t                  RESERVED2[3864];
    __IO     uint32_t MST01_IB_SYNC;                 /*!< Master 1 IB Sync Mode */
    __I      uint8_t                  RESERVED3[220];
    __IO     uint32_t MST01_IB_RQOS;                 /*!< Master 1 Read Quality of Service */
    __IO     uint32_t MST01_IB_WQOS;                 /*!< Master 1 Write Quality of Service */
    __I      uint8_t                  RESERVED4[4088];
    __IO     uint32_t MST02_RQOS;                    /*!< Master 2 Read Quality of Service */
    __IO     uint32_t MST02_WQOS;                    /*!< Master 2 Write Quality of Service */
    __I      uint8_t                  RESERVED5[4088];
    __IO     uint32_t MST03_RQOS;                    /*!< Master 3 Read Quality of Service */
    __IO     uint32_t MST03_WQOS;                    /*!< Master 3 Write Quality of Service */
    __I      uint8_t                  RESERVED6[4088];
    __IO     uint32_t MST04_RQOS;                    /*!< Master 4 Read Quality of Service */
    __IO     uint32_t MST04_WQOS;                    /*!< Master 4 Write Quality of Service */
    __I      uint8_t                  RESERVED7[4088];
    __IO     uint32_t MST05_RQOS;                    /*!< Master 5 Read Quality of Service */
    __IO     uint32_t MST05_WQOS;                    /*!< Master 5 Write Quality of Service */
    __I      uint8_t                  RESERVED8[4088];
    __IO     uint32_t MST06_RQOS;                    /*!< Master 6 Read Quality of Service */
    __IO     uint32_t MST06_WQOS;                    /*!< Master 6 Write Quality of Service */
    __I      uint8_t                  RESERVED9[4088];
    __IO     uint32_t MST07_RQOS;                    /*!< Master 7 Read Quality of Service */
    __IO     uint32_t MST07_WQOS;                    /*!< Master 7 Write Quality of Service */
    __I      uint8_t                 RESERVED10[4088];
    __IO     uint32_t MST08_RQOS;                    /*!< Master 8 Read Quality of Service */
    __IO     uint32_t MST08_WQOS;                    /*!< Master 8 Write Quality of Service */
    __I      uint8_t                 RESERVED11[4088];
    __IO     uint32_t MST09_RQOS;                    /*!< Master 9 Read Quality of Service */
    __IO     uint32_t MST09_WQOS;                    /*!< Master 9 Write Quality of Service */
    __I      uint8_t                 RESERVED12[4088];
    __IO     uint32_t MST10_RQOS;                    /*!< Master 10 Read Quality of Service */
    __IO     uint32_t MST10_WQOS;                    /*!< Master 10 Write Quality of Service */
    __I      uint8_t                 RESERVED13[4088];
    __IO     uint32_t MST11_RQOS;                    /*!< Master 11 Read Quality of Service */
    __IO     uint32_t MST11_WQOS;                    /*!< Master 11 Write Quality of Service */
    __I      uint8_t                 RESERVED14[4088];
    __IO     uint32_t MST12_RQOS;                    /*!< Master 12 Read Quality of Service */
    __IO     uint32_t MST12_WQOS;                    /*!< Master 12 Write Quality of Service */
    __I      uint8_t                 RESERVED15[4088];
    __IO     uint32_t MST13_RQOS;                    /*!< Master 13 Read Quality of Service */
    __IO     uint32_t MST13_WQOS;                    /*!< Master 13 Write Quality of Service */
    __I      uint8_t                 RESERVED16[4088];
    __IO     uint32_t MST14_RQOS;                    /*!< Master 14 Read Quality of Service */
    __IO     uint32_t MST14_WQOS;                    /*!< Master 14 Write Quality of Service */
    __I      uint8_t                 RESERVED17[4088];
    __IO     uint32_t MST15_RQOS;                    /*!< Master 15 Read Quality of Service */
    __IO     uint32_t MST15_WQOS;                    /*!< Master 15 Write Quality of Service */
    __I      uint8_t                 RESERVED18[4088];
    __IO     uint32_t MST16_RQOS;                    /*!< Master 16 Read Quality of Service */
    __IO     uint32_t MST16_WQOS;                    /*!< Master 16 Write Quality of Service */
    __I      uint8_t                 RESERVED19[4088];
    __IO     uint32_t MST17_RQOS;                    /*!< Master 17 Read Quality of Service */
    __IO     uint32_t MST17_WQOS;                    /*!< Master 17 Write Quality of Service */
    __I      uint8_t                 RESERVED20[4088];
    __IO     uint32_t MST18_RQOS;                    /*!< Master 18 Read Quality of Service */
    __IO     uint32_t MST18_WQOS;                    /*!< Master 18 Write Quality of Service */
    __I      uint8_t                 RESERVED21[4088];
    __IO     uint32_t MST19_RQOS;                    /*!< Master 19 Read Quality of Service */
    __IO     uint32_t MST19_WQOS;                    /*!< Master 19 Write Quality of Service */
    __I      uint8_t                 RESERVED22[4088];
    __IO     uint32_t MST20_RQOS;                    /*!< Master20 Read Quality of Service */
    __IO     uint32_t MST20_WQOS;                    /*!< Master 20 Write Quality of Service */
    __I      uint8_t                 RESERVED23[4088];
    __IO     uint32_t MST21_RQOS;                    /*!< Master 21 Read Quality of Service */
    __IO     uint32_t MST21_WQOS;                    /*!< Master 21 Write Quality of Service */
    __I      uint8_t                 RESERVED24[4088];
    __IO     uint32_t MST22_RQOS;                    /*!< Master 22 Read Quality of Service */
    __IO     uint32_t MST22_WQOS;                    /*!< Master 22 Write Quality of Service */
    __I      uint8_t                 RESERVED25[4088];
    __IO     uint32_t MST23_RQOS;                    /*!< Master 23 Read Quality of Service */
    __IO     uint32_t MST23_WQOS;                    /*!< Master 23 Write Quality of Service */
    __I      uint8_t                 RESERVED26[4088];
    __IO     uint32_t MST24_RQOS;                    /*!< Master 24 Read Quality of Service */
    __IO     uint32_t MST24_WQOS;                    /*!< Master 24 Write Quality of Service */
    __I      uint8_t                 RESERVED27[4088];
    __IO     uint32_t MST25_RQOS;                    /*!< Master 25 Read Quality of Service */
    __IO     uint32_t MST25_WQOS;                    /*!< Master 25 Write Quality of Service */
    __I      uint8_t                 RESERVED28[4088];
    __IO     uint32_t MST26_RQOS;                    /*!< Master 26 Read Quality of Service */
    __IO     uint32_t MST26_WQOS;                    /*!< Master 26 Write Quality of Service */
} ADI_SCB_TypeDef;


/*!
 * \struct ADI_DWT_TypeDef
 * \brief  Data Watchpoint and Trace Unit
*/
typedef struct
{
    __IO     uint32_t CTRL;                          /*!< DWT Control Register */
    __IO     uint32_t CYCCNT;                        /*!< DWT Current PC Sampler Cycle Count Register */
    __IO     uint32_t CPICNT;                        /*!< DWT CPI Count Register */
    __IO     uint32_t EXCCNT;                        /*!< DWT Exception Overhead Count Register */
    __IO     uint32_t SLEEPCNT;                      /*!< DWT Sleep Count Register */
    __IO     uint32_t LSUCNT;                        /*!< DWT LSU Count Register */
    __IO     uint32_t FOLDCNT;                       /*!< DWT Fold Count Register */
    __I      uint32_t PCSR;                          /*!< DWT Program Counter Sample Register */
    __IO     uint32_t COMP0;                         /*!< DWT Comparator Register 0 */
    __IO     uint32_t MSK0;                          /*!< DWT Mask Register 0 */
    __IO     uint32_t FUNCTION0;                     /*!< DWT Function Register 0 */
    __I      uint8_t                  RESERVED0[4];
    __IO     uint32_t COMP1;                         /*!< DWT Comparator Register 1 */
    __IO     uint32_t MSK1;                          /*!< DWT Mask Register 1 */
    __IO     uint32_t FUNCTION1;                     /*!< DWT Function Register 1 */
    __I      uint8_t                  RESERVED1[4];
    __IO     uint32_t COMP2;                         /*!< DWT Comparator Register 2 */
    __IO     uint32_t MSK2;                          /*!< DWT Mask Register 2 */
    __IO     uint32_t FUNCTION2;                     /*!< DWT Function Register 2 */
    __I      uint8_t                  RESERVED2[4];
    __IO     uint32_t COMP3;                         /*!< DWT Comparator Register 3 */
    __IO     uint32_t MSK3;                          /*!< DWT Mask Register 3 */
    __IO     uint32_t FUNCTION3;                     /*!< DWT Function Register 3 */
} ADI_DWT_TypeDef;


/*!
 * \struct ADI_SCS_TypeDef
 * \brief  System Control Space
*/
typedef struct
{
    __I      uint8_t                  RESERVED0[4];
    __I      uint32_t ICTR;                          /*!< Interrupt Control Type Register */
    __IO     uint32_t ACTLR;                         /*!< Auxiliary Control Register */
    __I      uint8_t                  RESERVED1[4];
    __IO     uint32_t STCSR;                         /*!< SysTick Control and Status Register */
    __IO     uint32_t STRVR;                         /*!< SysTick Reload Value Register */
    __IO     uint32_t STCVR;                         /*!< SysTick Current Value Register */
    __I      uint32_t STCR;                          /*!< SysTick Calibration Value Register */
    __I      uint8_t                  RESERVED2[224];
    __IO     uint32_t NVIC_ISER[5];                  /*!< Irq  Set Enable Register n */
    __I      uint8_t                  RESERVED3[108];
    __IO     uint32_t NVIC_ICER[5];                  /*!< Irq Clear Enable Register n */
    __I      uint8_t                  RESERVED4[108];
    __IO     uint32_t NVIC_ISPR[5];                  /*!< Irq Set Pending Register n */
    __I      uint8_t                  RESERVED5[108];
    __IO     uint32_t NVIC_ICPR[5];                  /*!< Irq Clear Pending Register n */
    __I      uint8_t                  RESERVED6[108];
    __I      uint32_t NVIC_IABR[5];                  /*!< Irq Active Bit Register n */
    __I      uint8_t                  RESERVED7[236];
    __IO     uint32_t NVIC_IPR[33];                  /*!< Irq Priority Register nn */
    __I      uint8_t                  RESERVED8[2172];
    __I      uint32_t CPUID;                         /*!< CPUID Base Register */
    __IO     uint32_t ICSR;                          /*!< Interrupt Control State Register */
    __IO     uint32_t VTOR;                          /*!< Vector Table Offset Register */
    __IO     uint32_t AIRCR;                         /*!< Application Interrupt/Reset Control Register */
    __IO     uint32_t SCR;                           /*!< System Control Register */
    __IO     uint32_t CCR;                           /*!< Configuration Control Register */
    __IO     uint32_t SHPR1;                         /*!< System Handlers 4-7 Priority Register */
    __IO     uint32_t SHPR2;                         /*!< System Handlers 8-11 Priority Register */
    __IO     uint32_t SHPR3;                         /*!< System Handlers 12-15 Priority Register */
    __IO     uint32_t SHCSR;                         /*!< System Handler Control and State Register */
    __IO     uint32_t CFSR;                          /*!< Configurable Fault Status Registers */
    __IO     uint32_t HFSR;                          /*!< Hard Fault Status Register */
    __IO     uint32_t DFSR;                          /*!< Debug Fault Status Register */
    __IO     uint32_t MMFAR;                         /*!< Mem Manage Fault Address Register */
    __IO     uint32_t BFAR;                          /*!< Bus Fault Address Register */
    __IO     uint32_t AFSR;                          /*!< Auxiliary Fault Status Register */
    __I      uint8_t                  RESERVED9[72];
    __IO     uint32_t CPACR;                         /*!< Coprocessor Access Control Register */
    __I      uint8_t                 RESERVED10[4];
    __I      uint32_t MPU_TYPE;                      /*!< MPU Type Register */
    __IO     uint32_t MPU_CTRL;                      /*!< MPU Control Register */
    __IO     uint32_t MPU_RNR;                       /*!< MPU Region Number Register */
    __IO     uint32_t MPU_RBAR;                      /*!< MPU Region Base Address Register */
    __IO     uint32_t MPU_RASR;                      /*!< MPU Region Attribute and Size Register */
    __IO     uint32_t MPU_RBAR_A1;                   /*!< MPU Alias 1 Region Base Address register */
    __IO     uint32_t MPU_RASR_A1;                   /*!< MPU Alias 1 Region Attribute and Size register */
    __IO     uint32_t MPU_RBAR_A2;                   /*!< MPU Alias 2 Region Base Address register */
    __IO     uint32_t MPU_RASR_A2;                   /*!< MPU Alias 2 Region Attribute and Size register */
    __IO     uint32_t MPU_RBAR_A3;                   /*!< MPU Alias 3 Region Base Address register */
    __IO     uint32_t MPU_RASR_A3;                   /*!< MPU Alias 3 Region Attribute and Size register */
    __I      uint8_t                 RESERVED11[324];
    __IO     uint32_t STIR;                          /*!< Software Trigger Interrupt Register */
    __I      uint8_t                 RESERVED12[48];
    __IO     uint32_t FPCCR;                         /*!< Floating Point Context Control Register */
    __IO     uint32_t FPCAR;                         /*!< Floating-Point Context Address Register */
    __IO     uint32_t FPDSCR;                        /*!< Floating Point Default Status Control Register */
} ADI_SCS_TypeDef;


/*!
 * \struct ADI_M4P_TypeDef
 * \brief  M4P System Controller
*/
typedef struct
{
    __IO     uint32_t CACHE_CFG;                     /*!< Code Cache Configuration and Status Register */
    __IO     uint32_t CACHE_PEADDR;                  /*!< Code Cache Parity Error Address Register */
    __IO     uint32_t CACHE_MEMX;                    /*!< MEMX Space Configuration Register */
    __IO     uint32_t CACHE_MEMY;                    /*!< MEMY Space Configuration Register */
    __I      uint8_t                  RESERVED0[16];
    __IO     uint32_t SRAM_CFG;                      /*!< SRAM Configuration Register */
    __IO     uint32_t SRAM_PEADDR_CORE;              /*!< SRAM Parity Error Address (Core) Register */
    __IO     uint32_t SRAM_PEADDR_DMA;               /*!< SRAM Parity Error Address (DMA) Register */
    __IO     uint32_t BUSFLT;                        /*!< Bus Fault Error Information Register */
    __IO     uint32_t STCALIB;                       /*!< SysTick Calibration Register */
    __I      uint8_t                  RESERVED1[12];
    __IO     uint32_t CACHE_CNTCTL;                  /*!< Cache Counter Control Register */
    __IO     uint32_t CACHE_IREF;                    /*!< Cache ICODE Reference Counter Register */
    __IO     uint32_t CACHE_DREF;                    /*!< Cache DCODE Reference Counter Register */
    __IO     uint32_t CACHE_IMISS;                   /*!< Cache ICODE Miss Counter Register */
    __IO     uint32_t CACHE_DMISS;                   /*!< Cache DCODE Miss Counter Register */
    __IO     uint32_t CACHE_IFILL;                   /*!< Cache ICODE Line Fill Counter Register */
    __IO     uint32_t CACHE_DFILL;                   /*!< Cache DCODE Line Fill Counter Register */
} ADI_M4P_TypeDef;

/** Peripheral Memory Map Declarations
  */
#define ADI_TIMER0_BASE                0x40000800    /*!<  Base address of TIMER0 */
#define ADI_TWI0_BASE                  0x40000c00    /*!<  Base address of TWI0 */
#define ADI_SPORT0_BASE                0x40001000    /*!<  Base address of SPORT0 */
#define ADI_SPORT1_BASE                0x40001100    /*!<  Base address of SPORT1 */
#define ADI_CRC0_BASE                  0x40001c00    /*!<  Base address of CRC0 */
#define ADI_EMUID0_BASE                0x40002000    /*!<  Base address of EMUID0 */
#define ADI_CAN0_BASE                  0x40002200    /*!<  Base address of CAN0 */
#define ADI_CAN1_BASE                  0x40002a00    /*!<  Base address of CAN1 */
#define ADI_UART0_BASE                 0x40003000    /*!<  Base address of UART0 */
#define ADI_UART1_BASE                 0x40003400    /*!<  Base address of UART1 */
#define ADI_UART2_BASE                 0x40004000    /*!<  Base address of UART2 */
#define ADI_PORTA_BASE                 0x40005000    /*!<  Base address of PORTA */
#define ADI_PORTB_BASE                 0x40005080    /*!<  Base address of PORTB */
#define ADI_PORTC_BASE                 0x40005100    /*!<  Base address of PORTC */
#define ADI_PORTD_BASE                 0x40005180    /*!<  Base address of PORTD */
#define ADI_PORTE_BASE                 0x40005200    /*!<  Base address of PORTE */
#define ADI_PORTF_BASE                 0x40005280    /*!<  Base address of PORTF */
#define ADI_PADS0_BASE                 0x40005400    /*!<  Base address of PADS0 */
#define ADI_PINT0_BASE                 0x40006000    /*!<  Base address of PINT0 */
#define ADI_PINT1_BASE                 0x40006100    /*!<  Base address of PINT1 */
#define ADI_PINT2_BASE                 0x40006200    /*!<  Base address of PINT2 */
#define ADI_PINT3_BASE                 0x40006300    /*!<  Base address of PINT3 */
#define ADI_PINT4_BASE                 0x40006400    /*!<  Base address of PINT4 */
#define ADI_SMC0_BASE                  0x40007000    /*!<  Base address of SMC0 */
#define ADI_PWM0_BASE                  0x40008000    /*!<  Base address of PWM0 */
#define ADI_PWM1_BASE                  0x40008400    /*!<  Base address of PWM1 */
#define ADI_PWM2_BASE                  0x40008800    /*!<  Base address of PWM2 */
#define ADI_CNT0_BASE                  0x40009000    /*!<  Base address of CNT0 */
#define ADI_CNT1_BASE                  0x4000a000    /*!<  Base address of CNT1 */
#define ADI_CNT2_BASE                  0x4000b000    /*!<  Base address of CNT2 */
#define ADI_CNT3_BASE                  0x4000c000    /*!<  Base address of CNT3 */
#define ADI_SINC0_BASE                 0x4000d000    /*!<  Base address of SINC0 */
#define ADI_ADCC0_BASE                 0x4000e000    /*!<  Base address of ADCC0 */
#define ADI_DACC0_BASE                 0x4000f000    /*!<  Base address of DACC0 */
#define ADI_DMA0_BASE                  0x40010000    /*!<  Base address of DMA0 */
#define ADI_DMA1_BASE                  0x40010080    /*!<  Base address of DMA1 */
#define ADI_DMA2_BASE                  0x40010100    /*!<  Base address of DMA2 */
#define ADI_DMA3_BASE                  0x40010180    /*!<  Base address of DMA3 */
#define ADI_DMA4_BASE                  0x40010200    /*!<  Base address of DMA4 */
#define ADI_DMA5_BASE                  0x40010280    /*!<  Base address of DMA5 */
#define ADI_DMA6_BASE                  0x40011000    /*!<  Base address of DMA6 */
#define ADI_DMA7_BASE                  0x40011080    /*!<  Base address of DMA7 */
#define ADI_DMA8_BASE                  0x40011100    /*!<  Base address of DMA8 */
#define ADI_DMA9_BASE                  0x40011180    /*!<  Base address of DMA9 */
#define ADI_DMA10_BASE                 0x40011200    /*!<  Base address of DMA10 */
#define ADI_DMA11_BASE                 0x40011280    /*!<  Base address of DMA11 */
#define ADI_DMA12_BASE                 0x40012000    /*!<  Base address of DMA12 */
#define ADI_DMA13_BASE                 0x40012080    /*!<  Base address of DMA13 */
#define ADI_DMA14_BASE                 0x40012100    /*!<  Base address of DMA14 */
#define ADI_DMA15_BASE                 0x40012180    /*!<  Base address of DMA15 */
#define ADI_DMA16_BASE                 0x40012200    /*!<  Base address of DMA16 */
#define ADI_DMA17_BASE                 0x40013000    /*!<  Base address of DMA17 */
#define ADI_DMA18_BASE                 0x40013080    /*!<  Base address of DMA18 */
#define ADI_DMA19_BASE                 0x40013100    /*!<  Base address of DMA19 */
#define ADI_DMA20_BASE                 0x40013180    /*!<  Base address of DMA20 */
#define ADI_RCU0_BASE                  0x40014000    /*!<  Base address of RCU0 */
#define ADI_TRU0_BASE                  0x40015000    /*!<  Base address of TRU0 */
#define ADI_CGU0_BASE                  0x40016000    /*!<  Base address of CGU0 */
#define ADI_DPM0_BASE                  0x40017000    /*!<  Base address of DPM0 */
#define ADI_HAE0_BASE                  0x40018000    /*!<  Base address of HAE0 */
#define ADI_EMAC0_BASE                 0x40020000    /*!<  Base address of EMAC0 */
#define ADI_SWU0_BASE                  0x40022000    /*!<  Base address of SWU0 */
#define ADI_SWU1_BASE                  0x40023000    /*!<  Base address of SWU1 */
#define ADI_SWU2_BASE                  0x40024000    /*!<  Base address of SWU2 */
#define ADI_SWU3_BASE                  0x40025000    /*!<  Base address of SWU3 */
#define ADI_SWU4_BASE                  0x40026000    /*!<  Base address of SWU4 */
#define ADI_SPU0_BASE                  0x40027000    /*!<  Base address of SPU0 */
#define ADI_SEC0_BASE                  0x40028000    /*!<  Base address of SEC0 */
#define ADI_JTAG0_BASE                 0x40029000    /*!<  Base address of JTAG0 */
#define ADI_SPI0_BASE                  0x4002a000    /*!<  Base address of SPI0 */
#define ADI_SPI1_BASE                  0x4002b000    /*!<  Base address of SPI1 */
#define ADI_SPI2_BASE                  0x4002c000    /*!<  Base address of SPI2 */
#define ADI_WDOG0_BASE                 0x4002d000    /*!<  Base address of WDOG0 */
#define ADI_USB0_BASE                  0x40030000    /*!<  Base address of USB0 */
#define ADI_EFS0_BASE                  0x40031000    /*!<  Base address of EFS0 */
#define ADI_SCB0_BASE                  0x40100000    /*!<  Base address of SCB0 */
#define ADI_DWT0_BASE                  0xe0001000    /*!<  Base address of DWT0 */
#define ADI_SCS0_BASE                  0xe000e000    /*!<  Base address of SCS0 */
#define ADI_M4P0_BASE                  0xf0000000    /*!<  Base address of M4P0 */

/* @} */

/*******************************************************************************
 *    Peripheral Pointer Declarations
 *******************************************************************************
 * @defgroup PPTRDEC Peripheral Pointer Declarations
 * \addtogroup PPTRDEC
 * @{
 */
#define pADI_TIMER0                    ((ADI_TIMER_TypeDef    *) ADI_TIMER0_BASE     ) /*!<  Pointer to GP Timer Interface (TIMER0) */
#define pADI_TWI0                      ((ADI_TWI_TypeDef      *) ADI_TWI0_BASE       ) /*!<  Pointer to Two-Wire Interface (TWI0) */
#define pADI_SPORT0                    ((ADI_SPORT_TypeDef    *) ADI_SPORT0_BASE     ) /*!<  Pointer to Synchronous Serial Port (SPORT0) */
#define pADI_SPORT1                    ((ADI_SPORT_TypeDef    *) ADI_SPORT1_BASE     ) /*!<  Pointer to Synchronous Serial Port (SPORT1) */
#define pADI_CRC0                      ((ADI_CRC_TypeDef      *) ADI_CRC0_BASE       ) /*!<  Pointer to CRC Module (CRC0) */
#define pADI_EMUID0                    ((ADI_EMUID_TypeDef    *) ADI_EMUID0_BASE     ) /*!<  Pointer to CHIP ID for Emulator (EMUID0) */
#define pADI_CAN0                      ((ADI_CAN_TypeDef      *) ADI_CAN0_BASE       ) /*!<  Pointer to CAN Controller (CAN0) */
#define pADI_CAN1                      ((ADI_CAN_TypeDef      *) ADI_CAN1_BASE       ) /*!<  Pointer to CAN Controller (CAN1) */
#define pADI_UART0                     ((ADI_UART_TypeDef     *) ADI_UART0_BASE      ) /*!<  Pointer to UART Controller (UART0) */
#define pADI_UART1                     ((ADI_UART_TypeDef     *) ADI_UART1_BASE      ) /*!<  Pointer to UART Controller (UART1) */
#define pADI_UART2                     ((ADI_UART_TypeDef     *) ADI_UART2_BASE      ) /*!<  Pointer to UART Controller (UART2) */
#define pADI_PORTA                     ((ADI_PORT_TypeDef     *) ADI_PORTA_BASE      ) /*!<  Pointer to Port Controller (PORTA) */
#define pADI_PORTB                     ((ADI_PORT_TypeDef     *) ADI_PORTB_BASE      ) /*!<  Pointer to Port Controller (PORTB) */
#define pADI_PORTC                     ((ADI_PORT_TypeDef     *) ADI_PORTC_BASE      ) /*!<  Pointer to Port Controller (PORTC) */
#define pADI_PORTD                     ((ADI_PORT_TypeDef     *) ADI_PORTD_BASE      ) /*!<  Pointer to Port Controller (PORTD) */
#define pADI_PORTE                     ((ADI_PORT_TypeDef     *) ADI_PORTE_BASE      ) /*!<  Pointer to Port Controller (PORTE) */
#define pADI_PORTF                     ((ADI_PORT_TypeDef     *) ADI_PORTF_BASE      ) /*!<  Pointer to Port Controller (PORTF) */
#define pADI_PADS0                     ((ADI_PADS_TypeDef     *) ADI_PADS0_BASE      ) /*!<  Pointer to Pads Controller (PADS0) */
#define pADI_PINT0                     ((ADI_PINT_TypeDef     *) ADI_PINT0_BASE      ) /*!<  Pointer to Port Interrupt Controller (PINT0) */
#define pADI_PINT1                     ((ADI_PINT_TypeDef     *) ADI_PINT1_BASE      ) /*!<  Pointer to Port Interrupt Controller (PINT1) */
#define pADI_PINT2                     ((ADI_PINT_TypeDef     *) ADI_PINT2_BASE      ) /*!<  Pointer to Port Interrupt Controller (PINT2) */
#define pADI_PINT3                     ((ADI_PINT_TypeDef     *) ADI_PINT3_BASE      ) /*!<  Pointer to Port Interrupt Controller (PINT3) */
#define pADI_PINT4                     ((ADI_PINT_TypeDef     *) ADI_PINT4_BASE      ) /*!<  Pointer to Port Interrupt Controller (PINT4) */
#define pADI_SMC0                      ((ADI_SMC_TypeDef      *) ADI_SMC0_BASE       ) /*!<  Pointer to Static Memory Controller (SMC0) */
#define pADI_PWM0                      ((ADI_PWM_TypeDef      *) ADI_PWM0_BASE       ) /*!<  Pointer to PWM Unit (PWM0) */
#define pADI_PWM1                      ((ADI_PWM_TypeDef      *) ADI_PWM1_BASE       ) /*!<  Pointer to PWM Unit (PWM1) */
#define pADI_PWM2                      ((ADI_PWM_TypeDef      *) ADI_PWM2_BASE       ) /*!<  Pointer to PWM Unit (PWM2) */
#define pADI_CNT0                      ((ADI_CNT_TypeDef      *) ADI_CNT0_BASE       ) /*!<  Pointer to GP Counter Interface (CNT0) */
#define pADI_CNT1                      ((ADI_CNT_TypeDef      *) ADI_CNT1_BASE       ) /*!<  Pointer to GP Counter Interface (CNT1) */
#define pADI_CNT2                      ((ADI_CNT_TypeDef      *) ADI_CNT2_BASE       ) /*!<  Pointer to GP Counter Interface (CNT2) */
#define pADI_CNT3                      ((ADI_CNT_TypeDef      *) ADI_CNT3_BASE       ) /*!<  Pointer to GP Counter Interface (CNT3) */
#define pADI_SINC0                     ((ADI_SINC_TypeDef     *) ADI_SINC0_BASE      ) /*!<  Pointer to SINC Unit (SINC0) */
#define pADI_ADCC0                     ((ADI_ADCC_TypeDef     *) ADI_ADCC0_BASE      ) /*!<  Pointer to ADC Controller (ADCC0) */
#define pADI_DACC0                     ((ADI_DACC_TypeDef     *) ADI_DACC0_BASE      ) /*!<  Pointer to DAC Controller (DACC0) */
#define pADI_DMA0                      ((ADI_DMA_TypeDef      *) ADI_DMA0_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (DMA0) */
#define pADI_SPORT0_A_DMA              ((ADI_DMA_TypeDef      *) ADI_DMA0_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (SPORT0_A_DMA) */
#define pADI_DMA1                      ((ADI_DMA_TypeDef      *) ADI_DMA1_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (DMA1) */
#define pADI_SPORT0_B_DMA              ((ADI_DMA_TypeDef      *) ADI_DMA1_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (SPORT0_B_DMA) */
#define pADI_DMA2                      ((ADI_DMA_TypeDef      *) ADI_DMA2_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (DMA2) */
#define pADI_SPI0_TXDMA                ((ADI_DMA_TypeDef      *) ADI_DMA2_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (SPI0_TXDMA) */
#define pADI_DMA3                      ((ADI_DMA_TypeDef      *) ADI_DMA3_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (DMA3) */
#define pADI_SPI0_RXDMA                ((ADI_DMA_TypeDef      *) ADI_DMA3_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (SPI0_RXDMA) */
#define pADI_DMA4                      ((ADI_DMA_TypeDef      *) ADI_DMA4_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (DMA4) */
#define pADI_UART0_TXDMA               ((ADI_DMA_TypeDef      *) ADI_DMA4_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (UART0_TXDMA) */
#define pADI_DMA5                      ((ADI_DMA_TypeDef      *) ADI_DMA5_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (DMA5) */
#define pADI_UART0_RXDMA               ((ADI_DMA_TypeDef      *) ADI_DMA5_BASE       ) /*!<  Pointer to DMA Cluster 0 (SPORT0, SPI0, UART0) (UART0_RXDMA) */
#define pADI_DMA6                      ((ADI_DMA_TypeDef      *) ADI_DMA6_BASE       ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (DMA6) */
#define pADI_SPORT1_A_DMA              ((ADI_DMA_TypeDef      *) ADI_DMA6_BASE       ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (SPORT1_A_DMA) */
#define pADI_DMA7                      ((ADI_DMA_TypeDef      *) ADI_DMA7_BASE       ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (DMA7) */
#define pADI_SPORT1_B_DMA              ((ADI_DMA_TypeDef      *) ADI_DMA7_BASE       ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (SPORT1_B_DMA) */
#define pADI_DMA8                      ((ADI_DMA_TypeDef      *) ADI_DMA8_BASE       ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (DMA8) */
#define pADI_SPI1_TXDMA                ((ADI_DMA_TypeDef      *) ADI_DMA8_BASE       ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (SPI1_TXDMA) */
#define pADI_DMA9                      ((ADI_DMA_TypeDef      *) ADI_DMA9_BASE       ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (DMA9) */
#define pADI_SPI1_RXDMA                ((ADI_DMA_TypeDef      *) ADI_DMA9_BASE       ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (SPI1_RXDMA) */
#define pADI_DMA10                     ((ADI_DMA_TypeDef      *) ADI_DMA10_BASE      ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (DMA10) */
#define pADI_UART1_TXDMA               ((ADI_DMA_TypeDef      *) ADI_DMA10_BASE      ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (UART1_TXDMA) */
#define pADI_DMA11                     ((ADI_DMA_TypeDef      *) ADI_DMA11_BASE      ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (DMA11) */
#define pADI_UART1_RXDMA               ((ADI_DMA_TypeDef      *) ADI_DMA11_BASE      ) /*!<  Pointer to DMA Cluster 1 (SPORT1, SPI1, UART1) (UART1_RXDMA) */
#define pADI_DMA12                     ((ADI_DMA_TypeDef      *) ADI_DMA12_BASE      ) /*!<  Pointer to DMA Cluster 2 (UART2, HAE) (DMA12) */
#define pADI_UART2_TXDMA               ((ADI_DMA_TypeDef      *) ADI_DMA12_BASE      ) /*!<  Pointer to DMA Cluster 2 (UART2, HAE) (UART2_TXDMA) */
#define pADI_DMA13                     ((ADI_DMA_TypeDef      *) ADI_DMA13_BASE      ) /*!<  Pointer to DMA Cluster 2 (UART2, HAE) (DMA13) */
#define pADI_UART2_RXDMA               ((ADI_DMA_TypeDef      *) ADI_DMA13_BASE      ) /*!<  Pointer to DMA Cluster 2 (UART2, HAE) (UART2_RXDMA) */
#define pADI_DMA14                     ((ADI_DMA_TypeDef      *) ADI_DMA14_BASE      ) /*!<  Pointer to DMA Cluster 2 (UART2, HAE) (DMA14) */
#define pADI_HAE0_RXDMA_CH0            ((ADI_DMA_TypeDef      *) ADI_DMA14_BASE      ) /*!<  Pointer to DMA Cluster 2 (UART2, HAE) (HAE0_RXDMA_CH0) */
#define pADI_DMA15                     ((ADI_DMA_TypeDef      *) ADI_DMA15_BASE      ) /*!<  Pointer to DMA Cluster 2 (UART2, HAE) (DMA15) */
#define pADI_HAE0_RXDMA_CH1            ((ADI_DMA_TypeDef      *) ADI_DMA15_BASE      ) /*!<  Pointer to DMA Cluster 2 (UART2, HAE) (HAE0_RXDMA_CH1) */
#define pADI_DMA16                     ((ADI_DMA_TypeDef      *) ADI_DMA16_BASE      ) /*!<  Pointer to DMA Cluster 2 (UART2, HAE) (DMA16) */
#define pADI_HAE0_TXDMA                ((ADI_DMA_TypeDef      *) ADI_DMA16_BASE      ) /*!<  Pointer to DMA Cluster 2 (UART2, HAE) (HAE0_TXDMA) */
#define pADI_DMA17                     ((ADI_DMA_TypeDef      *) ADI_DMA17_BASE      ) /*!<  Pointer to DMA Cluster 3 (MDMA Streams 0 and 1) (DMA17) */
#define pADI_MDMA0_SRC                 ((ADI_DMA_TypeDef      *) ADI_DMA17_BASE      ) /*!<  Pointer to DMA Cluster 3 (MDMA Streams 0 and 1) (MDMA0_SRC) */
#define pADI_DMA18                     ((ADI_DMA_TypeDef      *) ADI_DMA18_BASE      ) /*!<  Pointer to DMA Cluster 3 (MDMA Streams 0 and 1) (DMA18) */
#define pADI_MDMA0_DST                 ((ADI_DMA_TypeDef      *) ADI_DMA18_BASE      ) /*!<  Pointer to DMA Cluster 3 (MDMA Streams 0 and 1) (MDMA0_DST) */
#define pADI_DMA19                     ((ADI_DMA_TypeDef      *) ADI_DMA19_BASE      ) /*!<  Pointer to DMA Cluster 3 (MDMA Streams 0 and 1) (DMA19) */
#define pADI_MDMA1_SRC                 ((ADI_DMA_TypeDef      *) ADI_DMA19_BASE      ) /*!<  Pointer to DMA Cluster 3 (MDMA Streams 0 and 1) (MDMA1_SRC) */
#define pADI_DMA20                     ((ADI_DMA_TypeDef      *) ADI_DMA20_BASE      ) /*!<  Pointer to DMA Cluster 3 (MDMA Streams 0 and 1) (DMA20) */
#define pADI_MDMA1_DST                 ((ADI_DMA_TypeDef      *) ADI_DMA20_BASE      ) /*!<  Pointer to DMA Cluster 3 (MDMA Streams 0 and 1) (MDMA1_DST) */
#define pADI_RCU0                      ((ADI_RCU_TypeDef      *) ADI_RCU0_BASE       ) /*!<  Pointer to Reset Control Unit (RCU0) */
#define pADI_TRU0                      ((ADI_TRU_TypeDef      *) ADI_TRU0_BASE       ) /*!<  Pointer to Trigger Routing Unit (TRU0) */
#define pADI_CGU0                      ((ADI_CGU_TypeDef      *) ADI_CGU0_BASE       ) /*!<  Pointer to Clock Generation Unit (CGU0) */
#define pADI_DPM0                      ((ADI_DPM_TypeDef      *) ADI_DPM0_BASE       ) /*!<  Pointer to Dynamic Power Management Controller (DPM0) */
#define pADI_HAE0                      ((ADI_HAE_TypeDef      *) ADI_HAE0_BASE       ) /*!<  Pointer to Harmonic Analysis Engine (HAE0) */
#define pADI_EMAC0                     ((ADI_EMAC_TypeDef     *) ADI_EMAC0_BASE      ) /*!<  Pointer to 10/100 Ethernet MAC (EMAC0) */
#define pADI_SWU0                      ((ADI_SWU_TypeDef      *) ADI_SWU0_BASE       ) /*!<  Pointer to System Watchpoint Unit (SWU0) */
#define pADI_SWU1                      ((ADI_SWU_TypeDef      *) ADI_SWU1_BASE       ) /*!<  Pointer to System Watchpoint Unit (SWU1) */
#define pADI_SWU2                      ((ADI_SWU_TypeDef      *) ADI_SWU2_BASE       ) /*!<  Pointer to System Watchpoint Unit (SWU2) */
#define pADI_SWU3                      ((ADI_SWU_TypeDef      *) ADI_SWU3_BASE       ) /*!<  Pointer to System Watchpoint Unit (SWU3) */
#define pADI_SWU4                      ((ADI_SWU_TypeDef      *) ADI_SWU4_BASE       ) /*!<  Pointer to System Watchpoint Unit (SWU4) */
#define pADI_SPU0                      ((ADI_SPU_TypeDef      *) ADI_SPU0_BASE       ) /*!<  Pointer to System Protection Unit (SPU0) */
#define pADI_SEC0                      ((ADI_SEC_TypeDef      *) ADI_SEC0_BASE       ) /*!<  Pointer to SEC Fault Interface (SEC0) */
#define pADI_JTAG0                     ((ADI_JTAG_TypeDef     *) ADI_JTAG0_BASE      ) /*!<  Pointer to JTAG (JTAG0) */
#define pADI_SPI0                      ((ADI_SPI_TypeDef      *) ADI_SPI0_BASE       ) /*!<  Pointer to SPI Controller (SPI0) */
#define pADI_SPI1                      ((ADI_SPI_TypeDef      *) ADI_SPI1_BASE       ) /*!<  Pointer to SPI Controller (SPI1) */
#define pADI_SPI2                      ((ADI_SPI_TypeDef      *) ADI_SPI2_BASE       ) /*!<  Pointer to SPI Controller (SPI2) */
#define pADI_WDOG0                     ((ADI_WDOG_TypeDef     *) ADI_WDOG0_BASE      ) /*!<  Pointer to Watchdog Timer (WDOG0) */
#define pADI_USB0                      ((ADI_USB_TypeDef      *) ADI_USB0_BASE       ) /*!<  Pointer to USB 2.0 FS OTG Controller (USB0) */
#define pADI_EFS0                      ((ADI_EFS_TypeDef      *) ADI_EFS0_BASE       ) /*!<  Pointer to Efuse Controller (EFS0) */
#define pADI_SCB0                      ((ADI_SCB_TypeDef      *) ADI_SCB0_BASE       ) /*!<  Pointer to System Crossbar (SCB0) */
#define pADI_DWT0                      ((ADI_DWT_TypeDef      *) ADI_DWT0_BASE       ) /*!<  Pointer to Data Watchpoint and Trace Unit (DWT0) */
#define pADI_SCS0                      ((ADI_SCS_TypeDef      *) ADI_SCS0_BASE       ) /*!<  Pointer to System Control Space (SCS0) */
#define pADI_M4P0                      ((ADI_M4P_TypeDef      *) ADI_M4P0_BASE       ) /*!<  Pointer to M4P System Controller (M4P0) */

/* @} */

#if defined (_MISRA_RULES)
#pragma diag(pop)
#endif /* _MISRA_RULES */

#endif

