/*! *****************************************************************************
 * @file:    adi_counter.h
 * @brief:   Rotary counter  Device driver definitions  balckfin  family processor.
 * @details: Header File for the counter  driver API functions and definitions
 * @version: $Revision:
 * @date:    $Date:
 *****************************************************************************

Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.
This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/

#ifndef __ADI_COUNTER_H__
#define __ADI_COUNTER_H__

#include <sys/platform.h> 

#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rule_5_1:"Identifiers shall not rely on the significance of more than 31 characters")
#endif /* _MISRA_RULES */

#if defined(__ADSPBF609_FAMILY__) || defined(__ADSPBF548_FAMILY__)   || \
    defined(__ADSPBF527_FAMILY__) || defined(__ADSPBF526_FAMILY__)   || \
    defined(__ADSPBF518_FAMILY__) || defined(__ADSPBF506F_FAMILY__) || \
    defined(ADI_ADSP_CM40Z) || \
    defined(__ADSPBF707_FAMILY__)

#include "adi_counter_bfxxx.h"

#else

#error "Not supported "

#endif


#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */

#endif /* __ADI_COUNTER_H__ */
