/*********************************************************************************

Copyright(c) 2010 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/

/*!
 * @file:    adi_spi.h
 * @brief:   SPI device driver definitions
 * @version: $Revision: 18490 $
 * @date:    $Date: 2013-04-26 13:37:29 -0400 (Fri, 26 Apr 2013) $
 *
 * @details
 *            This is the primary header file for the SPI driver, which contains the
 *            API declarations, data and constant definitions used in the APIs
 */




#ifndef __ADI_SPI_H__
#define __ADI_SPI_H__

#include <sys/platform.h>

/* disable misra diagnostics as necessary */
#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rule_5_1:"Identifiers shall not rely on the significance of more than 31 characters")
#endif /* _MISRA_RULES */


#if defined(__ADSPBF609_FAMILY__) || \
    defined(ADI_ADSP_CM40Z)       || \
    defined(__ADSPBF707_FAMILY__)
#include "adi_spi_bf6xx.h"
#else
#include "adi_spi_reg_bf5xx.h"
#include "adi_spi_bf5xx.h"
#endif

#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */

#endif /* __ADI_SPI_H__ */

/**@}*/
