/*! *****************************************************************************
 * @file:    adi_sport.h
 * @brief:   SPORT(Serial Port) Device driver definitions for Blackfin processor
 * @details: Header File for the SPORT driver API functions and definitions
 * @version: $Revision:
 * @date:    $Date:
 *****************************************************************************

Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.
This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/

#ifndef __ADI_SPORT_H__
#define __ADI_SPORT_H__

#include <sys/platform.h> 


#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rule_5_1:"Identifiers shall not rely on the significance of more than 31 characters")
#endif /* _MISRA_RULES */


#if defined(__ADSPBF609_FAMILY__) || \
    defined(ADI_ADSP_CM40Z)       || \
    defined(__ADSPBF707_FAMILY__)

#include "adi_sport_bf6xx.h"

#else

#include "adi_sport_bf5xx.h"

#endif


#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */

#endif /* __ADI_SPORT_H__ */
