/* resolve name changes and omissions from latest CODA database for ADuCM350 */

/*      -------old name-------		-------new name------- */

#define __adi_usbd_not_required__   0

#if defined(__ADSPARM_FAMILY__)

#define REG_USB0_DMA_CTL0			REG_USB0_DMA0_CTL
#define REG_USB0_DMA_CTL1			REG_USB0_DMA1_CTL
#define REG_USB0_DMA_ADDR0			REG_USB0_DMA0_ADDR
#define REG_USB0_DMA_ADDR1			REG_USB0_DMA1_ADDR
#define REG_USB0_DMA_CNT0			REG_USB0_DMA0_CNT
#define REG_USB0_DMA_CNT1			REG_USB0_DMA1_CNT

#if defined(ADI_ADSP_CM40Z)
#define REG_USB0_DMA_CTL2			REG_USB0_DMA2_CTL
#define REG_USB0_DMA_CTL3			REG_USB0_DMA3_CTL
#define REG_USB0_DMA_CTL4			REG_USB0_DMA4_CTL
#define REG_USB0_DMA_CTL5			REG_USB0_DMA5_CTL
#define REG_USB0_DMA_CTL6			REG_USB0_DMA6_CTL
#define REG_USB0_DMA_ADDR2			REG_USB0_DMA2_ADDR
#define REG_USB0_DMA_ADDR3			REG_USB0_DMA3_ADDR
#define REG_USB0_DMA_ADDR4			REG_USB0_DMA4_ADDR
#define REG_USB0_DMA_ADDR5			REG_USB0_DMA5_ADDR
#define REG_USB0_DMA_ADDR6			REG_USB0_DMA6_ADDR
#define REG_USB0_DMA_CNT2			REG_USB0_DMA2_CNT
#define REG_USB0_DMA_CNT3			REG_USB0_DMA3_CNT
#define REG_USB0_DMA_CNT4			REG_USB0_DMA4_CNT
#define REG_USB0_DMA_CNT5			REG_USB0_DMA5_CNT
#define REG_USB0_DMA_CNT6			REG_USB0_DMA6_CNT
#endif

/*
 * map non-required (and not used) registers to null
*/
#if !defined(ADI_ADSP_CM40Z)
#define REG_USB0_VBUS_CTL           __adi_usbd_not_required__
#define REG_USB0_EPI_TXTYPE0        __adi_usbd_not_required__
#define REG_USB0_EPI_TXINTERVAL0    __adi_usbd_not_required__
#define REG_USB0_EPI_RXTYPE0        __adi_usbd_not_required__
#define REG_USB0_EPI_RXINTERVAL0    __adi_usbd_not_required__
#define REG_USB0_EP0I_NAKLIMIT0     __adi_usbd_not_required__
#define REG_USB0_EP0I_TYPE0         __adi_usbd_not_required__
#endif

#define REG_USB0_PLL_OSC            __adi_usbd_not_required__
#define REG_USB0_TXFIFOSZ           __adi_usbd_not_required__
#define REG_USB0_RXFIFOSZ           __adi_usbd_not_required__

/* ------------------------------------------------------------------------------------------------------------------------
        USB_HWVERS                       Pos/Masks     Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_HWVERS_RC               15            /* Release Candidate */
#define BITP_USB_HWVERS_MAJOR            10            /* Major version number */
#define BITP_USB_HWVERS_MINOR             0            /* Minor version number */

#define BITM_USB_HWVERS_RC               0x00008000    /* Release Candidate */
#define ENUM_USB_HWVERS_NO_RC            0x00000000    /* RC: Official Release Version */
#define ENUM_USB_HWVERS_RC               0x00008000    /* RC: Release Candidate */
#define BITM_USB_HWVERS_MAJOR            0x00007C00    /* Major version number */
#define BITM_USB_HWVERS_MINOR            0x000003FF    /* Minor version number */

#define REG_USB0_HWVERS                  0x400A006C    /* USB0 Hardware Version */
#define pREG_USB0_HWVERS ((volatile uint16_t *)REG_USB0_HWVERS) /* USB0 Hardware Version */
#endif

