/*********************************************************************************

Copyright(c) 2012 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/
/**
* \file      adi_usbd_dev_musbmhdrc_cfg.h  ($Rev: 21484 $)
*
* \brief     USB Device Driver (MUSBMHDRC) Configuration header
*
* \details
*            This is a header file which defines the selective build macros
*            for the USB Device Driver (MUSBMHDRC).
*/

/** @addtogroup USBD_Driver_BF6xx USBD Driver
 *  @{
 */

#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rule_8_5:"There shall be no definitions of objects or functions in a header file.")
#pragma diag(suppress:misra_rule_13_7:"Allow to add asserts for memory size macros")
#pragma diag(suppress:misra_rule_14_7:"A function shall have a single point of exit at the end of the function.")
#pragma diag(suppress:misra_rule_19_4:"C macros shall only expand to a braced initialiser, a constant, a string literal, a parenthesised expression, a type qualifier, a storage class specifier, or a do-while-zero construct.")
#endif /* _MISRA_RULES */

#ifndef __ADI_USBD_DEV_CFG_H__
#define __ADI_USBD_DEV_CFG_H__

#ifdef __ECC__
#if defined(__ADSPBF527_FAMILY__) || defined(__ADSPBF526_FAMILY__)  || defined(__ADSPBF548_FAMILY__)
#include <drivers/usb/controller/device/config/musbhdrc/adi_usbd_dev_musbhdrc_cfg.h>

#elif defined(__ADSPBF609_FAMILY__)
#include <drivers/usb/controller/device/config/musbmhdrc/adi_usbd_dev_blackfin_cfg.h>

#elif defined(__ADSPBF533_FAMILY__) || defined(__ADSPBF537_FAMILY__) || defined(__ADSPBF538_FAMILY__) || defined(__ADSPBF518_FAMILY__) || defined(__ADSPBF561_FAMILY__)
#ifdef BF_USBLAN_EXTENDER
#include <drivers/usb/controller/device/config/net2272/adi_usbd_dev_bf_net2272_cfg.h>
#else
#warning "Blackfin USB-LAN EXTENDER BSP required."
#endif

#elif defined(__2146x__)

#ifdef SH_USB_EXTENDER
#include <drivers/usb/controller/device/config/net2272/adi_usbd_dev_sh_net2272_cfg.h>
#else
#warning "SHARC USB EXTENDER BSP required."
#endif

#endif

#elif defined(ADI_ADUCM350)
#include <drivers/usb/controller/device/config/musbmhdrc/adi_usbd_dev_aducm350_cfg.h>

#elif defined(ADI_ADSP_CM40Z)
#include <drivers/usb/controller/device/config/musbmhdrc/adi_usbd_dev_cm40z_cfg.h>

#else
#error "ADI USB Controller driver not supported on target processor"
#endif


#endif /* __ADI_USBD_DEV_CFG_H__ */

/*@}*/

#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */
