/*********************************************************************************

Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/

/*!
 * @file:    adi_mdma_streams_bf60x.h
 * @brief:   Memory DMA Stream ID definitions for ADSP-BF60x processor family
 * @version: $Revision: 15071 $
 * @date:    $Date: 2012-06-27 03:43:05 -0400 (Wed, 27 Jun 2012) $
 *
 * @details
 *           This is an additional header file for the Memory DMA Manager service of
 *           ADSP-BF60x processor family, which contains the Memory DMA Stream ID
 *           definitions used in the APIs
 */

#ifndef __ADI_MDMA_STREAMS_BF60X_H__
#define __ADI_MDMA_STREAMS_BF60X_H__

/*==============  D E F I N E S  ===============*/

/* ADSP-BF608/609 Channel IDs */
#if defined(__ADSPBF609_FAMILY__)

/** @ingroup MDMA_Manager_bf60x
 * Memory DMA Stream IDs for ADSP-BF608/609 processors
 */

typedef enum
{
    ADI_DMA_MEMDMA_S0,        /*!< Memory DMA Stream 0 */
    ADI_DMA_MEMDMA_S1,        /*!< Memory DMA Stream 1 */
    ADI_DMA_MEMDMA_S2,        /*!< Memory DMA Stream 2 */
    ADI_DMA_MEMDMA_S3,        /*!< Memory DMA Stream 3 */

    ADI_DMA_MEMDMA_END_COUNT  /* Number of Memory DMA Streams */

} ADI_DMA_STREAM_ID;

#endif  /* __ADSPBF609_FAMILY__ */

#endif  /* __ADI_MDMA_STREAMS_BF60X_H__ */

/*****/

/*@}*/

