/*********************************************************************************

Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/

/**
* @file      adi_gpio_pint.h
* @brief     GPIO definitions and API
* @version:  $Revision: 18484 $
* @date:     $Date: 2013-04-26 10:04:51 -0400 (Fri, 26 Apr 2013) $
*
* @details
*            This is the primary header file for the general-purpose input/output (GPIO)
*            port driver, which contains the API declarations, data and constant definitions
*            used in the APIs
*/

#ifndef ADI_GPIO_PINT_H_
#define ADI_GPIO_PINT_H_

#ifndef  __ADI_GPIO_H__
#error "This file may not be directly included. The file <services/gpio/adi_gpio.h> should be included instead."
#endif

#define __ADI_GPIO_HAS_PINT__

#define	ADI_GPIO_INT_PIN_31 (0x80000000)  /* Configure interrupt Pin 31. */
#define	ADI_GPIO_INT_PIN_30 (0x40000000)  /* Configure interrupt Pin 30. */
#define	ADI_GPIO_INT_PIN_29 (0x20000000)  /* Configure interrupt Pin 29. */
#define	ADI_GPIO_INT_PIN_28 (0x10000000)  /* Configure interrupt Pin 28. */
#define	ADI_GPIO_INT_PIN_27 (0x08000000)  /* Configure interrupt Pin 27. */
#define	ADI_GPIO_INT_PIN_26 (0x04000000)  /* Configure interrupt Pin 26. */
#define	ADI_GPIO_INT_PIN_25 (0x02000000)  /* Configure interrupt Pin 25. */
#define	ADI_GPIO_INT_PIN_24 (0x01000000)  /* Configure interrupt Pin 24. */
#define	ADI_GPIO_INT_PIN_23 (0x00800000)  /* Configure interrupt Pin 23. */
#define	ADI_GPIO_INT_PIN_22 (0x00400000)  /* Configure interrupt Pin 22. */
#define	ADI_GPIO_INT_PIN_21 (0x00200000)  /* Configure interrupt Pin 21. */
#define	ADI_GPIO_INT_PIN_20 (0x00100000)  /* Configure interrupt Pin 20. */
#define	ADI_GPIO_INT_PIN_19 (0x00080000)  /* Configure interrupt Pin 19. */
#define	ADI_GPIO_INT_PIN_18 (0x00040000)  /* Configure interrupt Pin 18. */
#define	ADI_GPIO_INT_PIN_17 (0x00020000)  /* Configure interrupt Pin 17. */
#define	ADI_GPIO_INT_PIN_16 (0x00010000)  /* Configure interrupt Pin 16. */
#define	ADI_GPIO_INT_PIN_15 (0x00008000)  /* Configure interrupt Pin 15. */
#define	ADI_GPIO_INT_PIN_14 (0x00004000)  /* Configure interrupt Pin 14. */
#define	ADI_GPIO_INT_PIN_13 (0x00002000)  /* Configure interrupt Pin 13. */
#define	ADI_GPIO_INT_PIN_12 (0x00001000)  /* Configure interrupt Pin 12. */
#define	ADI_GPIO_INT_PIN_11 (0x00000800)  /* Configure interrupt Pin 11. */
#define	ADI_GPIO_INT_PIN_10 (0x00000400)  /* Configure interrupt Pin 10. */
#define	ADI_GPIO_INT_PIN_9  (0x00000200)  /* Configure interrupt Pin 9. */
#define	ADI_GPIO_INT_PIN_8  (0x00000100)  /* Configure interrupt Pin 8. */
#define	ADI_GPIO_INT_PIN_7  (0x00000080)  /* Configure interrupt Pin 7. */
#define	ADI_GPIO_INT_PIN_6  (0x00000040)  /* Configure interrupt Pin 6. */
#define	ADI_GPIO_INT_PIN_5  (0x00000020)  /* Configure interrupt Pin 5. */
#define	ADI_GPIO_INT_PIN_4  (0x00000010)  /* Configure interrupt Pin 4. */
#define	ADI_GPIO_INT_PIN_3  (0x00000008)  /* Configure interrupt Pin 3. */
#define	ADI_GPIO_INT_PIN_2  (0x00000004)  /* Configure interrupt Pin 2. */
#define	ADI_GPIO_INT_PIN_1  (0x00000002)  /* Configure interrupt Pin 1. */
#define	ADI_GPIO_INT_PIN_0  (0x00000001)  /* Configure interrupt Pin 0. */

#if defined(__ADSPBF548_FAMILY__) || defined(__ADSPBF548M_FAMILY__)

#define pREG_PORTA_FER      (pPORTA_FER)
#define pREG_PORTA_DATA     (pPORTA)
#define pREG_PORTA_DATA_SET (pPORTA_SET)
#define pREG_PORTA_DATA_CLR (pPORTA_CLEAR)
#define pREG_PORTA_DIR_SET  (pPORTA_DIR_SET)
#define pREG_PORTA_DIR_CLR  (pPORTA_DIR_CLEAR)
#define pREG_PORTA_INEN     (pPORTA_INEN)

#define pREG_PORTB_FER      (pPORTB_FER)
#define pREG_PORTB_DATA     (pPORTB)
#define pREG_PORTB_DATA_SET (pPORTB_SET)
#define pREG_PORTB_DATA_CLR (pPORTB_CLEAR)
#define pREG_PORTB_DIR_SET  (pPORTB_DIR_SET)
#define pREG_PORTB_DIR_CLR  (pPORTB_DIR_CLEAR)
#define pREG_PORTB_INEN     (pPORTB_INEN)

#define pREG_PORTC_FER      (pPORTC_FER)
#define pREG_PORTC_DATA     (pPORTC)
#define pREG_PORTC_DATA_SET (pPORTC_SET)
#define pREG_PORTC_DATA_CLR (pPORTC_CLEAR)
#define pREG_PORTC_DIR_SET  (pPORTC_DIR_SET)
#define pREG_PORTC_DIR_CLR  (pPORTC_DIR_CLEAR)
#define pREG_PORTC_INEN     (pPORTC_INEN)

#define pREG_PORTD_FER      (pPORTD_FER)
#define pREG_PORTD_DATA     (pPORTD)
#define pREG_PORTD_DATA_SET (pPORTD_SET)
#define pREG_PORTD_DATA_CLR (pPORTD_CLEAR)
#define pREG_PORTD_DIR_SET  (pPORTD_DIR_SET)
#define pREG_PORTD_DIR_CLR  (pPORTD_DIR_CLEAR)
#define pREG_PORTD_INEN     (pPORTD_INEN)

#define pREG_PORTE_FER      (pPORTE_FER)
#define pREG_PORTE_DATA     (pPORTE)
#define pREG_PORTE_DATA_SET (pPORTE_SET)
#define pREG_PORTE_DATA_CLR (pPORTE_CLEAR)
#define pREG_PORTE_DIR_SET  (pPORTE_DIR_SET)
#define pREG_PORTE_DIR_CLR  (pPORTE_DIR_CLEAR)
#define pREG_PORTE_INEN     (pPORTE_INEN)

#define pREG_PORTF_FER      (pPORTF_FER)
#define pREG_PORTF_DATA     (pPORTF)
#define pREG_PORTF_DATA_SET (pPORTF_SET)
#define pREG_PORTF_DATA_CLR (pPORTF_CLEAR)
#define pREG_PORTF_DIR_SET  (pPORTF_DIR_SET)
#define pREG_PORTF_DIR_CLR  (pPORTF_DIR_CLEAR)
#define pREG_PORTF_INEN     (pPORTF_INEN)

#define pREG_PORTG_FER      (pPORTG_FER)
#define pREG_PORTG_DATA     (pPORTG)
#define pREG_PORTG_DATA_SET (pPORTG_SET)
#define pREG_PORTG_DATA_CLR (pPORTG_CLEAR)
#define pREG_PORTG_DIR_SET  (pPORTG_DIR_SET)
#define pREG_PORTG_DIR_CLR  (pPORTG_DIR_CLEAR)
#define pREG_PORTG_INEN     (pPORTG_INEN)

#define pREG_PORTH_FER      (pPORTH_FER)
#define pREG_PORTH_DATA     (pPORTH)
#define pREG_PORTH_DATA_SET (pPORTH_SET)
#define pREG_PORTH_DATA_CLR (pPORTH_CLEAR)
#define pREG_PORTH_DIR_SET  (pPORTH_DIR_SET)
#define pREG_PORTH_DIR_CLR  (pPORTH_DIR_CLEAR)
#define pREG_PORTH_INEN     (pPORTH_INEN)

#define pREG_PORTI_FER      (pPORTI_FER)
#define pREG_PORTI_DATA     (pPORTI)
#define pREG_PORTI_DATA_SET (pPORTI_SET)
#define pREG_PORTI_DATA_CLR (pPORTI_CLEAR)
#define pREG_PORTI_DIR_SET  (pPORTI_DIR_SET)
#define pREG_PORTI_DIR_CLR  (pPORTI_DIR_CLEAR)
#define pREG_PORTI_INEN     (pPORTI_INEN)

#define pREG_PORTJ_FER      (pPORTJ_FER)
#define pREG_PORTJ_DATA     (pPORTJ)
#define pREG_PORTJ_DATA_SET (pPORTJ_SET)
#define pREG_PORTJ_DATA_CLR (pPORTJ_CLEAR)
#define pREG_PORTJ_DIR_SET  (pPORTJ_DIR_SET)
#define pREG_PORTJ_DIR_CLR  (pPORTJ_DIR_CLEAR)
#define pREG_PORTJ_INEN     (pPORTJ_INEN)

#define pREG_PINT0_MSK_SET  (pPINT0_MASK_SET)
#define pREG_PINT0_MSK_CLR  (pPINT0_MASK_CLEAR)
#define pREG_PINT0_REQ      (pPINT0_REQUEST)
#define pREG_PINT0_ASSIGN   (pPINT0_ASSIGN)
#define pREG_PINT0_EDGE_SET (pPINT0_EDGE_SET)
#define pREG_PINT0_EDGE_CLR (pPINT0_EDGE_CLEAR)
#define pREG_PINT0_INV_SET  (pPINT0_INVERT_SET)
#define pREG_PINT0_INV_CLR  (pPINT0_INVERT_CLEAR)
#define pREG_PINT0_PINSTATE (pPINT0_PINSTATE)
#define pREG_PINT0_LATCH    (pPINT0_LATCH)

#define pREG_PINT1_MSK_SET  (pPINT1_MASK_SET)
#define pREG_PINT1_MSK_CLR  (pPINT1_MASK_CLEAR)
#define pREG_PINT1_REQ      (pPINT1_REQUEST)
#define pREG_PINT1_ASSIGN   (pPINT1_ASSIGN)
#define pREG_PINT1_EDGE_SET (pPINT1_EDGE_SET)
#define pREG_PINT1_EDGE_CLR (pPINT1_EDGE_CLEAR)
#define pREG_PINT1_INV_SET  (pPINT1_INVERT_SET)
#define pREG_PINT1_INV_CLR  (pPINT1_INVERT_CLEAR)
#define pREG_PINT1_PINSTATE (pPINT1_PINSTATE)
#define pREG_PINT1_LATCH    (pPINT1_LATCH)

#define pREG_PINT2_MSK_SET  (pPINT2_MASK_SET)
#define pREG_PINT2_MSK_CLR  (pPINT2_MASK_CLEAR)
#define pREG_PINT2_REQ      (pPINT2_REQUEST)
#define pREG_PINT2_ASSIGN   (pPINT2_ASSIGN)
#define pREG_PINT2_EDGE_SET (pPINT2_EDGE_SET)
#define pREG_PINT2_EDGE_CLR (pPINT2_EDGE_CLEAR)
#define pREG_PINT2_INV_SET  (pPINT2_INVERT_SET)
#define pREG_PINT2_INV_CLR  (pPINT2_INVERT_CLEAR)
#define pREG_PINT2_PINSTATE (pPINT2_PINSTATE)
#define pREG_PINT2_LATCH    (pPINT2_LATCH)

#define pREG_PINT3_MSK_SET  (pPINT3_MASK_SET)
#define pREG_PINT3_MSK_CLR  (pPINT3_MASK_CLEAR)
#define pREG_PINT3_REQ      (pPINT3_REQUEST)
#define pREG_PINT3_ASSIGN   (pPINT3_ASSIGN)
#define pREG_PINT3_EDGE_SET (pPINT3_EDGE_SET)
#define pREG_PINT3_EDGE_CLR (pPINT3_EDGE_CLEAR)
#define pREG_PINT3_INV_SET  (pPINT3_INVERT_SET)
#define pREG_PINT3_INV_CLR  (pPINT3_INVERT_CLEAR)
#define pREG_PINT3_PINSTATE (pPINT3_PINSTATE)
#define pREG_PINT3_LATCH    (pPINT3_LATCH)

#define INTR_PINT0_BLOCK    (ADI_SID_PINT0)
#define INTR_PINT1_BLOCK    (ADI_SID_PINT1)
#define INTR_PINT2_BLOCK    (ADI_SID_PINT2)
#define INTR_PINT3_BLOCK    (ADI_SID_PINT3)
#define INTR_PINT4_BLOCK    (ADI_SID_PINT4)

/**
* The GPIO port enumerations.
*/
typedef enum
{
   ADI_GPIO_PORT_A,                   /*!< Configure GPIO port A. */
   ADI_GPIO_PORT_B,                   /*!< Configure GPIO port B. */
   ADI_GPIO_PORT_C,                   /*!< Configure GPIO port C. */
   ADI_GPIO_PORT_D,                   /*!< Configure GPIO port D. */
   ADI_GPIO_PORT_E,                   /*!< Configure GPIO port E. */
   ADI_GPIO_PORT_F,                   /*!< Configure GPIO port F. */
   ADI_GPIO_PORT_G,                   /*!< Configure GPIO port G. */
   ADI_GPIO_PORT_H,                   /*!< Configure GPIO port H. */
   ADI_GPIO_PORT_I,                   /*!< Configure GPIO port I. */
   ADI_GPIO_PORT_J                    /*!< Configure GPIO port J. */
} ADI_GPIO_PORT;
#define NUM_GPIO_PORTS (10)

/**
* The Interrupt channel enumerations.
*/
typedef enum
{
   ADI_GPIO_PIN_INTERRUPT_0,          /*!< Configure interrupt channel 0. */
   ADI_GPIO_PIN_INTERRUPT_1,          /*!< Configure interrupt channel 1. */
   ADI_GPIO_PIN_INTERRUPT_2,          /*!< Configure interrupt channel 2. */
   ADI_GPIO_PIN_INTERRUPT_3           /*!< Configure interrupt channel 3. */

} ADI_GPIO_PIN_INTERRUPT;
#define NUM_GPIO_PIN_INTS (4)

/**
* The Interrupt channel byte enumerations.
*/
typedef enum
{
	ADI_GPIO_PIN_ASSIGN_BYTE_0 = (0),        /*!< Configure interrupt channel byte 0. */
	ADI_GPIO_PIN_ASSIGN_BYTE_1 = (8),        /*!< Configure interrupt channel byte 1. */
	ADI_GPIO_PIN_ASSIGN_BYTE_2 = (16),       /*!< Configure interrupt channel byte 2. */
	ADI_GPIO_PIN_ASSIGN_BYTE_3 = (24)        /*!< Configure interrupt channel byte 3. */
} ADI_GPIO_PIN_ASSIGN_BYTE;

/**
* The Interrupt channel half port enumerations.
*/
typedef enum
{
	ADI_GPIO_PIN_ASSIGN_PAL = (0),           /* Assign port A low byte. */
	ADI_GPIO_PIN_ASSIGN_PAH = (0),           /* Assign port A high byte. */
	ADI_GPIO_PIN_ASSIGN_PBL = (1),           /* Assign port B low byte. */
	ADI_GPIO_PIN_ASSIGN_PBH = (1),           /* Assign port B high byte. */
	ADI_GPIO_PIN_ASSIGN_PCL = (0),           /* Assign port C low byte. */
	ADI_GPIO_PIN_ASSIGN_PCH = (0),           /* Assign port C high byte. */
	ADI_GPIO_PIN_ASSIGN_PDL = (1),           /* Assign port D low byte. */
	ADI_GPIO_PIN_ASSIGN_PDH = (1),           /* Assign port D high byte. */
	ADI_GPIO_PIN_ASSIGN_PEL = (2),           /* Assign port E low byte. */
	ADI_GPIO_PIN_ASSIGN_PEH = (2),           /* Assign port E high byte. */
	ADI_GPIO_PIN_ASSIGN_PFL = (3),           /* Assign port F low byte. */
	ADI_GPIO_PIN_ASSIGN_PFH = (3),           /* Assign port F high byte. */
	ADI_GPIO_PIN_ASSIGN_PGL = (4),           /* Assign port G low byte. */
	ADI_GPIO_PIN_ASSIGN_PGH = (4),           /* Assign port G high byte. */
	ADI_GPIO_PIN_ASSIGN_PHL = (5),           /* Assign port H low byte. */
	ADI_GPIO_PIN_ASSIGN_PHH = (5),           /* Assign port H high byte. */
	ADI_GPIO_PIN_ASSIGN_PIL = (6),           /* Assign port I low byte. */
	ADI_GPIO_PIN_ASSIGN_PIH = (6),           /* Assign port I high byte. */
	ADI_GPIO_PIN_ASSIGN_PJL = (7),           /* Assign port J low byte. */
	ADI_GPIO_PIN_ASSIGN_PJH = (7)            /* Assign port J high byte. */

} ADI_GPIO_PIN_ASSIGN_PORT;

#elif defined(__ADSPBF609_FAMILY__) || \
      defined(ADI_ADSP_CM40Z)

/**
* The GPIO port enumerations.
*/
typedef enum
{
   ADI_GPIO_PORT_A,                   /*!< Configure GPIO port A. */
   ADI_GPIO_PORT_B,                   /*!< Configure GPIO port B. */
   ADI_GPIO_PORT_C,                   /*!< Configure GPIO port C. */
   ADI_GPIO_PORT_D,                   /*!< Configure GPIO port D. */
   ADI_GPIO_PORT_E,                   /*!< Configure GPIO port E. */
   ADI_GPIO_PORT_F,                   /*!< Configure GPIO port F. */
   ADI_GPIO_PORT_G                    /*!< Configure GPIO port G. */
} ADI_GPIO_PORT;
#define NUM_GPIO_PORTS (7)

/**
* The Interrupt channel enumerations.
*/
typedef enum
{
   ADI_GPIO_PIN_INTERRUPT_0,          /*!< Configure interrupt channel 0. */
   ADI_GPIO_PIN_INTERRUPT_1,          /*!< Configure interrupt channel 1. */
   ADI_GPIO_PIN_INTERRUPT_2,          /*!< Configure interrupt channel 2. */
   ADI_GPIO_PIN_INTERRUPT_3,          /*!< Configure interrupt channel 3. */
   ADI_GPIO_PIN_INTERRUPT_4,          /*!< Configure interrupt channel 4. */
   ADI_GPIO_PIN_INTERRUPT_5           /*!< Configure interrupt channel 5. */
} ADI_GPIO_PIN_INTERRUPT;
#define NUM_GPIO_PIN_INTS (6)

/**
* The Interrupt channel byte enumerations.
*/
typedef enum
{
	ADI_GPIO_PIN_ASSIGN_BYTE_0 = (0),        /*!< Configure interrupt channel byte 0. */
	ADI_GPIO_PIN_ASSIGN_BYTE_1 = (8),        /*!< Configure interrupt channel byte 1. */
	ADI_GPIO_PIN_ASSIGN_BYTE_2 = (16),       /*!< Configure interrupt channel byte 2. */
	ADI_GPIO_PIN_ASSIGN_BYTE_3 = (24)        /*!< Configure interrupt channel byte 3. */
} ADI_GPIO_PIN_ASSIGN_BYTE;

/**
* The Interrupt channel half port enumerations.
*
* PINTx_ASSIGN mapping values
*/
typedef enum
{
	ADI_GPIO_PIN_ASSIGN_PAL_PINT0 = (0),           /* Assign port A low byte.  */
	ADI_GPIO_PIN_ASSIGN_PAH_PINT0 = (0),           /* Assign port A high byte. */
	ADI_GPIO_PIN_ASSIGN_PBL_PINT0 = (1),           /* Assign port B low byte.  */
	ADI_GPIO_PIN_ASSIGN_PBH_PINT0 = (1),           /* Assign port B high byte. */
	ADI_GPIO_PIN_ASSIGN_PBL_PINT1 = (0),           /* Assign port B low byte.  */
	ADI_GPIO_PIN_ASSIGN_PBH_PINT1 = (0),           /* Assign port B high byte. */
	ADI_GPIO_PIN_ASSIGN_PCL_PINT1 = (1),           /* Assign port C low byte.  */
	ADI_GPIO_PIN_ASSIGN_PCH_PINT1 = (1),           /* Assign port C high byte. */
	ADI_GPIO_PIN_ASSIGN_PCL_PINT2 = (0),           /* Assign port C low byte.  */
	ADI_GPIO_PIN_ASSIGN_PCH_PINT2 = (0),           /* Assign port C high byte. */
	ADI_GPIO_PIN_ASSIGN_PDL_PINT2 = (1),           /* Assign port D low byte.  */
	ADI_GPIO_PIN_ASSIGN_PDH_PINT2 = (1),           /* Assign port D high byte. */
	ADI_GPIO_PIN_ASSIGN_PDL_PINT3 = (0),           /* Assign port D low byte.  */
	ADI_GPIO_PIN_ASSIGN_PDH_PINT3 = (0),           /* Assign port D high byte. */
	ADI_GPIO_PIN_ASSIGN_PEL_PINT3 = (1),           /* Assign port E low byte.  */
	ADI_GPIO_PIN_ASSIGN_PEH_PINT3 = (1),           /* Assign port E high byte. */
	ADI_GPIO_PIN_ASSIGN_PEL_PINT4 = (0),           /* Assign port E low byte.  */
	ADI_GPIO_PIN_ASSIGN_PEH_PINT4 = (0),           /* Assign port E high byte. */
	ADI_GPIO_PIN_ASSIGN_PFL_PINT4 = (1),           /* Assign port F low byte.  */
	ADI_GPIO_PIN_ASSIGN_PFH_PINT4 = (1),           /* Assign port F high byte. */
	ADI_GPIO_PIN_ASSIGN_PFL_PINT5 = (0),           /* Assign port F low byte.  */
	ADI_GPIO_PIN_ASSIGN_PFH_PINT5 = (0),           /* Assign port F high byte. */
	ADI_GPIO_PIN_ASSIGN_PGL_PINT5 = (1),           /* Assign port G low byte.  */
	ADI_GPIO_PIN_ASSIGN_PGH_PINT5 = (1)            /* Assign port G high byte. */
} ADI_GPIO_PIN_ASSIGN_PORT;

#elif defined(__ADSPBF707_FAMILY__)
/**
* The GPIO port enumerations.
*/
typedef enum
{
   ADI_GPIO_PORT_A,                   /*!< Configure GPIO port A. */
   ADI_GPIO_PORT_B,                   /*!< Configure GPIO port B. */
   ADI_GPIO_PORT_C                    /*!< Configure GPIO port C. */
} ADI_GPIO_PORT;
#define NUM_GPIO_PORTS (3)

/**
* The Interrupt channel enumerations.
*/
typedef enum
{
   ADI_GPIO_PIN_INTERRUPT_0,          /*!< Configure interrupt channel 0. */
   ADI_GPIO_PIN_INTERRUPT_1,          /*!< Configure interrupt channel 1. */
   ADI_GPIO_PIN_INTERRUPT_2           /*!< Configure interrupt channel 2. */

} ADI_GPIO_PIN_INTERRUPT;
#define NUM_GPIO_PIN_INTS (6)

/**
* The Interrupt channel byte enumerations.
*/
typedef enum
{
	ADI_GPIO_PIN_ASSIGN_BYTE_0 = (0),        /*!< Configure interrupt channel byte 0. */
	ADI_GPIO_PIN_ASSIGN_BYTE_1 = (8),        /*!< Configure interrupt channel byte 1. */
	ADI_GPIO_PIN_ASSIGN_BYTE_2 = (16),       /*!< Configure interrupt channel byte 2. */
	ADI_GPIO_PIN_ASSIGN_BYTE_3 = (24)        /*!< Configure interrupt channel byte 3. */
} ADI_GPIO_PIN_ASSIGN_BYTE;

/**
* The Interrupt channel half port enumerations.
*
* PINTx_ASSIGN mapping values
*/
typedef enum
{
	ADI_GPIO_PIN_ASSIGN_PAL_PINT0 = (0),           /* Assign port A low byte.  */
	ADI_GPIO_PIN_ASSIGN_PAH_PINT0 = (0),           /* Assign port A high byte. */
	ADI_GPIO_PIN_ASSIGN_PBL_PINT0 = (1),           /* Assign port B low byte.  */
	ADI_GPIO_PIN_ASSIGN_PBH_PINT0 = (1),           /* Assign port B high byte. */
	ADI_GPIO_PIN_ASSIGN_PBL_PINT1 = (0),           /* Assign port B low byte.  */
	ADI_GPIO_PIN_ASSIGN_PBH_PINT1 = (0),           /* Assign port B high byte. */
	ADI_GPIO_PIN_ASSIGN_PCL_PINT1 = (1),           /* Assign port C low byte.  */
	ADI_GPIO_PIN_ASSIGN_PCH_PINT1 = (1),           /* Assign port C high byte. */
	ADI_GPIO_PIN_ASSIGN_PCL_PINT2 = (0),           /* Assign port C low byte.  */
	ADI_GPIO_PIN_ASSIGN_PCH_PINT2 = (0),           /* Assign port C high byte. */
	ADI_GPIO_PIN_ASSIGN_PDL_PINT2 = (1),           /* Assign port D low byte.  */
	ADI_GPIO_PIN_ASSIGN_PDH_PINT2 = (1)            /* Assign port D high byte. */

} ADI_GPIO_PIN_ASSIGN_PORT;
#else
#error "This processor is not supported"
#endif

#endif /* ADI_GPIO_PINT_H_ */
