/*********************************************************************************

Copyright(c) 2012 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/

/*!
 * @file:    adi_pwm.h
 * @purpose: Primary include file for Analog Devices PWM Services
 * @version: $Revision: 10745 $
 * @date:    $Date: 2011-07-07 04:22:28 +1000 (Thu, 07 Jul 2011) $
 */

#ifndef __ADI_PWM_H__
#define __ADI_PWM_H__

#include <sys/platform.h>
#include <services/int/adi_int.h>

/*=============  I N C L U D E S   =============*/

#if defined (__ADSPBF609_FAMILY__) || defined(ADI_ADSP_CM40Z)
/* PWM service includes */
#include "adi_pwm_bf6xx.h"
#elif defined(__ADSPBF506F_FAMILY__) || defined(__ADSPBF518_FAMILY__)
/* pwm on BF518 is identical to BF506, so adi_pwm_bf50x.h can be re-used */
#include "adi_pwm_bf50x.h"
#else
#error "Processor type not supported"
#endif

#endif  /* __ADI_PWM_H__ */
