/*!****************************************************************************
 * @file:    adi_tmr.h
 * @purpose: Primary include file for Analog Devices Timer Services
 * @version: $Revision: 18484 $
 * @date:    $Date: 2013-04-26 10:04:51 -0400 (Fri, 26 Apr 2013) $
 *-----------------------------------------------------------------------------

Copyright (c), 2011 - Analog Devices Inc. All Rights Reserved.
This software is proprietary & confidential to Analog Devices, Inc.
and its licensors.

*****************************************************************************/

#ifndef __ADI_TMR_H__
#define __ADI_TMR_H__

/*=============  I N C L U D E S   =============*/

#include <sys/platform.h> 

/* ADSP-BF60x, ADSP-CM40z, ADSP-BF70x Processor family */
#if defined (__ADSPBF609_FAMILY__) || \
    defined(ADI_ADSP_CM40Z)        || \
    defined(__ADSPBF707_FAMILY__)

/* Timer service includes */
#include "adi_tmr_bf6xx.h"

/* ADSP-BF5xx */
#elif defined (__ADSPBLACKFIN__) && !defined(__ADSPBF60x__)

/* Timer service includes */
#include "adi_tmr_reg_bf5xx.h"
#include "adi_tmr_bf5xx.h"

#else
#error "Unknown processor family"
#endif

#endif  /* __ADI_TMR_H__ */

/*@}*/

