/*----------------------------------------------------------------------------
 * Name:    Retarget.c
 * Purpose: 'Retarget' layer for target-dependent low level functions
 * Note(s):
 *----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2012 Keil - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#include <stdio.h>
#include <rt_misc.h>
#include "device.h" 

#pragma import(__use_no_semihosting_swi)


#ifdef __DBG_ITM
volatile int32_t ITM_RxBuffer = ITM_RXBUFFER_EMPTY;  /*  CMSIS Debug Input    */
#endif


struct __FILE { int handle; /* Add whatever you need here */ };
FILE __stdout;
FILE __stdin;


int fputc(int c, FILE *f) {
#if defined __DBG_ITM
  ITM_SendChar(c);
#else
  // call suitable UART function 
#endif
  return (c);
}


int fgetc(FILE *f) {
#if defined __DBG_ITM
  if (ITM_CheckChar())
    return ITM_ReceiveChar();
#else
  // call suitable UART function 
#endif
  return (-1);
}


int ferror(FILE *f) {
  /* Your implementation of ferror */
  return EOF;
}


void _ttywrch(int c) {
#if defined __DBG_ITM
  ITM_SendChar(c);
#else
  // call suitable UART function 
#endif
}


void _sys_exit(int return_code) {
label:  goto label;  /* endless loop */
}
