/*********************************************************************************

Copyright(c) 2012 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/

#if defined(ADI_ADSP_CM40Z)
/* Structure which holds mostly static information */
ADI_ADCC_DEVICE     gADCCDevices[] = 
{
    {   
        ADI_ADCC_STATE_NOT_OPENED,                          /* ADCC device state */
        (ADI_ADCC_REG *) REG_ADCC0_CTL,                     /* Pointer to ADCC registers */
        ADI_INT_ADCC0_ERR,                                  /* ADCC Error interrupt ID */
        NULL,                                               /* ADCC device data */
        
        /* Timer Devices */
        {
            /* Timer 0 */
            {
               0u,                                          /* Timer ID */
               ADI_INT_ADCC0_TMR0_EVT,                      /* Timer event interrupt ID */
               (ADI_ADCC_REG *) REG_ADCC0_CTL,              /* Pointer to ADCC registers */
               (ADI_ADCC_TMR_DMA_REG *) REG_ADCC0_BPTR0,    /* Pointer to timer DMA related registers */
               NULL,                                        /* Pointer to the timer device data */
            },
            /* Timer 1 */
            {
                1u,                                         /* Timer ID */
                ADI_INT_ADCC0_TMR1_EVT,                     /* Timer event interrupt ID */
                (ADI_ADCC_REG *) REG_ADCC0_CTL,             /* Pointer to ADCC registers */
                (ADI_ADCC_TMR_DMA_REG *) REG_ADCC0_BPTR1,   /* Pointer to timer DMA related registers */
                NULL                                        /* Pointer to the timer device data */
            }
        }
     }
};

#else
#error "Processor not supported"
#endif
