/*********************************************************************************

Copyright(c) 2013 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/
/*!
 * @file      adi_crc_data_cm40z.c
 * @brief     ADSP-CM40z Processor specific data for CRC driver.
 * @version:  $Revision: 18257 $
 * @date:     $Date: 2013-03-05 01:48:34 -0500 (Tue, 05 Mar 2013) $
 *
 * @details
 *            This is an additional source file for CRC driver.
 *            for ADSP-CM40z processor. This file contains processor specific
 *            data for ADSP-CM40z processor family.
 *
 */

#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rule_8_5:"Allow object definitions in a source file that is included in main source")
#pragma diag(suppress:misra_rule_8_7:"Allow objects to be defined in a common file")
#pragma diag(suppress:misra_rule_10_1_a:" ")
#endif /* _MISRA_RULES */

/* CRC Peripheral specific information */
static ADI_CRC_INFO     CrcDevInfo[] =
{
   { INTR_CRC0_DCNTEXP, ADI_DMA_MEMDMA_S0, (volatile ADI_CRC_REGS *) REG_CRC0_CTL,  NULL }, /* CRC  0 */
};

#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */

/*****/
