/*
 *****************************************************************************
 * @file:    adi_counter.c
 * @brief:   counter device Driver for Blackfin processor
 * @version: $Revision: 18490 $
 * @date:    $Date: 2013-04-26 13:37:29 -0400 (Fri, 26 Apr 2013) $
 *****************************************************************************

 Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.

 This software is proprietary and confidential.  By using this software you agree
 to the terms of the associated Analog Devices License Agreement.

 *********************************************************************************/
/*!
 * @file      adi_counter.c
 *
 * @brief     Rotary counter device  driver global file.
 *
 * @details
 *            This a global file which includes a specific file based on the processor family.
 *            This included file will be  containing  rotary counter device  driver functions.
 */

/* disable misra diagnostics as necessary */
#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rule_5_1:"Allow identifiers to be longer than 31 characters. ")
#endif /* _MISRA_RULES */

#include <sys/platform.h> 

#if defined(__ADSPBF609_FAMILY__) || defined(__ADSPBF548_FAMILY__)  || \
    defined(__ADSPBF527_FAMILY__) || defined(__ADSPBF526_FAMILY__)  || \
    defined(__ADSPBF518_FAMILY__) || defined(__ADSPBF506F_FAMILY__) || \
    defined(ADI_ADSP_CM40Z) || \
    defined(__ADSPBF707_FAMILY__)

#include "adi_counter_bfxxx.c"

#else

#error "The counter device is not supported in  this processor type"

#endif /* __ADSPBF609_FAMILY__ */


#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */

/*@}*/
