/*
 *****************************************************************************
 * @file:    adi_sport.c
 * @brief:   SPORT Device Driver for Blackfin processor
 * @version: $Revision: 18490 $
 * @date:    $Date: 2013-04-26 13:37:29 -0400 (Fri, 26 Apr 2013) $
 *****************************************************************************

 Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.

 This software is proprietary and confidential.  By using this software you agree
 to the terms of the associated Analog Devices License Agreement.

 *********************************************************************************/
/*!
 * @file      adi_sport.c
 *
 * @brief     SPORT device  driver global file.
 *
 * @details
 *            This a global file which includes a specific file based on the processor family.
 *            This included file will be  containing  SPORT device  driver functions.
 */


/* disable misra diagnostics as necessary */
#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rule_5_1:"Identifiers shall not rely on the significance of more than 31 characters")
#pragma diag(suppress:misra_rule_8_5:"Allows portions of code to be commented out")
#endif /* _MISRA_RULES */

#if defined(__ADSPBF609_FAMILY__) || \
    defined(__ADSPBF707_FAMILY__)

#include "adi_sport_bf6xx.c"

#else

#include "adi_sport_bf5xx.c"

#endif
#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */

/*@}*/
