/*********************************************************************************

Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/
/*!
 * @file      adi_dma.c
 * @brief     DMA Manager service.
 * @version:  $Revision: 18484 $
 * @date:     $Date: 2013-04-26 10:04:51 -0400 (Fri, 26 Apr 2013) $
 *
 * @details
 *            This is the the primary source file for DMA Manager Service
 *
 */

/** @addtogroup DMA_Manager DMA Manager
 *  @{
 */

/*=========  D M A   I M P L E M E N T A T I O N   S O U R C E   F I L E S  =========*/

/* ADSP-BF608/609 Processor family or
 * ADSP-CM402/CM403/CM407/CM408 Processor family or
 * ADSP-BF70x Processor family */
#if defined (__ADSPBF609_FAMILY__) || \
    defined (ADI_ADSP_CM40Z)       || \
    defined (__ADSPBF707_FAMILY__)

/* DMA Manager implementation source for ADSP-BF60x Processor family */
#include "adi_dma_bf60x.c"

/* ADSP-BF5xx Processor family */
#else

/* DMA Manager implementation source for ADSP-BF5xx Processor family */
#include "adi_dma_bf5xx.c"

#endif /* __ADSPBF60x__*/

/*****/

/*
** EOF
*/

/*@}*/

