/* $Id: adi_pwm.c 15166 2012-06-29 14:36:53Z mteris $ */
/*********************************************************************************

 Copyright(c) 2010 Analog Devices, Inc. All Rights Reserved.

 This software is proprietary and confidential.  By using this software you agree
 to the terms of the associated Analog Devices License Agreement.

 *********************************************************************************/
/*!
 * @file      adi_pwm.c
 *
 * @brief     PWM service global API implementation
 *
 * @details
 *            This is a source file which contains the implementation of global
 *            API functions of the pule width modulation service.
 */

/* disable misra diagnostics as necessary */
#ifdef _MISRA_RULES
#pragma diag(push)
#endif /* _MISRA_RULES */

#if defined(__ADSPBF609_FAMILY__)
#include "adi_pwm_bf6xx.c"
#elif defined(__ADSPBF506F_FAMILY__) || defined(__ADSPBF518_FAMILY__)
/* pwm on BF518 is identical to BF506, so adi_pwm_bf50x.c can be re-used */
#include "adi_pwm_bf50x.c"
#else
#error "PWM is not supported "
#endif

#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */
