/*********************************************************************************

Copyright(c) 2013 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/
/*!
 * @file      adi_tru_data_bf60x.c
 * @brief     ADSP-BF60x processor specific data for TRU Manager.
 * @version:  $Revision: 18248 $
 * @date:     $Date: 2013-03-04 01:43:53 -0500 (Mon, 04 Mar 2013) $
 *
 * @details
 *            This is an additional source file for TRU Manager Service
 *            for ADSP-BF60x processor. This file contains processor specific
 *            data for ADSP-BF60x processor family.
 *
 */

#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rule_8_5:"Allow object definitions in a source file that is included in main source")
#pragma diag(suppress:misra_rule_8_7:"Allow objects to be defined in a common file")
#endif /* _MISRA_RULES */

/*=============  P R O C E S S O R    S P E C I F I C     D A T A  =============*/

/* TRU specific information */
static ADI_TRU_INFO     TruInfo[] =
{
    /* TRU 0 device info */
    {
    	NULL,
        (volatile uint32_t*) REG_TRU0_SSR0,
        (volatile ADI_TRU_REGS *) REG_TRU0_MTR
    }
};

#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */

/*****/
