/*
*********************************************************************************************************
*                                    uC/USB-Device Controller Driver
*                                      ADI Driver Interface Layer
*
*                    Copyright(c) 2012 Analog Devices, Inc. All Rights Reserved.
*
*               This software is proprietary and confidential. By using this software you agree
*               to the terms of the associated Analog Devices License Agreement.
*
*                          (c) Copyright 2004-2011; Micrium, Inc.; Weston, FL
*
*               All rights reserved. Protected by international copyright laws.
*
*               uC/USB is provided in source form to registered licensees ONLY.  It is
*               illegal to distribute this source code to any third party unless you receive
*               written permission by an authorized Micrium representative.  Knowledge of
*               the source code may NOT be used to develop a similar product.
*
*               Please help us continue to provide the Embedded community with the finest
*               software available.  Your honesty is greatly appreciated.
*
*               You can contact us at www.micrium.com.
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*
*                                  USB DEVICE DRIVER BOARD-SPECIFIC FUNCTIONS
*                                      ADI device driver implementation
*
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*                                              INCLUDE FILES
*********************************************************************************************************
*/

#include  <cpu.h>
#include  <lib_def.h>
#include  <usbd_core.h>

#if defined ( __ICCARM__ )
#define __ADSPARM_FAMILY__
#endif

/*
 * Board support header file
 */
#include  <usbd_bsp_dev.h>

/*
*********************************************************************************************************
*                                                 DEFINES
*********************************************************************************************************
*/
/*
 * Data size required for a working ADI SSLDD 2.0 USB Controller driver
 */
#define ADI_USBD_DEV_DATA_SIZE (    ADI_USBD_DEV_DEF_DATA_SIZE \
                                 + sizeof(ADI_USBD_DEV_EP_TABLE_DEF) + (USBD_CFG_MAX_NBR_EP_OPEN * sizeof(ADI_USBD_DEV_EP_DEF *)) \
                                 + (USBD_CFG_MAX_NBR_EP_OPEN * ADI_USBD_DEV_EP_DATA_SIZE) \
                                 + (USBD_CFG_MAX_NBR_EP_OPEN * (sizeof(ADI_USBD_DEV_EP_BUFFER_LIST) \
                                                                + ADI_USBD_DEV_MAX_BUFS*sizeof(ADI_USBD_DEV_EP_BUFFER*) \
                                                                + ADI_USBD_DEV_MAX_BUFS*sizeof(ADI_USBD_DEV_EP_BUFFER) \
                                                                    )) \
                               )

/*
*********************************************************************************************************
*                                                 EXTERN
*********************************************************************************************************
*/



/*
*********************************************************************************************************
*                                              DATA TYPES
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*                                           GLOBAL VARIABLES
*********************************************************************************************************
*/

extern 	const 	USBD_DRV_API 	USBD_DrvAPI_ADI;
