/* =========================================================================

     Project      :   CM40z
     File         :   cdefCM40z.h
     Description  :   C register and bitfield definitions

     Date         :   09-03-2013
     

     Copyright (c) 2011-2013 Analog Devices, Inc.  All Rights Reserved.
     This software is proprietary and confidential to Analog Devices, Inc. and
     its licensors.

     This file was auto-generated. Do not make local changes to this file.

   ========================================================================= */
#ifndef _CDEF_CM40Z_H
#define _CDEF_CM40Z_H

#include <stdint.h>
#include <defCM40z.h>

#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rule_5_7:"ADI header will re-use identifiers")
#pragma diag(suppress:misra_rule_6_3:"ADI header allows use of basic types")
#endif /* _MISRA_RULES */




/* =========================================================================
       TIMER0
   ========================================================================= */
#define pREG_TIMER0_RUN                  ((volatile uint16_t *)REG_TIMER0_RUN)                   /* TIMER0 Run Register */
#define pREG_TIMER0_RUN_SET              ((volatile uint16_t *)REG_TIMER0_RUN_SET)               /* TIMER0 Run Set Register */
#define pREG_TIMER0_RUN_CLR              ((volatile uint16_t *)REG_TIMER0_RUN_CLR)               /* TIMER0 Run Clear Register */
#define pREG_TIMER0_STOP_CFG             ((volatile uint16_t *)REG_TIMER0_STOP_CFG)              /* TIMER0 Stop Configuration Register */
#define pREG_TIMER0_STOP_CFG_SET         ((volatile uint16_t *)REG_TIMER0_STOP_CFG_SET)          /* TIMER0 Stop Configuration Set Register */
#define pREG_TIMER0_STOP_CFG_CLR         ((volatile uint16_t *)REG_TIMER0_STOP_CFG_CLR)          /* TIMER0 Stop Configuration Clear Register */
#define pREG_TIMER0_DATA_IMSK            ((volatile uint16_t *)REG_TIMER0_DATA_IMSK)             /* TIMER0 Data Interrupt Mask Register */
#define pREG_TIMER0_STAT_IMSK            ((volatile uint16_t *)REG_TIMER0_STAT_IMSK)             /* TIMER0 Status Interrupt Mask Register */
#define pREG_TIMER0_TRG_MSK              ((volatile uint16_t *)REG_TIMER0_TRG_MSK)               /* TIMER0 Trigger Master Mask Register */
#define pREG_TIMER0_TRG_IE               ((volatile uint16_t *)REG_TIMER0_TRG_IE)                /* TIMER0 Trigger Slave Enable Register */
#define pREG_TIMER0_DATA_ILAT            ((volatile uint16_t *)REG_TIMER0_DATA_ILAT)             /* TIMER0 Data Interrupt Latch Register */
#define pREG_TIMER0_STAT_ILAT            ((volatile uint16_t *)REG_TIMER0_STAT_ILAT)             /* TIMER0 Status Interrupt Latch Register */
#define pREG_TIMER0_ERR_TYPE             ((volatile uint32_t *)REG_TIMER0_ERR_TYPE)              /* TIMER0 Error Type Status Register */
#define pREG_TIMER0_BCAST_PER            ((volatile uint32_t *)REG_TIMER0_BCAST_PER)             /* TIMER0 Broadcast Period Register */
#define pREG_TIMER0_BCAST_WID            ((volatile uint32_t *)REG_TIMER0_BCAST_WID)             /* TIMER0 Broadcast Width Register */
#define pREG_TIMER0_BCAST_DLY            ((volatile uint32_t *)REG_TIMER0_BCAST_DLY)             /* TIMER0 Broadcast Delay Register */
#define pREG_TIMER0_TMR0_CFG             ((volatile uint16_t *)REG_TIMER0_TMR0_CFG)              /* TIMER0 Timer n Configuration Register */
#define pREG_TIMER0_TMR1_CFG             ((volatile uint16_t *)REG_TIMER0_TMR1_CFG)              /* TIMER0 Timer n Configuration Register */
#define pREG_TIMER0_TMR2_CFG             ((volatile uint16_t *)REG_TIMER0_TMR2_CFG)              /* TIMER0 Timer n Configuration Register */
#define pREG_TIMER0_TMR3_CFG             ((volatile uint16_t *)REG_TIMER0_TMR3_CFG)              /* TIMER0 Timer n Configuration Register */
#define pREG_TIMER0_TMR4_CFG             ((volatile uint16_t *)REG_TIMER0_TMR4_CFG)              /* TIMER0 Timer n Configuration Register */
#define pREG_TIMER0_TMR5_CFG             ((volatile uint16_t *)REG_TIMER0_TMR5_CFG)              /* TIMER0 Timer n Configuration Register */
#define pREG_TIMER0_TMR6_CFG             ((volatile uint16_t *)REG_TIMER0_TMR6_CFG)              /* TIMER0 Timer n Configuration Register */
#define pREG_TIMER0_TMR7_CFG             ((volatile uint16_t *)REG_TIMER0_TMR7_CFG)              /* TIMER0 Timer n Configuration Register */
#define pREG_TIMER0_TMR0_CNT             ((volatile uint32_t *)REG_TIMER0_TMR0_CNT)              /* TIMER0 Timer n Counter Register */
#define pREG_TIMER0_TMR1_CNT             ((volatile uint32_t *)REG_TIMER0_TMR1_CNT)              /* TIMER0 Timer n Counter Register */
#define pREG_TIMER0_TMR2_CNT             ((volatile uint32_t *)REG_TIMER0_TMR2_CNT)              /* TIMER0 Timer n Counter Register */
#define pREG_TIMER0_TMR3_CNT             ((volatile uint32_t *)REG_TIMER0_TMR3_CNT)              /* TIMER0 Timer n Counter Register */
#define pREG_TIMER0_TMR4_CNT             ((volatile uint32_t *)REG_TIMER0_TMR4_CNT)              /* TIMER0 Timer n Counter Register */
#define pREG_TIMER0_TMR5_CNT             ((volatile uint32_t *)REG_TIMER0_TMR5_CNT)              /* TIMER0 Timer n Counter Register */
#define pREG_TIMER0_TMR6_CNT             ((volatile uint32_t *)REG_TIMER0_TMR6_CNT)              /* TIMER0 Timer n Counter Register */
#define pREG_TIMER0_TMR7_CNT             ((volatile uint32_t *)REG_TIMER0_TMR7_CNT)              /* TIMER0 Timer n Counter Register */
#define pREG_TIMER0_TMR0_PER             ((volatile uint32_t *)REG_TIMER0_TMR0_PER)              /* TIMER0 Timer n Period Register */
#define pREG_TIMER0_TMR1_PER             ((volatile uint32_t *)REG_TIMER0_TMR1_PER)              /* TIMER0 Timer n Period Register */
#define pREG_TIMER0_TMR2_PER             ((volatile uint32_t *)REG_TIMER0_TMR2_PER)              /* TIMER0 Timer n Period Register */
#define pREG_TIMER0_TMR3_PER             ((volatile uint32_t *)REG_TIMER0_TMR3_PER)              /* TIMER0 Timer n Period Register */
#define pREG_TIMER0_TMR4_PER             ((volatile uint32_t *)REG_TIMER0_TMR4_PER)              /* TIMER0 Timer n Period Register */
#define pREG_TIMER0_TMR5_PER             ((volatile uint32_t *)REG_TIMER0_TMR5_PER)              /* TIMER0 Timer n Period Register */
#define pREG_TIMER0_TMR6_PER             ((volatile uint32_t *)REG_TIMER0_TMR6_PER)              /* TIMER0 Timer n Period Register */
#define pREG_TIMER0_TMR7_PER             ((volatile uint32_t *)REG_TIMER0_TMR7_PER)              /* TIMER0 Timer n Period Register */
#define pREG_TIMER0_TMR0_WID             ((volatile uint32_t *)REG_TIMER0_TMR0_WID)              /* TIMER0 Timer n Width Register */
#define pREG_TIMER0_TMR1_WID             ((volatile uint32_t *)REG_TIMER0_TMR1_WID)              /* TIMER0 Timer n Width Register */
#define pREG_TIMER0_TMR2_WID             ((volatile uint32_t *)REG_TIMER0_TMR2_WID)              /* TIMER0 Timer n Width Register */
#define pREG_TIMER0_TMR3_WID             ((volatile uint32_t *)REG_TIMER0_TMR3_WID)              /* TIMER0 Timer n Width Register */
#define pREG_TIMER0_TMR4_WID             ((volatile uint32_t *)REG_TIMER0_TMR4_WID)              /* TIMER0 Timer n Width Register */
#define pREG_TIMER0_TMR5_WID             ((volatile uint32_t *)REG_TIMER0_TMR5_WID)              /* TIMER0 Timer n Width Register */
#define pREG_TIMER0_TMR6_WID             ((volatile uint32_t *)REG_TIMER0_TMR6_WID)              /* TIMER0 Timer n Width Register */
#define pREG_TIMER0_TMR7_WID             ((volatile uint32_t *)REG_TIMER0_TMR7_WID)              /* TIMER0 Timer n Width Register */
#define pREG_TIMER0_TMR0_DLY             ((volatile uint32_t *)REG_TIMER0_TMR0_DLY)              /* TIMER0 Timer n Delay Register */
#define pREG_TIMER0_TMR1_DLY             ((volatile uint32_t *)REG_TIMER0_TMR1_DLY)              /* TIMER0 Timer n Delay Register */
#define pREG_TIMER0_TMR2_DLY             ((volatile uint32_t *)REG_TIMER0_TMR2_DLY)              /* TIMER0 Timer n Delay Register */
#define pREG_TIMER0_TMR3_DLY             ((volatile uint32_t *)REG_TIMER0_TMR3_DLY)              /* TIMER0 Timer n Delay Register */
#define pREG_TIMER0_TMR4_DLY             ((volatile uint32_t *)REG_TIMER0_TMR4_DLY)              /* TIMER0 Timer n Delay Register */
#define pREG_TIMER0_TMR5_DLY             ((volatile uint32_t *)REG_TIMER0_TMR5_DLY)              /* TIMER0 Timer n Delay Register */
#define pREG_TIMER0_TMR6_DLY             ((volatile uint32_t *)REG_TIMER0_TMR6_DLY)              /* TIMER0 Timer n Delay Register */
#define pREG_TIMER0_TMR7_DLY             ((volatile uint32_t *)REG_TIMER0_TMR7_DLY)              /* TIMER0 Timer n Delay Register */


/* =========================================================================
       TWI0
   ========================================================================= */
#define pREG_TWI0_CLKDIV                 ((volatile uint16_t *)REG_TWI0_CLKDIV)                  /* TWI0 SCL Clock Divider Register */
#define pREG_TWI0_CTL                    ((volatile uint16_t *)REG_TWI0_CTL)                     /* TWI0 Control Register */
#define pREG_TWI0_SLVCTL                 ((volatile uint16_t *)REG_TWI0_SLVCTL)                  /* TWI0 Slave Mode Control Register */
#define pREG_TWI0_SLVSTAT                ((volatile uint16_t *)REG_TWI0_SLVSTAT)                 /* TWI0 Slave Mode Status Register */
#define pREG_TWI0_SLVADDR                ((volatile uint16_t *)REG_TWI0_SLVADDR)                 /* TWI0 Slave Mode Address Register */
#define pREG_TWI0_MSTRCTL                ((volatile uint16_t *)REG_TWI0_MSTRCTL)                 /* TWI0 Master Mode Control Registers */
#define pREG_TWI0_MSTRSTAT               ((volatile uint16_t *)REG_TWI0_MSTRSTAT)                /* TWI0 Master Mode Status Register */
#define pREG_TWI0_MSTRADDR               ((volatile uint16_t *)REG_TWI0_MSTRADDR)                /* TWI0 Master Mode Address Register */
#define pREG_TWI0_ISTAT                  ((volatile uint16_t *)REG_TWI0_ISTAT)                   /* TWI0 Interrupt Status Register */
#define pREG_TWI0_IMSK                   ((volatile uint16_t *)REG_TWI0_IMSK)                    /* TWI0 Interrupt Mask Register */
#define pREG_TWI0_FIFOCTL                ((volatile uint16_t *)REG_TWI0_FIFOCTL)                 /* TWI0 FIFO Control Register */
#define pREG_TWI0_FIFOSTAT               ((volatile uint16_t *)REG_TWI0_FIFOSTAT)                /* TWI0 FIFO Status Register */
#define pREG_TWI0_TXDATA8                ((volatile uint16_t *)REG_TWI0_TXDATA8)                 /* TWI0 Tx Data Single-Byte Register */
#define pREG_TWI0_TXDATA16               ((volatile uint16_t *)REG_TWI0_TXDATA16)                /* TWI0 Tx Data Double-Byte Register */
#define pREG_TWI0_RXDATA8                ((volatile uint16_t *)REG_TWI0_RXDATA8)                 /* TWI0 Rx Data Single-Byte Register */
#define pREG_TWI0_RXDATA16               ((volatile uint16_t *)REG_TWI0_RXDATA16)                /* TWI0 Rx Data Double-Byte Register */


/* =========================================================================
       SPORT0
   ========================================================================= */
#define pREG_SPORT0_CTL_A                ((volatile uint32_t *)REG_SPORT0_CTL_A)                 /* SPORT0 Half SPORT 'A' Control Register */
#define pREG_SPORT0_DIV_A                ((volatile uint32_t *)REG_SPORT0_DIV_A)                 /* SPORT0 Half SPORT 'A' Divisor Register */
#define pREG_SPORT0_MCTL_A               ((volatile uint32_t *)REG_SPORT0_MCTL_A)                /* SPORT0 Half SPORT 'A' Multi-channel Control Register */
#define pREG_SPORT0_CS0_A                ((volatile uint32_t *)REG_SPORT0_CS0_A)                 /* SPORT0 Half SPORT 'A' Multi-channel 0-31 Select Register */
#define pREG_SPORT0_CS1_A                ((volatile uint32_t *)REG_SPORT0_CS1_A)                 /* SPORT0 Half SPORT 'A' Multi-channel 32-63 Select Register */
#define pREG_SPORT0_CS2_A                ((volatile uint32_t *)REG_SPORT0_CS2_A)                 /* SPORT0 Half SPORT 'A' Multi-channel 64-95 Select Register */
#define pREG_SPORT0_CS3_A                ((volatile uint32_t *)REG_SPORT0_CS3_A)                 /* SPORT0 Half SPORT 'A' Multi-channel 96-127 Select Register */
#define pREG_SPORT0_ERR_A                ((volatile uint32_t *)REG_SPORT0_ERR_A)                 /* SPORT0 Half SPORT 'A' Error Register */
#define pREG_SPORT0_MSTAT_A              ((volatile uint32_t *)REG_SPORT0_MSTAT_A)               /* SPORT0 Half SPORT 'A' Multi-channel Status Register */
#define pREG_SPORT0_CTL2_A               ((volatile uint32_t *)REG_SPORT0_CTL2_A)                /* SPORT0 Half SPORT 'A' Control 2 Register */
#define pREG_SPORT0_TXPRI_A              ((volatile uint32_t *)REG_SPORT0_TXPRI_A)               /* SPORT0 Half SPORT 'A' Tx Buffer (Primary) Register */
#define pREG_SPORT0_RXPRI_A              ((volatile uint32_t *)REG_SPORT0_RXPRI_A)               /* SPORT0 Half SPORT 'A' Rx Buffer (Primary) Register */
#define pREG_SPORT0_TXSEC_A              ((volatile uint32_t *)REG_SPORT0_TXSEC_A)               /* SPORT0 Half SPORT 'A' Tx Buffer (Secondary) Register */
#define pREG_SPORT0_RXSEC_A              ((volatile uint32_t *)REG_SPORT0_RXSEC_A)               /* SPORT0 Half SPORT 'A' Rx Buffer (Secondary) Register */
#define pREG_SPORT0_CTL_B                ((volatile uint32_t *)REG_SPORT0_CTL_B)                 /* SPORT0 Half SPORT 'B' Control Register */
#define pREG_SPORT0_DIV_B                ((volatile uint32_t *)REG_SPORT0_DIV_B)                 /* SPORT0 Half SPORT 'B' Divisor Register */
#define pREG_SPORT0_MCTL_B               ((volatile uint32_t *)REG_SPORT0_MCTL_B)                /* SPORT0 Half SPORT 'B' Multi-channel Control Register */
#define pREG_SPORT0_CS0_B                ((volatile uint32_t *)REG_SPORT0_CS0_B)                 /* SPORT0 Half SPORT 'B' Multi-channel 0-31 Select Register */
#define pREG_SPORT0_CS1_B                ((volatile uint32_t *)REG_SPORT0_CS1_B)                 /* SPORT0 Half SPORT 'B' Multi-channel 32-63 Select Register */
#define pREG_SPORT0_CS2_B                ((volatile uint32_t *)REG_SPORT0_CS2_B)                 /* SPORT0 Half SPORT 'B' Multichannel 64-95 Select Register */
#define pREG_SPORT0_CS3_B                ((volatile uint32_t *)REG_SPORT0_CS3_B)                 /* SPORT0 Half SPORT 'B' Multichannel 96-127 Select Register */
#define pREG_SPORT0_ERR_B                ((volatile uint32_t *)REG_SPORT0_ERR_B)                 /* SPORT0 Half SPORT 'B' Error Register */
#define pREG_SPORT0_MSTAT_B              ((volatile uint32_t *)REG_SPORT0_MSTAT_B)               /* SPORT0 Half SPORT 'B' Multi-channel Status Register */
#define pREG_SPORT0_CTL2_B               ((volatile uint32_t *)REG_SPORT0_CTL2_B)                /* SPORT0 Half SPORT 'B' Control 2 Register */
#define pREG_SPORT0_TXPRI_B              ((volatile uint32_t *)REG_SPORT0_TXPRI_B)               /* SPORT0 Half SPORT 'B' Tx Buffer (Primary) Register */
#define pREG_SPORT0_RXPRI_B              ((volatile uint32_t *)REG_SPORT0_RXPRI_B)               /* SPORT0 Half SPORT 'B' Rx Buffer (Primary) Register */
#define pREG_SPORT0_TXSEC_B              ((volatile uint32_t *)REG_SPORT0_TXSEC_B)               /* SPORT0 Half SPORT 'B' Tx Buffer (Secondary) Register */
#define pREG_SPORT0_RXSEC_B              ((volatile uint32_t *)REG_SPORT0_RXSEC_B)               /* SPORT0 Half SPORT 'B' Rx Buffer (Secondary) Register */

/* =========================================================================
       SPORT1
   ========================================================================= */
#define pREG_SPORT1_CTL_A                ((volatile uint32_t *)REG_SPORT1_CTL_A)                 /* SPORT1 Half SPORT 'A' Control Register */
#define pREG_SPORT1_DIV_A                ((volatile uint32_t *)REG_SPORT1_DIV_A)                 /* SPORT1 Half SPORT 'A' Divisor Register */
#define pREG_SPORT1_MCTL_A               ((volatile uint32_t *)REG_SPORT1_MCTL_A)                /* SPORT1 Half SPORT 'A' Multi-channel Control Register */
#define pREG_SPORT1_CS0_A                ((volatile uint32_t *)REG_SPORT1_CS0_A)                 /* SPORT1 Half SPORT 'A' Multi-channel 0-31 Select Register */
#define pREG_SPORT1_CS1_A                ((volatile uint32_t *)REG_SPORT1_CS1_A)                 /* SPORT1 Half SPORT 'A' Multi-channel 32-63 Select Register */
#define pREG_SPORT1_CS2_A                ((volatile uint32_t *)REG_SPORT1_CS2_A)                 /* SPORT1 Half SPORT 'A' Multi-channel 64-95 Select Register */
#define pREG_SPORT1_CS3_A                ((volatile uint32_t *)REG_SPORT1_CS3_A)                 /* SPORT1 Half SPORT 'A' Multi-channel 96-127 Select Register */
#define pREG_SPORT1_ERR_A                ((volatile uint32_t *)REG_SPORT1_ERR_A)                 /* SPORT1 Half SPORT 'A' Error Register */
#define pREG_SPORT1_MSTAT_A              ((volatile uint32_t *)REG_SPORT1_MSTAT_A)               /* SPORT1 Half SPORT 'A' Multi-channel Status Register */
#define pREG_SPORT1_CTL2_A               ((volatile uint32_t *)REG_SPORT1_CTL2_A)                /* SPORT1 Half SPORT 'A' Control 2 Register */
#define pREG_SPORT1_TXPRI_A              ((volatile uint32_t *)REG_SPORT1_TXPRI_A)               /* SPORT1 Half SPORT 'A' Tx Buffer (Primary) Register */
#define pREG_SPORT1_RXPRI_A              ((volatile uint32_t *)REG_SPORT1_RXPRI_A)               /* SPORT1 Half SPORT 'A' Rx Buffer (Primary) Register */
#define pREG_SPORT1_TXSEC_A              ((volatile uint32_t *)REG_SPORT1_TXSEC_A)               /* SPORT1 Half SPORT 'A' Tx Buffer (Secondary) Register */
#define pREG_SPORT1_RXSEC_A              ((volatile uint32_t *)REG_SPORT1_RXSEC_A)               /* SPORT1 Half SPORT 'A' Rx Buffer (Secondary) Register */
#define pREG_SPORT1_CTL_B                ((volatile uint32_t *)REG_SPORT1_CTL_B)                 /* SPORT1 Half SPORT 'B' Control Register */
#define pREG_SPORT1_DIV_B                ((volatile uint32_t *)REG_SPORT1_DIV_B)                 /* SPORT1 Half SPORT 'B' Divisor Register */
#define pREG_SPORT1_MCTL_B               ((volatile uint32_t *)REG_SPORT1_MCTL_B)                /* SPORT1 Half SPORT 'B' Multi-channel Control Register */
#define pREG_SPORT1_CS0_B                ((volatile uint32_t *)REG_SPORT1_CS0_B)                 /* SPORT1 Half SPORT 'B' Multi-channel 0-31 Select Register */
#define pREG_SPORT1_CS1_B                ((volatile uint32_t *)REG_SPORT1_CS1_B)                 /* SPORT1 Half SPORT 'B' Multi-channel 32-63 Select Register */
#define pREG_SPORT1_CS2_B                ((volatile uint32_t *)REG_SPORT1_CS2_B)                 /* SPORT1 Half SPORT 'B' Multichannel 64-95 Select Register */
#define pREG_SPORT1_CS3_B                ((volatile uint32_t *)REG_SPORT1_CS3_B)                 /* SPORT1 Half SPORT 'B' Multichannel 96-127 Select Register */
#define pREG_SPORT1_ERR_B                ((volatile uint32_t *)REG_SPORT1_ERR_B)                 /* SPORT1 Half SPORT 'B' Error Register */
#define pREG_SPORT1_MSTAT_B              ((volatile uint32_t *)REG_SPORT1_MSTAT_B)               /* SPORT1 Half SPORT 'B' Multi-channel Status Register */
#define pREG_SPORT1_CTL2_B               ((volatile uint32_t *)REG_SPORT1_CTL2_B)                /* SPORT1 Half SPORT 'B' Control 2 Register */
#define pREG_SPORT1_TXPRI_B              ((volatile uint32_t *)REG_SPORT1_TXPRI_B)               /* SPORT1 Half SPORT 'B' Tx Buffer (Primary) Register */
#define pREG_SPORT1_RXPRI_B              ((volatile uint32_t *)REG_SPORT1_RXPRI_B)               /* SPORT1 Half SPORT 'B' Rx Buffer (Primary) Register */
#define pREG_SPORT1_TXSEC_B              ((volatile uint32_t *)REG_SPORT1_TXSEC_B)               /* SPORT1 Half SPORT 'B' Tx Buffer (Secondary) Register */
#define pREG_SPORT1_RXSEC_B              ((volatile uint32_t *)REG_SPORT1_RXSEC_B)               /* SPORT1 Half SPORT 'B' Rx Buffer (Secondary) Register */


/* =========================================================================
       CRC0
   ========================================================================= */
#define pREG_CRC0_CTL                    ((volatile uint32_t *)REG_CRC0_CTL)                     /* CRC0 Control Register */
#define pREG_CRC0_DCNT                   ((volatile uint32_t *)REG_CRC0_DCNT)                    /* CRC0 Data Word Count Register */
#define pREG_CRC0_DCNTRLD                ((volatile uint32_t *)REG_CRC0_DCNTRLD)                 /* CRC0 Data Word Count Reload Register */
#define pREG_CRC0_COMP                   ((volatile uint32_t *)REG_CRC0_COMP)                    /* CRC0 Data Compare Register */
#define pREG_CRC0_FILLVAL                ((volatile uint32_t *)REG_CRC0_FILLVAL)                 /* CRC0 Fill Value Register */
#define pREG_CRC0_DFIFO                  ((volatile uint32_t *)REG_CRC0_DFIFO)                   /* CRC0 Data FIFO Register */
#define pREG_CRC0_INEN                   ((volatile uint32_t *)REG_CRC0_INEN)                    /* CRC0 Interrupt Enable Register */
#define pREG_CRC0_INEN_SET               ((volatile uint32_t *)REG_CRC0_INEN_SET)                /* CRC0 Interrupt Enable Set Register */
#define pREG_CRC0_INEN_CLR               ((volatile uint32_t *)REG_CRC0_INEN_CLR)                /* CRC0 Interrupt Enable Clear Register */
#define pREG_CRC0_POLY                   ((volatile uint32_t *)REG_CRC0_POLY)                    /* CRC0 Polynomial Register */
#define pREG_CRC0_STAT                   ((volatile uint32_t *)REG_CRC0_STAT)                    /* CRC0 Status Register */
#define pREG_CRC0_DCNTCAP                ((volatile uint32_t *)REG_CRC0_DCNTCAP)                 /* CRC0 Data Count Capture Register */
#define pREG_CRC0_RESULT_FIN             ((volatile uint32_t *)REG_CRC0_RESULT_FIN)              /* CRC0 CRC Final Result Register */
#define pREG_CRC0_RESULT_CUR             ((volatile uint32_t *)REG_CRC0_RESULT_CUR)              /* CRC0 CRC Current Result Register */


/* =========================================================================
       EMUID0
   ========================================================================= */
#define pREG_EMUID0_ADIID                ((volatile uint16_t *)REG_EMUID0_ADIID)                 /* EMUID0 Analog Devices Identification */
#define pREG_EMUID0_CHIPID               ((volatile uint16_t *)REG_EMUID0_CHIPID)                /* EMUID0 Chip Identification */


/* =========================================================================
       CAN0
   ========================================================================= */
#define pREG_CAN0_MC1                    ((volatile uint16_t *)REG_CAN0_MC1)                     /* CAN0 Mailbox Configuration 1 Register */
#define pREG_CAN0_MD1                    ((volatile uint16_t *)REG_CAN0_MD1)                     /* CAN0 Mailbox Direction 1 Register */
#define pREG_CAN0_TRS1                   ((volatile uint16_t *)REG_CAN0_TRS1)                    /* CAN0 Transmission Request Set 1 Register */
#define pREG_CAN0_TRR1                   ((volatile uint16_t *)REG_CAN0_TRR1)                    /* CAN0 Transmission Request Reset 1 Register */
#define pREG_CAN0_TA1                    ((volatile uint16_t *)REG_CAN0_TA1)                     /* CAN0 Transmission Acknowledge 1 Register */
#define pREG_CAN0_AA1                    ((volatile uint16_t *)REG_CAN0_AA1)                     /* CAN0 Abort Acknowledge 1 Register */
#define pREG_CAN0_RMP1                   ((volatile uint16_t *)REG_CAN0_RMP1)                    /* CAN0 Receive Message Pending 1 Register */
#define pREG_CAN0_RML1                   ((volatile uint16_t *)REG_CAN0_RML1)                    /* CAN0 Receive Message Lost 1 Register */
#define pREG_CAN0_MBTIF1                 ((volatile uint16_t *)REG_CAN0_MBTIF1)                  /* CAN0 Mailbox Transmit Interrupt Flag 1 Register */
#define pREG_CAN0_MBRIF1                 ((volatile uint16_t *)REG_CAN0_MBRIF1)                  /* CAN0 Mailbox Receive Interrupt Flag 1 Register */
#define pREG_CAN0_MBIM1                  ((volatile uint16_t *)REG_CAN0_MBIM1)                   /* CAN0 Mailbox Interrupt Mask 1 Register */
#define pREG_CAN0_RFH1                   ((volatile uint16_t *)REG_CAN0_RFH1)                    /* CAN0 Remote Frame Handling 1 Register */
#define pREG_CAN0_OPSS1                  ((volatile uint16_t *)REG_CAN0_OPSS1)                   /* CAN0 Overwrite Protection/Single Shot Transmission 1 Register */
#define pREG_CAN0_MC2                    ((volatile uint16_t *)REG_CAN0_MC2)                     /* CAN0 Mailbox Configuration 2 Register */
#define pREG_CAN0_MD2                    ((volatile uint16_t *)REG_CAN0_MD2)                     /* CAN0 Mailbox Direction 2 Register */
#define pREG_CAN0_TRS2                   ((volatile uint16_t *)REG_CAN0_TRS2)                    /* CAN0 Transmission Request Set 2 Register */
#define pREG_CAN0_TRR2                   ((volatile uint16_t *)REG_CAN0_TRR2)                    /* CAN0 Transmission Request Reset 2 Register */
#define pREG_CAN0_TA2                    ((volatile uint16_t *)REG_CAN0_TA2)                     /* CAN0 Transmission Acknowledge 2 Register */
#define pREG_CAN0_AA2                    ((volatile uint16_t *)REG_CAN0_AA2)                     /* CAN0 Abort Acknowledge 2 Register */
#define pREG_CAN0_RMP2                   ((volatile uint16_t *)REG_CAN0_RMP2)                    /* CAN0 Receive Message Pending 2 Register */
#define pREG_CAN0_RML2                   ((volatile uint16_t *)REG_CAN0_RML2)                    /* CAN0 Receive Message Lost 2 Register */
#define pREG_CAN0_MBTIF2                 ((volatile uint16_t *)REG_CAN0_MBTIF2)                  /* CAN0 Mailbox Transmit Interrupt Flag 2 Register */
#define pREG_CAN0_MBRIF2                 ((volatile uint16_t *)REG_CAN0_MBRIF2)                  /* CAN0 Mailbox Receive Interrupt Flag 2 Register */
#define pREG_CAN0_MBIM2                  ((volatile uint16_t *)REG_CAN0_MBIM2)                   /* CAN0 Mailbox Interrupt Mask 2 Register */
#define pREG_CAN0_RFH2                   ((volatile uint16_t *)REG_CAN0_RFH2)                    /* CAN0 Remote Frame Handling 2 Register */
#define pREG_CAN0_OPSS2                  ((volatile uint16_t *)REG_CAN0_OPSS2)                   /* CAN0 Overwrite Protection/Single Shot Transmission 2 Register */
#define pREG_CAN0_CLK                    ((volatile uint16_t *)REG_CAN0_CLK)                     /* CAN0 Clock Register */
#define pREG_CAN0_TIMING                 ((volatile uint16_t *)REG_CAN0_TIMING)                  /* CAN0 Timing Register */
#define pREG_CAN0_DBG                    ((volatile uint16_t *)REG_CAN0_DBG)                     /* CAN0 Debug Register */
#define pREG_CAN0_STAT                   ((volatile uint16_t *)REG_CAN0_STAT)                    /* CAN0 Status Register */
#define pREG_CAN0_CEC                    ((volatile uint16_t *)REG_CAN0_CEC)                     /* CAN0 Error Counter Register */
#define pREG_CAN0_GIS                    ((volatile uint16_t *)REG_CAN0_GIS)                     /* CAN0 Global CAN Interrupt Status Register */
#define pREG_CAN0_GIM                    ((volatile uint16_t *)REG_CAN0_GIM)                     /* CAN0 Global CAN Interrupt Mask Register */
#define pREG_CAN0_GIF                    ((volatile uint16_t *)REG_CAN0_GIF)                     /* CAN0 Global CAN Interrupt Flag Register */
#define pREG_CAN0_CTL                    ((volatile uint16_t *)REG_CAN0_CTL)                     /* CAN0 CAN Master Control Register */
#define pREG_CAN0_INT                    ((volatile uint16_t *)REG_CAN0_INT)                     /* CAN0 Interrupt Pending Register */
#define pREG_CAN0_MBTD                   ((volatile uint16_t *)REG_CAN0_MBTD)                    /* CAN0 Temporary Mailbox Disable Register */
#define pREG_CAN0_EWR                    ((volatile uint16_t *)REG_CAN0_EWR)                     /* CAN0 Error Counter Warning Level Register */
#define pREG_CAN0_ESR                    ((volatile uint16_t *)REG_CAN0_ESR)                     /* CAN0 Error Status Register */
#define pREG_CAN0_UCCNT                  ((volatile uint16_t *)REG_CAN0_UCCNT)                   /* CAN0 Universal Counter Register */
#define pREG_CAN0_UCRC                   ((volatile uint16_t *)REG_CAN0_UCRC)                    /* CAN0 Universal Counter Reload/Capture Register */
#define pREG_CAN0_UCCNF                  ((volatile uint16_t *)REG_CAN0_UCCNF)                   /* CAN0 Universal Counter Configuration Mode Register */
#define pREG_CAN0_AM00L                  ((volatile uint16_t *)REG_CAN0_AM00L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM01L                  ((volatile uint16_t *)REG_CAN0_AM01L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM02L                  ((volatile uint16_t *)REG_CAN0_AM02L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM03L                  ((volatile uint16_t *)REG_CAN0_AM03L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM04L                  ((volatile uint16_t *)REG_CAN0_AM04L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM05L                  ((volatile uint16_t *)REG_CAN0_AM05L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM06L                  ((volatile uint16_t *)REG_CAN0_AM06L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM07L                  ((volatile uint16_t *)REG_CAN0_AM07L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM08L                  ((volatile uint16_t *)REG_CAN0_AM08L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM09L                  ((volatile uint16_t *)REG_CAN0_AM09L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM10L                  ((volatile uint16_t *)REG_CAN0_AM10L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM11L                  ((volatile uint16_t *)REG_CAN0_AM11L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM12L                  ((volatile uint16_t *)REG_CAN0_AM12L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM13L                  ((volatile uint16_t *)REG_CAN0_AM13L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM14L                  ((volatile uint16_t *)REG_CAN0_AM14L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM15L                  ((volatile uint16_t *)REG_CAN0_AM15L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM16L                  ((volatile uint16_t *)REG_CAN0_AM16L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM17L                  ((volatile uint16_t *)REG_CAN0_AM17L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM18L                  ((volatile uint16_t *)REG_CAN0_AM18L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM19L                  ((volatile uint16_t *)REG_CAN0_AM19L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM20L                  ((volatile uint16_t *)REG_CAN0_AM20L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM21L                  ((volatile uint16_t *)REG_CAN0_AM21L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM22L                  ((volatile uint16_t *)REG_CAN0_AM22L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM23L                  ((volatile uint16_t *)REG_CAN0_AM23L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM24L                  ((volatile uint16_t *)REG_CAN0_AM24L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM25L                  ((volatile uint16_t *)REG_CAN0_AM25L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM26L                  ((volatile uint16_t *)REG_CAN0_AM26L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM27L                  ((volatile uint16_t *)REG_CAN0_AM27L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM28L                  ((volatile uint16_t *)REG_CAN0_AM28L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM29L                  ((volatile uint16_t *)REG_CAN0_AM29L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM30L                  ((volatile uint16_t *)REG_CAN0_AM30L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM31L                  ((volatile uint16_t *)REG_CAN0_AM31L)                   /* CAN0 Acceptance Mask (L) Register */
#define pREG_CAN0_AM00H                  ((volatile uint16_t *)REG_CAN0_AM00H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM01H                  ((volatile uint16_t *)REG_CAN0_AM01H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM02H                  ((volatile uint16_t *)REG_CAN0_AM02H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM03H                  ((volatile uint16_t *)REG_CAN0_AM03H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM04H                  ((volatile uint16_t *)REG_CAN0_AM04H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM05H                  ((volatile uint16_t *)REG_CAN0_AM05H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM06H                  ((volatile uint16_t *)REG_CAN0_AM06H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM07H                  ((volatile uint16_t *)REG_CAN0_AM07H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM08H                  ((volatile uint16_t *)REG_CAN0_AM08H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM09H                  ((volatile uint16_t *)REG_CAN0_AM09H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM10H                  ((volatile uint16_t *)REG_CAN0_AM10H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM11H                  ((volatile uint16_t *)REG_CAN0_AM11H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM12H                  ((volatile uint16_t *)REG_CAN0_AM12H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM13H                  ((volatile uint16_t *)REG_CAN0_AM13H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM14H                  ((volatile uint16_t *)REG_CAN0_AM14H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM15H                  ((volatile uint16_t *)REG_CAN0_AM15H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM16H                  ((volatile uint16_t *)REG_CAN0_AM16H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM17H                  ((volatile uint16_t *)REG_CAN0_AM17H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM18H                  ((volatile uint16_t *)REG_CAN0_AM18H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM19H                  ((volatile uint16_t *)REG_CAN0_AM19H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM20H                  ((volatile uint16_t *)REG_CAN0_AM20H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM21H                  ((volatile uint16_t *)REG_CAN0_AM21H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM22H                  ((volatile uint16_t *)REG_CAN0_AM22H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM23H                  ((volatile uint16_t *)REG_CAN0_AM23H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM24H                  ((volatile uint16_t *)REG_CAN0_AM24H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM25H                  ((volatile uint16_t *)REG_CAN0_AM25H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM26H                  ((volatile uint16_t *)REG_CAN0_AM26H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM27H                  ((volatile uint16_t *)REG_CAN0_AM27H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM28H                  ((volatile uint16_t *)REG_CAN0_AM28H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM29H                  ((volatile uint16_t *)REG_CAN0_AM29H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM30H                  ((volatile uint16_t *)REG_CAN0_AM30H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_AM31H                  ((volatile uint16_t *)REG_CAN0_AM31H)                   /* CAN0 Acceptance Mask (H) Register */
#define pREG_CAN0_MB00_DATA0             ((volatile uint16_t *)REG_CAN0_MB00_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB01_DATA0             ((volatile uint16_t *)REG_CAN0_MB01_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB02_DATA0             ((volatile uint16_t *)REG_CAN0_MB02_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB03_DATA0             ((volatile uint16_t *)REG_CAN0_MB03_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB04_DATA0             ((volatile uint16_t *)REG_CAN0_MB04_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB05_DATA0             ((volatile uint16_t *)REG_CAN0_MB05_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB06_DATA0             ((volatile uint16_t *)REG_CAN0_MB06_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB07_DATA0             ((volatile uint16_t *)REG_CAN0_MB07_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB08_DATA0             ((volatile uint16_t *)REG_CAN0_MB08_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB09_DATA0             ((volatile uint16_t *)REG_CAN0_MB09_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB10_DATA0             ((volatile uint16_t *)REG_CAN0_MB10_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB11_DATA0             ((volatile uint16_t *)REG_CAN0_MB11_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB12_DATA0             ((volatile uint16_t *)REG_CAN0_MB12_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB13_DATA0             ((volatile uint16_t *)REG_CAN0_MB13_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB14_DATA0             ((volatile uint16_t *)REG_CAN0_MB14_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB15_DATA0             ((volatile uint16_t *)REG_CAN0_MB15_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB16_DATA0             ((volatile uint16_t *)REG_CAN0_MB16_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB17_DATA0             ((volatile uint16_t *)REG_CAN0_MB17_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB18_DATA0             ((volatile uint16_t *)REG_CAN0_MB18_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB19_DATA0             ((volatile uint16_t *)REG_CAN0_MB19_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB20_DATA0             ((volatile uint16_t *)REG_CAN0_MB20_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB21_DATA0             ((volatile uint16_t *)REG_CAN0_MB21_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB22_DATA0             ((volatile uint16_t *)REG_CAN0_MB22_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB23_DATA0             ((volatile uint16_t *)REG_CAN0_MB23_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB24_DATA0             ((volatile uint16_t *)REG_CAN0_MB24_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB25_DATA0             ((volatile uint16_t *)REG_CAN0_MB25_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB26_DATA0             ((volatile uint16_t *)REG_CAN0_MB26_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB27_DATA0             ((volatile uint16_t *)REG_CAN0_MB27_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB28_DATA0             ((volatile uint16_t *)REG_CAN0_MB28_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB29_DATA0             ((volatile uint16_t *)REG_CAN0_MB29_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB30_DATA0             ((volatile uint16_t *)REG_CAN0_MB30_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB31_DATA0             ((volatile uint16_t *)REG_CAN0_MB31_DATA0)              /* CAN0 Mailbox Word 0 Register */
#define pREG_CAN0_MB00_DATA1             ((volatile uint16_t *)REG_CAN0_MB00_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB01_DATA1             ((volatile uint16_t *)REG_CAN0_MB01_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB02_DATA1             ((volatile uint16_t *)REG_CAN0_MB02_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB03_DATA1             ((volatile uint16_t *)REG_CAN0_MB03_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB04_DATA1             ((volatile uint16_t *)REG_CAN0_MB04_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB05_DATA1             ((volatile uint16_t *)REG_CAN0_MB05_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB06_DATA1             ((volatile uint16_t *)REG_CAN0_MB06_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB07_DATA1             ((volatile uint16_t *)REG_CAN0_MB07_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB08_DATA1             ((volatile uint16_t *)REG_CAN0_MB08_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB09_DATA1             ((volatile uint16_t *)REG_CAN0_MB09_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB10_DATA1             ((volatile uint16_t *)REG_CAN0_MB10_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB11_DATA1             ((volatile uint16_t *)REG_CAN0_MB11_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB12_DATA1             ((volatile uint16_t *)REG_CAN0_MB12_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB13_DATA1             ((volatile uint16_t *)REG_CAN0_MB13_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB14_DATA1             ((volatile uint16_t *)REG_CAN0_MB14_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB15_DATA1             ((volatile uint16_t *)REG_CAN0_MB15_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB16_DATA1             ((volatile uint16_t *)REG_CAN0_MB16_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB17_DATA1             ((volatile uint16_t *)REG_CAN0_MB17_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB18_DATA1             ((volatile uint16_t *)REG_CAN0_MB18_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB19_DATA1             ((volatile uint16_t *)REG_CAN0_MB19_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB20_DATA1             ((volatile uint16_t *)REG_CAN0_MB20_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB21_DATA1             ((volatile uint16_t *)REG_CAN0_MB21_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB22_DATA1             ((volatile uint16_t *)REG_CAN0_MB22_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB23_DATA1             ((volatile uint16_t *)REG_CAN0_MB23_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB24_DATA1             ((volatile uint16_t *)REG_CAN0_MB24_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB25_DATA1             ((volatile uint16_t *)REG_CAN0_MB25_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB26_DATA1             ((volatile uint16_t *)REG_CAN0_MB26_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB27_DATA1             ((volatile uint16_t *)REG_CAN0_MB27_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB28_DATA1             ((volatile uint16_t *)REG_CAN0_MB28_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB29_DATA1             ((volatile uint16_t *)REG_CAN0_MB29_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB30_DATA1             ((volatile uint16_t *)REG_CAN0_MB30_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB31_DATA1             ((volatile uint16_t *)REG_CAN0_MB31_DATA1)              /* CAN0 Mailbox Word 1 Register */
#define pREG_CAN0_MB00_DATA2             ((volatile uint16_t *)REG_CAN0_MB00_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB01_DATA2             ((volatile uint16_t *)REG_CAN0_MB01_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB02_DATA2             ((volatile uint16_t *)REG_CAN0_MB02_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB03_DATA2             ((volatile uint16_t *)REG_CAN0_MB03_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB04_DATA2             ((volatile uint16_t *)REG_CAN0_MB04_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB05_DATA2             ((volatile uint16_t *)REG_CAN0_MB05_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB06_DATA2             ((volatile uint16_t *)REG_CAN0_MB06_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB07_DATA2             ((volatile uint16_t *)REG_CAN0_MB07_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB08_DATA2             ((volatile uint16_t *)REG_CAN0_MB08_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB09_DATA2             ((volatile uint16_t *)REG_CAN0_MB09_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB10_DATA2             ((volatile uint16_t *)REG_CAN0_MB10_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB11_DATA2             ((volatile uint16_t *)REG_CAN0_MB11_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB12_DATA2             ((volatile uint16_t *)REG_CAN0_MB12_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB13_DATA2             ((volatile uint16_t *)REG_CAN0_MB13_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB14_DATA2             ((volatile uint16_t *)REG_CAN0_MB14_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB15_DATA2             ((volatile uint16_t *)REG_CAN0_MB15_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB16_DATA2             ((volatile uint16_t *)REG_CAN0_MB16_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB17_DATA2             ((volatile uint16_t *)REG_CAN0_MB17_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB18_DATA2             ((volatile uint16_t *)REG_CAN0_MB18_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB19_DATA2             ((volatile uint16_t *)REG_CAN0_MB19_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB20_DATA2             ((volatile uint16_t *)REG_CAN0_MB20_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB21_DATA2             ((volatile uint16_t *)REG_CAN0_MB21_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB22_DATA2             ((volatile uint16_t *)REG_CAN0_MB22_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB23_DATA2             ((volatile uint16_t *)REG_CAN0_MB23_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB24_DATA2             ((volatile uint16_t *)REG_CAN0_MB24_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB25_DATA2             ((volatile uint16_t *)REG_CAN0_MB25_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB26_DATA2             ((volatile uint16_t *)REG_CAN0_MB26_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB27_DATA2             ((volatile uint16_t *)REG_CAN0_MB27_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB28_DATA2             ((volatile uint16_t *)REG_CAN0_MB28_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB29_DATA2             ((volatile uint16_t *)REG_CAN0_MB29_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB30_DATA2             ((volatile uint16_t *)REG_CAN0_MB30_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB31_DATA2             ((volatile uint16_t *)REG_CAN0_MB31_DATA2)              /* CAN0 Mailbox Word 2 Register */
#define pREG_CAN0_MB00_DATA3             ((volatile uint16_t *)REG_CAN0_MB00_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB01_DATA3             ((volatile uint16_t *)REG_CAN0_MB01_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB02_DATA3             ((volatile uint16_t *)REG_CAN0_MB02_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB03_DATA3             ((volatile uint16_t *)REG_CAN0_MB03_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB04_DATA3             ((volatile uint16_t *)REG_CAN0_MB04_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB05_DATA3             ((volatile uint16_t *)REG_CAN0_MB05_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB06_DATA3             ((volatile uint16_t *)REG_CAN0_MB06_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB07_DATA3             ((volatile uint16_t *)REG_CAN0_MB07_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB08_DATA3             ((volatile uint16_t *)REG_CAN0_MB08_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB09_DATA3             ((volatile uint16_t *)REG_CAN0_MB09_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB10_DATA3             ((volatile uint16_t *)REG_CAN0_MB10_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB11_DATA3             ((volatile uint16_t *)REG_CAN0_MB11_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB12_DATA3             ((volatile uint16_t *)REG_CAN0_MB12_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB13_DATA3             ((volatile uint16_t *)REG_CAN0_MB13_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB14_DATA3             ((volatile uint16_t *)REG_CAN0_MB14_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB15_DATA3             ((volatile uint16_t *)REG_CAN0_MB15_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB16_DATA3             ((volatile uint16_t *)REG_CAN0_MB16_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB17_DATA3             ((volatile uint16_t *)REG_CAN0_MB17_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB18_DATA3             ((volatile uint16_t *)REG_CAN0_MB18_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB19_DATA3             ((volatile uint16_t *)REG_CAN0_MB19_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB20_DATA3             ((volatile uint16_t *)REG_CAN0_MB20_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB21_DATA3             ((volatile uint16_t *)REG_CAN0_MB21_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB22_DATA3             ((volatile uint16_t *)REG_CAN0_MB22_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB23_DATA3             ((volatile uint16_t *)REG_CAN0_MB23_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB24_DATA3             ((volatile uint16_t *)REG_CAN0_MB24_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB25_DATA3             ((volatile uint16_t *)REG_CAN0_MB25_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB26_DATA3             ((volatile uint16_t *)REG_CAN0_MB26_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB27_DATA3             ((volatile uint16_t *)REG_CAN0_MB27_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB28_DATA3             ((volatile uint16_t *)REG_CAN0_MB28_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB29_DATA3             ((volatile uint16_t *)REG_CAN0_MB29_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB30_DATA3             ((volatile uint16_t *)REG_CAN0_MB30_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB31_DATA3             ((volatile uint16_t *)REG_CAN0_MB31_DATA3)              /* CAN0 Mailbox Word 3 Register */
#define pREG_CAN0_MB00_LENGTH            ((volatile uint16_t *)REG_CAN0_MB00_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB01_LENGTH            ((volatile uint16_t *)REG_CAN0_MB01_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB02_LENGTH            ((volatile uint16_t *)REG_CAN0_MB02_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB03_LENGTH            ((volatile uint16_t *)REG_CAN0_MB03_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB04_LENGTH            ((volatile uint16_t *)REG_CAN0_MB04_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB05_LENGTH            ((volatile uint16_t *)REG_CAN0_MB05_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB06_LENGTH            ((volatile uint16_t *)REG_CAN0_MB06_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB07_LENGTH            ((volatile uint16_t *)REG_CAN0_MB07_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB08_LENGTH            ((volatile uint16_t *)REG_CAN0_MB08_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB09_LENGTH            ((volatile uint16_t *)REG_CAN0_MB09_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB10_LENGTH            ((volatile uint16_t *)REG_CAN0_MB10_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB11_LENGTH            ((volatile uint16_t *)REG_CAN0_MB11_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB12_LENGTH            ((volatile uint16_t *)REG_CAN0_MB12_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB13_LENGTH            ((volatile uint16_t *)REG_CAN0_MB13_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB14_LENGTH            ((volatile uint16_t *)REG_CAN0_MB14_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB15_LENGTH            ((volatile uint16_t *)REG_CAN0_MB15_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB16_LENGTH            ((volatile uint16_t *)REG_CAN0_MB16_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB17_LENGTH            ((volatile uint16_t *)REG_CAN0_MB17_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB18_LENGTH            ((volatile uint16_t *)REG_CAN0_MB18_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB19_LENGTH            ((volatile uint16_t *)REG_CAN0_MB19_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB20_LENGTH            ((volatile uint16_t *)REG_CAN0_MB20_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB21_LENGTH            ((volatile uint16_t *)REG_CAN0_MB21_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB22_LENGTH            ((volatile uint16_t *)REG_CAN0_MB22_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB23_LENGTH            ((volatile uint16_t *)REG_CAN0_MB23_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB24_LENGTH            ((volatile uint16_t *)REG_CAN0_MB24_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB25_LENGTH            ((volatile uint16_t *)REG_CAN0_MB25_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB26_LENGTH            ((volatile uint16_t *)REG_CAN0_MB26_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB27_LENGTH            ((volatile uint16_t *)REG_CAN0_MB27_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB28_LENGTH            ((volatile uint16_t *)REG_CAN0_MB28_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB29_LENGTH            ((volatile uint16_t *)REG_CAN0_MB29_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB30_LENGTH            ((volatile uint16_t *)REG_CAN0_MB30_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB31_LENGTH            ((volatile uint16_t *)REG_CAN0_MB31_LENGTH)             /* CAN0 Mailbox Length Register */
#define pREG_CAN0_MB00_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB00_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB01_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB01_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB02_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB02_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB03_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB03_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB04_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB04_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB05_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB05_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB06_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB06_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB07_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB07_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB08_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB08_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB09_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB09_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB10_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB10_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB11_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB11_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB12_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB12_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB13_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB13_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB14_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB14_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB15_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB15_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB16_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB16_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB17_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB17_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB18_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB18_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB19_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB19_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB20_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB20_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB21_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB21_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB22_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB22_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB23_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB23_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB24_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB24_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB25_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB25_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB26_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB26_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB27_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB27_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB28_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB28_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB29_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB29_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB30_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB30_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB31_TIMESTAMP         ((volatile uint16_t *)REG_CAN0_MB31_TIMESTAMP)          /* CAN0 Mailbox Timestamp Register */
#define pREG_CAN0_MB00_ID0               ((volatile uint16_t *)REG_CAN0_MB00_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB01_ID0               ((volatile uint16_t *)REG_CAN0_MB01_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB02_ID0               ((volatile uint16_t *)REG_CAN0_MB02_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB03_ID0               ((volatile uint16_t *)REG_CAN0_MB03_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB04_ID0               ((volatile uint16_t *)REG_CAN0_MB04_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB05_ID0               ((volatile uint16_t *)REG_CAN0_MB05_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB06_ID0               ((volatile uint16_t *)REG_CAN0_MB06_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB07_ID0               ((volatile uint16_t *)REG_CAN0_MB07_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB08_ID0               ((volatile uint16_t *)REG_CAN0_MB08_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB09_ID0               ((volatile uint16_t *)REG_CAN0_MB09_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB10_ID0               ((volatile uint16_t *)REG_CAN0_MB10_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB11_ID0               ((volatile uint16_t *)REG_CAN0_MB11_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB12_ID0               ((volatile uint16_t *)REG_CAN0_MB12_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB13_ID0               ((volatile uint16_t *)REG_CAN0_MB13_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB14_ID0               ((volatile uint16_t *)REG_CAN0_MB14_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB15_ID0               ((volatile uint16_t *)REG_CAN0_MB15_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB16_ID0               ((volatile uint16_t *)REG_CAN0_MB16_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB17_ID0               ((volatile uint16_t *)REG_CAN0_MB17_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB18_ID0               ((volatile uint16_t *)REG_CAN0_MB18_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB19_ID0               ((volatile uint16_t *)REG_CAN0_MB19_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB20_ID0               ((volatile uint16_t *)REG_CAN0_MB20_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB21_ID0               ((volatile uint16_t *)REG_CAN0_MB21_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB22_ID0               ((volatile uint16_t *)REG_CAN0_MB22_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB23_ID0               ((volatile uint16_t *)REG_CAN0_MB23_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB24_ID0               ((volatile uint16_t *)REG_CAN0_MB24_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB25_ID0               ((volatile uint16_t *)REG_CAN0_MB25_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB26_ID0               ((volatile uint16_t *)REG_CAN0_MB26_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB27_ID0               ((volatile uint16_t *)REG_CAN0_MB27_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB28_ID0               ((volatile uint16_t *)REG_CAN0_MB28_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB29_ID0               ((volatile uint16_t *)REG_CAN0_MB29_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB30_ID0               ((volatile uint16_t *)REG_CAN0_MB30_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB31_ID0               ((volatile uint16_t *)REG_CAN0_MB31_ID0)                /* CAN0 Mailbox ID 0 Register */
#define pREG_CAN0_MB00_ID1               ((volatile uint16_t *)REG_CAN0_MB00_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB01_ID1               ((volatile uint16_t *)REG_CAN0_MB01_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB02_ID1               ((volatile uint16_t *)REG_CAN0_MB02_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB03_ID1               ((volatile uint16_t *)REG_CAN0_MB03_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB04_ID1               ((volatile uint16_t *)REG_CAN0_MB04_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB05_ID1               ((volatile uint16_t *)REG_CAN0_MB05_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB06_ID1               ((volatile uint16_t *)REG_CAN0_MB06_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB07_ID1               ((volatile uint16_t *)REG_CAN0_MB07_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB08_ID1               ((volatile uint16_t *)REG_CAN0_MB08_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB09_ID1               ((volatile uint16_t *)REG_CAN0_MB09_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB10_ID1               ((volatile uint16_t *)REG_CAN0_MB10_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB11_ID1               ((volatile uint16_t *)REG_CAN0_MB11_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB12_ID1               ((volatile uint16_t *)REG_CAN0_MB12_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB13_ID1               ((volatile uint16_t *)REG_CAN0_MB13_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB14_ID1               ((volatile uint16_t *)REG_CAN0_MB14_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB15_ID1               ((volatile uint16_t *)REG_CAN0_MB15_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB16_ID1               ((volatile uint16_t *)REG_CAN0_MB16_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB17_ID1               ((volatile uint16_t *)REG_CAN0_MB17_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB18_ID1               ((volatile uint16_t *)REG_CAN0_MB18_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB19_ID1               ((volatile uint16_t *)REG_CAN0_MB19_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB20_ID1               ((volatile uint16_t *)REG_CAN0_MB20_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB21_ID1               ((volatile uint16_t *)REG_CAN0_MB21_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB22_ID1               ((volatile uint16_t *)REG_CAN0_MB22_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB23_ID1               ((volatile uint16_t *)REG_CAN0_MB23_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB24_ID1               ((volatile uint16_t *)REG_CAN0_MB24_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB25_ID1               ((volatile uint16_t *)REG_CAN0_MB25_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB26_ID1               ((volatile uint16_t *)REG_CAN0_MB26_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB27_ID1               ((volatile uint16_t *)REG_CAN0_MB27_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB28_ID1               ((volatile uint16_t *)REG_CAN0_MB28_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB29_ID1               ((volatile uint16_t *)REG_CAN0_MB29_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB30_ID1               ((volatile uint16_t *)REG_CAN0_MB30_ID1)                /* CAN0 Mailbox ID 1 Register */
#define pREG_CAN0_MB31_ID1               ((volatile uint16_t *)REG_CAN0_MB31_ID1)                /* CAN0 Mailbox ID 1 Register */

/* =========================================================================
       CAN1
   ========================================================================= */
#define pREG_CAN1_MC1                    ((volatile uint16_t *)REG_CAN1_MC1)                     /* CAN1 Mailbox Configuration 1 Register */
#define pREG_CAN1_MD1                    ((volatile uint16_t *)REG_CAN1_MD1)                     /* CAN1 Mailbox Direction 1 Register */
#define pREG_CAN1_TRS1                   ((volatile uint16_t *)REG_CAN1_TRS1)                    /* CAN1 Transmission Request Set 1 Register */
#define pREG_CAN1_TRR1                   ((volatile uint16_t *)REG_CAN1_TRR1)                    /* CAN1 Transmission Request Reset 1 Register */
#define pREG_CAN1_TA1                    ((volatile uint16_t *)REG_CAN1_TA1)                     /* CAN1 Transmission Acknowledge 1 Register */
#define pREG_CAN1_AA1                    ((volatile uint16_t *)REG_CAN1_AA1)                     /* CAN1 Abort Acknowledge 1 Register */
#define pREG_CAN1_RMP1                   ((volatile uint16_t *)REG_CAN1_RMP1)                    /* CAN1 Receive Message Pending 1 Register */
#define pREG_CAN1_RML1                   ((volatile uint16_t *)REG_CAN1_RML1)                    /* CAN1 Receive Message Lost 1 Register */
#define pREG_CAN1_MBTIF1                 ((volatile uint16_t *)REG_CAN1_MBTIF1)                  /* CAN1 Mailbox Transmit Interrupt Flag 1 Register */
#define pREG_CAN1_MBRIF1                 ((volatile uint16_t *)REG_CAN1_MBRIF1)                  /* CAN1 Mailbox Receive Interrupt Flag 1 Register */
#define pREG_CAN1_MBIM1                  ((volatile uint16_t *)REG_CAN1_MBIM1)                   /* CAN1 Mailbox Interrupt Mask 1 Register */
#define pREG_CAN1_RFH1                   ((volatile uint16_t *)REG_CAN1_RFH1)                    /* CAN1 Remote Frame Handling 1 Register */
#define pREG_CAN1_OPSS1                  ((volatile uint16_t *)REG_CAN1_OPSS1)                   /* CAN1 Overwrite Protection/Single Shot Transmission 1 Register */
#define pREG_CAN1_MC2                    ((volatile uint16_t *)REG_CAN1_MC2)                     /* CAN1 Mailbox Configuration 2 Register */
#define pREG_CAN1_MD2                    ((volatile uint16_t *)REG_CAN1_MD2)                     /* CAN1 Mailbox Direction 2 Register */
#define pREG_CAN1_TRS2                   ((volatile uint16_t *)REG_CAN1_TRS2)                    /* CAN1 Transmission Request Set 2 Register */
#define pREG_CAN1_TRR2                   ((volatile uint16_t *)REG_CAN1_TRR2)                    /* CAN1 Transmission Request Reset 2 Register */
#define pREG_CAN1_TA2                    ((volatile uint16_t *)REG_CAN1_TA2)                     /* CAN1 Transmission Acknowledge 2 Register */
#define pREG_CAN1_AA2                    ((volatile uint16_t *)REG_CAN1_AA2)                     /* CAN1 Abort Acknowledge 2 Register */
#define pREG_CAN1_RMP2                   ((volatile uint16_t *)REG_CAN1_RMP2)                    /* CAN1 Receive Message Pending 2 Register */
#define pREG_CAN1_RML2                   ((volatile uint16_t *)REG_CAN1_RML2)                    /* CAN1 Receive Message Lost 2 Register */
#define pREG_CAN1_MBTIF2                 ((volatile uint16_t *)REG_CAN1_MBTIF2)                  /* CAN1 Mailbox Transmit Interrupt Flag 2 Register */
#define pREG_CAN1_MBRIF2                 ((volatile uint16_t *)REG_CAN1_MBRIF2)                  /* CAN1 Mailbox Receive Interrupt Flag 2 Register */
#define pREG_CAN1_MBIM2                  ((volatile uint16_t *)REG_CAN1_MBIM2)                   /* CAN1 Mailbox Interrupt Mask 2 Register */
#define pREG_CAN1_RFH2                   ((volatile uint16_t *)REG_CAN1_RFH2)                    /* CAN1 Remote Frame Handling 2 Register */
#define pREG_CAN1_OPSS2                  ((volatile uint16_t *)REG_CAN1_OPSS2)                   /* CAN1 Overwrite Protection/Single Shot Transmission 2 Register */
#define pREG_CAN1_CLK                    ((volatile uint16_t *)REG_CAN1_CLK)                     /* CAN1 Clock Register */
#define pREG_CAN1_TIMING                 ((volatile uint16_t *)REG_CAN1_TIMING)                  /* CAN1 Timing Register */
#define pREG_CAN1_DBG                    ((volatile uint16_t *)REG_CAN1_DBG)                     /* CAN1 Debug Register */
#define pREG_CAN1_STAT                   ((volatile uint16_t *)REG_CAN1_STAT)                    /* CAN1 Status Register */
#define pREG_CAN1_CEC                    ((volatile uint16_t *)REG_CAN1_CEC)                     /* CAN1 Error Counter Register */
#define pREG_CAN1_GIS                    ((volatile uint16_t *)REG_CAN1_GIS)                     /* CAN1 Global CAN Interrupt Status Register */
#define pREG_CAN1_GIM                    ((volatile uint16_t *)REG_CAN1_GIM)                     /* CAN1 Global CAN Interrupt Mask Register */
#define pREG_CAN1_GIF                    ((volatile uint16_t *)REG_CAN1_GIF)                     /* CAN1 Global CAN Interrupt Flag Register */
#define pREG_CAN1_CTL                    ((volatile uint16_t *)REG_CAN1_CTL)                     /* CAN1 CAN Master Control Register */
#define pREG_CAN1_INT                    ((volatile uint16_t *)REG_CAN1_INT)                     /* CAN1 Interrupt Pending Register */
#define pREG_CAN1_MBTD                   ((volatile uint16_t *)REG_CAN1_MBTD)                    /* CAN1 Temporary Mailbox Disable Register */
#define pREG_CAN1_EWR                    ((volatile uint16_t *)REG_CAN1_EWR)                     /* CAN1 Error Counter Warning Level Register */
#define pREG_CAN1_ESR                    ((volatile uint16_t *)REG_CAN1_ESR)                     /* CAN1 Error Status Register */
#define pREG_CAN1_UCCNT                  ((volatile uint16_t *)REG_CAN1_UCCNT)                   /* CAN1 Universal Counter Register */
#define pREG_CAN1_UCRC                   ((volatile uint16_t *)REG_CAN1_UCRC)                    /* CAN1 Universal Counter Reload/Capture Register */
#define pREG_CAN1_UCCNF                  ((volatile uint16_t *)REG_CAN1_UCCNF)                   /* CAN1 Universal Counter Configuration Mode Register */
#define pREG_CAN1_AM00L                  ((volatile uint16_t *)REG_CAN1_AM00L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM01L                  ((volatile uint16_t *)REG_CAN1_AM01L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM02L                  ((volatile uint16_t *)REG_CAN1_AM02L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM03L                  ((volatile uint16_t *)REG_CAN1_AM03L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM04L                  ((volatile uint16_t *)REG_CAN1_AM04L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM05L                  ((volatile uint16_t *)REG_CAN1_AM05L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM06L                  ((volatile uint16_t *)REG_CAN1_AM06L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM07L                  ((volatile uint16_t *)REG_CAN1_AM07L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM08L                  ((volatile uint16_t *)REG_CAN1_AM08L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM09L                  ((volatile uint16_t *)REG_CAN1_AM09L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM10L                  ((volatile uint16_t *)REG_CAN1_AM10L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM11L                  ((volatile uint16_t *)REG_CAN1_AM11L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM12L                  ((volatile uint16_t *)REG_CAN1_AM12L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM13L                  ((volatile uint16_t *)REG_CAN1_AM13L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM14L                  ((volatile uint16_t *)REG_CAN1_AM14L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM15L                  ((volatile uint16_t *)REG_CAN1_AM15L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM16L                  ((volatile uint16_t *)REG_CAN1_AM16L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM17L                  ((volatile uint16_t *)REG_CAN1_AM17L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM18L                  ((volatile uint16_t *)REG_CAN1_AM18L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM19L                  ((volatile uint16_t *)REG_CAN1_AM19L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM20L                  ((volatile uint16_t *)REG_CAN1_AM20L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM21L                  ((volatile uint16_t *)REG_CAN1_AM21L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM22L                  ((volatile uint16_t *)REG_CAN1_AM22L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM23L                  ((volatile uint16_t *)REG_CAN1_AM23L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM24L                  ((volatile uint16_t *)REG_CAN1_AM24L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM25L                  ((volatile uint16_t *)REG_CAN1_AM25L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM26L                  ((volatile uint16_t *)REG_CAN1_AM26L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM27L                  ((volatile uint16_t *)REG_CAN1_AM27L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM28L                  ((volatile uint16_t *)REG_CAN1_AM28L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM29L                  ((volatile uint16_t *)REG_CAN1_AM29L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM30L                  ((volatile uint16_t *)REG_CAN1_AM30L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM31L                  ((volatile uint16_t *)REG_CAN1_AM31L)                   /* CAN1 Acceptance Mask (L) Register */
#define pREG_CAN1_AM00H                  ((volatile uint16_t *)REG_CAN1_AM00H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM01H                  ((volatile uint16_t *)REG_CAN1_AM01H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM02H                  ((volatile uint16_t *)REG_CAN1_AM02H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM03H                  ((volatile uint16_t *)REG_CAN1_AM03H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM04H                  ((volatile uint16_t *)REG_CAN1_AM04H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM05H                  ((volatile uint16_t *)REG_CAN1_AM05H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM06H                  ((volatile uint16_t *)REG_CAN1_AM06H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM07H                  ((volatile uint16_t *)REG_CAN1_AM07H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM08H                  ((volatile uint16_t *)REG_CAN1_AM08H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM09H                  ((volatile uint16_t *)REG_CAN1_AM09H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM10H                  ((volatile uint16_t *)REG_CAN1_AM10H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM11H                  ((volatile uint16_t *)REG_CAN1_AM11H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM12H                  ((volatile uint16_t *)REG_CAN1_AM12H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM13H                  ((volatile uint16_t *)REG_CAN1_AM13H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM14H                  ((volatile uint16_t *)REG_CAN1_AM14H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM15H                  ((volatile uint16_t *)REG_CAN1_AM15H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM16H                  ((volatile uint16_t *)REG_CAN1_AM16H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM17H                  ((volatile uint16_t *)REG_CAN1_AM17H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM18H                  ((volatile uint16_t *)REG_CAN1_AM18H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM19H                  ((volatile uint16_t *)REG_CAN1_AM19H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM20H                  ((volatile uint16_t *)REG_CAN1_AM20H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM21H                  ((volatile uint16_t *)REG_CAN1_AM21H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM22H                  ((volatile uint16_t *)REG_CAN1_AM22H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM23H                  ((volatile uint16_t *)REG_CAN1_AM23H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM24H                  ((volatile uint16_t *)REG_CAN1_AM24H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM25H                  ((volatile uint16_t *)REG_CAN1_AM25H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM26H                  ((volatile uint16_t *)REG_CAN1_AM26H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM27H                  ((volatile uint16_t *)REG_CAN1_AM27H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM28H                  ((volatile uint16_t *)REG_CAN1_AM28H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM29H                  ((volatile uint16_t *)REG_CAN1_AM29H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM30H                  ((volatile uint16_t *)REG_CAN1_AM30H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_AM31H                  ((volatile uint16_t *)REG_CAN1_AM31H)                   /* CAN1 Acceptance Mask (H) Register */
#define pREG_CAN1_MB00_DATA0             ((volatile uint16_t *)REG_CAN1_MB00_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB01_DATA0             ((volatile uint16_t *)REG_CAN1_MB01_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB02_DATA0             ((volatile uint16_t *)REG_CAN1_MB02_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB03_DATA0             ((volatile uint16_t *)REG_CAN1_MB03_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB04_DATA0             ((volatile uint16_t *)REG_CAN1_MB04_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB05_DATA0             ((volatile uint16_t *)REG_CAN1_MB05_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB06_DATA0             ((volatile uint16_t *)REG_CAN1_MB06_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB07_DATA0             ((volatile uint16_t *)REG_CAN1_MB07_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB08_DATA0             ((volatile uint16_t *)REG_CAN1_MB08_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB09_DATA0             ((volatile uint16_t *)REG_CAN1_MB09_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB10_DATA0             ((volatile uint16_t *)REG_CAN1_MB10_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB11_DATA0             ((volatile uint16_t *)REG_CAN1_MB11_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB12_DATA0             ((volatile uint16_t *)REG_CAN1_MB12_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB13_DATA0             ((volatile uint16_t *)REG_CAN1_MB13_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB14_DATA0             ((volatile uint16_t *)REG_CAN1_MB14_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB15_DATA0             ((volatile uint16_t *)REG_CAN1_MB15_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB16_DATA0             ((volatile uint16_t *)REG_CAN1_MB16_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB17_DATA0             ((volatile uint16_t *)REG_CAN1_MB17_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB18_DATA0             ((volatile uint16_t *)REG_CAN1_MB18_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB19_DATA0             ((volatile uint16_t *)REG_CAN1_MB19_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB20_DATA0             ((volatile uint16_t *)REG_CAN1_MB20_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB21_DATA0             ((volatile uint16_t *)REG_CAN1_MB21_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB22_DATA0             ((volatile uint16_t *)REG_CAN1_MB22_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB23_DATA0             ((volatile uint16_t *)REG_CAN1_MB23_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB24_DATA0             ((volatile uint16_t *)REG_CAN1_MB24_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB25_DATA0             ((volatile uint16_t *)REG_CAN1_MB25_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB26_DATA0             ((volatile uint16_t *)REG_CAN1_MB26_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB27_DATA0             ((volatile uint16_t *)REG_CAN1_MB27_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB28_DATA0             ((volatile uint16_t *)REG_CAN1_MB28_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB29_DATA0             ((volatile uint16_t *)REG_CAN1_MB29_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB30_DATA0             ((volatile uint16_t *)REG_CAN1_MB30_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB31_DATA0             ((volatile uint16_t *)REG_CAN1_MB31_DATA0)              /* CAN1 Mailbox Word 0 Register */
#define pREG_CAN1_MB00_DATA1             ((volatile uint16_t *)REG_CAN1_MB00_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB01_DATA1             ((volatile uint16_t *)REG_CAN1_MB01_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB02_DATA1             ((volatile uint16_t *)REG_CAN1_MB02_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB03_DATA1             ((volatile uint16_t *)REG_CAN1_MB03_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB04_DATA1             ((volatile uint16_t *)REG_CAN1_MB04_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB05_DATA1             ((volatile uint16_t *)REG_CAN1_MB05_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB06_DATA1             ((volatile uint16_t *)REG_CAN1_MB06_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB07_DATA1             ((volatile uint16_t *)REG_CAN1_MB07_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB08_DATA1             ((volatile uint16_t *)REG_CAN1_MB08_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB09_DATA1             ((volatile uint16_t *)REG_CAN1_MB09_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB10_DATA1             ((volatile uint16_t *)REG_CAN1_MB10_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB11_DATA1             ((volatile uint16_t *)REG_CAN1_MB11_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB12_DATA1             ((volatile uint16_t *)REG_CAN1_MB12_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB13_DATA1             ((volatile uint16_t *)REG_CAN1_MB13_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB14_DATA1             ((volatile uint16_t *)REG_CAN1_MB14_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB15_DATA1             ((volatile uint16_t *)REG_CAN1_MB15_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB16_DATA1             ((volatile uint16_t *)REG_CAN1_MB16_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB17_DATA1             ((volatile uint16_t *)REG_CAN1_MB17_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB18_DATA1             ((volatile uint16_t *)REG_CAN1_MB18_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB19_DATA1             ((volatile uint16_t *)REG_CAN1_MB19_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB20_DATA1             ((volatile uint16_t *)REG_CAN1_MB20_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB21_DATA1             ((volatile uint16_t *)REG_CAN1_MB21_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB22_DATA1             ((volatile uint16_t *)REG_CAN1_MB22_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB23_DATA1             ((volatile uint16_t *)REG_CAN1_MB23_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB24_DATA1             ((volatile uint16_t *)REG_CAN1_MB24_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB25_DATA1             ((volatile uint16_t *)REG_CAN1_MB25_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB26_DATA1             ((volatile uint16_t *)REG_CAN1_MB26_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB27_DATA1             ((volatile uint16_t *)REG_CAN1_MB27_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB28_DATA1             ((volatile uint16_t *)REG_CAN1_MB28_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB29_DATA1             ((volatile uint16_t *)REG_CAN1_MB29_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB30_DATA1             ((volatile uint16_t *)REG_CAN1_MB30_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB31_DATA1             ((volatile uint16_t *)REG_CAN1_MB31_DATA1)              /* CAN1 Mailbox Word 1 Register */
#define pREG_CAN1_MB00_DATA2             ((volatile uint16_t *)REG_CAN1_MB00_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB01_DATA2             ((volatile uint16_t *)REG_CAN1_MB01_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB02_DATA2             ((volatile uint16_t *)REG_CAN1_MB02_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB03_DATA2             ((volatile uint16_t *)REG_CAN1_MB03_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB04_DATA2             ((volatile uint16_t *)REG_CAN1_MB04_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB05_DATA2             ((volatile uint16_t *)REG_CAN1_MB05_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB06_DATA2             ((volatile uint16_t *)REG_CAN1_MB06_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB07_DATA2             ((volatile uint16_t *)REG_CAN1_MB07_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB08_DATA2             ((volatile uint16_t *)REG_CAN1_MB08_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB09_DATA2             ((volatile uint16_t *)REG_CAN1_MB09_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB10_DATA2             ((volatile uint16_t *)REG_CAN1_MB10_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB11_DATA2             ((volatile uint16_t *)REG_CAN1_MB11_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB12_DATA2             ((volatile uint16_t *)REG_CAN1_MB12_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB13_DATA2             ((volatile uint16_t *)REG_CAN1_MB13_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB14_DATA2             ((volatile uint16_t *)REG_CAN1_MB14_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB15_DATA2             ((volatile uint16_t *)REG_CAN1_MB15_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB16_DATA2             ((volatile uint16_t *)REG_CAN1_MB16_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB17_DATA2             ((volatile uint16_t *)REG_CAN1_MB17_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB18_DATA2             ((volatile uint16_t *)REG_CAN1_MB18_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB19_DATA2             ((volatile uint16_t *)REG_CAN1_MB19_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB20_DATA2             ((volatile uint16_t *)REG_CAN1_MB20_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB21_DATA2             ((volatile uint16_t *)REG_CAN1_MB21_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB22_DATA2             ((volatile uint16_t *)REG_CAN1_MB22_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB23_DATA2             ((volatile uint16_t *)REG_CAN1_MB23_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB24_DATA2             ((volatile uint16_t *)REG_CAN1_MB24_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB25_DATA2             ((volatile uint16_t *)REG_CAN1_MB25_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB26_DATA2             ((volatile uint16_t *)REG_CAN1_MB26_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB27_DATA2             ((volatile uint16_t *)REG_CAN1_MB27_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB28_DATA2             ((volatile uint16_t *)REG_CAN1_MB28_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB29_DATA2             ((volatile uint16_t *)REG_CAN1_MB29_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB30_DATA2             ((volatile uint16_t *)REG_CAN1_MB30_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB31_DATA2             ((volatile uint16_t *)REG_CAN1_MB31_DATA2)              /* CAN1 Mailbox Word 2 Register */
#define pREG_CAN1_MB00_DATA3             ((volatile uint16_t *)REG_CAN1_MB00_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB01_DATA3             ((volatile uint16_t *)REG_CAN1_MB01_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB02_DATA3             ((volatile uint16_t *)REG_CAN1_MB02_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB03_DATA3             ((volatile uint16_t *)REG_CAN1_MB03_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB04_DATA3             ((volatile uint16_t *)REG_CAN1_MB04_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB05_DATA3             ((volatile uint16_t *)REG_CAN1_MB05_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB06_DATA3             ((volatile uint16_t *)REG_CAN1_MB06_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB07_DATA3             ((volatile uint16_t *)REG_CAN1_MB07_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB08_DATA3             ((volatile uint16_t *)REG_CAN1_MB08_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB09_DATA3             ((volatile uint16_t *)REG_CAN1_MB09_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB10_DATA3             ((volatile uint16_t *)REG_CAN1_MB10_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB11_DATA3             ((volatile uint16_t *)REG_CAN1_MB11_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB12_DATA3             ((volatile uint16_t *)REG_CAN1_MB12_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB13_DATA3             ((volatile uint16_t *)REG_CAN1_MB13_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB14_DATA3             ((volatile uint16_t *)REG_CAN1_MB14_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB15_DATA3             ((volatile uint16_t *)REG_CAN1_MB15_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB16_DATA3             ((volatile uint16_t *)REG_CAN1_MB16_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB17_DATA3             ((volatile uint16_t *)REG_CAN1_MB17_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB18_DATA3             ((volatile uint16_t *)REG_CAN1_MB18_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB19_DATA3             ((volatile uint16_t *)REG_CAN1_MB19_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB20_DATA3             ((volatile uint16_t *)REG_CAN1_MB20_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB21_DATA3             ((volatile uint16_t *)REG_CAN1_MB21_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB22_DATA3             ((volatile uint16_t *)REG_CAN1_MB22_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB23_DATA3             ((volatile uint16_t *)REG_CAN1_MB23_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB24_DATA3             ((volatile uint16_t *)REG_CAN1_MB24_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB25_DATA3             ((volatile uint16_t *)REG_CAN1_MB25_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB26_DATA3             ((volatile uint16_t *)REG_CAN1_MB26_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB27_DATA3             ((volatile uint16_t *)REG_CAN1_MB27_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB28_DATA3             ((volatile uint16_t *)REG_CAN1_MB28_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB29_DATA3             ((volatile uint16_t *)REG_CAN1_MB29_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB30_DATA3             ((volatile uint16_t *)REG_CAN1_MB30_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB31_DATA3             ((volatile uint16_t *)REG_CAN1_MB31_DATA3)              /* CAN1 Mailbox Word 3 Register */
#define pREG_CAN1_MB00_LENGTH            ((volatile uint16_t *)REG_CAN1_MB00_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB01_LENGTH            ((volatile uint16_t *)REG_CAN1_MB01_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB02_LENGTH            ((volatile uint16_t *)REG_CAN1_MB02_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB03_LENGTH            ((volatile uint16_t *)REG_CAN1_MB03_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB04_LENGTH            ((volatile uint16_t *)REG_CAN1_MB04_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB05_LENGTH            ((volatile uint16_t *)REG_CAN1_MB05_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB06_LENGTH            ((volatile uint16_t *)REG_CAN1_MB06_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB07_LENGTH            ((volatile uint16_t *)REG_CAN1_MB07_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB08_LENGTH            ((volatile uint16_t *)REG_CAN1_MB08_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB09_LENGTH            ((volatile uint16_t *)REG_CAN1_MB09_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB10_LENGTH            ((volatile uint16_t *)REG_CAN1_MB10_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB11_LENGTH            ((volatile uint16_t *)REG_CAN1_MB11_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB12_LENGTH            ((volatile uint16_t *)REG_CAN1_MB12_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB13_LENGTH            ((volatile uint16_t *)REG_CAN1_MB13_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB14_LENGTH            ((volatile uint16_t *)REG_CAN1_MB14_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB15_LENGTH            ((volatile uint16_t *)REG_CAN1_MB15_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB16_LENGTH            ((volatile uint16_t *)REG_CAN1_MB16_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB17_LENGTH            ((volatile uint16_t *)REG_CAN1_MB17_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB18_LENGTH            ((volatile uint16_t *)REG_CAN1_MB18_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB19_LENGTH            ((volatile uint16_t *)REG_CAN1_MB19_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB20_LENGTH            ((volatile uint16_t *)REG_CAN1_MB20_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB21_LENGTH            ((volatile uint16_t *)REG_CAN1_MB21_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB22_LENGTH            ((volatile uint16_t *)REG_CAN1_MB22_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB23_LENGTH            ((volatile uint16_t *)REG_CAN1_MB23_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB24_LENGTH            ((volatile uint16_t *)REG_CAN1_MB24_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB25_LENGTH            ((volatile uint16_t *)REG_CAN1_MB25_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB26_LENGTH            ((volatile uint16_t *)REG_CAN1_MB26_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB27_LENGTH            ((volatile uint16_t *)REG_CAN1_MB27_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB28_LENGTH            ((volatile uint16_t *)REG_CAN1_MB28_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB29_LENGTH            ((volatile uint16_t *)REG_CAN1_MB29_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB30_LENGTH            ((volatile uint16_t *)REG_CAN1_MB30_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB31_LENGTH            ((volatile uint16_t *)REG_CAN1_MB31_LENGTH)             /* CAN1 Mailbox Length Register */
#define pREG_CAN1_MB00_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB00_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB01_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB01_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB02_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB02_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB03_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB03_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB04_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB04_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB05_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB05_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB06_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB06_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB07_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB07_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB08_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB08_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB09_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB09_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB10_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB10_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB11_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB11_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB12_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB12_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB13_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB13_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB14_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB14_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB15_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB15_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB16_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB16_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB17_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB17_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB18_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB18_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB19_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB19_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB20_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB20_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB21_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB21_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB22_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB22_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB23_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB23_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB24_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB24_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB25_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB25_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB26_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB26_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB27_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB27_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB28_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB28_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB29_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB29_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB30_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB30_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB31_TIMESTAMP         ((volatile uint16_t *)REG_CAN1_MB31_TIMESTAMP)          /* CAN1 Mailbox Timestamp Register */
#define pREG_CAN1_MB00_ID0               ((volatile uint16_t *)REG_CAN1_MB00_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB01_ID0               ((volatile uint16_t *)REG_CAN1_MB01_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB02_ID0               ((volatile uint16_t *)REG_CAN1_MB02_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB03_ID0               ((volatile uint16_t *)REG_CAN1_MB03_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB04_ID0               ((volatile uint16_t *)REG_CAN1_MB04_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB05_ID0               ((volatile uint16_t *)REG_CAN1_MB05_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB06_ID0               ((volatile uint16_t *)REG_CAN1_MB06_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB07_ID0               ((volatile uint16_t *)REG_CAN1_MB07_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB08_ID0               ((volatile uint16_t *)REG_CAN1_MB08_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB09_ID0               ((volatile uint16_t *)REG_CAN1_MB09_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB10_ID0               ((volatile uint16_t *)REG_CAN1_MB10_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB11_ID0               ((volatile uint16_t *)REG_CAN1_MB11_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB12_ID0               ((volatile uint16_t *)REG_CAN1_MB12_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB13_ID0               ((volatile uint16_t *)REG_CAN1_MB13_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB14_ID0               ((volatile uint16_t *)REG_CAN1_MB14_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB15_ID0               ((volatile uint16_t *)REG_CAN1_MB15_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB16_ID0               ((volatile uint16_t *)REG_CAN1_MB16_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB17_ID0               ((volatile uint16_t *)REG_CAN1_MB17_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB18_ID0               ((volatile uint16_t *)REG_CAN1_MB18_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB19_ID0               ((volatile uint16_t *)REG_CAN1_MB19_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB20_ID0               ((volatile uint16_t *)REG_CAN1_MB20_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB21_ID0               ((volatile uint16_t *)REG_CAN1_MB21_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB22_ID0               ((volatile uint16_t *)REG_CAN1_MB22_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB23_ID0               ((volatile uint16_t *)REG_CAN1_MB23_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB24_ID0               ((volatile uint16_t *)REG_CAN1_MB24_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB25_ID0               ((volatile uint16_t *)REG_CAN1_MB25_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB26_ID0               ((volatile uint16_t *)REG_CAN1_MB26_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB27_ID0               ((volatile uint16_t *)REG_CAN1_MB27_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB28_ID0               ((volatile uint16_t *)REG_CAN1_MB28_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB29_ID0               ((volatile uint16_t *)REG_CAN1_MB29_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB30_ID0               ((volatile uint16_t *)REG_CAN1_MB30_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB31_ID0               ((volatile uint16_t *)REG_CAN1_MB31_ID0)                /* CAN1 Mailbox ID 0 Register */
#define pREG_CAN1_MB00_ID1               ((volatile uint16_t *)REG_CAN1_MB00_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB01_ID1               ((volatile uint16_t *)REG_CAN1_MB01_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB02_ID1               ((volatile uint16_t *)REG_CAN1_MB02_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB03_ID1               ((volatile uint16_t *)REG_CAN1_MB03_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB04_ID1               ((volatile uint16_t *)REG_CAN1_MB04_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB05_ID1               ((volatile uint16_t *)REG_CAN1_MB05_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB06_ID1               ((volatile uint16_t *)REG_CAN1_MB06_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB07_ID1               ((volatile uint16_t *)REG_CAN1_MB07_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB08_ID1               ((volatile uint16_t *)REG_CAN1_MB08_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB09_ID1               ((volatile uint16_t *)REG_CAN1_MB09_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB10_ID1               ((volatile uint16_t *)REG_CAN1_MB10_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB11_ID1               ((volatile uint16_t *)REG_CAN1_MB11_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB12_ID1               ((volatile uint16_t *)REG_CAN1_MB12_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB13_ID1               ((volatile uint16_t *)REG_CAN1_MB13_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB14_ID1               ((volatile uint16_t *)REG_CAN1_MB14_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB15_ID1               ((volatile uint16_t *)REG_CAN1_MB15_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB16_ID1               ((volatile uint16_t *)REG_CAN1_MB16_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB17_ID1               ((volatile uint16_t *)REG_CAN1_MB17_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB18_ID1               ((volatile uint16_t *)REG_CAN1_MB18_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB19_ID1               ((volatile uint16_t *)REG_CAN1_MB19_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB20_ID1               ((volatile uint16_t *)REG_CAN1_MB20_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB21_ID1               ((volatile uint16_t *)REG_CAN1_MB21_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB22_ID1               ((volatile uint16_t *)REG_CAN1_MB22_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB23_ID1               ((volatile uint16_t *)REG_CAN1_MB23_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB24_ID1               ((volatile uint16_t *)REG_CAN1_MB24_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB25_ID1               ((volatile uint16_t *)REG_CAN1_MB25_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB26_ID1               ((volatile uint16_t *)REG_CAN1_MB26_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB27_ID1               ((volatile uint16_t *)REG_CAN1_MB27_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB28_ID1               ((volatile uint16_t *)REG_CAN1_MB28_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB29_ID1               ((volatile uint16_t *)REG_CAN1_MB29_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB30_ID1               ((volatile uint16_t *)REG_CAN1_MB30_ID1)                /* CAN1 Mailbox ID 1 Register */
#define pREG_CAN1_MB31_ID1               ((volatile uint16_t *)REG_CAN1_MB31_ID1)                /* CAN1 Mailbox ID 1 Register */


/* =========================================================================
       UART0
   ========================================================================= */
#define pREG_UART0_CTL                   ((volatile uint32_t *)REG_UART0_CTL)                    /* UART0 Control Register */
#define pREG_UART0_STAT                  ((volatile uint32_t *)REG_UART0_STAT)                   /* UART0 Status Register */
#define pREG_UART0_SCR                   ((volatile uint32_t *)REG_UART0_SCR)                    /* UART0 Scratch Register */
#define pREG_UART0_CLK                   ((volatile uint32_t *)REG_UART0_CLK)                    /* UART0 Clock Rate Register */
#define pREG_UART0_IMSK                  ((volatile uint32_t *)REG_UART0_IMSK)                   /* UART0 Interrupt Mask Register */
#define pREG_UART0_IMSK_SET              ((volatile uint32_t *)REG_UART0_IMSK_SET)               /* UART0 Interrupt Mask Set Register */
#define pREG_UART0_IMSK_CLR              ((volatile uint32_t *)REG_UART0_IMSK_CLR)               /* UART0 Interrupt Mask Clear Register */
#define pREG_UART0_RBR                   ((volatile uint32_t *)REG_UART0_RBR)                    /* UART0 Receive Buffer Register */
#define pREG_UART0_THR                   ((volatile uint32_t *)REG_UART0_THR)                    /* UART0 Transmit Hold Register */
#define pREG_UART0_TAIP                  ((volatile uint32_t *)REG_UART0_TAIP)                   /* UART0 Transmit Address/Insert Pulse Register */
#define pREG_UART0_TSR                   ((volatile uint32_t *)REG_UART0_TSR)                    /* UART0 Transmit Shift Register */
#define pREG_UART0_RSR                   ((volatile uint32_t *)REG_UART0_RSR)                    /* UART0 Receive Shift Register */
#define pREG_UART0_TXCNT                 ((volatile uint32_t *)REG_UART0_TXCNT)                  /* UART0 Transmit Counter Register */
#define pREG_UART0_RXCNT                 ((volatile uint32_t *)REG_UART0_RXCNT)                  /* UART0 Receive Counter Register */

/* =========================================================================
       UART1
   ========================================================================= */
#define pREG_UART1_CTL                   ((volatile uint32_t *)REG_UART1_CTL)                    /* UART1 Control Register */
#define pREG_UART1_STAT                  ((volatile uint32_t *)REG_UART1_STAT)                   /* UART1 Status Register */
#define pREG_UART1_SCR                   ((volatile uint32_t *)REG_UART1_SCR)                    /* UART1 Scratch Register */
#define pREG_UART1_CLK                   ((volatile uint32_t *)REG_UART1_CLK)                    /* UART1 Clock Rate Register */
#define pREG_UART1_IMSK                  ((volatile uint32_t *)REG_UART1_IMSK)                   /* UART1 Interrupt Mask Register */
#define pREG_UART1_IMSK_SET              ((volatile uint32_t *)REG_UART1_IMSK_SET)               /* UART1 Interrupt Mask Set Register */
#define pREG_UART1_IMSK_CLR              ((volatile uint32_t *)REG_UART1_IMSK_CLR)               /* UART1 Interrupt Mask Clear Register */
#define pREG_UART1_RBR                   ((volatile uint32_t *)REG_UART1_RBR)                    /* UART1 Receive Buffer Register */
#define pREG_UART1_THR                   ((volatile uint32_t *)REG_UART1_THR)                    /* UART1 Transmit Hold Register */
#define pREG_UART1_TAIP                  ((volatile uint32_t *)REG_UART1_TAIP)                   /* UART1 Transmit Address/Insert Pulse Register */
#define pREG_UART1_TSR                   ((volatile uint32_t *)REG_UART1_TSR)                    /* UART1 Transmit Shift Register */
#define pREG_UART1_RSR                   ((volatile uint32_t *)REG_UART1_RSR)                    /* UART1 Receive Shift Register */
#define pREG_UART1_TXCNT                 ((volatile uint32_t *)REG_UART1_TXCNT)                  /* UART1 Transmit Counter Register */
#define pREG_UART1_RXCNT                 ((volatile uint32_t *)REG_UART1_RXCNT)                  /* UART1 Receive Counter Register */

/* =========================================================================
       UART2
   ========================================================================= */
#define pREG_UART2_CTL                   ((volatile uint32_t *)REG_UART2_CTL)                    /* UART2 Control Register */
#define pREG_UART2_STAT                  ((volatile uint32_t *)REG_UART2_STAT)                   /* UART2 Status Register */
#define pREG_UART2_SCR                   ((volatile uint32_t *)REG_UART2_SCR)                    /* UART2 Scratch Register */
#define pREG_UART2_CLK                   ((volatile uint32_t *)REG_UART2_CLK)                    /* UART2 Clock Rate Register */
#define pREG_UART2_IMSK                  ((volatile uint32_t *)REG_UART2_IMSK)                   /* UART2 Interrupt Mask Register */
#define pREG_UART2_IMSK_SET              ((volatile uint32_t *)REG_UART2_IMSK_SET)               /* UART2 Interrupt Mask Set Register */
#define pREG_UART2_IMSK_CLR              ((volatile uint32_t *)REG_UART2_IMSK_CLR)               /* UART2 Interrupt Mask Clear Register */
#define pREG_UART2_RBR                   ((volatile uint32_t *)REG_UART2_RBR)                    /* UART2 Receive Buffer Register */
#define pREG_UART2_THR                   ((volatile uint32_t *)REG_UART2_THR)                    /* UART2 Transmit Hold Register */
#define pREG_UART2_TAIP                  ((volatile uint32_t *)REG_UART2_TAIP)                   /* UART2 Transmit Address/Insert Pulse Register */
#define pREG_UART2_TSR                   ((volatile uint32_t *)REG_UART2_TSR)                    /* UART2 Transmit Shift Register */
#define pREG_UART2_RSR                   ((volatile uint32_t *)REG_UART2_RSR)                    /* UART2 Receive Shift Register */
#define pREG_UART2_TXCNT                 ((volatile uint32_t *)REG_UART2_TXCNT)                  /* UART2 Transmit Counter Register */
#define pREG_UART2_RXCNT                 ((volatile uint32_t *)REG_UART2_RXCNT)                  /* UART2 Receive Counter Register */


/* =========================================================================
       PORTA
   ========================================================================= */
#define pREG_PORTA_FER                   ((volatile uint32_t *)REG_PORTA_FER)                    /* PORTA Port x Function Enable Register */
#define pREG_PORTA_FER_SET               ((volatile uint32_t *)REG_PORTA_FER_SET)                /* PORTA Port x Function Enable Set Register */
#define pREG_PORTA_FER_CLR               ((volatile uint32_t *)REG_PORTA_FER_CLR)                /* PORTA Port x Function Enable Clear Register */
#define pREG_PORTA_DATA                  ((volatile uint32_t *)REG_PORTA_DATA)                   /* PORTA Port x GPIO Data Register */
#define pREG_PORTA_DATA_SET              ((volatile uint32_t *)REG_PORTA_DATA_SET)               /* PORTA Port x GPIO Data Set Register */
#define pREG_PORTA_DATA_CLR              ((volatile uint32_t *)REG_PORTA_DATA_CLR)               /* PORTA Port x GPIO Data Clear Register */
#define pREG_PORTA_DIR                   ((volatile uint32_t *)REG_PORTA_DIR)                    /* PORTA Port x GPIO Direction Register */
#define pREG_PORTA_DIR_SET               ((volatile uint32_t *)REG_PORTA_DIR_SET)                /* PORTA Port x GPIO Direction Set Register */
#define pREG_PORTA_DIR_CLR               ((volatile uint32_t *)REG_PORTA_DIR_CLR)                /* PORTA Port x GPIO Direction Clear Register */
#define pREG_PORTA_INEN                  ((volatile uint32_t *)REG_PORTA_INEN)                   /* PORTA Port x GPIO Input Enable Register */
#define pREG_PORTA_INEN_SET              ((volatile uint32_t *)REG_PORTA_INEN_SET)               /* PORTA Port x GPIO Input Enable Set Register */
#define pREG_PORTA_INEN_CLR              ((volatile uint32_t *)REG_PORTA_INEN_CLR)               /* PORTA Port x GPIO Input Enable Clear Register */
#define pREG_PORTA_MUX                   ((volatile uint32_t *)REG_PORTA_MUX)                    /* PORTA Port x Multiplexer Control Register */
#define pREG_PORTA_DATA_TGL              ((volatile uint32_t *)REG_PORTA_DATA_TGL)               /* PORTA Port x GPIO Input Enable Toggle Register */
#define pREG_PORTA_POL                   ((volatile uint32_t *)REG_PORTA_POL)                    /* PORTA Port x GPIO Polarity Invert Register */
#define pREG_PORTA_POL_SET               ((volatile uint32_t *)REG_PORTA_POL_SET)                /* PORTA Port x GPIO Polarity Invert Set Register */
#define pREG_PORTA_POL_CLR               ((volatile uint32_t *)REG_PORTA_POL_CLR)                /* PORTA Port x GPIO Polarity Invert Clear Register */
#define pREG_PORTA_LOCK                  ((volatile uint32_t *)REG_PORTA_LOCK)                   /* PORTA Port x GPIO Lock Register */

/* =========================================================================
       PORTB
   ========================================================================= */
#define pREG_PORTB_FER                   ((volatile uint32_t *)REG_PORTB_FER)                    /* PORTB Port x Function Enable Register */
#define pREG_PORTB_FER_SET               ((volatile uint32_t *)REG_PORTB_FER_SET)                /* PORTB Port x Function Enable Set Register */
#define pREG_PORTB_FER_CLR               ((volatile uint32_t *)REG_PORTB_FER_CLR)                /* PORTB Port x Function Enable Clear Register */
#define pREG_PORTB_DATA                  ((volatile uint32_t *)REG_PORTB_DATA)                   /* PORTB Port x GPIO Data Register */
#define pREG_PORTB_DATA_SET              ((volatile uint32_t *)REG_PORTB_DATA_SET)               /* PORTB Port x GPIO Data Set Register */
#define pREG_PORTB_DATA_CLR              ((volatile uint32_t *)REG_PORTB_DATA_CLR)               /* PORTB Port x GPIO Data Clear Register */
#define pREG_PORTB_DIR                   ((volatile uint32_t *)REG_PORTB_DIR)                    /* PORTB Port x GPIO Direction Register */
#define pREG_PORTB_DIR_SET               ((volatile uint32_t *)REG_PORTB_DIR_SET)                /* PORTB Port x GPIO Direction Set Register */
#define pREG_PORTB_DIR_CLR               ((volatile uint32_t *)REG_PORTB_DIR_CLR)                /* PORTB Port x GPIO Direction Clear Register */
#define pREG_PORTB_INEN                  ((volatile uint32_t *)REG_PORTB_INEN)                   /* PORTB Port x GPIO Input Enable Register */
#define pREG_PORTB_INEN_SET              ((volatile uint32_t *)REG_PORTB_INEN_SET)               /* PORTB Port x GPIO Input Enable Set Register */
#define pREG_PORTB_INEN_CLR              ((volatile uint32_t *)REG_PORTB_INEN_CLR)               /* PORTB Port x GPIO Input Enable Clear Register */
#define pREG_PORTB_MUX                   ((volatile uint32_t *)REG_PORTB_MUX)                    /* PORTB Port x Multiplexer Control Register */
#define pREG_PORTB_DATA_TGL              ((volatile uint32_t *)REG_PORTB_DATA_TGL)               /* PORTB Port x GPIO Input Enable Toggle Register */
#define pREG_PORTB_POL                   ((volatile uint32_t *)REG_PORTB_POL)                    /* PORTB Port x GPIO Polarity Invert Register */
#define pREG_PORTB_POL_SET               ((volatile uint32_t *)REG_PORTB_POL_SET)                /* PORTB Port x GPIO Polarity Invert Set Register */
#define pREG_PORTB_POL_CLR               ((volatile uint32_t *)REG_PORTB_POL_CLR)                /* PORTB Port x GPIO Polarity Invert Clear Register */
#define pREG_PORTB_LOCK                  ((volatile uint32_t *)REG_PORTB_LOCK)                   /* PORTB Port x GPIO Lock Register */

/* =========================================================================
       PORTC
   ========================================================================= */
#define pREG_PORTC_FER                   ((volatile uint32_t *)REG_PORTC_FER)                    /* PORTC Port x Function Enable Register */
#define pREG_PORTC_FER_SET               ((volatile uint32_t *)REG_PORTC_FER_SET)                /* PORTC Port x Function Enable Set Register */
#define pREG_PORTC_FER_CLR               ((volatile uint32_t *)REG_PORTC_FER_CLR)                /* PORTC Port x Function Enable Clear Register */
#define pREG_PORTC_DATA                  ((volatile uint32_t *)REG_PORTC_DATA)                   /* PORTC Port x GPIO Data Register */
#define pREG_PORTC_DATA_SET              ((volatile uint32_t *)REG_PORTC_DATA_SET)               /* PORTC Port x GPIO Data Set Register */
#define pREG_PORTC_DATA_CLR              ((volatile uint32_t *)REG_PORTC_DATA_CLR)               /* PORTC Port x GPIO Data Clear Register */
#define pREG_PORTC_DIR                   ((volatile uint32_t *)REG_PORTC_DIR)                    /* PORTC Port x GPIO Direction Register */
#define pREG_PORTC_DIR_SET               ((volatile uint32_t *)REG_PORTC_DIR_SET)                /* PORTC Port x GPIO Direction Set Register */
#define pREG_PORTC_DIR_CLR               ((volatile uint32_t *)REG_PORTC_DIR_CLR)                /* PORTC Port x GPIO Direction Clear Register */
#define pREG_PORTC_INEN                  ((volatile uint32_t *)REG_PORTC_INEN)                   /* PORTC Port x GPIO Input Enable Register */
#define pREG_PORTC_INEN_SET              ((volatile uint32_t *)REG_PORTC_INEN_SET)               /* PORTC Port x GPIO Input Enable Set Register */
#define pREG_PORTC_INEN_CLR              ((volatile uint32_t *)REG_PORTC_INEN_CLR)               /* PORTC Port x GPIO Input Enable Clear Register */
#define pREG_PORTC_MUX                   ((volatile uint32_t *)REG_PORTC_MUX)                    /* PORTC Port x Multiplexer Control Register */
#define pREG_PORTC_DATA_TGL              ((volatile uint32_t *)REG_PORTC_DATA_TGL)               /* PORTC Port x GPIO Input Enable Toggle Register */
#define pREG_PORTC_POL                   ((volatile uint32_t *)REG_PORTC_POL)                    /* PORTC Port x GPIO Polarity Invert Register */
#define pREG_PORTC_POL_SET               ((volatile uint32_t *)REG_PORTC_POL_SET)                /* PORTC Port x GPIO Polarity Invert Set Register */
#define pREG_PORTC_POL_CLR               ((volatile uint32_t *)REG_PORTC_POL_CLR)                /* PORTC Port x GPIO Polarity Invert Clear Register */
#define pREG_PORTC_LOCK                  ((volatile uint32_t *)REG_PORTC_LOCK)                   /* PORTC Port x GPIO Lock Register */

/* =========================================================================
       PORTD
   ========================================================================= */
#define pREG_PORTD_FER                   ((volatile uint32_t *)REG_PORTD_FER)                    /* PORTD Port x Function Enable Register */
#define pREG_PORTD_FER_SET               ((volatile uint32_t *)REG_PORTD_FER_SET)                /* PORTD Port x Function Enable Set Register */
#define pREG_PORTD_FER_CLR               ((volatile uint32_t *)REG_PORTD_FER_CLR)                /* PORTD Port x Function Enable Clear Register */
#define pREG_PORTD_DATA                  ((volatile uint32_t *)REG_PORTD_DATA)                   /* PORTD Port x GPIO Data Register */
#define pREG_PORTD_DATA_SET              ((volatile uint32_t *)REG_PORTD_DATA_SET)               /* PORTD Port x GPIO Data Set Register */
#define pREG_PORTD_DATA_CLR              ((volatile uint32_t *)REG_PORTD_DATA_CLR)               /* PORTD Port x GPIO Data Clear Register */
#define pREG_PORTD_DIR                   ((volatile uint32_t *)REG_PORTD_DIR)                    /* PORTD Port x GPIO Direction Register */
#define pREG_PORTD_DIR_SET               ((volatile uint32_t *)REG_PORTD_DIR_SET)                /* PORTD Port x GPIO Direction Set Register */
#define pREG_PORTD_DIR_CLR               ((volatile uint32_t *)REG_PORTD_DIR_CLR)                /* PORTD Port x GPIO Direction Clear Register */
#define pREG_PORTD_INEN                  ((volatile uint32_t *)REG_PORTD_INEN)                   /* PORTD Port x GPIO Input Enable Register */
#define pREG_PORTD_INEN_SET              ((volatile uint32_t *)REG_PORTD_INEN_SET)               /* PORTD Port x GPIO Input Enable Set Register */
#define pREG_PORTD_INEN_CLR              ((volatile uint32_t *)REG_PORTD_INEN_CLR)               /* PORTD Port x GPIO Input Enable Clear Register */
#define pREG_PORTD_MUX                   ((volatile uint32_t *)REG_PORTD_MUX)                    /* PORTD Port x Multiplexer Control Register */
#define pREG_PORTD_DATA_TGL              ((volatile uint32_t *)REG_PORTD_DATA_TGL)               /* PORTD Port x GPIO Input Enable Toggle Register */
#define pREG_PORTD_POL                   ((volatile uint32_t *)REG_PORTD_POL)                    /* PORTD Port x GPIO Polarity Invert Register */
#define pREG_PORTD_POL_SET               ((volatile uint32_t *)REG_PORTD_POL_SET)                /* PORTD Port x GPIO Polarity Invert Set Register */
#define pREG_PORTD_POL_CLR               ((volatile uint32_t *)REG_PORTD_POL_CLR)                /* PORTD Port x GPIO Polarity Invert Clear Register */
#define pREG_PORTD_LOCK                  ((volatile uint32_t *)REG_PORTD_LOCK)                   /* PORTD Port x GPIO Lock Register */

/* =========================================================================
       PORTE
   ========================================================================= */
#define pREG_PORTE_FER                   ((volatile uint32_t *)REG_PORTE_FER)                    /* PORTE Port x Function Enable Register */
#define pREG_PORTE_FER_SET               ((volatile uint32_t *)REG_PORTE_FER_SET)                /* PORTE Port x Function Enable Set Register */
#define pREG_PORTE_FER_CLR               ((volatile uint32_t *)REG_PORTE_FER_CLR)                /* PORTE Port x Function Enable Clear Register */
#define pREG_PORTE_DATA                  ((volatile uint32_t *)REG_PORTE_DATA)                   /* PORTE Port x GPIO Data Register */
#define pREG_PORTE_DATA_SET              ((volatile uint32_t *)REG_PORTE_DATA_SET)               /* PORTE Port x GPIO Data Set Register */
#define pREG_PORTE_DATA_CLR              ((volatile uint32_t *)REG_PORTE_DATA_CLR)               /* PORTE Port x GPIO Data Clear Register */
#define pREG_PORTE_DIR                   ((volatile uint32_t *)REG_PORTE_DIR)                    /* PORTE Port x GPIO Direction Register */
#define pREG_PORTE_DIR_SET               ((volatile uint32_t *)REG_PORTE_DIR_SET)                /* PORTE Port x GPIO Direction Set Register */
#define pREG_PORTE_DIR_CLR               ((volatile uint32_t *)REG_PORTE_DIR_CLR)                /* PORTE Port x GPIO Direction Clear Register */
#define pREG_PORTE_INEN                  ((volatile uint32_t *)REG_PORTE_INEN)                   /* PORTE Port x GPIO Input Enable Register */
#define pREG_PORTE_INEN_SET              ((volatile uint32_t *)REG_PORTE_INEN_SET)               /* PORTE Port x GPIO Input Enable Set Register */
#define pREG_PORTE_INEN_CLR              ((volatile uint32_t *)REG_PORTE_INEN_CLR)               /* PORTE Port x GPIO Input Enable Clear Register */
#define pREG_PORTE_MUX                   ((volatile uint32_t *)REG_PORTE_MUX)                    /* PORTE Port x Multiplexer Control Register */
#define pREG_PORTE_DATA_TGL              ((volatile uint32_t *)REG_PORTE_DATA_TGL)               /* PORTE Port x GPIO Input Enable Toggle Register */
#define pREG_PORTE_POL                   ((volatile uint32_t *)REG_PORTE_POL)                    /* PORTE Port x GPIO Polarity Invert Register */
#define pREG_PORTE_POL_SET               ((volatile uint32_t *)REG_PORTE_POL_SET)                /* PORTE Port x GPIO Polarity Invert Set Register */
#define pREG_PORTE_POL_CLR               ((volatile uint32_t *)REG_PORTE_POL_CLR)                /* PORTE Port x GPIO Polarity Invert Clear Register */
#define pREG_PORTE_LOCK                  ((volatile uint32_t *)REG_PORTE_LOCK)                   /* PORTE Port x GPIO Lock Register */

/* =========================================================================
       PORTF
   ========================================================================= */
#define pREG_PORTF_FER                   ((volatile uint32_t *)REG_PORTF_FER)                    /* PORTF Port x Function Enable Register */
#define pREG_PORTF_FER_SET               ((volatile uint32_t *)REG_PORTF_FER_SET)                /* PORTF Port x Function Enable Set Register */
#define pREG_PORTF_FER_CLR               ((volatile uint32_t *)REG_PORTF_FER_CLR)                /* PORTF Port x Function Enable Clear Register */
#define pREG_PORTF_DATA                  ((volatile uint32_t *)REG_PORTF_DATA)                   /* PORTF Port x GPIO Data Register */
#define pREG_PORTF_DATA_SET              ((volatile uint32_t *)REG_PORTF_DATA_SET)               /* PORTF Port x GPIO Data Set Register */
#define pREG_PORTF_DATA_CLR              ((volatile uint32_t *)REG_PORTF_DATA_CLR)               /* PORTF Port x GPIO Data Clear Register */
#define pREG_PORTF_DIR                   ((volatile uint32_t *)REG_PORTF_DIR)                    /* PORTF Port x GPIO Direction Register */
#define pREG_PORTF_DIR_SET               ((volatile uint32_t *)REG_PORTF_DIR_SET)                /* PORTF Port x GPIO Direction Set Register */
#define pREG_PORTF_DIR_CLR               ((volatile uint32_t *)REG_PORTF_DIR_CLR)                /* PORTF Port x GPIO Direction Clear Register */
#define pREG_PORTF_INEN                  ((volatile uint32_t *)REG_PORTF_INEN)                   /* PORTF Port x GPIO Input Enable Register */
#define pREG_PORTF_INEN_SET              ((volatile uint32_t *)REG_PORTF_INEN_SET)               /* PORTF Port x GPIO Input Enable Set Register */
#define pREG_PORTF_INEN_CLR              ((volatile uint32_t *)REG_PORTF_INEN_CLR)               /* PORTF Port x GPIO Input Enable Clear Register */
#define pREG_PORTF_MUX                   ((volatile uint32_t *)REG_PORTF_MUX)                    /* PORTF Port x Multiplexer Control Register */
#define pREG_PORTF_DATA_TGL              ((volatile uint32_t *)REG_PORTF_DATA_TGL)               /* PORTF Port x GPIO Input Enable Toggle Register */
#define pREG_PORTF_POL                   ((volatile uint32_t *)REG_PORTF_POL)                    /* PORTF Port x GPIO Polarity Invert Register */
#define pREG_PORTF_POL_SET               ((volatile uint32_t *)REG_PORTF_POL_SET)                /* PORTF Port x GPIO Polarity Invert Set Register */
#define pREG_PORTF_POL_CLR               ((volatile uint32_t *)REG_PORTF_POL_CLR)                /* PORTF Port x GPIO Polarity Invert Clear Register */
#define pREG_PORTF_LOCK                  ((volatile uint32_t *)REG_PORTF_LOCK)                   /* PORTF Port x GPIO Lock Register */


/* =========================================================================
       PADS0
   ========================================================================= */
#define pREG_PADS0_PCFG0                 ((volatile uint32_t *)REG_PADS0_PCFG0)                  /* PADS0 Peripheral Configuration0 Register */


/* =========================================================================
       PINT0
   ========================================================================= */
#define pREG_PINT0_MSK_SET               ((volatile uint32_t *)REG_PINT0_MSK_SET)                /* PINT0 Pint Mask Set Register */
#define pREG_PINT0_MSK_CLR               ((volatile uint32_t *)REG_PINT0_MSK_CLR)                /* PINT0 Pint Mask Clear Register */
#define pREG_PINT0_REQ                   ((volatile uint32_t *)REG_PINT0_REQ)                    /* PINT0 Pint Request Register */
#define pREG_PINT0_ASSIGN                ((volatile uint32_t *)REG_PINT0_ASSIGN)                 /* PINT0 Pint Assign Register */
#define pREG_PINT0_EDGE_SET              ((volatile uint32_t *)REG_PINT0_EDGE_SET)               /* PINT0 Pint Edge Set Register */
#define pREG_PINT0_EDGE_CLR              ((volatile uint32_t *)REG_PINT0_EDGE_CLR)               /* PINT0 Pint Edge Clear Register */
#define pREG_PINT0_INV_SET               ((volatile uint32_t *)REG_PINT0_INV_SET)                /* PINT0 Pint Invert Set Register */
#define pREG_PINT0_INV_CLR               ((volatile uint32_t *)REG_PINT0_INV_CLR)                /* PINT0 Pint Invert Clear Register */
#define pREG_PINT0_PINSTATE              ((volatile uint32_t *)REG_PINT0_PINSTATE)               /* PINT0 Pint Pinstate Register */
#define pREG_PINT0_LATCH                 ((volatile uint32_t *)REG_PINT0_LATCH)                  /* PINT0 Pint Latch Register */

/* =========================================================================
       PINT1
   ========================================================================= */
#define pREG_PINT1_MSK_SET               ((volatile uint32_t *)REG_PINT1_MSK_SET)                /* PINT1 Pint Mask Set Register */
#define pREG_PINT1_MSK_CLR               ((volatile uint32_t *)REG_PINT1_MSK_CLR)                /* PINT1 Pint Mask Clear Register */
#define pREG_PINT1_REQ                   ((volatile uint32_t *)REG_PINT1_REQ)                    /* PINT1 Pint Request Register */
#define pREG_PINT1_ASSIGN                ((volatile uint32_t *)REG_PINT1_ASSIGN)                 /* PINT1 Pint Assign Register */
#define pREG_PINT1_EDGE_SET              ((volatile uint32_t *)REG_PINT1_EDGE_SET)               /* PINT1 Pint Edge Set Register */
#define pREG_PINT1_EDGE_CLR              ((volatile uint32_t *)REG_PINT1_EDGE_CLR)               /* PINT1 Pint Edge Clear Register */
#define pREG_PINT1_INV_SET               ((volatile uint32_t *)REG_PINT1_INV_SET)                /* PINT1 Pint Invert Set Register */
#define pREG_PINT1_INV_CLR               ((volatile uint32_t *)REG_PINT1_INV_CLR)                /* PINT1 Pint Invert Clear Register */
#define pREG_PINT1_PINSTATE              ((volatile uint32_t *)REG_PINT1_PINSTATE)               /* PINT1 Pint Pinstate Register */
#define pREG_PINT1_LATCH                 ((volatile uint32_t *)REG_PINT1_LATCH)                  /* PINT1 Pint Latch Register */

/* =========================================================================
       PINT2
   ========================================================================= */
#define pREG_PINT2_MSK_SET               ((volatile uint32_t *)REG_PINT2_MSK_SET)                /* PINT2 Pint Mask Set Register */
#define pREG_PINT2_MSK_CLR               ((volatile uint32_t *)REG_PINT2_MSK_CLR)                /* PINT2 Pint Mask Clear Register */
#define pREG_PINT2_REQ                   ((volatile uint32_t *)REG_PINT2_REQ)                    /* PINT2 Pint Request Register */
#define pREG_PINT2_ASSIGN                ((volatile uint32_t *)REG_PINT2_ASSIGN)                 /* PINT2 Pint Assign Register */
#define pREG_PINT2_EDGE_SET              ((volatile uint32_t *)REG_PINT2_EDGE_SET)               /* PINT2 Pint Edge Set Register */
#define pREG_PINT2_EDGE_CLR              ((volatile uint32_t *)REG_PINT2_EDGE_CLR)               /* PINT2 Pint Edge Clear Register */
#define pREG_PINT2_INV_SET               ((volatile uint32_t *)REG_PINT2_INV_SET)                /* PINT2 Pint Invert Set Register */
#define pREG_PINT2_INV_CLR               ((volatile uint32_t *)REG_PINT2_INV_CLR)                /* PINT2 Pint Invert Clear Register */
#define pREG_PINT2_PINSTATE              ((volatile uint32_t *)REG_PINT2_PINSTATE)               /* PINT2 Pint Pinstate Register */
#define pREG_PINT2_LATCH                 ((volatile uint32_t *)REG_PINT2_LATCH)                  /* PINT2 Pint Latch Register */

/* =========================================================================
       PINT3
   ========================================================================= */
#define pREG_PINT3_MSK_SET               ((volatile uint32_t *)REG_PINT3_MSK_SET)                /* PINT3 Pint Mask Set Register */
#define pREG_PINT3_MSK_CLR               ((volatile uint32_t *)REG_PINT3_MSK_CLR)                /* PINT3 Pint Mask Clear Register */
#define pREG_PINT3_REQ                   ((volatile uint32_t *)REG_PINT3_REQ)                    /* PINT3 Pint Request Register */
#define pREG_PINT3_ASSIGN                ((volatile uint32_t *)REG_PINT3_ASSIGN)                 /* PINT3 Pint Assign Register */
#define pREG_PINT3_EDGE_SET              ((volatile uint32_t *)REG_PINT3_EDGE_SET)               /* PINT3 Pint Edge Set Register */
#define pREG_PINT3_EDGE_CLR              ((volatile uint32_t *)REG_PINT3_EDGE_CLR)               /* PINT3 Pint Edge Clear Register */
#define pREG_PINT3_INV_SET               ((volatile uint32_t *)REG_PINT3_INV_SET)                /* PINT3 Pint Invert Set Register */
#define pREG_PINT3_INV_CLR               ((volatile uint32_t *)REG_PINT3_INV_CLR)                /* PINT3 Pint Invert Clear Register */
#define pREG_PINT3_PINSTATE              ((volatile uint32_t *)REG_PINT3_PINSTATE)               /* PINT3 Pint Pinstate Register */
#define pREG_PINT3_LATCH                 ((volatile uint32_t *)REG_PINT3_LATCH)                  /* PINT3 Pint Latch Register */

/* =========================================================================
       PINT4
   ========================================================================= */
#define pREG_PINT4_MSK_SET               ((volatile uint32_t *)REG_PINT4_MSK_SET)                /* PINT4 Pint Mask Set Register */
#define pREG_PINT4_MSK_CLR               ((volatile uint32_t *)REG_PINT4_MSK_CLR)                /* PINT4 Pint Mask Clear Register */
#define pREG_PINT4_REQ                   ((volatile uint32_t *)REG_PINT4_REQ)                    /* PINT4 Pint Request Register */
#define pREG_PINT4_ASSIGN                ((volatile uint32_t *)REG_PINT4_ASSIGN)                 /* PINT4 Pint Assign Register */
#define pREG_PINT4_EDGE_SET              ((volatile uint32_t *)REG_PINT4_EDGE_SET)               /* PINT4 Pint Edge Set Register */
#define pREG_PINT4_EDGE_CLR              ((volatile uint32_t *)REG_PINT4_EDGE_CLR)               /* PINT4 Pint Edge Clear Register */
#define pREG_PINT4_INV_SET               ((volatile uint32_t *)REG_PINT4_INV_SET)                /* PINT4 Pint Invert Set Register */
#define pREG_PINT4_INV_CLR               ((volatile uint32_t *)REG_PINT4_INV_CLR)                /* PINT4 Pint Invert Clear Register */
#define pREG_PINT4_PINSTATE              ((volatile uint32_t *)REG_PINT4_PINSTATE)               /* PINT4 Pint Pinstate Register */
#define pREG_PINT4_LATCH                 ((volatile uint32_t *)REG_PINT4_LATCH)                  /* PINT4 Pint Latch Register */


/* =========================================================================
       SMC0
   ========================================================================= */
#define pREG_SMC0_B0CTL                  ((volatile uint32_t *)REG_SMC0_B0CTL)                   /* SMC0 Bank 0 Control Register */
#define pREG_SMC0_B0TIM                  ((volatile uint32_t *)REG_SMC0_B0TIM)                   /* SMC0 Bank 0 Timing Register */
#define pREG_SMC0_B0ETIM                 ((volatile uint32_t *)REG_SMC0_B0ETIM)                  /* SMC0 Bank 0 Extended Timing Register */
#define pREG_SMC0_B1CTL                  ((volatile uint32_t *)REG_SMC0_B1CTL)                   /* SMC0 Bank 1 Control Register */
#define pREG_SMC0_B1TIM                  ((volatile uint32_t *)REG_SMC0_B1TIM)                   /* SMC0 Bank 1 Timing Register */
#define pREG_SMC0_B1ETIM                 ((volatile uint32_t *)REG_SMC0_B1ETIM)                  /* SMC0 Bank 1 Extended Timing Register */
#define pREG_SMC0_B2CTL                  ((volatile uint32_t *)REG_SMC0_B2CTL)                   /* SMC0 Bank 2 Control Register */
#define pREG_SMC0_B2TIM                  ((volatile uint32_t *)REG_SMC0_B2TIM)                   /* SMC0 Bank 2 Timing Register */
#define pREG_SMC0_B2ETIM                 ((volatile uint32_t *)REG_SMC0_B2ETIM)                  /* SMC0 Bank 2 Extended Timing Register */
#define pREG_SMC0_B3CTL                  ((volatile uint32_t *)REG_SMC0_B3CTL)                   /* SMC0 Bank 3 Control Register */
#define pREG_SMC0_B3TIM                  ((volatile uint32_t *)REG_SMC0_B3TIM)                   /* SMC0 Bank 3 Timing Register */
#define pREG_SMC0_B3ETIM                 ((volatile uint32_t *)REG_SMC0_B3ETIM)                  /* SMC0 Bank 3 Extended Timing Register */


/* =========================================================================
       PWM0
   ========================================================================= */
#define pREG_PWM0_CTL                    ((volatile uint32_t *)REG_PWM0_CTL)                     /* PWM0 Control Register */
#define pREG_PWM0_CHANCFG                ((volatile uint32_t *)REG_PWM0_CHANCFG)                 /* PWM0 Channel Config Register */
#define pREG_PWM0_TRIPCFG                ((volatile uint32_t *)REG_PWM0_TRIPCFG)                 /* PWM0 Trip Config Register */
#define pREG_PWM0_STAT                   ((volatile uint32_t *)REG_PWM0_STAT)                    /* PWM0 Status Register */
#define pREG_PWM0_IMSK                   ((volatile uint32_t *)REG_PWM0_IMSK)                    /* PWM0 Interrupt Mask Register */
#define pREG_PWM0_ILAT                   ((volatile uint32_t *)REG_PWM0_ILAT)                    /* PWM0 Interrupt Latch Register */
#define pREG_PWM0_CHOPCFG                ((volatile uint32_t *)REG_PWM0_CHOPCFG)                 /* PWM0 Chop Configuration Register */
#define pREG_PWM0_DT                     ((volatile uint32_t *)REG_PWM0_DT)                      /* PWM0 Dead Time Register */
#define pREG_PWM0_SYNC_WID               ((volatile uint32_t *)REG_PWM0_SYNC_WID)                /* PWM0 Sync Pulse Width Register */
#define pREG_PWM0_TM0                    ((volatile uint32_t *)REG_PWM0_TM0)                     /* PWM0 Timer 0 Period Register */
#define pREG_PWM0_TM1                    ((volatile uint32_t *)REG_PWM0_TM1)                     /* PWM0 Timer 1 Period Register */
#define pREG_PWM0_TM2                    ((volatile uint32_t *)REG_PWM0_TM2)                     /* PWM0 Timer 2 Period Register */
#define pREG_PWM0_TM3                    ((volatile uint32_t *)REG_PWM0_TM3)                     /* PWM0 Timer 3 Period Register */
#define pREG_PWM0_TM4                    ((volatile uint32_t *)REG_PWM0_TM4)                     /* PWM0 Timer 4 Period Register */
#define pREG_PWM0_DLYA                   ((volatile uint32_t *)REG_PWM0_DLYA)                    /* PWM0 Channel A Delay Register */
#define pREG_PWM0_DLYB                   ((volatile uint32_t *)REG_PWM0_DLYB)                    /* PWM0 Channel B Delay Register */
#define pREG_PWM0_DLYC                   ((volatile uint32_t *)REG_PWM0_DLYC)                    /* PWM0 Channel C Delay Register */
#define pREG_PWM0_DLYD                   ((volatile uint32_t *)REG_PWM0_DLYD)                    /* PWM0 Channel D Delay Register */
#define pREG_PWM0_ACTL                   ((volatile uint32_t *)REG_PWM0_ACTL)                    /* PWM0 Channel A Control Register */
#define pREG_PWM0_AH0                    ((volatile uint32_t *)REG_PWM0_AH0)                     /* PWM0 Channel A-High Duty-0 Register */
#define pREG_PWM0_AH1                    ((volatile uint32_t *)REG_PWM0_AH1)                     /* PWM0 Channel A-High Duty-1 Register */
#define pREG_PWM0_AH0_HP                 ((volatile uint32_t *)REG_PWM0_AH0_HP)                  /* PWM0 Channel A-High Heightened-Precision Duty-0 Register */
#define pREG_PWM0_AH1_HP                 ((volatile uint32_t *)REG_PWM0_AH1_HP)                  /* PWM0 Channel A-High Heightened-Precision Duty-1 Register */
#define pREG_PWM0_AL0                    ((volatile uint32_t *)REG_PWM0_AL0)                     /* PWM0 Channel A-Low Duty-0 Register */
#define pREG_PWM0_AL1                    ((volatile uint32_t *)REG_PWM0_AL1)                     /* PWM0 Channel A-Low Duty-1 Register */
#define pREG_PWM0_AL0_HP                 ((volatile uint32_t *)REG_PWM0_AL0_HP)                  /* PWM0 Channel A-Low Heightened-Precision Duty-0 Register */
#define pREG_PWM0_AL1_HP                 ((volatile uint32_t *)REG_PWM0_AL1_HP)                  /* PWM0 Channel A-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM0_BCTL                   ((volatile uint32_t *)REG_PWM0_BCTL)                    /* PWM0 Channel B Control Register */
#define pREG_PWM0_BH0                    ((volatile uint32_t *)REG_PWM0_BH0)                     /* PWM0 Channel B-High Duty-0 Register */
#define pREG_PWM0_BH1                    ((volatile uint32_t *)REG_PWM0_BH1)                     /* PWM0 Channel B-High Duty-1 Register */
#define pREG_PWM0_BH0_HP                 ((volatile uint32_t *)REG_PWM0_BH0_HP)                  /* PWM0 Channel B-High Heightened-Precision Duty-0 Register */
#define pREG_PWM0_BH1_HP                 ((volatile uint32_t *)REG_PWM0_BH1_HP)                  /* PWM0 Channel B-High Heightened-Precision Duty-1 Register */
#define pREG_PWM0_BL0                    ((volatile uint32_t *)REG_PWM0_BL0)                     /* PWM0 Channel B-Low Duty-0 Register */
#define pREG_PWM0_BL1                    ((volatile uint32_t *)REG_PWM0_BL1)                     /* PWM0 Channel B-Low Duty-1 Register */
#define pREG_PWM0_BL0_HP                 ((volatile uint32_t *)REG_PWM0_BL0_HP)                  /* PWM0 Channel B-Low Heightened-Precision Duty-0 Register */
#define pREG_PWM0_BL1_HP                 ((volatile uint32_t *)REG_PWM0_BL1_HP)                  /* PWM0 Channel B-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM0_CCTL                   ((volatile uint32_t *)REG_PWM0_CCTL)                    /* PWM0 Channel C Control Register */
#define pREG_PWM0_CH0                    ((volatile uint32_t *)REG_PWM0_CH0)                     /* PWM0 Channel C-High Pulse Duty Register 0 */
#define pREG_PWM0_CH1                    ((volatile uint32_t *)REG_PWM0_CH1)                     /* PWM0 Channel C-High Pulse Duty Register 1 */
#define pREG_PWM0_CH0_HP                 ((volatile uint32_t *)REG_PWM0_CH0_HP)                  /* PWM0 Channel C-High Pulse Heightened-Precision Duty Register 0 */
#define pREG_PWM0_CH1_HP                 ((volatile uint32_t *)REG_PWM0_CH1_HP)                  /* PWM0 Channel C-High Pulse Heightened-Precision Duty Register 1 */
#define pREG_PWM0_CL0                    ((volatile uint32_t *)REG_PWM0_CL0)                     /* PWM0 Channel C-Low Pulse Duty Register 0 */
#define pREG_PWM0_CL1                    ((volatile uint32_t *)REG_PWM0_CL1)                     /* PWM0 Channel C-Low Duty-1 Register */
#define pREG_PWM0_CL0_HP                 ((volatile uint32_t *)REG_PWM0_CL0_HP)                  /* PWM0 Channel C-Low Pulse Duty Register 1 */
#define pREG_PWM0_CL1_HP                 ((volatile uint32_t *)REG_PWM0_CL1_HP)                  /* PWM0 Channel C-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM0_DCTL                   ((volatile uint32_t *)REG_PWM0_DCTL)                    /* PWM0 Channel D Control Register */
#define pREG_PWM0_DH0                    ((volatile uint32_t *)REG_PWM0_DH0)                     /* PWM0 Channel D-High Duty-0 Register */
#define pREG_PWM0_DH1                    ((volatile uint32_t *)REG_PWM0_DH1)                     /* PWM0 Channel D-High Pulse Duty Register 1 */
#define pREG_PWM0_DH0_HP                 ((volatile uint32_t *)REG_PWM0_DH0_HP)                  /* PWM0 Channel D-High Pulse Heightened-Precision Duty Register 0 */
#define pREG_PWM0_DH1_HP                 ((volatile uint32_t *)REG_PWM0_DH1_HP)                  /* PWM0 Channel D High Pulse Heightened-Precision Duty Register 1 */
#define pREG_PWM0_DL0                    ((volatile uint32_t *)REG_PWM0_DL0)                     /* PWM0 Channel D-Low Pulse Duty Register 0 */
#define pREG_PWM0_DL1                    ((volatile uint32_t *)REG_PWM0_DL1)                     /* PWM0 Channel D-Low Pulse Duty Register 1 */
#define pREG_PWM0_DL0_HP                 ((volatile uint32_t *)REG_PWM0_DL0_HP)                  /* PWM0 Channel D-Low Heightened-Precision Duty-0 Register */
#define pREG_PWM0_DL1_HP                 ((volatile uint32_t *)REG_PWM0_DL1_HP)                  /* PWM0 Channel D-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM0_AH_DUTY0               ((volatile uint32_t *)REG_PWM0_AH_DUTY0)                /* PWM0 Channel A-High Full Duty0 Register */
#define pREG_PWM0_AH_DUTY1               ((volatile uint32_t *)REG_PWM0_AH_DUTY1)                /* PWM0 Channel A-High Full Duty1 Register */
#define pREG_PWM0_AL_DUTY0               ((volatile uint32_t *)REG_PWM0_AL_DUTY0)                /* PWM0 Channel A-Low Full Duty0 Register */
#define pREG_PWM0_AL_DUTY1               ((volatile uint32_t *)REG_PWM0_AL_DUTY1)                /* PWM0 Channel A-Low Full Duty1 Register */
#define pREG_PWM0_BH_DUTY0               ((volatile uint32_t *)REG_PWM0_BH_DUTY0)                /* PWM0 Channel B-High Full Duty0 Register */
#define pREG_PWM0_BH_DUTY1               ((volatile uint32_t *)REG_PWM0_BH_DUTY1)                /* PWM0 Channel B-High Full Duty1 Register */
#define pREG_PWM0_BL_DUTY0               ((volatile uint32_t *)REG_PWM0_BL_DUTY0)                /* PWM0 Channel B-Low Full Duty0 Register */
#define pREG_PWM0_BL_DUTY1               ((volatile uint32_t *)REG_PWM0_BL_DUTY1)                /* PWM0 Channel B-Low Full Duty1 Register */
#define pREG_PWM0_CH_DUTY0               ((volatile uint32_t *)REG_PWM0_CH_DUTY0)                /* PWM0 Channel C-High Full Duty0 Register */
#define pREG_PWM0_CH_DUTY1               ((volatile uint32_t *)REG_PWM0_CH_DUTY1)                /* PWM0 Channel C-High Full Duty1 Register */
#define pREG_PWM0_CL_DUTY0               ((volatile uint32_t *)REG_PWM0_CL_DUTY0)                /* PWM0 Channel C-Low Full Duty0 Register */
#define pREG_PWM0_CL_DUTY1               ((volatile uint32_t *)REG_PWM0_CL_DUTY1)                /* PWM0 Channel C-Low Full Duty1 Register */
#define pREG_PWM0_DH_DUTY0               ((volatile uint32_t *)REG_PWM0_DH_DUTY0)                /* PWM0 Channel D-High Full Duty0 Register */
#define pREG_PWM0_DH_DUTY1               ((volatile uint32_t *)REG_PWM0_DH_DUTY1)                /* PWM0 Channel D-High Full Duty1 Register */
#define pREG_PWM0_DL_DUTY0               ((volatile uint32_t *)REG_PWM0_DL_DUTY0)                /* PWM0 Channel D-Low Full Duty0 Register */
#define pREG_PWM0_DL_DUTY1               ((volatile uint32_t *)REG_PWM0_DL_DUTY1)                /* PWM0 Channel D-Low Full Duty1 Register */

/* =========================================================================
       PWM1
   ========================================================================= */
#define pREG_PWM1_CTL                    ((volatile uint32_t *)REG_PWM1_CTL)                     /* PWM1 Control Register */
#define pREG_PWM1_CHANCFG                ((volatile uint32_t *)REG_PWM1_CHANCFG)                 /* PWM1 Channel Config Register */
#define pREG_PWM1_TRIPCFG                ((volatile uint32_t *)REG_PWM1_TRIPCFG)                 /* PWM1 Trip Config Register */
#define pREG_PWM1_STAT                   ((volatile uint32_t *)REG_PWM1_STAT)                    /* PWM1 Status Register */
#define pREG_PWM1_IMSK                   ((volatile uint32_t *)REG_PWM1_IMSK)                    /* PWM1 Interrupt Mask Register */
#define pREG_PWM1_ILAT                   ((volatile uint32_t *)REG_PWM1_ILAT)                    /* PWM1 Interrupt Latch Register */
#define pREG_PWM1_CHOPCFG                ((volatile uint32_t *)REG_PWM1_CHOPCFG)                 /* PWM1 Chop Configuration Register */
#define pREG_PWM1_DT                     ((volatile uint32_t *)REG_PWM1_DT)                      /* PWM1 Dead Time Register */
#define pREG_PWM1_SYNC_WID               ((volatile uint32_t *)REG_PWM1_SYNC_WID)                /* PWM1 Sync Pulse Width Register */
#define pREG_PWM1_TM0                    ((volatile uint32_t *)REG_PWM1_TM0)                     /* PWM1 Timer 0 Period Register */
#define pREG_PWM1_TM1                    ((volatile uint32_t *)REG_PWM1_TM1)                     /* PWM1 Timer 1 Period Register */
#define pREG_PWM1_TM2                    ((volatile uint32_t *)REG_PWM1_TM2)                     /* PWM1 Timer 2 Period Register */
#define pREG_PWM1_TM3                    ((volatile uint32_t *)REG_PWM1_TM3)                     /* PWM1 Timer 3 Period Register */
#define pREG_PWM1_TM4                    ((volatile uint32_t *)REG_PWM1_TM4)                     /* PWM1 Timer 4 Period Register */
#define pREG_PWM1_DLYA                   ((volatile uint32_t *)REG_PWM1_DLYA)                    /* PWM1 Channel A Delay Register */
#define pREG_PWM1_DLYB                   ((volatile uint32_t *)REG_PWM1_DLYB)                    /* PWM1 Channel B Delay Register */
#define pREG_PWM1_DLYC                   ((volatile uint32_t *)REG_PWM1_DLYC)                    /* PWM1 Channel C Delay Register */
#define pREG_PWM1_DLYD                   ((volatile uint32_t *)REG_PWM1_DLYD)                    /* PWM1 Channel D Delay Register */
#define pREG_PWM1_ACTL                   ((volatile uint32_t *)REG_PWM1_ACTL)                    /* PWM1 Channel A Control Register */
#define pREG_PWM1_AH0                    ((volatile uint32_t *)REG_PWM1_AH0)                     /* PWM1 Channel A-High Duty-0 Register */
#define pREG_PWM1_AH1                    ((volatile uint32_t *)REG_PWM1_AH1)                     /* PWM1 Channel A-High Duty-1 Register */
#define pREG_PWM1_AH0_HP                 ((volatile uint32_t *)REG_PWM1_AH0_HP)                  /* PWM1 Channel A-High Heightened-Precision Duty-0 Register */
#define pREG_PWM1_AH1_HP                 ((volatile uint32_t *)REG_PWM1_AH1_HP)                  /* PWM1 Channel A-High Heightened-Precision Duty-1 Register */
#define pREG_PWM1_AL0                    ((volatile uint32_t *)REG_PWM1_AL0)                     /* PWM1 Channel A-Low Duty-0 Register */
#define pREG_PWM1_AL1                    ((volatile uint32_t *)REG_PWM1_AL1)                     /* PWM1 Channel A-Low Duty-1 Register */
#define pREG_PWM1_AL0_HP                 ((volatile uint32_t *)REG_PWM1_AL0_HP)                  /* PWM1 Channel A-Low Heightened-Precision Duty-0 Register */
#define pREG_PWM1_AL1_HP                 ((volatile uint32_t *)REG_PWM1_AL1_HP)                  /* PWM1 Channel A-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM1_BCTL                   ((volatile uint32_t *)REG_PWM1_BCTL)                    /* PWM1 Channel B Control Register */
#define pREG_PWM1_BH0                    ((volatile uint32_t *)REG_PWM1_BH0)                     /* PWM1 Channel B-High Duty-0 Register */
#define pREG_PWM1_BH1                    ((volatile uint32_t *)REG_PWM1_BH1)                     /* PWM1 Channel B-High Duty-1 Register */
#define pREG_PWM1_BH0_HP                 ((volatile uint32_t *)REG_PWM1_BH0_HP)                  /* PWM1 Channel B-High Heightened-Precision Duty-0 Register */
#define pREG_PWM1_BH1_HP                 ((volatile uint32_t *)REG_PWM1_BH1_HP)                  /* PWM1 Channel B-High Heightened-Precision Duty-1 Register */
#define pREG_PWM1_BL0                    ((volatile uint32_t *)REG_PWM1_BL0)                     /* PWM1 Channel B-Low Duty-0 Register */
#define pREG_PWM1_BL1                    ((volatile uint32_t *)REG_PWM1_BL1)                     /* PWM1 Channel B-Low Duty-1 Register */
#define pREG_PWM1_BL0_HP                 ((volatile uint32_t *)REG_PWM1_BL0_HP)                  /* PWM1 Channel B-Low Heightened-Precision Duty-0 Register */
#define pREG_PWM1_BL1_HP                 ((volatile uint32_t *)REG_PWM1_BL1_HP)                  /* PWM1 Channel B-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM1_CCTL                   ((volatile uint32_t *)REG_PWM1_CCTL)                    /* PWM1 Channel C Control Register */
#define pREG_PWM1_CH0                    ((volatile uint32_t *)REG_PWM1_CH0)                     /* PWM1 Channel C-High Pulse Duty Register 0 */
#define pREG_PWM1_CH1                    ((volatile uint32_t *)REG_PWM1_CH1)                     /* PWM1 Channel C-High Pulse Duty Register 1 */
#define pREG_PWM1_CH0_HP                 ((volatile uint32_t *)REG_PWM1_CH0_HP)                  /* PWM1 Channel C-High Pulse Heightened-Precision Duty Register 0 */
#define pREG_PWM1_CH1_HP                 ((volatile uint32_t *)REG_PWM1_CH1_HP)                  /* PWM1 Channel C-High Pulse Heightened-Precision Duty Register 1 */
#define pREG_PWM1_CL0                    ((volatile uint32_t *)REG_PWM1_CL0)                     /* PWM1 Channel C-Low Pulse Duty Register 0 */
#define pREG_PWM1_CL1                    ((volatile uint32_t *)REG_PWM1_CL1)                     /* PWM1 Channel C-Low Duty-1 Register */
#define pREG_PWM1_CL0_HP                 ((volatile uint32_t *)REG_PWM1_CL0_HP)                  /* PWM1 Channel C-Low Pulse Duty Register 1 */
#define pREG_PWM1_CL1_HP                 ((volatile uint32_t *)REG_PWM1_CL1_HP)                  /* PWM1 Channel C-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM1_DCTL                   ((volatile uint32_t *)REG_PWM1_DCTL)                    /* PWM1 Channel D Control Register */
#define pREG_PWM1_DH0                    ((volatile uint32_t *)REG_PWM1_DH0)                     /* PWM1 Channel D-High Duty-0 Register */
#define pREG_PWM1_DH1                    ((volatile uint32_t *)REG_PWM1_DH1)                     /* PWM1 Channel D-High Pulse Duty Register 1 */
#define pREG_PWM1_DH0_HP                 ((volatile uint32_t *)REG_PWM1_DH0_HP)                  /* PWM1 Channel D-High Pulse Heightened-Precision Duty Register 0 */
#define pREG_PWM1_DH1_HP                 ((volatile uint32_t *)REG_PWM1_DH1_HP)                  /* PWM1 Channel D High Pulse Heightened-Precision Duty Register 1 */
#define pREG_PWM1_DL0                    ((volatile uint32_t *)REG_PWM1_DL0)                     /* PWM1 Channel D-Low Pulse Duty Register 0 */
#define pREG_PWM1_DL1                    ((volatile uint32_t *)REG_PWM1_DL1)                     /* PWM1 Channel D-Low Pulse Duty Register 1 */
#define pREG_PWM1_DL0_HP                 ((volatile uint32_t *)REG_PWM1_DL0_HP)                  /* PWM1 Channel D-Low Heightened-Precision Duty-0 Register */
#define pREG_PWM1_DL1_HP                 ((volatile uint32_t *)REG_PWM1_DL1_HP)                  /* PWM1 Channel D-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM1_AH_DUTY0               ((volatile uint32_t *)REG_PWM1_AH_DUTY0)                /* PWM1 Channel A-High Full Duty0 Register */
#define pREG_PWM1_AH_DUTY1               ((volatile uint32_t *)REG_PWM1_AH_DUTY1)                /* PWM1 Channel A-High Full Duty1 Register */
#define pREG_PWM1_AL_DUTY0               ((volatile uint32_t *)REG_PWM1_AL_DUTY0)                /* PWM1 Channel A-Low Full Duty0 Register */
#define pREG_PWM1_AL_DUTY1               ((volatile uint32_t *)REG_PWM1_AL_DUTY1)                /* PWM1 Channel A-Low Full Duty1 Register */
#define pREG_PWM1_BH_DUTY0               ((volatile uint32_t *)REG_PWM1_BH_DUTY0)                /* PWM1 Channel B-High Full Duty0 Register */
#define pREG_PWM1_BH_DUTY1               ((volatile uint32_t *)REG_PWM1_BH_DUTY1)                /* PWM1 Channel B-High Full Duty1 Register */
#define pREG_PWM1_BL_DUTY0               ((volatile uint32_t *)REG_PWM1_BL_DUTY0)                /* PWM1 Channel B-Low Full Duty0 Register */
#define pREG_PWM1_BL_DUTY1               ((volatile uint32_t *)REG_PWM1_BL_DUTY1)                /* PWM1 Channel B-Low Full Duty1 Register */
#define pREG_PWM1_CH_DUTY0               ((volatile uint32_t *)REG_PWM1_CH_DUTY0)                /* PWM1 Channel C-High Full Duty0 Register */
#define pREG_PWM1_CH_DUTY1               ((volatile uint32_t *)REG_PWM1_CH_DUTY1)                /* PWM1 Channel C-High Full Duty1 Register */
#define pREG_PWM1_CL_DUTY0               ((volatile uint32_t *)REG_PWM1_CL_DUTY0)                /* PWM1 Channel C-Low Full Duty0 Register */
#define pREG_PWM1_CL_DUTY1               ((volatile uint32_t *)REG_PWM1_CL_DUTY1)                /* PWM1 Channel C-Low Full Duty1 Register */
#define pREG_PWM1_DH_DUTY0               ((volatile uint32_t *)REG_PWM1_DH_DUTY0)                /* PWM1 Channel D-High Full Duty0 Register */
#define pREG_PWM1_DH_DUTY1               ((volatile uint32_t *)REG_PWM1_DH_DUTY1)                /* PWM1 Channel D-High Full Duty1 Register */
#define pREG_PWM1_DL_DUTY0               ((volatile uint32_t *)REG_PWM1_DL_DUTY0)                /* PWM1 Channel D-Low Full Duty0 Register */
#define pREG_PWM1_DL_DUTY1               ((volatile uint32_t *)REG_PWM1_DL_DUTY1)                /* PWM1 Channel D-Low Full Duty1 Register */

/* =========================================================================
       PWM2
   ========================================================================= */
#define pREG_PWM2_CTL                    ((volatile uint32_t *)REG_PWM2_CTL)                     /* PWM2 Control Register */
#define pREG_PWM2_CHANCFG                ((volatile uint32_t *)REG_PWM2_CHANCFG)                 /* PWM2 Channel Config Register */
#define pREG_PWM2_TRIPCFG                ((volatile uint32_t *)REG_PWM2_TRIPCFG)                 /* PWM2 Trip Config Register */
#define pREG_PWM2_STAT                   ((volatile uint32_t *)REG_PWM2_STAT)                    /* PWM2 Status Register */
#define pREG_PWM2_IMSK                   ((volatile uint32_t *)REG_PWM2_IMSK)                    /* PWM2 Interrupt Mask Register */
#define pREG_PWM2_ILAT                   ((volatile uint32_t *)REG_PWM2_ILAT)                    /* PWM2 Interrupt Latch Register */
#define pREG_PWM2_CHOPCFG                ((volatile uint32_t *)REG_PWM2_CHOPCFG)                 /* PWM2 Chop Configuration Register */
#define pREG_PWM2_DT                     ((volatile uint32_t *)REG_PWM2_DT)                      /* PWM2 Dead Time Register */
#define pREG_PWM2_SYNC_WID               ((volatile uint32_t *)REG_PWM2_SYNC_WID)                /* PWM2 Sync Pulse Width Register */
#define pREG_PWM2_TM0                    ((volatile uint32_t *)REG_PWM2_TM0)                     /* PWM2 Timer 0 Period Register */
#define pREG_PWM2_TM1                    ((volatile uint32_t *)REG_PWM2_TM1)                     /* PWM2 Timer 1 Period Register */
#define pREG_PWM2_TM2                    ((volatile uint32_t *)REG_PWM2_TM2)                     /* PWM2 Timer 2 Period Register */
#define pREG_PWM2_TM3                    ((volatile uint32_t *)REG_PWM2_TM3)                     /* PWM2 Timer 3 Period Register */
#define pREG_PWM2_TM4                    ((volatile uint32_t *)REG_PWM2_TM4)                     /* PWM2 Timer 4 Period Register */
#define pREG_PWM2_DLYA                   ((volatile uint32_t *)REG_PWM2_DLYA)                    /* PWM2 Channel A Delay Register */
#define pREG_PWM2_DLYB                   ((volatile uint32_t *)REG_PWM2_DLYB)                    /* PWM2 Channel B Delay Register */
#define pREG_PWM2_DLYC                   ((volatile uint32_t *)REG_PWM2_DLYC)                    /* PWM2 Channel C Delay Register */
#define pREG_PWM2_DLYD                   ((volatile uint32_t *)REG_PWM2_DLYD)                    /* PWM2 Channel D Delay Register */
#define pREG_PWM2_ACTL                   ((volatile uint32_t *)REG_PWM2_ACTL)                    /* PWM2 Channel A Control Register */
#define pREG_PWM2_AH0                    ((volatile uint32_t *)REG_PWM2_AH0)                     /* PWM2 Channel A-High Duty-0 Register */
#define pREG_PWM2_AH1                    ((volatile uint32_t *)REG_PWM2_AH1)                     /* PWM2 Channel A-High Duty-1 Register */
#define pREG_PWM2_AH0_HP                 ((volatile uint32_t *)REG_PWM2_AH0_HP)                  /* PWM2 Channel A-High Heightened-Precision Duty-0 Register */
#define pREG_PWM2_AH1_HP                 ((volatile uint32_t *)REG_PWM2_AH1_HP)                  /* PWM2 Channel A-High Heightened-Precision Duty-1 Register */
#define pREG_PWM2_AL0                    ((volatile uint32_t *)REG_PWM2_AL0)                     /* PWM2 Channel A-Low Duty-0 Register */
#define pREG_PWM2_AL1                    ((volatile uint32_t *)REG_PWM2_AL1)                     /* PWM2 Channel A-Low Duty-1 Register */
#define pREG_PWM2_AL0_HP                 ((volatile uint32_t *)REG_PWM2_AL0_HP)                  /* PWM2 Channel A-Low Heightened-Precision Duty-0 Register */
#define pREG_PWM2_AL1_HP                 ((volatile uint32_t *)REG_PWM2_AL1_HP)                  /* PWM2 Channel A-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM2_BCTL                   ((volatile uint32_t *)REG_PWM2_BCTL)                    /* PWM2 Channel B Control Register */
#define pREG_PWM2_BH0                    ((volatile uint32_t *)REG_PWM2_BH0)                     /* PWM2 Channel B-High Duty-0 Register */
#define pREG_PWM2_BH1                    ((volatile uint32_t *)REG_PWM2_BH1)                     /* PWM2 Channel B-High Duty-1 Register */
#define pREG_PWM2_BH0_HP                 ((volatile uint32_t *)REG_PWM2_BH0_HP)                  /* PWM2 Channel B-High Heightened-Precision Duty-0 Register */
#define pREG_PWM2_BH1_HP                 ((volatile uint32_t *)REG_PWM2_BH1_HP)                  /* PWM2 Channel B-High Heightened-Precision Duty-1 Register */
#define pREG_PWM2_BL0                    ((volatile uint32_t *)REG_PWM2_BL0)                     /* PWM2 Channel B-Low Duty-0 Register */
#define pREG_PWM2_BL1                    ((volatile uint32_t *)REG_PWM2_BL1)                     /* PWM2 Channel B-Low Duty-1 Register */
#define pREG_PWM2_BL0_HP                 ((volatile uint32_t *)REG_PWM2_BL0_HP)                  /* PWM2 Channel B-Low Heightened-Precision Duty-0 Register */
#define pREG_PWM2_BL1_HP                 ((volatile uint32_t *)REG_PWM2_BL1_HP)                  /* PWM2 Channel B-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM2_CCTL                   ((volatile uint32_t *)REG_PWM2_CCTL)                    /* PWM2 Channel C Control Register */
#define pREG_PWM2_CH0                    ((volatile uint32_t *)REG_PWM2_CH0)                     /* PWM2 Channel C-High Pulse Duty Register 0 */
#define pREG_PWM2_CH1                    ((volatile uint32_t *)REG_PWM2_CH1)                     /* PWM2 Channel C-High Pulse Duty Register 1 */
#define pREG_PWM2_CH0_HP                 ((volatile uint32_t *)REG_PWM2_CH0_HP)                  /* PWM2 Channel C-High Pulse Heightened-Precision Duty Register 0 */
#define pREG_PWM2_CH1_HP                 ((volatile uint32_t *)REG_PWM2_CH1_HP)                  /* PWM2 Channel C-High Pulse Heightened-Precision Duty Register 1 */
#define pREG_PWM2_CL0                    ((volatile uint32_t *)REG_PWM2_CL0)                     /* PWM2 Channel C-Low Pulse Duty Register 0 */
#define pREG_PWM2_CL1                    ((volatile uint32_t *)REG_PWM2_CL1)                     /* PWM2 Channel C-Low Duty-1 Register */
#define pREG_PWM2_CL0_HP                 ((volatile uint32_t *)REG_PWM2_CL0_HP)                  /* PWM2 Channel C-Low Pulse Duty Register 1 */
#define pREG_PWM2_CL1_HP                 ((volatile uint32_t *)REG_PWM2_CL1_HP)                  /* PWM2 Channel C-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM2_DCTL                   ((volatile uint32_t *)REG_PWM2_DCTL)                    /* PWM2 Channel D Control Register */
#define pREG_PWM2_DH0                    ((volatile uint32_t *)REG_PWM2_DH0)                     /* PWM2 Channel D-High Duty-0 Register */
#define pREG_PWM2_DH1                    ((volatile uint32_t *)REG_PWM2_DH1)                     /* PWM2 Channel D-High Pulse Duty Register 1 */
#define pREG_PWM2_DH0_HP                 ((volatile uint32_t *)REG_PWM2_DH0_HP)                  /* PWM2 Channel D-High Pulse Heightened-Precision Duty Register 0 */
#define pREG_PWM2_DH1_HP                 ((volatile uint32_t *)REG_PWM2_DH1_HP)                  /* PWM2 Channel D High Pulse Heightened-Precision Duty Register 1 */
#define pREG_PWM2_DL0                    ((volatile uint32_t *)REG_PWM2_DL0)                     /* PWM2 Channel D-Low Pulse Duty Register 0 */
#define pREG_PWM2_DL1                    ((volatile uint32_t *)REG_PWM2_DL1)                     /* PWM2 Channel D-Low Pulse Duty Register 1 */
#define pREG_PWM2_DL0_HP                 ((volatile uint32_t *)REG_PWM2_DL0_HP)                  /* PWM2 Channel D-Low Heightened-Precision Duty-0 Register */
#define pREG_PWM2_DL1_HP                 ((volatile uint32_t *)REG_PWM2_DL1_HP)                  /* PWM2 Channel D-Low Heightened-Precision Duty-1 Register */
#define pREG_PWM2_AH_DUTY0               ((volatile uint32_t *)REG_PWM2_AH_DUTY0)                /* PWM2 Channel A-High Full Duty0 Register */
#define pREG_PWM2_AH_DUTY1               ((volatile uint32_t *)REG_PWM2_AH_DUTY1)                /* PWM2 Channel A-High Full Duty1 Register */
#define pREG_PWM2_AL_DUTY0               ((volatile uint32_t *)REG_PWM2_AL_DUTY0)                /* PWM2 Channel A-Low Full Duty0 Register */
#define pREG_PWM2_AL_DUTY1               ((volatile uint32_t *)REG_PWM2_AL_DUTY1)                /* PWM2 Channel A-Low Full Duty1 Register */
#define pREG_PWM2_BH_DUTY0               ((volatile uint32_t *)REG_PWM2_BH_DUTY0)                /* PWM2 Channel B-High Full Duty0 Register */
#define pREG_PWM2_BH_DUTY1               ((volatile uint32_t *)REG_PWM2_BH_DUTY1)                /* PWM2 Channel B-High Full Duty1 Register */
#define pREG_PWM2_BL_DUTY0               ((volatile uint32_t *)REG_PWM2_BL_DUTY0)                /* PWM2 Channel B-Low Full Duty0 Register */
#define pREG_PWM2_BL_DUTY1               ((volatile uint32_t *)REG_PWM2_BL_DUTY1)                /* PWM2 Channel B-Low Full Duty1 Register */
#define pREG_PWM2_CH_DUTY0               ((volatile uint32_t *)REG_PWM2_CH_DUTY0)                /* PWM2 Channel C-High Full Duty0 Register */
#define pREG_PWM2_CH_DUTY1               ((volatile uint32_t *)REG_PWM2_CH_DUTY1)                /* PWM2 Channel C-High Full Duty1 Register */
#define pREG_PWM2_CL_DUTY0               ((volatile uint32_t *)REG_PWM2_CL_DUTY0)                /* PWM2 Channel C-Low Full Duty0 Register */
#define pREG_PWM2_CL_DUTY1               ((volatile uint32_t *)REG_PWM2_CL_DUTY1)                /* PWM2 Channel C-Low Full Duty1 Register */
#define pREG_PWM2_DH_DUTY0               ((volatile uint32_t *)REG_PWM2_DH_DUTY0)                /* PWM2 Channel D-High Full Duty0 Register */
#define pREG_PWM2_DH_DUTY1               ((volatile uint32_t *)REG_PWM2_DH_DUTY1)                /* PWM2 Channel D-High Full Duty1 Register */
#define pREG_PWM2_DL_DUTY0               ((volatile uint32_t *)REG_PWM2_DL_DUTY0)                /* PWM2 Channel D-Low Full Duty0 Register */
#define pREG_PWM2_DL_DUTY1               ((volatile uint32_t *)REG_PWM2_DL_DUTY1)                /* PWM2 Channel D-Low Full Duty1 Register */



/* =========================================================================
       CNT0
   ========================================================================= */
#define pREG_CNT0_CFG                    ((volatile uint32_t *)REG_CNT0_CFG)                     /* CNT0 Configuration Register */
#define pREG_CNT0_IMSK                   ((volatile uint32_t *)REG_CNT0_IMSK)                    /* CNT0 Interrupt Mask Register */
#define pREG_CNT0_STAT                   ((volatile uint32_t *)REG_CNT0_STAT)                    /* CNT0 Status Register */
#define pREG_CNT0_CMD                    ((volatile uint32_t *)REG_CNT0_CMD)                     /* CNT0 Command Register */
#define pREG_CNT0_DEBNCE                 ((volatile uint32_t *)REG_CNT0_DEBNCE)                  /* CNT0 Debounce Register */
#define pREG_CNT0_CNTR                   ((volatile uint32_t *)REG_CNT0_CNTR)                    /* CNT0 Counter Register */
#define pREG_CNT0_MAX                    ((volatile uint32_t *)REG_CNT0_MAX)                     /* CNT0 Maximum Count Register */
#define pREG_CNT0_MIN                    ((volatile uint32_t *)REG_CNT0_MIN)                     /* CNT0 Minimum Count Register */
#define pREG_CNT0_MDIV                   ((volatile uint32_t *)REG_CNT0_MDIV)                    /* CNT0 M Value for Divider */
#define pREG_CNT0_NDIV                   ((volatile uint32_t *)REG_CNT0_NDIV)                    /* CNT0 N Value for Divider */

/* =========================================================================
       CNT1
   ========================================================================= */
#define pREG_CNT1_CFG                    ((volatile uint32_t *)REG_CNT1_CFG)                     /* CNT1 Configuration Register */
#define pREG_CNT1_IMSK                   ((volatile uint32_t *)REG_CNT1_IMSK)                    /* CNT1 Interrupt Mask Register */
#define pREG_CNT1_STAT                   ((volatile uint32_t *)REG_CNT1_STAT)                    /* CNT1 Status Register */
#define pREG_CNT1_CMD                    ((volatile uint32_t *)REG_CNT1_CMD)                     /* CNT1 Command Register */
#define pREG_CNT1_DEBNCE                 ((volatile uint32_t *)REG_CNT1_DEBNCE)                  /* CNT1 Debounce Register */
#define pREG_CNT1_CNTR                   ((volatile uint32_t *)REG_CNT1_CNTR)                    /* CNT1 Counter Register */
#define pREG_CNT1_MAX                    ((volatile uint32_t *)REG_CNT1_MAX)                     /* CNT1 Maximum Count Register */
#define pREG_CNT1_MIN                    ((volatile uint32_t *)REG_CNT1_MIN)                     /* CNT1 Minimum Count Register */
#define pREG_CNT1_MDIV                   ((volatile uint32_t *)REG_CNT1_MDIV)                    /* CNT1 M Value for Divider */
#define pREG_CNT1_NDIV                   ((volatile uint32_t *)REG_CNT1_NDIV)                    /* CNT1 N Value for Divider */

/* =========================================================================
       CNT2
   ========================================================================= */
#define pREG_CNT2_CFG                    ((volatile uint32_t *)REG_CNT2_CFG)                     /* CNT2 Configuration Register */
#define pREG_CNT2_IMSK                   ((volatile uint32_t *)REG_CNT2_IMSK)                    /* CNT2 Interrupt Mask Register */
#define pREG_CNT2_STAT                   ((volatile uint32_t *)REG_CNT2_STAT)                    /* CNT2 Status Register */
#define pREG_CNT2_CMD                    ((volatile uint32_t *)REG_CNT2_CMD)                     /* CNT2 Command Register */
#define pREG_CNT2_DEBNCE                 ((volatile uint32_t *)REG_CNT2_DEBNCE)                  /* CNT2 Debounce Register */
#define pREG_CNT2_CNTR                   ((volatile uint32_t *)REG_CNT2_CNTR)                    /* CNT2 Counter Register */
#define pREG_CNT2_MAX                    ((volatile uint32_t *)REG_CNT2_MAX)                     /* CNT2 Maximum Count Register */
#define pREG_CNT2_MIN                    ((volatile uint32_t *)REG_CNT2_MIN)                     /* CNT2 Minimum Count Register */
#define pREG_CNT2_MDIV                   ((volatile uint32_t *)REG_CNT2_MDIV)                    /* CNT2 M Value for Divider */
#define pREG_CNT2_NDIV                   ((volatile uint32_t *)REG_CNT2_NDIV)                    /* CNT2 N Value for Divider */

/* =========================================================================
       CNT3
   ========================================================================= */
#define pREG_CNT3_CFG                    ((volatile uint32_t *)REG_CNT3_CFG)                     /* CNT3 Configuration Register */
#define pREG_CNT3_IMSK                   ((volatile uint32_t *)REG_CNT3_IMSK)                    /* CNT3 Interrupt Mask Register */
#define pREG_CNT3_STAT                   ((volatile uint32_t *)REG_CNT3_STAT)                    /* CNT3 Status Register */
#define pREG_CNT3_CMD                    ((volatile uint32_t *)REG_CNT3_CMD)                     /* CNT3 Command Register */
#define pREG_CNT3_DEBNCE                 ((volatile uint32_t *)REG_CNT3_DEBNCE)                  /* CNT3 Debounce Register */
#define pREG_CNT3_CNTR                   ((volatile uint32_t *)REG_CNT3_CNTR)                    /* CNT3 Counter Register */
#define pREG_CNT3_MAX                    ((volatile uint32_t *)REG_CNT3_MAX)                     /* CNT3 Maximum Count Register */
#define pREG_CNT3_MIN                    ((volatile uint32_t *)REG_CNT3_MIN)                     /* CNT3 Minimum Count Register */
#define pREG_CNT3_MDIV                   ((volatile uint32_t *)REG_CNT3_MDIV)                    /* CNT3 M Value for Divider */
#define pREG_CNT3_NDIV                   ((volatile uint32_t *)REG_CNT3_NDIV)                    /* CNT3 N Value for Divider */


/* =========================================================================
       SINC0
   ========================================================================= */
#define pREG_SINC0_CTL                   ((volatile uint32_t *)REG_SINC0_CTL)                    /* SINC0 Control Register */
#define pREG_SINC0_STAT                  ((volatile uint32_t *)REG_SINC0_STAT)                   /* SINC0 Status Register */
#define pREG_SINC0_CLK                   ((volatile uint32_t *)REG_SINC0_CLK)                    /* SINC0 Clock Control Register */
#define pREG_SINC0_RATE0                 ((volatile uint32_t *)REG_SINC0_RATE0)                  /* SINC0 Rate Control for Group 0 Register */
#define pREG_SINC0_RATE1                 ((volatile uint32_t *)REG_SINC0_RATE1)                  /* SINC0 Rate Control for Group 1 Register */
#define pREG_SINC0_LEVEL0                ((volatile uint32_t *)REG_SINC0_LEVEL0)                 /* SINC0 Level Control for Group 0 Register */
#define pREG_SINC0_LEVEL1                ((volatile uint32_t *)REG_SINC0_LEVEL1)                 /* SINC0 Level Control for Group 1 Register */
#define pREG_SINC0_LIMIT0                ((volatile uint32_t *)REG_SINC0_LIMIT0)                 /* SINC0 (Amplitude) Limits for Secondary Filter 0 Register */
#define pREG_SINC0_LIMIT1                ((volatile uint32_t *)REG_SINC0_LIMIT1)                 /* SINC0 (Amplitude) Limits for Secondary Filter 1 Register */
#define pREG_SINC0_LIMIT2                ((volatile uint32_t *)REG_SINC0_LIMIT2)                 /* SINC0 (Amplitude) Limits for Secondary Filter 2 Register */
#define pREG_SINC0_LIMIT3                ((volatile uint32_t *)REG_SINC0_LIMIT3)                 /* SINC0 (Amplitude) Limits for Secondary Filter 3 Register */
#define pREG_SINC0_BIAS0                 ((volatile uint32_t *)REG_SINC0_BIAS0)                  /* SINC0 Bias for Group 0 Register */
#define pREG_SINC0_BIAS1                 ((volatile uint32_t *)REG_SINC0_BIAS1)                  /* SINC0 Bias for Group 1 Register */
#define pREG_SINC0_PPTR0                 ((volatile uint32_t *)REG_SINC0_PPTR0)                  /* SINC0 Primary (Filters) Pointer for Group 0 Register */
#define pREG_SINC0_PPTR1                 ((volatile uint32_t *)REG_SINC0_PPTR1)                  /* SINC0 Primary (Filters) Pointer for Group 1 Register */
#define pREG_SINC0_PHEAD0                ((volatile uint32_t *)REG_SINC0_PHEAD0)                 /* SINC0 Primary (Filters) Head for Group 0 Register */
#define pREG_SINC0_PHEAD1                ((volatile uint32_t *)REG_SINC0_PHEAD1)                 /* SINC0 Primary (Filters) Head for Group 1 Register */
#define pREG_SINC0_PTAIL0                ((volatile uint32_t *)REG_SINC0_PTAIL0)                 /* SINC0 Primary (Filters) Tail for Group 0 Register */
#define pREG_SINC0_PTAIL1                ((volatile uint32_t *)REG_SINC0_PTAIL1)                 /* SINC0 Primary (Filters) Tail for Group 1 Register */
#define pREG_SINC0_HIS_STAT              ((volatile uint32_t *)REG_SINC0_HIS_STAT)               /* SINC0 History Status Register */
#define pREG_SINC0_P0SEC_HIST0           ((volatile uint32_t *)REG_SINC0_P0SEC_HIST0)            /* SINC0 Pair 0 Secondary (Filter) History n Register */
#define pREG_SINC0_P0SEC_HIST1           ((volatile uint32_t *)REG_SINC0_P0SEC_HIST1)            /* SINC0 Pair 0 Secondary (Filter) History n Register */
#define pREG_SINC0_P0SEC_HIST2           ((volatile uint32_t *)REG_SINC0_P0SEC_HIST2)            /* SINC0 Pair 0 Secondary (Filter) History n Register */
#define pREG_SINC0_P0SEC_HIST3           ((volatile uint32_t *)REG_SINC0_P0SEC_HIST3)            /* SINC0 Pair 0 Secondary (Filter) History n Register */
#define pREG_SINC0_P1SEC_HIST0           ((volatile uint32_t *)REG_SINC0_P1SEC_HIST0)            /* SINC0 Pair 1 Secondary (Filter) History n Register */
#define pREG_SINC0_P1SEC_HIST1           ((volatile uint32_t *)REG_SINC0_P1SEC_HIST1)            /* SINC0 Pair 1 Secondary (Filter) History n Register */
#define pREG_SINC0_P1SEC_HIST2           ((volatile uint32_t *)REG_SINC0_P1SEC_HIST2)            /* SINC0 Pair 1 Secondary (Filter) History n Register */
#define pREG_SINC0_P1SEC_HIST3           ((volatile uint32_t *)REG_SINC0_P1SEC_HIST3)            /* SINC0 Pair 1 Secondary (Filter) History n Register */
#define pREG_SINC0_P2SEC_HIST0           ((volatile uint32_t *)REG_SINC0_P2SEC_HIST0)            /* SINC0 Pair 2 Secondary (Filter) History n Register */
#define pREG_SINC0_P2SEC_HIST1           ((volatile uint32_t *)REG_SINC0_P2SEC_HIST1)            /* SINC0 Pair 2 Secondary (Filter) History n Register */
#define pREG_SINC0_P2SEC_HIST2           ((volatile uint32_t *)REG_SINC0_P2SEC_HIST2)            /* SINC0 Pair 2 Secondary (Filter) History n Register */
#define pREG_SINC0_P2SEC_HIST3           ((volatile uint32_t *)REG_SINC0_P2SEC_HIST3)            /* SINC0 Pair 2 Secondary (Filter) History n Register */
#define pREG_SINC0_P3SEC_HIST0           ((volatile uint32_t *)REG_SINC0_P3SEC_HIST0)            /* SINC0 Pair 3 Secondary (Filter) History n Register */
#define pREG_SINC0_P3SEC_HIST1           ((volatile uint32_t *)REG_SINC0_P3SEC_HIST1)            /* SINC0 Pair 3 Secondary (Filter) History n Register */
#define pREG_SINC0_P3SEC_HIST2           ((volatile uint32_t *)REG_SINC0_P3SEC_HIST2)            /* SINC0 Pair 3 Secondary (Filter) History n Register */
#define pREG_SINC0_P3SEC_HIST3           ((volatile uint32_t *)REG_SINC0_P3SEC_HIST3)            /* SINC0 Pair 3 Secondary (Filter) History n Register */


/* =========================================================================
       ADCC0
   ========================================================================= */
#define pREG_ADCC0_CTL                   ((volatile uint32_t *)REG_ADCC0_CTL)                    /* ADCC0 Control Register */
#define pREG_ADCC0_ERRSTAT               ((volatile uint32_t *)REG_ADCC0_ERRSTAT)                /* ADCC0 Error Status Register */
#define pREG_ADCC0_ERRMSK                ((volatile uint32_t *)REG_ADCC0_ERRMSK)                 /* ADCC0 Error Mask Register */
#define pREG_ADCC0_ERRMSK_SET            ((volatile uint32_t *)REG_ADCC0_ERRMSK_SET)             /* ADCC0 Error Mask Set Register */
#define pREG_ADCC0_ERRMSK_CLR            ((volatile uint32_t *)REG_ADCC0_ERRMSK_CLR)             /* ADCC0 Error Mask Clear Register */
#define pREG_ADCC0_EISTAT                ((volatile uint32_t *)REG_ADCC0_EISTAT)                 /* ADCC0 Event Interrupt Status Register */
#define pREG_ADCC0_EIMSK                 ((volatile uint32_t *)REG_ADCC0_EIMSK)                  /* ADCC0 Event Interrupt Mask Register */
#define pREG_ADCC0_EIMSK_SET             ((volatile uint32_t *)REG_ADCC0_EIMSK_SET)              /* ADCC0 Event Interrupt Mask Set Register */
#define pREG_ADCC0_EIMSK_CLR             ((volatile uint32_t *)REG_ADCC0_EIMSK_CLR)              /* ADCC0 Event Interrupt Mask Clear Register */
#define pREG_ADCC0_FISTAT                ((volatile uint32_t *)REG_ADCC0_FISTAT)                 /* ADCC0 Frame Interrupt Status Register */
#define pREG_ADCC0_FIMSK                 ((volatile uint32_t *)REG_ADCC0_FIMSK)                  /* ADCC0 Frame Interrupt Mask Register */
#define pREG_ADCC0_FIMSK_SET             ((volatile uint32_t *)REG_ADCC0_FIMSK_SET)              /* ADCC0 Frame Interrupt Mask Set Register */
#define pREG_ADCC0_FIMSK_CLR             ((volatile uint32_t *)REG_ADCC0_FIMSK_CLR)              /* ADCC0 Frame Interrupt Mask Clear Register */
#define pREG_ADCC0_EVTEN                 ((volatile uint32_t *)REG_ADCC0_EVTEN)                  /* ADCC0 Event Enable Register */
#define pREG_ADCC0_EVTEN_SET             ((volatile uint32_t *)REG_ADCC0_EVTEN_SET)              /* ADCC0 Event Enable Set Register */
#define pREG_ADCC0_EVTEN_CLR             ((volatile uint32_t *)REG_ADCC0_EVTEN_CLR)              /* ADCC0 Event Enable Clear Register */
#define pREG_ADCC0_ECOL                  ((volatile uint32_t *)REG_ADCC0_ECOL)                   /* ADCC0 Event Collision Status Register */
#define pREG_ADCC0_EMISS                 ((volatile uint32_t *)REG_ADCC0_EMISS)                  /* ADCC0 Event Miss Status Register */
#define pREG_ADCC0_BPTR0                 ((volatile uint32_t *)REG_ADCC0_BPTR0)                  /* ADCC0 Base Pointer 0 Register */
#define pREG_ADCC0_FRINC0                ((volatile uint32_t *)REG_ADCC0_FRINC0)                 /* ADCC0 Frame Increment 0 Register */
#define pREG_ADCC0_CBSIZ0                ((volatile uint32_t *)REG_ADCC0_CBSIZ0)                 /* ADCC0 Circular Buffer Size 0 Register */
#define pREG_ADCC0_TCA0                  ((volatile uint32_t *)REG_ADCC0_TCA0)                   /* ADCC0 Timing Control A (ADC0) Register */
#define pREG_ADCC0_TCB0                  ((volatile uint32_t *)REG_ADCC0_TCB0)                   /* ADCC0 Timing Control B (ADC0) Register */
#define pREG_ADCC0_BWMON0                ((volatile uint32_t *)REG_ADCC0_BWMON0)                 /* ADCC0 Bandwidth Monitor 0 Register */
#define pREG_ADCC0_CFG                   ((volatile uint32_t *)REG_ADCC0_CFG)                    /* ADCC0 ADC Configuration Register */
#define pREG_ADCC0_BPTR1                 ((volatile uint32_t *)REG_ADCC0_BPTR1)                  /* ADCC0 DMA Base Pointer 1 Register */
#define pREG_ADCC0_FRINC1                ((volatile uint32_t *)REG_ADCC0_FRINC1)                 /* ADCC0 Frame Increment 1 Register */
#define pREG_ADCC0_CBSIZ1                ((volatile uint32_t *)REG_ADCC0_CBSIZ1)                 /* ADCC0 Circular Buffer Size 1 Register */
#define pREG_ADCC0_TCA1                  ((volatile uint32_t *)REG_ADCC0_TCA1)                   /* ADCC0 Timing Control A (ADC1) Register */
#define pREG_ADCC0_TCB1                  ((volatile uint32_t *)REG_ADCC0_TCB1)                   /* ADCC0 Timing Control B (ADC1) Register */
#define pREG_ADCC0_BWMON1                ((volatile uint32_t *)REG_ADCC0_BWMON1)                 /* ADCC0 Bandwidth Monitor 1 Register */
#define pREG_ADCC0_EVT00                 ((volatile uint32_t *)REG_ADCC0_EVT00)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT01                 ((volatile uint32_t *)REG_ADCC0_EVT01)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT02                 ((volatile uint32_t *)REG_ADCC0_EVT02)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT03                 ((volatile uint32_t *)REG_ADCC0_EVT03)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT04                 ((volatile uint32_t *)REG_ADCC0_EVT04)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT05                 ((volatile uint32_t *)REG_ADCC0_EVT05)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT06                 ((volatile uint32_t *)REG_ADCC0_EVT06)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT07                 ((volatile uint32_t *)REG_ADCC0_EVT07)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT08                 ((volatile uint32_t *)REG_ADCC0_EVT08)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT09                 ((volatile uint32_t *)REG_ADCC0_EVT09)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT10                 ((volatile uint32_t *)REG_ADCC0_EVT10)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT11                 ((volatile uint32_t *)REG_ADCC0_EVT11)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT12                 ((volatile uint32_t *)REG_ADCC0_EVT12)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT13                 ((volatile uint32_t *)REG_ADCC0_EVT13)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT14                 ((volatile uint32_t *)REG_ADCC0_EVT14)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT15                 ((volatile uint32_t *)REG_ADCC0_EVT15)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT16                 ((volatile uint32_t *)REG_ADCC0_EVT16)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT17                 ((volatile uint32_t *)REG_ADCC0_EVT17)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT18                 ((volatile uint32_t *)REG_ADCC0_EVT18)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT19                 ((volatile uint32_t *)REG_ADCC0_EVT19)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT20                 ((volatile uint32_t *)REG_ADCC0_EVT20)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT21                 ((volatile uint32_t *)REG_ADCC0_EVT21)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT22                 ((volatile uint32_t *)REG_ADCC0_EVT22)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVT23                 ((volatile uint32_t *)REG_ADCC0_EVT23)                  /* ADCC0 Event n Time Register */
#define pREG_ADCC0_EVCTL00               ((volatile uint32_t *)REG_ADCC0_EVCTL00)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL01               ((volatile uint32_t *)REG_ADCC0_EVCTL01)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL02               ((volatile uint32_t *)REG_ADCC0_EVCTL02)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL03               ((volatile uint32_t *)REG_ADCC0_EVCTL03)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL04               ((volatile uint32_t *)REG_ADCC0_EVCTL04)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL05               ((volatile uint32_t *)REG_ADCC0_EVCTL05)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL06               ((volatile uint32_t *)REG_ADCC0_EVCTL06)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL07               ((volatile uint32_t *)REG_ADCC0_EVCTL07)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL08               ((volatile uint32_t *)REG_ADCC0_EVCTL08)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL09               ((volatile uint32_t *)REG_ADCC0_EVCTL09)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL10               ((volatile uint32_t *)REG_ADCC0_EVCTL10)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL11               ((volatile uint32_t *)REG_ADCC0_EVCTL11)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL12               ((volatile uint32_t *)REG_ADCC0_EVCTL12)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL13               ((volatile uint32_t *)REG_ADCC0_EVCTL13)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL14               ((volatile uint32_t *)REG_ADCC0_EVCTL14)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL15               ((volatile uint32_t *)REG_ADCC0_EVCTL15)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL16               ((volatile uint32_t *)REG_ADCC0_EVCTL16)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL17               ((volatile uint32_t *)REG_ADCC0_EVCTL17)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL18               ((volatile uint32_t *)REG_ADCC0_EVCTL18)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL19               ((volatile uint32_t *)REG_ADCC0_EVCTL19)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL20               ((volatile uint32_t *)REG_ADCC0_EVCTL20)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL21               ((volatile uint32_t *)REG_ADCC0_EVCTL21)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL22               ((volatile uint32_t *)REG_ADCC0_EVCTL22)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EVCTL23               ((volatile uint32_t *)REG_ADCC0_EVCTL23)                /* ADCC0 Event n Control Register */
#define pREG_ADCC0_EPND                  ((volatile uint32_t *)REG_ADCC0_EPND)                   /* ADCC0 Pending Events Status Register */
#define pREG_ADCC0_T0STAT                ((volatile uint32_t *)REG_ADCC0_T0STAT)                 /* ADCC0 Timer 0 Status Register */
#define pREG_ADCC0_TMR0                  ((volatile uint32_t *)REG_ADCC0_TMR0)                   /* ADCC0 Timer 0 Current Count Register */
#define pREG_ADCC0_T1STAT                ((volatile uint32_t *)REG_ADCC0_T1STAT)                 /* ADCC0 Timer 1 Status Register */
#define pREG_ADCC0_TMR1                  ((volatile uint32_t *)REG_ADCC0_TMR1)                   /* ADCC0 Timer 1 Current Count Register */
#define pREG_ADCC0_EVDAT00               ((volatile uint32_t *)REG_ADCC0_EVDAT00)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT01               ((volatile uint32_t *)REG_ADCC0_EVDAT01)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT02               ((volatile uint32_t *)REG_ADCC0_EVDAT02)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT03               ((volatile uint32_t *)REG_ADCC0_EVDAT03)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT04               ((volatile uint32_t *)REG_ADCC0_EVDAT04)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT05               ((volatile uint32_t *)REG_ADCC0_EVDAT05)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT06               ((volatile uint32_t *)REG_ADCC0_EVDAT06)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT07               ((volatile uint32_t *)REG_ADCC0_EVDAT07)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT08               ((volatile uint32_t *)REG_ADCC0_EVDAT08)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT09               ((volatile uint32_t *)REG_ADCC0_EVDAT09)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT10               ((volatile uint32_t *)REG_ADCC0_EVDAT10)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT11               ((volatile uint32_t *)REG_ADCC0_EVDAT11)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT12               ((volatile uint32_t *)REG_ADCC0_EVDAT12)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT13               ((volatile uint32_t *)REG_ADCC0_EVDAT13)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT14               ((volatile uint32_t *)REG_ADCC0_EVDAT14)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT15               ((volatile uint32_t *)REG_ADCC0_EVDAT15)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT16               ((volatile uint32_t *)REG_ADCC0_EVDAT16)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT17               ((volatile uint32_t *)REG_ADCC0_EVDAT17)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT18               ((volatile uint32_t *)REG_ADCC0_EVDAT18)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT19               ((volatile uint32_t *)REG_ADCC0_EVDAT19)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT20               ((volatile uint32_t *)REG_ADCC0_EVDAT20)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT21               ((volatile uint32_t *)REG_ADCC0_EVDAT21)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT22               ((volatile uint32_t *)REG_ADCC0_EVDAT22)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVDAT23               ((volatile uint32_t *)REG_ADCC0_EVDAT23)                /* ADCC0 Event n Data Register */
#define pREG_ADCC0_EVSTAT00              ((volatile uint32_t *)REG_ADCC0_EVSTAT00)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT01              ((volatile uint32_t *)REG_ADCC0_EVSTAT01)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT02              ((volatile uint32_t *)REG_ADCC0_EVSTAT02)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT03              ((volatile uint32_t *)REG_ADCC0_EVSTAT03)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT04              ((volatile uint32_t *)REG_ADCC0_EVSTAT04)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT05              ((volatile uint32_t *)REG_ADCC0_EVSTAT05)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT06              ((volatile uint32_t *)REG_ADCC0_EVSTAT06)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT07              ((volatile uint32_t *)REG_ADCC0_EVSTAT07)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT08              ((volatile uint32_t *)REG_ADCC0_EVSTAT08)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT09              ((volatile uint32_t *)REG_ADCC0_EVSTAT09)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT10              ((volatile uint32_t *)REG_ADCC0_EVSTAT10)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT11              ((volatile uint32_t *)REG_ADCC0_EVSTAT11)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT12              ((volatile uint32_t *)REG_ADCC0_EVSTAT12)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT13              ((volatile uint32_t *)REG_ADCC0_EVSTAT13)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT14              ((volatile uint32_t *)REG_ADCC0_EVSTAT14)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT15              ((volatile uint32_t *)REG_ADCC0_EVSTAT15)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT16              ((volatile uint32_t *)REG_ADCC0_EVSTAT16)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT17              ((volatile uint32_t *)REG_ADCC0_EVSTAT17)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT18              ((volatile uint32_t *)REG_ADCC0_EVSTAT18)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT19              ((volatile uint32_t *)REG_ADCC0_EVSTAT19)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT20              ((volatile uint32_t *)REG_ADCC0_EVSTAT20)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT21              ((volatile uint32_t *)REG_ADCC0_EVSTAT21)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT22              ((volatile uint32_t *)REG_ADCC0_EVSTAT22)               /* ADCC0 Event n Status Register */
#define pREG_ADCC0_EVSTAT23              ((volatile uint32_t *)REG_ADCC0_EVSTAT23)               /* ADCC0 Event n Status Register */


/* =========================================================================
       DACC0
   ========================================================================= */
#define pREG_DACC0_CTL0                  ((volatile uint32_t *)REG_DACC0_CTL0)                   /* DACC0 Control 0 Register */
#define pREG_DACC0_CTL1                  ((volatile uint32_t *)REG_DACC0_CTL1)                   /* DACC0 Control 1 Register */
#define pREG_DACC0_ERRSTAT               ((volatile uint32_t *)REG_DACC0_ERRSTAT)                /* DACC0 Error Status Register */
#define pREG_DACC0_ERRMSK                ((volatile uint32_t *)REG_DACC0_ERRMSK)                 /* DACC0 Error Mask Register */
#define pREG_DACC0_ERRMSK_SET            ((volatile uint32_t *)REG_DACC0_ERRMSK_SET)             /* DACC0 Error Mask Set Register */
#define pREG_DACC0_ERRMSK_CLR            ((volatile uint32_t *)REG_DACC0_ERRMSK_CLR)             /* DACC0 Error Mask Clear Register */
#define pREG_DACC0_ISTAT                 ((volatile uint32_t *)REG_DACC0_ISTAT)                  /* DACC0 Interrupt Status Register */
#define pREG_DACC0_IMSK                  ((volatile uint32_t *)REG_DACC0_IMSK)                   /* DACC0 Interrupt Mask Register */
#define pREG_DACC0_IMSK_SET              ((volatile uint32_t *)REG_DACC0_IMSK_SET)               /* DACC0 Interrupt Mask Set Register */
#define pREG_DACC0_IMSK_CLR              ((volatile uint32_t *)REG_DACC0_IMSK_CLR)               /* DACC0 Interrupt Mask Clear Register */
#define pREG_DACC0_TC0                   ((volatile uint32_t *)REG_DACC0_TC0)                    /* DACC0 Timing Control 0 Register */
#define pREG_DACC0_BPTR0                 ((volatile uint32_t *)REG_DACC0_BPTR0)                  /* DACC0 Base Pointer 0 Register */
#define pREG_DACC0_MOD0                  ((volatile uint32_t *)REG_DACC0_MOD0)                   /* DACC0 Modify 0 Register */
#define pREG_DACC0_CNT0                  ((volatile uint32_t *)REG_DACC0_CNT0)                   /* DACC0 Count 0 Register */
#define pREG_DACC0_DAT0                  ((volatile uint32_t *)REG_DACC0_DAT0)                   /* DACC0 Data FIFO 0 Register */
#define pREG_DACC0_TC1                   ((volatile uint32_t *)REG_DACC0_TC1)                    /* DACC0 Timing Control 1 Register */
#define pREG_DACC0_BPTR1                 ((volatile uint32_t *)REG_DACC0_BPTR1)                  /* DACC0 Base Pointer 1 Register */
#define pREG_DACC0_MOD1                  ((volatile uint32_t *)REG_DACC0_MOD1)                   /* DACC0 Modify 1 Register */
#define pREG_DACC0_CNT1                  ((volatile uint32_t *)REG_DACC0_CNT1)                   /* DACC0 Count 1 Register */
#define pREG_DACC0_DAT1                  ((volatile uint32_t *)REG_DACC0_DAT1)                   /* DACC0 Data FIFO 1 Register */
#define pREG_DACC0_BCST_CTL              ((volatile uint32_t *)REG_DACC0_BCST_CTL)               /* DACC0 Broadcast (Write) Control Register */
#define pREG_DACC0_CNTCUR0               ((volatile uint32_t *)REG_DACC0_CNTCUR0)                /* DACC0 Current Count 0 Register */
#define pREG_DACC0_CNTCUR1               ((volatile uint32_t *)REG_DACC0_CNTCUR1)                /* DACC0 Current Count 1 Register */
#define pREG_DACC0_STAT                  ((volatile uint32_t *)REG_DACC0_STAT)                   /* DACC0 Status Register */


/* =========================================================================
       DMA0
   ========================================================================= */
#define pREG_DMA0_DSCPTR_NXT             ((void * volatile *)REG_DMA0_DSCPTR_NXT)                /* DMA0 Pointer to Next Initial Descriptor */
#define pREG_DMA0_ADDRSTART              ((void * volatile *)REG_DMA0_ADDRSTART)                 /* DMA0 Start Address of Current Buffer */
#define pREG_DMA0_CFG                    ((volatile uint32_t *)REG_DMA0_CFG)                     /* DMA0 Configuration Register */
#define pREG_DMA0_XCNT                   ((volatile uint32_t *)REG_DMA0_XCNT)                    /* DMA0 Inner Loop Count Start Value */
#define pREG_DMA0_XMOD                   ((volatile  int32_t *)REG_DMA0_XMOD)                    /* DMA0 Inner Loop Address Increment */
#define pREG_DMA0_YCNT                   ((volatile uint32_t *)REG_DMA0_YCNT)                    /* DMA0 Outer Loop Count Start Value (2D only) */
#define pREG_DMA0_YMOD                   ((volatile  int32_t *)REG_DMA0_YMOD)                    /* DMA0 Outer Loop Address Increment (2D only) */
#define pREG_DMA0_DSCPTR_CUR             ((void * volatile *)REG_DMA0_DSCPTR_CUR)                /* DMA0 Current Descriptor Pointer */
#define pREG_DMA0_DSCPTR_PRV             ((void * volatile *)REG_DMA0_DSCPTR_PRV)                /* DMA0 Previous Initial Descriptor Pointer */
#define pREG_DMA0_ADDR_CUR               ((void * volatile *)REG_DMA0_ADDR_CUR)                  /* DMA0 Current Address */
#define pREG_DMA0_STAT                   ((volatile uint32_t *)REG_DMA0_STAT)                    /* DMA0 Status Register */
#define pREG_DMA0_XCNT_CUR               ((volatile uint32_t *)REG_DMA0_XCNT_CUR)                /* DMA0 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA0_YCNT_CUR               ((volatile uint32_t *)REG_DMA0_YCNT_CUR)                /* DMA0 Current Row Count (2D only) */
#define pREG_DMA0_BWLCNT                 ((volatile uint32_t *)REG_DMA0_BWLCNT)                  /* DMA0 Bandwidth Limit Count */
#define pREG_DMA0_BWLCNT_CUR             ((volatile uint32_t *)REG_DMA0_BWLCNT_CUR)              /* DMA0 Bandwidth Limit Count Current */
#define pREG_DMA0_BWMCNT                 ((volatile uint32_t *)REG_DMA0_BWMCNT)                  /* DMA0 Bandwidth Monitor Count */
#define pREG_DMA0_BWMCNT_CUR             ((volatile uint32_t *)REG_DMA0_BWMCNT_CUR)              /* DMA0 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA1
   ========================================================================= */
#define pREG_DMA1_DSCPTR_NXT             ((void * volatile *)REG_DMA1_DSCPTR_NXT)                /* DMA1 Pointer to Next Initial Descriptor */
#define pREG_DMA1_ADDRSTART              ((void * volatile *)REG_DMA1_ADDRSTART)                 /* DMA1 Start Address of Current Buffer */
#define pREG_DMA1_CFG                    ((volatile uint32_t *)REG_DMA1_CFG)                     /* DMA1 Configuration Register */
#define pREG_DMA1_XCNT                   ((volatile uint32_t *)REG_DMA1_XCNT)                    /* DMA1 Inner Loop Count Start Value */
#define pREG_DMA1_XMOD                   ((volatile  int32_t *)REG_DMA1_XMOD)                    /* DMA1 Inner Loop Address Increment */
#define pREG_DMA1_YCNT                   ((volatile uint32_t *)REG_DMA1_YCNT)                    /* DMA1 Outer Loop Count Start Value (2D only) */
#define pREG_DMA1_YMOD                   ((volatile  int32_t *)REG_DMA1_YMOD)                    /* DMA1 Outer Loop Address Increment (2D only) */
#define pREG_DMA1_DSCPTR_CUR             ((void * volatile *)REG_DMA1_DSCPTR_CUR)                /* DMA1 Current Descriptor Pointer */
#define pREG_DMA1_DSCPTR_PRV             ((void * volatile *)REG_DMA1_DSCPTR_PRV)                /* DMA1 Previous Initial Descriptor Pointer */
#define pREG_DMA1_ADDR_CUR               ((void * volatile *)REG_DMA1_ADDR_CUR)                  /* DMA1 Current Address */
#define pREG_DMA1_STAT                   ((volatile uint32_t *)REG_DMA1_STAT)                    /* DMA1 Status Register */
#define pREG_DMA1_XCNT_CUR               ((volatile uint32_t *)REG_DMA1_XCNT_CUR)                /* DMA1 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA1_YCNT_CUR               ((volatile uint32_t *)REG_DMA1_YCNT_CUR)                /* DMA1 Current Row Count (2D only) */
#define pREG_DMA1_BWLCNT                 ((volatile uint32_t *)REG_DMA1_BWLCNT)                  /* DMA1 Bandwidth Limit Count */
#define pREG_DMA1_BWLCNT_CUR             ((volatile uint32_t *)REG_DMA1_BWLCNT_CUR)              /* DMA1 Bandwidth Limit Count Current */
#define pREG_DMA1_BWMCNT                 ((volatile uint32_t *)REG_DMA1_BWMCNT)                  /* DMA1 Bandwidth Monitor Count */
#define pREG_DMA1_BWMCNT_CUR             ((volatile uint32_t *)REG_DMA1_BWMCNT_CUR)              /* DMA1 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA2
   ========================================================================= */
#define pREG_DMA2_DSCPTR_NXT             ((void * volatile *)REG_DMA2_DSCPTR_NXT)                /* DMA2 Pointer to Next Initial Descriptor */
#define pREG_DMA2_ADDRSTART              ((void * volatile *)REG_DMA2_ADDRSTART)                 /* DMA2 Start Address of Current Buffer */
#define pREG_DMA2_CFG                    ((volatile uint32_t *)REG_DMA2_CFG)                     /* DMA2 Configuration Register */
#define pREG_DMA2_XCNT                   ((volatile uint32_t *)REG_DMA2_XCNT)                    /* DMA2 Inner Loop Count Start Value */
#define pREG_DMA2_XMOD                   ((volatile  int32_t *)REG_DMA2_XMOD)                    /* DMA2 Inner Loop Address Increment */
#define pREG_DMA2_YCNT                   ((volatile uint32_t *)REG_DMA2_YCNT)                    /* DMA2 Outer Loop Count Start Value (2D only) */
#define pREG_DMA2_YMOD                   ((volatile  int32_t *)REG_DMA2_YMOD)                    /* DMA2 Outer Loop Address Increment (2D only) */
#define pREG_DMA2_DSCPTR_CUR             ((void * volatile *)REG_DMA2_DSCPTR_CUR)                /* DMA2 Current Descriptor Pointer */
#define pREG_DMA2_DSCPTR_PRV             ((void * volatile *)REG_DMA2_DSCPTR_PRV)                /* DMA2 Previous Initial Descriptor Pointer */
#define pREG_DMA2_ADDR_CUR               ((void * volatile *)REG_DMA2_ADDR_CUR)                  /* DMA2 Current Address */
#define pREG_DMA2_STAT                   ((volatile uint32_t *)REG_DMA2_STAT)                    /* DMA2 Status Register */
#define pREG_DMA2_XCNT_CUR               ((volatile uint32_t *)REG_DMA2_XCNT_CUR)                /* DMA2 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA2_YCNT_CUR               ((volatile uint32_t *)REG_DMA2_YCNT_CUR)                /* DMA2 Current Row Count (2D only) */
#define pREG_DMA2_BWLCNT                 ((volatile uint32_t *)REG_DMA2_BWLCNT)                  /* DMA2 Bandwidth Limit Count */
#define pREG_DMA2_BWLCNT_CUR             ((volatile uint32_t *)REG_DMA2_BWLCNT_CUR)              /* DMA2 Bandwidth Limit Count Current */
#define pREG_DMA2_BWMCNT                 ((volatile uint32_t *)REG_DMA2_BWMCNT)                  /* DMA2 Bandwidth Monitor Count */
#define pREG_DMA2_BWMCNT_CUR             ((volatile uint32_t *)REG_DMA2_BWMCNT_CUR)              /* DMA2 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA3
   ========================================================================= */
#define pREG_DMA3_DSCPTR_NXT             ((void * volatile *)REG_DMA3_DSCPTR_NXT)                /* DMA3 Pointer to Next Initial Descriptor */
#define pREG_DMA3_ADDRSTART              ((void * volatile *)REG_DMA3_ADDRSTART)                 /* DMA3 Start Address of Current Buffer */
#define pREG_DMA3_CFG                    ((volatile uint32_t *)REG_DMA3_CFG)                     /* DMA3 Configuration Register */
#define pREG_DMA3_XCNT                   ((volatile uint32_t *)REG_DMA3_XCNT)                    /* DMA3 Inner Loop Count Start Value */
#define pREG_DMA3_XMOD                   ((volatile  int32_t *)REG_DMA3_XMOD)                    /* DMA3 Inner Loop Address Increment */
#define pREG_DMA3_YCNT                   ((volatile uint32_t *)REG_DMA3_YCNT)                    /* DMA3 Outer Loop Count Start Value (2D only) */
#define pREG_DMA3_YMOD                   ((volatile  int32_t *)REG_DMA3_YMOD)                    /* DMA3 Outer Loop Address Increment (2D only) */
#define pREG_DMA3_DSCPTR_CUR             ((void * volatile *)REG_DMA3_DSCPTR_CUR)                /* DMA3 Current Descriptor Pointer */
#define pREG_DMA3_DSCPTR_PRV             ((void * volatile *)REG_DMA3_DSCPTR_PRV)                /* DMA3 Previous Initial Descriptor Pointer */
#define pREG_DMA3_ADDR_CUR               ((void * volatile *)REG_DMA3_ADDR_CUR)                  /* DMA3 Current Address */
#define pREG_DMA3_STAT                   ((volatile uint32_t *)REG_DMA3_STAT)                    /* DMA3 Status Register */
#define pREG_DMA3_XCNT_CUR               ((volatile uint32_t *)REG_DMA3_XCNT_CUR)                /* DMA3 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA3_YCNT_CUR               ((volatile uint32_t *)REG_DMA3_YCNT_CUR)                /* DMA3 Current Row Count (2D only) */
#define pREG_DMA3_BWLCNT                 ((volatile uint32_t *)REG_DMA3_BWLCNT)                  /* DMA3 Bandwidth Limit Count */
#define pREG_DMA3_BWLCNT_CUR             ((volatile uint32_t *)REG_DMA3_BWLCNT_CUR)              /* DMA3 Bandwidth Limit Count Current */
#define pREG_DMA3_BWMCNT                 ((volatile uint32_t *)REG_DMA3_BWMCNT)                  /* DMA3 Bandwidth Monitor Count */
#define pREG_DMA3_BWMCNT_CUR             ((volatile uint32_t *)REG_DMA3_BWMCNT_CUR)              /* DMA3 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA4
   ========================================================================= */
#define pREG_DMA4_DSCPTR_NXT             ((void * volatile *)REG_DMA4_DSCPTR_NXT)                /* DMA4 Pointer to Next Initial Descriptor */
#define pREG_DMA4_ADDRSTART              ((void * volatile *)REG_DMA4_ADDRSTART)                 /* DMA4 Start Address of Current Buffer */
#define pREG_DMA4_CFG                    ((volatile uint32_t *)REG_DMA4_CFG)                     /* DMA4 Configuration Register */
#define pREG_DMA4_XCNT                   ((volatile uint32_t *)REG_DMA4_XCNT)                    /* DMA4 Inner Loop Count Start Value */
#define pREG_DMA4_XMOD                   ((volatile  int32_t *)REG_DMA4_XMOD)                    /* DMA4 Inner Loop Address Increment */
#define pREG_DMA4_YCNT                   ((volatile uint32_t *)REG_DMA4_YCNT)                    /* DMA4 Outer Loop Count Start Value (2D only) */
#define pREG_DMA4_YMOD                   ((volatile  int32_t *)REG_DMA4_YMOD)                    /* DMA4 Outer Loop Address Increment (2D only) */
#define pREG_DMA4_DSCPTR_CUR             ((void * volatile *)REG_DMA4_DSCPTR_CUR)                /* DMA4 Current Descriptor Pointer */
#define pREG_DMA4_DSCPTR_PRV             ((void * volatile *)REG_DMA4_DSCPTR_PRV)                /* DMA4 Previous Initial Descriptor Pointer */
#define pREG_DMA4_ADDR_CUR               ((void * volatile *)REG_DMA4_ADDR_CUR)                  /* DMA4 Current Address */
#define pREG_DMA4_STAT                   ((volatile uint32_t *)REG_DMA4_STAT)                    /* DMA4 Status Register */
#define pREG_DMA4_XCNT_CUR               ((volatile uint32_t *)REG_DMA4_XCNT_CUR)                /* DMA4 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA4_YCNT_CUR               ((volatile uint32_t *)REG_DMA4_YCNT_CUR)                /* DMA4 Current Row Count (2D only) */
#define pREG_DMA4_BWLCNT                 ((volatile uint32_t *)REG_DMA4_BWLCNT)                  /* DMA4 Bandwidth Limit Count */
#define pREG_DMA4_BWLCNT_CUR             ((volatile uint32_t *)REG_DMA4_BWLCNT_CUR)              /* DMA4 Bandwidth Limit Count Current */
#define pREG_DMA4_BWMCNT                 ((volatile uint32_t *)REG_DMA4_BWMCNT)                  /* DMA4 Bandwidth Monitor Count */
#define pREG_DMA4_BWMCNT_CUR             ((volatile uint32_t *)REG_DMA4_BWMCNT_CUR)              /* DMA4 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA5
   ========================================================================= */
#define pREG_DMA5_DSCPTR_NXT             ((void * volatile *)REG_DMA5_DSCPTR_NXT)                /* DMA5 Pointer to Next Initial Descriptor */
#define pREG_DMA5_ADDRSTART              ((void * volatile *)REG_DMA5_ADDRSTART)                 /* DMA5 Start Address of Current Buffer */
#define pREG_DMA5_CFG                    ((volatile uint32_t *)REG_DMA5_CFG)                     /* DMA5 Configuration Register */
#define pREG_DMA5_XCNT                   ((volatile uint32_t *)REG_DMA5_XCNT)                    /* DMA5 Inner Loop Count Start Value */
#define pREG_DMA5_XMOD                   ((volatile  int32_t *)REG_DMA5_XMOD)                    /* DMA5 Inner Loop Address Increment */
#define pREG_DMA5_YCNT                   ((volatile uint32_t *)REG_DMA5_YCNT)                    /* DMA5 Outer Loop Count Start Value (2D only) */
#define pREG_DMA5_YMOD                   ((volatile  int32_t *)REG_DMA5_YMOD)                    /* DMA5 Outer Loop Address Increment (2D only) */
#define pREG_DMA5_DSCPTR_CUR             ((void * volatile *)REG_DMA5_DSCPTR_CUR)                /* DMA5 Current Descriptor Pointer */
#define pREG_DMA5_DSCPTR_PRV             ((void * volatile *)REG_DMA5_DSCPTR_PRV)                /* DMA5 Previous Initial Descriptor Pointer */
#define pREG_DMA5_ADDR_CUR               ((void * volatile *)REG_DMA5_ADDR_CUR)                  /* DMA5 Current Address */
#define pREG_DMA5_STAT                   ((volatile uint32_t *)REG_DMA5_STAT)                    /* DMA5 Status Register */
#define pREG_DMA5_XCNT_CUR               ((volatile uint32_t *)REG_DMA5_XCNT_CUR)                /* DMA5 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA5_YCNT_CUR               ((volatile uint32_t *)REG_DMA5_YCNT_CUR)                /* DMA5 Current Row Count (2D only) */
#define pREG_DMA5_BWLCNT                 ((volatile uint32_t *)REG_DMA5_BWLCNT)                  /* DMA5 Bandwidth Limit Count */
#define pREG_DMA5_BWLCNT_CUR             ((volatile uint32_t *)REG_DMA5_BWLCNT_CUR)              /* DMA5 Bandwidth Limit Count Current */
#define pREG_DMA5_BWMCNT                 ((volatile uint32_t *)REG_DMA5_BWMCNT)                  /* DMA5 Bandwidth Monitor Count */
#define pREG_DMA5_BWMCNT_CUR             ((volatile uint32_t *)REG_DMA5_BWMCNT_CUR)              /* DMA5 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA6
   ========================================================================= */
#define pREG_DMA6_DSCPTR_NXT             ((void * volatile *)REG_DMA6_DSCPTR_NXT)                /* DMA6 Pointer to Next Initial Descriptor */
#define pREG_DMA6_ADDRSTART              ((void * volatile *)REG_DMA6_ADDRSTART)                 /* DMA6 Start Address of Current Buffer */
#define pREG_DMA6_CFG                    ((volatile uint32_t *)REG_DMA6_CFG)                     /* DMA6 Configuration Register */
#define pREG_DMA6_XCNT                   ((volatile uint32_t *)REG_DMA6_XCNT)                    /* DMA6 Inner Loop Count Start Value */
#define pREG_DMA6_XMOD                   ((volatile  int32_t *)REG_DMA6_XMOD)                    /* DMA6 Inner Loop Address Increment */
#define pREG_DMA6_YCNT                   ((volatile uint32_t *)REG_DMA6_YCNT)                    /* DMA6 Outer Loop Count Start Value (2D only) */
#define pREG_DMA6_YMOD                   ((volatile  int32_t *)REG_DMA6_YMOD)                    /* DMA6 Outer Loop Address Increment (2D only) */
#define pREG_DMA6_DSCPTR_CUR             ((void * volatile *)REG_DMA6_DSCPTR_CUR)                /* DMA6 Current Descriptor Pointer */
#define pREG_DMA6_DSCPTR_PRV             ((void * volatile *)REG_DMA6_DSCPTR_PRV)                /* DMA6 Previous Initial Descriptor Pointer */
#define pREG_DMA6_ADDR_CUR               ((void * volatile *)REG_DMA6_ADDR_CUR)                  /* DMA6 Current Address */
#define pREG_DMA6_STAT                   ((volatile uint32_t *)REG_DMA6_STAT)                    /* DMA6 Status Register */
#define pREG_DMA6_XCNT_CUR               ((volatile uint32_t *)REG_DMA6_XCNT_CUR)                /* DMA6 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA6_YCNT_CUR               ((volatile uint32_t *)REG_DMA6_YCNT_CUR)                /* DMA6 Current Row Count (2D only) */
#define pREG_DMA6_BWLCNT                 ((volatile uint32_t *)REG_DMA6_BWLCNT)                  /* DMA6 Bandwidth Limit Count */
#define pREG_DMA6_BWLCNT_CUR             ((volatile uint32_t *)REG_DMA6_BWLCNT_CUR)              /* DMA6 Bandwidth Limit Count Current */
#define pREG_DMA6_BWMCNT                 ((volatile uint32_t *)REG_DMA6_BWMCNT)                  /* DMA6 Bandwidth Monitor Count */
#define pREG_DMA6_BWMCNT_CUR             ((volatile uint32_t *)REG_DMA6_BWMCNT_CUR)              /* DMA6 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA7
   ========================================================================= */
#define pREG_DMA7_DSCPTR_NXT             ((void * volatile *)REG_DMA7_DSCPTR_NXT)                /* DMA7 Pointer to Next Initial Descriptor */
#define pREG_DMA7_ADDRSTART              ((void * volatile *)REG_DMA7_ADDRSTART)                 /* DMA7 Start Address of Current Buffer */
#define pREG_DMA7_CFG                    ((volatile uint32_t *)REG_DMA7_CFG)                     /* DMA7 Configuration Register */
#define pREG_DMA7_XCNT                   ((volatile uint32_t *)REG_DMA7_XCNT)                    /* DMA7 Inner Loop Count Start Value */
#define pREG_DMA7_XMOD                   ((volatile  int32_t *)REG_DMA7_XMOD)                    /* DMA7 Inner Loop Address Increment */
#define pREG_DMA7_YCNT                   ((volatile uint32_t *)REG_DMA7_YCNT)                    /* DMA7 Outer Loop Count Start Value (2D only) */
#define pREG_DMA7_YMOD                   ((volatile  int32_t *)REG_DMA7_YMOD)                    /* DMA7 Outer Loop Address Increment (2D only) */
#define pREG_DMA7_DSCPTR_CUR             ((void * volatile *)REG_DMA7_DSCPTR_CUR)                /* DMA7 Current Descriptor Pointer */
#define pREG_DMA7_DSCPTR_PRV             ((void * volatile *)REG_DMA7_DSCPTR_PRV)                /* DMA7 Previous Initial Descriptor Pointer */
#define pREG_DMA7_ADDR_CUR               ((void * volatile *)REG_DMA7_ADDR_CUR)                  /* DMA7 Current Address */
#define pREG_DMA7_STAT                   ((volatile uint32_t *)REG_DMA7_STAT)                    /* DMA7 Status Register */
#define pREG_DMA7_XCNT_CUR               ((volatile uint32_t *)REG_DMA7_XCNT_CUR)                /* DMA7 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA7_YCNT_CUR               ((volatile uint32_t *)REG_DMA7_YCNT_CUR)                /* DMA7 Current Row Count (2D only) */
#define pREG_DMA7_BWLCNT                 ((volatile uint32_t *)REG_DMA7_BWLCNT)                  /* DMA7 Bandwidth Limit Count */
#define pREG_DMA7_BWLCNT_CUR             ((volatile uint32_t *)REG_DMA7_BWLCNT_CUR)              /* DMA7 Bandwidth Limit Count Current */
#define pREG_DMA7_BWMCNT                 ((volatile uint32_t *)REG_DMA7_BWMCNT)                  /* DMA7 Bandwidth Monitor Count */
#define pREG_DMA7_BWMCNT_CUR             ((volatile uint32_t *)REG_DMA7_BWMCNT_CUR)              /* DMA7 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA8
   ========================================================================= */
#define pREG_DMA8_DSCPTR_NXT             ((void * volatile *)REG_DMA8_DSCPTR_NXT)                /* DMA8 Pointer to Next Initial Descriptor */
#define pREG_DMA8_ADDRSTART              ((void * volatile *)REG_DMA8_ADDRSTART)                 /* DMA8 Start Address of Current Buffer */
#define pREG_DMA8_CFG                    ((volatile uint32_t *)REG_DMA8_CFG)                     /* DMA8 Configuration Register */
#define pREG_DMA8_XCNT                   ((volatile uint32_t *)REG_DMA8_XCNT)                    /* DMA8 Inner Loop Count Start Value */
#define pREG_DMA8_XMOD                   ((volatile  int32_t *)REG_DMA8_XMOD)                    /* DMA8 Inner Loop Address Increment */
#define pREG_DMA8_YCNT                   ((volatile uint32_t *)REG_DMA8_YCNT)                    /* DMA8 Outer Loop Count Start Value (2D only) */
#define pREG_DMA8_YMOD                   ((volatile  int32_t *)REG_DMA8_YMOD)                    /* DMA8 Outer Loop Address Increment (2D only) */
#define pREG_DMA8_DSCPTR_CUR             ((void * volatile *)REG_DMA8_DSCPTR_CUR)                /* DMA8 Current Descriptor Pointer */
#define pREG_DMA8_DSCPTR_PRV             ((void * volatile *)REG_DMA8_DSCPTR_PRV)                /* DMA8 Previous Initial Descriptor Pointer */
#define pREG_DMA8_ADDR_CUR               ((void * volatile *)REG_DMA8_ADDR_CUR)                  /* DMA8 Current Address */
#define pREG_DMA8_STAT                   ((volatile uint32_t *)REG_DMA8_STAT)                    /* DMA8 Status Register */
#define pREG_DMA8_XCNT_CUR               ((volatile uint32_t *)REG_DMA8_XCNT_CUR)                /* DMA8 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA8_YCNT_CUR               ((volatile uint32_t *)REG_DMA8_YCNT_CUR)                /* DMA8 Current Row Count (2D only) */
#define pREG_DMA8_BWLCNT                 ((volatile uint32_t *)REG_DMA8_BWLCNT)                  /* DMA8 Bandwidth Limit Count */
#define pREG_DMA8_BWLCNT_CUR             ((volatile uint32_t *)REG_DMA8_BWLCNT_CUR)              /* DMA8 Bandwidth Limit Count Current */
#define pREG_DMA8_BWMCNT                 ((volatile uint32_t *)REG_DMA8_BWMCNT)                  /* DMA8 Bandwidth Monitor Count */
#define pREG_DMA8_BWMCNT_CUR             ((volatile uint32_t *)REG_DMA8_BWMCNT_CUR)              /* DMA8 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA9
   ========================================================================= */
#define pREG_DMA9_DSCPTR_NXT             ((void * volatile *)REG_DMA9_DSCPTR_NXT)                /* DMA9 Pointer to Next Initial Descriptor */
#define pREG_DMA9_ADDRSTART              ((void * volatile *)REG_DMA9_ADDRSTART)                 /* DMA9 Start Address of Current Buffer */
#define pREG_DMA9_CFG                    ((volatile uint32_t *)REG_DMA9_CFG)                     /* DMA9 Configuration Register */
#define pREG_DMA9_XCNT                   ((volatile uint32_t *)REG_DMA9_XCNT)                    /* DMA9 Inner Loop Count Start Value */
#define pREG_DMA9_XMOD                   ((volatile  int32_t *)REG_DMA9_XMOD)                    /* DMA9 Inner Loop Address Increment */
#define pREG_DMA9_YCNT                   ((volatile uint32_t *)REG_DMA9_YCNT)                    /* DMA9 Outer Loop Count Start Value (2D only) */
#define pREG_DMA9_YMOD                   ((volatile  int32_t *)REG_DMA9_YMOD)                    /* DMA9 Outer Loop Address Increment (2D only) */
#define pREG_DMA9_DSCPTR_CUR             ((void * volatile *)REG_DMA9_DSCPTR_CUR)                /* DMA9 Current Descriptor Pointer */
#define pREG_DMA9_DSCPTR_PRV             ((void * volatile *)REG_DMA9_DSCPTR_PRV)                /* DMA9 Previous Initial Descriptor Pointer */
#define pREG_DMA9_ADDR_CUR               ((void * volatile *)REG_DMA9_ADDR_CUR)                  /* DMA9 Current Address */
#define pREG_DMA9_STAT                   ((volatile uint32_t *)REG_DMA9_STAT)                    /* DMA9 Status Register */
#define pREG_DMA9_XCNT_CUR               ((volatile uint32_t *)REG_DMA9_XCNT_CUR)                /* DMA9 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA9_YCNT_CUR               ((volatile uint32_t *)REG_DMA9_YCNT_CUR)                /* DMA9 Current Row Count (2D only) */
#define pREG_DMA9_BWLCNT                 ((volatile uint32_t *)REG_DMA9_BWLCNT)                  /* DMA9 Bandwidth Limit Count */
#define pREG_DMA9_BWLCNT_CUR             ((volatile uint32_t *)REG_DMA9_BWLCNT_CUR)              /* DMA9 Bandwidth Limit Count Current */
#define pREG_DMA9_BWMCNT                 ((volatile uint32_t *)REG_DMA9_BWMCNT)                  /* DMA9 Bandwidth Monitor Count */
#define pREG_DMA9_BWMCNT_CUR             ((volatile uint32_t *)REG_DMA9_BWMCNT_CUR)              /* DMA9 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA10
   ========================================================================= */
#define pREG_DMA10_DSCPTR_NXT            ((void * volatile *)REG_DMA10_DSCPTR_NXT)               /* DMA10 Pointer to Next Initial Descriptor */
#define pREG_DMA10_ADDRSTART             ((void * volatile *)REG_DMA10_ADDRSTART)                /* DMA10 Start Address of Current Buffer */
#define pREG_DMA10_CFG                   ((volatile uint32_t *)REG_DMA10_CFG)                    /* DMA10 Configuration Register */
#define pREG_DMA10_XCNT                  ((volatile uint32_t *)REG_DMA10_XCNT)                   /* DMA10 Inner Loop Count Start Value */
#define pREG_DMA10_XMOD                  ((volatile  int32_t *)REG_DMA10_XMOD)                   /* DMA10 Inner Loop Address Increment */
#define pREG_DMA10_YCNT                  ((volatile uint32_t *)REG_DMA10_YCNT)                   /* DMA10 Outer Loop Count Start Value (2D only) */
#define pREG_DMA10_YMOD                  ((volatile  int32_t *)REG_DMA10_YMOD)                   /* DMA10 Outer Loop Address Increment (2D only) */
#define pREG_DMA10_DSCPTR_CUR            ((void * volatile *)REG_DMA10_DSCPTR_CUR)               /* DMA10 Current Descriptor Pointer */
#define pREG_DMA10_DSCPTR_PRV            ((void * volatile *)REG_DMA10_DSCPTR_PRV)               /* DMA10 Previous Initial Descriptor Pointer */
#define pREG_DMA10_ADDR_CUR              ((void * volatile *)REG_DMA10_ADDR_CUR)                 /* DMA10 Current Address */
#define pREG_DMA10_STAT                  ((volatile uint32_t *)REG_DMA10_STAT)                   /* DMA10 Status Register */
#define pREG_DMA10_XCNT_CUR              ((volatile uint32_t *)REG_DMA10_XCNT_CUR)               /* DMA10 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA10_YCNT_CUR              ((volatile uint32_t *)REG_DMA10_YCNT_CUR)               /* DMA10 Current Row Count (2D only) */
#define pREG_DMA10_BWLCNT                ((volatile uint32_t *)REG_DMA10_BWLCNT)                 /* DMA10 Bandwidth Limit Count */
#define pREG_DMA10_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA10_BWLCNT_CUR)             /* DMA10 Bandwidth Limit Count Current */
#define pREG_DMA10_BWMCNT                ((volatile uint32_t *)REG_DMA10_BWMCNT)                 /* DMA10 Bandwidth Monitor Count */
#define pREG_DMA10_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA10_BWMCNT_CUR)             /* DMA10 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA11
   ========================================================================= */
#define pREG_DMA11_DSCPTR_NXT            ((void * volatile *)REG_DMA11_DSCPTR_NXT)               /* DMA11 Pointer to Next Initial Descriptor */
#define pREG_DMA11_ADDRSTART             ((void * volatile *)REG_DMA11_ADDRSTART)                /* DMA11 Start Address of Current Buffer */
#define pREG_DMA11_CFG                   ((volatile uint32_t *)REG_DMA11_CFG)                    /* DMA11 Configuration Register */
#define pREG_DMA11_XCNT                  ((volatile uint32_t *)REG_DMA11_XCNT)                   /* DMA11 Inner Loop Count Start Value */
#define pREG_DMA11_XMOD                  ((volatile  int32_t *)REG_DMA11_XMOD)                   /* DMA11 Inner Loop Address Increment */
#define pREG_DMA11_YCNT                  ((volatile uint32_t *)REG_DMA11_YCNT)                   /* DMA11 Outer Loop Count Start Value (2D only) */
#define pREG_DMA11_YMOD                  ((volatile  int32_t *)REG_DMA11_YMOD)                   /* DMA11 Outer Loop Address Increment (2D only) */
#define pREG_DMA11_DSCPTR_CUR            ((void * volatile *)REG_DMA11_DSCPTR_CUR)               /* DMA11 Current Descriptor Pointer */
#define pREG_DMA11_DSCPTR_PRV            ((void * volatile *)REG_DMA11_DSCPTR_PRV)               /* DMA11 Previous Initial Descriptor Pointer */
#define pREG_DMA11_ADDR_CUR              ((void * volatile *)REG_DMA11_ADDR_CUR)                 /* DMA11 Current Address */
#define pREG_DMA11_STAT                  ((volatile uint32_t *)REG_DMA11_STAT)                   /* DMA11 Status Register */
#define pREG_DMA11_XCNT_CUR              ((volatile uint32_t *)REG_DMA11_XCNT_CUR)               /* DMA11 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA11_YCNT_CUR              ((volatile uint32_t *)REG_DMA11_YCNT_CUR)               /* DMA11 Current Row Count (2D only) */
#define pREG_DMA11_BWLCNT                ((volatile uint32_t *)REG_DMA11_BWLCNT)                 /* DMA11 Bandwidth Limit Count */
#define pREG_DMA11_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA11_BWLCNT_CUR)             /* DMA11 Bandwidth Limit Count Current */
#define pREG_DMA11_BWMCNT                ((volatile uint32_t *)REG_DMA11_BWMCNT)                 /* DMA11 Bandwidth Monitor Count */
#define pREG_DMA11_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA11_BWMCNT_CUR)             /* DMA11 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA12
   ========================================================================= */
#define pREG_DMA12_DSCPTR_NXT            ((void * volatile *)REG_DMA12_DSCPTR_NXT)               /* DMA12 Pointer to Next Initial Descriptor */
#define pREG_DMA12_ADDRSTART             ((void * volatile *)REG_DMA12_ADDRSTART)                /* DMA12 Start Address of Current Buffer */
#define pREG_DMA12_CFG                   ((volatile uint32_t *)REG_DMA12_CFG)                    /* DMA12 Configuration Register */
#define pREG_DMA12_XCNT                  ((volatile uint32_t *)REG_DMA12_XCNT)                   /* DMA12 Inner Loop Count Start Value */
#define pREG_DMA12_XMOD                  ((volatile  int32_t *)REG_DMA12_XMOD)                   /* DMA12 Inner Loop Address Increment */
#define pREG_DMA12_YCNT                  ((volatile uint32_t *)REG_DMA12_YCNT)                   /* DMA12 Outer Loop Count Start Value (2D only) */
#define pREG_DMA12_YMOD                  ((volatile  int32_t *)REG_DMA12_YMOD)                   /* DMA12 Outer Loop Address Increment (2D only) */
#define pREG_DMA12_DSCPTR_CUR            ((void * volatile *)REG_DMA12_DSCPTR_CUR)               /* DMA12 Current Descriptor Pointer */
#define pREG_DMA12_DSCPTR_PRV            ((void * volatile *)REG_DMA12_DSCPTR_PRV)               /* DMA12 Previous Initial Descriptor Pointer */
#define pREG_DMA12_ADDR_CUR              ((void * volatile *)REG_DMA12_ADDR_CUR)                 /* DMA12 Current Address */
#define pREG_DMA12_STAT                  ((volatile uint32_t *)REG_DMA12_STAT)                   /* DMA12 Status Register */
#define pREG_DMA12_XCNT_CUR              ((volatile uint32_t *)REG_DMA12_XCNT_CUR)               /* DMA12 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA12_YCNT_CUR              ((volatile uint32_t *)REG_DMA12_YCNT_CUR)               /* DMA12 Current Row Count (2D only) */
#define pREG_DMA12_BWLCNT                ((volatile uint32_t *)REG_DMA12_BWLCNT)                 /* DMA12 Bandwidth Limit Count */
#define pREG_DMA12_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA12_BWLCNT_CUR)             /* DMA12 Bandwidth Limit Count Current */
#define pREG_DMA12_BWMCNT                ((volatile uint32_t *)REG_DMA12_BWMCNT)                 /* DMA12 Bandwidth Monitor Count */
#define pREG_DMA12_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA12_BWMCNT_CUR)             /* DMA12 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA13
   ========================================================================= */
#define pREG_DMA13_DSCPTR_NXT            ((void * volatile *)REG_DMA13_DSCPTR_NXT)               /* DMA13 Pointer to Next Initial Descriptor */
#define pREG_DMA13_ADDRSTART             ((void * volatile *)REG_DMA13_ADDRSTART)                /* DMA13 Start Address of Current Buffer */
#define pREG_DMA13_CFG                   ((volatile uint32_t *)REG_DMA13_CFG)                    /* DMA13 Configuration Register */
#define pREG_DMA13_XCNT                  ((volatile uint32_t *)REG_DMA13_XCNT)                   /* DMA13 Inner Loop Count Start Value */
#define pREG_DMA13_XMOD                  ((volatile  int32_t *)REG_DMA13_XMOD)                   /* DMA13 Inner Loop Address Increment */
#define pREG_DMA13_YCNT                  ((volatile uint32_t *)REG_DMA13_YCNT)                   /* DMA13 Outer Loop Count Start Value (2D only) */
#define pREG_DMA13_YMOD                  ((volatile  int32_t *)REG_DMA13_YMOD)                   /* DMA13 Outer Loop Address Increment (2D only) */
#define pREG_DMA13_DSCPTR_CUR            ((void * volatile *)REG_DMA13_DSCPTR_CUR)               /* DMA13 Current Descriptor Pointer */
#define pREG_DMA13_DSCPTR_PRV            ((void * volatile *)REG_DMA13_DSCPTR_PRV)               /* DMA13 Previous Initial Descriptor Pointer */
#define pREG_DMA13_ADDR_CUR              ((void * volatile *)REG_DMA13_ADDR_CUR)                 /* DMA13 Current Address */
#define pREG_DMA13_STAT                  ((volatile uint32_t *)REG_DMA13_STAT)                   /* DMA13 Status Register */
#define pREG_DMA13_XCNT_CUR              ((volatile uint32_t *)REG_DMA13_XCNT_CUR)               /* DMA13 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA13_YCNT_CUR              ((volatile uint32_t *)REG_DMA13_YCNT_CUR)               /* DMA13 Current Row Count (2D only) */
#define pREG_DMA13_BWLCNT                ((volatile uint32_t *)REG_DMA13_BWLCNT)                 /* DMA13 Bandwidth Limit Count */
#define pREG_DMA13_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA13_BWLCNT_CUR)             /* DMA13 Bandwidth Limit Count Current */
#define pREG_DMA13_BWMCNT                ((volatile uint32_t *)REG_DMA13_BWMCNT)                 /* DMA13 Bandwidth Monitor Count */
#define pREG_DMA13_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA13_BWMCNT_CUR)             /* DMA13 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA14
   ========================================================================= */
#define pREG_DMA14_DSCPTR_NXT            ((void * volatile *)REG_DMA14_DSCPTR_NXT)               /* DMA14 Pointer to Next Initial Descriptor */
#define pREG_DMA14_ADDRSTART             ((void * volatile *)REG_DMA14_ADDRSTART)                /* DMA14 Start Address of Current Buffer */
#define pREG_DMA14_CFG                   ((volatile uint32_t *)REG_DMA14_CFG)                    /* DMA14 Configuration Register */
#define pREG_DMA14_XCNT                  ((volatile uint32_t *)REG_DMA14_XCNT)                   /* DMA14 Inner Loop Count Start Value */
#define pREG_DMA14_XMOD                  ((volatile  int32_t *)REG_DMA14_XMOD)                   /* DMA14 Inner Loop Address Increment */
#define pREG_DMA14_YCNT                  ((volatile uint32_t *)REG_DMA14_YCNT)                   /* DMA14 Outer Loop Count Start Value (2D only) */
#define pREG_DMA14_YMOD                  ((volatile  int32_t *)REG_DMA14_YMOD)                   /* DMA14 Outer Loop Address Increment (2D only) */
#define pREG_DMA14_DSCPTR_CUR            ((void * volatile *)REG_DMA14_DSCPTR_CUR)               /* DMA14 Current Descriptor Pointer */
#define pREG_DMA14_DSCPTR_PRV            ((void * volatile *)REG_DMA14_DSCPTR_PRV)               /* DMA14 Previous Initial Descriptor Pointer */
#define pREG_DMA14_ADDR_CUR              ((void * volatile *)REG_DMA14_ADDR_CUR)                 /* DMA14 Current Address */
#define pREG_DMA14_STAT                  ((volatile uint32_t *)REG_DMA14_STAT)                   /* DMA14 Status Register */
#define pREG_DMA14_XCNT_CUR              ((volatile uint32_t *)REG_DMA14_XCNT_CUR)               /* DMA14 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA14_YCNT_CUR              ((volatile uint32_t *)REG_DMA14_YCNT_CUR)               /* DMA14 Current Row Count (2D only) */
#define pREG_DMA14_BWLCNT                ((volatile uint32_t *)REG_DMA14_BWLCNT)                 /* DMA14 Bandwidth Limit Count */
#define pREG_DMA14_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA14_BWLCNT_CUR)             /* DMA14 Bandwidth Limit Count Current */
#define pREG_DMA14_BWMCNT                ((volatile uint32_t *)REG_DMA14_BWMCNT)                 /* DMA14 Bandwidth Monitor Count */
#define pREG_DMA14_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA14_BWMCNT_CUR)             /* DMA14 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA15
   ========================================================================= */
#define pREG_DMA15_DSCPTR_NXT            ((void * volatile *)REG_DMA15_DSCPTR_NXT)               /* DMA15 Pointer to Next Initial Descriptor */
#define pREG_DMA15_ADDRSTART             ((void * volatile *)REG_DMA15_ADDRSTART)                /* DMA15 Start Address of Current Buffer */
#define pREG_DMA15_CFG                   ((volatile uint32_t *)REG_DMA15_CFG)                    /* DMA15 Configuration Register */
#define pREG_DMA15_XCNT                  ((volatile uint32_t *)REG_DMA15_XCNT)                   /* DMA15 Inner Loop Count Start Value */
#define pREG_DMA15_XMOD                  ((volatile  int32_t *)REG_DMA15_XMOD)                   /* DMA15 Inner Loop Address Increment */
#define pREG_DMA15_YCNT                  ((volatile uint32_t *)REG_DMA15_YCNT)                   /* DMA15 Outer Loop Count Start Value (2D only) */
#define pREG_DMA15_YMOD                  ((volatile  int32_t *)REG_DMA15_YMOD)                   /* DMA15 Outer Loop Address Increment (2D only) */
#define pREG_DMA15_DSCPTR_CUR            ((void * volatile *)REG_DMA15_DSCPTR_CUR)               /* DMA15 Current Descriptor Pointer */
#define pREG_DMA15_DSCPTR_PRV            ((void * volatile *)REG_DMA15_DSCPTR_PRV)               /* DMA15 Previous Initial Descriptor Pointer */
#define pREG_DMA15_ADDR_CUR              ((void * volatile *)REG_DMA15_ADDR_CUR)                 /* DMA15 Current Address */
#define pREG_DMA15_STAT                  ((volatile uint32_t *)REG_DMA15_STAT)                   /* DMA15 Status Register */
#define pREG_DMA15_XCNT_CUR              ((volatile uint32_t *)REG_DMA15_XCNT_CUR)               /* DMA15 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA15_YCNT_CUR              ((volatile uint32_t *)REG_DMA15_YCNT_CUR)               /* DMA15 Current Row Count (2D only) */
#define pREG_DMA15_BWLCNT                ((volatile uint32_t *)REG_DMA15_BWLCNT)                 /* DMA15 Bandwidth Limit Count */
#define pREG_DMA15_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA15_BWLCNT_CUR)             /* DMA15 Bandwidth Limit Count Current */
#define pREG_DMA15_BWMCNT                ((volatile uint32_t *)REG_DMA15_BWMCNT)                 /* DMA15 Bandwidth Monitor Count */
#define pREG_DMA15_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA15_BWMCNT_CUR)             /* DMA15 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA16
   ========================================================================= */
#define pREG_DMA16_DSCPTR_NXT            ((void * volatile *)REG_DMA16_DSCPTR_NXT)               /* DMA16 Pointer to Next Initial Descriptor */
#define pREG_DMA16_ADDRSTART             ((void * volatile *)REG_DMA16_ADDRSTART)                /* DMA16 Start Address of Current Buffer */
#define pREG_DMA16_CFG                   ((volatile uint32_t *)REG_DMA16_CFG)                    /* DMA16 Configuration Register */
#define pREG_DMA16_XCNT                  ((volatile uint32_t *)REG_DMA16_XCNT)                   /* DMA16 Inner Loop Count Start Value */
#define pREG_DMA16_XMOD                  ((volatile  int32_t *)REG_DMA16_XMOD)                   /* DMA16 Inner Loop Address Increment */
#define pREG_DMA16_YCNT                  ((volatile uint32_t *)REG_DMA16_YCNT)                   /* DMA16 Outer Loop Count Start Value (2D only) */
#define pREG_DMA16_YMOD                  ((volatile  int32_t *)REG_DMA16_YMOD)                   /* DMA16 Outer Loop Address Increment (2D only) */
#define pREG_DMA16_DSCPTR_CUR            ((void * volatile *)REG_DMA16_DSCPTR_CUR)               /* DMA16 Current Descriptor Pointer */
#define pREG_DMA16_DSCPTR_PRV            ((void * volatile *)REG_DMA16_DSCPTR_PRV)               /* DMA16 Previous Initial Descriptor Pointer */
#define pREG_DMA16_ADDR_CUR              ((void * volatile *)REG_DMA16_ADDR_CUR)                 /* DMA16 Current Address */
#define pREG_DMA16_STAT                  ((volatile uint32_t *)REG_DMA16_STAT)                   /* DMA16 Status Register */
#define pREG_DMA16_XCNT_CUR              ((volatile uint32_t *)REG_DMA16_XCNT_CUR)               /* DMA16 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA16_YCNT_CUR              ((volatile uint32_t *)REG_DMA16_YCNT_CUR)               /* DMA16 Current Row Count (2D only) */
#define pREG_DMA16_BWLCNT                ((volatile uint32_t *)REG_DMA16_BWLCNT)                 /* DMA16 Bandwidth Limit Count */
#define pREG_DMA16_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA16_BWLCNT_CUR)             /* DMA16 Bandwidth Limit Count Current */
#define pREG_DMA16_BWMCNT                ((volatile uint32_t *)REG_DMA16_BWMCNT)                 /* DMA16 Bandwidth Monitor Count */
#define pREG_DMA16_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA16_BWMCNT_CUR)             /* DMA16 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA17
   ========================================================================= */
#define pREG_DMA17_DSCPTR_NXT            ((void * volatile *)REG_DMA17_DSCPTR_NXT)               /* DMA17 Pointer to Next Initial Descriptor */
#define pREG_DMA17_ADDRSTART             ((void * volatile *)REG_DMA17_ADDRSTART)                /* DMA17 Start Address of Current Buffer */
#define pREG_DMA17_CFG                   ((volatile uint32_t *)REG_DMA17_CFG)                    /* DMA17 Configuration Register */
#define pREG_DMA17_XCNT                  ((volatile uint32_t *)REG_DMA17_XCNT)                   /* DMA17 Inner Loop Count Start Value */
#define pREG_DMA17_XMOD                  ((volatile  int32_t *)REG_DMA17_XMOD)                   /* DMA17 Inner Loop Address Increment */
#define pREG_DMA17_YCNT                  ((volatile uint32_t *)REG_DMA17_YCNT)                   /* DMA17 Outer Loop Count Start Value (2D only) */
#define pREG_DMA17_YMOD                  ((volatile  int32_t *)REG_DMA17_YMOD)                   /* DMA17 Outer Loop Address Increment (2D only) */
#define pREG_DMA17_DSCPTR_CUR            ((void * volatile *)REG_DMA17_DSCPTR_CUR)               /* DMA17 Current Descriptor Pointer */
#define pREG_DMA17_DSCPTR_PRV            ((void * volatile *)REG_DMA17_DSCPTR_PRV)               /* DMA17 Previous Initial Descriptor Pointer */
#define pREG_DMA17_ADDR_CUR              ((void * volatile *)REG_DMA17_ADDR_CUR)                 /* DMA17 Current Address */
#define pREG_DMA17_STAT                  ((volatile uint32_t *)REG_DMA17_STAT)                   /* DMA17 Status Register */
#define pREG_DMA17_XCNT_CUR              ((volatile uint32_t *)REG_DMA17_XCNT_CUR)               /* DMA17 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA17_YCNT_CUR              ((volatile uint32_t *)REG_DMA17_YCNT_CUR)               /* DMA17 Current Row Count (2D only) */
#define pREG_DMA17_BWLCNT                ((volatile uint32_t *)REG_DMA17_BWLCNT)                 /* DMA17 Bandwidth Limit Count */
#define pREG_DMA17_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA17_BWLCNT_CUR)             /* DMA17 Bandwidth Limit Count Current */
#define pREG_DMA17_BWMCNT                ((volatile uint32_t *)REG_DMA17_BWMCNT)                 /* DMA17 Bandwidth Monitor Count */
#define pREG_DMA17_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA17_BWMCNT_CUR)             /* DMA17 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA18
   ========================================================================= */
#define pREG_DMA18_DSCPTR_NXT            ((void * volatile *)REG_DMA18_DSCPTR_NXT)               /* DMA18 Pointer to Next Initial Descriptor */
#define pREG_DMA18_ADDRSTART             ((void * volatile *)REG_DMA18_ADDRSTART)                /* DMA18 Start Address of Current Buffer */
#define pREG_DMA18_CFG                   ((volatile uint32_t *)REG_DMA18_CFG)                    /* DMA18 Configuration Register */
#define pREG_DMA18_XCNT                  ((volatile uint32_t *)REG_DMA18_XCNT)                   /* DMA18 Inner Loop Count Start Value */
#define pREG_DMA18_XMOD                  ((volatile  int32_t *)REG_DMA18_XMOD)                   /* DMA18 Inner Loop Address Increment */
#define pREG_DMA18_YCNT                  ((volatile uint32_t *)REG_DMA18_YCNT)                   /* DMA18 Outer Loop Count Start Value (2D only) */
#define pREG_DMA18_YMOD                  ((volatile  int32_t *)REG_DMA18_YMOD)                   /* DMA18 Outer Loop Address Increment (2D only) */
#define pREG_DMA18_DSCPTR_CUR            ((void * volatile *)REG_DMA18_DSCPTR_CUR)               /* DMA18 Current Descriptor Pointer */
#define pREG_DMA18_DSCPTR_PRV            ((void * volatile *)REG_DMA18_DSCPTR_PRV)               /* DMA18 Previous Initial Descriptor Pointer */
#define pREG_DMA18_ADDR_CUR              ((void * volatile *)REG_DMA18_ADDR_CUR)                 /* DMA18 Current Address */
#define pREG_DMA18_STAT                  ((volatile uint32_t *)REG_DMA18_STAT)                   /* DMA18 Status Register */
#define pREG_DMA18_XCNT_CUR              ((volatile uint32_t *)REG_DMA18_XCNT_CUR)               /* DMA18 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA18_YCNT_CUR              ((volatile uint32_t *)REG_DMA18_YCNT_CUR)               /* DMA18 Current Row Count (2D only) */
#define pREG_DMA18_BWLCNT                ((volatile uint32_t *)REG_DMA18_BWLCNT)                 /* DMA18 Bandwidth Limit Count */
#define pREG_DMA18_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA18_BWLCNT_CUR)             /* DMA18 Bandwidth Limit Count Current */
#define pREG_DMA18_BWMCNT                ((volatile uint32_t *)REG_DMA18_BWMCNT)                 /* DMA18 Bandwidth Monitor Count */
#define pREG_DMA18_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA18_BWMCNT_CUR)             /* DMA18 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA19
   ========================================================================= */
#define pREG_DMA19_DSCPTR_NXT            ((void * volatile *)REG_DMA19_DSCPTR_NXT)               /* DMA19 Pointer to Next Initial Descriptor */
#define pREG_DMA19_ADDRSTART             ((void * volatile *)REG_DMA19_ADDRSTART)                /* DMA19 Start Address of Current Buffer */
#define pREG_DMA19_CFG                   ((volatile uint32_t *)REG_DMA19_CFG)                    /* DMA19 Configuration Register */
#define pREG_DMA19_XCNT                  ((volatile uint32_t *)REG_DMA19_XCNT)                   /* DMA19 Inner Loop Count Start Value */
#define pREG_DMA19_XMOD                  ((volatile  int32_t *)REG_DMA19_XMOD)                   /* DMA19 Inner Loop Address Increment */
#define pREG_DMA19_YCNT                  ((volatile uint32_t *)REG_DMA19_YCNT)                   /* DMA19 Outer Loop Count Start Value (2D only) */
#define pREG_DMA19_YMOD                  ((volatile  int32_t *)REG_DMA19_YMOD)                   /* DMA19 Outer Loop Address Increment (2D only) */
#define pREG_DMA19_DSCPTR_CUR            ((void * volatile *)REG_DMA19_DSCPTR_CUR)               /* DMA19 Current Descriptor Pointer */
#define pREG_DMA19_DSCPTR_PRV            ((void * volatile *)REG_DMA19_DSCPTR_PRV)               /* DMA19 Previous Initial Descriptor Pointer */
#define pREG_DMA19_ADDR_CUR              ((void * volatile *)REG_DMA19_ADDR_CUR)                 /* DMA19 Current Address */
#define pREG_DMA19_STAT                  ((volatile uint32_t *)REG_DMA19_STAT)                   /* DMA19 Status Register */
#define pREG_DMA19_XCNT_CUR              ((volatile uint32_t *)REG_DMA19_XCNT_CUR)               /* DMA19 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA19_YCNT_CUR              ((volatile uint32_t *)REG_DMA19_YCNT_CUR)               /* DMA19 Current Row Count (2D only) */
#define pREG_DMA19_BWLCNT                ((volatile uint32_t *)REG_DMA19_BWLCNT)                 /* DMA19 Bandwidth Limit Count */
#define pREG_DMA19_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA19_BWLCNT_CUR)             /* DMA19 Bandwidth Limit Count Current */
#define pREG_DMA19_BWMCNT                ((volatile uint32_t *)REG_DMA19_BWMCNT)                 /* DMA19 Bandwidth Monitor Count */
#define pREG_DMA19_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA19_BWMCNT_CUR)             /* DMA19 Bandwidth Monitor Count Current */

/* =========================================================================
       DMA20
   ========================================================================= */
#define pREG_DMA20_DSCPTR_NXT            ((void * volatile *)REG_DMA20_DSCPTR_NXT)               /* DMA20 Pointer to Next Initial Descriptor */
#define pREG_DMA20_ADDRSTART             ((void * volatile *)REG_DMA20_ADDRSTART)                /* DMA20 Start Address of Current Buffer */
#define pREG_DMA20_CFG                   ((volatile uint32_t *)REG_DMA20_CFG)                    /* DMA20 Configuration Register */
#define pREG_DMA20_XCNT                  ((volatile uint32_t *)REG_DMA20_XCNT)                   /* DMA20 Inner Loop Count Start Value */
#define pREG_DMA20_XMOD                  ((volatile  int32_t *)REG_DMA20_XMOD)                   /* DMA20 Inner Loop Address Increment */
#define pREG_DMA20_YCNT                  ((volatile uint32_t *)REG_DMA20_YCNT)                   /* DMA20 Outer Loop Count Start Value (2D only) */
#define pREG_DMA20_YMOD                  ((volatile  int32_t *)REG_DMA20_YMOD)                   /* DMA20 Outer Loop Address Increment (2D only) */
#define pREG_DMA20_DSCPTR_CUR            ((void * volatile *)REG_DMA20_DSCPTR_CUR)               /* DMA20 Current Descriptor Pointer */
#define pREG_DMA20_DSCPTR_PRV            ((void * volatile *)REG_DMA20_DSCPTR_PRV)               /* DMA20 Previous Initial Descriptor Pointer */
#define pREG_DMA20_ADDR_CUR              ((void * volatile *)REG_DMA20_ADDR_CUR)                 /* DMA20 Current Address */
#define pREG_DMA20_STAT                  ((volatile uint32_t *)REG_DMA20_STAT)                   /* DMA20 Status Register */
#define pREG_DMA20_XCNT_CUR              ((volatile uint32_t *)REG_DMA20_XCNT_CUR)               /* DMA20 Current Count(1D) or intra-row XCNT (2D) */
#define pREG_DMA20_YCNT_CUR              ((volatile uint32_t *)REG_DMA20_YCNT_CUR)               /* DMA20 Current Row Count (2D only) */
#define pREG_DMA20_BWLCNT                ((volatile uint32_t *)REG_DMA20_BWLCNT)                 /* DMA20 Bandwidth Limit Count */
#define pREG_DMA20_BWLCNT_CUR            ((volatile uint32_t *)REG_DMA20_BWLCNT_CUR)             /* DMA20 Bandwidth Limit Count Current */
#define pREG_DMA20_BWMCNT                ((volatile uint32_t *)REG_DMA20_BWMCNT)                 /* DMA20 Bandwidth Monitor Count */
#define pREG_DMA20_BWMCNT_CUR            ((volatile uint32_t *)REG_DMA20_BWMCNT_CUR)             /* DMA20 Bandwidth Monitor Count Current */


/* =========================================================================
       RCU0
   ========================================================================= */
#define pREG_RCU0_CTL                    ((volatile uint32_t *)REG_RCU0_CTL)                     /* RCU0 Control Register */
#define pREG_RCU0_STAT                   ((volatile uint32_t *)REG_RCU0_STAT)                    /* RCU0 Status Register */
#define pREG_RCU0_SVECT_LCK              ((volatile uint32_t *)REG_RCU0_SVECT_LCK)               /* RCU0 SVECT Lock Register */
#define pREG_RCU0_BCODE                  ((volatile uint32_t *)REG_RCU0_BCODE)                   /* RCU0 Boot Code Register */
#define pREG_RCU0_SVECT0                 ((volatile uint32_t *)REG_RCU0_SVECT0)                  /* RCU0 Software Vector Register 0 */
#define pREG_RCU0_MSG                    ((volatile uint32_t *)REG_RCU0_MSG)                     /* RCU0 Message Register */
#define pREG_RCU0_MSG_SET                ((volatile uint32_t *)REG_RCU0_MSG_SET)                 /* RCU0 Message Set Bits Register */
#define pREG_RCU0_MSG_CLR                ((volatile uint32_t *)REG_RCU0_MSG_CLR)                 /* RCU0 Message Clear Bits Register */


/* =========================================================================
       TRU0
   ========================================================================= */
#define pREG_TRU0_SSR0                   ((volatile uint32_t *)REG_TRU0_SSR0)                    /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR1                   ((volatile uint32_t *)REG_TRU0_SSR1)                    /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR2                   ((volatile uint32_t *)REG_TRU0_SSR2)                    /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR3                   ((volatile uint32_t *)REG_TRU0_SSR3)                    /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR4                   ((volatile uint32_t *)REG_TRU0_SSR4)                    /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR5                   ((volatile uint32_t *)REG_TRU0_SSR5)                    /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR6                   ((volatile uint32_t *)REG_TRU0_SSR6)                    /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR7                   ((volatile uint32_t *)REG_TRU0_SSR7)                    /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR8                   ((volatile uint32_t *)REG_TRU0_SSR8)                    /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR9                   ((volatile uint32_t *)REG_TRU0_SSR9)                    /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR10                  ((volatile uint32_t *)REG_TRU0_SSR10)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR11                  ((volatile uint32_t *)REG_TRU0_SSR11)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR12                  ((volatile uint32_t *)REG_TRU0_SSR12)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR13                  ((volatile uint32_t *)REG_TRU0_SSR13)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR14                  ((volatile uint32_t *)REG_TRU0_SSR14)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR15                  ((volatile uint32_t *)REG_TRU0_SSR15)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR16                  ((volatile uint32_t *)REG_TRU0_SSR16)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR17                  ((volatile uint32_t *)REG_TRU0_SSR17)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR18                  ((volatile uint32_t *)REG_TRU0_SSR18)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR19                  ((volatile uint32_t *)REG_TRU0_SSR19)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR20                  ((volatile uint32_t *)REG_TRU0_SSR20)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR21                  ((volatile uint32_t *)REG_TRU0_SSR21)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR22                  ((volatile uint32_t *)REG_TRU0_SSR22)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR23                  ((volatile uint32_t *)REG_TRU0_SSR23)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR24                  ((volatile uint32_t *)REG_TRU0_SSR24)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR25                  ((volatile uint32_t *)REG_TRU0_SSR25)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR26                  ((volatile uint32_t *)REG_TRU0_SSR26)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR27                  ((volatile uint32_t *)REG_TRU0_SSR27)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR28                  ((volatile uint32_t *)REG_TRU0_SSR28)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR29                  ((volatile uint32_t *)REG_TRU0_SSR29)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR30                  ((volatile uint32_t *)REG_TRU0_SSR30)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR31                  ((volatile uint32_t *)REG_TRU0_SSR31)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR32                  ((volatile uint32_t *)REG_TRU0_SSR32)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR33                  ((volatile uint32_t *)REG_TRU0_SSR33)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR34                  ((volatile uint32_t *)REG_TRU0_SSR34)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR35                  ((volatile uint32_t *)REG_TRU0_SSR35)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR36                  ((volatile uint32_t *)REG_TRU0_SSR36)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR37                  ((volatile uint32_t *)REG_TRU0_SSR37)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR38                  ((volatile uint32_t *)REG_TRU0_SSR38)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR39                  ((volatile uint32_t *)REG_TRU0_SSR39)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR40                  ((volatile uint32_t *)REG_TRU0_SSR40)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR41                  ((volatile uint32_t *)REG_TRU0_SSR41)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR42                  ((volatile uint32_t *)REG_TRU0_SSR42)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR43                  ((volatile uint32_t *)REG_TRU0_SSR43)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR44                  ((volatile uint32_t *)REG_TRU0_SSR44)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR45                  ((volatile uint32_t *)REG_TRU0_SSR45)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR46                  ((volatile uint32_t *)REG_TRU0_SSR46)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR47                  ((volatile uint32_t *)REG_TRU0_SSR47)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR48                  ((volatile uint32_t *)REG_TRU0_SSR48)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR49                  ((volatile uint32_t *)REG_TRU0_SSR49)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR50                  ((volatile uint32_t *)REG_TRU0_SSR50)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR51                  ((volatile uint32_t *)REG_TRU0_SSR51)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR52                  ((volatile uint32_t *)REG_TRU0_SSR52)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR53                  ((volatile uint32_t *)REG_TRU0_SSR53)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR54                  ((volatile uint32_t *)REG_TRU0_SSR54)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR55                  ((volatile uint32_t *)REG_TRU0_SSR55)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR56                  ((volatile uint32_t *)REG_TRU0_SSR56)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR57                  ((volatile uint32_t *)REG_TRU0_SSR57)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR58                  ((volatile uint32_t *)REG_TRU0_SSR58)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR59                  ((volatile uint32_t *)REG_TRU0_SSR59)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR60                  ((volatile uint32_t *)REG_TRU0_SSR60)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR61                  ((volatile uint32_t *)REG_TRU0_SSR61)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_SSR62                  ((volatile uint32_t *)REG_TRU0_SSR62)                   /* TRU0 Slave Select Register */
#define pREG_TRU0_MTR                    ((volatile uint32_t *)REG_TRU0_MTR)                     /* TRU0 Master Trigger Register */
#define pREG_TRU0_ERRADDR                ((volatile uint32_t *)REG_TRU0_ERRADDR)                 /* TRU0 Error Address Register */
#define pREG_TRU0_STAT                   ((volatile uint32_t *)REG_TRU0_STAT)                    /* TRU0 Status Information Register */
#define pREG_TRU0_GCTL                   ((volatile uint32_t *)REG_TRU0_GCTL)                    /* TRU0 Global Control Register */


/* =========================================================================
       CGU0
   ========================================================================= */
#define pREG_CGU0_CTL                    ((volatile uint32_t *)REG_CGU0_CTL)                     /* CGU0 Control Register */
#define pREG_CGU0_STAT                   ((volatile uint32_t *)REG_CGU0_STAT)                    /* CGU0 Status Register */
#define pREG_CGU0_DIV                    ((volatile uint32_t *)REG_CGU0_DIV)                     /* CGU0 Clocks Divisor Register */
#define pREG_CGU0_CLKOUTSEL              ((volatile uint32_t *)REG_CGU0_CLKOUTSEL)               /* CGU0 CLKOUT Select Register */
#define pREG_CGU0_OSCWDCTL               ((volatile uint32_t *)REG_CGU0_OSCWDCTL)                /* CGU0 Oscillator Watchdog Register */
#define pREG_CGU0_TSCTL                  ((volatile uint32_t *)REG_CGU0_TSCTL)                   /* CGU0 Timestamp Control Register */
#define pREG_CGU0_TSVALUE0               ((volatile uint32_t *)REG_CGU0_TSVALUE0)                /* CGU0 Timestamp Counter Initial 32 l.s.b. Value Register */
#define pREG_CGU0_TSVALUE1               ((volatile uint32_t *)REG_CGU0_TSVALUE1)                /* CGU0 Timestamp Counter Initial m.s.b. Value Register */
#define pREG_CGU0_TSCOUNT0               ((volatile uint32_t *)REG_CGU0_TSCOUNT0)                /* CGU0 Timestamp Counter 32 l.s.b. */
#define pREG_CGU0_TSCOUNT1               ((volatile uint32_t *)REG_CGU0_TSCOUNT1)                /* CGU0 Timestamp Counter 32 m.s.b. Register */


/* =========================================================================
       DPM0
   ========================================================================= */
#define pREG_DPM0_CTL                    ((volatile uint32_t *)REG_DPM0_CTL)                     /* DPM0 Control Register */
#define pREG_DPM0_STAT                   ((volatile uint32_t *)REG_DPM0_STAT)                    /* DPM0 Status Register */
#define pREG_DPM0_CCBF_DIS               ((volatile uint32_t *)REG_DPM0_CCBF_DIS)                /* DPM0 Core Clock Buffer Disable Register */
#define pREG_DPM0_CCBF_EN                ((volatile uint32_t *)REG_DPM0_CCBF_EN)                 /* DPM0 Core Clock Buffer Enable Register */
#define pREG_DPM0_CCBF_STAT              ((volatile uint32_t *)REG_DPM0_CCBF_STAT)               /* DPM0 Core Clock Buffer Status Register */
#define pREG_DPM0_CCBF_STAT_STKY         ((volatile uint32_t *)REG_DPM0_CCBF_STAT_STKY)          /* DPM0 Core Clock Buffer Status Sticky Register */
#define pREG_DPM0_SCBF_DIS               ((volatile uint32_t *)REG_DPM0_SCBF_DIS)                /* DPM0 System Clock Buffer Disable Register */
#define pREG_DPM0_WAKE_EN                ((volatile uint32_t *)REG_DPM0_WAKE_EN)                 /* DPM0 Wakeup Enable Register */
#define pREG_DPM0_WAKE_POL               ((volatile uint32_t *)REG_DPM0_WAKE_POL)                /* DPM0 Wakeup Polarity Register */
#define pREG_DPM0_WAKE_STAT              ((volatile uint32_t *)REG_DPM0_WAKE_STAT)               /* DPM0 Wakeup Status Register */


/* =========================================================================
       HAE0
   ========================================================================= */
#define pREG_HAE0_RUN                    ((volatile uint32_t *)REG_HAE0_RUN)                     /* HAE0 Run Register */
#define pREG_HAE0_COEF_RAM               ((volatile uint32_t *)REG_HAE0_COEF_RAM)                /* HAE0 Coefficient RAM Register */
#define pREG_HAE0_CFG0                   ((volatile uint32_t *)REG_HAE0_CFG0)                    /* HAE0 Configuration 0 Register */
#define pREG_HAE0_CFG1                   ((volatile uint32_t *)REG_HAE0_CFG1)                    /* HAE0 Configuration 1 Register */
#define pREG_HAE0_CFG2                   ((volatile uint32_t *)REG_HAE0_CFG2)                    /* HAE0 Configuration 2 Register */
#define pREG_HAE0_CFG3                   ((volatile uint32_t *)REG_HAE0_CFG3)                    /* HAE0 Configuration 3 Register */
#define pREG_HAE0_STAT                   ((volatile uint32_t *)REG_HAE0_STAT)                    /* HAE0 Status Register */
#define pREG_HAE0_ISAMPLE                ((volatile uint32_t *)REG_HAE0_ISAMPLE)                 /* HAE0 I (Current) Sample Register */
#define pREG_HAE0_VSAMPLE                ((volatile uint32_t *)REG_HAE0_VSAMPLE)                 /* HAE0 V (Voltage) Sample Register */
#define pREG_HAE0_IWAVEFORM              ((volatile uint32_t *)REG_HAE0_IWAVEFORM)               /* HAE0 I (Current) Waveform Register */
#define pREG_HAE0_VWAVEFORM              ((volatile uint32_t *)REG_HAE0_VWAVEFORM)               /* HAE0 V (Voltage) Waveform Register */
#define pREG_HAE0_RESULTS_RAM            ((volatile uint32_t *)REG_HAE0_RESULTS_RAM)             /* HAE0 Results RAM Register */
#define pREG_HAE0_DATA_RAM               ((volatile uint32_t *)REG_HAE0_DATA_RAM)                /* HAE0 Data (Configuration) RAM Register */
#define pREG_HAE0_CFG4                   ((volatile uint32_t *)REG_HAE0_CFG4)                    /* HAE0 Configuration 4 Register */
#define pREG_HAE0_DIDT_GAIN              ((volatile uint32_t *)REG_HAE0_DIDT_GAIN)               /* HAE0 DIDT Gain Register */
#define pREG_HAE0_DIDT_COEF              ((volatile uint32_t *)REG_HAE0_DIDT_COEF)               /* HAE0 DIDT Coefficient Register */
#define pREG_HAE0_VLEVEL                 ((volatile uint32_t *)REG_HAE0_VLEVEL)                  /* HAE0 Voltage Level Register */
#define pREG_HAE0_H00_INDX               ((volatile uint32_t *)REG_HAE0_H00_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H01_INDX               ((volatile uint32_t *)REG_HAE0_H01_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H02_INDX               ((volatile uint32_t *)REG_HAE0_H02_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H03_INDX               ((volatile uint32_t *)REG_HAE0_H03_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H04_INDX               ((volatile uint32_t *)REG_HAE0_H04_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H05_INDX               ((volatile uint32_t *)REG_HAE0_H05_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H06_INDX               ((volatile uint32_t *)REG_HAE0_H06_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H07_INDX               ((volatile uint32_t *)REG_HAE0_H07_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H08_INDX               ((volatile uint32_t *)REG_HAE0_H08_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H09_INDX               ((volatile uint32_t *)REG_HAE0_H09_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H10_INDX               ((volatile uint32_t *)REG_HAE0_H10_INDX)                /* HAE0 Harmonic n Index Register */
#define pREG_HAE0_H11_INDX               ((volatile uint32_t *)REG_HAE0_H11_INDX)                /* HAE0 Harmonic n Index Register */


/* =========================================================================
       EMAC0
   ========================================================================= */
#define pREG_EMAC0_MACCFG                ((volatile uint32_t *)REG_EMAC0_MACCFG)                 /* EMAC0 MAC Configuration Register */
#define pREG_EMAC0_MACFRMFILT            ((volatile uint32_t *)REG_EMAC0_MACFRMFILT)             /* EMAC0 MAC Rx Frame Filter Register */
#define pREG_EMAC0_HASHTBL_HI            ((volatile uint32_t *)REG_EMAC0_HASHTBL_HI)             /* EMAC0 Hash Table High Register */
#define pREG_EMAC0_HASHTBL_LO            ((volatile uint32_t *)REG_EMAC0_HASHTBL_LO)             /* EMAC0 Hash Table Low Register */
#define pREG_EMAC0_SMI_ADDR              ((volatile uint32_t *)REG_EMAC0_SMI_ADDR)               /* EMAC0 SMI Address Register */
#define pREG_EMAC0_SMI_DATA              ((volatile uint32_t *)REG_EMAC0_SMI_DATA)               /* EMAC0 SMI Data Register */
#define pREG_EMAC0_FLOWCTL               ((volatile uint32_t *)REG_EMAC0_FLOWCTL)                /* EMAC0 FLow Control Register */
#define pREG_EMAC0_VLANTAG               ((volatile uint32_t *)REG_EMAC0_VLANTAG)                /* EMAC0 VLAN Tag Register */
#define pREG_EMAC0_DBG                   ((volatile uint32_t *)REG_EMAC0_DBG)                    /* EMAC0 Debug Register */
#define pREG_EMAC0_ISTAT                 ((volatile uint32_t *)REG_EMAC0_ISTAT)                  /* EMAC0 Interrupt Status Register */
#define pREG_EMAC0_IMSK                  ((volatile uint32_t *)REG_EMAC0_IMSK)                   /* EMAC0 Interrupt Mask Register */
#define pREG_EMAC0_ADDR0_HI              ((volatile uint32_t *)REG_EMAC0_ADDR0_HI)               /* EMAC0 MAC Address 0 High Register */
#define pREG_EMAC0_ADDR0_LO              ((volatile uint32_t *)REG_EMAC0_ADDR0_LO)               /* EMAC0 MAC Address 0 Low Register */
#define pREG_EMAC0_MMC_CTL               ((volatile uint32_t *)REG_EMAC0_MMC_CTL)                /* EMAC0 MMC Control Register */
#define pREG_EMAC0_MMC_RXINT             ((volatile uint32_t *)REG_EMAC0_MMC_RXINT)              /* EMAC0 MMC Rx Interrupt Register */
#define pREG_EMAC0_MMC_TXINT             ((volatile uint32_t *)REG_EMAC0_MMC_TXINT)              /* EMAC0 MMC Tx Interrupt Register */
#define pREG_EMAC0_MMC_RXIMSK            ((volatile uint32_t *)REG_EMAC0_MMC_RXIMSK)             /* EMAC0 MMC Rx Interrupt Mask Register */
#define pREG_EMAC0_MMC_TXIMSK            ((volatile uint32_t *)REG_EMAC0_MMC_TXIMSK)             /* EMAC0 MMC TX Interrupt Mask Register */
#define pREG_EMAC0_TXOCTCNT_GB           ((volatile uint32_t *)REG_EMAC0_TXOCTCNT_GB)            /* EMAC0 Tx OCT Count (Good/Bad) Register */
#define pREG_EMAC0_TXFRMCNT_GB           ((volatile uint32_t *)REG_EMAC0_TXFRMCNT_GB)            /* EMAC0 Tx Frame Count (Good/Bad) Register */
#define pREG_EMAC0_TXBCASTFRM_G          ((volatile uint32_t *)REG_EMAC0_TXBCASTFRM_G)           /* EMAC0 Tx Broadcast Frames (Good) Register */
#define pREG_EMAC0_TXMCASTFRM_G          ((volatile uint32_t *)REG_EMAC0_TXMCASTFRM_G)           /* EMAC0 Tx Multicast Frames (Good) Register */
#define pREG_EMAC0_TX64_GB               ((volatile uint32_t *)REG_EMAC0_TX64_GB)                /* EMAC0 Tx 64-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_TX65TO127_GB          ((volatile uint32_t *)REG_EMAC0_TX65TO127_GB)           /* EMAC0 Tx 65- to 127-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_TX128TO255_GB         ((volatile uint32_t *)REG_EMAC0_TX128TO255_GB)          /* EMAC0 Tx 128- to 255-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_TX256TO511_GB         ((volatile uint32_t *)REG_EMAC0_TX256TO511_GB)          /* EMAC0 Tx 256- to 511-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_TX512TO1023_GB        ((volatile uint32_t *)REG_EMAC0_TX512TO1023_GB)         /* EMAC0 Tx 512- to 1023-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_TX1024TOMAX_GB        ((volatile uint32_t *)REG_EMAC0_TX1024TOMAX_GB)         /* EMAC0 Tx 1024- to Max-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_TXUCASTFRM_GB         ((volatile uint32_t *)REG_EMAC0_TXUCASTFRM_GB)          /* EMAC0 Tx Unicast Frames (Good/Bad) Register */
#define pREG_EMAC0_TXMCASTFRM_GB         ((volatile uint32_t *)REG_EMAC0_TXMCASTFRM_GB)          /* EMAC0 Tx Multicast Frames (Good/Bad) Register */
#define pREG_EMAC0_TXBCASTFRM_GB         ((volatile uint32_t *)REG_EMAC0_TXBCASTFRM_GB)          /* EMAC0 Tx Broadcast Frames (Good/Bad) Register */
#define pREG_EMAC0_TXUNDR_ERR            ((volatile uint32_t *)REG_EMAC0_TXUNDR_ERR)             /* EMAC0 Tx Underflow Error Register */
#define pREG_EMAC0_TXSNGCOL_G            ((volatile uint32_t *)REG_EMAC0_TXSNGCOL_G)             /* EMAC0 Tx Single Collision (Good) Register */
#define pREG_EMAC0_TXMULTCOL_G           ((volatile uint32_t *)REG_EMAC0_TXMULTCOL_G)            /* EMAC0 Tx Multiple Collision (Good) Register */
#define pREG_EMAC0_TXDEFERRED            ((volatile uint32_t *)REG_EMAC0_TXDEFERRED)             /* EMAC0 Tx Deferred Register */
#define pREG_EMAC0_TXLATECOL             ((volatile uint32_t *)REG_EMAC0_TXLATECOL)              /* EMAC0 Tx Late Collision Register */
#define pREG_EMAC0_TXEXCESSCOL           ((volatile uint32_t *)REG_EMAC0_TXEXCESSCOL)            /* EMAC0 Tx Excess Collision Register */
#define pREG_EMAC0_TXCARR_ERR            ((volatile uint32_t *)REG_EMAC0_TXCARR_ERR)             /* EMAC0 Tx Carrier Error Register */
#define pREG_EMAC0_TXOCTCNT_G            ((volatile uint32_t *)REG_EMAC0_TXOCTCNT_G)             /* EMAC0 Tx Octet Count (Good) Register */
#define pREG_EMAC0_TXFRMCNT_G            ((volatile uint32_t *)REG_EMAC0_TXFRMCNT_G)             /* EMAC0 Tx Frame Count (Good) Register */
#define pREG_EMAC0_TXEXCESSDEF           ((volatile uint32_t *)REG_EMAC0_TXEXCESSDEF)            /* EMAC0 Tx Excess Deferral Register */
#define pREG_EMAC0_TXPAUSEFRM            ((volatile uint32_t *)REG_EMAC0_TXPAUSEFRM)             /* EMAC0 Tx Pause Frame Register */
#define pREG_EMAC0_TXVLANFRM_G           ((volatile uint32_t *)REG_EMAC0_TXVLANFRM_G)            /* EMAC0 Tx VLAN Frames (Good) Register */
#define pREG_EMAC0_RXFRMCNT_GB           ((volatile uint32_t *)REG_EMAC0_RXFRMCNT_GB)            /* EMAC0 Rx Frame Count (Good/Bad) Register */
#define pREG_EMAC0_RXOCTCNT_GB           ((volatile uint32_t *)REG_EMAC0_RXOCTCNT_GB)            /* EMAC0 Rx Octet Count (Good/Bad) Register */
#define pREG_EMAC0_RXOCTCNT_G            ((volatile uint32_t *)REG_EMAC0_RXOCTCNT_G)             /* EMAC0 Rx Octet Count (Good) Register */
#define pREG_EMAC0_RXBCASTFRM_G          ((volatile uint32_t *)REG_EMAC0_RXBCASTFRM_G)           /* EMAC0 Rx Broadcast Frames (Good) Register */
#define pREG_EMAC0_RXMCASTFRM_G          ((volatile uint32_t *)REG_EMAC0_RXMCASTFRM_G)           /* EMAC0 Rx Multicast Frames (Good) Register */
#define pREG_EMAC0_RXCRC_ERR             ((volatile uint32_t *)REG_EMAC0_RXCRC_ERR)              /* EMAC0 Rx CRC Error Register */
#define pREG_EMAC0_RXALIGN_ERR           ((volatile uint32_t *)REG_EMAC0_RXALIGN_ERR)            /* EMAC0 Rx alignment Error Register */
#define pREG_EMAC0_RXRUNT_ERR            ((volatile uint32_t *)REG_EMAC0_RXRUNT_ERR)             /* EMAC0 Rx Runt Error Register */
#define pREG_EMAC0_RXJAB_ERR             ((volatile uint32_t *)REG_EMAC0_RXJAB_ERR)              /* EMAC0 Rx Jab Error Register */
#define pREG_EMAC0_RXUSIZE_G             ((volatile uint32_t *)REG_EMAC0_RXUSIZE_G)              /* EMAC0 Rx Undersize (Good) Register */
#define pREG_EMAC0_RXOSIZE_G             ((volatile uint32_t *)REG_EMAC0_RXOSIZE_G)              /* EMAC0 Rx Oversize (Good) Register */
#define pREG_EMAC0_RX64_GB               ((volatile uint32_t *)REG_EMAC0_RX64_GB)                /* EMAC0 Rx 64-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_RX65TO127_GB          ((volatile uint32_t *)REG_EMAC0_RX65TO127_GB)           /* EMAC0 Rx 65- to 127-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_RX128TO255_GB         ((volatile uint32_t *)REG_EMAC0_RX128TO255_GB)          /* EMAC0 Rx 128- to 255-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_RX256TO511_GB         ((volatile uint32_t *)REG_EMAC0_RX256TO511_GB)          /* EMAC0 Rx 256- to 511-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_RX512TO1023_GB        ((volatile uint32_t *)REG_EMAC0_RX512TO1023_GB)         /* EMAC0 Rx 512- to 1023-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_RX1024TOMAX_GB        ((volatile uint32_t *)REG_EMAC0_RX1024TOMAX_GB)         /* EMAC0 Rx 1024- to Max-Byte Frames (Good/Bad) Register */
#define pREG_EMAC0_RXUCASTFRM_G          ((volatile uint32_t *)REG_EMAC0_RXUCASTFRM_G)           /* EMAC0 Rx Unicast Frames (Good) Register */
#define pREG_EMAC0_RXLEN_ERR             ((volatile uint32_t *)REG_EMAC0_RXLEN_ERR)              /* EMAC0 Rx Length Error Register */
#define pREG_EMAC0_RXOORTYPE             ((volatile uint32_t *)REG_EMAC0_RXOORTYPE)              /* EMAC0 Rx Out Of Range Type Register */
#define pREG_EMAC0_RXPAUSEFRM            ((volatile uint32_t *)REG_EMAC0_RXPAUSEFRM)             /* EMAC0 Rx Pause Frames Register */
#define pREG_EMAC0_RXFIFO_OVF            ((volatile uint32_t *)REG_EMAC0_RXFIFO_OVF)             /* EMAC0 Rx FIFO Overflow Register */
#define pREG_EMAC0_RXVLANFRM_GB          ((volatile uint32_t *)REG_EMAC0_RXVLANFRM_GB)           /* EMAC0 Rx VLAN Frames (Good/Bad) Register */
#define pREG_EMAC0_RXWDOG_ERR            ((volatile uint32_t *)REG_EMAC0_RXWDOG_ERR)             /* EMAC0 Rx Watch Dog Error Register */
#define pREG_EMAC0_IPC_RXIMSK            ((volatile uint32_t *)REG_EMAC0_IPC_RXIMSK)             /* EMAC0 MMC IPC Rx Interrupt Mask Register */
#define pREG_EMAC0_IPC_RXINT             ((volatile uint32_t *)REG_EMAC0_IPC_RXINT)              /* EMAC0 MMC IPC Rx Interrupt Register */
#define pREG_EMAC0_RXIPV4_GD_FRM         ((volatile uint32_t *)REG_EMAC0_RXIPV4_GD_FRM)          /* EMAC0 Rx IPv4 Datagrams (Good) Register */
#define pREG_EMAC0_RXIPV4_HDR_ERR_FRM    ((volatile uint32_t *)REG_EMAC0_RXIPV4_HDR_ERR_FRM)     /* EMAC0 Rx IPv4 Datagrams Header Errors Register */
#define pREG_EMAC0_RXIPV4_NOPAY_FRM      ((volatile uint32_t *)REG_EMAC0_RXIPV4_NOPAY_FRM)       /* EMAC0 Rx IPv4 Datagrams No Payload Frame Register */
#define pREG_EMAC0_RXIPV4_FRAG_FRM       ((volatile uint32_t *)REG_EMAC0_RXIPV4_FRAG_FRM)        /* EMAC0 Rx IPv4 Datagrams Fragmented Frames Register */
#define pREG_EMAC0_RXIPV4_UDSBL_FRM      ((volatile uint32_t *)REG_EMAC0_RXIPV4_UDSBL_FRM)       /* EMAC0 Rx IPv4 UDP Disabled Frames Register */
#define pREG_EMAC0_RXIPV6_GD_FRM         ((volatile uint32_t *)REG_EMAC0_RXIPV6_GD_FRM)          /* EMAC0 Rx IPv6 Datagrams Good Frames Register */
#define pREG_EMAC0_RXIPV6_HDR_ERR_FRM    ((volatile uint32_t *)REG_EMAC0_RXIPV6_HDR_ERR_FRM)     /* EMAC0 Rx IPv6 Datagrams Header Error Frames Register */
#define pREG_EMAC0_RXIPV6_NOPAY_FRM      ((volatile uint32_t *)REG_EMAC0_RXIPV6_NOPAY_FRM)       /* EMAC0 Rx IPv6 Datagrams No Payload Frames Register */
#define pREG_EMAC0_RXUDP_GD_FRM          ((volatile uint32_t *)REG_EMAC0_RXUDP_GD_FRM)           /* EMAC0 Rx UDP Good Frames Register */
#define pREG_EMAC0_RXUDP_ERR_FRM         ((volatile uint32_t *)REG_EMAC0_RXUDP_ERR_FRM)          /* EMAC0 Rx UDP Error Frames Register */
#define pREG_EMAC0_RXTCP_GD_FRM          ((volatile uint32_t *)REG_EMAC0_RXTCP_GD_FRM)           /* EMAC0 Rx TCP Good Frames Register */
#define pREG_EMAC0_RXTCP_ERR_FRM         ((volatile uint32_t *)REG_EMAC0_RXTCP_ERR_FRM)          /* EMAC0 Rx TCP Error Frames Register */
#define pREG_EMAC0_RXICMP_GD_FRM         ((volatile uint32_t *)REG_EMAC0_RXICMP_GD_FRM)          /* EMAC0 Rx ICMP Good Frames Register */
#define pREG_EMAC0_RXICMP_ERR_FRM        ((volatile uint32_t *)REG_EMAC0_RXICMP_ERR_FRM)         /* EMAC0 Rx ICMP Error Frames Register */
#define pREG_EMAC0_RXIPV4_GD_OCT         ((volatile uint32_t *)REG_EMAC0_RXIPV4_GD_OCT)          /* EMAC0 Rx IPv4 Datagrams Good Octets Register */
#define pREG_EMAC0_RXIPV4_HDR_ERR_OCT    ((volatile uint32_t *)REG_EMAC0_RXIPV4_HDR_ERR_OCT)     /* EMAC0 Rx IPv4 Datagrams Header Errors Register */
#define pREG_EMAC0_RXIPV4_NOPAY_OCT      ((volatile uint32_t *)REG_EMAC0_RXIPV4_NOPAY_OCT)       /* EMAC0 Rx IPv4 Datagrams No Payload Octets Register */
#define pREG_EMAC0_RXIPV4_FRAG_OCT       ((volatile uint32_t *)REG_EMAC0_RXIPV4_FRAG_OCT)        /* EMAC0 Rx IPv4 Datagrams Fragmented Octets Register */
#define pREG_EMAC0_RXIPV4_UDSBL_OCT      ((volatile uint32_t *)REG_EMAC0_RXIPV4_UDSBL_OCT)       /* EMAC0 Rx IPv4 UDP Disabled Octets Register */
#define pREG_EMAC0_RXIPV6_GD_OCT         ((volatile uint32_t *)REG_EMAC0_RXIPV6_GD_OCT)          /* EMAC0 Rx IPv6 Good Octets Register */
#define pREG_EMAC0_RXIPV6_HDR_ERR_OCT    ((volatile uint32_t *)REG_EMAC0_RXIPV6_HDR_ERR_OCT)     /* EMAC0 Rx IPv6 Header Errors Register */
#define pREG_EMAC0_RXIPV6_NOPAY_OCT      ((volatile uint32_t *)REG_EMAC0_RXIPV6_NOPAY_OCT)       /* EMAC0 Rx IPv6 No Payload Octets Register */
#define pREG_EMAC0_RXUDP_GD_OCT          ((volatile uint32_t *)REG_EMAC0_RXUDP_GD_OCT)           /* EMAC0 Rx UDP Good Octets Register */
#define pREG_EMAC0_RXUDP_ERR_OCT         ((volatile uint32_t *)REG_EMAC0_RXUDP_ERR_OCT)          /* EMAC0 Rx UDP Error Octets Register */
#define pREG_EMAC0_RXTCP_GD_OCT          ((volatile uint32_t *)REG_EMAC0_RXTCP_GD_OCT)           /* EMAC0 Rx TCP Good Octets Register */
#define pREG_EMAC0_RXTCP_ERR_OCT         ((volatile uint32_t *)REG_EMAC0_RXTCP_ERR_OCT)          /* EMAC0 Rx TCP Error Octets Register */
#define pREG_EMAC0_RXICMP_GD_OCT         ((volatile uint32_t *)REG_EMAC0_RXICMP_GD_OCT)          /* EMAC0 Rx ICMP Good Octets Register */
#define pREG_EMAC0_RXICMP_ERR_OCT        ((volatile uint32_t *)REG_EMAC0_RXICMP_ERR_OCT)         /* EMAC0 Rx ICMP Error Octets Register */
#define pREG_EMAC0_TM_CTL                ((volatile uint32_t *)REG_EMAC0_TM_CTL)                 /* EMAC0 Time Stamp Control Register */
#define pREG_EMAC0_TM_SUBSEC             ((volatile uint32_t *)REG_EMAC0_TM_SUBSEC)              /* EMAC0 Time Stamp Sub Second Increment Register */
#define pREG_EMAC0_TM_SEC                ((volatile uint32_t *)REG_EMAC0_TM_SEC)                 /* EMAC0 Time Stamp Low Seconds Register */
#define pREG_EMAC0_TM_NSEC               ((volatile uint32_t *)REG_EMAC0_TM_NSEC)                /* EMAC0 Time Stamp Nanoseconds Register */
#define pREG_EMAC0_TM_SECUPDT            ((volatile uint32_t *)REG_EMAC0_TM_SECUPDT)             /* EMAC0 Time Stamp Seconds Update Register */
#define pREG_EMAC0_TM_NSECUPDT           ((volatile uint32_t *)REG_EMAC0_TM_NSECUPDT)            /* EMAC0 Time Stamp Nanoseconds Update Register */
#define pREG_EMAC0_TM_ADDEND             ((volatile uint32_t *)REG_EMAC0_TM_ADDEND)              /* EMAC0 Time Stamp Addend Register */
#define pREG_EMAC0_TM_TGTM               ((volatile uint32_t *)REG_EMAC0_TM_TGTM)                /* EMAC0 Time Stamp Target Time Seconds Register */
#define pREG_EMAC0_TM_NTGTM              ((volatile uint32_t *)REG_EMAC0_TM_NTGTM)               /* EMAC0 Time Stamp Target Time Nanoseconds Register */
#define pREG_EMAC0_TM_HISEC              ((volatile uint32_t *)REG_EMAC0_TM_HISEC)               /* EMAC0 Time Stamp High Second Register */
#define pREG_EMAC0_TM_STMPSTAT           ((volatile uint32_t *)REG_EMAC0_TM_STMPSTAT)            /* EMAC0 Time Stamp Status Register */
#define pREG_EMAC0_TM_PPSCTL             ((volatile uint32_t *)REG_EMAC0_TM_PPSCTL)              /* EMAC0 PPS Control Register */
#define pREG_EMAC0_TM_AUXSTMP_NSEC       ((volatile uint32_t *)REG_EMAC0_TM_AUXSTMP_NSEC)        /* EMAC0 Time Stamp Auxiliary TS Nano Seconds Register */
#define pREG_EMAC0_TM_AUXSTMP_SEC        ((volatile uint32_t *)REG_EMAC0_TM_AUXSTMP_SEC)         /* EMAC0 Time Stamp Auxiliary TM Seconds Register */
#define pREG_EMAC0_TM_PPSINTVL           ((volatile uint32_t *)REG_EMAC0_TM_PPSINTVL)            /* EMAC0 Time Stamp PPS Interval Register */
#define pREG_EMAC0_TM_PPSWIDTH           ((volatile uint32_t *)REG_EMAC0_TM_PPSWIDTH)            /* EMAC0 PPS Width Register */
#define pREG_EMAC0_DMA_BUSMODE           ((volatile uint32_t *)REG_EMAC0_DMA_BUSMODE)            /* EMAC0 DMA Bus Mode Register */
#define pREG_EMAC0_DMA_TXPOLL            ((volatile uint32_t *)REG_EMAC0_DMA_TXPOLL)             /* EMAC0 DMA Tx Poll Demand Register */
#define pREG_EMAC0_DMA_RXPOLL            ((volatile uint32_t *)REG_EMAC0_DMA_RXPOLL)             /* EMAC0 DMA Rx Poll Demand register */
#define pREG_EMAC0_DMA_RXDSC_ADDR        ((volatile uint32_t *)REG_EMAC0_DMA_RXDSC_ADDR)         /* EMAC0 DMA Rx Descriptor List Address Register */
#define pREG_EMAC0_DMA_TXDSC_ADDR        ((volatile uint32_t *)REG_EMAC0_DMA_TXDSC_ADDR)         /* EMAC0 DMA Tx Descriptor List Address Register */
#define pREG_EMAC0_DMA_STAT              ((volatile uint32_t *)REG_EMAC0_DMA_STAT)               /* EMAC0 DMA Status Register */
#define pREG_EMAC0_DMA_OPMODE            ((volatile uint32_t *)REG_EMAC0_DMA_OPMODE)             /* EMAC0 DMA Operation Mode Register */
#define pREG_EMAC0_DMA_IEN               ((volatile uint32_t *)REG_EMAC0_DMA_IEN)                /* EMAC0 DMA Interrupt Enable Register */
#define pREG_EMAC0_DMA_MISS_FRM          ((volatile uint32_t *)REG_EMAC0_DMA_MISS_FRM)           /* EMAC0 DMA Missed Frame Register */
#define pREG_EMAC0_DMA_RXIWDOG           ((volatile uint32_t *)REG_EMAC0_DMA_RXIWDOG)            /* EMAC0 DMA Rx Interrupt Watch Dog Register */
#define pREG_EMAC0_DMA_BMMODE            ((volatile uint32_t *)REG_EMAC0_DMA_BMMODE)             /* EMAC0 DMA SCB Bus Mode Register */
#define pREG_EMAC0_DMA_BMSTAT            ((volatile uint32_t *)REG_EMAC0_DMA_BMSTAT)             /* EMAC0 DMA SCB Status Register */
#define pREG_EMAC0_DMA_TXDSC_CUR         ((volatile uint32_t *)REG_EMAC0_DMA_TXDSC_CUR)          /* EMAC0 DMA Tx Descriptor Current Register */
#define pREG_EMAC0_DMA_RXDSC_CUR         ((volatile uint32_t *)REG_EMAC0_DMA_RXDSC_CUR)          /* EMAC0 DMA Rx Descriptor Current Register */
#define pREG_EMAC0_DMA_TXBUF_CUR         ((volatile uint32_t *)REG_EMAC0_DMA_TXBUF_CUR)          /* EMAC0 DMA Tx Buffer Current Register */
#define pREG_EMAC0_DMA_RXBUF_CUR         ((volatile uint32_t *)REG_EMAC0_DMA_RXBUF_CUR)          /* EMAC0 DMA Rx Buffer Current Register */


/* =========================================================================
       SWU0
   ========================================================================= */
#define pREG_SWU0_GCTL                   ((volatile uint32_t *)REG_SWU0_GCTL)                    /* SWU0 Global Control Register */
#define pREG_SWU0_GSTAT                  ((volatile uint32_t *)REG_SWU0_GSTAT)                   /* SWU0 Global Status Register */
#define pREG_SWU0_CTL0                   ((volatile uint32_t *)REG_SWU0_CTL0)                    /* SWU0 Control Register n */
#define pREG_SWU0_CTL1                   ((volatile uint32_t *)REG_SWU0_CTL1)                    /* SWU0 Control Register n */
#define pREG_SWU0_CTL2                   ((volatile uint32_t *)REG_SWU0_CTL2)                    /* SWU0 Control Register n */
#define pREG_SWU0_CTL3                   ((volatile uint32_t *)REG_SWU0_CTL3)                    /* SWU0 Control Register n */
#define pREG_SWU0_LA0                    ((void * volatile *)REG_SWU0_LA0)                       /* SWU0 Lower Address Register n */
#define pREG_SWU0_LA1                    ((void * volatile *)REG_SWU0_LA1)                       /* SWU0 Lower Address Register n */
#define pREG_SWU0_LA2                    ((void * volatile *)REG_SWU0_LA2)                       /* SWU0 Lower Address Register n */
#define pREG_SWU0_LA3                    ((void * volatile *)REG_SWU0_LA3)                       /* SWU0 Lower Address Register n */
#define pREG_SWU0_UA0                    ((void * volatile *)REG_SWU0_UA0)                       /* SWU0 Upper Address Register n */
#define pREG_SWU0_UA1                    ((void * volatile *)REG_SWU0_UA1)                       /* SWU0 Upper Address Register n */
#define pREG_SWU0_UA2                    ((void * volatile *)REG_SWU0_UA2)                       /* SWU0 Upper Address Register n */
#define pREG_SWU0_UA3                    ((void * volatile *)REG_SWU0_UA3)                       /* SWU0 Upper Address Register n */
#define pREG_SWU0_ID0                    ((volatile uint32_t *)REG_SWU0_ID0)                     /* SWU0 ID Register n */
#define pREG_SWU0_ID1                    ((volatile uint32_t *)REG_SWU0_ID1)                     /* SWU0 ID Register n */
#define pREG_SWU0_ID2                    ((volatile uint32_t *)REG_SWU0_ID2)                     /* SWU0 ID Register n */
#define pREG_SWU0_ID3                    ((volatile uint32_t *)REG_SWU0_ID3)                     /* SWU0 ID Register n */
#define pREG_SWU0_CNT0                   ((volatile uint32_t *)REG_SWU0_CNT0)                    /* SWU0 Count Register n */
#define pREG_SWU0_CNT1                   ((volatile uint32_t *)REG_SWU0_CNT1)                    /* SWU0 Count Register n */
#define pREG_SWU0_CNT2                   ((volatile uint32_t *)REG_SWU0_CNT2)                    /* SWU0 Count Register n */
#define pREG_SWU0_CNT3                   ((volatile uint32_t *)REG_SWU0_CNT3)                    /* SWU0 Count Register n */
#define pREG_SWU0_TARG0                  ((volatile uint32_t *)REG_SWU0_TARG0)                   /* SWU0 Target Register n */
#define pREG_SWU0_TARG1                  ((volatile uint32_t *)REG_SWU0_TARG1)                   /* SWU0 Target Register n */
#define pREG_SWU0_TARG2                  ((volatile uint32_t *)REG_SWU0_TARG2)                   /* SWU0 Target Register n */
#define pREG_SWU0_TARG3                  ((volatile uint32_t *)REG_SWU0_TARG3)                   /* SWU0 Target Register n */
#define pREG_SWU0_HIST0                  ((volatile uint32_t *)REG_SWU0_HIST0)                   /* SWU0 Bandwidth History Register n */
#define pREG_SWU0_HIST1                  ((volatile uint32_t *)REG_SWU0_HIST1)                   /* SWU0 Bandwidth History Register n */
#define pREG_SWU0_HIST2                  ((volatile uint32_t *)REG_SWU0_HIST2)                   /* SWU0 Bandwidth History Register n */
#define pREG_SWU0_HIST3                  ((volatile uint32_t *)REG_SWU0_HIST3)                   /* SWU0 Bandwidth History Register n */
#define pREG_SWU0_CUR0                   ((volatile uint32_t *)REG_SWU0_CUR0)                    /* SWU0 Current Register n */
#define pREG_SWU0_CUR1                   ((volatile uint32_t *)REG_SWU0_CUR1)                    /* SWU0 Current Register n */
#define pREG_SWU0_CUR2                   ((volatile uint32_t *)REG_SWU0_CUR2)                    /* SWU0 Current Register n */
#define pREG_SWU0_CUR3                   ((volatile uint32_t *)REG_SWU0_CUR3)                    /* SWU0 Current Register n */

/* =========================================================================
       SWU1
   ========================================================================= */
#define pREG_SWU1_GCTL                   ((volatile uint32_t *)REG_SWU1_GCTL)                    /* SWU1 Global Control Register */
#define pREG_SWU1_GSTAT                  ((volatile uint32_t *)REG_SWU1_GSTAT)                   /* SWU1 Global Status Register */
#define pREG_SWU1_CTL0                   ((volatile uint32_t *)REG_SWU1_CTL0)                    /* SWU1 Control Register n */
#define pREG_SWU1_CTL1                   ((volatile uint32_t *)REG_SWU1_CTL1)                    /* SWU1 Control Register n */
#define pREG_SWU1_CTL2                   ((volatile uint32_t *)REG_SWU1_CTL2)                    /* SWU1 Control Register n */
#define pREG_SWU1_CTL3                   ((volatile uint32_t *)REG_SWU1_CTL3)                    /* SWU1 Control Register n */
#define pREG_SWU1_LA0                    ((void * volatile *)REG_SWU1_LA0)                       /* SWU1 Lower Address Register n */
#define pREG_SWU1_LA1                    ((void * volatile *)REG_SWU1_LA1)                       /* SWU1 Lower Address Register n */
#define pREG_SWU1_LA2                    ((void * volatile *)REG_SWU1_LA2)                       /* SWU1 Lower Address Register n */
#define pREG_SWU1_LA3                    ((void * volatile *)REG_SWU1_LA3)                       /* SWU1 Lower Address Register n */
#define pREG_SWU1_UA0                    ((void * volatile *)REG_SWU1_UA0)                       /* SWU1 Upper Address Register n */
#define pREG_SWU1_UA1                    ((void * volatile *)REG_SWU1_UA1)                       /* SWU1 Upper Address Register n */
#define pREG_SWU1_UA2                    ((void * volatile *)REG_SWU1_UA2)                       /* SWU1 Upper Address Register n */
#define pREG_SWU1_UA3                    ((void * volatile *)REG_SWU1_UA3)                       /* SWU1 Upper Address Register n */
#define pREG_SWU1_ID0                    ((volatile uint32_t *)REG_SWU1_ID0)                     /* SWU1 ID Register n */
#define pREG_SWU1_ID1                    ((volatile uint32_t *)REG_SWU1_ID1)                     /* SWU1 ID Register n */
#define pREG_SWU1_ID2                    ((volatile uint32_t *)REG_SWU1_ID2)                     /* SWU1 ID Register n */
#define pREG_SWU1_ID3                    ((volatile uint32_t *)REG_SWU1_ID3)                     /* SWU1 ID Register n */
#define pREG_SWU1_CNT0                   ((volatile uint32_t *)REG_SWU1_CNT0)                    /* SWU1 Count Register n */
#define pREG_SWU1_CNT1                   ((volatile uint32_t *)REG_SWU1_CNT1)                    /* SWU1 Count Register n */
#define pREG_SWU1_CNT2                   ((volatile uint32_t *)REG_SWU1_CNT2)                    /* SWU1 Count Register n */
#define pREG_SWU1_CNT3                   ((volatile uint32_t *)REG_SWU1_CNT3)                    /* SWU1 Count Register n */
#define pREG_SWU1_TARG0                  ((volatile uint32_t *)REG_SWU1_TARG0)                   /* SWU1 Target Register n */
#define pREG_SWU1_TARG1                  ((volatile uint32_t *)REG_SWU1_TARG1)                   /* SWU1 Target Register n */
#define pREG_SWU1_TARG2                  ((volatile uint32_t *)REG_SWU1_TARG2)                   /* SWU1 Target Register n */
#define pREG_SWU1_TARG3                  ((volatile uint32_t *)REG_SWU1_TARG3)                   /* SWU1 Target Register n */
#define pREG_SWU1_HIST0                  ((volatile uint32_t *)REG_SWU1_HIST0)                   /* SWU1 Bandwidth History Register n */
#define pREG_SWU1_HIST1                  ((volatile uint32_t *)REG_SWU1_HIST1)                   /* SWU1 Bandwidth History Register n */
#define pREG_SWU1_HIST2                  ((volatile uint32_t *)REG_SWU1_HIST2)                   /* SWU1 Bandwidth History Register n */
#define pREG_SWU1_HIST3                  ((volatile uint32_t *)REG_SWU1_HIST3)                   /* SWU1 Bandwidth History Register n */
#define pREG_SWU1_CUR0                   ((volatile uint32_t *)REG_SWU1_CUR0)                    /* SWU1 Current Register n */
#define pREG_SWU1_CUR1                   ((volatile uint32_t *)REG_SWU1_CUR1)                    /* SWU1 Current Register n */
#define pREG_SWU1_CUR2                   ((volatile uint32_t *)REG_SWU1_CUR2)                    /* SWU1 Current Register n */
#define pREG_SWU1_CUR3                   ((volatile uint32_t *)REG_SWU1_CUR3)                    /* SWU1 Current Register n */

/* =========================================================================
       SWU2
   ========================================================================= */
#define pREG_SWU2_GCTL                   ((volatile uint32_t *)REG_SWU2_GCTL)                    /* SWU2 Global Control Register */
#define pREG_SWU2_GSTAT                  ((volatile uint32_t *)REG_SWU2_GSTAT)                   /* SWU2 Global Status Register */
#define pREG_SWU2_CTL0                   ((volatile uint32_t *)REG_SWU2_CTL0)                    /* SWU2 Control Register n */
#define pREG_SWU2_CTL1                   ((volatile uint32_t *)REG_SWU2_CTL1)                    /* SWU2 Control Register n */
#define pREG_SWU2_CTL2                   ((volatile uint32_t *)REG_SWU2_CTL2)                    /* SWU2 Control Register n */
#define pREG_SWU2_CTL3                   ((volatile uint32_t *)REG_SWU2_CTL3)                    /* SWU2 Control Register n */
#define pREG_SWU2_LA0                    ((void * volatile *)REG_SWU2_LA0)                       /* SWU2 Lower Address Register n */
#define pREG_SWU2_LA1                    ((void * volatile *)REG_SWU2_LA1)                       /* SWU2 Lower Address Register n */
#define pREG_SWU2_LA2                    ((void * volatile *)REG_SWU2_LA2)                       /* SWU2 Lower Address Register n */
#define pREG_SWU2_LA3                    ((void * volatile *)REG_SWU2_LA3)                       /* SWU2 Lower Address Register n */
#define pREG_SWU2_UA0                    ((void * volatile *)REG_SWU2_UA0)                       /* SWU2 Upper Address Register n */
#define pREG_SWU2_UA1                    ((void * volatile *)REG_SWU2_UA1)                       /* SWU2 Upper Address Register n */
#define pREG_SWU2_UA2                    ((void * volatile *)REG_SWU2_UA2)                       /* SWU2 Upper Address Register n */
#define pREG_SWU2_UA3                    ((void * volatile *)REG_SWU2_UA3)                       /* SWU2 Upper Address Register n */
#define pREG_SWU2_ID0                    ((volatile uint32_t *)REG_SWU2_ID0)                     /* SWU2 ID Register n */
#define pREG_SWU2_ID1                    ((volatile uint32_t *)REG_SWU2_ID1)                     /* SWU2 ID Register n */
#define pREG_SWU2_ID2                    ((volatile uint32_t *)REG_SWU2_ID2)                     /* SWU2 ID Register n */
#define pREG_SWU2_ID3                    ((volatile uint32_t *)REG_SWU2_ID3)                     /* SWU2 ID Register n */
#define pREG_SWU2_CNT0                   ((volatile uint32_t *)REG_SWU2_CNT0)                    /* SWU2 Count Register n */
#define pREG_SWU2_CNT1                   ((volatile uint32_t *)REG_SWU2_CNT1)                    /* SWU2 Count Register n */
#define pREG_SWU2_CNT2                   ((volatile uint32_t *)REG_SWU2_CNT2)                    /* SWU2 Count Register n */
#define pREG_SWU2_CNT3                   ((volatile uint32_t *)REG_SWU2_CNT3)                    /* SWU2 Count Register n */
#define pREG_SWU2_TARG0                  ((volatile uint32_t *)REG_SWU2_TARG0)                   /* SWU2 Target Register n */
#define pREG_SWU2_TARG1                  ((volatile uint32_t *)REG_SWU2_TARG1)                   /* SWU2 Target Register n */
#define pREG_SWU2_TARG2                  ((volatile uint32_t *)REG_SWU2_TARG2)                   /* SWU2 Target Register n */
#define pREG_SWU2_TARG3                  ((volatile uint32_t *)REG_SWU2_TARG3)                   /* SWU2 Target Register n */
#define pREG_SWU2_HIST0                  ((volatile uint32_t *)REG_SWU2_HIST0)                   /* SWU2 Bandwidth History Register n */
#define pREG_SWU2_HIST1                  ((volatile uint32_t *)REG_SWU2_HIST1)                   /* SWU2 Bandwidth History Register n */
#define pREG_SWU2_HIST2                  ((volatile uint32_t *)REG_SWU2_HIST2)                   /* SWU2 Bandwidth History Register n */
#define pREG_SWU2_HIST3                  ((volatile uint32_t *)REG_SWU2_HIST3)                   /* SWU2 Bandwidth History Register n */
#define pREG_SWU2_CUR0                   ((volatile uint32_t *)REG_SWU2_CUR0)                    /* SWU2 Current Register n */
#define pREG_SWU2_CUR1                   ((volatile uint32_t *)REG_SWU2_CUR1)                    /* SWU2 Current Register n */
#define pREG_SWU2_CUR2                   ((volatile uint32_t *)REG_SWU2_CUR2)                    /* SWU2 Current Register n */
#define pREG_SWU2_CUR3                   ((volatile uint32_t *)REG_SWU2_CUR3)                    /* SWU2 Current Register n */

/* =========================================================================
       SWU3
   ========================================================================= */
#define pREG_SWU3_GCTL                   ((volatile uint32_t *)REG_SWU3_GCTL)                    /* SWU3 Global Control Register */
#define pREG_SWU3_GSTAT                  ((volatile uint32_t *)REG_SWU3_GSTAT)                   /* SWU3 Global Status Register */
#define pREG_SWU3_CTL0                   ((volatile uint32_t *)REG_SWU3_CTL0)                    /* SWU3 Control Register n */
#define pREG_SWU3_CTL1                   ((volatile uint32_t *)REG_SWU3_CTL1)                    /* SWU3 Control Register n */
#define pREG_SWU3_CTL2                   ((volatile uint32_t *)REG_SWU3_CTL2)                    /* SWU3 Control Register n */
#define pREG_SWU3_CTL3                   ((volatile uint32_t *)REG_SWU3_CTL3)                    /* SWU3 Control Register n */
#define pREG_SWU3_LA0                    ((void * volatile *)REG_SWU3_LA0)                       /* SWU3 Lower Address Register n */
#define pREG_SWU3_LA1                    ((void * volatile *)REG_SWU3_LA1)                       /* SWU3 Lower Address Register n */
#define pREG_SWU3_LA2                    ((void * volatile *)REG_SWU3_LA2)                       /* SWU3 Lower Address Register n */
#define pREG_SWU3_LA3                    ((void * volatile *)REG_SWU3_LA3)                       /* SWU3 Lower Address Register n */
#define pREG_SWU3_UA0                    ((void * volatile *)REG_SWU3_UA0)                       /* SWU3 Upper Address Register n */
#define pREG_SWU3_UA1                    ((void * volatile *)REG_SWU3_UA1)                       /* SWU3 Upper Address Register n */
#define pREG_SWU3_UA2                    ((void * volatile *)REG_SWU3_UA2)                       /* SWU3 Upper Address Register n */
#define pREG_SWU3_UA3                    ((void * volatile *)REG_SWU3_UA3)                       /* SWU3 Upper Address Register n */
#define pREG_SWU3_ID0                    ((volatile uint32_t *)REG_SWU3_ID0)                     /* SWU3 ID Register n */
#define pREG_SWU3_ID1                    ((volatile uint32_t *)REG_SWU3_ID1)                     /* SWU3 ID Register n */
#define pREG_SWU3_ID2                    ((volatile uint32_t *)REG_SWU3_ID2)                     /* SWU3 ID Register n */
#define pREG_SWU3_ID3                    ((volatile uint32_t *)REG_SWU3_ID3)                     /* SWU3 ID Register n */
#define pREG_SWU3_CNT0                   ((volatile uint32_t *)REG_SWU3_CNT0)                    /* SWU3 Count Register n */
#define pREG_SWU3_CNT1                   ((volatile uint32_t *)REG_SWU3_CNT1)                    /* SWU3 Count Register n */
#define pREG_SWU3_CNT2                   ((volatile uint32_t *)REG_SWU3_CNT2)                    /* SWU3 Count Register n */
#define pREG_SWU3_CNT3                   ((volatile uint32_t *)REG_SWU3_CNT3)                    /* SWU3 Count Register n */
#define pREG_SWU3_TARG0                  ((volatile uint32_t *)REG_SWU3_TARG0)                   /* SWU3 Target Register n */
#define pREG_SWU3_TARG1                  ((volatile uint32_t *)REG_SWU3_TARG1)                   /* SWU3 Target Register n */
#define pREG_SWU3_TARG2                  ((volatile uint32_t *)REG_SWU3_TARG2)                   /* SWU3 Target Register n */
#define pREG_SWU3_TARG3                  ((volatile uint32_t *)REG_SWU3_TARG3)                   /* SWU3 Target Register n */
#define pREG_SWU3_HIST0                  ((volatile uint32_t *)REG_SWU3_HIST0)                   /* SWU3 Bandwidth History Register n */
#define pREG_SWU3_HIST1                  ((volatile uint32_t *)REG_SWU3_HIST1)                   /* SWU3 Bandwidth History Register n */
#define pREG_SWU3_HIST2                  ((volatile uint32_t *)REG_SWU3_HIST2)                   /* SWU3 Bandwidth History Register n */
#define pREG_SWU3_HIST3                  ((volatile uint32_t *)REG_SWU3_HIST3)                   /* SWU3 Bandwidth History Register n */
#define pREG_SWU3_CUR0                   ((volatile uint32_t *)REG_SWU3_CUR0)                    /* SWU3 Current Register n */
#define pREG_SWU3_CUR1                   ((volatile uint32_t *)REG_SWU3_CUR1)                    /* SWU3 Current Register n */
#define pREG_SWU3_CUR2                   ((volatile uint32_t *)REG_SWU3_CUR2)                    /* SWU3 Current Register n */
#define pREG_SWU3_CUR3                   ((volatile uint32_t *)REG_SWU3_CUR3)                    /* SWU3 Current Register n */

/* =========================================================================
       SWU4
   ========================================================================= */
#define pREG_SWU4_GCTL                   ((volatile uint32_t *)REG_SWU4_GCTL)                    /* SWU4 Global Control Register */
#define pREG_SWU4_GSTAT                  ((volatile uint32_t *)REG_SWU4_GSTAT)                   /* SWU4 Global Status Register */
#define pREG_SWU4_CTL0                   ((volatile uint32_t *)REG_SWU4_CTL0)                    /* SWU4 Control Register n */
#define pREG_SWU4_CTL1                   ((volatile uint32_t *)REG_SWU4_CTL1)                    /* SWU4 Control Register n */
#define pREG_SWU4_CTL2                   ((volatile uint32_t *)REG_SWU4_CTL2)                    /* SWU4 Control Register n */
#define pREG_SWU4_CTL3                   ((volatile uint32_t *)REG_SWU4_CTL3)                    /* SWU4 Control Register n */
#define pREG_SWU4_LA0                    ((void * volatile *)REG_SWU4_LA0)                       /* SWU4 Lower Address Register n */
#define pREG_SWU4_LA1                    ((void * volatile *)REG_SWU4_LA1)                       /* SWU4 Lower Address Register n */
#define pREG_SWU4_LA2                    ((void * volatile *)REG_SWU4_LA2)                       /* SWU4 Lower Address Register n */
#define pREG_SWU4_LA3                    ((void * volatile *)REG_SWU4_LA3)                       /* SWU4 Lower Address Register n */
#define pREG_SWU4_UA0                    ((void * volatile *)REG_SWU4_UA0)                       /* SWU4 Upper Address Register n */
#define pREG_SWU4_UA1                    ((void * volatile *)REG_SWU4_UA1)                       /* SWU4 Upper Address Register n */
#define pREG_SWU4_UA2                    ((void * volatile *)REG_SWU4_UA2)                       /* SWU4 Upper Address Register n */
#define pREG_SWU4_UA3                    ((void * volatile *)REG_SWU4_UA3)                       /* SWU4 Upper Address Register n */
#define pREG_SWU4_ID0                    ((volatile uint32_t *)REG_SWU4_ID0)                     /* SWU4 ID Register n */
#define pREG_SWU4_ID1                    ((volatile uint32_t *)REG_SWU4_ID1)                     /* SWU4 ID Register n */
#define pREG_SWU4_ID2                    ((volatile uint32_t *)REG_SWU4_ID2)                     /* SWU4 ID Register n */
#define pREG_SWU4_ID3                    ((volatile uint32_t *)REG_SWU4_ID3)                     /* SWU4 ID Register n */
#define pREG_SWU4_CNT0                   ((volatile uint32_t *)REG_SWU4_CNT0)                    /* SWU4 Count Register n */
#define pREG_SWU4_CNT1                   ((volatile uint32_t *)REG_SWU4_CNT1)                    /* SWU4 Count Register n */
#define pREG_SWU4_CNT2                   ((volatile uint32_t *)REG_SWU4_CNT2)                    /* SWU4 Count Register n */
#define pREG_SWU4_CNT3                   ((volatile uint32_t *)REG_SWU4_CNT3)                    /* SWU4 Count Register n */
#define pREG_SWU4_TARG0                  ((volatile uint32_t *)REG_SWU4_TARG0)                   /* SWU4 Target Register n */
#define pREG_SWU4_TARG1                  ((volatile uint32_t *)REG_SWU4_TARG1)                   /* SWU4 Target Register n */
#define pREG_SWU4_TARG2                  ((volatile uint32_t *)REG_SWU4_TARG2)                   /* SWU4 Target Register n */
#define pREG_SWU4_TARG3                  ((volatile uint32_t *)REG_SWU4_TARG3)                   /* SWU4 Target Register n */
#define pREG_SWU4_HIST0                  ((volatile uint32_t *)REG_SWU4_HIST0)                   /* SWU4 Bandwidth History Register n */
#define pREG_SWU4_HIST1                  ((volatile uint32_t *)REG_SWU4_HIST1)                   /* SWU4 Bandwidth History Register n */
#define pREG_SWU4_HIST2                  ((volatile uint32_t *)REG_SWU4_HIST2)                   /* SWU4 Bandwidth History Register n */
#define pREG_SWU4_HIST3                  ((volatile uint32_t *)REG_SWU4_HIST3)                   /* SWU4 Bandwidth History Register n */
#define pREG_SWU4_CUR0                   ((volatile uint32_t *)REG_SWU4_CUR0)                    /* SWU4 Current Register n */
#define pREG_SWU4_CUR1                   ((volatile uint32_t *)REG_SWU4_CUR1)                    /* SWU4 Current Register n */
#define pREG_SWU4_CUR2                   ((volatile uint32_t *)REG_SWU4_CUR2)                    /* SWU4 Current Register n */
#define pREG_SWU4_CUR3                   ((volatile uint32_t *)REG_SWU4_CUR3)                    /* SWU4 Current Register n */


/* =========================================================================
       SPU0
   ========================================================================= */
#define pREG_SPU0_CTL                    ((volatile uint32_t *)REG_SPU0_CTL)                     /* SPU0 Control Register */
#define pREG_SPU0_STAT                   ((volatile uint32_t *)REG_SPU0_STAT)                    /* SPU0 Status Register */
#define pREG_SPU0_WP0                    ((volatile uint32_t *)REG_SPU0_WP0)                     /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP1                    ((volatile uint32_t *)REG_SPU0_WP1)                     /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP2                    ((volatile uint32_t *)REG_SPU0_WP2)                     /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP3                    ((volatile uint32_t *)REG_SPU0_WP3)                     /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP4                    ((volatile uint32_t *)REG_SPU0_WP4)                     /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP5                    ((volatile uint32_t *)REG_SPU0_WP5)                     /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP6                    ((volatile uint32_t *)REG_SPU0_WP6)                     /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP7                    ((volatile uint32_t *)REG_SPU0_WP7)                     /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP8                    ((volatile uint32_t *)REG_SPU0_WP8)                     /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP9                    ((volatile uint32_t *)REG_SPU0_WP9)                     /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP10                   ((volatile uint32_t *)REG_SPU0_WP10)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP11                   ((volatile uint32_t *)REG_SPU0_WP11)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP12                   ((volatile uint32_t *)REG_SPU0_WP12)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP13                   ((volatile uint32_t *)REG_SPU0_WP13)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP14                   ((volatile uint32_t *)REG_SPU0_WP14)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP15                   ((volatile uint32_t *)REG_SPU0_WP15)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP16                   ((volatile uint32_t *)REG_SPU0_WP16)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP17                   ((volatile uint32_t *)REG_SPU0_WP17)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP18                   ((volatile uint32_t *)REG_SPU0_WP18)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP19                   ((volatile uint32_t *)REG_SPU0_WP19)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP20                   ((volatile uint32_t *)REG_SPU0_WP20)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP21                   ((volatile uint32_t *)REG_SPU0_WP21)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP22                   ((volatile uint32_t *)REG_SPU0_WP22)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP23                   ((volatile uint32_t *)REG_SPU0_WP23)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP24                   ((volatile uint32_t *)REG_SPU0_WP24)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP25                   ((volatile uint32_t *)REG_SPU0_WP25)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP26                   ((volatile uint32_t *)REG_SPU0_WP26)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP27                   ((volatile uint32_t *)REG_SPU0_WP27)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP28                   ((volatile uint32_t *)REG_SPU0_WP28)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP29                   ((volatile uint32_t *)REG_SPU0_WP29)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP30                   ((volatile uint32_t *)REG_SPU0_WP30)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP31                   ((volatile uint32_t *)REG_SPU0_WP31)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP32                   ((volatile uint32_t *)REG_SPU0_WP32)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP33                   ((volatile uint32_t *)REG_SPU0_WP33)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP34                   ((volatile uint32_t *)REG_SPU0_WP34)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP35                   ((volatile uint32_t *)REG_SPU0_WP35)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP36                   ((volatile uint32_t *)REG_SPU0_WP36)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP37                   ((volatile uint32_t *)REG_SPU0_WP37)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP38                   ((volatile uint32_t *)REG_SPU0_WP38)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP39                   ((volatile uint32_t *)REG_SPU0_WP39)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP40                   ((volatile uint32_t *)REG_SPU0_WP40)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP41                   ((volatile uint32_t *)REG_SPU0_WP41)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP42                   ((volatile uint32_t *)REG_SPU0_WP42)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP43                   ((volatile uint32_t *)REG_SPU0_WP43)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP44                   ((volatile uint32_t *)REG_SPU0_WP44)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP45                   ((volatile uint32_t *)REG_SPU0_WP45)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP46                   ((volatile uint32_t *)REG_SPU0_WP46)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP47                   ((volatile uint32_t *)REG_SPU0_WP47)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP48                   ((volatile uint32_t *)REG_SPU0_WP48)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP49                   ((volatile uint32_t *)REG_SPU0_WP49)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP50                   ((volatile uint32_t *)REG_SPU0_WP50)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP51                   ((volatile uint32_t *)REG_SPU0_WP51)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP52                   ((volatile uint32_t *)REG_SPU0_WP52)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP53                   ((volatile uint32_t *)REG_SPU0_WP53)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP54                   ((volatile uint32_t *)REG_SPU0_WP54)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP55                   ((volatile uint32_t *)REG_SPU0_WP55)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP56                   ((volatile uint32_t *)REG_SPU0_WP56)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP57                   ((volatile uint32_t *)REG_SPU0_WP57)                    /* SPU0 Write Protect Register n */
#define pREG_SPU0_WP58                   ((volatile uint32_t *)REG_SPU0_WP58)                    /* SPU0 Write Protect Register n */


/* =========================================================================
       SEC0
   ========================================================================= */

/*    SEC Fault Management Interface (SFI) Registers    */
#define pREG_SEC0_FCTL                   ((volatile uint32_t *)REG_SEC0_FCTL)                    /* SEC0 Fault Control Register */
#define pREG_SEC0_FSTAT                  ((volatile uint32_t *)REG_SEC0_FSTAT)                   /* SEC0 Fault Status Register */
#define pREG_SEC0_FSID                   ((volatile uint32_t *)REG_SEC0_FSID)                    /* SEC0 Fault Source ID Register */
#define pREG_SEC0_FEND                   ((volatile uint32_t *)REG_SEC0_FEND)                    /* SEC0 Fault End Register */
#define pREG_SEC0_FDLY                   ((volatile uint32_t *)REG_SEC0_FDLY)                    /* SEC0 Fault Delay Register */
#define pREG_SEC0_FDLY_CUR               ((volatile uint32_t *)REG_SEC0_FDLY_CUR)                /* SEC0 Fault Delay Current Register */
#define pREG_SEC0_FSRDLY                 ((volatile uint32_t *)REG_SEC0_FSRDLY)                  /* SEC0 Fault System Reset Delay Register */
#define pREG_SEC0_FSRDLY_CUR             ((volatile uint32_t *)REG_SEC0_FSRDLY_CUR)              /* SEC0 Fault System Reset Delay Current Register */
#define pREG_SEC0_FCOPP                  ((volatile uint32_t *)REG_SEC0_FCOPP)                   /* SEC0 Fault COP Period Register */
#define pREG_SEC0_FCOPP_CUR              ((volatile uint32_t *)REG_SEC0_FCOPP_CUR)               /* SEC0 Fault COP Period Current Register */

/*    SEC Global Registers    */
#define pREG_SEC0_GCTL                   ((volatile uint32_t *)REG_SEC0_GCTL)                    /* SEC0 Global Control Register */
#define pREG_SEC0_GSTAT                  ((volatile uint32_t *)REG_SEC0_GSTAT)                   /* SEC0 Global Status Register */
#define pREG_SEC0_RAISE                  ((volatile uint32_t *)REG_SEC0_RAISE)                   /* SEC0 Global Raise Register */

/*    SEC Source Interface (SSI) Registers    */
#define pREG_SEC0_SCTL0                  ((volatile uint32_t *)REG_SEC0_SCTL0)                   /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL1                  ((volatile uint32_t *)REG_SEC0_SCTL1)                   /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL2                  ((volatile uint32_t *)REG_SEC0_SCTL2)                   /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL3                  ((volatile uint32_t *)REG_SEC0_SCTL3)                   /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL4                  ((volatile uint32_t *)REG_SEC0_SCTL4)                   /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL5                  ((volatile uint32_t *)REG_SEC0_SCTL5)                   /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL6                  ((volatile uint32_t *)REG_SEC0_SCTL6)                   /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL7                  ((volatile uint32_t *)REG_SEC0_SCTL7)                   /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL8                  ((volatile uint32_t *)REG_SEC0_SCTL8)                   /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL9                  ((volatile uint32_t *)REG_SEC0_SCTL9)                   /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL10                 ((volatile uint32_t *)REG_SEC0_SCTL10)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL11                 ((volatile uint32_t *)REG_SEC0_SCTL11)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL12                 ((volatile uint32_t *)REG_SEC0_SCTL12)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL13                 ((volatile uint32_t *)REG_SEC0_SCTL13)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL14                 ((volatile uint32_t *)REG_SEC0_SCTL14)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL15                 ((volatile uint32_t *)REG_SEC0_SCTL15)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL16                 ((volatile uint32_t *)REG_SEC0_SCTL16)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL17                 ((volatile uint32_t *)REG_SEC0_SCTL17)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL18                 ((volatile uint32_t *)REG_SEC0_SCTL18)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL19                 ((volatile uint32_t *)REG_SEC0_SCTL19)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL20                 ((volatile uint32_t *)REG_SEC0_SCTL20)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL21                 ((volatile uint32_t *)REG_SEC0_SCTL21)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL22                 ((volatile uint32_t *)REG_SEC0_SCTL22)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL23                 ((volatile uint32_t *)REG_SEC0_SCTL23)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL24                 ((volatile uint32_t *)REG_SEC0_SCTL24)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL25                 ((volatile uint32_t *)REG_SEC0_SCTL25)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL26                 ((volatile uint32_t *)REG_SEC0_SCTL26)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL27                 ((volatile uint32_t *)REG_SEC0_SCTL27)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL28                 ((volatile uint32_t *)REG_SEC0_SCTL28)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL29                 ((volatile uint32_t *)REG_SEC0_SCTL29)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL30                 ((volatile uint32_t *)REG_SEC0_SCTL30)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL31                 ((volatile uint32_t *)REG_SEC0_SCTL31)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL32                 ((volatile uint32_t *)REG_SEC0_SCTL32)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL33                 ((volatile uint32_t *)REG_SEC0_SCTL33)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL34                 ((volatile uint32_t *)REG_SEC0_SCTL34)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL35                 ((volatile uint32_t *)REG_SEC0_SCTL35)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL36                 ((volatile uint32_t *)REG_SEC0_SCTL36)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL37                 ((volatile uint32_t *)REG_SEC0_SCTL37)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL38                 ((volatile uint32_t *)REG_SEC0_SCTL38)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL39                 ((volatile uint32_t *)REG_SEC0_SCTL39)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL40                 ((volatile uint32_t *)REG_SEC0_SCTL40)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL41                 ((volatile uint32_t *)REG_SEC0_SCTL41)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL42                 ((volatile uint32_t *)REG_SEC0_SCTL42)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL43                 ((volatile uint32_t *)REG_SEC0_SCTL43)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL44                 ((volatile uint32_t *)REG_SEC0_SCTL44)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL45                 ((volatile uint32_t *)REG_SEC0_SCTL45)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL46                 ((volatile uint32_t *)REG_SEC0_SCTL46)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL47                 ((volatile uint32_t *)REG_SEC0_SCTL47)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL48                 ((volatile uint32_t *)REG_SEC0_SCTL48)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL49                 ((volatile uint32_t *)REG_SEC0_SCTL49)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL50                 ((volatile uint32_t *)REG_SEC0_SCTL50)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL51                 ((volatile uint32_t *)REG_SEC0_SCTL51)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL52                 ((volatile uint32_t *)REG_SEC0_SCTL52)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL53                 ((volatile uint32_t *)REG_SEC0_SCTL53)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL54                 ((volatile uint32_t *)REG_SEC0_SCTL54)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL55                 ((volatile uint32_t *)REG_SEC0_SCTL55)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL56                 ((volatile uint32_t *)REG_SEC0_SCTL56)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL57                 ((volatile uint32_t *)REG_SEC0_SCTL57)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL58                 ((volatile uint32_t *)REG_SEC0_SCTL58)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL59                 ((volatile uint32_t *)REG_SEC0_SCTL59)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL60                 ((volatile uint32_t *)REG_SEC0_SCTL60)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL61                 ((volatile uint32_t *)REG_SEC0_SCTL61)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL62                 ((volatile uint32_t *)REG_SEC0_SCTL62)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL63                 ((volatile uint32_t *)REG_SEC0_SCTL63)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL64                 ((volatile uint32_t *)REG_SEC0_SCTL64)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL65                 ((volatile uint32_t *)REG_SEC0_SCTL65)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL66                 ((volatile uint32_t *)REG_SEC0_SCTL66)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL67                 ((volatile uint32_t *)REG_SEC0_SCTL67)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL68                 ((volatile uint32_t *)REG_SEC0_SCTL68)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL69                 ((volatile uint32_t *)REG_SEC0_SCTL69)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL70                 ((volatile uint32_t *)REG_SEC0_SCTL70)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL71                 ((volatile uint32_t *)REG_SEC0_SCTL71)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL72                 ((volatile uint32_t *)REG_SEC0_SCTL72)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL73                 ((volatile uint32_t *)REG_SEC0_SCTL73)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL74                 ((volatile uint32_t *)REG_SEC0_SCTL74)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL75                 ((volatile uint32_t *)REG_SEC0_SCTL75)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL76                 ((volatile uint32_t *)REG_SEC0_SCTL76)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL77                 ((volatile uint32_t *)REG_SEC0_SCTL77)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL78                 ((volatile uint32_t *)REG_SEC0_SCTL78)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL79                 ((volatile uint32_t *)REG_SEC0_SCTL79)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL80                 ((volatile uint32_t *)REG_SEC0_SCTL80)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL81                 ((volatile uint32_t *)REG_SEC0_SCTL81)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL82                 ((volatile uint32_t *)REG_SEC0_SCTL82)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL83                 ((volatile uint32_t *)REG_SEC0_SCTL83)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL84                 ((volatile uint32_t *)REG_SEC0_SCTL84)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL85                 ((volatile uint32_t *)REG_SEC0_SCTL85)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL86                 ((volatile uint32_t *)REG_SEC0_SCTL86)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL87                 ((volatile uint32_t *)REG_SEC0_SCTL87)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL88                 ((volatile uint32_t *)REG_SEC0_SCTL88)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL89                 ((volatile uint32_t *)REG_SEC0_SCTL89)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL90                 ((volatile uint32_t *)REG_SEC0_SCTL90)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL91                 ((volatile uint32_t *)REG_SEC0_SCTL91)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL92                 ((volatile uint32_t *)REG_SEC0_SCTL92)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL93                 ((volatile uint32_t *)REG_SEC0_SCTL93)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL94                 ((volatile uint32_t *)REG_SEC0_SCTL94)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL95                 ((volatile uint32_t *)REG_SEC0_SCTL95)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL96                 ((volatile uint32_t *)REG_SEC0_SCTL96)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL97                 ((volatile uint32_t *)REG_SEC0_SCTL97)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL98                 ((volatile uint32_t *)REG_SEC0_SCTL98)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL99                 ((volatile uint32_t *)REG_SEC0_SCTL99)                  /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL100                ((volatile uint32_t *)REG_SEC0_SCTL100)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL101                ((volatile uint32_t *)REG_SEC0_SCTL101)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL102                ((volatile uint32_t *)REG_SEC0_SCTL102)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL103                ((volatile uint32_t *)REG_SEC0_SCTL103)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL104                ((volatile uint32_t *)REG_SEC0_SCTL104)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL105                ((volatile uint32_t *)REG_SEC0_SCTL105)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL106                ((volatile uint32_t *)REG_SEC0_SCTL106)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL107                ((volatile uint32_t *)REG_SEC0_SCTL107)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL108                ((volatile uint32_t *)REG_SEC0_SCTL108)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL109                ((volatile uint32_t *)REG_SEC0_SCTL109)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL110                ((volatile uint32_t *)REG_SEC0_SCTL110)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL111                ((volatile uint32_t *)REG_SEC0_SCTL111)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL112                ((volatile uint32_t *)REG_SEC0_SCTL112)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL113                ((volatile uint32_t *)REG_SEC0_SCTL113)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL114                ((volatile uint32_t *)REG_SEC0_SCTL114)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL115                ((volatile uint32_t *)REG_SEC0_SCTL115)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL116                ((volatile uint32_t *)REG_SEC0_SCTL116)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL117                ((volatile uint32_t *)REG_SEC0_SCTL117)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL118                ((volatile uint32_t *)REG_SEC0_SCTL118)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL119                ((volatile uint32_t *)REG_SEC0_SCTL119)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL120                ((volatile uint32_t *)REG_SEC0_SCTL120)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL121                ((volatile uint32_t *)REG_SEC0_SCTL121)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL122                ((volatile uint32_t *)REG_SEC0_SCTL122)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL123                ((volatile uint32_t *)REG_SEC0_SCTL123)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL124                ((volatile uint32_t *)REG_SEC0_SCTL124)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL125                ((volatile uint32_t *)REG_SEC0_SCTL125)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL126                ((volatile uint32_t *)REG_SEC0_SCTL126)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL127                ((volatile uint32_t *)REG_SEC0_SCTL127)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SCTL128                ((volatile uint32_t *)REG_SEC0_SCTL128)                 /* SEC0 Source Control Register n */
#define pREG_SEC0_SSTAT0                 ((volatile uint32_t *)REG_SEC0_SSTAT0)                  /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT1                 ((volatile uint32_t *)REG_SEC0_SSTAT1)                  /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT2                 ((volatile uint32_t *)REG_SEC0_SSTAT2)                  /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT3                 ((volatile uint32_t *)REG_SEC0_SSTAT3)                  /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT4                 ((volatile uint32_t *)REG_SEC0_SSTAT4)                  /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT5                 ((volatile uint32_t *)REG_SEC0_SSTAT5)                  /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT6                 ((volatile uint32_t *)REG_SEC0_SSTAT6)                  /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT7                 ((volatile uint32_t *)REG_SEC0_SSTAT7)                  /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT8                 ((volatile uint32_t *)REG_SEC0_SSTAT8)                  /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT9                 ((volatile uint32_t *)REG_SEC0_SSTAT9)                  /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT10                ((volatile uint32_t *)REG_SEC0_SSTAT10)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT11                ((volatile uint32_t *)REG_SEC0_SSTAT11)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT12                ((volatile uint32_t *)REG_SEC0_SSTAT12)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT13                ((volatile uint32_t *)REG_SEC0_SSTAT13)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT14                ((volatile uint32_t *)REG_SEC0_SSTAT14)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT15                ((volatile uint32_t *)REG_SEC0_SSTAT15)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT16                ((volatile uint32_t *)REG_SEC0_SSTAT16)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT17                ((volatile uint32_t *)REG_SEC0_SSTAT17)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT18                ((volatile uint32_t *)REG_SEC0_SSTAT18)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT19                ((volatile uint32_t *)REG_SEC0_SSTAT19)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT20                ((volatile uint32_t *)REG_SEC0_SSTAT20)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT21                ((volatile uint32_t *)REG_SEC0_SSTAT21)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT22                ((volatile uint32_t *)REG_SEC0_SSTAT22)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT23                ((volatile uint32_t *)REG_SEC0_SSTAT23)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT24                ((volatile uint32_t *)REG_SEC0_SSTAT24)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT25                ((volatile uint32_t *)REG_SEC0_SSTAT25)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT26                ((volatile uint32_t *)REG_SEC0_SSTAT26)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT27                ((volatile uint32_t *)REG_SEC0_SSTAT27)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT28                ((volatile uint32_t *)REG_SEC0_SSTAT28)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT29                ((volatile uint32_t *)REG_SEC0_SSTAT29)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT30                ((volatile uint32_t *)REG_SEC0_SSTAT30)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT31                ((volatile uint32_t *)REG_SEC0_SSTAT31)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT32                ((volatile uint32_t *)REG_SEC0_SSTAT32)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT33                ((volatile uint32_t *)REG_SEC0_SSTAT33)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT34                ((volatile uint32_t *)REG_SEC0_SSTAT34)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT35                ((volatile uint32_t *)REG_SEC0_SSTAT35)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT36                ((volatile uint32_t *)REG_SEC0_SSTAT36)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT37                ((volatile uint32_t *)REG_SEC0_SSTAT37)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT38                ((volatile uint32_t *)REG_SEC0_SSTAT38)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT39                ((volatile uint32_t *)REG_SEC0_SSTAT39)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT40                ((volatile uint32_t *)REG_SEC0_SSTAT40)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT41                ((volatile uint32_t *)REG_SEC0_SSTAT41)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT42                ((volatile uint32_t *)REG_SEC0_SSTAT42)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT43                ((volatile uint32_t *)REG_SEC0_SSTAT43)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT44                ((volatile uint32_t *)REG_SEC0_SSTAT44)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT45                ((volatile uint32_t *)REG_SEC0_SSTAT45)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT46                ((volatile uint32_t *)REG_SEC0_SSTAT46)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT47                ((volatile uint32_t *)REG_SEC0_SSTAT47)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT48                ((volatile uint32_t *)REG_SEC0_SSTAT48)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT49                ((volatile uint32_t *)REG_SEC0_SSTAT49)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT50                ((volatile uint32_t *)REG_SEC0_SSTAT50)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT51                ((volatile uint32_t *)REG_SEC0_SSTAT51)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT52                ((volatile uint32_t *)REG_SEC0_SSTAT52)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT53                ((volatile uint32_t *)REG_SEC0_SSTAT53)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT54                ((volatile uint32_t *)REG_SEC0_SSTAT54)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT55                ((volatile uint32_t *)REG_SEC0_SSTAT55)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT56                ((volatile uint32_t *)REG_SEC0_SSTAT56)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT57                ((volatile uint32_t *)REG_SEC0_SSTAT57)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT58                ((volatile uint32_t *)REG_SEC0_SSTAT58)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT59                ((volatile uint32_t *)REG_SEC0_SSTAT59)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT60                ((volatile uint32_t *)REG_SEC0_SSTAT60)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT61                ((volatile uint32_t *)REG_SEC0_SSTAT61)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT62                ((volatile uint32_t *)REG_SEC0_SSTAT62)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT63                ((volatile uint32_t *)REG_SEC0_SSTAT63)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT64                ((volatile uint32_t *)REG_SEC0_SSTAT64)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT65                ((volatile uint32_t *)REG_SEC0_SSTAT65)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT66                ((volatile uint32_t *)REG_SEC0_SSTAT66)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT67                ((volatile uint32_t *)REG_SEC0_SSTAT67)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT68                ((volatile uint32_t *)REG_SEC0_SSTAT68)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT69                ((volatile uint32_t *)REG_SEC0_SSTAT69)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT70                ((volatile uint32_t *)REG_SEC0_SSTAT70)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT71                ((volatile uint32_t *)REG_SEC0_SSTAT71)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT72                ((volatile uint32_t *)REG_SEC0_SSTAT72)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT73                ((volatile uint32_t *)REG_SEC0_SSTAT73)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT74                ((volatile uint32_t *)REG_SEC0_SSTAT74)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT75                ((volatile uint32_t *)REG_SEC0_SSTAT75)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT76                ((volatile uint32_t *)REG_SEC0_SSTAT76)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT77                ((volatile uint32_t *)REG_SEC0_SSTAT77)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT78                ((volatile uint32_t *)REG_SEC0_SSTAT78)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT79                ((volatile uint32_t *)REG_SEC0_SSTAT79)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT80                ((volatile uint32_t *)REG_SEC0_SSTAT80)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT81                ((volatile uint32_t *)REG_SEC0_SSTAT81)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT82                ((volatile uint32_t *)REG_SEC0_SSTAT82)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT83                ((volatile uint32_t *)REG_SEC0_SSTAT83)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT84                ((volatile uint32_t *)REG_SEC0_SSTAT84)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT85                ((volatile uint32_t *)REG_SEC0_SSTAT85)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT86                ((volatile uint32_t *)REG_SEC0_SSTAT86)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT87                ((volatile uint32_t *)REG_SEC0_SSTAT87)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT88                ((volatile uint32_t *)REG_SEC0_SSTAT88)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT89                ((volatile uint32_t *)REG_SEC0_SSTAT89)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT90                ((volatile uint32_t *)REG_SEC0_SSTAT90)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT91                ((volatile uint32_t *)REG_SEC0_SSTAT91)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT92                ((volatile uint32_t *)REG_SEC0_SSTAT92)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT93                ((volatile uint32_t *)REG_SEC0_SSTAT93)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT94                ((volatile uint32_t *)REG_SEC0_SSTAT94)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT95                ((volatile uint32_t *)REG_SEC0_SSTAT95)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT96                ((volatile uint32_t *)REG_SEC0_SSTAT96)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT97                ((volatile uint32_t *)REG_SEC0_SSTAT97)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT98                ((volatile uint32_t *)REG_SEC0_SSTAT98)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT99                ((volatile uint32_t *)REG_SEC0_SSTAT99)                 /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT100               ((volatile uint32_t *)REG_SEC0_SSTAT100)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT101               ((volatile uint32_t *)REG_SEC0_SSTAT101)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT102               ((volatile uint32_t *)REG_SEC0_SSTAT102)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT103               ((volatile uint32_t *)REG_SEC0_SSTAT103)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT104               ((volatile uint32_t *)REG_SEC0_SSTAT104)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT105               ((volatile uint32_t *)REG_SEC0_SSTAT105)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT106               ((volatile uint32_t *)REG_SEC0_SSTAT106)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT107               ((volatile uint32_t *)REG_SEC0_SSTAT107)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT108               ((volatile uint32_t *)REG_SEC0_SSTAT108)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT109               ((volatile uint32_t *)REG_SEC0_SSTAT109)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT110               ((volatile uint32_t *)REG_SEC0_SSTAT110)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT111               ((volatile uint32_t *)REG_SEC0_SSTAT111)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT112               ((volatile uint32_t *)REG_SEC0_SSTAT112)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT113               ((volatile uint32_t *)REG_SEC0_SSTAT113)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT114               ((volatile uint32_t *)REG_SEC0_SSTAT114)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT115               ((volatile uint32_t *)REG_SEC0_SSTAT115)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT116               ((volatile uint32_t *)REG_SEC0_SSTAT116)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT117               ((volatile uint32_t *)REG_SEC0_SSTAT117)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT118               ((volatile uint32_t *)REG_SEC0_SSTAT118)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT119               ((volatile uint32_t *)REG_SEC0_SSTAT119)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT120               ((volatile uint32_t *)REG_SEC0_SSTAT120)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT121               ((volatile uint32_t *)REG_SEC0_SSTAT121)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT122               ((volatile uint32_t *)REG_SEC0_SSTAT122)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT123               ((volatile uint32_t *)REG_SEC0_SSTAT123)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT124               ((volatile uint32_t *)REG_SEC0_SSTAT124)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT125               ((volatile uint32_t *)REG_SEC0_SSTAT125)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT126               ((volatile uint32_t *)REG_SEC0_SSTAT126)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT127               ((volatile uint32_t *)REG_SEC0_SSTAT127)                /* SEC0 Source Status Register n */
#define pREG_SEC0_SSTAT128               ((volatile uint32_t *)REG_SEC0_SSTAT128)                /* SEC0 Source Status Register n */


/* =========================================================================
       JTAG0
   ========================================================================= */
#define pREG_JTAG0_IDCODE                ((volatile uint32_t *)REG_JTAG0_IDCODE)                 /* JTAG0 IDCODE Register */
#define pREG_JTAG0_USERCODE              ((volatile uint32_t *)REG_JTAG0_USERCODE)               /* JTAG0 User Code Register */


/* =========================================================================
       SPI0
   ========================================================================= */
#define pREG_SPI0_CTL                    ((volatile uint32_t *)REG_SPI0_CTL)                     /* SPI0 Control Register */
#define pREG_SPI0_RXCTL                  ((volatile uint32_t *)REG_SPI0_RXCTL)                   /* SPI0 Receive Control Register */
#define pREG_SPI0_TXCTL                  ((volatile uint32_t *)REG_SPI0_TXCTL)                   /* SPI0 Transmit Control Register */
#define pREG_SPI0_CLK                    ((volatile uint32_t *)REG_SPI0_CLK)                     /* SPI0 Clock Rate Register */
#define pREG_SPI0_DLY                    ((volatile uint32_t *)REG_SPI0_DLY)                     /* SPI0 Delay Register */
#define pREG_SPI0_SLVSEL                 ((volatile uint32_t *)REG_SPI0_SLVSEL)                  /* SPI0 Slave Select Register */
#define pREG_SPI0_RWC                    ((volatile uint32_t *)REG_SPI0_RWC)                     /* SPI0 Received Word Count Register */
#define pREG_SPI0_RWCR                   ((volatile uint32_t *)REG_SPI0_RWCR)                    /* SPI0 Received Word Count Reload Register */
#define pREG_SPI0_TWC                    ((volatile uint32_t *)REG_SPI0_TWC)                     /* SPI0 Transmitted Word Count Register */
#define pREG_SPI0_TWCR                   ((volatile uint32_t *)REG_SPI0_TWCR)                    /* SPI0 Transmitted Word Count Reload Register */
#define pREG_SPI0_IMSK                   ((volatile uint32_t *)REG_SPI0_IMSK)                    /* SPI0 Interrupt Mask Register */
#define pREG_SPI0_IMSK_CLR               ((volatile uint32_t *)REG_SPI0_IMSK_CLR)                /* SPI0 Interrupt Mask Clear Register */
#define pREG_SPI0_IMSK_SET               ((volatile uint32_t *)REG_SPI0_IMSK_SET)                /* SPI0 Interrupt Mask Set Register */
#define pREG_SPI0_STAT                   ((volatile uint32_t *)REG_SPI0_STAT)                    /* SPI0 Status Register */
#define pREG_SPI0_ILAT                   ((volatile uint32_t *)REG_SPI0_ILAT)                    /* SPI0 Masked Interrupt Condition Register */
#define pREG_SPI0_ILAT_CLR               ((volatile uint32_t *)REG_SPI0_ILAT_CLR)                /* SPI0 Masked Interrupt Clear Register */
#define pREG_SPI0_RFIFO                  ((volatile uint32_t *)REG_SPI0_RFIFO)                   /* SPI0 Receive FIFO Data Register */
#define pREG_SPI0_TFIFO                  ((volatile uint32_t *)REG_SPI0_TFIFO)                   /* SPI0 Transmit FIFO Data Register */
#define pREG_SPI0_MMRDH                  ((volatile uint32_t *)REG_SPI0_MMRDH)                   /* SPI0 Memory Mapped Read Header */
#define pREG_SPI0_MMTOP                  ((volatile uint32_t *)REG_SPI0_MMTOP)                   /* SPI0 SPI Memory Top Address */

/* =========================================================================
       SPI1
   ========================================================================= */
#define pREG_SPI1_CTL                    ((volatile uint32_t *)REG_SPI1_CTL)                     /* SPI1 Control Register */
#define pREG_SPI1_RXCTL                  ((volatile uint32_t *)REG_SPI1_RXCTL)                   /* SPI1 Receive Control Register */
#define pREG_SPI1_TXCTL                  ((volatile uint32_t *)REG_SPI1_TXCTL)                   /* SPI1 Transmit Control Register */
#define pREG_SPI1_CLK                    ((volatile uint32_t *)REG_SPI1_CLK)                     /* SPI1 Clock Rate Register */
#define pREG_SPI1_DLY                    ((volatile uint32_t *)REG_SPI1_DLY)                     /* SPI1 Delay Register */
#define pREG_SPI1_SLVSEL                 ((volatile uint32_t *)REG_SPI1_SLVSEL)                  /* SPI1 Slave Select Register */
#define pREG_SPI1_RWC                    ((volatile uint32_t *)REG_SPI1_RWC)                     /* SPI1 Received Word Count Register */
#define pREG_SPI1_RWCR                   ((volatile uint32_t *)REG_SPI1_RWCR)                    /* SPI1 Received Word Count Reload Register */
#define pREG_SPI1_TWC                    ((volatile uint32_t *)REG_SPI1_TWC)                     /* SPI1 Transmitted Word Count Register */
#define pREG_SPI1_TWCR                   ((volatile uint32_t *)REG_SPI1_TWCR)                    /* SPI1 Transmitted Word Count Reload Register */
#define pREG_SPI1_IMSK                   ((volatile uint32_t *)REG_SPI1_IMSK)                    /* SPI1 Interrupt Mask Register */
#define pREG_SPI1_IMSK_CLR               ((volatile uint32_t *)REG_SPI1_IMSK_CLR)                /* SPI1 Interrupt Mask Clear Register */
#define pREG_SPI1_IMSK_SET               ((volatile uint32_t *)REG_SPI1_IMSK_SET)                /* SPI1 Interrupt Mask Set Register */
#define pREG_SPI1_STAT                   ((volatile uint32_t *)REG_SPI1_STAT)                    /* SPI1 Status Register */
#define pREG_SPI1_ILAT                   ((volatile uint32_t *)REG_SPI1_ILAT)                    /* SPI1 Masked Interrupt Condition Register */
#define pREG_SPI1_ILAT_CLR               ((volatile uint32_t *)REG_SPI1_ILAT_CLR)                /* SPI1 Masked Interrupt Clear Register */
#define pREG_SPI1_RFIFO                  ((volatile uint32_t *)REG_SPI1_RFIFO)                   /* SPI1 Receive FIFO Data Register */
#define pREG_SPI1_TFIFO                  ((volatile uint32_t *)REG_SPI1_TFIFO)                   /* SPI1 Transmit FIFO Data Register */
#define pREG_SPI1_MMRDH                  ((volatile uint32_t *)REG_SPI1_MMRDH)                   /* SPI1 Memory Mapped Read Header */
#define pREG_SPI1_MMTOP                  ((volatile uint32_t *)REG_SPI1_MMTOP)                   /* SPI1 SPI Memory Top Address */

/* =========================================================================
       SPI2
   ========================================================================= */
#define pREG_SPI2_CTL                    ((volatile uint32_t *)REG_SPI2_CTL)                     /* SPI2 Control Register */
#define pREG_SPI2_RXCTL                  ((volatile uint32_t *)REG_SPI2_RXCTL)                   /* SPI2 Receive Control Register */
#define pREG_SPI2_TXCTL                  ((volatile uint32_t *)REG_SPI2_TXCTL)                   /* SPI2 Transmit Control Register */
#define pREG_SPI2_CLK                    ((volatile uint32_t *)REG_SPI2_CLK)                     /* SPI2 Clock Rate Register */
#define pREG_SPI2_DLY                    ((volatile uint32_t *)REG_SPI2_DLY)                     /* SPI2 Delay Register */
#define pREG_SPI2_SLVSEL                 ((volatile uint32_t *)REG_SPI2_SLVSEL)                  /* SPI2 Slave Select Register */
#define pREG_SPI2_RWC                    ((volatile uint32_t *)REG_SPI2_RWC)                     /* SPI2 Received Word Count Register */
#define pREG_SPI2_RWCR                   ((volatile uint32_t *)REG_SPI2_RWCR)                    /* SPI2 Received Word Count Reload Register */
#define pREG_SPI2_TWC                    ((volatile uint32_t *)REG_SPI2_TWC)                     /* SPI2 Transmitted Word Count Register */
#define pREG_SPI2_TWCR                   ((volatile uint32_t *)REG_SPI2_TWCR)                    /* SPI2 Transmitted Word Count Reload Register */
#define pREG_SPI2_IMSK                   ((volatile uint32_t *)REG_SPI2_IMSK)                    /* SPI2 Interrupt Mask Register */
#define pREG_SPI2_IMSK_CLR               ((volatile uint32_t *)REG_SPI2_IMSK_CLR)                /* SPI2 Interrupt Mask Clear Register */
#define pREG_SPI2_IMSK_SET               ((volatile uint32_t *)REG_SPI2_IMSK_SET)                /* SPI2 Interrupt Mask Set Register */
#define pREG_SPI2_STAT                   ((volatile uint32_t *)REG_SPI2_STAT)                    /* SPI2 Status Register */
#define pREG_SPI2_ILAT                   ((volatile uint32_t *)REG_SPI2_ILAT)                    /* SPI2 Masked Interrupt Condition Register */
#define pREG_SPI2_ILAT_CLR               ((volatile uint32_t *)REG_SPI2_ILAT_CLR)                /* SPI2 Masked Interrupt Clear Register */
#define pREG_SPI2_RFIFO                  ((volatile uint32_t *)REG_SPI2_RFIFO)                   /* SPI2 Receive FIFO Data Register */
#define pREG_SPI2_TFIFO                  ((volatile uint32_t *)REG_SPI2_TFIFO)                   /* SPI2 Transmit FIFO Data Register */
#define pREG_SPI2_MMRDH                  ((volatile uint32_t *)REG_SPI2_MMRDH)                   /* SPI2 Memory Mapped Read Header */
#define pREG_SPI2_MMTOP                  ((volatile uint32_t *)REG_SPI2_MMTOP)                   /* SPI2 SPI Memory Top Address */


/* =========================================================================
       WDOG0
   ========================================================================= */
#define pREG_WDOG0_CTL                   ((volatile uint32_t *)REG_WDOG0_CTL)                    /* WDOG0 Control Register */
#define pREG_WDOG0_CNT                   ((volatile uint32_t *)REG_WDOG0_CNT)                    /* WDOG0 Count Register */
#define pREG_WDOG0_STAT                  ((volatile uint32_t *)REG_WDOG0_STAT)                   /* WDOG0 Watchdog Timer Status Register */


/* =========================================================================
       USB0
   ========================================================================= */
#define pREG_USB0_FADDR                  ((volatile  uint8_t *)REG_USB0_FADDR)                   /* USB0 Function Address Register */
#define pREG_USB0_POWER                  ((volatile  uint8_t *)REG_USB0_POWER)                   /* USB0 Power and Device Control Register */
#define pREG_USB0_INTRTX                 ((volatile uint16_t *)REG_USB0_INTRTX)                  /* USB0 Transmit Interrupt Register */
#define pREG_USB0_INTRRX                 ((volatile uint16_t *)REG_USB0_INTRRX)                  /* USB0 Receive Interrupt Register */
#define pREG_USB0_INTRTXE                ((volatile uint16_t *)REG_USB0_INTRTXE)                 /* USB0 Transmit Interrupt Enable Register */
#define pREG_USB0_INTRRXE                ((volatile uint16_t *)REG_USB0_INTRRXE)                 /* USB0 Receive Interrupt Enable Register */
#define pREG_USB0_IRQ                    ((volatile  uint8_t *)REG_USB0_IRQ)                     /* USB0 Common Interrupts Register */
#define pREG_USB0_IEN                    ((volatile  uint8_t *)REG_USB0_IEN)                     /* USB0 Common Interrupts Enable Register */
#define pREG_USB0_FRAME                  ((volatile uint16_t *)REG_USB0_FRAME)                   /* USB0 Frame Number Register */
#define pREG_USB0_INDEX                  ((volatile  uint8_t *)REG_USB0_INDEX)                   /* USB0 Index Register */
#define pREG_USB0_TESTMODE               ((volatile  uint8_t *)REG_USB0_TESTMODE)                /* USB0 Testmode Register */
#define pREG_USB0_EPI_TXMAXP0            ((volatile uint16_t *)REG_USB0_EPI_TXMAXP0)             /* USB0 EPn Transmit Maximum Packet Length Register */
#define pREG_USB0_EPI_TXCSR_P0           ((volatile uint16_t *)REG_USB0_EPI_TXCSR_P0)            /* USB0 EPn Transmit Configuration and Status (Peripheral) Register */
#define pREG_USB0_EPI_TXCSR_H0           ((volatile uint16_t *)REG_USB0_EPI_TXCSR_H0)            /* USB0 EPn Transmit Configuration and Status (Host) Register */
#define pREG_USB0_EP0I_CSR0_P            ((volatile uint16_t *)REG_USB0_EP0I_CSR0_P)             /* USB0 EP0 Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP0I_CSR0_H            ((volatile uint16_t *)REG_USB0_EP0I_CSR0_H)             /* USB0 EP0 Configuration and Status (Host) Register */
#define pREG_USB0_EPI_RXMAXP0            ((volatile uint16_t *)REG_USB0_EPI_RXMAXP0)             /* USB0 EPn Receive Maximum Packet Length Register */
#define pREG_USB0_EPI_RXCSR_H0           ((volatile uint16_t *)REG_USB0_EPI_RXCSR_H0)            /* USB0 EPn Receive Configuration and Status (Host) Register */
#define pREG_USB0_EPI_RXCSR_P0           ((volatile uint16_t *)REG_USB0_EPI_RXCSR_P0)            /* USB0 EPn Receive Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP0I_CNT0              ((volatile uint16_t *)REG_USB0_EP0I_CNT0)               /* USB0 EP0 Number of Received Bytes Register */
#define pREG_USB0_EPI_RXCNT0             ((volatile uint16_t *)REG_USB0_EPI_RXCNT0)              /* USB0 EPn Number of Bytes Received Register */
#define pREG_USB0_EPI_TXTYPE0            ((volatile  uint8_t *)REG_USB0_EPI_TXTYPE0)             /* USB0 EPn Transmit Type Register */
#define pREG_USB0_EP0I_TYPE0             ((volatile  uint8_t *)REG_USB0_EP0I_TYPE0)              /* USB0 EP0 Connection Type Register */
#define pREG_USB0_EPI_TXINTERVAL0        ((volatile  uint8_t *)REG_USB0_EPI_TXINTERVAL0)         /* USB0 EPn Transmit Polling Interval Register */
#define pREG_USB0_EP0I_NAKLIMIT0         ((volatile  uint8_t *)REG_USB0_EP0I_NAKLIMIT0)          /* USB0 EP0 NAK Limit Register */
#define pREG_USB0_EPI_RXTYPE0            ((volatile  uint8_t *)REG_USB0_EPI_RXTYPE0)             /* USB0 EPn Receive Type Register */
#define pREG_USB0_EPI_RXINTERVAL0        ((volatile  uint8_t *)REG_USB0_EPI_RXINTERVAL0)         /* USB0 EPn Receive Polling Interval Register */
#define pREG_USB0_EP0I_CFGDATA0          ((volatile  uint8_t *)REG_USB0_EP0I_CFGDATA0)           /* USB0 EP0 Configuration Information Register */
#define pREG_USB0_EPI_FIFOSZ0            ((volatile  uint8_t *)REG_USB0_EPI_FIFOSZ0)             /* USB0 FIFO Size */
#define pREG_USB0_FIFOB0                 ((volatile  uint8_t *)REG_USB0_FIFOB0)                  /* USB0 FIFO Byte (8-Bit) Register */
#define pREG_USB0_FIFOB1                 ((volatile  uint8_t *)REG_USB0_FIFOB1)                  /* USB0 FIFO Byte (8-Bit) Register */
#define pREG_USB0_FIFOB2                 ((volatile  uint8_t *)REG_USB0_FIFOB2)                  /* USB0 FIFO Byte (8-Bit) Register */
#define pREG_USB0_FIFOB3                 ((volatile  uint8_t *)REG_USB0_FIFOB3)                  /* USB0 FIFO Byte (8-Bit) Register */
#define pREG_USB0_FIFOH0                 ((volatile uint16_t *)REG_USB0_FIFOH0)                  /* USB0 FIFO Half-Word (16-Bit) Register */
#define pREG_USB0_FIFOH1                 ((volatile uint16_t *)REG_USB0_FIFOH1)                  /* USB0 FIFO Half-Word (16-Bit) Register */
#define pREG_USB0_FIFOH2                 ((volatile uint16_t *)REG_USB0_FIFOH2)                  /* USB0 FIFO Half-Word (16-Bit) Register */
#define pREG_USB0_FIFOH3                 ((volatile uint16_t *)REG_USB0_FIFOH3)                  /* USB0 FIFO Half-Word (16-Bit) Register */
#define pREG_USB0_FIFO0                  ((volatile uint32_t *)REG_USB0_FIFO0)                   /* USB0 FIFO Word (32-Bit) Register */
#define pREG_USB0_FIFO1                  ((volatile uint32_t *)REG_USB0_FIFO1)                   /* USB0 FIFO Word (32-Bit) Register */
#define pREG_USB0_FIFO2                  ((volatile uint32_t *)REG_USB0_FIFO2)                   /* USB0 FIFO Word (32-Bit) Register */
#define pREG_USB0_FIFO3                  ((volatile uint32_t *)REG_USB0_FIFO3)                   /* USB0 FIFO Word (32-Bit) Register */
#define pREG_USB0_DEV_CTL                ((volatile  uint8_t *)REG_USB0_DEV_CTL)                 /* USB0 Device Control Register */
#define pREG_USB0_EPINFO                 ((volatile  uint8_t *)REG_USB0_EPINFO)                  /* USB0 Endpoint Information Register */
#define pREG_USB0_RAMINFO                ((volatile  uint8_t *)REG_USB0_RAMINFO)                 /* USB0 RAM Information Register */
#define pREG_USB0_LINKINFO               ((volatile  uint8_t *)REG_USB0_LINKINFO)                /* USB0 Link Information Register */
#define pREG_USB0_VPLEN                  ((volatile  uint8_t *)REG_USB0_VPLEN)                   /* USB0 VBUS Pulse Length Register */
#define pREG_USB0_FS_EOF1                ((volatile  uint8_t *)REG_USB0_FS_EOF1)                 /* USB0 Full-Speed EOF 1 Register */
#define pREG_USB0_LS_EOF1                ((volatile  uint8_t *)REG_USB0_LS_EOF1)                 /* USB0 Low-Speed EOF 1 Register */
#define pREG_USB0_SOFT_RST               ((volatile  uint8_t *)REG_USB0_SOFT_RST)                /* USB0 Software Reset Register */
#define pREG_USB0_MP0_TXFUNCADDR         ((volatile  uint8_t *)REG_USB0_MP0_TXFUNCADDR)          /* USB0 MPn Transmit Function Address Register */
#define pREG_USB0_MP1_TXFUNCADDR         ((volatile  uint8_t *)REG_USB0_MP1_TXFUNCADDR)          /* USB0 MPn Transmit Function Address Register */
#define pREG_USB0_MP2_TXFUNCADDR         ((volatile  uint8_t *)REG_USB0_MP2_TXFUNCADDR)          /* USB0 MPn Transmit Function Address Register */
#define pREG_USB0_MP3_TXFUNCADDR         ((volatile  uint8_t *)REG_USB0_MP3_TXFUNCADDR)          /* USB0 MPn Transmit Function Address Register */
#define pREG_USB0_MP0_TXHUBADDR          ((volatile  uint8_t *)REG_USB0_MP0_TXHUBADDR)           /* USB0 MPn Transmit Hub Address Register */
#define pREG_USB0_MP1_TXHUBADDR          ((volatile  uint8_t *)REG_USB0_MP1_TXHUBADDR)           /* USB0 MPn Transmit Hub Address Register */
#define pREG_USB0_MP2_TXHUBADDR          ((volatile  uint8_t *)REG_USB0_MP2_TXHUBADDR)           /* USB0 MPn Transmit Hub Address Register */
#define pREG_USB0_MP3_TXHUBADDR          ((volatile  uint8_t *)REG_USB0_MP3_TXHUBADDR)           /* USB0 MPn Transmit Hub Address Register */
#define pREG_USB0_MP0_TXHUBPORT          ((volatile  uint8_t *)REG_USB0_MP0_TXHUBPORT)           /* USB0 MPn Transmit Hub Port Register */
#define pREG_USB0_MP1_TXHUBPORT          ((volatile  uint8_t *)REG_USB0_MP1_TXHUBPORT)           /* USB0 MPn Transmit Hub Port Register */
#define pREG_USB0_MP2_TXHUBPORT          ((volatile  uint8_t *)REG_USB0_MP2_TXHUBPORT)           /* USB0 MPn Transmit Hub Port Register */
#define pREG_USB0_MP3_TXHUBPORT          ((volatile  uint8_t *)REG_USB0_MP3_TXHUBPORT)           /* USB0 MPn Transmit Hub Port Register */
#define pREG_USB0_MP0_RXFUNCADDR         ((volatile  uint8_t *)REG_USB0_MP0_RXFUNCADDR)          /* USB0 MPn Receive Function Address Register */
#define pREG_USB0_MP1_RXFUNCADDR         ((volatile  uint8_t *)REG_USB0_MP1_RXFUNCADDR)          /* USB0 MPn Receive Function Address Register */
#define pREG_USB0_MP2_RXFUNCADDR         ((volatile  uint8_t *)REG_USB0_MP2_RXFUNCADDR)          /* USB0 MPn Receive Function Address Register */
#define pREG_USB0_MP3_RXFUNCADDR         ((volatile  uint8_t *)REG_USB0_MP3_RXFUNCADDR)          /* USB0 MPn Receive Function Address Register */
#define pREG_USB0_MP0_RXHUBADDR          ((volatile  uint8_t *)REG_USB0_MP0_RXHUBADDR)           /* USB0 MPn Receive Hub Address Register */
#define pREG_USB0_MP1_RXHUBADDR          ((volatile  uint8_t *)REG_USB0_MP1_RXHUBADDR)           /* USB0 MPn Receive Hub Address Register */
#define pREG_USB0_MP2_RXHUBADDR          ((volatile  uint8_t *)REG_USB0_MP2_RXHUBADDR)           /* USB0 MPn Receive Hub Address Register */
#define pREG_USB0_MP3_RXHUBADDR          ((volatile  uint8_t *)REG_USB0_MP3_RXHUBADDR)           /* USB0 MPn Receive Hub Address Register */
#define pREG_USB0_MP0_RXHUBPORT          ((volatile  uint8_t *)REG_USB0_MP0_RXHUBPORT)           /* USB0 MPn Receive Hub Port Register */
#define pREG_USB0_MP1_RXHUBPORT          ((volatile  uint8_t *)REG_USB0_MP1_RXHUBPORT)           /* USB0 MPn Receive Hub Port Register */
#define pREG_USB0_MP2_RXHUBPORT          ((volatile  uint8_t *)REG_USB0_MP2_RXHUBPORT)           /* USB0 MPn Receive Hub Port Register */
#define pREG_USB0_MP3_RXHUBPORT          ((volatile  uint8_t *)REG_USB0_MP3_RXHUBPORT)           /* USB0 MPn Receive Hub Port Register */
#define pREG_USB0_EP0_TXMAXP             ((volatile uint16_t *)REG_USB0_EP0_TXMAXP)              /* USB0 EPn Transmit Maximum Packet Length Register */
#define pREG_USB0_EP1_TXMAXP             ((volatile uint16_t *)REG_USB0_EP1_TXMAXP)              /* USB0 EPn Transmit Maximum Packet Length Register */
#define pREG_USB0_EP2_TXMAXP             ((volatile uint16_t *)REG_USB0_EP2_TXMAXP)              /* USB0 EPn Transmit Maximum Packet Length Register */
#define pREG_USB0_EP3_TXMAXP             ((volatile uint16_t *)REG_USB0_EP3_TXMAXP)              /* USB0 EPn Transmit Maximum Packet Length Register */
#define pREG_USB0_EP0_CSR0_H             ((volatile uint16_t *)REG_USB0_EP0_CSR0_H)              /* USB0 EP0 Configuration and Status (Host) Register */
#define pREG_USB0_EP0_TXCSR_H            ((volatile uint16_t *)REG_USB0_EP0_TXCSR_H)             /* USB0 EPn Transmit Configuration and Status (Host) Register */
#define pREG_USB0_EP1_TXCSR_H            ((volatile uint16_t *)REG_USB0_EP1_TXCSR_H)             /* USB0 EPn Transmit Configuration and Status (Host) Register */
#define pREG_USB0_EP2_TXCSR_H            ((volatile uint16_t *)REG_USB0_EP2_TXCSR_H)             /* USB0 EPn Transmit Configuration and Status (Host) Register */
#define pREG_USB0_EP3_TXCSR_H            ((volatile uint16_t *)REG_USB0_EP3_TXCSR_H)             /* USB0 EPn Transmit Configuration and Status (Host) Register */
#define pREG_USB0_EP0_CSR0_P             ((volatile uint16_t *)REG_USB0_EP0_CSR0_P)              /* USB0 EP0 Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP0_TXCSR_P            ((volatile uint16_t *)REG_USB0_EP0_TXCSR_P)             /* USB0 EPn Transmit Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP1_TXCSR_P            ((volatile uint16_t *)REG_USB0_EP1_TXCSR_P)             /* USB0 EPn Transmit Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP2_TXCSR_P            ((volatile uint16_t *)REG_USB0_EP2_TXCSR_P)             /* USB0 EPn Transmit Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP3_TXCSR_P            ((volatile uint16_t *)REG_USB0_EP3_TXCSR_P)             /* USB0 EPn Transmit Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP0_RXMAXP             ((volatile uint16_t *)REG_USB0_EP0_RXMAXP)              /* USB0 EPn Receive Maximum Packet Length Register */
#define pREG_USB0_EP1_RXMAXP             ((volatile uint16_t *)REG_USB0_EP1_RXMAXP)              /* USB0 EPn Receive Maximum Packet Length Register */
#define pREG_USB0_EP2_RXMAXP             ((volatile uint16_t *)REG_USB0_EP2_RXMAXP)              /* USB0 EPn Receive Maximum Packet Length Register */
#define pREG_USB0_EP3_RXMAXP             ((volatile uint16_t *)REG_USB0_EP3_RXMAXP)              /* USB0 EPn Receive Maximum Packet Length Register */
#define pREG_USB0_EP0_RXCSR_H            ((volatile uint16_t *)REG_USB0_EP0_RXCSR_H)             /* USB0 EPn Receive Configuration and Status (Host) Register */
#define pREG_USB0_EP1_RXCSR_H            ((volatile uint16_t *)REG_USB0_EP1_RXCSR_H)             /* USB0 EPn Receive Configuration and Status (Host) Register */
#define pREG_USB0_EP2_RXCSR_H            ((volatile uint16_t *)REG_USB0_EP2_RXCSR_H)             /* USB0 EPn Receive Configuration and Status (Host) Register */
#define pREG_USB0_EP3_RXCSR_H            ((volatile uint16_t *)REG_USB0_EP3_RXCSR_H)             /* USB0 EPn Receive Configuration and Status (Host) Register */
#define pREG_USB0_EP0_RXCSR_P            ((volatile uint16_t *)REG_USB0_EP0_RXCSR_P)             /* USB0 EPn Receive Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP1_RXCSR_P            ((volatile uint16_t *)REG_USB0_EP1_RXCSR_P)             /* USB0 EPn Receive Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP2_RXCSR_P            ((volatile uint16_t *)REG_USB0_EP2_RXCSR_P)             /* USB0 EPn Receive Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP3_RXCSR_P            ((volatile uint16_t *)REG_USB0_EP3_RXCSR_P)             /* USB0 EPn Receive Configuration and Status (Peripheral) Register */
#define pREG_USB0_EP0_CNT0               ((volatile uint16_t *)REG_USB0_EP0_CNT0)                /* USB0 EP0 Number of Received Bytes Register */
#define pREG_USB0_EP0_RXCNT              ((volatile uint16_t *)REG_USB0_EP0_RXCNT)               /* USB0 EPn Number of Bytes Received Register */
#define pREG_USB0_EP1_RXCNT              ((volatile uint16_t *)REG_USB0_EP1_RXCNT)               /* USB0 EPn Number of Bytes Received Register */
#define pREG_USB0_EP2_RXCNT              ((volatile uint16_t *)REG_USB0_EP2_RXCNT)               /* USB0 EPn Number of Bytes Received Register */
#define pREG_USB0_EP3_RXCNT              ((volatile uint16_t *)REG_USB0_EP3_RXCNT)               /* USB0 EPn Number of Bytes Received Register */
#define pREG_USB0_EP0_TYPE0              ((volatile  uint8_t *)REG_USB0_EP0_TYPE0)               /* USB0 EP0 Connection Type Register */
#define pREG_USB0_EP0_TXTYPE             ((volatile  uint8_t *)REG_USB0_EP0_TXTYPE)              /* USB0 EPn Transmit Type Register */
#define pREG_USB0_EP1_TXTYPE             ((volatile  uint8_t *)REG_USB0_EP1_TXTYPE)              /* USB0 EPn Transmit Type Register */
#define pREG_USB0_EP2_TXTYPE             ((volatile  uint8_t *)REG_USB0_EP2_TXTYPE)              /* USB0 EPn Transmit Type Register */
#define pREG_USB0_EP3_TXTYPE             ((volatile  uint8_t *)REG_USB0_EP3_TXTYPE)              /* USB0 EPn Transmit Type Register */
#define pREG_USB0_EP0_NAKLIMIT0          ((volatile  uint8_t *)REG_USB0_EP0_NAKLIMIT0)           /* USB0 EP0 NAK Limit Register */
#define pREG_USB0_EP0_TXINTERVAL         ((volatile  uint8_t *)REG_USB0_EP0_TXINTERVAL)          /* USB0 EPn Transmit Polling Interval Register */
#define pREG_USB0_EP1_TXINTERVAL         ((volatile  uint8_t *)REG_USB0_EP1_TXINTERVAL)          /* USB0 EPn Transmit Polling Interval Register */
#define pREG_USB0_EP2_TXINTERVAL         ((volatile  uint8_t *)REG_USB0_EP2_TXINTERVAL)          /* USB0 EPn Transmit Polling Interval Register */
#define pREG_USB0_EP3_TXINTERVAL         ((volatile  uint8_t *)REG_USB0_EP3_TXINTERVAL)          /* USB0 EPn Transmit Polling Interval Register */
#define pREG_USB0_EP0_RXTYPE             ((volatile  uint8_t *)REG_USB0_EP0_RXTYPE)              /* USB0 EPn Receive Type Register */
#define pREG_USB0_EP1_RXTYPE             ((volatile  uint8_t *)REG_USB0_EP1_RXTYPE)              /* USB0 EPn Receive Type Register */
#define pREG_USB0_EP2_RXTYPE             ((volatile  uint8_t *)REG_USB0_EP2_RXTYPE)              /* USB0 EPn Receive Type Register */
#define pREG_USB0_EP3_RXTYPE             ((volatile  uint8_t *)REG_USB0_EP3_RXTYPE)              /* USB0 EPn Receive Type Register */
#define pREG_USB0_EP0_RXINTERVAL         ((volatile  uint8_t *)REG_USB0_EP0_RXINTERVAL)          /* USB0 EPn Receive Polling Interval Register */
#define pREG_USB0_EP1_RXINTERVAL         ((volatile  uint8_t *)REG_USB0_EP1_RXINTERVAL)          /* USB0 EPn Receive Polling Interval Register */
#define pREG_USB0_EP2_RXINTERVAL         ((volatile  uint8_t *)REG_USB0_EP2_RXINTERVAL)          /* USB0 EPn Receive Polling Interval Register */
#define pREG_USB0_EP3_RXINTERVAL         ((volatile  uint8_t *)REG_USB0_EP3_RXINTERVAL)          /* USB0 EPn Receive Polling Interval Register */
#define pREG_USB0_EP0_CFGDATA0           ((volatile  uint8_t *)REG_USB0_EP0_CFGDATA0)            /* USB0 EP0 Configuration Information Register */
#define pREG_USB0_EP0_FIFOSZ             ((volatile  uint8_t *)REG_USB0_EP0_FIFOSZ)              /* USB0 FIFO Size */
#define pREG_USB0_EP1_FIFOSZ             ((volatile  uint8_t *)REG_USB0_EP1_FIFOSZ)              /* USB0 FIFO Size */
#define pREG_USB0_EP2_FIFOSZ             ((volatile  uint8_t *)REG_USB0_EP2_FIFOSZ)              /* USB0 FIFO Size */
#define pREG_USB0_EP3_FIFOSZ             ((volatile  uint8_t *)REG_USB0_EP3_FIFOSZ)              /* USB0 FIFO Size */
#define pREG_USB0_DMA_IRQ                ((volatile  uint8_t *)REG_USB0_DMA_IRQ)                 /* USB0 DMA Interrupt Register */
#define pREG_USB0_DMA0_CTL               ((volatile uint16_t *)REG_USB0_DMA0_CTL)                /* USB0 DMA Channel n Control Register */
#define pREG_USB0_DMA1_CTL               ((volatile uint16_t *)REG_USB0_DMA1_CTL)                /* USB0 DMA Channel n Control Register */
#define pREG_USB0_DMA2_CTL               ((volatile uint16_t *)REG_USB0_DMA2_CTL)                /* USB0 DMA Channel n Control Register */
#define pREG_USB0_DMA3_CTL               ((volatile uint16_t *)REG_USB0_DMA3_CTL)                /* USB0 DMA Channel n Control Register */
#define pREG_USB0_DMA4_CTL               ((volatile uint16_t *)REG_USB0_DMA4_CTL)                /* USB0 DMA Channel n Control Register */
#define pREG_USB0_DMA5_CTL               ((volatile uint16_t *)REG_USB0_DMA5_CTL)                /* USB0 DMA Channel n Control Register */
#define pREG_USB0_DMA6_CTL               ((volatile uint16_t *)REG_USB0_DMA6_CTL)                /* USB0 DMA Channel n Control Register */
#define pREG_USB0_DMA0_ADDR              ((void * volatile *)REG_USB0_DMA0_ADDR)                 /* USB0 DMA Channel n Address Register */
#define pREG_USB0_DMA1_ADDR              ((void * volatile *)REG_USB0_DMA1_ADDR)                 /* USB0 DMA Channel n Address Register */
#define pREG_USB0_DMA2_ADDR              ((void * volatile *)REG_USB0_DMA2_ADDR)                 /* USB0 DMA Channel n Address Register */
#define pREG_USB0_DMA3_ADDR              ((void * volatile *)REG_USB0_DMA3_ADDR)                 /* USB0 DMA Channel n Address Register */
#define pREG_USB0_DMA4_ADDR              ((void * volatile *)REG_USB0_DMA4_ADDR)                 /* USB0 DMA Channel n Address Register */
#define pREG_USB0_DMA5_ADDR              ((void * volatile *)REG_USB0_DMA5_ADDR)                 /* USB0 DMA Channel n Address Register */
#define pREG_USB0_DMA6_ADDR              ((void * volatile *)REG_USB0_DMA6_ADDR)                 /* USB0 DMA Channel n Address Register */
#define pREG_USB0_DMA0_CNT               ((volatile uint32_t *)REG_USB0_DMA0_CNT)                /* USB0 DMA Channel n Count Register */
#define pREG_USB0_DMA1_CNT               ((volatile uint32_t *)REG_USB0_DMA1_CNT)                /* USB0 DMA Channel n Count Register */
#define pREG_USB0_DMA2_CNT               ((volatile uint32_t *)REG_USB0_DMA2_CNT)                /* USB0 DMA Channel n Count Register */
#define pREG_USB0_DMA3_CNT               ((volatile uint32_t *)REG_USB0_DMA3_CNT)                /* USB0 DMA Channel n Count Register */
#define pREG_USB0_DMA4_CNT               ((volatile uint32_t *)REG_USB0_DMA4_CNT)                /* USB0 DMA Channel n Count Register */
#define pREG_USB0_DMA5_CNT               ((volatile uint32_t *)REG_USB0_DMA5_CNT)                /* USB0 DMA Channel n Count Register */
#define pREG_USB0_DMA6_CNT               ((volatile uint32_t *)REG_USB0_DMA6_CNT)                /* USB0 DMA Channel n Count Register */
#define pREG_USB0_RQPKTCNT0              ((volatile uint16_t *)REG_USB0_RQPKTCNT0)               /* USB0 EPn Request Packet Count Register */
#define pREG_USB0_RQPKTCNT1              ((volatile uint16_t *)REG_USB0_RQPKTCNT1)               /* USB0 EPn Request Packet Count Register */
#define pREG_USB0_RQPKTCNT2              ((volatile uint16_t *)REG_USB0_RQPKTCNT2)               /* USB0 EPn Request Packet Count Register */
#define pREG_USB0_RXDPKTBUFDIS           ((volatile uint16_t *)REG_USB0_RXDPKTBUFDIS)            /* USB0 RX Double Packet Buffer Disable for Endpoints 1 to 3 */
#define pREG_USB0_TXDPKTBUFDIS           ((volatile uint16_t *)REG_USB0_TXDPKTBUFDIS)            /* USB0 TX Double Packet Buffer Disable  for Endpoints 1 to 3 */
#define pREG_USB0_LPM_ATTR               ((volatile uint16_t *)REG_USB0_LPM_ATTR)                /* USB0 LPM Attribute Register */
#define pREG_USB0_LPM_CTL                ((volatile  uint8_t *)REG_USB0_LPM_CTL)                 /* USB0 LPM Control Register */
#define pREG_USB0_LPM_IEN                ((volatile  uint8_t *)REG_USB0_LPM_IEN)                 /* USB0 LPM Interrupt Enable Register */
#define pREG_USB0_LPM_IRQ                ((volatile  uint8_t *)REG_USB0_LPM_IRQ)                 /* USB0 LPM Interrupt Status Register */
#define pREG_USB0_LPM_FADDR              ((volatile  uint8_t *)REG_USB0_LPM_FADDR)               /* USB0 LPM Function Address Register */
#define pREG_USB0_VBUS_CTL               ((volatile  uint8_t *)REG_USB0_VBUS_CTL)                /* USB0 VBUS Control Register */
#define pREG_USB0_IDCTL                  ((volatile  uint8_t *)REG_USB0_IDCTL)                   /* USB0 ID Control */
#define pREG_USB0_PHY_CTL                ((volatile uint16_t *)REG_USB0_PHY_CTL)                 /* USB0 FS PHY Control */
#define pREG_USB0_PHY_STAT               ((volatile uint16_t *)REG_USB0_PHY_STAT)                /* USB0 FS PHY Status */


/* =========================================================================
       EFS0
   ========================================================================= */
#define pREG_EFS0_CTL                    ((volatile uint32_t *)REG_EFS0_CTL)                     /* EFS0 Control Register */
#define pREG_EFS0_DAT0                   ((volatile uint32_t *)REG_EFS0_DAT0)                    /* EFS0 Data Register 0 */
#define pREG_EFS0_DAT1                   ((volatile uint32_t *)REG_EFS0_DAT1)                    /* EFS0 Data Register 1 */
#define pREG_EFS0_DAT2                   ((volatile uint32_t *)REG_EFS0_DAT2)                    /* EFS0 Data Register 2 */
#define pREG_EFS0_DAT3                   ((volatile uint32_t *)REG_EFS0_DAT3)                    /* EFS0 Data Register 3 */
#define pREG_EFS0_DAT4                   ((volatile uint32_t *)REG_EFS0_DAT4)                    /* EFS0 Data Register 4 */
#define pREG_EFS0_DAT5                   ((volatile uint32_t *)REG_EFS0_DAT5)                    /* EFS0 Data Register 5 */
#define pREG_EFS0_DAT6                   ((volatile uint32_t *)REG_EFS0_DAT6)                    /* EFS0 Data Register 6 */
#define pREG_EFS0_DAT7                   ((volatile uint32_t *)REG_EFS0_DAT7)                    /* EFS0 Data Register 7 */


/* =========================================================================
       SCB0
   ========================================================================= */
#define pREG_SCB0_MST00_IB_SYNC          ((volatile uint32_t *)REG_SCB0_MST00_IB_SYNC)           /* SCB0 Master 0 IB Sync Mode */
#define pREG_SCB0_MST00_IB_RQOS          ((volatile uint32_t *)REG_SCB0_MST00_IB_RQOS)           /* SCB0 Master 0 Read Quality of Service */
#define pREG_SCB0_MST00_IB_WQOS          ((volatile uint32_t *)REG_SCB0_MST00_IB_WQOS)           /* SCB0 Master 0 Write Quality of Service */
#define pREG_SCB0_MST01_IB_SYNC          ((volatile uint32_t *)REG_SCB0_MST01_IB_SYNC)           /* SCB0 Master 1 IB Sync Mode */
#define pREG_SCB0_MST01_IB_RQOS          ((volatile uint32_t *)REG_SCB0_MST01_IB_RQOS)           /* SCB0 Master 1 Read Quality of Service */
#define pREG_SCB0_MST01_IB_WQOS          ((volatile uint32_t *)REG_SCB0_MST01_IB_WQOS)           /* SCB0 Master 1 Write Quality of Service */
#define pREG_SCB0_MST02_RQOS             ((volatile uint32_t *)REG_SCB0_MST02_RQOS)              /* SCB0 Master 2 Read Quality of Service */
#define pREG_SCB0_MST02_WQOS             ((volatile uint32_t *)REG_SCB0_MST02_WQOS)              /* SCB0 Master 2 Write Quality of Service */
#define pREG_SCB0_MST03_RQOS             ((volatile uint32_t *)REG_SCB0_MST03_RQOS)              /* SCB0 Master 3 Read Quality of Service */
#define pREG_SCB0_MST03_WQOS             ((volatile uint32_t *)REG_SCB0_MST03_WQOS)              /* SCB0 Master 3 Write Quality of Service */
#define pREG_SCB0_MST04_RQOS             ((volatile uint32_t *)REG_SCB0_MST04_RQOS)              /* SCB0 Master 4 Read Quality of Service */
#define pREG_SCB0_MST04_WQOS             ((volatile uint32_t *)REG_SCB0_MST04_WQOS)              /* SCB0 Master 4 Write Quality of Service */
#define pREG_SCB0_MST05_RQOS             ((volatile uint32_t *)REG_SCB0_MST05_RQOS)              /* SCB0 Master 5 Read Quality of Service */
#define pREG_SCB0_MST05_WQOS             ((volatile uint32_t *)REG_SCB0_MST05_WQOS)              /* SCB0 Master 5 Write Quality of Service */
#define pREG_SCB0_MST06_RQOS             ((volatile uint32_t *)REG_SCB0_MST06_RQOS)              /* SCB0 Master 6 Read Quality of Service */
#define pREG_SCB0_MST06_WQOS             ((volatile uint32_t *)REG_SCB0_MST06_WQOS)              /* SCB0 Master 6 Write Quality of Service */
#define pREG_SCB0_MST07_RQOS             ((volatile uint32_t *)REG_SCB0_MST07_RQOS)              /* SCB0 Master 7 Read Quality of Service */
#define pREG_SCB0_MST07_WQOS             ((volatile uint32_t *)REG_SCB0_MST07_WQOS)              /* SCB0 Master 7 Write Quality of Service */
#define pREG_SCB0_MST08_RQOS             ((volatile uint32_t *)REG_SCB0_MST08_RQOS)              /* SCB0 Master 8 Read Quality of Service */
#define pREG_SCB0_MST08_WQOS             ((volatile uint32_t *)REG_SCB0_MST08_WQOS)              /* SCB0 Master 8 Write Quality of Service */
#define pREG_SCB0_MST09_RQOS             ((volatile uint32_t *)REG_SCB0_MST09_RQOS)              /* SCB0 Master 9 Read Quality of Service */
#define pREG_SCB0_MST09_WQOS             ((volatile uint32_t *)REG_SCB0_MST09_WQOS)              /* SCB0 Master 9 Write Quality of Service */
#define pREG_SCB0_MST10_RQOS             ((volatile uint32_t *)REG_SCB0_MST10_RQOS)              /* SCB0 Master 10 Read Quality of Service */
#define pREG_SCB0_MST10_WQOS             ((volatile uint32_t *)REG_SCB0_MST10_WQOS)              /* SCB0 Master 10 Write Quality of Service */
#define pREG_SCB0_MST11_RQOS             ((volatile uint32_t *)REG_SCB0_MST11_RQOS)              /* SCB0 Master 11 Read Quality of Service */
#define pREG_SCB0_MST11_WQOS             ((volatile uint32_t *)REG_SCB0_MST11_WQOS)              /* SCB0 Master 11 Write Quality of Service */
#define pREG_SCB0_MST12_RQOS             ((volatile uint32_t *)REG_SCB0_MST12_RQOS)              /* SCB0 Master 12 Read Quality of Service */
#define pREG_SCB0_MST12_WQOS             ((volatile uint32_t *)REG_SCB0_MST12_WQOS)              /* SCB0 Master 12 Write Quality of Service */
#define pREG_SCB0_MST13_RQOS             ((volatile uint32_t *)REG_SCB0_MST13_RQOS)              /* SCB0 Master 13 Read Quality of Service */
#define pREG_SCB0_MST13_WQOS             ((volatile uint32_t *)REG_SCB0_MST13_WQOS)              /* SCB0 Master 13 Write Quality of Service */
#define pREG_SCB0_MST14_RQOS             ((volatile uint32_t *)REG_SCB0_MST14_RQOS)              /* SCB0 Master 14 Read Quality of Service */
#define pREG_SCB0_MST14_WQOS             ((volatile uint32_t *)REG_SCB0_MST14_WQOS)              /* SCB0 Master 14 Write Quality of Service */
#define pREG_SCB0_MST15_RQOS             ((volatile uint32_t *)REG_SCB0_MST15_RQOS)              /* SCB0 Master 15 Read Quality of Service */
#define pREG_SCB0_MST15_WQOS             ((volatile uint32_t *)REG_SCB0_MST15_WQOS)              /* SCB0 Master 15 Write Quality of Service */
#define pREG_SCB0_MST16_RQOS             ((volatile uint32_t *)REG_SCB0_MST16_RQOS)              /* SCB0 Master 16 Read Quality of Service */
#define pREG_SCB0_MST16_WQOS             ((volatile uint32_t *)REG_SCB0_MST16_WQOS)              /* SCB0 Master 16 Write Quality of Service */
#define pREG_SCB0_MST17_RQOS             ((volatile uint32_t *)REG_SCB0_MST17_RQOS)              /* SCB0 Master 17 Read Quality of Service */
#define pREG_SCB0_MST17_WQOS             ((volatile uint32_t *)REG_SCB0_MST17_WQOS)              /* SCB0 Master 17 Write Quality of Service */
#define pREG_SCB0_MST18_RQOS             ((volatile uint32_t *)REG_SCB0_MST18_RQOS)              /* SCB0 Master 18 Read Quality of Service */
#define pREG_SCB0_MST18_WQOS             ((volatile uint32_t *)REG_SCB0_MST18_WQOS)              /* SCB0 Master 18 Write Quality of Service */
#define pREG_SCB0_MST19_RQOS             ((volatile uint32_t *)REG_SCB0_MST19_RQOS)              /* SCB0 Master 19 Read Quality of Service */
#define pREG_SCB0_MST19_WQOS             ((volatile uint32_t *)REG_SCB0_MST19_WQOS)              /* SCB0 Master 19 Write Quality of Service */
#define pREG_SCB0_MST20_RQOS             ((volatile uint32_t *)REG_SCB0_MST20_RQOS)              /* SCB0 Master20 Read Quality of Service */
#define pREG_SCB0_MST20_WQOS             ((volatile uint32_t *)REG_SCB0_MST20_WQOS)              /* SCB0 Master 20 Write Quality of Service */
#define pREG_SCB0_MST21_RQOS             ((volatile uint32_t *)REG_SCB0_MST21_RQOS)              /* SCB0 Master 21 Read Quality of Service */
#define pREG_SCB0_MST21_WQOS             ((volatile uint32_t *)REG_SCB0_MST21_WQOS)              /* SCB0 Master 21 Write Quality of Service */
#define pREG_SCB0_MST22_RQOS             ((volatile uint32_t *)REG_SCB0_MST22_RQOS)              /* SCB0 Master 22 Read Quality of Service */
#define pREG_SCB0_MST22_WQOS             ((volatile uint32_t *)REG_SCB0_MST22_WQOS)              /* SCB0 Master 22 Write Quality of Service */
#define pREG_SCB0_MST23_RQOS             ((volatile uint32_t *)REG_SCB0_MST23_RQOS)              /* SCB0 Master 23 Read Quality of Service */
#define pREG_SCB0_MST23_WQOS             ((volatile uint32_t *)REG_SCB0_MST23_WQOS)              /* SCB0 Master 23 Write Quality of Service */
#define pREG_SCB0_MST24_RQOS             ((volatile uint32_t *)REG_SCB0_MST24_RQOS)              /* SCB0 Master 24 Read Quality of Service */
#define pREG_SCB0_MST24_WQOS             ((volatile uint32_t *)REG_SCB0_MST24_WQOS)              /* SCB0 Master 24 Write Quality of Service */
#define pREG_SCB0_MST25_RQOS             ((volatile uint32_t *)REG_SCB0_MST25_RQOS)              /* SCB0 Master 25 Read Quality of Service */
#define pREG_SCB0_MST25_WQOS             ((volatile uint32_t *)REG_SCB0_MST25_WQOS)              /* SCB0 Master 25 Write Quality of Service */
#define pREG_SCB0_MST26_RQOS             ((volatile uint32_t *)REG_SCB0_MST26_RQOS)              /* SCB0 Master 26 Read Quality of Service */
#define pREG_SCB0_MST26_WQOS             ((volatile uint32_t *)REG_SCB0_MST26_WQOS)              /* SCB0 Master 26 Write Quality of Service */



/* =========================================================================
       DWT0
   ========================================================================= */
#define pREG_DWT0_CTRL                   ((volatile uint32_t *)REG_DWT0_CTRL)                    /* DWT0 DWT Control Register */
#define pREG_DWT0_CYCCNT                 ((volatile uint32_t *)REG_DWT0_CYCCNT)                  /* DWT0 DWT Current PC Sampler Cycle Count Register */
#define pREG_DWT0_CPICNT                 ((volatile uint32_t *)REG_DWT0_CPICNT)                  /* DWT0 DWT CPI Count Register */
#define pREG_DWT0_EXCCNT                 ((volatile uint32_t *)REG_DWT0_EXCCNT)                  /* DWT0 DWT Exception Overhead Count Register */
#define pREG_DWT0_SLEEPCNT               ((volatile uint32_t *)REG_DWT0_SLEEPCNT)                /* DWT0 DWT Sleep Count Register */
#define pREG_DWT0_LSUCNT                 ((volatile uint32_t *)REG_DWT0_LSUCNT)                  /* DWT0 DWT LSU Count Register */
#define pREG_DWT0_FOLDCNT                ((volatile uint32_t *)REG_DWT0_FOLDCNT)                 /* DWT0 DWT Fold Count Register */
#define pREG_DWT0_PCSR                   ((volatile uint32_t *)REG_DWT0_PCSR)                    /* DWT0 DWT Program Counter Sample Register */
#define pREG_DWT0_COMP0                  ((volatile uint32_t *)REG_DWT0_COMP0)                   /* DWT0 DWT Comparator Register 0 */
#define pREG_DWT0_MSK0                   ((volatile uint32_t *)REG_DWT0_MSK0)                    /* DWT0 DWT Mask Register 0 */
#define pREG_DWT0_FUNCTION0              ((volatile uint32_t *)REG_DWT0_FUNCTION0)               /* DWT0 DWT Function Register 0 */
#define pREG_DWT0_COMP1                  ((volatile uint32_t *)REG_DWT0_COMP1)                   /* DWT0 DWT Comparator Register 1 */
#define pREG_DWT0_MSK1                   ((volatile uint32_t *)REG_DWT0_MSK1)                    /* DWT0 DWT Mask Register 1 */
#define pREG_DWT0_FUNCTION1              ((volatile uint32_t *)REG_DWT0_FUNCTION1)               /* DWT0 DWT Function Register 1 */
#define pREG_DWT0_COMP2                  ((volatile uint32_t *)REG_DWT0_COMP2)                   /* DWT0 DWT Comparator Register 2 */
#define pREG_DWT0_MSK2                   ((volatile uint32_t *)REG_DWT0_MSK2)                    /* DWT0 DWT Mask Register 2 */
#define pREG_DWT0_FUNCTION2              ((volatile uint32_t *)REG_DWT0_FUNCTION2)               /* DWT0 DWT Function Register 2 */
#define pREG_DWT0_COMP3                  ((volatile uint32_t *)REG_DWT0_COMP3)                   /* DWT0 DWT Comparator Register 3 */
#define pREG_DWT0_MSK3                   ((volatile uint32_t *)REG_DWT0_MSK3)                    /* DWT0 DWT Mask Register 3 */
#define pREG_DWT0_FUNCTION3              ((volatile uint32_t *)REG_DWT0_FUNCTION3)               /* DWT0 DWT Function Register 3 */



/* =========================================================================
       SCS0
   ========================================================================= */
#define pREG_SCS0_ICTR                   ((volatile uint32_t *)REG_SCS0_ICTR)                    /* SCS0 Interrupt Control Type Register */
#define pREG_SCS0_ACTLR                  ((volatile uint32_t *)REG_SCS0_ACTLR)                   /* SCS0 Auxiliary Control Register */
#define pREG_SCS0_STCSR                  ((volatile uint32_t *)REG_SCS0_STCSR)                   /* SCS0 SysTick Control and Status Register */
#define pREG_SCS0_STRVR                  ((volatile uint32_t *)REG_SCS0_STRVR)                   /* SCS0 SysTick Reload Value Register */
#define pREG_SCS0_STCVR                  ((volatile uint32_t *)REG_SCS0_STCVR)                   /* SCS0 SysTick Current Value Register */
#define pREG_SCS0_STCR                   ((volatile uint32_t *)REG_SCS0_STCR)                    /* SCS0 SysTick Calibration Value Register */
#define pREG_SCS0_NVIC_ISER0             ((volatile uint32_t *)REG_SCS0_NVIC_ISER0)              /* SCS0 Irq  Set Enable Register n */
#define pREG_SCS0_NVIC_ISER1             ((volatile uint32_t *)REG_SCS0_NVIC_ISER1)              /* SCS0 Irq  Set Enable Register n */
#define pREG_SCS0_NVIC_ISER2             ((volatile uint32_t *)REG_SCS0_NVIC_ISER2)              /* SCS0 Irq  Set Enable Register n */
#define pREG_SCS0_NVIC_ISER3             ((volatile uint32_t *)REG_SCS0_NVIC_ISER3)              /* SCS0 Irq  Set Enable Register n */
#define pREG_SCS0_NVIC_ISER4             ((volatile uint32_t *)REG_SCS0_NVIC_ISER4)              /* SCS0 Irq  Set Enable Register n */
#define pREG_SCS0_NVIC_ICER0             ((volatile uint32_t *)REG_SCS0_NVIC_ICER0)              /* SCS0 Irq Clear Enable Register n */
#define pREG_SCS0_NVIC_ICER1             ((volatile uint32_t *)REG_SCS0_NVIC_ICER1)              /* SCS0 Irq Clear Enable Register n */
#define pREG_SCS0_NVIC_ICER2             ((volatile uint32_t *)REG_SCS0_NVIC_ICER2)              /* SCS0 Irq Clear Enable Register n */
#define pREG_SCS0_NVIC_ICER3             ((volatile uint32_t *)REG_SCS0_NVIC_ICER3)              /* SCS0 Irq Clear Enable Register n */
#define pREG_SCS0_NVIC_ICER4             ((volatile uint32_t *)REG_SCS0_NVIC_ICER4)              /* SCS0 Irq Clear Enable Register n */
#define pREG_SCS0_NVIC_ISPR0             ((volatile uint32_t *)REG_SCS0_NVIC_ISPR0)              /* SCS0 Irq Set Pending Register n */
#define pREG_SCS0_NVIC_ISPR1             ((volatile uint32_t *)REG_SCS0_NVIC_ISPR1)              /* SCS0 Irq Set Pending Register n */
#define pREG_SCS0_NVIC_ISPR2             ((volatile uint32_t *)REG_SCS0_NVIC_ISPR2)              /* SCS0 Irq Set Pending Register n */
#define pREG_SCS0_NVIC_ISPR3             ((volatile uint32_t *)REG_SCS0_NVIC_ISPR3)              /* SCS0 Irq Set Pending Register n */
#define pREG_SCS0_NVIC_ISPR4             ((volatile uint32_t *)REG_SCS0_NVIC_ISPR4)              /* SCS0 Irq Set Pending Register n */
#define pREG_SCS0_NVIC_ICPR0             ((volatile uint32_t *)REG_SCS0_NVIC_ICPR0)              /* SCS0 Irq Clear Pending Register n */
#define pREG_SCS0_NVIC_ICPR1             ((volatile uint32_t *)REG_SCS0_NVIC_ICPR1)              /* SCS0 Irq Clear Pending Register n */
#define pREG_SCS0_NVIC_ICPR2             ((volatile uint32_t *)REG_SCS0_NVIC_ICPR2)              /* SCS0 Irq Clear Pending Register n */
#define pREG_SCS0_NVIC_ICPR3             ((volatile uint32_t *)REG_SCS0_NVIC_ICPR3)              /* SCS0 Irq Clear Pending Register n */
#define pREG_SCS0_NVIC_ICPR4             ((volatile uint32_t *)REG_SCS0_NVIC_ICPR4)              /* SCS0 Irq Clear Pending Register n */
#define pREG_SCS0_NVIC_IABR0             ((volatile uint32_t *)REG_SCS0_NVIC_IABR0)              /* SCS0 Irq Active Bit Register n */
#define pREG_SCS0_NVIC_IABR1             ((volatile uint32_t *)REG_SCS0_NVIC_IABR1)              /* SCS0 Irq Active Bit Register n */
#define pREG_SCS0_NVIC_IABR2             ((volatile uint32_t *)REG_SCS0_NVIC_IABR2)              /* SCS0 Irq Active Bit Register n */
#define pREG_SCS0_NVIC_IABR3             ((volatile uint32_t *)REG_SCS0_NVIC_IABR3)              /* SCS0 Irq Active Bit Register n */
#define pREG_SCS0_NVIC_IABR4             ((volatile uint32_t *)REG_SCS0_NVIC_IABR4)              /* SCS0 Irq Active Bit Register n */
#define pREG_SCS0_NVIC_IPR00             ((volatile uint32_t *)REG_SCS0_NVIC_IPR00)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR01             ((volatile uint32_t *)REG_SCS0_NVIC_IPR01)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR02             ((volatile uint32_t *)REG_SCS0_NVIC_IPR02)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR03             ((volatile uint32_t *)REG_SCS0_NVIC_IPR03)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR04             ((volatile uint32_t *)REG_SCS0_NVIC_IPR04)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR05             ((volatile uint32_t *)REG_SCS0_NVIC_IPR05)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR06             ((volatile uint32_t *)REG_SCS0_NVIC_IPR06)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR07             ((volatile uint32_t *)REG_SCS0_NVIC_IPR07)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR08             ((volatile uint32_t *)REG_SCS0_NVIC_IPR08)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR09             ((volatile uint32_t *)REG_SCS0_NVIC_IPR09)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR10             ((volatile uint32_t *)REG_SCS0_NVIC_IPR10)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR11             ((volatile uint32_t *)REG_SCS0_NVIC_IPR11)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR12             ((volatile uint32_t *)REG_SCS0_NVIC_IPR12)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR13             ((volatile uint32_t *)REG_SCS0_NVIC_IPR13)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR14             ((volatile uint32_t *)REG_SCS0_NVIC_IPR14)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR15             ((volatile uint32_t *)REG_SCS0_NVIC_IPR15)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR16             ((volatile uint32_t *)REG_SCS0_NVIC_IPR16)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR17             ((volatile uint32_t *)REG_SCS0_NVIC_IPR17)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR18             ((volatile uint32_t *)REG_SCS0_NVIC_IPR18)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR19             ((volatile uint32_t *)REG_SCS0_NVIC_IPR19)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR20             ((volatile uint32_t *)REG_SCS0_NVIC_IPR20)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR21             ((volatile uint32_t *)REG_SCS0_NVIC_IPR21)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR22             ((volatile uint32_t *)REG_SCS0_NVIC_IPR22)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR23             ((volatile uint32_t *)REG_SCS0_NVIC_IPR23)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR24             ((volatile uint32_t *)REG_SCS0_NVIC_IPR24)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR25             ((volatile uint32_t *)REG_SCS0_NVIC_IPR25)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR26             ((volatile uint32_t *)REG_SCS0_NVIC_IPR26)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR27             ((volatile uint32_t *)REG_SCS0_NVIC_IPR27)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR28             ((volatile uint32_t *)REG_SCS0_NVIC_IPR28)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR29             ((volatile uint32_t *)REG_SCS0_NVIC_IPR29)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR30             ((volatile uint32_t *)REG_SCS0_NVIC_IPR30)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR31             ((volatile uint32_t *)REG_SCS0_NVIC_IPR31)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_NVIC_IPR32             ((volatile uint32_t *)REG_SCS0_NVIC_IPR32)              /* SCS0 Irq Priority Register nn */
#define pREG_SCS0_CPUID                  ((volatile uint32_t *)REG_SCS0_CPUID)                   /* SCS0 CPUID Base Register */
#define pREG_SCS0_ICSR                   ((volatile uint32_t *)REG_SCS0_ICSR)                    /* SCS0 Interrupt Control State Register */
#define pREG_SCS0_VTOR                   ((volatile uint32_t *)REG_SCS0_VTOR)                    /* SCS0 Vector Table Offset Register */
#define pREG_SCS0_AIRCR                  ((volatile uint32_t *)REG_SCS0_AIRCR)                   /* SCS0 Application Interrupt/Reset Control Register */
#define pREG_SCS0_SCR                    ((volatile uint32_t *)REG_SCS0_SCR)                     /* SCS0 System Control Register */
#define pREG_SCS0_CCR                    ((volatile uint32_t *)REG_SCS0_CCR)                     /* SCS0 Configuration Control Register */
#define pREG_SCS0_SHPR1                  ((volatile uint32_t *)REG_SCS0_SHPR1)                   /* SCS0 System Handlers 4-7 Priority Register */
#define pREG_SCS0_SHPR2                  ((volatile uint32_t *)REG_SCS0_SHPR2)                   /* SCS0 System Handlers 8-11 Priority Register */
#define pREG_SCS0_SHPR3                  ((volatile uint32_t *)REG_SCS0_SHPR3)                   /* SCS0 System Handlers 12-15 Priority Register */
#define pREG_SCS0_SHCSR                  ((volatile uint32_t *)REG_SCS0_SHCSR)                   /* SCS0 System Handler Control and State Register */
#define pREG_SCS0_CFSR                   ((volatile uint32_t *)REG_SCS0_CFSR)                    /* SCS0 Configurable Fault Status Registers */
#define pREG_SCS0_HFSR                   ((volatile uint32_t *)REG_SCS0_HFSR)                    /* SCS0 Hard Fault Status Register */
#define pREG_SCS0_DFSR                   ((volatile uint32_t *)REG_SCS0_DFSR)                    /* SCS0 Debug Fault Status Register */
#define pREG_SCS0_MMFAR                  ((volatile uint32_t *)REG_SCS0_MMFAR)                   /* SCS0 Mem Manage Fault Address Register */
#define pREG_SCS0_BFAR                   ((volatile uint32_t *)REG_SCS0_BFAR)                    /* SCS0 Bus Fault Address Register */
#define pREG_SCS0_AFSR                   ((volatile uint32_t *)REG_SCS0_AFSR)                    /* SCS0 Auxiliary Fault Status Register */
#define pREG_SCS0_CPACR                  ((volatile uint32_t *)REG_SCS0_CPACR)                   /* SCS0 Coprocessor Access Control Register */
#define pREG_SCS0_MPU_TYPE               ((volatile uint32_t *)REG_SCS0_MPU_TYPE)                /* SCS0 MPU Type Register */
#define pREG_SCS0_MPU_CTRL               ((volatile uint32_t *)REG_SCS0_MPU_CTRL)                /* SCS0 MPU Control Register */
#define pREG_SCS0_MPU_RNR                ((volatile uint32_t *)REG_SCS0_MPU_RNR)                 /* SCS0 MPU Region Number Register */
#define pREG_SCS0_MPU_RBAR               ((volatile uint32_t *)REG_SCS0_MPU_RBAR)                /* SCS0 MPU Region Base Address Register */
#define pREG_SCS0_MPU_RASR               ((volatile uint32_t *)REG_SCS0_MPU_RASR)                /* SCS0 MPU Region Attribute and Size Register */
#define pREG_SCS0_MPU_RBAR_A1            ((volatile uint32_t *)REG_SCS0_MPU_RBAR_A1)             /* SCS0 MPU Alias 1 Region Base Address register */
#define pREG_SCS0_MPU_RASR_A1            ((volatile uint32_t *)REG_SCS0_MPU_RASR_A1)             /* SCS0 MPU Alias 1 Region Attribute and Size register */
#define pREG_SCS0_MPU_RBAR_A2            ((volatile uint32_t *)REG_SCS0_MPU_RBAR_A2)             /* SCS0 MPU Alias 2 Region Base Address register */
#define pREG_SCS0_MPU_RASR_A2            ((volatile uint32_t *)REG_SCS0_MPU_RASR_A2)             /* SCS0 MPU Alias 2 Region Attribute and Size register */
#define pREG_SCS0_MPU_RBAR_A3            ((volatile uint32_t *)REG_SCS0_MPU_RBAR_A3)             /* SCS0 MPU Alias 3 Region Base Address register */
#define pREG_SCS0_MPU_RASR_A3            ((volatile uint32_t *)REG_SCS0_MPU_RASR_A3)             /* SCS0 MPU Alias 3 Region Attribute and Size register */
#define pREG_SCS0_STIR                   ((volatile uint32_t *)REG_SCS0_STIR)                    /* SCS0 Software Trigger Interrupt Register */
#define pREG_SCS0_FPCCR                  ((volatile uint32_t *)REG_SCS0_FPCCR)                   /* SCS0 Floating Point Context Control Register */
#define pREG_SCS0_FPCAR                  ((volatile uint32_t *)REG_SCS0_FPCAR)                   /* SCS0 Floating-Point Context Address Register */
#define pREG_SCS0_FPDSCR                 ((volatile uint32_t *)REG_SCS0_FPDSCR)                  /* SCS0 Floating Point Default Status Control Register */








/* =========================================================================
       M4P0
   ========================================================================= */
#define pREG_M4P0_CACHE_CFG              ((volatile uint32_t *)REG_M4P0_CACHE_CFG)               /* M4P0 Code Cache Configuration and Status Register */
#define pREG_M4P0_CACHE_PEADDR           ((volatile uint32_t *)REG_M4P0_CACHE_PEADDR)            /* M4P0 Code Cache Parity Error Address Register */
#define pREG_M4P0_CACHE_MEMX             ((volatile uint32_t *)REG_M4P0_CACHE_MEMX)              /* M4P0 MEMX Space Configuration Register */
#define pREG_M4P0_CACHE_MEMY             ((volatile uint32_t *)REG_M4P0_CACHE_MEMY)              /* M4P0 MEMY Space Configuration Register */
#define pREG_M4P0_SRAM_CFG               ((volatile uint32_t *)REG_M4P0_SRAM_CFG)                /* M4P0 SRAM Configuration Register */
#define pREG_M4P0_SRAM_PEADDR_CORE       ((volatile uint32_t *)REG_M4P0_SRAM_PEADDR_CORE)        /* M4P0 SRAM Parity Error Address (Core) Register */
#define pREG_M4P0_SRAM_PEADDR_DMA        ((volatile uint32_t *)REG_M4P0_SRAM_PEADDR_DMA)         /* M4P0 SRAM Parity Error Address (DMA) Register */
#define pREG_M4P0_BUSFLT                 ((volatile uint32_t *)REG_M4P0_BUSFLT)                  /* M4P0 Bus Fault Error Information Register */
#define pREG_M4P0_STCALIB                ((volatile uint32_t *)REG_M4P0_STCALIB)                 /* M4P0 SysTick Calibration Register */
#define pREG_M4P0_CACHE_CNTCTL           ((volatile uint32_t *)REG_M4P0_CACHE_CNTCTL)            /* M4P0 Cache Counter Control Register */
#define pREG_M4P0_CACHE_IREF             ((volatile uint32_t *)REG_M4P0_CACHE_IREF)              /* M4P0 Cache ICODE Reference Counter Register */
#define pREG_M4P0_CACHE_DREF             ((volatile uint32_t *)REG_M4P0_CACHE_DREF)              /* M4P0 Cache DCODE Reference Counter Register */
#define pREG_M4P0_CACHE_IMISS            ((volatile uint32_t *)REG_M4P0_CACHE_IMISS)             /* M4P0 Cache ICODE Miss Counter Register */
#define pREG_M4P0_CACHE_DMISS            ((volatile uint32_t *)REG_M4P0_CACHE_DMISS)             /* M4P0 Cache DCODE Miss Counter Register */
#define pREG_M4P0_CACHE_IFILL            ((volatile uint32_t *)REG_M4P0_CACHE_IFILL)             /* M4P0 Cache ICODE Line Fill Counter Register */
#define pREG_M4P0_CACHE_DFILL            ((volatile uint32_t *)REG_M4P0_CACHE_DFILL)             /* M4P0 Cache DCODE Line Fill Counter Register */

#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */

#endif	/* end ifndef _CDEF_CM40Z_H */
