/* ================================================================================

     Project      :   CM40z
     File         :   defCM40z.h
     Description  :   Register Definitions

     Date         :   09-03-2013


     Copyright (c) 2011-2013 Analog Devices, Inc.  All Rights Reserved.
     This software is proprietary and confidential to Analog Devices, Inc. and
     its licensors.

     This file was auto-generated. Do not make local changes to this file.

   ================================================================================ */

#ifndef _DEF_CM40Z_H
#define _DEF_CM40Z_H

#if defined (_MISRA_RULES)
#pragma diag(push)
#pragma diag(suppress:misra_rule_19_7:"ADI header allows function-like macros")
#pragma diag(suppress:misra_rule_19_13:"ADI headers can use the # and ## preprocessor operators")
#endif /* _MISRA_RULES */

/* do not add casts to literal constants in assembly code */
#if defined(_LANGUAGE_ASM) || defined(__ASSEMBLER__)
#define _ADI_MSK( mask, type ) (mask) /* Make a bitmask */
#else
#define _ADI_MSK( mask, type ) ((type)(mask)) /* Make a bitmask */
#endif

#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */

#ifndef __ADI_GENERATED_DEF_HEADERS__
#define __ADI_GENERATED_DEF_HEADERS__    1
#endif

/* MMR modules defined for the CM40z */

#define __ADI_HAS_SYS__           1
#define __ADI_HAS_SIMENV__        1
#define __ADI_HAS_TIMER__         1
#define __ADI_HAS_TWI__           1
#define __ADI_HAS_SPORT__         1
#define __ADI_HAS_CRC__           1
#define __ADI_HAS_EMUID__         1
#define __ADI_HAS_CAN__           1
#define __ADI_HAS_UART__          1
#define __ADI_HAS_PORT__          1
#define __ADI_HAS_PADS__          1
#define __ADI_HAS_PINT__          1
#define __ADI_HAS_SMC__           1
#define __ADI_HAS_PWM__           1
#define __ADI_HAS_HPWMBST__       1
#define __ADI_HAS_CNT__           1
#define __ADI_HAS_SINC__          1
#define __ADI_HAS_ADCC__          1
#define __ADI_HAS_DACC__          1
#define __ADI_HAS_DMA__           1
#define __ADI_HAS_RCU__           1
#define __ADI_HAS_TRU__           1
#define __ADI_HAS_CGU__           1
#define __ADI_HAS_DPM__           1
#define __ADI_HAS_HAE__           1
#define __ADI_HAS_EMAC__          1
#define __ADI_HAS_SWU__           1
#define __ADI_HAS_SPU__           1
#define __ADI_HAS_SEC__           1
#define __ADI_HAS_JTAG__          1
#define __ADI_HAS_SPI__           1
#define __ADI_HAS_WDOG__          1
#define __ADI_HAS_USB__           1
#define __ADI_HAS_EFS__           1
#define __ADI_HAS_SCB__           1
#define __ADI_HAS_ITM__           1
#define __ADI_HAS_DWT__           1
#define __ADI_HAS_FPB__           1
#define __ADI_HAS_SCS__           1
#define __ADI_HAS_TPIU__          1
#define __ADI_HAS_ETM__           1
#define __ADI_HAS_SWO__           1
#define __ADI_HAS_CSTF__          1
#define __ADI_HAS_CXTMC__         1
#define __ADI_HAS_CTI__           1
#define __ADI_HAS_M4P__           1


/* ==================================================
        General-Purpose Timer Block Registers
   ================================================== */

/* =========================
        TIMER0
   ========================= */
#define REG_TIMER0_RUN                  0x40000804         /* TIMER0 Run Register */
#define REG_TIMER0_RUN_SET              0x40000808         /* TIMER0 Run Set Register */
#define REG_TIMER0_RUN_CLR              0x4000080C         /* TIMER0 Run Clear Register */
#define REG_TIMER0_STOP_CFG             0x40000810         /* TIMER0 Stop Configuration Register */
#define REG_TIMER0_STOP_CFG_SET         0x40000814         /* TIMER0 Stop Configuration Set Register */
#define REG_TIMER0_STOP_CFG_CLR         0x40000818         /* TIMER0 Stop Configuration Clear Register */
#define REG_TIMER0_DATA_IMSK            0x4000081C         /* TIMER0 Data Interrupt Mask Register */
#define REG_TIMER0_STAT_IMSK            0x40000820         /* TIMER0 Status Interrupt Mask Register */
#define REG_TIMER0_TRG_MSK              0x40000824         /* TIMER0 Trigger Master Mask Register */
#define REG_TIMER0_TRG_IE               0x40000828         /* TIMER0 Trigger Slave Enable Register */
#define REG_TIMER0_DATA_ILAT            0x4000082C         /* TIMER0 Data Interrupt Latch Register */
#define REG_TIMER0_STAT_ILAT            0x40000830         /* TIMER0 Status Interrupt Latch Register */
#define REG_TIMER0_ERR_TYPE             0x40000834         /* TIMER0 Error Type Status Register */
#define REG_TIMER0_BCAST_PER            0x40000838         /* TIMER0 Broadcast Period Register */
#define REG_TIMER0_BCAST_WID            0x4000083C         /* TIMER0 Broadcast Width Register */
#define REG_TIMER0_BCAST_DLY            0x40000840         /* TIMER0 Broadcast Delay Register */
#define REG_TIMER0_TMR0_CFG             0x40000860         /* TIMER0 Timer n Configuration Register */
#define REG_TIMER0_TMR1_CFG             0x40000880         /* TIMER0 Timer n Configuration Register */
#define REG_TIMER0_TMR2_CFG             0x400008A0         /* TIMER0 Timer n Configuration Register */
#define REG_TIMER0_TMR3_CFG             0x400008C0         /* TIMER0 Timer n Configuration Register */
#define REG_TIMER0_TMR4_CFG             0x400008E0         /* TIMER0 Timer n Configuration Register */
#define REG_TIMER0_TMR5_CFG             0x40000900         /* TIMER0 Timer n Configuration Register */
#define REG_TIMER0_TMR6_CFG             0x40000920         /* TIMER0 Timer n Configuration Register */
#define REG_TIMER0_TMR7_CFG             0x40000940         /* TIMER0 Timer n Configuration Register */
#define REG_TIMER0_TMR0_CNT             0x40000864         /* TIMER0 Timer n Counter Register */
#define REG_TIMER0_TMR1_CNT             0x40000884         /* TIMER0 Timer n Counter Register */
#define REG_TIMER0_TMR2_CNT             0x400008A4         /* TIMER0 Timer n Counter Register */
#define REG_TIMER0_TMR3_CNT             0x400008C4         /* TIMER0 Timer n Counter Register */
#define REG_TIMER0_TMR4_CNT             0x400008E4         /* TIMER0 Timer n Counter Register */
#define REG_TIMER0_TMR5_CNT             0x40000904         /* TIMER0 Timer n Counter Register */
#define REG_TIMER0_TMR6_CNT             0x40000924         /* TIMER0 Timer n Counter Register */
#define REG_TIMER0_TMR7_CNT             0x40000944         /* TIMER0 Timer n Counter Register */
#define REG_TIMER0_TMR0_PER             0x40000868         /* TIMER0 Timer n Period Register */
#define REG_TIMER0_TMR1_PER             0x40000888         /* TIMER0 Timer n Period Register */
#define REG_TIMER0_TMR2_PER             0x400008A8         /* TIMER0 Timer n Period Register */
#define REG_TIMER0_TMR3_PER             0x400008C8         /* TIMER0 Timer n Period Register */
#define REG_TIMER0_TMR4_PER             0x400008E8         /* TIMER0 Timer n Period Register */
#define REG_TIMER0_TMR5_PER             0x40000908         /* TIMER0 Timer n Period Register */
#define REG_TIMER0_TMR6_PER             0x40000928         /* TIMER0 Timer n Period Register */
#define REG_TIMER0_TMR7_PER             0x40000948         /* TIMER0 Timer n Period Register */
#define REG_TIMER0_TMR0_WID             0x4000086C         /* TIMER0 Timer n Width Register */
#define REG_TIMER0_TMR1_WID             0x4000088C         /* TIMER0 Timer n Width Register */
#define REG_TIMER0_TMR2_WID             0x400008AC         /* TIMER0 Timer n Width Register */
#define REG_TIMER0_TMR3_WID             0x400008CC         /* TIMER0 Timer n Width Register */
#define REG_TIMER0_TMR4_WID             0x400008EC         /* TIMER0 Timer n Width Register */
#define REG_TIMER0_TMR5_WID             0x4000090C         /* TIMER0 Timer n Width Register */
#define REG_TIMER0_TMR6_WID             0x4000092C         /* TIMER0 Timer n Width Register */
#define REG_TIMER0_TMR7_WID             0x4000094C         /* TIMER0 Timer n Width Register */
#define REG_TIMER0_TMR0_DLY             0x40000870         /* TIMER0 Timer n Delay Register */
#define REG_TIMER0_TMR1_DLY             0x40000890         /* TIMER0 Timer n Delay Register */
#define REG_TIMER0_TMR2_DLY             0x400008B0         /* TIMER0 Timer n Delay Register */
#define REG_TIMER0_TMR3_DLY             0x400008D0         /* TIMER0 Timer n Delay Register */
#define REG_TIMER0_TMR4_DLY             0x400008F0         /* TIMER0 Timer n Delay Register */
#define REG_TIMER0_TMR5_DLY             0x40000910         /* TIMER0 Timer n Delay Register */
#define REG_TIMER0_TMR6_DLY             0x40000930         /* TIMER0 Timer n Delay Register */
#define REG_TIMER0_TMR7_DLY             0x40000950         /* TIMER0 Timer n Delay Register */

/* =========================
        TIMER
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_RUN                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_RUN_TMR00                   0                               /* Start/Stop Timer n */
#define BITP_TIMER_RUN_TMR01                   1                               /* Start/Stop Timer n */
#define BITP_TIMER_RUN_TMR02                   2                               /* Start/Stop Timer n */
#define BITP_TIMER_RUN_TMR03                   3                               /* Start/Stop Timer n */
#define BITP_TIMER_RUN_TMR04                   4                               /* Start/Stop Timer n */
#define BITP_TIMER_RUN_TMR05                   5                               /* Start/Stop Timer n */
#define BITP_TIMER_RUN_TMR06                   6                               /* Start/Stop Timer n */
#define BITP_TIMER_RUN_TMR07                   7                               /* Start/Stop Timer n */
#define BITM_TIMER_RUN_TMR00                  (_ADI_MSK(0x00000001,uint16_t))  /* Start/Stop Timer n */
#define BITM_TIMER_RUN_TMR01                  (_ADI_MSK(0x00000002,uint16_t))  /* Start/Stop Timer n */
#define BITM_TIMER_RUN_TMR02                  (_ADI_MSK(0x00000004,uint16_t))  /* Start/Stop Timer n */
#define BITM_TIMER_RUN_TMR03                  (_ADI_MSK(0x00000008,uint16_t))  /* Start/Stop Timer n */
#define BITM_TIMER_RUN_TMR04                  (_ADI_MSK(0x00000010,uint16_t))  /* Start/Stop Timer n */
#define BITM_TIMER_RUN_TMR05                  (_ADI_MSK(0x00000020,uint16_t))  /* Start/Stop Timer n */
#define BITM_TIMER_RUN_TMR06                  (_ADI_MSK(0x00000040,uint16_t))  /* Start/Stop Timer n */
#define BITM_TIMER_RUN_TMR07                  (_ADI_MSK(0x00000080,uint16_t))  /* Start/Stop Timer n */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_RUN_SET                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_RUN_SET_TMR00               0                               /* RUN Set Alias */
#define BITP_TIMER_RUN_SET_TMR01               1                               /* RUN Set Alias */
#define BITP_TIMER_RUN_SET_TMR02               2                               /* RUN Set Alias */
#define BITP_TIMER_RUN_SET_TMR03               3                               /* RUN Set Alias */
#define BITP_TIMER_RUN_SET_TMR04               4                               /* RUN Set Alias */
#define BITP_TIMER_RUN_SET_TMR05               5                               /* RUN Set Alias */
#define BITP_TIMER_RUN_SET_TMR06               6                               /* RUN Set Alias */
#define BITP_TIMER_RUN_SET_TMR07               7                               /* RUN Set Alias */
#define BITM_TIMER_RUN_SET_TMR00              (_ADI_MSK(0x00000001,uint16_t))  /* RUN Set Alias */
#define BITM_TIMER_RUN_SET_TMR01              (_ADI_MSK(0x00000002,uint16_t))  /* RUN Set Alias */
#define BITM_TIMER_RUN_SET_TMR02              (_ADI_MSK(0x00000004,uint16_t))  /* RUN Set Alias */
#define BITM_TIMER_RUN_SET_TMR03              (_ADI_MSK(0x00000008,uint16_t))  /* RUN Set Alias */
#define BITM_TIMER_RUN_SET_TMR04              (_ADI_MSK(0x00000010,uint16_t))  /* RUN Set Alias */
#define BITM_TIMER_RUN_SET_TMR05              (_ADI_MSK(0x00000020,uint16_t))  /* RUN Set Alias */
#define BITM_TIMER_RUN_SET_TMR06              (_ADI_MSK(0x00000040,uint16_t))  /* RUN Set Alias */
#define BITM_TIMER_RUN_SET_TMR07              (_ADI_MSK(0x00000080,uint16_t))  /* RUN Set Alias */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_RUN_CLR                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_RUN_CLR_TMR00               0                               /* RUN Clear Alias */
#define BITP_TIMER_RUN_CLR_TMR01               1                               /* RUN Clear Alias */
#define BITP_TIMER_RUN_CLR_TMR02               2                               /* RUN Clear Alias */
#define BITP_TIMER_RUN_CLR_TMR03               3                               /* RUN Clear Alias */
#define BITP_TIMER_RUN_CLR_TMR04               4                               /* RUN Clear Alias */
#define BITP_TIMER_RUN_CLR_TMR05               5                               /* RUN Clear Alias */
#define BITP_TIMER_RUN_CLR_TMR06               6                               /* RUN Clear Alias */
#define BITP_TIMER_RUN_CLR_TMR07               7                               /* RUN Clear Alias */
#define BITM_TIMER_RUN_CLR_TMR00              (_ADI_MSK(0x00000001,uint16_t))  /* RUN Clear Alias */
#define BITM_TIMER_RUN_CLR_TMR01              (_ADI_MSK(0x00000002,uint16_t))  /* RUN Clear Alias */
#define BITM_TIMER_RUN_CLR_TMR02              (_ADI_MSK(0x00000004,uint16_t))  /* RUN Clear Alias */
#define BITM_TIMER_RUN_CLR_TMR03              (_ADI_MSK(0x00000008,uint16_t))  /* RUN Clear Alias */
#define BITM_TIMER_RUN_CLR_TMR04              (_ADI_MSK(0x00000010,uint16_t))  /* RUN Clear Alias */
#define BITM_TIMER_RUN_CLR_TMR05              (_ADI_MSK(0x00000020,uint16_t))  /* RUN Clear Alias */
#define BITM_TIMER_RUN_CLR_TMR06              (_ADI_MSK(0x00000040,uint16_t))  /* RUN Clear Alias */
#define BITM_TIMER_RUN_CLR_TMR07              (_ADI_MSK(0x00000080,uint16_t))  /* RUN Clear Alias */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_STOP_CFG                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_STOP_CFG_TMR00              0                               /* Stop Mode Select */
#define BITP_TIMER_STOP_CFG_TMR01              1                               /* Stop Mode Select */
#define BITP_TIMER_STOP_CFG_TMR02              2                               /* Stop Mode Select */
#define BITP_TIMER_STOP_CFG_TMR03              3                               /* Stop Mode Select */
#define BITP_TIMER_STOP_CFG_TMR04              4                               /* Stop Mode Select */
#define BITP_TIMER_STOP_CFG_TMR05              5                               /* Stop Mode Select */
#define BITP_TIMER_STOP_CFG_TMR06              6                               /* Stop Mode Select */
#define BITP_TIMER_STOP_CFG_TMR07              7                               /* Stop Mode Select */
#define BITM_TIMER_STOP_CFG_TMR00             (_ADI_MSK(0x00000001,uint16_t))  /* Stop Mode Select */
#define BITM_TIMER_STOP_CFG_TMR01             (_ADI_MSK(0x00000002,uint16_t))  /* Stop Mode Select */
#define BITM_TIMER_STOP_CFG_TMR02             (_ADI_MSK(0x00000004,uint16_t))  /* Stop Mode Select */
#define BITM_TIMER_STOP_CFG_TMR03             (_ADI_MSK(0x00000008,uint16_t))  /* Stop Mode Select */
#define BITM_TIMER_STOP_CFG_TMR04             (_ADI_MSK(0x00000010,uint16_t))  /* Stop Mode Select */
#define BITM_TIMER_STOP_CFG_TMR05             (_ADI_MSK(0x00000020,uint16_t))  /* Stop Mode Select */
#define BITM_TIMER_STOP_CFG_TMR06             (_ADI_MSK(0x00000040,uint16_t))  /* Stop Mode Select */
#define BITM_TIMER_STOP_CFG_TMR07             (_ADI_MSK(0x00000080,uint16_t))  /* Stop Mode Select */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_STOP_CFG_SET                    Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_STOP_CFG_SET_TMR00          0                               /* STOP_CFG Set Alias */
#define BITP_TIMER_STOP_CFG_SET_TMR01          1                               /* STOP_CFG Set Alias */
#define BITP_TIMER_STOP_CFG_SET_TMR02          2                               /* STOP_CFG Set Alias */
#define BITP_TIMER_STOP_CFG_SET_TMR03          3                               /* STOP_CFG Set Alias */
#define BITP_TIMER_STOP_CFG_SET_TMR04          4                               /* STOP_CFG Set Alias */
#define BITP_TIMER_STOP_CFG_SET_TMR05          5                               /* STOP_CFG Set Alias */
#define BITP_TIMER_STOP_CFG_SET_TMR06          6                               /* STOP_CFG Set Alias */
#define BITP_TIMER_STOP_CFG_SET_TMR07          7                               /* STOP_CFG Set Alias */
#define BITM_TIMER_STOP_CFG_SET_TMR00         (_ADI_MSK(0x00000001,uint16_t))  /* STOP_CFG Set Alias */
#define BITM_TIMER_STOP_CFG_SET_TMR01         (_ADI_MSK(0x00000002,uint16_t))  /* STOP_CFG Set Alias */
#define BITM_TIMER_STOP_CFG_SET_TMR02         (_ADI_MSK(0x00000004,uint16_t))  /* STOP_CFG Set Alias */
#define BITM_TIMER_STOP_CFG_SET_TMR03         (_ADI_MSK(0x00000008,uint16_t))  /* STOP_CFG Set Alias */
#define BITM_TIMER_STOP_CFG_SET_TMR04         (_ADI_MSK(0x00000010,uint16_t))  /* STOP_CFG Set Alias */
#define BITM_TIMER_STOP_CFG_SET_TMR05         (_ADI_MSK(0x00000020,uint16_t))  /* STOP_CFG Set Alias */
#define BITM_TIMER_STOP_CFG_SET_TMR06         (_ADI_MSK(0x00000040,uint16_t))  /* STOP_CFG Set Alias */
#define BITM_TIMER_STOP_CFG_SET_TMR07         (_ADI_MSK(0x00000080,uint16_t))  /* STOP_CFG Set Alias */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_STOP_CFG_CLR                    Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_STOP_CFG_CLR_TMR00          0                               /* STOP_CFG Clear Alias */
#define BITP_TIMER_STOP_CFG_CLR_TMR01          1                               /* STOP_CFG Clear Alias */
#define BITP_TIMER_STOP_CFG_CLR_TMR02          2                               /* STOP_CFG Clear Alias */
#define BITP_TIMER_STOP_CFG_CLR_TMR03          3                               /* STOP_CFG Clear Alias */
#define BITP_TIMER_STOP_CFG_CLR_TMR04          4                               /* STOP_CFG Clear Alias */
#define BITP_TIMER_STOP_CFG_CLR_TMR05          5                               /* STOP_CFG Clear Alias */
#define BITP_TIMER_STOP_CFG_CLR_TMR06          6                               /* STOP_CFG Clear Alias */
#define BITP_TIMER_STOP_CFG_CLR_TMR07          7                               /* STOP_CFG Clear Alias */
#define BITM_TIMER_STOP_CFG_CLR_TMR00         (_ADI_MSK(0x00000001,uint16_t))  /* STOP_CFG Clear Alias */
#define BITM_TIMER_STOP_CFG_CLR_TMR01         (_ADI_MSK(0x00000002,uint16_t))  /* STOP_CFG Clear Alias */
#define BITM_TIMER_STOP_CFG_CLR_TMR02         (_ADI_MSK(0x00000004,uint16_t))  /* STOP_CFG Clear Alias */
#define BITM_TIMER_STOP_CFG_CLR_TMR03         (_ADI_MSK(0x00000008,uint16_t))  /* STOP_CFG Clear Alias */
#define BITM_TIMER_STOP_CFG_CLR_TMR04         (_ADI_MSK(0x00000010,uint16_t))  /* STOP_CFG Clear Alias */
#define BITM_TIMER_STOP_CFG_CLR_TMR05         (_ADI_MSK(0x00000020,uint16_t))  /* STOP_CFG Clear Alias */
#define BITM_TIMER_STOP_CFG_CLR_TMR06         (_ADI_MSK(0x00000040,uint16_t))  /* STOP_CFG Clear Alias */
#define BITM_TIMER_STOP_CFG_CLR_TMR07         (_ADI_MSK(0x00000080,uint16_t))  /* STOP_CFG Clear Alias */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_DATA_IMSK                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_DATA_IMSK_TMR00             0                               /* Data Interrupt Mask */
#define BITP_TIMER_DATA_IMSK_TMR01             1                               /* Data Interrupt Mask */
#define BITP_TIMER_DATA_IMSK_TMR02             2                               /* Data Interrupt Mask */
#define BITP_TIMER_DATA_IMSK_TMR03             3                               /* Data Interrupt Mask */
#define BITP_TIMER_DATA_IMSK_TMR04             4                               /* Data Interrupt Mask */
#define BITP_TIMER_DATA_IMSK_TMR05             5                               /* Data Interrupt Mask */
#define BITP_TIMER_DATA_IMSK_TMR06             6                               /* Data Interrupt Mask */
#define BITP_TIMER_DATA_IMSK_TMR07             7                               /* Data Interrupt Mask */
#define BITM_TIMER_DATA_IMSK_TMR00            (_ADI_MSK(0x00000001,uint16_t))  /* Data Interrupt Mask */
#define BITM_TIMER_DATA_IMSK_TMR01            (_ADI_MSK(0x00000002,uint16_t))  /* Data Interrupt Mask */
#define BITM_TIMER_DATA_IMSK_TMR02            (_ADI_MSK(0x00000004,uint16_t))  /* Data Interrupt Mask */
#define BITM_TIMER_DATA_IMSK_TMR03            (_ADI_MSK(0x00000008,uint16_t))  /* Data Interrupt Mask */
#define BITM_TIMER_DATA_IMSK_TMR04            (_ADI_MSK(0x00000010,uint16_t))  /* Data Interrupt Mask */
#define BITM_TIMER_DATA_IMSK_TMR05            (_ADI_MSK(0x00000020,uint16_t))  /* Data Interrupt Mask */
#define BITM_TIMER_DATA_IMSK_TMR06            (_ADI_MSK(0x00000040,uint16_t))  /* Data Interrupt Mask */
#define BITM_TIMER_DATA_IMSK_TMR07            (_ADI_MSK(0x00000080,uint16_t))  /* Data Interrupt Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_STAT_IMSK                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_STAT_IMSK_TMR00             0                               /* Status Interrupt Mask */
#define BITP_TIMER_STAT_IMSK_TMR01             1                               /* Status Interrupt Mask */
#define BITP_TIMER_STAT_IMSK_TMR02             2                               /* Status Interrupt Mask */
#define BITP_TIMER_STAT_IMSK_TMR03             3                               /* Status Interrupt Mask */
#define BITP_TIMER_STAT_IMSK_TMR04             4                               /* Status Interrupt Mask */
#define BITP_TIMER_STAT_IMSK_TMR05             5                               /* Status Interrupt Mask */
#define BITP_TIMER_STAT_IMSK_TMR06             6                               /* Status Interrupt Mask */
#define BITP_TIMER_STAT_IMSK_TMR07             7                               /* Status Interrupt Mask */
#define BITM_TIMER_STAT_IMSK_TMR00            (_ADI_MSK(0x00000001,uint16_t))  /* Status Interrupt Mask */
#define BITM_TIMER_STAT_IMSK_TMR01            (_ADI_MSK(0x00000002,uint16_t))  /* Status Interrupt Mask */
#define BITM_TIMER_STAT_IMSK_TMR02            (_ADI_MSK(0x00000004,uint16_t))  /* Status Interrupt Mask */
#define BITM_TIMER_STAT_IMSK_TMR03            (_ADI_MSK(0x00000008,uint16_t))  /* Status Interrupt Mask */
#define BITM_TIMER_STAT_IMSK_TMR04            (_ADI_MSK(0x00000010,uint16_t))  /* Status Interrupt Mask */
#define BITM_TIMER_STAT_IMSK_TMR05            (_ADI_MSK(0x00000020,uint16_t))  /* Status Interrupt Mask */
#define BITM_TIMER_STAT_IMSK_TMR06            (_ADI_MSK(0x00000040,uint16_t))  /* Status Interrupt Mask */
#define BITM_TIMER_STAT_IMSK_TMR07            (_ADI_MSK(0x00000080,uint16_t))  /* Status Interrupt Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_TRG_MSK                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_TRG_MSK_TMR00               0                               /* Trigger Output Mask */
#define BITP_TIMER_TRG_MSK_TMR01               1                               /* Trigger Output Mask */
#define BITP_TIMER_TRG_MSK_TMR02               2                               /* Trigger Output Mask */
#define BITP_TIMER_TRG_MSK_TMR03               3                               /* Trigger Output Mask */
#define BITP_TIMER_TRG_MSK_TMR04               4                               /* Trigger Output Mask */
#define BITP_TIMER_TRG_MSK_TMR05               5                               /* Trigger Output Mask */
#define BITP_TIMER_TRG_MSK_TMR06               6                               /* Trigger Output Mask */
#define BITP_TIMER_TRG_MSK_TMR07               7                               /* Trigger Output Mask */
#define BITM_TIMER_TRG_MSK_TMR00              (_ADI_MSK(0x00000001,uint16_t))  /* Trigger Output Mask */
#define BITM_TIMER_TRG_MSK_TMR01              (_ADI_MSK(0x00000002,uint16_t))  /* Trigger Output Mask */
#define BITM_TIMER_TRG_MSK_TMR02              (_ADI_MSK(0x00000004,uint16_t))  /* Trigger Output Mask */
#define BITM_TIMER_TRG_MSK_TMR03              (_ADI_MSK(0x00000008,uint16_t))  /* Trigger Output Mask */
#define BITM_TIMER_TRG_MSK_TMR04              (_ADI_MSK(0x00000010,uint16_t))  /* Trigger Output Mask */
#define BITM_TIMER_TRG_MSK_TMR05              (_ADI_MSK(0x00000020,uint16_t))  /* Trigger Output Mask */
#define BITM_TIMER_TRG_MSK_TMR06              (_ADI_MSK(0x00000040,uint16_t))  /* Trigger Output Mask */
#define BITM_TIMER_TRG_MSK_TMR07              (_ADI_MSK(0x00000080,uint16_t))  /* Trigger Output Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_TRG_IE                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_TRG_IE_TMR00                0                               /* Trigger Input Enable */
#define BITP_TIMER_TRG_IE_TMR01                1                               /* Trigger Input Enable */
#define BITP_TIMER_TRG_IE_TMR02                2                               /* Trigger Input Enable */
#define BITP_TIMER_TRG_IE_TMR03                3                               /* Trigger Input Enable */
#define BITP_TIMER_TRG_IE_TMR04                4                               /* Trigger Input Enable */
#define BITP_TIMER_TRG_IE_TMR05                5                               /* Trigger Input Enable */
#define BITP_TIMER_TRG_IE_TMR06                6                               /* Trigger Input Enable */
#define BITP_TIMER_TRG_IE_TMR07                7                               /* Trigger Input Enable */
#define BITM_TIMER_TRG_IE_TMR00               (_ADI_MSK(0x00000001,uint16_t))  /* Trigger Input Enable */
#define BITM_TIMER_TRG_IE_TMR01               (_ADI_MSK(0x00000002,uint16_t))  /* Trigger Input Enable */
#define BITM_TIMER_TRG_IE_TMR02               (_ADI_MSK(0x00000004,uint16_t))  /* Trigger Input Enable */
#define BITM_TIMER_TRG_IE_TMR03               (_ADI_MSK(0x00000008,uint16_t))  /* Trigger Input Enable */
#define BITM_TIMER_TRG_IE_TMR04               (_ADI_MSK(0x00000010,uint16_t))  /* Trigger Input Enable */
#define BITM_TIMER_TRG_IE_TMR05               (_ADI_MSK(0x00000020,uint16_t))  /* Trigger Input Enable */
#define BITM_TIMER_TRG_IE_TMR06               (_ADI_MSK(0x00000040,uint16_t))  /* Trigger Input Enable */
#define BITM_TIMER_TRG_IE_TMR07               (_ADI_MSK(0x00000080,uint16_t))  /* Trigger Input Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_DATA_ILAT                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_DATA_ILAT_TMR00             0                               /* Data Interrupt Latch */
#define BITP_TIMER_DATA_ILAT_TMR01             1                               /* Data Interrupt Latch */
#define BITP_TIMER_DATA_ILAT_TMR02             2                               /* Data Interrupt Latch */
#define BITP_TIMER_DATA_ILAT_TMR03             3                               /* Data Interrupt Latch */
#define BITP_TIMER_DATA_ILAT_TMR04             4                               /* Data Interrupt Latch */
#define BITP_TIMER_DATA_ILAT_TMR05             5                               /* Data Interrupt Latch */
#define BITP_TIMER_DATA_ILAT_TMR06             6                               /* Data Interrupt Latch */
#define BITP_TIMER_DATA_ILAT_TMR07             7                               /* Data Interrupt Latch */
#define BITM_TIMER_DATA_ILAT_TMR00            (_ADI_MSK(0x00000001,uint16_t))  /* Data Interrupt Latch */
#define BITM_TIMER_DATA_ILAT_TMR01            (_ADI_MSK(0x00000002,uint16_t))  /* Data Interrupt Latch */
#define BITM_TIMER_DATA_ILAT_TMR02            (_ADI_MSK(0x00000004,uint16_t))  /* Data Interrupt Latch */
#define BITM_TIMER_DATA_ILAT_TMR03            (_ADI_MSK(0x00000008,uint16_t))  /* Data Interrupt Latch */
#define BITM_TIMER_DATA_ILAT_TMR04            (_ADI_MSK(0x00000010,uint16_t))  /* Data Interrupt Latch */
#define BITM_TIMER_DATA_ILAT_TMR05            (_ADI_MSK(0x00000020,uint16_t))  /* Data Interrupt Latch */
#define BITM_TIMER_DATA_ILAT_TMR06            (_ADI_MSK(0x00000040,uint16_t))  /* Data Interrupt Latch */
#define BITM_TIMER_DATA_ILAT_TMR07            (_ADI_MSK(0x00000080,uint16_t))  /* Data Interrupt Latch */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_STAT_ILAT                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_STAT_ILAT_TMR00             0                               /* Status Interrupt Latch */
#define BITP_TIMER_STAT_ILAT_TMR01             1                               /* Status Interrupt Latch */
#define BITP_TIMER_STAT_ILAT_TMR02             2                               /* Status Interrupt Latch */
#define BITP_TIMER_STAT_ILAT_TMR03             3                               /* Status Interrupt Latch */
#define BITP_TIMER_STAT_ILAT_TMR04             4                               /* Status Interrupt Latch */
#define BITP_TIMER_STAT_ILAT_TMR05             5                               /* Status Interrupt Latch */
#define BITP_TIMER_STAT_ILAT_TMR06             6                               /* Status Interrupt Latch */
#define BITP_TIMER_STAT_ILAT_TMR07             7                               /* Status Interrupt Latch */
#define BITM_TIMER_STAT_ILAT_TMR00            (_ADI_MSK(0x00000001,uint16_t))  /* Status Interrupt Latch */
#define BITM_TIMER_STAT_ILAT_TMR01            (_ADI_MSK(0x00000002,uint16_t))  /* Status Interrupt Latch */
#define BITM_TIMER_STAT_ILAT_TMR02            (_ADI_MSK(0x00000004,uint16_t))  /* Status Interrupt Latch */
#define BITM_TIMER_STAT_ILAT_TMR03            (_ADI_MSK(0x00000008,uint16_t))  /* Status Interrupt Latch */
#define BITM_TIMER_STAT_ILAT_TMR04            (_ADI_MSK(0x00000010,uint16_t))  /* Status Interrupt Latch */
#define BITM_TIMER_STAT_ILAT_TMR05            (_ADI_MSK(0x00000020,uint16_t))  /* Status Interrupt Latch */
#define BITM_TIMER_STAT_ILAT_TMR06            (_ADI_MSK(0x00000040,uint16_t))  /* Status Interrupt Latch */
#define BITM_TIMER_STAT_ILAT_TMR07            (_ADI_MSK(0x00000080,uint16_t))  /* Status Interrupt Latch */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_ERR_TYPE                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_ERR_TYPE_TERR7             14                               /* Error type for Timer 7 */
#define BITP_TIMER_ERR_TYPE_TERR6             12                               /* Error type for Timer 6 */
#define BITP_TIMER_ERR_TYPE_TERR5             10                               /* Error type for Timer 5 */
#define BITP_TIMER_ERR_TYPE_TERR4              8                               /* Error type for Timer 4 */
#define BITP_TIMER_ERR_TYPE_TERR3              6                               /* Error type for Timer 3 */
#define BITP_TIMER_ERR_TYPE_TERR2              4                               /* Error type for Timer 2 */
#define BITP_TIMER_ERR_TYPE_TERR1              2                               /* Error type for Timer 1 */
#define BITP_TIMER_ERR_TYPE_TERR0              0                               /* Error type for Timer 0 */

#define BITM_TIMER_ERR_TYPE_TERR7             (_ADI_MSK(0x0000C000,uint32_t))  /* Error type for Timer 7 */
#define ENUM_TIMER_ERR_TYPE_NO_ERR7           (_ADI_MSK(0x00000000,uint32_t))  /* TERR7: No Error */
#define ENUM_TIMER_ERR_TYPE_CNTOVF7           (_ADI_MSK(0x00004000,uint32_t))  /* TERR7: Counter Overflow Error */
#define ENUM_TIMER_ERR_TYPE_PERPRG7           (_ADI_MSK(0x00008000,uint32_t))  /* TERR7: PER Register Programming Error */
#define ENUM_TIMER_ERR_TYPE_PULSEPRG7         (_ADI_MSK(0x0000C000,uint32_t))  /* TERR7: WID or DLY Register Programming Error */

#define BITM_TIMER_ERR_TYPE_TERR6             (_ADI_MSK(0x00003000,uint32_t))  /* Error type for Timer 6 */
#define ENUM_TIMER_ERR_TYPE_NO_ERR6           (_ADI_MSK(0x00000000,uint32_t))  /* TERR6: No Error */
#define ENUM_TIMER_ERR_TYPE_CNTOVF6           (_ADI_MSK(0x00001000,uint32_t))  /* TERR6: Counter Overflow Error */
#define ENUM_TIMER_ERR_TYPE_PERPRG6           (_ADI_MSK(0x00002000,uint32_t))  /* TERR6: PER Register Programming Error */
#define ENUM_TIMER_ERR_TYPE_PULSEPRG6         (_ADI_MSK(0x00003000,uint32_t))  /* TERR6: WID or DLY Register Programming Error */

#define BITM_TIMER_ERR_TYPE_TERR5             (_ADI_MSK(0x00000C00,uint32_t))  /* Error type for Timer 5 */
#define ENUM_TIMER_ERR_TYPE_NO_ERR5           (_ADI_MSK(0x00000000,uint32_t))  /* TERR5: No Error */
#define ENUM_TIMER_ERR_TYPE_CNTOVF5           (_ADI_MSK(0x00000400,uint32_t))  /* TERR5: Counter Overflow Error */
#define ENUM_TIMER_ERR_TYPE_PERPRG5           (_ADI_MSK(0x00000800,uint32_t))  /* TERR5: PER Register Programming Error */
#define ENUM_TIMER_ERR_TYPE_PULSEPRG5         (_ADI_MSK(0x00000C00,uint32_t))  /* TERR5: WID or DLY Register Programming Error */

#define BITM_TIMER_ERR_TYPE_TERR4             (_ADI_MSK(0x00000300,uint32_t))  /* Error type for Timer 4 */
#define ENUM_TIMER_ERR_TYPE_NO_ERR4           (_ADI_MSK(0x00000000,uint32_t))  /* TERR4: No Error */
#define ENUM_TIMER_ERR_TYPE_CNTOVF4           (_ADI_MSK(0x00000100,uint32_t))  /* TERR4: Counter Overflow Error */
#define ENUM_TIMER_ERR_TYPE_PERPRG4           (_ADI_MSK(0x00000200,uint32_t))  /* TERR4: PER Register Programming Error */
#define ENUM_TIMER_ERR_TYPE_PULSEPRG4         (_ADI_MSK(0x00000300,uint32_t))  /* TERR4: WID or DLY Register Programming Error */

#define BITM_TIMER_ERR_TYPE_TERR3             (_ADI_MSK(0x000000C0,uint32_t))  /* Error type for Timer 3 */
#define ENUM_TIMER_ERR_TYPE_NO_ERR3           (_ADI_MSK(0x00000000,uint32_t))  /* TERR3: No Error */
#define ENUM_TIMER_ERR_TYPE_CNTOVF3           (_ADI_MSK(0x00000040,uint32_t))  /* TERR3: Counter Overflow Error */
#define ENUM_TIMER_ERR_TYPE_PERPRG3           (_ADI_MSK(0x00000080,uint32_t))  /* TERR3: PER Register Programming Error */
#define ENUM_TIMER_ERR_TYPE_PULSEPRG3         (_ADI_MSK(0x000000C0,uint32_t))  /* TERR3: WID or DLY Register Programming Error */

#define BITM_TIMER_ERR_TYPE_TERR2             (_ADI_MSK(0x00000030,uint32_t))  /* Error type for Timer 2 */
#define ENUM_TIMER_ERR_TYPE_NO_ERR2           (_ADI_MSK(0x00000000,uint32_t))  /* TERR2: No Error */
#define ENUM_TIMER_ERR_TYPE_CNTOVF2           (_ADI_MSK(0x00000010,uint32_t))  /* TERR2: Counter Overflow Error */
#define ENUM_TIMER_ERR_TYPE_PERPRG2           (_ADI_MSK(0x00000020,uint32_t))  /* TERR2: PER Register Programming Error */
#define ENUM_TIMER_ERR_TYPE_PULSEPRG2         (_ADI_MSK(0x00000030,uint32_t))  /* TERR2: WID or DLY Register Programming Error */

#define BITM_TIMER_ERR_TYPE_TERR1             (_ADI_MSK(0x0000000C,uint32_t))  /* Error type for Timer 1 */
#define ENUM_TIMER_ERR_TYPE_NO_ERR1           (_ADI_MSK(0x00000000,uint32_t))  /* TERR1: No Error */
#define ENUM_TIMER_ERR_TYPE_CNTOVF1           (_ADI_MSK(0x00000004,uint32_t))  /* TERR1: Counter Overflow Error */
#define ENUM_TIMER_ERR_TYPE_PERPRG1           (_ADI_MSK(0x00000008,uint32_t))  /* TERR1: PER Register Programming Error */
#define ENUM_TIMER_ERR_TYPE_PULSEPRG1         (_ADI_MSK(0x0000000C,uint32_t))  /* TERR1: WID or DLY Register Programming Error */

#define BITM_TIMER_ERR_TYPE_TERR0             (_ADI_MSK(0x00000003,uint32_t))  /* Error type for Timer 0 */
#define ENUM_TIMER_ERR_TYPE_NO_ERR0           (_ADI_MSK(0x00000000,uint32_t))  /* TERR0: No Error */
#define ENUM_TIMER_ERR_TYPE_CNTOVF0           (_ADI_MSK(0x00000001,uint32_t))  /* TERR0: Counter Overflow Error */
#define ENUM_TIMER_ERR_TYPE_PERPRG0           (_ADI_MSK(0x00000002,uint32_t))  /* TERR0: PER Register Programming Error */
#define ENUM_TIMER_ERR_TYPE_PULSEPRG0         (_ADI_MSK(0x00000003,uint32_t))  /* TERR0: WID or DLY Register Programming Error */

/* ------------------------------------------------------------------------------------------------------------------------
         TIMER_TMR_CFG                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TIMER_TMR_CFG_EMURUN             15                               /* Run Timer (Counter) During Emulation */
#define BITP_TIMER_TMR_CFG_BPEREN             14                               /* Broadcast Period Enable */
#define BITP_TIMER_TMR_CFG_BWIDEN             13                               /* Broadcast Width Enable */
#define BITP_TIMER_TMR_CFG_BDLYEN             12                               /* Broadcast Delay Enable */
#define BITP_TIMER_TMR_CFG_OUTDIS             11                               /* Output Disable */
#define BITP_TIMER_TMR_CFG_TINSEL             10                               /* Timer Input Select (for WIDCAP, WATCHDOG, PININT modes) */
#define BITP_TIMER_TMR_CFG_CLKSEL              8                               /* Clock Select */
#define BITP_TIMER_TMR_CFG_PULSEHI             7                               /* Polarity Response Select */
#define BITP_TIMER_TMR_CFG_SLAVETRIG           6                               /* Slave Trigger Response */
#define BITP_TIMER_TMR_CFG_IRQMODE             4                               /* Interrupt Modes */
#define BITP_TIMER_TMR_CFG_TMODE               0                               /* Timer Mode Select */

#define BITM_TIMER_TMR_CFG_EMURUN             (_ADI_MSK(0x00008000,uint16_t))  /* Run Timer (Counter) During Emulation */
#define ENUM_TIMER_TMR_CFG_EMU_NOCNT          (_ADI_MSK(0x00000000,uint16_t))  /* EMURUN: Stop Timer During Emulation */
#define ENUM_TIMER_TMR_CFG_EMU_CNT            (_ADI_MSK(0x00008000,uint16_t))  /* EMURUN: Run Timer During Emulation */

#define BITM_TIMER_TMR_CFG_BPEREN             (_ADI_MSK(0x00004000,uint16_t))  /* Broadcast Period Enable */
#define ENUM_TIMER_TMR_CFG_BCASTPER_DIS       (_ADI_MSK(0x00000000,uint16_t))  /* BPEREN: Disable Broadcast to PER Register */
#define ENUM_TIMER_TMR_CFG_BCASTPER_EN        (_ADI_MSK(0x00004000,uint16_t))  /* BPEREN: Enable Broadcast to PER Register */

#define BITM_TIMER_TMR_CFG_BWIDEN             (_ADI_MSK(0x00002000,uint16_t))  /* Broadcast Width Enable */
#define ENUM_TIMER_TMR_CFG_BCASTWID_DIS       (_ADI_MSK(0x00000000,uint16_t))  /* BWIDEN: Disable Broadcast to WID Register */
#define ENUM_TIMER_TMR_CFG_BCASTWID_EN        (_ADI_MSK(0x00002000,uint16_t))  /* BWIDEN: Enable Broadcast to WID Register */

#define BITM_TIMER_TMR_CFG_BDLYEN             (_ADI_MSK(0x00001000,uint16_t))  /* Broadcast Delay Enable */
#define ENUM_TIMER_TMR_CFG_BCASTDLY_DIS       (_ADI_MSK(0x00000000,uint16_t))  /* BDLYEN: Disable Broadcast to DLY Register */
#define ENUM_TIMER_TMR_CFG_BCASTDLY_EN        (_ADI_MSK(0x00001000,uint16_t))  /* BDLYEN: Enable Broadcast to DLY Register */

#define BITM_TIMER_TMR_CFG_OUTDIS             (_ADI_MSK(0x00000800,uint16_t))  /* Output Disable */
#define ENUM_TIMER_TMR_CFG_PADOUT_EN          (_ADI_MSK(0x00000000,uint16_t))  /* OUTDIS: Enable TMR pin output buffer */
#define ENUM_TIMER_TMR_CFG_PADOUT_DIS         (_ADI_MSK(0x00000800,uint16_t))  /* OUTDIS: Disable TMR pin output buffer */

#define BITM_TIMER_TMR_CFG_TINSEL             (_ADI_MSK(0x00000400,uint16_t))  /* Timer Input Select (for WIDCAP, WATCHDOG, PININT modes) */
#define ENUM_TIMER_TMR_CFG_TINSEL_TMR         (_ADI_MSK(0x00000000,uint16_t))  /* TINSEL: Use TMR pin input */
#define ENUM_TIMER_TMR_CFG_TINSEL_AUX         (_ADI_MSK(0x00000400,uint16_t))  /* TINSEL: Use TMR Alternate Capture Input */

#define BITM_TIMER_TMR_CFG_CLKSEL             (_ADI_MSK(0x00000300,uint16_t))  /* Clock Select */
#define ENUM_TIMER_TMR_CFG_CLKSEL_SCLK        (_ADI_MSK(0x00000000,uint16_t))  /* CLKSEL: Use SCLK */
#define ENUM_TIMER_TMR_CFG_CLKSEL_ALT0        (_ADI_MSK(0x00000100,uint16_t))  /* CLKSEL: Use TMR_ALT_CLK0 as the TMR clock */
#define ENUM_TIMER_TMR_CFG_CLKSEL_ALT1        (_ADI_MSK(0x00000300,uint16_t))  /* CLKSEL: Use TMR_ALT_CLK1 as the TMR clock */

#define BITM_TIMER_TMR_CFG_PULSEHI            (_ADI_MSK(0x00000080,uint16_t))  /* Polarity Response Select */
#define ENUM_TIMER_TMR_CFG_NEG_EDGE           (_ADI_MSK(0x00000000,uint16_t))  /* PULSEHI: Negative Response/Pulse */
#define ENUM_TIMER_TMR_CFG_POS_EDGE           (_ADI_MSK(0x00000080,uint16_t))  /* PULSEHI: Positive Response/Pulse */

#define BITM_TIMER_TMR_CFG_SLAVETRIG          (_ADI_MSK(0x00000040,uint16_t))  /* Slave Trigger Response */
#define ENUM_TIMER_TMR_CFG_TRIGSTOP           (_ADI_MSK(0x00000000,uint16_t))  /* SLAVETRIG: Pulse stops timer if it is running */
#define ENUM_TIMER_TMR_CFG_TRIGSTART          (_ADI_MSK(0x00000040,uint16_t))  /* SLAVETRIG: Pulse starts timer if it is stopped */

#define BITM_TIMER_TMR_CFG_IRQMODE            (_ADI_MSK(0x00000030,uint16_t))  /* Interrupt Modes */
#define ENUM_TIMER_TMR_CFG_IRQMODE0           (_ADI_MSK(0x00000000,uint16_t))  /* IRQMODE: Active Edge Mode */
#define ENUM_TIMER_TMR_CFG_IRQMODE1           (_ADI_MSK(0x00000010,uint16_t))  /* IRQMODE: Delay Expired Mode */
#define ENUM_TIMER_TMR_CFG_IRQMODE2           (_ADI_MSK(0x00000020,uint16_t))  /* IRQMODE: Width Plus Delay Expired Mode */
#define ENUM_TIMER_TMR_CFG_IRQMODE3           (_ADI_MSK(0x00000030,uint16_t))  /* IRQMODE: Period Expired Mode */

#define BITM_TIMER_TMR_CFG_TMODE              (_ADI_MSK(0x0000000F,uint16_t))  /* Timer Mode Select */
#define ENUM_TIMER_TMR_CFG_IDLE_MODE          (_ADI_MSK(0x00000000,uint16_t))  /* TMODE: Idle Mode */
#define ENUM_TIMER_TMR_CFG_WIDCAP0_MODE       (_ADI_MSK(0x0000000A,uint16_t))  /* TMODE: Measurement report at asserting edge of waveform */
#define ENUM_TIMER_TMR_CFG_WIDCAP1_MODE       (_ADI_MSK(0x0000000B,uint16_t))  /* TMODE: Measurement report at de-asserting edge of waveform */
#define ENUM_TIMER_TMR_CFG_PWMCONT_MODE       (_ADI_MSK(0x0000000C,uint16_t))  /* TMODE: Continuous PWMOUT mode */
#define ENUM_TIMER_TMR_CFG_PWMSING_MODE       (_ADI_MSK(0x0000000D,uint16_t))  /* TMODE: Single pulse PWMOUT mode */
#define ENUM_TIMER_TMR_CFG_EXTCLK_MODE        (_ADI_MSK(0x0000000E,uint16_t))  /* TMODE: EXTCLK mode */
#define ENUM_TIMER_TMR_CFG_PININT_MODE        (_ADI_MSK(0x0000000F,uint16_t))  /* TMODE: PININT (pin interrupt) mode */
#define ENUM_TIMER_TMR_CFG_WDPER_MODE         (_ADI_MSK(0x00000008,uint16_t))  /* TMODE: Period Watchdog Mode */
#define ENUM_TIMER_TMR_CFG_WDWID_MODE         (_ADI_MSK(0x00000009,uint16_t))  /* TMODE: Width Watchdog Mode */

/* ==================================================
        2-Wire Interface Registers
   ================================================== */

/* =========================
        TWI0
   ========================= */
#define REG_TWI0_CLKDIV                 0x40000C00         /* TWI0 SCL Clock Divider Register */
#define REG_TWI0_CTL                    0x40000C04         /* TWI0 Control Register */
#define REG_TWI0_SLVCTL                 0x40000C08         /* TWI0 Slave Mode Control Register */
#define REG_TWI0_SLVSTAT                0x40000C0C         /* TWI0 Slave Mode Status Register */
#define REG_TWI0_SLVADDR                0x40000C10         /* TWI0 Slave Mode Address Register */
#define REG_TWI0_MSTRCTL                0x40000C14         /* TWI0 Master Mode Control Registers */
#define REG_TWI0_MSTRSTAT               0x40000C18         /* TWI0 Master Mode Status Register */
#define REG_TWI0_MSTRADDR               0x40000C1C         /* TWI0 Master Mode Address Register */
#define REG_TWI0_ISTAT                  0x40000C20         /* TWI0 Interrupt Status Register */
#define REG_TWI0_IMSK                   0x40000C24         /* TWI0 Interrupt Mask Register */
#define REG_TWI0_FIFOCTL                0x40000C28         /* TWI0 FIFO Control Register */
#define REG_TWI0_FIFOSTAT               0x40000C2C         /* TWI0 FIFO Status Register */
#define REG_TWI0_TXDATA8                0x40000C80         /* TWI0 Tx Data Single-Byte Register */
#define REG_TWI0_TXDATA16               0x40000C84         /* TWI0 Tx Data Double-Byte Register */
#define REG_TWI0_RXDATA8                0x40000C88         /* TWI0 Rx Data Single-Byte Register */
#define REG_TWI0_RXDATA16               0x40000C8C         /* TWI0 Rx Data Double-Byte Register */

/* =========================
        TWI
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         TWI_CLKDIV                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_CLKDIV_CLKHI                  8                               /* SCL Clock High Periods */
#define BITP_TWI_CLKDIV_CLKLO                  0                               /* SCL Clock Low Periods */
#define BITM_TWI_CLKDIV_CLKHI                 (_ADI_MSK(0x0000FF00,uint16_t))  /* SCL Clock High Periods */
#define BITM_TWI_CLKDIV_CLKLO                 (_ADI_MSK(0x000000FF,uint16_t))  /* SCL Clock Low Periods */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_CTL_SCCB                      9                               /* SCCB Compatibility */
#define BITP_TWI_CTL_EN                        7                               /* Enable Module */
#define BITP_TWI_CTL_PRESCALE                  0                               /* SCLK Prescale Value */

#define BITM_TWI_CTL_SCCB                     (_ADI_MSK(0x00000200,uint16_t))  /* SCCB Compatibility */
#define ENUM_TWI_CTL_SCCB_DIS                 (_ADI_MSK(0x00000000,uint16_t))  /* SCCB: Disable SCCB compatibility */
#define ENUM_TWI_CTL_SCCB_EN                  (_ADI_MSK(0x00000200,uint16_t))  /* SCCB: Enable SCCB compatibility */

#define BITM_TWI_CTL_EN                       (_ADI_MSK(0x00000080,uint16_t))  /* Enable Module */
#define ENUM_TWI_CTL_DIS                      (_ADI_MSK(0x00000000,uint16_t))  /* EN: Disable */
#define ENUM_TWI_CTL_EN                       (_ADI_MSK(0x00000080,uint16_t))  /* EN: Enable */
#define BITM_TWI_CTL_PRESCALE                 (_ADI_MSK(0x0000007F,uint16_t))  /* SCLK Prescale Value */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_SLVCTL                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_SLVCTL_GEN                    4                               /* General Call Enable */
#define BITP_TWI_SLVCTL_NAK                    3                               /* Not Acknowledge */
#define BITP_TWI_SLVCTL_TDVAL                  2                               /* Transmit Data Valid for Slave */
#define BITP_TWI_SLVCTL_EN                     0                               /* Enable Slave Mode */

#define BITM_TWI_SLVCTL_GEN                   (_ADI_MSK(0x00000010,uint16_t))  /* General Call Enable */
#define ENUM_TWI_SLVCTL_GDIS                  (_ADI_MSK(0x00000000,uint16_t))  /* GEN: Disable General Call Matching */
#define ENUM_TWI_SLVCTL_GEN                   (_ADI_MSK(0x00000010,uint16_t))  /* GEN: Enable General Call Matching */

#define BITM_TWI_SLVCTL_NAK                   (_ADI_MSK(0x00000008,uint16_t))  /* Not Acknowledge */
#define ENUM_TWI_SLVCTL_ACKGEN                (_ADI_MSK(0x00000000,uint16_t))  /* NAK: Generate ACK */
#define ENUM_TWI_SLVCTL_NAKGEN                (_ADI_MSK(0x00000008,uint16_t))  /* NAK: Generate NAK */

#define BITM_TWI_SLVCTL_TDVAL                 (_ADI_MSK(0x00000004,uint16_t))  /* Transmit Data Valid for Slave */
#define ENUM_TWI_SLVCTL_INVALID               (_ADI_MSK(0x00000000,uint16_t))  /* TDVAL: Data Invalid for Slave Tx */
#define ENUM_TWI_SLVCTL_VALID                 (_ADI_MSK(0x00000004,uint16_t))  /* TDVAL: Data Valid for Slave Tx */

#define BITM_TWI_SLVCTL_EN                    (_ADI_MSK(0x00000001,uint16_t))  /* Enable Slave Mode */
#define ENUM_TWI_SLVCTL_DIS                   (_ADI_MSK(0x00000000,uint16_t))  /* EN: Disable */
#define ENUM_TWI_SLVCTL_EN                    (_ADI_MSK(0x00000001,uint16_t))  /* EN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_SLVSTAT                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_SLVSTAT_GCALL                 1                               /* General Call */
#define BITP_TWI_SLVSTAT_DIR                   0                               /* Transfer Direction for Slave */

#define BITM_TWI_SLVSTAT_GCALL                (_ADI_MSK(0x00000002,uint16_t))  /* General Call */
#define ENUM_TWI_SLVSTAT_NO                   (_ADI_MSK(0x00000000,uint16_t))  /* GCALL: Not a General Call Address */
#define ENUM_TWI_SLVSTAT_YES                  (_ADI_MSK(0x00000002,uint16_t))  /* GCALL: General Call Address */

#define BITM_TWI_SLVSTAT_DIR                  (_ADI_MSK(0x00000001,uint16_t))  /* Transfer Direction for Slave */
#define ENUM_TWI_SLVSTAT_RX                   (_ADI_MSK(0x00000000,uint16_t))  /* DIR: Slave Receive */
#define ENUM_TWI_SLVSTAT_TX                   (_ADI_MSK(0x00000001,uint16_t))  /* DIR: Slave Transmit */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_SLVADDR                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_SLVADDR_ADDR                  0                               /* Slave Mode Address */
#define BITM_TWI_SLVADDR_ADDR                 (_ADI_MSK(0x0000007F,uint16_t))  /* Slave Mode Address */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_MSTRCTL                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_MSTRCTL_SCLOVR               15                               /* Serial Clock Override */
#define BITP_TWI_MSTRCTL_SDAOVR               14                               /* Serial Data Override */
#define BITP_TWI_MSTRCTL_DCNT                  6                               /* Data Transfer Count */
#define BITP_TWI_MSTRCTL_RSTART                5                               /* Repeat Start */
#define BITP_TWI_MSTRCTL_STOP                  4                               /* Issue Stop Condition */
#define BITP_TWI_MSTRCTL_FAST                  3                               /* Fast Mode */
#define BITP_TWI_MSTRCTL_DIR                   2                               /* Transfer Direction for Master */
#define BITP_TWI_MSTRCTL_EN                    0                               /* Enable Master Mode */

#define BITM_TWI_MSTRCTL_SCLOVR               (_ADI_MSK(0x00008000,uint16_t))  /* Serial Clock Override */
#define ENUM_TWI_MSTRCTL_SCLNORM              (_ADI_MSK(0x00000000,uint16_t))  /* SCLOVR: Permit Normal SCL Operation */
#define ENUM_TWI_MSTRCTL_SCLOVER              (_ADI_MSK(0x00008000,uint16_t))  /* SCLOVR: Override Normal SCL Operation */

#define BITM_TWI_MSTRCTL_SDAOVR               (_ADI_MSK(0x00004000,uint16_t))  /* Serial Data Override */
#define ENUM_TWI_MSTRCTL_SDANORM              (_ADI_MSK(0x00000000,uint16_t))  /* SDAOVR: Permit Normal SDA Operation */
#define ENUM_TWI_MSTRCTL_SDAOVER              (_ADI_MSK(0x00004000,uint16_t))  /* SDAOVR: Override Normal SDA Operation */
#define BITM_TWI_MSTRCTL_DCNT                 (_ADI_MSK(0x00003FC0,uint16_t))  /* Data Transfer Count */

#define BITM_TWI_MSTRCTL_RSTART               (_ADI_MSK(0x00000020,uint16_t))  /* Repeat Start */
#define ENUM_TWI_MSTRCTL_END                  (_ADI_MSK(0x00000000,uint16_t))  /* RSTART: Disable Repeat Start */
#define ENUM_TWI_MSTRCTL_RPT                  (_ADI_MSK(0x00000020,uint16_t))  /* RSTART: Enable Repeat Start */

#define BITM_TWI_MSTRCTL_STOP                 (_ADI_MSK(0x00000010,uint16_t))  /* Issue Stop Condition */
#define ENUM_TWI_MSTRCTL_NORM                 (_ADI_MSK(0x00000000,uint16_t))  /* STOP: Permit Normal Operation */
#define ENUM_TWI_MSTRCTL_STOP                 (_ADI_MSK(0x00000010,uint16_t))  /* STOP: Issue Stop */

#define BITM_TWI_MSTRCTL_FAST                 (_ADI_MSK(0x00000008,uint16_t))  /* Fast Mode */
#define ENUM_TWI_MSTRCTL_NORM                 (_ADI_MSK(0x00000000,uint16_t))  /* FAST: Select Standard Mode */
#define ENUM_TWI_MSTRCTL_FAST                 (_ADI_MSK(0x00000008,uint16_t))  /* FAST: Select Fast Mode */

#define BITM_TWI_MSTRCTL_DIR                  (_ADI_MSK(0x00000004,uint16_t))  /* Transfer Direction for Master */
#define ENUM_TWI_MSTRCTL_TX                   (_ADI_MSK(0x00000000,uint16_t))  /* DIR: Master Transmit */
#define ENUM_TWI_MSTRCTL_RX                   (_ADI_MSK(0x00000004,uint16_t))  /* DIR: Master Receive */

#define BITM_TWI_MSTRCTL_EN                   (_ADI_MSK(0x00000001,uint16_t))  /* Enable Master Mode */
#define ENUM_TWI_MSTRCTL_DIS                  (_ADI_MSK(0x00000000,uint16_t))  /* EN: Disable */
#define ENUM_TWI_MSTRCTL_EN                   (_ADI_MSK(0x00000001,uint16_t))  /* EN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_MSTRSTAT                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_MSTRSTAT_BUSBUSY              8                               /* Bus Busy */
#define BITP_TWI_MSTRSTAT_SCLSEN               7                               /* Serial Clock Sense */
#define BITP_TWI_MSTRSTAT_SDASEN               6                               /* Serial Data Sense */
#define BITP_TWI_MSTRSTAT_BUFWRERR             5                               /* Buffer Write Error */
#define BITP_TWI_MSTRSTAT_BUFRDERR             4                               /* Buffer Read Error */
#define BITP_TWI_MSTRSTAT_DNAK                 3                               /* Data Not Acknowledged */
#define BITP_TWI_MSTRSTAT_ANAK                 2                               /* Address Not Acknowledged */
#define BITP_TWI_MSTRSTAT_LOSTARB              1                               /* Lost Arbitration */
#define BITP_TWI_MSTRSTAT_MPROG                0                               /* Master Transfer in Progress */

#define BITM_TWI_MSTRSTAT_BUSBUSY             (_ADI_MSK(0x00000100,uint16_t))  /* Bus Busy */
#define ENUM_TWI_MSTRSTAT_FREE                (_ADI_MSK(0x00000000,uint16_t))  /* BUSBUSY: Bus Free */
#define ENUM_TWI_MSTRSTAT_BUSY                (_ADI_MSK(0x00000100,uint16_t))  /* BUSBUSY: Bus Busy */

#define BITM_TWI_MSTRSTAT_SCLSEN              (_ADI_MSK(0x00000080,uint16_t))  /* Serial Clock Sense */
#define ENUM_TWI_MSTRSTAT_SCLSEN_NO           (_ADI_MSK(0x00000000,uint16_t))  /* SCLSEN: SCL Inactive "One" */
#define ENUM_TWI_MSTRSTAT_SCLSEN_YES          (_ADI_MSK(0x00000080,uint16_t))  /* SCLSEN: SCL Active "Zero" */

#define BITM_TWI_MSTRSTAT_SDASEN              (_ADI_MSK(0x00000040,uint16_t))  /* Serial Data Sense */
#define ENUM_TWI_MSTRSTAT_SDASEN_NO           (_ADI_MSK(0x00000000,uint16_t))  /* SDASEN: SDA Inactive "One" */
#define ENUM_TWI_MSTRSTAT_SDASEN_YES          (_ADI_MSK(0x00000040,uint16_t))  /* SDASEN: SDA Active "Zero" */

#define BITM_TWI_MSTRSTAT_BUFWRERR            (_ADI_MSK(0x00000020,uint16_t))  /* Buffer Write Error */
#define ENUM_TWI_MSTRSTAT_BUFWRERR_NO         (_ADI_MSK(0x00000000,uint16_t))  /* BUFWRERR: No Status */
#define ENUM_TWI_MSTRSTAT_BUFWRERR_YES        (_ADI_MSK(0x00000020,uint16_t))  /* BUFWRERR: Buffer Write Error */

#define BITM_TWI_MSTRSTAT_BUFRDERR            (_ADI_MSK(0x00000010,uint16_t))  /* Buffer Read Error */
#define ENUM_TWI_MSTRSTAT_BUFRDERR_NO         (_ADI_MSK(0x00000000,uint16_t))  /* BUFRDERR: No Status */
#define ENUM_TWI_MSTRSTAT_BUFRDERR_YES        (_ADI_MSK(0x00000010,uint16_t))  /* BUFRDERR: Buffer Read Error */

#define BITM_TWI_MSTRSTAT_DNAK                (_ADI_MSK(0x00000008,uint16_t))  /* Data Not Acknowledged */
#define ENUM_TWI_MSTRSTAT_DNAK_NO             (_ADI_MSK(0x00000000,uint16_t))  /* DNAK: No Status */
#define ENUM_TWI_MSTRSTAT_DNAK_YES            (_ADI_MSK(0x00000008,uint16_t))  /* DNAK: Data NAK */

#define BITM_TWI_MSTRSTAT_ANAK                (_ADI_MSK(0x00000004,uint16_t))  /* Address Not Acknowledged */
#define ENUM_TWI_MSTRSTAT_ANAK_NO             (_ADI_MSK(0x00000000,uint16_t))  /* ANAK: No Status */
#define ENUM_TWI_MSTRSTAT_ANAK_YES            (_ADI_MSK(0x00000004,uint16_t))  /* ANAK: Address NAK */

#define BITM_TWI_MSTRSTAT_LOSTARB             (_ADI_MSK(0x00000002,uint16_t))  /* Lost Arbitration */
#define ENUM_TWI_MSTRSTAT_LOSTARB_NO          (_ADI_MSK(0x00000000,uint16_t))  /* LOSTARB: No Status */
#define ENUM_TWI_MSTRSTAT_LOSTARB_YES         (_ADI_MSK(0x00000002,uint16_t))  /* LOSTARB: Lost Arbitration */

#define BITM_TWI_MSTRSTAT_MPROG               (_ADI_MSK(0x00000001,uint16_t))  /* Master Transfer in Progress */
#define ENUM_TWI_MSTRSTAT_MPROG_NO            (_ADI_MSK(0x00000000,uint16_t))  /* MPROG: No Status */
#define ENUM_TWI_MSTRSTAT_MPROG_YES           (_ADI_MSK(0x00000001,uint16_t))  /* MPROG: Master Transfer in Progress */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_MSTRADDR                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_MSTRADDR_ADDR                 0                               /* Master Mode Address */
#define BITM_TWI_MSTRADDR_ADDR                (_ADI_MSK(0x0000007F,uint16_t))  /* Master Mode Address */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_ISTAT                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_ISTAT_SCLI                   15                               /* Serial Clock Interrupt */
#define BITP_TWI_ISTAT_SDAI                   14                               /* Serial Data Interrupt */
#define BITP_TWI_ISTAT_RXSERV                  7                               /* Rx FIFO Service */
#define BITP_TWI_ISTAT_TXSERV                  6                               /* Tx FIFO Service */
#define BITP_TWI_ISTAT_MERR                    5                               /* Master Transfer Error */
#define BITP_TWI_ISTAT_MCOMP                   4                               /* Master Transfer Complete */
#define BITP_TWI_ISTAT_SOVF                    3                               /* Slave Overflow */
#define BITP_TWI_ISTAT_SERR                    2                               /* Slave Transfer Error */
#define BITP_TWI_ISTAT_SCOMP                   1                               /* Slave Transfer Complete */
#define BITP_TWI_ISTAT_SINIT                   0                               /* Slave Transfer Initiated */

#define BITM_TWI_ISTAT_SCLI                   (_ADI_MSK(0x00008000,uint16_t))  /* Serial Clock Interrupt */
#define ENUM_TWI_ISTAT_SCLI_NO                (_ADI_MSK(0x00000000,uint16_t))  /* SCLI: No Interrupt */
#define ENUM_TWI_ISTAT_SCLI_YES               (_ADI_MSK(0x00008000,uint16_t))  /* SCLI: Interrupt Detected */

#define BITM_TWI_ISTAT_SDAI                   (_ADI_MSK(0x00004000,uint16_t))  /* Serial Data Interrupt */
#define ENUM_TWI_ISTAT_SDAI_NO                (_ADI_MSK(0x00000000,uint16_t))  /* SDAI: No Interrupt */
#define ENUM_TWI_ISTAT_SDAI_YES               (_ADI_MSK(0x00004000,uint16_t))  /* SDAI: Interrupt Detected */

#define BITM_TWI_ISTAT_RXSERV                 (_ADI_MSK(0x00000080,uint16_t))  /* Rx FIFO Service */
#define ENUM_TWI_ISTAT_RXSERV_NO              (_ADI_MSK(0x00000000,uint16_t))  /* RXSERV: No Interrupt */
#define ENUM_TWI_ISTAT_RXSERV_YES             (_ADI_MSK(0x00000080,uint16_t))  /* RXSERV: Interrupt Detected */

#define BITM_TWI_ISTAT_TXSERV                 (_ADI_MSK(0x00000040,uint16_t))  /* Tx FIFO Service */
#define ENUM_TWI_ISTAT_TXSERV_NO              (_ADI_MSK(0x00000000,uint16_t))  /* TXSERV: No Interrupt */
#define ENUM_TWI_ISTAT_TXSERV_YES             (_ADI_MSK(0x00000040,uint16_t))  /* TXSERV: Interrupt Detected */

#define BITM_TWI_ISTAT_MERR                   (_ADI_MSK(0x00000020,uint16_t))  /* Master Transfer Error */
#define ENUM_TWI_ISTAT_MERR_NO                (_ADI_MSK(0x00000000,uint16_t))  /* MERR: No Interrupt */
#define ENUM_TWI_ISTAT_MERR_YES               (_ADI_MSK(0x00000020,uint16_t))  /* MERR: Interrupt Detected */

#define BITM_TWI_ISTAT_MCOMP                  (_ADI_MSK(0x00000010,uint16_t))  /* Master Transfer Complete */
#define ENUM_TWI_ISTAT_MCOMP_NO               (_ADI_MSK(0x00000000,uint16_t))  /* MCOMP: No Interrupt */
#define ENUM_TWI_ISTAT_MCOMP_YES              (_ADI_MSK(0x00000010,uint16_t))  /* MCOMP: Interrupt Detected */

#define BITM_TWI_ISTAT_SOVF                   (_ADI_MSK(0x00000008,uint16_t))  /* Slave Overflow */
#define ENUM_TWI_ISTAT_SOVF_NO                (_ADI_MSK(0x00000000,uint16_t))  /* SOVF: No Interrupt */
#define ENUM_TWI_ISTAT_SOVF_YES               (_ADI_MSK(0x00000008,uint16_t))  /* SOVF: Interrupt Detected */

#define BITM_TWI_ISTAT_SERR                   (_ADI_MSK(0x00000004,uint16_t))  /* Slave Transfer Error */
#define ENUM_TWI_ISTAT_SERR_NO                (_ADI_MSK(0x00000000,uint16_t))  /* SERR: No Interrupt */
#define ENUM_TWI_ISTAT_SERR_YES               (_ADI_MSK(0x00000004,uint16_t))  /* SERR: Interrupt Detected */

#define BITM_TWI_ISTAT_SCOMP                  (_ADI_MSK(0x00000002,uint16_t))  /* Slave Transfer Complete */
#define ENUM_TWI_ISTAT_SCOMP_NO               (_ADI_MSK(0x00000000,uint16_t))  /* SCOMP: No Interrupt */
#define ENUM_TWI_ISTAT_SCOMP_YES              (_ADI_MSK(0x00000002,uint16_t))  /* SCOMP: Interrupt Detected */

#define BITM_TWI_ISTAT_SINIT                  (_ADI_MSK(0x00000001,uint16_t))  /* Slave Transfer Initiated */
#define ENUM_TWI_ISTAT_SINIT_NO               (_ADI_MSK(0x00000000,uint16_t))  /* SINIT: No Interrupt */
#define ENUM_TWI_ISTAT_SINIT_YES              (_ADI_MSK(0x00000001,uint16_t))  /* SINIT: Interrupt Detected */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_IMSK                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_IMSK_SCLI                    15                               /* Serial Clock Interrupt Mask */
#define BITP_TWI_IMSK_SDAI                    14                               /* Serial Data Interrupt Mask */
#define BITP_TWI_IMSK_RXSERV                   7                               /* Rx FIFO Service Interrupt Mask */
#define BITP_TWI_IMSK_TXSERV                   6                               /* Tx FIFO Service Interrupt Mask */
#define BITP_TWI_IMSK_MERR                     5                               /* Master Transfer Error Interrupt Mask */
#define BITP_TWI_IMSK_MCOMP                    4                               /* Master Transfer Complete Interrupt Mask */
#define BITP_TWI_IMSK_SOVF                     3                               /* Slave Overflow Interrupt Mask */
#define BITP_TWI_IMSK_SERR                     2                               /* Slave Transfer Error Interrupt Mask */
#define BITP_TWI_IMSK_SCOMP                    1                               /* Slave Transfer Complete Interrupt Mask */
#define BITP_TWI_IMSK_SINIT                    0                               /* Slave Transfer Initiated Interrupt Mask */

#define BITM_TWI_IMSK_SCLI                    (_ADI_MSK(0x00008000,uint16_t))  /* Serial Clock Interrupt Mask */
#define ENUM_TWI_IMSK_SCLI_MSK                (_ADI_MSK(0x00000000,uint16_t))  /* SCLI: Mask (Disable) Interrupt */
#define ENUM_TWI_IMSK_SCLI_UMSK               (_ADI_MSK(0x00008000,uint16_t))  /* SCLI: Unmask (Enable) Interrupt */

#define BITM_TWI_IMSK_SDAI                    (_ADI_MSK(0x00004000,uint16_t))  /* Serial Data Interrupt Mask */
#define ENUM_TWI_IMSK_SDAI_MSK                (_ADI_MSK(0x00000000,uint16_t))  /* SDAI: Mask (Disable) Interrupt */
#define ENUM_TWI_IMSK_SDAI_UMSK               (_ADI_MSK(0x00004000,uint16_t))  /* SDAI: Unmask (Enable) Interrupt */

#define BITM_TWI_IMSK_RXSERV                  (_ADI_MSK(0x00000080,uint16_t))  /* Rx FIFO Service Interrupt Mask */
#define ENUM_TWI_IMSK_RXSERV_MSK              (_ADI_MSK(0x00000000,uint16_t))  /* RXSERV: Mask (Disable) Interrupt */
#define ENUM_TWI_IMSK_RXSERV_UMSK             (_ADI_MSK(0x00000080,uint16_t))  /* RXSERV: Unmask (Enable) Interrupt */

#define BITM_TWI_IMSK_TXSERV                  (_ADI_MSK(0x00000040,uint16_t))  /* Tx FIFO Service Interrupt Mask */
#define ENUM_TWI_IMSK_TXSERV_MSK              (_ADI_MSK(0x00000000,uint16_t))  /* TXSERV: Mask (Disable) Interrupt */
#define ENUM_TWI_IMSK_TXSERV_UMSK             (_ADI_MSK(0x00000040,uint16_t))  /* TXSERV: Unmask (Enable) Interrupt */

#define BITM_TWI_IMSK_MERR                    (_ADI_MSK(0x00000020,uint16_t))  /* Master Transfer Error Interrupt Mask */
#define ENUM_TWI_IMSK_MERR_MSK                (_ADI_MSK(0x00000000,uint16_t))  /* MERR: Mask (Disable) Interrupt */
#define ENUM_TWI_IMSK_MERR_UMSK               (_ADI_MSK(0x00000020,uint16_t))  /* MERR: Unmask (Enable) Interrupt */

#define BITM_TWI_IMSK_MCOMP                   (_ADI_MSK(0x00000010,uint16_t))  /* Master Transfer Complete Interrupt Mask */
#define ENUM_TWI_IMSK_MCOMP_MSK               (_ADI_MSK(0x00000000,uint16_t))  /* MCOMP: Mask (Disable) Interrupt */
#define ENUM_TWI_IMSK_MCOMP_UMSK              (_ADI_MSK(0x00000010,uint16_t))  /* MCOMP: Unmask (Enable) Interrupt */

#define BITM_TWI_IMSK_SOVF                    (_ADI_MSK(0x00000008,uint16_t))  /* Slave Overflow Interrupt Mask */
#define ENUM_TWI_IMSK_SOVF_MSK                (_ADI_MSK(0x00000000,uint16_t))  /* SOVF: Mask (Disable) Interrupt */
#define ENUM_TWI_IMSK_SOVF_UMSK               (_ADI_MSK(0x00000008,uint16_t))  /* SOVF: Unmask (Enable) Interrupt */

#define BITM_TWI_IMSK_SERR                    (_ADI_MSK(0x00000004,uint16_t))  /* Slave Transfer Error Interrupt Mask */
#define ENUM_TWI_IMSK_SERR_MSK                (_ADI_MSK(0x00000000,uint16_t))  /* SERR: Mask (Disable) Interrupt */
#define ENUM_TWI_IMSK_SERR_UMSK               (_ADI_MSK(0x00000004,uint16_t))  /* SERR: Unmask (Enable) Interrupt */

#define BITM_TWI_IMSK_SCOMP                   (_ADI_MSK(0x00000002,uint16_t))  /* Slave Transfer Complete Interrupt Mask */
#define ENUM_TWI_IMSK_SCOMP_MSK               (_ADI_MSK(0x00000000,uint16_t))  /* SCOMP: Mask (Disable) Interrupt */
#define ENUM_TWI_IMSK_SCOMP_UMSK              (_ADI_MSK(0x00000002,uint16_t))  /* SCOMP: Unmask (Enable) Interrupt */

#define BITM_TWI_IMSK_SINIT                   (_ADI_MSK(0x00000001,uint16_t))  /* Slave Transfer Initiated Interrupt Mask */
#define ENUM_TWI_IMSK_SINIT_MSK               (_ADI_MSK(0x00000000,uint16_t))  /* SINIT: Mask (Disable) Interrupt */
#define ENUM_TWI_IMSK_SINIT_UMSK              (_ADI_MSK(0x00000001,uint16_t))  /* SINIT: Unmask (Enable) Interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_FIFOCTL                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_FIFOCTL_RXILEN                3                               /* Rx Buffer Interrupt Length */
#define BITP_TWI_FIFOCTL_TXILEN                2                               /* Tx Buffer Interrupt Length */
#define BITP_TWI_FIFOCTL_RXFLUSH               1                               /* Rx Buffer Flush */
#define BITP_TWI_FIFOCTL_TXFLUSH               0                               /* Tx Buffer Flush */

#define BITM_TWI_FIFOCTL_RXILEN               (_ADI_MSK(0x00000008,uint16_t))  /* Rx Buffer Interrupt Length */
#define ENUM_TWI_FIFOCTL_RXONEBYTE            (_ADI_MSK(0x00000000,uint16_t))  /* RXILEN: RXSERVI on 1 or 2 Bytes in FIFO */
#define ENUM_TWI_FIFOCTL_RXTWOBYTE            (_ADI_MSK(0x00000008,uint16_t))  /* RXILEN: RXSERVI on 2 Bytes in FIFO */

#define BITM_TWI_FIFOCTL_TXILEN               (_ADI_MSK(0x00000004,uint16_t))  /* Tx Buffer Interrupt Length */
#define ENUM_TWI_FIFOCTL_TXONEBYTE            (_ADI_MSK(0x00000000,uint16_t))  /* TXILEN: TXSERVI on 1 Byte of FIFO Empty */
#define ENUM_TWI_FIFOCTL_TXTWOBYTE            (_ADI_MSK(0x00000004,uint16_t))  /* TXILEN: TXSERVI on 2 Bytes of FIFO Empty */

#define BITM_TWI_FIFOCTL_RXFLUSH              (_ADI_MSK(0x00000002,uint16_t))  /* Rx Buffer Flush */
#define ENUM_TWI_FIFOCTL_RXNORM               (_ADI_MSK(0x00000000,uint16_t))  /* RXFLUSH: Normal Operation of Rx Buffer */
#define ENUM_TWI_FIFOCTL_RXFLUSH              (_ADI_MSK(0x00000002,uint16_t))  /* RXFLUSH: Flush Rx Buffer */

#define BITM_TWI_FIFOCTL_TXFLUSH              (_ADI_MSK(0x00000001,uint16_t))  /* Tx Buffer Flush */
#define ENUM_TWI_FIFOCTL_TXNORM               (_ADI_MSK(0x00000000,uint16_t))  /* TXFLUSH: Normal Operation of Tx Buffer */
#define ENUM_TWI_FIFOCTL_TXFLUSH              (_ADI_MSK(0x00000001,uint16_t))  /* TXFLUSH: Flush Tx Buffer */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_FIFOSTAT                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_FIFOSTAT_RXSTAT               2                               /* Rx FIFO Status */
#define BITP_TWI_FIFOSTAT_TXSTAT               0                               /* Tx FIFO Status */
#define BITM_TWI_FIFOSTAT_RXSTAT              (_ADI_MSK(0x0000000C,uint16_t))  /* Rx FIFO Status */
#define BITM_TWI_FIFOSTAT_TXSTAT              (_ADI_MSK(0x00000003,uint16_t))  /* Tx FIFO Status */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_TXDATA8                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_TXDATA8_VALUE                 0                               /* Tx Data 8-Bit Value */
#define BITM_TWI_TXDATA8_VALUE                (_ADI_MSK(0x000000FF,uint16_t))  /* Tx Data 8-Bit Value */

/* ------------------------------------------------------------------------------------------------------------------------
         TWI_RXDATA8                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TWI_RXDATA8_VALUE                 0                               /* Rx Data 8-Bit Value */
#define BITM_TWI_RXDATA8_VALUE                (_ADI_MSK(0x000000FF,uint16_t))  /* Rx Data 8-Bit Value */

/* ==================================================
        Serial Port Registers
   ================================================== */

/* =========================
        SPORT0
   ========================= */
#define REG_SPORT0_CTL_A                0x40001000         /* SPORT0 Half SPORT 'A' Control Register */
#define REG_SPORT0_DIV_A                0x40001004         /* SPORT0 Half SPORT 'A' Divisor Register */
#define REG_SPORT0_MCTL_A               0x40001008         /* SPORT0 Half SPORT 'A' Multi-channel Control Register */
#define REG_SPORT0_CS0_A                0x4000100C         /* SPORT0 Half SPORT 'A' Multi-channel 0-31 Select Register */
#define REG_SPORT0_CS1_A                0x40001010         /* SPORT0 Half SPORT 'A' Multi-channel 32-63 Select Register */
#define REG_SPORT0_CS2_A                0x40001014         /* SPORT0 Half SPORT 'A' Multi-channel 64-95 Select Register */
#define REG_SPORT0_CS3_A                0x40001018         /* SPORT0 Half SPORT 'A' Multi-channel 96-127 Select Register */
#define REG_SPORT0_ERR_A                0x40001020         /* SPORT0 Half SPORT 'A' Error Register */
#define REG_SPORT0_MSTAT_A              0x40001024         /* SPORT0 Half SPORT 'A' Multi-channel Status Register */
#define REG_SPORT0_CTL2_A               0x40001028         /* SPORT0 Half SPORT 'A' Control 2 Register */
#define REG_SPORT0_TXPRI_A              0x40001040         /* SPORT0 Half SPORT 'A' Tx Buffer (Primary) Register */
#define REG_SPORT0_RXPRI_A              0x40001044         /* SPORT0 Half SPORT 'A' Rx Buffer (Primary) Register */
#define REG_SPORT0_TXSEC_A              0x40001048         /* SPORT0 Half SPORT 'A' Tx Buffer (Secondary) Register */
#define REG_SPORT0_RXSEC_A              0x4000104C         /* SPORT0 Half SPORT 'A' Rx Buffer (Secondary) Register */
#define REG_SPORT0_CTL_B                0x40001080         /* SPORT0 Half SPORT 'B' Control Register */
#define REG_SPORT0_DIV_B                0x40001084         /* SPORT0 Half SPORT 'B' Divisor Register */
#define REG_SPORT0_MCTL_B               0x40001088         /* SPORT0 Half SPORT 'B' Multi-channel Control Register */
#define REG_SPORT0_CS0_B                0x4000108C         /* SPORT0 Half SPORT 'B' Multi-channel 0-31 Select Register */
#define REG_SPORT0_CS1_B                0x40001090         /* SPORT0 Half SPORT 'B' Multi-channel 32-63 Select Register */
#define REG_SPORT0_CS2_B                0x40001094         /* SPORT0 Half SPORT 'B' Multichannel 64-95 Select Register */
#define REG_SPORT0_CS3_B                0x40001098         /* SPORT0 Half SPORT 'B' Multichannel 96-127 Select Register */
#define REG_SPORT0_ERR_B                0x400010A0         /* SPORT0 Half SPORT 'B' Error Register */
#define REG_SPORT0_MSTAT_B              0x400010A4         /* SPORT0 Half SPORT 'B' Multi-channel Status Register */
#define REG_SPORT0_CTL2_B               0x400010A8         /* SPORT0 Half SPORT 'B' Control 2 Register */
#define REG_SPORT0_TXPRI_B              0x400010C0         /* SPORT0 Half SPORT 'B' Tx Buffer (Primary) Register */
#define REG_SPORT0_RXPRI_B              0x400010C4         /* SPORT0 Half SPORT 'B' Rx Buffer (Primary) Register */
#define REG_SPORT0_TXSEC_B              0x400010C8         /* SPORT0 Half SPORT 'B' Tx Buffer (Secondary) Register */
#define REG_SPORT0_RXSEC_B              0x400010CC         /* SPORT0 Half SPORT 'B' Rx Buffer (Secondary) Register */

/* =========================
        SPORT1
   ========================= */
#define REG_SPORT1_CTL_A                0x40001100         /* SPORT1 Half SPORT 'A' Control Register */
#define REG_SPORT1_DIV_A                0x40001104         /* SPORT1 Half SPORT 'A' Divisor Register */
#define REG_SPORT1_MCTL_A               0x40001108         /* SPORT1 Half SPORT 'A' Multi-channel Control Register */
#define REG_SPORT1_CS0_A                0x4000110C         /* SPORT1 Half SPORT 'A' Multi-channel 0-31 Select Register */
#define REG_SPORT1_CS1_A                0x40001110         /* SPORT1 Half SPORT 'A' Multi-channel 32-63 Select Register */
#define REG_SPORT1_CS2_A                0x40001114         /* SPORT1 Half SPORT 'A' Multi-channel 64-95 Select Register */
#define REG_SPORT1_CS3_A                0x40001118         /* SPORT1 Half SPORT 'A' Multi-channel 96-127 Select Register */
#define REG_SPORT1_ERR_A                0x40001120         /* SPORT1 Half SPORT 'A' Error Register */
#define REG_SPORT1_MSTAT_A              0x40001124         /* SPORT1 Half SPORT 'A' Multi-channel Status Register */
#define REG_SPORT1_CTL2_A               0x40001128         /* SPORT1 Half SPORT 'A' Control 2 Register */
#define REG_SPORT1_TXPRI_A              0x40001140         /* SPORT1 Half SPORT 'A' Tx Buffer (Primary) Register */
#define REG_SPORT1_RXPRI_A              0x40001144         /* SPORT1 Half SPORT 'A' Rx Buffer (Primary) Register */
#define REG_SPORT1_TXSEC_A              0x40001148         /* SPORT1 Half SPORT 'A' Tx Buffer (Secondary) Register */
#define REG_SPORT1_RXSEC_A              0x4000114C         /* SPORT1 Half SPORT 'A' Rx Buffer (Secondary) Register */
#define REG_SPORT1_CTL_B                0x40001180         /* SPORT1 Half SPORT 'B' Control Register */
#define REG_SPORT1_DIV_B                0x40001184         /* SPORT1 Half SPORT 'B' Divisor Register */
#define REG_SPORT1_MCTL_B               0x40001188         /* SPORT1 Half SPORT 'B' Multi-channel Control Register */
#define REG_SPORT1_CS0_B                0x4000118C         /* SPORT1 Half SPORT 'B' Multi-channel 0-31 Select Register */
#define REG_SPORT1_CS1_B                0x40001190         /* SPORT1 Half SPORT 'B' Multi-channel 32-63 Select Register */
#define REG_SPORT1_CS2_B                0x40001194         /* SPORT1 Half SPORT 'B' Multichannel 64-95 Select Register */
#define REG_SPORT1_CS3_B                0x40001198         /* SPORT1 Half SPORT 'B' Multichannel 96-127 Select Register */
#define REG_SPORT1_ERR_B                0x400011A0         /* SPORT1 Half SPORT 'B' Error Register */
#define REG_SPORT1_MSTAT_B              0x400011A4         /* SPORT1 Half SPORT 'B' Multi-channel Status Register */
#define REG_SPORT1_CTL2_B               0x400011A8         /* SPORT1 Half SPORT 'B' Control 2 Register */
#define REG_SPORT1_TXPRI_B              0x400011C0         /* SPORT1 Half SPORT 'B' Tx Buffer (Primary) Register */
#define REG_SPORT1_RXPRI_B              0x400011C4         /* SPORT1 Half SPORT 'B' Rx Buffer (Primary) Register */
#define REG_SPORT1_TXSEC_B              0x400011C8         /* SPORT1 Half SPORT 'B' Tx Buffer (Secondary) Register */
#define REG_SPORT1_RXSEC_B              0x400011CC         /* SPORT1 Half SPORT 'B' Rx Buffer (Secondary) Register */

/* =========================
        SPORT
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_CTL_A                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_CTL_A_DXSPRI               30                               /* Data Transfer Buffer Status (Primary) */
#define BITP_SPORT_CTL_DXSPRI                 30                               /* Data Transfer Buffer Status (Primary) */
#define BITP_SPORT_CTL_A_DERRPRI              29                               /* Data Error Status (Primary) */
#define BITP_SPORT_CTL_DERRPRI                29                               /* Data Error Status (Primary) */
#define BITP_SPORT_CTL_A_DXSSEC               27                               /* Data Transfer Buffer Status (Secondary) */
#define BITP_SPORT_CTL_DXSSEC                 27                               /* Data Transfer Buffer Status (Secondary) */
#define BITP_SPORT_CTL_A_DERRSEC              26                               /* Data Error Status (Secondary) */
#define BITP_SPORT_CTL_DERRSEC                26                               /* Data Error Status (Secondary) */
#define BITP_SPORT_CTL_A_SPTRAN               25                               /* Serial Port Transfer Direction */
#define BITP_SPORT_CTL_SPTRAN                 25                               /* Serial Port Transfer Direction */
#define BITP_SPORT_CTL_A_SPENSEC              24                               /* Serial Port Enable (Secondary) */
#define BITP_SPORT_CTL_SPENSEC                24                               /* Serial Port Enable (Secondary) */
#define BITP_SPORT_CTL_A_GCLKEN               21                               /* Gated Clock Enable */
#define BITP_SPORT_CTL_GCLKEN                 21                               /* Gated Clock Enable */
#define BITP_SPORT_CTL_A_TFIEN                20                               /* Transmit Finish Interrupt Enable */
#define BITP_SPORT_CTL_TFIEN                  20                               /* Transmit Finish Interrupt Enable */
#define BITP_SPORT_CTL_A_FSED                 19                               /* Frame Sync Edge Detect */
#define BITP_SPORT_CTL_FSED                   19                               /* Frame Sync Edge Detect */
#define BITP_SPORT_CTL_A_RJUST                18                               /* Right-Justified Operation Mode */
#define BITP_SPORT_CTL_RJUST                  18                               /* Right-Justified Operation Mode */
#define BITP_SPORT_CTL_A_LAFS                 17                               /* Late Frame Sync / OPMODE2 */
#define BITP_SPORT_CTL_LAFS                   17                               /* Late Frame Sync / OPMODE2 */
#define BITP_SPORT_CTL_A_LFS                  16                               /* Active-Low Frame Sync / L_FIRST / PLFS */
#define BITP_SPORT_CTL_LFS                    16                               /* Active-Low Frame Sync / L_FIRST / PLFS */
#define BITP_SPORT_CTL_A_DIFS                 15                               /* Data-Independent Frame Sync */
#define BITP_SPORT_CTL_DIFS                   15                               /* Data-Independent Frame Sync */
#define BITP_SPORT_CTL_A_IFS                  14                               /* Internal Frame Sync */
#define BITP_SPORT_CTL_IFS                    14                               /* Internal Frame Sync */
#define BITP_SPORT_CTL_A_FSR                  13                               /* Frame Sync Required */
#define BITP_SPORT_CTL_FSR                    13                               /* Frame Sync Required */
#define BITP_SPORT_CTL_A_CKRE                 12                               /* Clock Rising Edge */
#define BITP_SPORT_CTL_CKRE                   12                               /* Clock Rising Edge */
#define BITP_SPORT_CTL_A_OPMODE               11                               /* Operation mode */
#define BITP_SPORT_CTL_OPMODE                 11                               /* Operation mode */
#define BITP_SPORT_CTL_A_ICLK                 10                               /* Internal Clock */
#define BITP_SPORT_CTL_ICLK                   10                               /* Internal Clock */
#define BITP_SPORT_CTL_A_PACK                  9                               /* Packing Enable */
#define BITP_SPORT_CTL_PACK                    9                               /* Packing Enable */
#define BITP_SPORT_CTL_A_SLEN                  4                               /* Serial Word Length */
#define BITP_SPORT_CTL_SLEN                    4                               /* Serial Word Length */
#define BITP_SPORT_CTL_A_LSBF                  3                               /* Least-Significant Bit First */
#define BITP_SPORT_CTL_LSBF                    3                               /* Least-Significant Bit First */
#define BITP_SPORT_CTL_A_DTYPE                 1                               /* Data Type */
#define BITP_SPORT_CTL_DTYPE                   1                               /* Data Type */
#define BITP_SPORT_CTL_A_SPENPRI               0                               /* Serial Port Enable (Primary) */
#define BITP_SPORT_CTL_SPENPRI                 0                               /* Serial Port Enable (Primary) */

#define BITM_SPORT_CTL_A_DXSPRI               (_ADI_MSK(0xC0000000,uint32_t))  /* Data Transfer Buffer Status (Primary) */
#define BITM_SPORT_CTL_DXSPRI                 (_ADI_MSK(0xC0000000,uint32_t))  /* Data Transfer Buffer Status (Primary) */
#define ENUM_SPORT_CTL_PRM_EMPTY              (_ADI_MSK(0x00000000,uint32_t))  /* DXSPRI: Empty */
#define ENUM_SPORT_CTL_PRM_PART_FULL          (_ADI_MSK(0x80000000,uint32_t))  /* DXSPRI: Partially full */
#define ENUM_SPORT_CTL_PRM_FULL               (_ADI_MSK(0xC0000000,uint32_t))  /* DXSPRI: Full */

#define BITM_SPORT_CTL_A_DERRPRI              (_ADI_MSK(0x20000000,uint32_t))  /* Data Error Status (Primary) */
#define BITM_SPORT_CTL_DERRPRI                (_ADI_MSK(0x20000000,uint32_t))  /* Data Error Status (Primary) */
#define ENUM_SPORT_CTL_PRM_NO_ERR             (_ADI_MSK(0x00000000,uint32_t))  /* DERRPRI: No error */
#define ENUM_SPORT_CTL_PRM_ERR                (_ADI_MSK(0x20000000,uint32_t))  /* DERRPRI: Error (Tx underflow or Rx overflow) */

#define BITM_SPORT_CTL_A_DXSSEC               (_ADI_MSK(0x18000000,uint32_t))  /* Data Transfer Buffer Status (Secondary) */
#define BITM_SPORT_CTL_DXSSEC                 (_ADI_MSK(0x18000000,uint32_t))  /* Data Transfer Buffer Status (Secondary) */
#define ENUM_SPORT_CTL_SEC_EMPTY              (_ADI_MSK(0x00000000,uint32_t))  /* DXSSEC: Empty */
#define ENUM_SPORT_CTL_SEC_PART_FULL          (_ADI_MSK(0x10000000,uint32_t))  /* DXSSEC: Partially full */
#define ENUM_SPORT_CTL_SEC_FULL               (_ADI_MSK(0x18000000,uint32_t))  /* DXSSEC: Full */

#define BITM_SPORT_CTL_A_DERRSEC              (_ADI_MSK(0x04000000,uint32_t))  /* Data Error Status (Secondary) */
#define BITM_SPORT_CTL_DERRSEC                (_ADI_MSK(0x04000000,uint32_t))  /* Data Error Status (Secondary) */
#define ENUM_SPORT_CTL_SEC_NO_ERR             (_ADI_MSK(0x00000000,uint32_t))  /* DERRSEC: No error */
#define ENUM_SPORT_CTL_SEC_ERR                (_ADI_MSK(0x04000000,uint32_t))  /* DERRSEC: Error (Tx underflow or Rx overflow) */

#define BITM_SPORT_CTL_A_SPTRAN               (_ADI_MSK(0x02000000,uint32_t))  /* Serial Port Transfer Direction */
#define BITM_SPORT_CTL_SPTRAN                 (_ADI_MSK(0x02000000,uint32_t))  /* Serial Port Transfer Direction */
#define ENUM_SPORT_CTL_RX                     (_ADI_MSK(0x00000000,uint32_t))  /* SPTRAN: Receive */
#define ENUM_SPORT_CTL_TX                     (_ADI_MSK(0x02000000,uint32_t))  /* SPTRAN: Transmit */

#define BITM_SPORT_CTL_A_SPENSEC              (_ADI_MSK(0x01000000,uint32_t))  /* Serial Port Enable (Secondary) */
#define BITM_SPORT_CTL_SPENSEC                (_ADI_MSK(0x01000000,uint32_t))  /* Serial Port Enable (Secondary) */
#define ENUM_SPORT_CTL_SECONDARY_DIS          (_ADI_MSK(0x00000000,uint32_t))  /* SPENSEC: Disable */
#define ENUM_SPORT_CTL_SECONDARY_EN           (_ADI_MSK(0x01000000,uint32_t))  /* SPENSEC: Enable */

#define BITM_SPORT_CTL_A_GCLKEN               (_ADI_MSK(0x00200000,uint32_t))  /* Gated Clock Enable */
#define BITM_SPORT_CTL_GCLKEN                 (_ADI_MSK(0x00200000,uint32_t))  /* Gated Clock Enable */
#define ENUM_SPORT_CTL_GCLK_DIS               (_ADI_MSK(0x00000000,uint32_t))  /* GCLKEN: Disable */
#define ENUM_SPORT_CTL_GCLK_EN                (_ADI_MSK(0x00200000,uint32_t))  /* GCLKEN: Enable */

#define BITM_SPORT_CTL_A_TFIEN                (_ADI_MSK(0x00100000,uint32_t))  /* Transmit Finish Interrupt Enable */
#define BITM_SPORT_CTL_TFIEN                  (_ADI_MSK(0x00100000,uint32_t))  /* Transmit Finish Interrupt Enable */
#define ENUM_SPORT_CTL_TXFIN_DIS              (_ADI_MSK(0x00000000,uint32_t))  /* TFIEN: Last word sent (DMA count done) interrupt */
#define ENUM_SPORT_CTL_TXFIN_EN               (_ADI_MSK(0x00100000,uint32_t))  /* TFIEN: Last bit sent (Tx buffer done) interrupt */

#define BITM_SPORT_CTL_A_FSED                 (_ADI_MSK(0x00080000,uint32_t))  /* Frame Sync Edge Detect */
#define BITM_SPORT_CTL_FSED                   (_ADI_MSK(0x00080000,uint32_t))  /* Frame Sync Edge Detect */
#define ENUM_SPORT_CTL_LEVEL_FS               (_ADI_MSK(0x00000000,uint32_t))  /* FSED: Level detect frame sync */
#define ENUM_SPORT_CTL_EDGE_FS                (_ADI_MSK(0x00080000,uint32_t))  /* FSED: Edge detect frame sync */

#define BITM_SPORT_CTL_A_RJUST                (_ADI_MSK(0x00040000,uint32_t))  /* Right-Justified Operation Mode */
#define BITM_SPORT_CTL_RJUST                  (_ADI_MSK(0x00040000,uint32_t))  /* Right-Justified Operation Mode */
#define ENUM_SPORT_CTL_RJUST_DIS              (_ADI_MSK(0x00000000,uint32_t))  /* RJUST: Disable */
#define ENUM_SPORT_CTL_RJUST_EN               (_ADI_MSK(0x00040000,uint32_t))  /* RJUST: Enable */

#define BITM_SPORT_CTL_A_LAFS                 (_ADI_MSK(0x00020000,uint32_t))  /* Late Frame Sync / OPMODE2 */
#define BITM_SPORT_CTL_LAFS                   (_ADI_MSK(0x00020000,uint32_t))  /* Late Frame Sync / OPMODE2 */
#define ENUM_SPORT_CTL_EARLY_FS               (_ADI_MSK(0x00000000,uint32_t))  /* LAFS: Early frame sync */
#define ENUM_SPORT_CTL_LATE_FS                (_ADI_MSK(0x00020000,uint32_t))  /* LAFS: Late frame sync */

#define BITM_SPORT_CTL_A_LFS                  (_ADI_MSK(0x00010000,uint32_t))  /* Active-Low Frame Sync / L_FIRST / PLFS */
#define BITM_SPORT_CTL_LFS                    (_ADI_MSK(0x00010000,uint32_t))  /* Active-Low Frame Sync / L_FIRST / PLFS */
#define ENUM_SPORT_CTL_FS_LO                  (_ADI_MSK(0x00000000,uint32_t))  /* LFS: Active high frame sync (DSP standard mode) */
#define ENUM_SPORT_CTL_FS_HI                  (_ADI_MSK(0x00010000,uint32_t))  /* LFS: Active low frame sync (DSP standard mode) */

#define BITM_SPORT_CTL_A_DIFS                 (_ADI_MSK(0x00008000,uint32_t))  /* Data-Independent Frame Sync */
#define BITM_SPORT_CTL_DIFS                   (_ADI_MSK(0x00008000,uint32_t))  /* Data-Independent Frame Sync */
#define ENUM_SPORT_CTL_DATA_DEP_FS            (_ADI_MSK(0x00000000,uint32_t))  /* DIFS: Data-dependent frame sync */
#define ENUM_SPORT_CTL_DATA_INDP_FS           (_ADI_MSK(0x00008000,uint32_t))  /* DIFS: Data-independent frame sync */

#define BITM_SPORT_CTL_A_IFS                  (_ADI_MSK(0x00004000,uint32_t))  /* Internal Frame Sync */
#define BITM_SPORT_CTL_IFS                    (_ADI_MSK(0x00004000,uint32_t))  /* Internal Frame Sync */
#define ENUM_SPORT_CTL_EXTERNAL_FS            (_ADI_MSK(0x00000000,uint32_t))  /* IFS: External frame sync */
#define ENUM_SPORT_CTL_INTERNAL_FS            (_ADI_MSK(0x00004000,uint32_t))  /* IFS: Internal frame sync */

#define BITM_SPORT_CTL_A_FSR                  (_ADI_MSK(0x00002000,uint32_t))  /* Frame Sync Required */
#define BITM_SPORT_CTL_FSR                    (_ADI_MSK(0x00002000,uint32_t))  /* Frame Sync Required */
#define ENUM_SPORT_CTL_FS_NOT_REQ             (_ADI_MSK(0x00000000,uint32_t))  /* FSR: No frame sync required */
#define ENUM_SPORT_CTL_FS_REQ                 (_ADI_MSK(0x00002000,uint32_t))  /* FSR: Frame sync required */

#define BITM_SPORT_CTL_A_CKRE                 (_ADI_MSK(0x00001000,uint32_t))  /* Clock Rising Edge */
#define BITM_SPORT_CTL_CKRE                   (_ADI_MSK(0x00001000,uint32_t))  /* Clock Rising Edge */
#define ENUM_SPORT_CTL_CLK_FALL_EDGE          (_ADI_MSK(0x00000000,uint32_t))  /* CKRE: Clock falling edge */
#define ENUM_SPORT_CTL_CLK_RISE_EDGE          (_ADI_MSK(0x00001000,uint32_t))  /* CKRE: Clock rising edge */

#define BITM_SPORT_CTL_A_OPMODE               (_ADI_MSK(0x00000800,uint32_t))  /* Operation mode */
#define BITM_SPORT_CTL_OPMODE                 (_ADI_MSK(0x00000800,uint32_t))  /* Operation mode */
#define ENUM_SPORT_CTL_SERIAL_MC_MODE         (_ADI_MSK(0x00000000,uint32_t))  /* OPMODE: DSP standard/multi-channel mode */
#define ENUM_SPORT_CTL_I2S_MODE               (_ADI_MSK(0x00000800,uint32_t))  /* OPMODE: I2S/packed/left-justified mode */

#define BITM_SPORT_CTL_A_ICLK                 (_ADI_MSK(0x00000400,uint32_t))  /* Internal Clock */
#define BITM_SPORT_CTL_ICLK                   (_ADI_MSK(0x00000400,uint32_t))  /* Internal Clock */
#define ENUM_SPORT_CTL_EXTERNAL_CLK           (_ADI_MSK(0x00000000,uint32_t))  /* ICLK: External clock */
#define ENUM_SPORT_CTL_INTERNAL_CLK           (_ADI_MSK(0x00000400,uint32_t))  /* ICLK: Internal clock */

#define BITM_SPORT_CTL_A_PACK                 (_ADI_MSK(0x00000200,uint32_t))  /* Packing Enable */
#define BITM_SPORT_CTL_PACK                   (_ADI_MSK(0x00000200,uint32_t))  /* Packing Enable */
#define ENUM_SPORT_CTL_PACK_DIS               (_ADI_MSK(0x00000000,uint32_t))  /* PACK: Disable */
#define ENUM_SPORT_CTL_PACK_EN                (_ADI_MSK(0x00000200,uint32_t))  /* PACK: Enable */
#define BITM_SPORT_CTL_A_SLEN                 (_ADI_MSK(0x000001F0,uint32_t))  /* Serial Word Length */
#define BITM_SPORT_CTL_SLEN                   (_ADI_MSK(0x000001F0,uint32_t))  /* Serial Word Length */

#define BITM_SPORT_CTL_A_LSBF                 (_ADI_MSK(0x00000008,uint32_t))  /* Least-Significant Bit First */
#define BITM_SPORT_CTL_LSBF                   (_ADI_MSK(0x00000008,uint32_t))  /* Least-Significant Bit First */
#define ENUM_SPORT_CTL_MSB_FIRST              (_ADI_MSK(0x00000000,uint32_t))  /* LSBF: MSB first sent/received (big endian) */
#define ENUM_SPORT_CTL_LSB_FIRST              (_ADI_MSK(0x00000008,uint32_t))  /* LSBF: LSB first sent/received (little endian) */

#define BITM_SPORT_CTL_A_DTYPE                (_ADI_MSK(0x00000006,uint32_t))  /* Data Type */
#define BITM_SPORT_CTL_DTYPE                  (_ADI_MSK(0x00000006,uint32_t))  /* Data Type */
#define ENUM_SPORT_CTL_RJUSTIFY_ZFILL         (_ADI_MSK(0x00000000,uint32_t))  /* DTYPE: Right-justify data, zero-fill unused MSBs */
#define ENUM_SPORT_CTL_RJUSTIFY_SFILL         (_ADI_MSK(0x00000002,uint32_t))  /* DTYPE: Right-justify data, sign-extend unused MSBs */
#define ENUM_SPORT_CTL_USE_U_LAW              (_ADI_MSK(0x00000004,uint32_t))  /* DTYPE: m-law compand data */
#define ENUM_SPORT_CTL_USE_A_LAW              (_ADI_MSK(0x00000006,uint32_t))  /* DTYPE: A-law compand data */

#define BITM_SPORT_CTL_A_SPENPRI              (_ADI_MSK(0x00000001,uint32_t))  /* Serial Port Enable (Primary) */
#define BITM_SPORT_CTL_SPENPRI                (_ADI_MSK(0x00000001,uint32_t))  /* Serial Port Enable (Primary) */
#define ENUM_SPORT_CTL_DIS                    (_ADI_MSK(0x00000000,uint32_t))  /* SPENPRI: Disable */
#define ENUM_SPORT_CTL_EN                     (_ADI_MSK(0x00000001,uint32_t))  /* SPENPRI: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_DIV_A                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_DIV_A_FSDIV                16                               /* Frame Sync Divisor */
#define BITP_SPORT_DIV_FSDIV                  16                               /* Frame Sync Divisor */
#define BITP_SPORT_DIV_A_CLKDIV                0                               /* Clock Divisor */
#define BITP_SPORT_DIV_CLKDIV                  0                               /* Clock Divisor */
#define BITM_SPORT_DIV_A_FSDIV                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Frame Sync Divisor */
#define BITM_SPORT_DIV_FSDIV                  (_ADI_MSK(0xFFFF0000,uint32_t))  /* Frame Sync Divisor */
#define BITM_SPORT_DIV_A_CLKDIV               (_ADI_MSK(0x0000FFFF,uint32_t))  /* Clock Divisor */
#define BITM_SPORT_DIV_CLKDIV                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* Clock Divisor */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_MCTL_A                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_MCTL_A_WOFFSET             16                               /* Window Offset */
#define BITP_SPORT_MCTL_WOFFSET               16                               /* Window Offset */
#define BITP_SPORT_MCTL_A_WSIZE                8                               /* Window Size */
#define BITP_SPORT_MCTL_WSIZE                  8                               /* Window Size */
#define BITP_SPORT_MCTL_A_MFD                  4                               /* Multi-channel Frame Delay */
#define BITP_SPORT_MCTL_MFD                    4                               /* Multi-channel Frame Delay */
#define BITP_SPORT_MCTL_A_MCPDE                2                               /* Multi-Channel Packing DMA Enable */
#define BITP_SPORT_MCTL_MCPDE                  2                               /* Multi-Channel Packing DMA Enable */
#define BITP_SPORT_MCTL_A_MCE                  0                               /* Multichannel enable */
#define BITP_SPORT_MCTL_MCE                    0                               /* Multichannel enable */
#define BITM_SPORT_MCTL_A_WOFFSET             (_ADI_MSK(0x03FF0000,uint32_t))  /* Window Offset */
#define BITM_SPORT_MCTL_WOFFSET               (_ADI_MSK(0x03FF0000,uint32_t))  /* Window Offset */
#define BITM_SPORT_MCTL_A_WSIZE               (_ADI_MSK(0x00007F00,uint32_t))  /* Window Size */
#define BITM_SPORT_MCTL_WSIZE                 (_ADI_MSK(0x00007F00,uint32_t))  /* Window Size */
#define BITM_SPORT_MCTL_A_MFD                 (_ADI_MSK(0x000000F0,uint32_t))  /* Multi-channel Frame Delay */
#define BITM_SPORT_MCTL_MFD                   (_ADI_MSK(0x000000F0,uint32_t))  /* Multi-channel Frame Delay */

#define BITM_SPORT_MCTL_A_MCPDE               (_ADI_MSK(0x00000004,uint32_t))  /* Multi-Channel Packing DMA Enable */
#define BITM_SPORT_MCTL_MCPDE                 (_ADI_MSK(0x00000004,uint32_t))  /* Multi-Channel Packing DMA Enable */
#define ENUM_SPORT_MCTL_MCPD_DIS              (_ADI_MSK(0x00000000,uint32_t))  /* MCPDE: Disable */
#define ENUM_SPORT_MCTL_MCPD_EN               (_ADI_MSK(0x00000004,uint32_t))  /* MCPDE: Enable */

#define BITM_SPORT_MCTL_A_MCE                 (_ADI_MSK(0x00000001,uint32_t))  /* Multichannel enable */
#define BITM_SPORT_MCTL_MCE                   (_ADI_MSK(0x00000001,uint32_t))  /* Multichannel enable */
#define ENUM_SPORT_MCTL_DIS                   (_ADI_MSK(0x00000000,uint32_t))  /* MCE: Disable */
#define ENUM_SPORT_MCTL_EN                    (_ADI_MSK(0x00000001,uint32_t))  /* MCE: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_ERR_A                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_ERR_A_FSERRSTAT             6                               /* Frame Sync Error Status */
#define BITP_SPORT_ERR_FSERRSTAT               6                               /* Frame Sync Error Status */
#define BITP_SPORT_ERR_A_DERRSSTAT             5                               /* Data Error Secondary Status */
#define BITP_SPORT_ERR_DERRSSTAT               5                               /* Data Error Secondary Status */
#define BITP_SPORT_ERR_A_DERRPSTAT             4                               /* Data Error Primary Status */
#define BITP_SPORT_ERR_DERRPSTAT               4                               /* Data Error Primary Status */
#define BITP_SPORT_ERR_A_FSERRMSK              2                               /* Frame Sync Error (Interrupt) Mask */
#define BITP_SPORT_ERR_FSERRMSK                2                               /* Frame Sync Error (Interrupt) Mask */
#define BITP_SPORT_ERR_A_DERRSMSK              1                               /* Data Error Secondary (Interrupt) Mask */
#define BITP_SPORT_ERR_DERRSMSK                1                               /* Data Error Secondary (Interrupt) Mask */
#define BITP_SPORT_ERR_A_DERRPMSK              0                               /* Data Error Primary (Interrupt) Mask */
#define BITP_SPORT_ERR_DERRPMSK                0                               /* Data Error Primary (Interrupt) Mask */
#define BITM_SPORT_ERR_A_FSERRSTAT            (_ADI_MSK(0x00000040,uint32_t))  /* Frame Sync Error Status */
#define BITM_SPORT_ERR_FSERRSTAT              (_ADI_MSK(0x00000040,uint32_t))  /* Frame Sync Error Status */
#define BITM_SPORT_ERR_A_DERRSSTAT            (_ADI_MSK(0x00000020,uint32_t))  /* Data Error Secondary Status */
#define BITM_SPORT_ERR_DERRSSTAT              (_ADI_MSK(0x00000020,uint32_t))  /* Data Error Secondary Status */
#define BITM_SPORT_ERR_A_DERRPSTAT            (_ADI_MSK(0x00000010,uint32_t))  /* Data Error Primary Status */
#define BITM_SPORT_ERR_DERRPSTAT              (_ADI_MSK(0x00000010,uint32_t))  /* Data Error Primary Status */
#define BITM_SPORT_ERR_A_FSERRMSK             (_ADI_MSK(0x00000004,uint32_t))  /* Frame Sync Error (Interrupt) Mask */
#define BITM_SPORT_ERR_FSERRMSK               (_ADI_MSK(0x00000004,uint32_t))  /* Frame Sync Error (Interrupt) Mask */
#define BITM_SPORT_ERR_A_DERRSMSK             (_ADI_MSK(0x00000002,uint32_t))  /* Data Error Secondary (Interrupt) Mask */
#define BITM_SPORT_ERR_DERRSMSK               (_ADI_MSK(0x00000002,uint32_t))  /* Data Error Secondary (Interrupt) Mask */
#define BITM_SPORT_ERR_A_DERRPMSK             (_ADI_MSK(0x00000001,uint32_t))  /* Data Error Primary (Interrupt) Mask */
#define BITM_SPORT_ERR_DERRPMSK               (_ADI_MSK(0x00000001,uint32_t))  /* Data Error Primary (Interrupt) Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_MSTAT_A                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_MSTAT_A_CURCHAN             0                               /* Current Channel */
#define BITP_SPORT_MSTAT_CURCHAN               0                               /* Current Channel */
#define BITM_SPORT_MSTAT_A_CURCHAN            (_ADI_MSK(0x000003FF,uint32_t))  /* Current Channel */
#define BITM_SPORT_MSTAT_CURCHAN              (_ADI_MSK(0x000003FF,uint32_t))  /* Current Channel */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_CTL2_A                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_CTL2_A_CKMUXSEL             1                               /* Clock Multiplexer Select */
#define BITP_SPORT_CTL2_CKMUXSEL               1                               /* Clock Multiplexer Select */
#define BITP_SPORT_CTL2_A_FSMUXSEL             0                               /* Frame Sync Multiplexer Select */
#define BITP_SPORT_CTL2_FSMUXSEL               0                               /* Frame Sync Multiplexer Select */

#define BITM_SPORT_CTL2_A_CKMUXSEL            (_ADI_MSK(0x00000002,uint32_t))  /* Clock Multiplexer Select */
#define BITM_SPORT_CTL2_CKMUXSEL              (_ADI_MSK(0x00000002,uint32_t))  /* Clock Multiplexer Select */
#define ENUM_SPORT_CTL2_CLK_MUX_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* CKMUXSEL: Disable serial clock multiplexing */
#define ENUM_SPORT_CTL2_CLK_MUX_EN            (_ADI_MSK(0x00000002,uint32_t))  /* CKMUXSEL: Enable serial clock multiplexing */

#define BITM_SPORT_CTL2_A_FSMUXSEL            (_ADI_MSK(0x00000001,uint32_t))  /* Frame Sync Multiplexer Select */
#define BITM_SPORT_CTL2_FSMUXSEL              (_ADI_MSK(0x00000001,uint32_t))  /* Frame Sync Multiplexer Select */
#define ENUM_SPORT_CTL2_FS_MUX_DIS            (_ADI_MSK(0x00000000,uint32_t))  /* FSMUXSEL: Disable frame sync multiplexing */
#define ENUM_SPORT_CTL2_FS_MUX_EN             (_ADI_MSK(0x00000001,uint32_t))  /* FSMUXSEL: Enable frame sync multiplexing */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_CTL_B                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_CTL_B_DXSPRI               30                               /* Data Transfer Buffer Status (Primary) */
#define BITP_SPORT_CTL_B_DERRPRI              29                               /* Data Error Status (Primary) */
#define BITP_SPORT_CTL_B_DXSSEC               27                               /* Data Transfer Buffer Status (Secondary) */
#define BITP_SPORT_CTL_B_DERRSEC              26                               /* Data Error Status (Secondary) */
#define BITP_SPORT_CTL_B_SPTRAN               25                               /* Serial Port Transfer Direction */
#define BITP_SPORT_CTL_B_SPENSEC              24                               /* Serial Port Enable (Secondary) */
#define BITP_SPORT_CTL_B_GCLKEN               21                               /* Gated Clock Enable */
#define BITP_SPORT_CTL_B_TFIEN                20                               /* Transmit Finish Interrupt Enable */
#define BITP_SPORT_CTL_B_FSED                 19                               /* Frame Sync Edge Detect */
#define BITP_SPORT_CTL_B_RJUST                18                               /* Right-Justified Operation Mode */
#define BITP_SPORT_CTL_B_LAFS                 17                               /* Late Frame Sync / OPMODE2 */
#define BITP_SPORT_CTL_B_LFS                  16                               /* Active-Low Frame Sync / L_FIRST / PLFS */
#define BITP_SPORT_CTL_B_DIFS                 15                               /* Data-Independent Frame Sync */
#define BITP_SPORT_CTL_B_IFS                  14                               /* Internal Frame Sync */
#define BITP_SPORT_CTL_B_FSR                  13                               /* Frame Sync Required */
#define BITP_SPORT_CTL_B_CKRE                 12                               /* Clock Rising Edge */
#define BITP_SPORT_CTL_B_OPMODE               11                               /* Operation mode */
#define BITP_SPORT_CTL_B_ICLK                 10                               /* Internal Clock */
#define BITP_SPORT_CTL_B_PACK                  9                               /* Packing Enable */
#define BITP_SPORT_CTL_B_SLEN                  4                               /* Serial Word Length */
#define BITP_SPORT_CTL_B_LSBF                  3                               /* Least-Significant Bit First */
#define BITP_SPORT_CTL_B_DTYPE                 1                               /* Data Type */
#define BITP_SPORT_CTL_B_SPENPRI               0                               /* Serial Port Enable (Primary) */

/* The fields and enumerations for SPORT_CTL_B are also in SPORT - see the common set of ENUM_SPORT_* #defines located with register SPORT_CTL_A */

#define BITM_SPORT_CTL_B_DXSPRI               (_ADI_MSK(0xC0000000,uint32_t))  /* Data Transfer Buffer Status (Primary) */
#define BITM_SPORT_CTL_B_DERRPRI              (_ADI_MSK(0x20000000,uint32_t))  /* Data Error Status (Primary) */
#define BITM_SPORT_CTL_B_DXSSEC               (_ADI_MSK(0x18000000,uint32_t))  /* Data Transfer Buffer Status (Secondary) */
#define BITM_SPORT_CTL_B_DERRSEC              (_ADI_MSK(0x04000000,uint32_t))  /* Data Error Status (Secondary) */
#define BITM_SPORT_CTL_B_SPTRAN               (_ADI_MSK(0x02000000,uint32_t))  /* Serial Port Transfer Direction */
#define BITM_SPORT_CTL_B_SPENSEC              (_ADI_MSK(0x01000000,uint32_t))  /* Serial Port Enable (Secondary) */
#define BITM_SPORT_CTL_B_GCLKEN               (_ADI_MSK(0x00200000,uint32_t))  /* Gated Clock Enable */
#define BITM_SPORT_CTL_B_TFIEN                (_ADI_MSK(0x00100000,uint32_t))  /* Transmit Finish Interrupt Enable */
#define BITM_SPORT_CTL_B_FSED                 (_ADI_MSK(0x00080000,uint32_t))  /* Frame Sync Edge Detect */
#define BITM_SPORT_CTL_B_RJUST                (_ADI_MSK(0x00040000,uint32_t))  /* Right-Justified Operation Mode */
#define BITM_SPORT_CTL_B_LAFS                 (_ADI_MSK(0x00020000,uint32_t))  /* Late Frame Sync / OPMODE2 */
#define BITM_SPORT_CTL_B_LFS                  (_ADI_MSK(0x00010000,uint32_t))  /* Active-Low Frame Sync / L_FIRST / PLFS */
#define BITM_SPORT_CTL_B_DIFS                 (_ADI_MSK(0x00008000,uint32_t))  /* Data-Independent Frame Sync */
#define BITM_SPORT_CTL_B_IFS                  (_ADI_MSK(0x00004000,uint32_t))  /* Internal Frame Sync */
#define BITM_SPORT_CTL_B_FSR                  (_ADI_MSK(0x00002000,uint32_t))  /* Frame Sync Required */
#define BITM_SPORT_CTL_B_CKRE                 (_ADI_MSK(0x00001000,uint32_t))  /* Clock Rising Edge */
#define BITM_SPORT_CTL_B_OPMODE               (_ADI_MSK(0x00000800,uint32_t))  /* Operation mode */
#define BITM_SPORT_CTL_B_ICLK                 (_ADI_MSK(0x00000400,uint32_t))  /* Internal Clock */
#define BITM_SPORT_CTL_B_PACK                 (_ADI_MSK(0x00000200,uint32_t))  /* Packing Enable */
#define BITM_SPORT_CTL_B_SLEN                 (_ADI_MSK(0x000001F0,uint32_t))  /* Serial Word Length */
#define BITM_SPORT_CTL_B_LSBF                 (_ADI_MSK(0x00000008,uint32_t))  /* Least-Significant Bit First */
#define BITM_SPORT_CTL_B_DTYPE                (_ADI_MSK(0x00000006,uint32_t))  /* Data Type */
#define BITM_SPORT_CTL_B_SPENPRI              (_ADI_MSK(0x00000001,uint32_t))  /* Serial Port Enable (Primary) */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_DIV_B                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_DIV_B_FSDIV                16                               /* Frame Sync Divisor */
#define BITP_SPORT_DIV_B_CLKDIV                0                               /* Clock Divisor */

/* The fields and enumerations for SPORT_DIV_B are also in SPORT - see the common set of ENUM_SPORT_* #defines located with register SPORT_DIV_A */

#define BITM_SPORT_DIV_B_FSDIV                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Frame Sync Divisor */
#define BITM_SPORT_DIV_B_CLKDIV               (_ADI_MSK(0x0000FFFF,uint32_t))  /* Clock Divisor */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_MCTL_B                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_MCTL_B_WOFFSET             16                               /* Window Offset */
#define BITP_SPORT_MCTL_B_WSIZE                8                               /* Window Size */
#define BITP_SPORT_MCTL_B_MFD                  4                               /* Multi-channel Frame Delay */
#define BITP_SPORT_MCTL_B_MCPDE                2                               /* Multi-Channel Packing DMA Enable */
#define BITP_SPORT_MCTL_B_MCE                  0                               /* Multi-Channel Enable */

/* The fields and enumerations for SPORT_MCTL_B are also in SPORT - see the common set of ENUM_SPORT_* #defines located with register SPORT_MCTL_A */

#define BITM_SPORT_MCTL_B_WOFFSET             (_ADI_MSK(0x03FF0000,uint32_t))  /* Window Offset */
#define BITM_SPORT_MCTL_B_WSIZE               (_ADI_MSK(0x00007F00,uint32_t))  /* Window Size */
#define BITM_SPORT_MCTL_B_MFD                 (_ADI_MSK(0x000000F0,uint32_t))  /* Multi-channel Frame Delay */
#define BITM_SPORT_MCTL_B_MCPDE               (_ADI_MSK(0x00000004,uint32_t))  /* Multi-Channel Packing DMA Enable */
#define BITM_SPORT_MCTL_B_MCE                 (_ADI_MSK(0x00000001,uint32_t))  /* Multi-Channel Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_ERR_B                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_ERR_B_FSERRSTAT             6                               /* Frame Sync Error Status */
#define BITP_SPORT_ERR_B_DERRSSTAT             5                               /* Data Error Secondary Status */
#define BITP_SPORT_ERR_B_DERRPSTAT             4                               /* Data Error Primary Status */
#define BITP_SPORT_ERR_B_FSERRMSK              2                               /* Frame Sync Error (Interrupt) Mask */
#define BITP_SPORT_ERR_B_DERRSMSK              1                               /* Data Error Secondary (Interrupt) Mask */
#define BITP_SPORT_ERR_B_DERRPMSK              0                               /* Data Error Primary (Interrupt) Mask */

/* The fields and enumerations for SPORT_ERR_B are also in SPORT - see the common set of ENUM_SPORT_* #defines located with register SPORT_ERR_A */

#define BITM_SPORT_ERR_B_FSERRSTAT            (_ADI_MSK(0x00000040,uint32_t))  /* Frame Sync Error Status */
#define BITM_SPORT_ERR_B_DERRSSTAT            (_ADI_MSK(0x00000020,uint32_t))  /* Data Error Secondary Status */
#define BITM_SPORT_ERR_B_DERRPSTAT            (_ADI_MSK(0x00000010,uint32_t))  /* Data Error Primary Status */
#define BITM_SPORT_ERR_B_FSERRMSK             (_ADI_MSK(0x00000004,uint32_t))  /* Frame Sync Error (Interrupt) Mask */
#define BITM_SPORT_ERR_B_DERRSMSK             (_ADI_MSK(0x00000002,uint32_t))  /* Data Error Secondary (Interrupt) Mask */
#define BITM_SPORT_ERR_B_DERRPMSK             (_ADI_MSK(0x00000001,uint32_t))  /* Data Error Primary (Interrupt) Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_MSTAT_B                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_MSTAT_B_CURCHAN             0                               /* Current Channel */

/* The fields and enumerations for SPORT_MSTAT_B are also in SPORT - see the common set of ENUM_SPORT_* #defines located with register SPORT_MSTAT_A */

#define BITM_SPORT_MSTAT_B_CURCHAN            (_ADI_MSK(0x000003FF,uint32_t))  /* Current Channel */

/* ------------------------------------------------------------------------------------------------------------------------
         SPORT_CTL2_B                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPORT_CTL2_B_CKMUXSEL             1                               /* Clock Multiplexer Select */
#define BITP_SPORT_CTL2_B_FSMUXSEL             0                               /* Frame Sync Multiplexer Select */

/* The fields and enumerations for SPORT_CTL2_B are also in SPORT - see the common set of ENUM_SPORT_* #defines located with register SPORT_CTL2_A */

#define BITM_SPORT_CTL2_B_CKMUXSEL            (_ADI_MSK(0x00000002,uint32_t))  /* Clock Multiplexer Select */
#define BITM_SPORT_CTL2_B_FSMUXSEL            (_ADI_MSK(0x00000001,uint32_t))  /* Frame Sync Multiplexer Select */

/* ==================================================
        Cyclic Redundancy Check Unit Registers
   ================================================== */

/* =========================
        CRC0
   ========================= */
#define REG_CRC0_CTL                    0x40001C00         /* CRC0 Control Register */
#define REG_CRC0_DCNT                   0x40001C04         /* CRC0 Data Word Count Register */
#define REG_CRC0_DCNTRLD                0x40001C08         /* CRC0 Data Word Count Reload Register */
#define REG_CRC0_COMP                   0x40001C14         /* CRC0 Data Compare Register */
#define REG_CRC0_FILLVAL                0x40001C18         /* CRC0 Fill Value Register */
#define REG_CRC0_DFIFO                  0x40001C1C         /* CRC0 Data FIFO Register */
#define REG_CRC0_INEN                   0x40001C20         /* CRC0 Interrupt Enable Register */
#define REG_CRC0_INEN_SET               0x40001C24         /* CRC0 Interrupt Enable Set Register */
#define REG_CRC0_INEN_CLR               0x40001C28         /* CRC0 Interrupt Enable Clear Register */
#define REG_CRC0_POLY                   0x40001C2C         /* CRC0 Polynomial Register */
#define REG_CRC0_STAT                   0x40001C40         /* CRC0 Status Register */
#define REG_CRC0_DCNTCAP                0x40001C44         /* CRC0 Data Count Capture Register */
#define REG_CRC0_RESULT_FIN             0x40001C4C         /* CRC0 CRC Final Result Register */
#define REG_CRC0_RESULT_CUR             0x40001C50         /* CRC0 CRC Current Result Register */

/* =========================
        CRC
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         CRC_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CRC_CTL_CMPMIRR                  22                               /* COMPARE Register Mirroring */
#define BITP_CRC_CTL_POLYMIRR                 21                               /* Polynomial Register Mirroring */
#define BITP_CRC_CTL_RSLTMIRR                 20                               /* Result Register Mirroring */
#define BITP_CRC_CTL_FDSEL                    19                               /* FIFO Data Select */
#define BITP_CRC_CTL_W16SWP                   18                               /* Word16 Swapping */
#define BITP_CRC_CTL_BYTMIRR                  17                               /* Byte Mirroring */
#define BITP_CRC_CTL_BITMIRR                  16                               /* Bit Mirroring */
#define BITP_CRC_CTL_IRRSTALL                 13                               /* Intermediate Result Ready Stall */
#define BITP_CRC_CTL_OBRSTALL                 12                               /* Output Buffer Ready Stall */
#define BITP_CRC_CTL_AUTOCLRF                  9                               /* Auto Clear to One */
#define BITP_CRC_CTL_AUTOCLRZ                  8                               /* Auto Clear to Zero */
#define BITP_CRC_CTL_OPMODE                    4                               /* Operation Mode */
#define BITP_CRC_CTL_BLKEN                     0                               /* Block Enable */
#define BITM_CRC_CTL_CMPMIRR                  (_ADI_MSK(0x00400000,uint32_t))  /* COMPARE Register Mirroring */
#define BITM_CRC_CTL_POLYMIRR                 (_ADI_MSK(0x00200000,uint32_t))  /* Polynomial Register Mirroring */
#define BITM_CRC_CTL_RSLTMIRR                 (_ADI_MSK(0x00100000,uint32_t))  /* Result Register Mirroring */
#define BITM_CRC_CTL_FDSEL                    (_ADI_MSK(0x00080000,uint32_t))  /* FIFO Data Select */
#define BITM_CRC_CTL_W16SWP                   (_ADI_MSK(0x00040000,uint32_t))  /* Word16 Swapping */
#define BITM_CRC_CTL_BYTMIRR                  (_ADI_MSK(0x00020000,uint32_t))  /* Byte Mirroring */
#define BITM_CRC_CTL_BITMIRR                  (_ADI_MSK(0x00010000,uint32_t))  /* Bit Mirroring */
#define BITM_CRC_CTL_IRRSTALL                 (_ADI_MSK(0x00002000,uint32_t))  /* Intermediate Result Ready Stall */
#define BITM_CRC_CTL_OBRSTALL                 (_ADI_MSK(0x00001000,uint32_t))  /* Output Buffer Ready Stall */
#define BITM_CRC_CTL_AUTOCLRF                 (_ADI_MSK(0x00000200,uint32_t))  /* Auto Clear to One */
#define BITM_CRC_CTL_AUTOCLRZ                 (_ADI_MSK(0x00000100,uint32_t))  /* Auto Clear to Zero */
#define BITM_CRC_CTL_OPMODE                   (_ADI_MSK(0x000000F0,uint32_t))  /* Operation Mode */
#define BITM_CRC_CTL_BLKEN                    (_ADI_MSK(0x00000001,uint32_t))  /* Block Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         CRC_INEN                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CRC_INEN_DCNTEXP                  4                               /* Data Count Expired (Status) Interrupt Enable */
#define BITP_CRC_INEN_CMPERR                   1                               /* Compare Error Interrupt Enable */

#define BITM_CRC_INEN_DCNTEXP                 (_ADI_MSK(0x00000010,uint32_t))  /* Data Count Expired (Status) Interrupt Enable */
#define ENUM_CRC_INEN_DCNTEXP_MSK             (_ADI_MSK(0x00000000,uint32_t))  /* DCNTEXP: Disable (mask) interrupt */
#define ENUM_CRC_INEN_DCNTEXP_UMSK            (_ADI_MSK(0x00000010,uint32_t))  /* DCNTEXP: Enable (unmask) interrupt */

#define BITM_CRC_INEN_CMPERR                  (_ADI_MSK(0x00000002,uint32_t))  /* Compare Error Interrupt Enable */
#define ENUM_CRC_INEN_CMPERR_MSK              (_ADI_MSK(0x00000000,uint32_t))  /* CMPERR: Disable (mask) interrupt */
#define ENUM_CRC_INEN_CMPERR_UMSK             (_ADI_MSK(0x00000002,uint32_t))  /* CMPERR: Enable (unmask) interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         CRC_INEN_SET                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CRC_INEN_SET_DCNTEXP              4                               /* Data Count Expired (Status) Interrupt Enable Set */
#define BITP_CRC_INEN_SET_CMPERR               1                               /* Compare Error Interrupt Enable Set */
#define BITM_CRC_INEN_SET_DCNTEXP             (_ADI_MSK(0x00000010,uint32_t))  /* Data Count Expired (Status) Interrupt Enable Set */
#define BITM_CRC_INEN_SET_CMPERR              (_ADI_MSK(0x00000002,uint32_t))  /* Compare Error Interrupt Enable Set */

/* ------------------------------------------------------------------------------------------------------------------------
         CRC_INEN_CLR                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CRC_INEN_CLR_DCNTEXP              4                               /* Data Count Expired (Status) Interrupt Enable Clear */
#define BITP_CRC_INEN_CLR_CMPERR               1                               /* Compare Error Interrupt Enable Clear */
#define BITM_CRC_INEN_CLR_DCNTEXP             (_ADI_MSK(0x00000010,uint32_t))  /* Data Count Expired (Status) Interrupt Enable Clear */
#define BITM_CRC_INEN_CLR_CMPERR              (_ADI_MSK(0x00000002,uint32_t))  /* Compare Error Interrupt Enable Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         CRC_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CRC_STAT_FSTAT                   20                               /* FIFO Status */
#define BITP_CRC_STAT_LUTDONE                 19                               /* Look Up Table Done */
#define BITP_CRC_STAT_IRR                     18                               /* Intermediate Result Ready */
#define BITP_CRC_STAT_OBR                     17                               /* Output Buffer Ready */
#define BITP_CRC_STAT_IBR                     16                               /* Input Buffer Ready */
#define BITP_CRC_STAT_DCNTEXP                  4                               /* Data Count Expired */
#define BITP_CRC_STAT_CMPERR                   1                               /* Compare Error */
#define BITM_CRC_STAT_FSTAT                   (_ADI_MSK(0x00700000,uint32_t))  /* FIFO Status */
#define BITM_CRC_STAT_LUTDONE                 (_ADI_MSK(0x00080000,uint32_t))  /* Look Up Table Done */
#define BITM_CRC_STAT_IRR                     (_ADI_MSK(0x00040000,uint32_t))  /* Intermediate Result Ready */
#define BITM_CRC_STAT_OBR                     (_ADI_MSK(0x00020000,uint32_t))  /* Output Buffer Ready */
#define BITM_CRC_STAT_IBR                     (_ADI_MSK(0x00010000,uint32_t))  /* Input Buffer Ready */
#define BITM_CRC_STAT_DCNTEXP                 (_ADI_MSK(0x00000010,uint32_t))  /* Data Count Expired */
#define BITM_CRC_STAT_CMPERR                  (_ADI_MSK(0x00000002,uint32_t))  /* Compare Error */

/* ==================================================
        CHIP ID For ARM Emulators Registers
   ================================================== */

/* =========================
        EMUID0
   ========================= */
#define REG_EMUID0_ADIID                0x40002020         /* EMUID0 Analog Devices Identification */
#define REG_EMUID0_CHIPID               0x40002024         /* EMUID0 Chip Identification */

/* =========================
        EMUID
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         EMUID_CHIPID                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMUID_CHIPID_PARTID               4                               /* PARTID */
#define BITP_EMUID_CHIPID_REVID                0                               /* REVID */
#define BITM_EMUID_CHIPID_PARTID              (_ADI_MSK(0x0000FFF0,uint16_t))  /* PARTID */
#define BITM_EMUID_CHIPID_REVID               (_ADI_MSK(0x0000000F,uint16_t))  /* REVID */

/* ==================================================
        Controller Area Network Registers
   ================================================== */

/* =========================
        CAN0
   ========================= */
#define REG_CAN0_MC1                    0x40002200         /* CAN0 Mailbox Configuration 1 Register */
#define REG_CAN0_MD1                    0x40002204         /* CAN0 Mailbox Direction 1 Register */
#define REG_CAN0_TRS1                   0x40002208         /* CAN0 Transmission Request Set 1 Register */
#define REG_CAN0_TRR1                   0x4000220C         /* CAN0 Transmission Request Reset 1 Register */
#define REG_CAN0_TA1                    0x40002210         /* CAN0 Transmission Acknowledge 1 Register */
#define REG_CAN0_AA1                    0x40002214         /* CAN0 Abort Acknowledge 1 Register */
#define REG_CAN0_RMP1                   0x40002218         /* CAN0 Receive Message Pending 1 Register */
#define REG_CAN0_RML1                   0x4000221C         /* CAN0 Receive Message Lost 1 Register */
#define REG_CAN0_MBTIF1                 0x40002220         /* CAN0 Mailbox Transmit Interrupt Flag 1 Register */
#define REG_CAN0_MBRIF1                 0x40002224         /* CAN0 Mailbox Receive Interrupt Flag 1 Register */
#define REG_CAN0_MBIM1                  0x40002228         /* CAN0 Mailbox Interrupt Mask 1 Register */
#define REG_CAN0_RFH1                   0x4000222C         /* CAN0 Remote Frame Handling 1 Register */
#define REG_CAN0_OPSS1                  0x40002230         /* CAN0 Overwrite Protection/Single Shot Transmission 1 Register */
#define REG_CAN0_MC2                    0x40002240         /* CAN0 Mailbox Configuration 2 Register */
#define REG_CAN0_MD2                    0x40002244         /* CAN0 Mailbox Direction 2 Register */
#define REG_CAN0_TRS2                   0x40002248         /* CAN0 Transmission Request Set 2 Register */
#define REG_CAN0_TRR2                   0x4000224C         /* CAN0 Transmission Request Reset 2 Register */
#define REG_CAN0_TA2                    0x40002250         /* CAN0 Transmission Acknowledge 2 Register */
#define REG_CAN0_AA2                    0x40002254         /* CAN0 Abort Acknowledge 2 Register */
#define REG_CAN0_RMP2                   0x40002258         /* CAN0 Receive Message Pending 2 Register */
#define REG_CAN0_RML2                   0x4000225C         /* CAN0 Receive Message Lost 2 Register */
#define REG_CAN0_MBTIF2                 0x40002260         /* CAN0 Mailbox Transmit Interrupt Flag 2 Register */
#define REG_CAN0_MBRIF2                 0x40002264         /* CAN0 Mailbox Receive Interrupt Flag 2 Register */
#define REG_CAN0_MBIM2                  0x40002268         /* CAN0 Mailbox Interrupt Mask 2 Register */
#define REG_CAN0_RFH2                   0x4000226C         /* CAN0 Remote Frame Handling 2 Register */
#define REG_CAN0_OPSS2                  0x40002270         /* CAN0 Overwrite Protection/Single Shot Transmission 2 Register */
#define REG_CAN0_CLK                    0x40002280         /* CAN0 Clock Register */
#define REG_CAN0_TIMING                 0x40002284         /* CAN0 Timing Register */
#define REG_CAN0_DBG                    0x40002288         /* CAN0 Debug Register */
#define REG_CAN0_STAT                   0x4000228C         /* CAN0 Status Register */
#define REG_CAN0_CEC                    0x40002290         /* CAN0 Error Counter Register */
#define REG_CAN0_GIS                    0x40002294         /* CAN0 Global CAN Interrupt Status Register */
#define REG_CAN0_GIM                    0x40002298         /* CAN0 Global CAN Interrupt Mask Register */
#define REG_CAN0_GIF                    0x4000229C         /* CAN0 Global CAN Interrupt Flag Register */
#define REG_CAN0_CTL                    0x400022A0         /* CAN0 CAN Master Control Register */
#define REG_CAN0_INT                    0x400022A4         /* CAN0 Interrupt Pending Register */
#define REG_CAN0_MBTD                   0x400022AC         /* CAN0 Temporary Mailbox Disable Register */
#define REG_CAN0_EWR                    0x400022B0         /* CAN0 Error Counter Warning Level Register */
#define REG_CAN0_ESR                    0x400022B4         /* CAN0 Error Status Register */
#define REG_CAN0_UCCNT                  0x400022C4         /* CAN0 Universal Counter Register */
#define REG_CAN0_UCRC                   0x400022C8         /* CAN0 Universal Counter Reload/Capture Register */
#define REG_CAN0_UCCNF                  0x400022CC         /* CAN0 Universal Counter Configuration Mode Register */
#define REG_CAN0_AM00L                  0x40002300         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM01L                  0x40002308         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM02L                  0x40002310         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM03L                  0x40002318         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM04L                  0x40002320         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM05L                  0x40002328         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM06L                  0x40002330         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM07L                  0x40002338         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM08L                  0x40002340         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM09L                  0x40002348         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM10L                  0x40002350         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM11L                  0x40002358         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM12L                  0x40002360         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM13L                  0x40002368         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM14L                  0x40002370         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM15L                  0x40002378         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM16L                  0x40002380         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM17L                  0x40002388         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM18L                  0x40002390         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM19L                  0x40002398         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM20L                  0x400023A0         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM21L                  0x400023A8         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM22L                  0x400023B0         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM23L                  0x400023B8         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM24L                  0x400023C0         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM25L                  0x400023C8         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM26L                  0x400023D0         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM27L                  0x400023D8         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM28L                  0x400023E0         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM29L                  0x400023E8         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM30L                  0x400023F0         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM31L                  0x400023F8         /* CAN0 Acceptance Mask (L) Register */
#define REG_CAN0_AM00H                  0x40002304         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM01H                  0x4000230C         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM02H                  0x40002314         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM03H                  0x4000231C         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM04H                  0x40002324         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM05H                  0x4000232C         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM06H                  0x40002334         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM07H                  0x4000233C         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM08H                  0x40002344         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM09H                  0x4000234C         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM10H                  0x40002354         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM11H                  0x4000235C         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM12H                  0x40002364         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM13H                  0x4000236C         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM14H                  0x40002374         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM15H                  0x4000237C         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM16H                  0x40002384         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM17H                  0x4000238C         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM18H                  0x40002394         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM19H                  0x4000239C         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM20H                  0x400023A4         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM21H                  0x400023AC         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM22H                  0x400023B4         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM23H                  0x400023BC         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM24H                  0x400023C4         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM25H                  0x400023CC         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM26H                  0x400023D4         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM27H                  0x400023DC         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM28H                  0x400023E4         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM29H                  0x400023EC         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM30H                  0x400023F4         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_AM31H                  0x400023FC         /* CAN0 Acceptance Mask (H) Register */
#define REG_CAN0_MB00_DATA0             0x40002400         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB01_DATA0             0x40002420         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB02_DATA0             0x40002440         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB03_DATA0             0x40002460         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB04_DATA0             0x40002480         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB05_DATA0             0x400024A0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB06_DATA0             0x400024C0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB07_DATA0             0x400024E0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB08_DATA0             0x40002500         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB09_DATA0             0x40002520         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB10_DATA0             0x40002540         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB11_DATA0             0x40002560         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB12_DATA0             0x40002580         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB13_DATA0             0x400025A0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB14_DATA0             0x400025C0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB15_DATA0             0x400025E0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB16_DATA0             0x40002600         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB17_DATA0             0x40002620         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB18_DATA0             0x40002640         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB19_DATA0             0x40002660         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB20_DATA0             0x40002680         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB21_DATA0             0x400026A0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB22_DATA0             0x400026C0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB23_DATA0             0x400026E0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB24_DATA0             0x40002700         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB25_DATA0             0x40002720         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB26_DATA0             0x40002740         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB27_DATA0             0x40002760         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB28_DATA0             0x40002780         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB29_DATA0             0x400027A0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB30_DATA0             0x400027C0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB31_DATA0             0x400027E0         /* CAN0 Mailbox Word 0 Register */
#define REG_CAN0_MB00_DATA1             0x40002404         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB01_DATA1             0x40002424         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB02_DATA1             0x40002444         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB03_DATA1             0x40002464         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB04_DATA1             0x40002484         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB05_DATA1             0x400024A4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB06_DATA1             0x400024C4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB07_DATA1             0x400024E4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB08_DATA1             0x40002504         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB09_DATA1             0x40002524         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB10_DATA1             0x40002544         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB11_DATA1             0x40002564         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB12_DATA1             0x40002584         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB13_DATA1             0x400025A4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB14_DATA1             0x400025C4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB15_DATA1             0x400025E4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB16_DATA1             0x40002604         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB17_DATA1             0x40002624         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB18_DATA1             0x40002644         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB19_DATA1             0x40002664         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB20_DATA1             0x40002684         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB21_DATA1             0x400026A4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB22_DATA1             0x400026C4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB23_DATA1             0x400026E4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB24_DATA1             0x40002704         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB25_DATA1             0x40002724         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB26_DATA1             0x40002744         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB27_DATA1             0x40002764         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB28_DATA1             0x40002784         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB29_DATA1             0x400027A4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB30_DATA1             0x400027C4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB31_DATA1             0x400027E4         /* CAN0 Mailbox Word 1 Register */
#define REG_CAN0_MB00_DATA2             0x40002408         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB01_DATA2             0x40002428         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB02_DATA2             0x40002448         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB03_DATA2             0x40002468         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB04_DATA2             0x40002488         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB05_DATA2             0x400024A8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB06_DATA2             0x400024C8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB07_DATA2             0x400024E8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB08_DATA2             0x40002508         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB09_DATA2             0x40002528         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB10_DATA2             0x40002548         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB11_DATA2             0x40002568         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB12_DATA2             0x40002588         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB13_DATA2             0x400025A8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB14_DATA2             0x400025C8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB15_DATA2             0x400025E8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB16_DATA2             0x40002608         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB17_DATA2             0x40002628         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB18_DATA2             0x40002648         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB19_DATA2             0x40002668         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB20_DATA2             0x40002688         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB21_DATA2             0x400026A8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB22_DATA2             0x400026C8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB23_DATA2             0x400026E8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB24_DATA2             0x40002708         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB25_DATA2             0x40002728         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB26_DATA2             0x40002748         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB27_DATA2             0x40002768         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB28_DATA2             0x40002788         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB29_DATA2             0x400027A8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB30_DATA2             0x400027C8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB31_DATA2             0x400027E8         /* CAN0 Mailbox Word 2 Register */
#define REG_CAN0_MB00_DATA3             0x4000240C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB01_DATA3             0x4000242C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB02_DATA3             0x4000244C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB03_DATA3             0x4000246C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB04_DATA3             0x4000248C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB05_DATA3             0x400024AC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB06_DATA3             0x400024CC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB07_DATA3             0x400024EC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB08_DATA3             0x4000250C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB09_DATA3             0x4000252C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB10_DATA3             0x4000254C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB11_DATA3             0x4000256C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB12_DATA3             0x4000258C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB13_DATA3             0x400025AC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB14_DATA3             0x400025CC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB15_DATA3             0x400025EC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB16_DATA3             0x4000260C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB17_DATA3             0x4000262C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB18_DATA3             0x4000264C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB19_DATA3             0x4000266C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB20_DATA3             0x4000268C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB21_DATA3             0x400026AC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB22_DATA3             0x400026CC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB23_DATA3             0x400026EC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB24_DATA3             0x4000270C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB25_DATA3             0x4000272C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB26_DATA3             0x4000274C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB27_DATA3             0x4000276C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB28_DATA3             0x4000278C         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB29_DATA3             0x400027AC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB30_DATA3             0x400027CC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB31_DATA3             0x400027EC         /* CAN0 Mailbox Word 3 Register */
#define REG_CAN0_MB00_LENGTH            0x40002410         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB01_LENGTH            0x40002430         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB02_LENGTH            0x40002450         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB03_LENGTH            0x40002470         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB04_LENGTH            0x40002490         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB05_LENGTH            0x400024B0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB06_LENGTH            0x400024D0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB07_LENGTH            0x400024F0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB08_LENGTH            0x40002510         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB09_LENGTH            0x40002530         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB10_LENGTH            0x40002550         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB11_LENGTH            0x40002570         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB12_LENGTH            0x40002590         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB13_LENGTH            0x400025B0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB14_LENGTH            0x400025D0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB15_LENGTH            0x400025F0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB16_LENGTH            0x40002610         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB17_LENGTH            0x40002630         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB18_LENGTH            0x40002650         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB19_LENGTH            0x40002670         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB20_LENGTH            0x40002690         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB21_LENGTH            0x400026B0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB22_LENGTH            0x400026D0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB23_LENGTH            0x400026F0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB24_LENGTH            0x40002710         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB25_LENGTH            0x40002730         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB26_LENGTH            0x40002750         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB27_LENGTH            0x40002770         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB28_LENGTH            0x40002790         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB29_LENGTH            0x400027B0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB30_LENGTH            0x400027D0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB31_LENGTH            0x400027F0         /* CAN0 Mailbox Length Register */
#define REG_CAN0_MB00_TIMESTAMP         0x40002414         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB01_TIMESTAMP         0x40002434         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB02_TIMESTAMP         0x40002454         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB03_TIMESTAMP         0x40002474         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB04_TIMESTAMP         0x40002494         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB05_TIMESTAMP         0x400024B4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB06_TIMESTAMP         0x400024D4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB07_TIMESTAMP         0x400024F4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB08_TIMESTAMP         0x40002514         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB09_TIMESTAMP         0x40002534         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB10_TIMESTAMP         0x40002554         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB11_TIMESTAMP         0x40002574         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB12_TIMESTAMP         0x40002594         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB13_TIMESTAMP         0x400025B4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB14_TIMESTAMP         0x400025D4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB15_TIMESTAMP         0x400025F4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB16_TIMESTAMP         0x40002614         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB17_TIMESTAMP         0x40002634         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB18_TIMESTAMP         0x40002654         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB19_TIMESTAMP         0x40002674         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB20_TIMESTAMP         0x40002694         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB21_TIMESTAMP         0x400026B4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB22_TIMESTAMP         0x400026D4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB23_TIMESTAMP         0x400026F4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB24_TIMESTAMP         0x40002714         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB25_TIMESTAMP         0x40002734         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB26_TIMESTAMP         0x40002754         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB27_TIMESTAMP         0x40002774         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB28_TIMESTAMP         0x40002794         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB29_TIMESTAMP         0x400027B4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB30_TIMESTAMP         0x400027D4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB31_TIMESTAMP         0x400027F4         /* CAN0 Mailbox Timestamp Register */
#define REG_CAN0_MB00_ID0               0x40002418         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB01_ID0               0x40002438         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB02_ID0               0x40002458         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB03_ID0               0x40002478         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB04_ID0               0x40002498         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB05_ID0               0x400024B8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB06_ID0               0x400024D8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB07_ID0               0x400024F8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB08_ID0               0x40002518         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB09_ID0               0x40002538         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB10_ID0               0x40002558         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB11_ID0               0x40002578         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB12_ID0               0x40002598         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB13_ID0               0x400025B8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB14_ID0               0x400025D8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB15_ID0               0x400025F8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB16_ID0               0x40002618         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB17_ID0               0x40002638         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB18_ID0               0x40002658         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB19_ID0               0x40002678         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB20_ID0               0x40002698         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB21_ID0               0x400026B8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB22_ID0               0x400026D8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB23_ID0               0x400026F8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB24_ID0               0x40002718         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB25_ID0               0x40002738         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB26_ID0               0x40002758         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB27_ID0               0x40002778         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB28_ID0               0x40002798         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB29_ID0               0x400027B8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB30_ID0               0x400027D8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB31_ID0               0x400027F8         /* CAN0 Mailbox ID 0 Register */
#define REG_CAN0_MB00_ID1               0x4000241C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB01_ID1               0x4000243C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB02_ID1               0x4000245C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB03_ID1               0x4000247C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB04_ID1               0x4000249C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB05_ID1               0x400024BC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB06_ID1               0x400024DC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB07_ID1               0x400024FC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB08_ID1               0x4000251C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB09_ID1               0x4000253C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB10_ID1               0x4000255C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB11_ID1               0x4000257C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB12_ID1               0x4000259C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB13_ID1               0x400025BC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB14_ID1               0x400025DC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB15_ID1               0x400025FC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB16_ID1               0x4000261C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB17_ID1               0x4000263C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB18_ID1               0x4000265C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB19_ID1               0x4000267C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB20_ID1               0x4000269C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB21_ID1               0x400026BC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB22_ID1               0x400026DC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB23_ID1               0x400026FC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB24_ID1               0x4000271C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB25_ID1               0x4000273C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB26_ID1               0x4000275C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB27_ID1               0x4000277C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB28_ID1               0x4000279C         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB29_ID1               0x400027BC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB30_ID1               0x400027DC         /* CAN0 Mailbox ID 1 Register */
#define REG_CAN0_MB31_ID1               0x400027FC         /* CAN0 Mailbox ID 1 Register */

/* =========================
        CAN1
   ========================= */
#define REG_CAN1_MC1                    0x40002A00         /* CAN1 Mailbox Configuration 1 Register */
#define REG_CAN1_MD1                    0x40002A04         /* CAN1 Mailbox Direction 1 Register */
#define REG_CAN1_TRS1                   0x40002A08         /* CAN1 Transmission Request Set 1 Register */
#define REG_CAN1_TRR1                   0x40002A0C         /* CAN1 Transmission Request Reset 1 Register */
#define REG_CAN1_TA1                    0x40002A10         /* CAN1 Transmission Acknowledge 1 Register */
#define REG_CAN1_AA1                    0x40002A14         /* CAN1 Abort Acknowledge 1 Register */
#define REG_CAN1_RMP1                   0x40002A18         /* CAN1 Receive Message Pending 1 Register */
#define REG_CAN1_RML1                   0x40002A1C         /* CAN1 Receive Message Lost 1 Register */
#define REG_CAN1_MBTIF1                 0x40002A20         /* CAN1 Mailbox Transmit Interrupt Flag 1 Register */
#define REG_CAN1_MBRIF1                 0x40002A24         /* CAN1 Mailbox Receive Interrupt Flag 1 Register */
#define REG_CAN1_MBIM1                  0x40002A28         /* CAN1 Mailbox Interrupt Mask 1 Register */
#define REG_CAN1_RFH1                   0x40002A2C         /* CAN1 Remote Frame Handling 1 Register */
#define REG_CAN1_OPSS1                  0x40002A30         /* CAN1 Overwrite Protection/Single Shot Transmission 1 Register */
#define REG_CAN1_MC2                    0x40002A40         /* CAN1 Mailbox Configuration 2 Register */
#define REG_CAN1_MD2                    0x40002A44         /* CAN1 Mailbox Direction 2 Register */
#define REG_CAN1_TRS2                   0x40002A48         /* CAN1 Transmission Request Set 2 Register */
#define REG_CAN1_TRR2                   0x40002A4C         /* CAN1 Transmission Request Reset 2 Register */
#define REG_CAN1_TA2                    0x40002A50         /* CAN1 Transmission Acknowledge 2 Register */
#define REG_CAN1_AA2                    0x40002A54         /* CAN1 Abort Acknowledge 2 Register */
#define REG_CAN1_RMP2                   0x40002A58         /* CAN1 Receive Message Pending 2 Register */
#define REG_CAN1_RML2                   0x40002A5C         /* CAN1 Receive Message Lost 2 Register */
#define REG_CAN1_MBTIF2                 0x40002A60         /* CAN1 Mailbox Transmit Interrupt Flag 2 Register */
#define REG_CAN1_MBRIF2                 0x40002A64         /* CAN1 Mailbox Receive Interrupt Flag 2 Register */
#define REG_CAN1_MBIM2                  0x40002A68         /* CAN1 Mailbox Interrupt Mask 2 Register */
#define REG_CAN1_RFH2                   0x40002A6C         /* CAN1 Remote Frame Handling 2 Register */
#define REG_CAN1_OPSS2                  0x40002A70         /* CAN1 Overwrite Protection/Single Shot Transmission 2 Register */
#define REG_CAN1_CLK                    0x40002A80         /* CAN1 Clock Register */
#define REG_CAN1_TIMING                 0x40002A84         /* CAN1 Timing Register */
#define REG_CAN1_DBG                    0x40002A88         /* CAN1 Debug Register */
#define REG_CAN1_STAT                   0x40002A8C         /* CAN1 Status Register */
#define REG_CAN1_CEC                    0x40002A90         /* CAN1 Error Counter Register */
#define REG_CAN1_GIS                    0x40002A94         /* CAN1 Global CAN Interrupt Status Register */
#define REG_CAN1_GIM                    0x40002A98         /* CAN1 Global CAN Interrupt Mask Register */
#define REG_CAN1_GIF                    0x40002A9C         /* CAN1 Global CAN Interrupt Flag Register */
#define REG_CAN1_CTL                    0x40002AA0         /* CAN1 CAN Master Control Register */
#define REG_CAN1_INT                    0x40002AA4         /* CAN1 Interrupt Pending Register */
#define REG_CAN1_MBTD                   0x40002AAC         /* CAN1 Temporary Mailbox Disable Register */
#define REG_CAN1_EWR                    0x40002AB0         /* CAN1 Error Counter Warning Level Register */
#define REG_CAN1_ESR                    0x40002AB4         /* CAN1 Error Status Register */
#define REG_CAN1_UCCNT                  0x40002AC4         /* CAN1 Universal Counter Register */
#define REG_CAN1_UCRC                   0x40002AC8         /* CAN1 Universal Counter Reload/Capture Register */
#define REG_CAN1_UCCNF                  0x40002ACC         /* CAN1 Universal Counter Configuration Mode Register */
#define REG_CAN1_AM00L                  0x40002B00         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM01L                  0x40002B08         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM02L                  0x40002B10         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM03L                  0x40002B18         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM04L                  0x40002B20         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM05L                  0x40002B28         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM06L                  0x40002B30         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM07L                  0x40002B38         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM08L                  0x40002B40         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM09L                  0x40002B48         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM10L                  0x40002B50         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM11L                  0x40002B58         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM12L                  0x40002B60         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM13L                  0x40002B68         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM14L                  0x40002B70         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM15L                  0x40002B78         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM16L                  0x40002B80         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM17L                  0x40002B88         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM18L                  0x40002B90         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM19L                  0x40002B98         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM20L                  0x40002BA0         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM21L                  0x40002BA8         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM22L                  0x40002BB0         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM23L                  0x40002BB8         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM24L                  0x40002BC0         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM25L                  0x40002BC8         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM26L                  0x40002BD0         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM27L                  0x40002BD8         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM28L                  0x40002BE0         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM29L                  0x40002BE8         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM30L                  0x40002BF0         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM31L                  0x40002BF8         /* CAN1 Acceptance Mask (L) Register */
#define REG_CAN1_AM00H                  0x40002B04         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM01H                  0x40002B0C         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM02H                  0x40002B14         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM03H                  0x40002B1C         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM04H                  0x40002B24         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM05H                  0x40002B2C         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM06H                  0x40002B34         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM07H                  0x40002B3C         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM08H                  0x40002B44         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM09H                  0x40002B4C         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM10H                  0x40002B54         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM11H                  0x40002B5C         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM12H                  0x40002B64         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM13H                  0x40002B6C         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM14H                  0x40002B74         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM15H                  0x40002B7C         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM16H                  0x40002B84         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM17H                  0x40002B8C         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM18H                  0x40002B94         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM19H                  0x40002B9C         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM20H                  0x40002BA4         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM21H                  0x40002BAC         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM22H                  0x40002BB4         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM23H                  0x40002BBC         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM24H                  0x40002BC4         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM25H                  0x40002BCC         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM26H                  0x40002BD4         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM27H                  0x40002BDC         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM28H                  0x40002BE4         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM29H                  0x40002BEC         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM30H                  0x40002BF4         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_AM31H                  0x40002BFC         /* CAN1 Acceptance Mask (H) Register */
#define REG_CAN1_MB00_DATA0             0x40002C00         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB01_DATA0             0x40002C20         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB02_DATA0             0x40002C40         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB03_DATA0             0x40002C60         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB04_DATA0             0x40002C80         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB05_DATA0             0x40002CA0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB06_DATA0             0x40002CC0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB07_DATA0             0x40002CE0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB08_DATA0             0x40002D00         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB09_DATA0             0x40002D20         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB10_DATA0             0x40002D40         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB11_DATA0             0x40002D60         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB12_DATA0             0x40002D80         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB13_DATA0             0x40002DA0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB14_DATA0             0x40002DC0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB15_DATA0             0x40002DE0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB16_DATA0             0x40002E00         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB17_DATA0             0x40002E20         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB18_DATA0             0x40002E40         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB19_DATA0             0x40002E60         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB20_DATA0             0x40002E80         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB21_DATA0             0x40002EA0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB22_DATA0             0x40002EC0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB23_DATA0             0x40002EE0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB24_DATA0             0x40002F00         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB25_DATA0             0x40002F20         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB26_DATA0             0x40002F40         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB27_DATA0             0x40002F60         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB28_DATA0             0x40002F80         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB29_DATA0             0x40002FA0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB30_DATA0             0x40002FC0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB31_DATA0             0x40002FE0         /* CAN1 Mailbox Word 0 Register */
#define REG_CAN1_MB00_DATA1             0x40002C04         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB01_DATA1             0x40002C24         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB02_DATA1             0x40002C44         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB03_DATA1             0x40002C64         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB04_DATA1             0x40002C84         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB05_DATA1             0x40002CA4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB06_DATA1             0x40002CC4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB07_DATA1             0x40002CE4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB08_DATA1             0x40002D04         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB09_DATA1             0x40002D24         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB10_DATA1             0x40002D44         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB11_DATA1             0x40002D64         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB12_DATA1             0x40002D84         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB13_DATA1             0x40002DA4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB14_DATA1             0x40002DC4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB15_DATA1             0x40002DE4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB16_DATA1             0x40002E04         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB17_DATA1             0x40002E24         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB18_DATA1             0x40002E44         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB19_DATA1             0x40002E64         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB20_DATA1             0x40002E84         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB21_DATA1             0x40002EA4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB22_DATA1             0x40002EC4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB23_DATA1             0x40002EE4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB24_DATA1             0x40002F04         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB25_DATA1             0x40002F24         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB26_DATA1             0x40002F44         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB27_DATA1             0x40002F64         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB28_DATA1             0x40002F84         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB29_DATA1             0x40002FA4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB30_DATA1             0x40002FC4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB31_DATA1             0x40002FE4         /* CAN1 Mailbox Word 1 Register */
#define REG_CAN1_MB00_DATA2             0x40002C08         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB01_DATA2             0x40002C28         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB02_DATA2             0x40002C48         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB03_DATA2             0x40002C68         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB04_DATA2             0x40002C88         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB05_DATA2             0x40002CA8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB06_DATA2             0x40002CC8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB07_DATA2             0x40002CE8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB08_DATA2             0x40002D08         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB09_DATA2             0x40002D28         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB10_DATA2             0x40002D48         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB11_DATA2             0x40002D68         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB12_DATA2             0x40002D88         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB13_DATA2             0x40002DA8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB14_DATA2             0x40002DC8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB15_DATA2             0x40002DE8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB16_DATA2             0x40002E08         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB17_DATA2             0x40002E28         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB18_DATA2             0x40002E48         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB19_DATA2             0x40002E68         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB20_DATA2             0x40002E88         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB21_DATA2             0x40002EA8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB22_DATA2             0x40002EC8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB23_DATA2             0x40002EE8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB24_DATA2             0x40002F08         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB25_DATA2             0x40002F28         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB26_DATA2             0x40002F48         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB27_DATA2             0x40002F68         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB28_DATA2             0x40002F88         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB29_DATA2             0x40002FA8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB30_DATA2             0x40002FC8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB31_DATA2             0x40002FE8         /* CAN1 Mailbox Word 2 Register */
#define REG_CAN1_MB00_DATA3             0x40002C0C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB01_DATA3             0x40002C2C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB02_DATA3             0x40002C4C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB03_DATA3             0x40002C6C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB04_DATA3             0x40002C8C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB05_DATA3             0x40002CAC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB06_DATA3             0x40002CCC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB07_DATA3             0x40002CEC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB08_DATA3             0x40002D0C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB09_DATA3             0x40002D2C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB10_DATA3             0x40002D4C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB11_DATA3             0x40002D6C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB12_DATA3             0x40002D8C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB13_DATA3             0x40002DAC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB14_DATA3             0x40002DCC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB15_DATA3             0x40002DEC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB16_DATA3             0x40002E0C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB17_DATA3             0x40002E2C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB18_DATA3             0x40002E4C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB19_DATA3             0x40002E6C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB20_DATA3             0x40002E8C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB21_DATA3             0x40002EAC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB22_DATA3             0x40002ECC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB23_DATA3             0x40002EEC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB24_DATA3             0x40002F0C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB25_DATA3             0x40002F2C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB26_DATA3             0x40002F4C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB27_DATA3             0x40002F6C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB28_DATA3             0x40002F8C         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB29_DATA3             0x40002FAC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB30_DATA3             0x40002FCC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB31_DATA3             0x40002FEC         /* CAN1 Mailbox Word 3 Register */
#define REG_CAN1_MB00_LENGTH            0x40002C10         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB01_LENGTH            0x40002C30         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB02_LENGTH            0x40002C50         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB03_LENGTH            0x40002C70         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB04_LENGTH            0x40002C90         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB05_LENGTH            0x40002CB0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB06_LENGTH            0x40002CD0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB07_LENGTH            0x40002CF0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB08_LENGTH            0x40002D10         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB09_LENGTH            0x40002D30         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB10_LENGTH            0x40002D50         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB11_LENGTH            0x40002D70         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB12_LENGTH            0x40002D90         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB13_LENGTH            0x40002DB0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB14_LENGTH            0x40002DD0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB15_LENGTH            0x40002DF0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB16_LENGTH            0x40002E10         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB17_LENGTH            0x40002E30         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB18_LENGTH            0x40002E50         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB19_LENGTH            0x40002E70         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB20_LENGTH            0x40002E90         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB21_LENGTH            0x40002EB0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB22_LENGTH            0x40002ED0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB23_LENGTH            0x40002EF0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB24_LENGTH            0x40002F10         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB25_LENGTH            0x40002F30         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB26_LENGTH            0x40002F50         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB27_LENGTH            0x40002F70         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB28_LENGTH            0x40002F90         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB29_LENGTH            0x40002FB0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB30_LENGTH            0x40002FD0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB31_LENGTH            0x40002FF0         /* CAN1 Mailbox Length Register */
#define REG_CAN1_MB00_TIMESTAMP         0x40002C14         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB01_TIMESTAMP         0x40002C34         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB02_TIMESTAMP         0x40002C54         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB03_TIMESTAMP         0x40002C74         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB04_TIMESTAMP         0x40002C94         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB05_TIMESTAMP         0x40002CB4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB06_TIMESTAMP         0x40002CD4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB07_TIMESTAMP         0x40002CF4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB08_TIMESTAMP         0x40002D14         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB09_TIMESTAMP         0x40002D34         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB10_TIMESTAMP         0x40002D54         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB11_TIMESTAMP         0x40002D74         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB12_TIMESTAMP         0x40002D94         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB13_TIMESTAMP         0x40002DB4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB14_TIMESTAMP         0x40002DD4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB15_TIMESTAMP         0x40002DF4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB16_TIMESTAMP         0x40002E14         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB17_TIMESTAMP         0x40002E34         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB18_TIMESTAMP         0x40002E54         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB19_TIMESTAMP         0x40002E74         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB20_TIMESTAMP         0x40002E94         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB21_TIMESTAMP         0x40002EB4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB22_TIMESTAMP         0x40002ED4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB23_TIMESTAMP         0x40002EF4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB24_TIMESTAMP         0x40002F14         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB25_TIMESTAMP         0x40002F34         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB26_TIMESTAMP         0x40002F54         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB27_TIMESTAMP         0x40002F74         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB28_TIMESTAMP         0x40002F94         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB29_TIMESTAMP         0x40002FB4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB30_TIMESTAMP         0x40002FD4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB31_TIMESTAMP         0x40002FF4         /* CAN1 Mailbox Timestamp Register */
#define REG_CAN1_MB00_ID0               0x40002C18         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB01_ID0               0x40002C38         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB02_ID0               0x40002C58         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB03_ID0               0x40002C78         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB04_ID0               0x40002C98         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB05_ID0               0x40002CB8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB06_ID0               0x40002CD8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB07_ID0               0x40002CF8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB08_ID0               0x40002D18         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB09_ID0               0x40002D38         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB10_ID0               0x40002D58         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB11_ID0               0x40002D78         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB12_ID0               0x40002D98         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB13_ID0               0x40002DB8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB14_ID0               0x40002DD8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB15_ID0               0x40002DF8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB16_ID0               0x40002E18         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB17_ID0               0x40002E38         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB18_ID0               0x40002E58         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB19_ID0               0x40002E78         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB20_ID0               0x40002E98         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB21_ID0               0x40002EB8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB22_ID0               0x40002ED8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB23_ID0               0x40002EF8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB24_ID0               0x40002F18         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB25_ID0               0x40002F38         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB26_ID0               0x40002F58         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB27_ID0               0x40002F78         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB28_ID0               0x40002F98         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB29_ID0               0x40002FB8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB30_ID0               0x40002FD8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB31_ID0               0x40002FF8         /* CAN1 Mailbox ID 0 Register */
#define REG_CAN1_MB00_ID1               0x40002C1C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB01_ID1               0x40002C3C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB02_ID1               0x40002C5C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB03_ID1               0x40002C7C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB04_ID1               0x40002C9C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB05_ID1               0x40002CBC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB06_ID1               0x40002CDC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB07_ID1               0x40002CFC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB08_ID1               0x40002D1C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB09_ID1               0x40002D3C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB10_ID1               0x40002D5C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB11_ID1               0x40002D7C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB12_ID1               0x40002D9C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB13_ID1               0x40002DBC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB14_ID1               0x40002DDC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB15_ID1               0x40002DFC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB16_ID1               0x40002E1C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB17_ID1               0x40002E3C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB18_ID1               0x40002E5C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB19_ID1               0x40002E7C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB20_ID1               0x40002E9C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB21_ID1               0x40002EBC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB22_ID1               0x40002EDC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB23_ID1               0x40002EFC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB24_ID1               0x40002F1C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB25_ID1               0x40002F3C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB26_ID1               0x40002F5C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB27_ID1               0x40002F7C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB28_ID1               0x40002F9C         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB29_ID1               0x40002FBC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB30_ID1               0x40002FDC         /* CAN1 Mailbox ID 1 Register */
#define REG_CAN1_MB31_ID1               0x40002FFC         /* CAN1 Mailbox ID 1 Register */

/* =========================
        CAN
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MC1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MC1_MB00                      0                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB01                      1                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB02                      2                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB03                      3                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB04                      4                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB05                      5                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB06                      6                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB07                      7                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB08                      8                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB09                      9                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB10                     10                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB11                     11                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB12                     12                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB13                     13                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB14                     14                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC1_MB15                     15                               /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB00                     (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB01                     (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB02                     (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB03                     (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB04                     (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB05                     (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB06                     (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB07                     (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB08                     (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB09                     (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB10                     (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB11                     (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB12                     (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB13                     (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB14                     (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC1_MB15                     (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Enable/Disable */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MD1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MD1_MB08                      8                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD1_MB09                      9                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD1_MB10                     10                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD1_MB11                     11                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD1_MB12                     12                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD1_MB13                     13                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD1_MB14                     14                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD1_MB15                     15                               /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD1_MB08                     (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD1_MB09                     (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD1_MB10                     (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD1_MB11                     (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD1_MB12                     (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD1_MB13                     (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD1_MB14                     (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD1_MB15                     (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit/Receive */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_TRS1                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_TRS1_MB08                     8                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS1_MB09                     9                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS1_MB10                    10                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS1_MB11                    11                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS1_MB12                    12                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS1_MB13                    13                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS1_MB14                    14                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS1_MB15                    15                               /* Mailbox n Transmit Request */
#define BITM_CAN_TRS1_MB08                    (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS1_MB09                    (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS1_MB10                    (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS1_MB11                    (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS1_MB12                    (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS1_MB13                    (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS1_MB14                    (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS1_MB15                    (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit Request */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_TRR1                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_TRR1_MB08                     8                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR1_MB09                     9                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR1_MB10                    10                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR1_MB11                    11                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR1_MB12                    12                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR1_MB13                    13                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR1_MB14                    14                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR1_MB15                    15                               /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR1_MB08                    (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR1_MB09                    (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR1_MB10                    (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR1_MB11                    (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR1_MB12                    (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR1_MB13                    (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR1_MB14                    (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR1_MB15                    (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit Abort */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_TA1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_TA1_MB08                      8                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA1_MB09                      9                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA1_MB10                     10                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA1_MB11                     11                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA1_MB12                     12                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA1_MB13                     13                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA1_MB14                     14                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA1_MB15                     15                               /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA1_MB08                     (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA1_MB09                     (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA1_MB10                     (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA1_MB11                     (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA1_MB12                     (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA1_MB13                     (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA1_MB14                     (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA1_MB15                     (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit Acknowledge */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_AA1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_AA1_MB08                      8                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA1_MB09                      9                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA1_MB10                     10                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA1_MB11                     11                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA1_MB12                     12                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA1_MB13                     13                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA1_MB14                     14                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA1_MB15                     15                               /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA1_MB08                     (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA1_MB09                     (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA1_MB10                     (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA1_MB11                     (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA1_MB12                     (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA1_MB13                     (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA1_MB14                     (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA1_MB15                     (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Abort Acknowledge */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_RMP1                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_RMP1_MB00                     0                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB01                     1                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB02                     2                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB03                     3                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB04                     4                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB05                     5                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB06                     6                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB07                     7                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB08                     8                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB09                     9                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB10                    10                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB11                    11                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB12                    12                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB13                    13                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB14                    14                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP1_MB15                    15                               /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB00                    (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB01                    (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB02                    (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB03                    (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB04                    (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB05                    (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB06                    (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB07                    (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB08                    (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB09                    (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB10                    (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB11                    (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB12                    (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB13                    (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB14                    (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP1_MB15                    (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Message Pending */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_RML1                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_RML1_MB00                     0                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB01                     1                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB02                     2                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB03                     3                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB04                     4                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB05                     5                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB06                     6                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB07                     7                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB08                     8                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB09                     9                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB10                    10                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB11                    11                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB12                    12                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB13                    13                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB14                    14                               /* Mailbox n Message Lost */
#define BITP_CAN_RML1_MB15                    15                               /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB00                    (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB01                    (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB02                    (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB03                    (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB04                    (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB05                    (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB06                    (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB07                    (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB08                    (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB09                    (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB10                    (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB11                    (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB12                    (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB13                    (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB14                    (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML1_MB15                    (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Message Lost */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBTIF1                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MBTIF1_MB08                   8                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF1_MB09                   9                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF1_MB10                  10                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF1_MB11                  11                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF1_MB12                  12                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF1_MB13                  13                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF1_MB14                  14                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF1_MB15                  15                               /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF1_MB08                  (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF1_MB09                  (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF1_MB10                  (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF1_MB11                  (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF1_MB12                  (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF1_MB13                  (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF1_MB14                  (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF1_MB15                  (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit Interrupt Pending */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBRIF1                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MBRIF1_MB00                   0                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB01                   1                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB02                   2                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB03                   3                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB04                   4                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB05                   5                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB06                   6                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB07                   7                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB08                   8                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB09                   9                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB10                  10                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB11                  11                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB12                  12                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB13                  13                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB14                  14                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF1_MB15                  15                               /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB00                  (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB01                  (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB02                  (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB03                  (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB04                  (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB05                  (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB06                  (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB07                  (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB08                  (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB09                  (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB10                  (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB11                  (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB12                  (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB13                  (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB14                  (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF1_MB15                  (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Receive Interrupt Pending */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBIM1                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MBIM1_MB00                    0                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB01                    1                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB02                    2                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB03                    3                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB04                    4                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB05                    5                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB06                    6                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB07                    7                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB08                    8                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB09                    9                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB10                   10                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB11                   11                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB12                   12                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB13                   13                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB14                   14                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM1_MB15                   15                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB00                   (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB01                   (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB02                   (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB03                   (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB04                   (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB05                   (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB06                   (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB07                   (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB08                   (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB09                   (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB10                   (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB11                   (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB12                   (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB13                   (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB14                   (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM1_MB15                   (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_RFH1                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_RFH1_MB08                     8                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH1_MB09                     9                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH1_MB10                    10                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH1_MB11                    11                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH1_MB12                    12                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH1_MB13                    13                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH1_MB14                    14                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH1_MB15                    15                               /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH1_MB08                    (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH1_MB09                    (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH1_MB10                    (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH1_MB11                    (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH1_MB12                    (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH1_MB13                    (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH1_MB14                    (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH1_MB15                    (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Remote Frame Handling Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_OPSS1                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_OPSS1_MB00                    0                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB01                    1                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB02                    2                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB03                    3                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB04                    4                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB05                    5                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB06                    6                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB07                    7                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB08                    8                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB09                    9                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB10                   10                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB11                   11                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB12                   12                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB13                   13                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB14                   14                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS1_MB15                   15                               /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB00                   (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB01                   (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB02                   (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB03                   (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB04                   (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB05                   (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB06                   (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB07                   (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB08                   (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB09                   (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB10                   (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB11                   (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB12                   (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB13                   (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB14                   (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS1_MB15                   (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Overwrite Protection Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MC2                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MC2_MB16                      0                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB17                      1                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB18                      2                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB19                      3                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB20                      4                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB21                      5                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB22                      6                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB23                      7                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB24                      8                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB25                      9                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB26                     10                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB27                     11                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB28                     12                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB29                     13                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB30                     14                               /* Mailbox n Enable/Disable */
#define BITP_CAN_MC2_MB31                     15                               /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB16                     (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB17                     (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB18                     (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB19                     (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB20                     (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB21                     (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB22                     (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB23                     (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB24                     (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB25                     (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB26                     (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB27                     (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB28                     (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB29                     (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB30                     (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Enable/Disable */
#define BITM_CAN_MC2_MB31                     (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Enable/Disable */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MD2                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MD2_MB16                      0                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD2_MB17                      1                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD2_MB18                      2                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD2_MB19                      3                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD2_MB20                      4                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD2_MB21                      5                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD2_MB22                      6                               /* Mailbox n Transmit/Receive */
#define BITP_CAN_MD2_MB23                      7                               /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD2_MB16                     (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD2_MB17                     (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD2_MB18                     (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD2_MB19                     (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD2_MB20                     (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD2_MB21                     (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD2_MB22                     (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Transmit/Receive */
#define BITM_CAN_MD2_MB23                     (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Transmit/Receive */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_TRS2                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_TRS2_MB16                     0                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB17                     1                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB18                     2                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB19                     3                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB20                     4                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB21                     5                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB22                     6                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB23                     7                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB24                     8                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB25                     9                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB26                    10                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB27                    11                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB28                    12                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB29                    13                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB30                    14                               /* Mailbox n Transmit Request */
#define BITP_CAN_TRS2_MB31                    15                               /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB16                    (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB17                    (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB18                    (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB19                    (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB20                    (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB21                    (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB22                    (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB23                    (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB24                    (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB25                    (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB26                    (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB27                    (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB28                    (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB29                    (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB30                    (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit Request */
#define BITM_CAN_TRS2_MB31                    (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit Request */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_TRR2                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_TRR2_MB16                     0                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB17                     1                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB18                     2                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB19                     3                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB20                     4                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB21                     5                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB22                     6                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB23                     7                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB24                     8                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB25                     9                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB26                    10                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB27                    11                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB28                    12                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB29                    13                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB30                    14                               /* Mailbox n Transmit Abort */
#define BITP_CAN_TRR2_MB31                    15                               /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB16                    (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB17                    (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB18                    (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB19                    (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB20                    (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB21                    (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB22                    (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB23                    (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB24                    (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB25                    (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB26                    (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB27                    (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB28                    (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB29                    (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB30                    (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit Abort */
#define BITM_CAN_TRR2_MB31                    (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit Abort */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_TA2                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_TA2_MB16                      0                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB17                      1                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB18                      2                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB19                      3                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB20                      4                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB21                      5                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB22                      6                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB23                      7                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB24                      8                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB25                      9                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB26                     10                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB27                     11                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB28                     12                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB29                     13                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB30                     14                               /* Mailbox n Transmit Acknowledge */
#define BITP_CAN_TA2_MB31                     15                               /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB16                     (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB17                     (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB18                     (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB19                     (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB20                     (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB21                     (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB22                     (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB23                     (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB24                     (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB25                     (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB26                     (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB27                     (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB28                     (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB29                     (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB30                     (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit Acknowledge */
#define BITM_CAN_TA2_MB31                     (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit Acknowledge */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_AA2                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_AA2_MB16                      0                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB17                      1                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB18                      2                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB19                      3                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB20                      4                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB21                      5                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB22                      6                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB23                      7                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB24                      8                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB25                      9                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB26                     10                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB27                     11                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB28                     12                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB29                     13                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB30                     14                               /* Mailbox n Abort Acknowledge */
#define BITP_CAN_AA2_MB31                     15                               /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB16                     (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB17                     (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB18                     (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB19                     (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB20                     (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB21                     (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB22                     (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB23                     (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB24                     (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB25                     (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB26                     (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB27                     (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB28                     (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB29                     (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB30                     (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Abort Acknowledge */
#define BITM_CAN_AA2_MB31                     (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Abort Acknowledge */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_RMP2                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_RMP2_MB16                     0                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP2_MB17                     1                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP2_MB18                     2                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP2_MB19                     3                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP2_MB20                     4                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP2_MB21                     5                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP2_MB22                     6                               /* Mailbox n Message Pending */
#define BITP_CAN_RMP2_MB23                     7                               /* Mailbox n Message Pending */
#define BITM_CAN_RMP2_MB16                    (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP2_MB17                    (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP2_MB18                    (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP2_MB19                    (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP2_MB20                    (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP2_MB21                    (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP2_MB22                    (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Message Pending */
#define BITM_CAN_RMP2_MB23                    (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Message Pending */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_RML2                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_RML2_MB16                     0                               /* Mailbox n Message Lost */
#define BITP_CAN_RML2_MB17                     1                               /* Mailbox n Message Lost */
#define BITP_CAN_RML2_MB18                     2                               /* Mailbox n Message Lost */
#define BITP_CAN_RML2_MB19                     3                               /* Mailbox n Message Lost */
#define BITP_CAN_RML2_MB20                     4                               /* Mailbox n Message Lost */
#define BITP_CAN_RML2_MB21                     5                               /* Mailbox n Message Lost */
#define BITP_CAN_RML2_MB22                     6                               /* Mailbox n Message Lost */
#define BITP_CAN_RML2_MB23                     7                               /* Mailbox n Message Lost */
#define BITM_CAN_RML2_MB16                    (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML2_MB17                    (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML2_MB18                    (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML2_MB19                    (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML2_MB20                    (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML2_MB21                    (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML2_MB22                    (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Message Lost */
#define BITM_CAN_RML2_MB23                    (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Message Lost */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBTIF2                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MBTIF2_MB16                   0                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB17                   1                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB18                   2                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB19                   3                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB20                   4                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB21                   5                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB22                   6                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB23                   7                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB24                   8                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB25                   9                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB26                  10                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB27                  11                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB28                  12                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB29                  13                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB30                  14                               /* Mailbox n Transmit Interrupt Pending */
#define BITP_CAN_MBTIF2_MB31                  15                               /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB16                  (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB17                  (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB18                  (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB19                  (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB20                  (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB21                  (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB22                  (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB23                  (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB24                  (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB25                  (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB26                  (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB27                  (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB28                  (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB29                  (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB30                  (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit Interrupt Pending */
#define BITM_CAN_MBTIF2_MB31                  (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit Interrupt Pending */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBRIF2                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MBRIF2_MB16                   0                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF2_MB17                   1                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF2_MB18                   2                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF2_MB19                   3                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF2_MB20                   4                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF2_MB21                   5                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF2_MB22                   6                               /* Mailbox n Receive Interrupt Pending */
#define BITP_CAN_MBRIF2_MB23                   7                               /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF2_MB16                  (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF2_MB17                  (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF2_MB18                  (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF2_MB19                  (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF2_MB20                  (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF2_MB21                  (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF2_MB22                  (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Receive Interrupt Pending */
#define BITM_CAN_MBRIF2_MB23                  (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Receive Interrupt Pending */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBIM2                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MBIM2_MB16                    0                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB17                    1                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB18                    2                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB19                    3                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB20                    4                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB21                    5                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB22                    6                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB23                    7                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB24                    8                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB25                    9                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB26                   10                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB27                   11                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB28                   12                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB29                   13                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB30                   14                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITP_CAN_MBIM2_MB31                   15                               /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB16                   (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB17                   (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB18                   (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB19                   (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB20                   (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB21                   (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB22                   (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB23                   (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB24                   (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB25                   (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB26                   (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB27                   (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB28                   (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB29                   (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB30                   (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */
#define BITM_CAN_MBIM2_MB31                   (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Transmit and Receive Interrupt Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_RFH2                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_RFH2_MB16                     0                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH2_MB17                     1                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH2_MB18                     2                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH2_MB19                     3                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH2_MB20                     4                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH2_MB21                     5                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH2_MB22                     6                               /* Mailbox n Remote Frame Handling Enable */
#define BITP_CAN_RFH2_MB23                     7                               /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH2_MB16                    (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH2_MB17                    (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH2_MB18                    (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH2_MB19                    (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH2_MB20                    (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH2_MB21                    (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH2_MB22                    (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Remote Frame Handling Enable */
#define BITM_CAN_RFH2_MB23                    (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Remote Frame Handling Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_OPSS2                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_OPSS2_MB16                    0                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB17                    1                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB18                    2                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB19                    3                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB20                    4                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB21                    5                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB22                    6                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB23                    7                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB24                    8                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB25                    9                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB26                   10                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB27                   11                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB28                   12                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB29                   13                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB30                   14                               /* Mailbox n Overwrite Protection Enable */
#define BITP_CAN_OPSS2_MB31                   15                               /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB16                   (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB17                   (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB18                   (_ADI_MSK(0x00000004,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB19                   (_ADI_MSK(0x00000008,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB20                   (_ADI_MSK(0x00000010,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB21                   (_ADI_MSK(0x00000020,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB22                   (_ADI_MSK(0x00000040,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB23                   (_ADI_MSK(0x00000080,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB24                   (_ADI_MSK(0x00000100,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB25                   (_ADI_MSK(0x00000200,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB26                   (_ADI_MSK(0x00000400,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB27                   (_ADI_MSK(0x00000800,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB28                   (_ADI_MSK(0x00001000,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB29                   (_ADI_MSK(0x00002000,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB30                   (_ADI_MSK(0x00004000,uint16_t))  /* Mailbox n Overwrite Protection Enable */
#define BITM_CAN_OPSS2_MB31                   (_ADI_MSK(0x00008000,uint16_t))  /* Mailbox n Overwrite Protection Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_CLK                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_CLK_BRP                       0                               /* Bit Rate Prescaler */
#define BITM_CAN_CLK_BRP                      (_ADI_MSK(0x000003FF,uint16_t))  /* Bit Rate Prescaler */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_TIMING                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_TIMING_SJW                    8                               /* Synchronization Jump Width */
#define BITP_CAN_TIMING_SAM                    7                               /* Sampling */
#define BITP_CAN_TIMING_TSEG2                  4                               /* Time Segment 2 */
#define BITP_CAN_TIMING_TSEG1                  0                               /* Time Segment 1 */
#define BITM_CAN_TIMING_SJW                   (_ADI_MSK(0x00000300,uint16_t))  /* Synchronization Jump Width */
#define BITM_CAN_TIMING_SAM                   (_ADI_MSK(0x00000080,uint16_t))  /* Sampling */
#define BITM_CAN_TIMING_TSEG2                 (_ADI_MSK(0x00000070,uint16_t))  /* Time Segment 2 */
#define BITM_CAN_TIMING_TSEG1                 (_ADI_MSK(0x0000000F,uint16_t))  /* Time Segment 1 */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_DBG                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_DBG_CDE                      15                               /* CAN Debug Mode Enable */
#define BITP_CAN_DBG_MRB                       5                               /* Mode Read Back */
#define BITP_CAN_DBG_MAA                       4                               /* Mode Auto Acknowledge */
#define BITP_CAN_DBG_DIL                       3                               /* Disable Internal Loop */
#define BITP_CAN_DBG_DTO                       2                               /* Disable Tx Output Pin */
#define BITP_CAN_DBG_DRI                       1                               /* Disable Receive Input Pin */
#define BITP_CAN_DBG_DEC                       0                               /* Disable Transmit and Receive Error Counters */
#define BITM_CAN_DBG_CDE                      (_ADI_MSK(0x00008000,uint16_t))  /* CAN Debug Mode Enable */
#define BITM_CAN_DBG_MRB                      (_ADI_MSK(0x00000020,uint16_t))  /* Mode Read Back */
#define BITM_CAN_DBG_MAA                      (_ADI_MSK(0x00000010,uint16_t))  /* Mode Auto Acknowledge */
#define BITM_CAN_DBG_DIL                      (_ADI_MSK(0x00000008,uint16_t))  /* Disable Internal Loop */
#define BITM_CAN_DBG_DTO                      (_ADI_MSK(0x00000004,uint16_t))  /* Disable Tx Output Pin */
#define BITM_CAN_DBG_DRI                      (_ADI_MSK(0x00000002,uint16_t))  /* Disable Receive Input Pin */
#define BITM_CAN_DBG_DEC                      (_ADI_MSK(0x00000001,uint16_t))  /* Disable Transmit and Receive Error Counters */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_STAT_REC                     15                               /* Receive Mode */
#define BITP_CAN_STAT_TRM                     14                               /* Transmit Mode */
#define BITP_CAN_STAT_MBPTR                    8                               /* Mailbox Pointer */
#define BITP_CAN_STAT_CCA                      7                               /* CAN Configuration Mode Acknowledge */
#define BITP_CAN_STAT_CSA                      6                               /* CAN Suspend Mode Acknowledge */
#define BITP_CAN_STAT_EBO                      3                               /* CAN Error Bus Off Mode */
#define BITP_CAN_STAT_EP                       2                               /* CAN Error Passive Mode */
#define BITP_CAN_STAT_WR                       1                               /* CAN Receive Warning Flag */
#define BITP_CAN_STAT_WT                       0                               /* CAN Transmit Warning Flag */
#define BITM_CAN_STAT_REC                     (_ADI_MSK(0x00008000,uint16_t))  /* Receive Mode */
#define BITM_CAN_STAT_TRM                     (_ADI_MSK(0x00004000,uint16_t))  /* Transmit Mode */
#define BITM_CAN_STAT_MBPTR                   (_ADI_MSK(0x00001F00,uint16_t))  /* Mailbox Pointer */
#define BITM_CAN_STAT_CCA                     (_ADI_MSK(0x00000080,uint16_t))  /* CAN Configuration Mode Acknowledge */
#define BITM_CAN_STAT_CSA                     (_ADI_MSK(0x00000040,uint16_t))  /* CAN Suspend Mode Acknowledge */
#define BITM_CAN_STAT_EBO                     (_ADI_MSK(0x00000008,uint16_t))  /* CAN Error Bus Off Mode */
#define BITM_CAN_STAT_EP                      (_ADI_MSK(0x00000004,uint16_t))  /* CAN Error Passive Mode */
#define BITM_CAN_STAT_WR                      (_ADI_MSK(0x00000002,uint16_t))  /* CAN Receive Warning Flag */
#define BITM_CAN_STAT_WT                      (_ADI_MSK(0x00000001,uint16_t))  /* CAN Transmit Warning Flag */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_CEC                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_CEC_TXECNT                    8                               /* Transmit Error Counter */
#define BITP_CAN_CEC_RXECNT                    0                               /* Receive Error Counter */
#define BITM_CAN_CEC_TXECNT                   (_ADI_MSK(0x0000FF00,uint16_t))  /* Transmit Error Counter */
#define BITM_CAN_CEC_RXECNT                   (_ADI_MSK(0x000000FF,uint16_t))  /* Receive Error Counter */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_GIS                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_GIS_ADIS                     10                               /* Access Denied Interrupt Status */
#define BITP_CAN_GIS_UCEIS                     8                               /* Universal Counter Exceeded Interrupt Status */
#define BITP_CAN_GIS_RMLIS                     7                               /* Receive Message Lost Interrupt Status */
#define BITP_CAN_GIS_AAIS                      6                               /* Abort Acknowledge Interrupt Status */
#define BITP_CAN_GIS_UIAIS                     5                               /* Unimplemented Address Interrupt Status */
#define BITP_CAN_GIS_WUIS                      4                               /* Wake Up Interrupt Status */
#define BITP_CAN_GIS_BOIS                      3                               /* Bus Off Interrupt Status */
#define BITP_CAN_GIS_EPIS                      2                               /* Error Passive Interrupt Status */
#define BITP_CAN_GIS_EWRIS                     1                               /* Error Warning Receive  Interrupt Status */
#define BITP_CAN_GIS_EWTIS                     0                               /* Error Warning Transmit Interrupt Status */
#define BITM_CAN_GIS_ADIS                     (_ADI_MSK(0x00000400,uint16_t))  /* Access Denied Interrupt Status */
#define BITM_CAN_GIS_UCEIS                    (_ADI_MSK(0x00000100,uint16_t))  /* Universal Counter Exceeded Interrupt Status */
#define BITM_CAN_GIS_RMLIS                    (_ADI_MSK(0x00000080,uint16_t))  /* Receive Message Lost Interrupt Status */
#define BITM_CAN_GIS_AAIS                     (_ADI_MSK(0x00000040,uint16_t))  /* Abort Acknowledge Interrupt Status */
#define BITM_CAN_GIS_UIAIS                    (_ADI_MSK(0x00000020,uint16_t))  /* Unimplemented Address Interrupt Status */
#define BITM_CAN_GIS_WUIS                     (_ADI_MSK(0x00000010,uint16_t))  /* Wake Up Interrupt Status */
#define BITM_CAN_GIS_BOIS                     (_ADI_MSK(0x00000008,uint16_t))  /* Bus Off Interrupt Status */
#define BITM_CAN_GIS_EPIS                     (_ADI_MSK(0x00000004,uint16_t))  /* Error Passive Interrupt Status */
#define BITM_CAN_GIS_EWRIS                    (_ADI_MSK(0x00000002,uint16_t))  /* Error Warning Receive  Interrupt Status */
#define BITM_CAN_GIS_EWTIS                    (_ADI_MSK(0x00000001,uint16_t))  /* Error Warning Transmit Interrupt Status */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_GIM                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_GIM_ADIM                     10                               /* Access Denied Interrupt Mask */
#define BITP_CAN_GIM_UCEIM                     8                               /* Universal Counter Exceeded Interrupt Mask */
#define BITP_CAN_GIM_RMLIM                     7                               /* Receive Message Lost Interrupt Mask */
#define BITP_CAN_GIM_AAIM                      6                               /* Abort Acknowledge Interrupt Mask */
#define BITP_CAN_GIM_UIAIM                     5                               /* Unimplemented Address Interrupt Mask */
#define BITP_CAN_GIM_WUIM                      4                               /* Wake Up Interrupt Mask */
#define BITP_CAN_GIM_BOIM                      3                               /* Bus Off Interrupt Mask */
#define BITP_CAN_GIM_EPIM                      2                               /* Error Passive Interrupt Mask */
#define BITP_CAN_GIM_EWRIM                     1                               /* Error Warning Receive Interrupt Mask */
#define BITP_CAN_GIM_EWTIM                     0                               /* Error Warning Transmit Interrupt Mask */
#define BITM_CAN_GIM_ADIM                     (_ADI_MSK(0x00000400,uint16_t))  /* Access Denied Interrupt Mask */
#define BITM_CAN_GIM_UCEIM                    (_ADI_MSK(0x00000100,uint16_t))  /* Universal Counter Exceeded Interrupt Mask */
#define BITM_CAN_GIM_RMLIM                    (_ADI_MSK(0x00000080,uint16_t))  /* Receive Message Lost Interrupt Mask */
#define BITM_CAN_GIM_AAIM                     (_ADI_MSK(0x00000040,uint16_t))  /* Abort Acknowledge Interrupt Mask */
#define BITM_CAN_GIM_UIAIM                    (_ADI_MSK(0x00000020,uint16_t))  /* Unimplemented Address Interrupt Mask */
#define BITM_CAN_GIM_WUIM                     (_ADI_MSK(0x00000010,uint16_t))  /* Wake Up Interrupt Mask */
#define BITM_CAN_GIM_BOIM                     (_ADI_MSK(0x00000008,uint16_t))  /* Bus Off Interrupt Mask */
#define BITM_CAN_GIM_EPIM                     (_ADI_MSK(0x00000004,uint16_t))  /* Error Passive Interrupt Mask */
#define BITM_CAN_GIM_EWRIM                    (_ADI_MSK(0x00000002,uint16_t))  /* Error Warning Receive Interrupt Mask */
#define BITM_CAN_GIM_EWTIM                    (_ADI_MSK(0x00000001,uint16_t))  /* Error Warning Transmit Interrupt Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_GIF                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_GIF_ADIF                     10                               /* Access Denied Interrupt Flag */
#define BITP_CAN_GIF_UCEIF                     8                               /* Universal Counter Exceeded Interrupt Flag */
#define BITP_CAN_GIF_RMLIF                     7                               /* Receive Message Lost Interrupt Flag */
#define BITP_CAN_GIF_AAIF                      6                               /* Abort Acknowledge Interrupt Flag */
#define BITP_CAN_GIF_UIAIF                     5                               /* Unimplemented Address Interrupt Flag */
#define BITP_CAN_GIF_WUIF                      4                               /* Wake Up Interrupt Flag */
#define BITP_CAN_GIF_BOIF                      3                               /* Bus Off Interrupt Flag */
#define BITP_CAN_GIF_EPIF                      2                               /* Error Passive Interrupt Flag */
#define BITP_CAN_GIF_EWRIF                     1                               /* Error Warning Receive Interrupt Flag */
#define BITP_CAN_GIF_EWTIF                     0                               /* Error Warning Transmit Interrupt Flag */
#define BITM_CAN_GIF_ADIF                     (_ADI_MSK(0x00000400,uint16_t))  /* Access Denied Interrupt Flag */
#define BITM_CAN_GIF_UCEIF                    (_ADI_MSK(0x00000100,uint16_t))  /* Universal Counter Exceeded Interrupt Flag */
#define BITM_CAN_GIF_RMLIF                    (_ADI_MSK(0x00000080,uint16_t))  /* Receive Message Lost Interrupt Flag */
#define BITM_CAN_GIF_AAIF                     (_ADI_MSK(0x00000040,uint16_t))  /* Abort Acknowledge Interrupt Flag */
#define BITM_CAN_GIF_UIAIF                    (_ADI_MSK(0x00000020,uint16_t))  /* Unimplemented Address Interrupt Flag */
#define BITM_CAN_GIF_WUIF                     (_ADI_MSK(0x00000010,uint16_t))  /* Wake Up Interrupt Flag */
#define BITM_CAN_GIF_BOIF                     (_ADI_MSK(0x00000008,uint16_t))  /* Bus Off Interrupt Flag */
#define BITM_CAN_GIF_EPIF                     (_ADI_MSK(0x00000004,uint16_t))  /* Error Passive Interrupt Flag */
#define BITM_CAN_GIF_EWRIF                    (_ADI_MSK(0x00000002,uint16_t))  /* Error Warning Receive Interrupt Flag */
#define BITM_CAN_GIF_EWTIF                    (_ADI_MSK(0x00000001,uint16_t))  /* Error Warning Transmit Interrupt Flag */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_CTL_CCR                       7                               /* CAN Configuration Mode Request */
#define BITP_CAN_CTL_CSR                       6                               /* CAN Suspend Mode Request */
#define BITP_CAN_CTL_SMR                       5                               /* Sleep Mode Request */
#define BITP_CAN_CTL_WBA                       4                               /* Wake Up on CAN Bus Activity */
#define BITP_CAN_CTL_ABO                       2                               /* Auto Bus On */
#define BITP_CAN_CTL_DNM                       1                               /* Device Net Mode */
#define BITP_CAN_CTL_SRS                       0                               /* Software Reset */
#define BITM_CAN_CTL_CCR                      (_ADI_MSK(0x00000080,uint16_t))  /* CAN Configuration Mode Request */
#define BITM_CAN_CTL_CSR                      (_ADI_MSK(0x00000040,uint16_t))  /* CAN Suspend Mode Request */
#define BITM_CAN_CTL_SMR                      (_ADI_MSK(0x00000020,uint16_t))  /* Sleep Mode Request */
#define BITM_CAN_CTL_WBA                      (_ADI_MSK(0x00000010,uint16_t))  /* Wake Up on CAN Bus Activity */
#define BITM_CAN_CTL_ABO                      (_ADI_MSK(0x00000004,uint16_t))  /* Auto Bus On */
#define BITM_CAN_CTL_DNM                      (_ADI_MSK(0x00000002,uint16_t))  /* Device Net Mode */
#define BITM_CAN_CTL_SRS                      (_ADI_MSK(0x00000001,uint16_t))  /* Software Reset */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_INT                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_INT_CANRX                     7                               /* Serial Input From Transceiver */
#define BITP_CAN_INT_CANTX                     6                               /* Serial Input To Transceiver */
#define BITP_CAN_INT_SMACK                     3                               /* Sleep Mode Acknowledge */
#define BITP_CAN_INT_GIRQ                      2                               /* Global CAN Interrupt Output */
#define BITP_CAN_INT_MBTIRQ                    1                               /* Mailbox Transmit Interrupt Output */
#define BITP_CAN_INT_MBRIRQ                    0                               /* Mailbox Receive Interrupt Output */
#define BITM_CAN_INT_CANRX                    (_ADI_MSK(0x00000080,uint16_t))  /* Serial Input From Transceiver */
#define BITM_CAN_INT_CANTX                    (_ADI_MSK(0x00000040,uint16_t))  /* Serial Input To Transceiver */
#define BITM_CAN_INT_SMACK                    (_ADI_MSK(0x00000008,uint16_t))  /* Sleep Mode Acknowledge */
#define BITM_CAN_INT_GIRQ                     (_ADI_MSK(0x00000004,uint16_t))  /* Global CAN Interrupt Output */
#define BITM_CAN_INT_MBTIRQ                   (_ADI_MSK(0x00000002,uint16_t))  /* Mailbox Transmit Interrupt Output */
#define BITM_CAN_INT_MBRIRQ                   (_ADI_MSK(0x00000001,uint16_t))  /* Mailbox Receive Interrupt Output */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBTD                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MBTD_TDR                      7                               /* Temporary Disable Request */
#define BITP_CAN_MBTD_TDA                      6                               /* Temporary Disable Acknowledge */
#define BITP_CAN_MBTD_TDPTR                    0                               /* Temporary Disable Pointer */
#define BITM_CAN_MBTD_TDR                     (_ADI_MSK(0x00000080,uint16_t))  /* Temporary Disable Request */
#define BITM_CAN_MBTD_TDA                     (_ADI_MSK(0x00000040,uint16_t))  /* Temporary Disable Acknowledge */
#define BITM_CAN_MBTD_TDPTR                   (_ADI_MSK(0x0000001F,uint16_t))  /* Temporary Disable Pointer */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_EWR                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_EWR_EWLTEC                    8                               /* Transmit Error Warning Limit */
#define BITP_CAN_EWR_EWLREC                    0                               /* Receive Error Warning Limit */
#define BITM_CAN_EWR_EWLTEC                   (_ADI_MSK(0x0000FF00,uint16_t))  /* Transmit Error Warning Limit */
#define BITM_CAN_EWR_EWLREC                   (_ADI_MSK(0x000000FF,uint16_t))  /* Receive Error Warning Limit */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_ESR                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_ESR_FER                       7                               /* Form Error */
#define BITP_CAN_ESR_BEF                       6                               /* Bit Error Flag */
#define BITP_CAN_ESR_SAO                       5                               /* Stuck at Dominant */
#define BITP_CAN_ESR_CRCE                      4                               /* CRC Error */
#define BITP_CAN_ESR_SER                       3                               /* Stuff Bit Error */
#define BITP_CAN_ESR_ACKE                      2                               /* Acknowledge Error */
#define BITM_CAN_ESR_FER                      (_ADI_MSK(0x00000080,uint16_t))  /* Form Error */
#define BITM_CAN_ESR_BEF                      (_ADI_MSK(0x00000040,uint16_t))  /* Bit Error Flag */
#define BITM_CAN_ESR_SAO                      (_ADI_MSK(0x00000020,uint16_t))  /* Stuck at Dominant */
#define BITM_CAN_ESR_CRCE                     (_ADI_MSK(0x00000010,uint16_t))  /* CRC Error */
#define BITM_CAN_ESR_SER                      (_ADI_MSK(0x00000008,uint16_t))  /* Stuff Bit Error */
#define BITM_CAN_ESR_ACKE                     (_ADI_MSK(0x00000004,uint16_t))  /* Acknowledge Error */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_UCCNF                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_UCCNF_UCE                     7                               /* Universal Counter Enable */
#define BITP_CAN_UCCNF_UCCT                    6                               /* Universal Counter CAN Trigger */
#define BITP_CAN_UCCNF_UCRC                    5                               /* Universal Counter Reload/Clear */
#define BITP_CAN_UCCNF_UCCNF                   0                               /* Universal Counter Configuration */
#define BITM_CAN_UCCNF_UCE                    (_ADI_MSK(0x00000080,uint16_t))  /* Universal Counter Enable */
#define BITM_CAN_UCCNF_UCCT                   (_ADI_MSK(0x00000040,uint16_t))  /* Universal Counter CAN Trigger */
#define BITM_CAN_UCCNF_UCRC                   (_ADI_MSK(0x00000020,uint16_t))  /* Universal Counter Reload/Clear */
#define BITM_CAN_UCCNF_UCCNF                  (_ADI_MSK(0x0000000F,uint16_t))  /* Universal Counter Configuration */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_AMnH                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_AMH_FDF                      15                               /* Filter on Delay Field */
#define BITP_CAN_AMH_FMD                      14                               /* Full Mask Data */
#define BITP_CAN_AMH_AMIDE                    13                               /* Acceptance Mask Identifier Extension */
#define BITP_CAN_AMH_BASEID                    2                               /* Base Identifier */
#define BITP_CAN_AMH_EXTID                     0                               /* Extended Identifier */
#define BITM_CAN_AMH_FDF                      (_ADI_MSK(0x00008000,uint16_t))  /* Filter on Delay Field */
#define BITM_CAN_AMH_FMD                      (_ADI_MSK(0x00004000,uint16_t))  /* Full Mask Data */
#define BITM_CAN_AMH_AMIDE                    (_ADI_MSK(0x00002000,uint16_t))  /* Acceptance Mask Identifier Extension */
#define BITM_CAN_AMH_BASEID                   (_ADI_MSK(0x00001FFC,uint16_t))  /* Base Identifier */
#define BITM_CAN_AMH_EXTID                    (_ADI_MSK(0x00000003,uint16_t))  /* Extended Identifier */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBn_DATA0                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MB_DATA0_DFB6                 8                               /* Data Field Byte 6 */
#define BITP_CAN_MB_DATA0_DFB7                 0                               /* Data Field Byte 7 */
#define BITM_CAN_MB_DATA0_DFB6                (_ADI_MSK(0x0000FF00,uint16_t))  /* Data Field Byte 6 */
#define BITM_CAN_MB_DATA0_DFB7                (_ADI_MSK(0x000000FF,uint16_t))  /* Data Field Byte 7 */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBn_DATA1                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MB_DATA1_DFB4                 8                               /* Data Field Byte 4 */
#define BITP_CAN_MB_DATA1_DFB5                 0                               /* Data Field Byte 5 */
#define BITM_CAN_MB_DATA1_DFB4                (_ADI_MSK(0x0000FF00,uint16_t))  /* Data Field Byte 4 */
#define BITM_CAN_MB_DATA1_DFB5                (_ADI_MSK(0x000000FF,uint16_t))  /* Data Field Byte 5 */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBn_DATA2                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MB_DATA2_DFB2                 8                               /* Data Field Byte 2 */
#define BITP_CAN_MB_DATA2_DFB3                 0                               /* Data Field Byte 3 */
#define BITM_CAN_MB_DATA2_DFB2                (_ADI_MSK(0x0000FF00,uint16_t))  /* Data Field Byte 2 */
#define BITM_CAN_MB_DATA2_DFB3                (_ADI_MSK(0x000000FF,uint16_t))  /* Data Field Byte 3 */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBn_DATA3                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MB_DATA3_DFB0                 8                               /* Data Field Byte 0 */
#define BITP_CAN_MB_DATA3_DFB1                 0                               /* Data Field Byte 1 */
#define BITM_CAN_MB_DATA3_DFB0                (_ADI_MSK(0x0000FF00,uint16_t))  /* Data Field Byte 0 */
#define BITM_CAN_MB_DATA3_DFB1                (_ADI_MSK(0x000000FF,uint16_t))  /* Data Field Byte 1 */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBn_LENGTH                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MB_LENGTH_DLC                 0                               /* Data Length Code */
#define BITM_CAN_MB_LENGTH_DLC                (_ADI_MSK(0x0000000F,uint16_t))  /* Data Length Code */

/* ------------------------------------------------------------------------------------------------------------------------
         CAN_MBn_ID1                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CAN_MB_ID1_AME                   15                               /* Acceptance Mask Enable */
#define BITP_CAN_MB_ID1_RTR                   14                               /* Remote Transmission Request */
#define BITP_CAN_MB_ID1_IDE                   13                               /* Identifier Extension */
#define BITP_CAN_MB_ID1_BASEID                 2                               /* Base Identifier */
#define BITP_CAN_MB_ID1_EXTID                  0                               /* Extended Identifier */
#define BITM_CAN_MB_ID1_AME                   (_ADI_MSK(0x00008000,uint16_t))  /* Acceptance Mask Enable */
#define BITM_CAN_MB_ID1_RTR                   (_ADI_MSK(0x00004000,uint16_t))  /* Remote Transmission Request */
#define BITM_CAN_MB_ID1_IDE                   (_ADI_MSK(0x00002000,uint16_t))  /* Identifier Extension */
#define BITM_CAN_MB_ID1_BASEID                (_ADI_MSK(0x00001FFC,uint16_t))  /* Base Identifier */
#define BITM_CAN_MB_ID1_EXTID                 (_ADI_MSK(0x00000003,uint16_t))  /* Extended Identifier */

/* ==================================================
        UART Registers
   ================================================== */

/* =========================
        UART0
   ========================= */
#define REG_UART0_CTL                   0x40003004         /* UART0 Control Register */
#define REG_UART0_STAT                  0x40003008         /* UART0 Status Register */
#define REG_UART0_SCR                   0x4000300C         /* UART0 Scratch Register */
#define REG_UART0_CLK                   0x40003010         /* UART0 Clock Rate Register */
#define REG_UART0_IMSK                  0x40003014         /* UART0 Interrupt Mask Register */
#define REG_UART0_IMSK_SET              0x40003018         /* UART0 Interrupt Mask Set Register */
#define REG_UART0_IMSK_CLR              0x4000301C         /* UART0 Interrupt Mask Clear Register */
#define REG_UART0_RBR                   0x40003020         /* UART0 Receive Buffer Register */
#define REG_UART0_THR                   0x40003024         /* UART0 Transmit Hold Register */
#define REG_UART0_TAIP                  0x40003028         /* UART0 Transmit Address/Insert Pulse Register */
#define REG_UART0_TSR                   0x4000302C         /* UART0 Transmit Shift Register */
#define REG_UART0_RSR                   0x40003030         /* UART0 Receive Shift Register */
#define REG_UART0_TXCNT                 0x40003034         /* UART0 Transmit Counter Register */
#define REG_UART0_RXCNT                 0x40003038         /* UART0 Receive Counter Register */

/* =========================
        UART1
   ========================= */
#define REG_UART1_CTL                   0x40003404         /* UART1 Control Register */
#define REG_UART1_STAT                  0x40003408         /* UART1 Status Register */
#define REG_UART1_SCR                   0x4000340C         /* UART1 Scratch Register */
#define REG_UART1_CLK                   0x40003410         /* UART1 Clock Rate Register */
#define REG_UART1_IMSK                  0x40003414         /* UART1 Interrupt Mask Register */
#define REG_UART1_IMSK_SET              0x40003418         /* UART1 Interrupt Mask Set Register */
#define REG_UART1_IMSK_CLR              0x4000341C         /* UART1 Interrupt Mask Clear Register */
#define REG_UART1_RBR                   0x40003420         /* UART1 Receive Buffer Register */
#define REG_UART1_THR                   0x40003424         /* UART1 Transmit Hold Register */
#define REG_UART1_TAIP                  0x40003428         /* UART1 Transmit Address/Insert Pulse Register */
#define REG_UART1_TSR                   0x4000342C         /* UART1 Transmit Shift Register */
#define REG_UART1_RSR                   0x40003430         /* UART1 Receive Shift Register */
#define REG_UART1_TXCNT                 0x40003434         /* UART1 Transmit Counter Register */
#define REG_UART1_RXCNT                 0x40003438         /* UART1 Receive Counter Register */

/* =========================
        UART2
   ========================= */
#define REG_UART2_CTL                   0x40004004         /* UART2 Control Register */
#define REG_UART2_STAT                  0x40004008         /* UART2 Status Register */
#define REG_UART2_SCR                   0x4000400C         /* UART2 Scratch Register */
#define REG_UART2_CLK                   0x40004010         /* UART2 Clock Rate Register */
#define REG_UART2_IMSK                  0x40004014         /* UART2 Interrupt Mask Register */
#define REG_UART2_IMSK_SET              0x40004018         /* UART2 Interrupt Mask Set Register */
#define REG_UART2_IMSK_CLR              0x4000401C         /* UART2 Interrupt Mask Clear Register */
#define REG_UART2_RBR                   0x40004020         /* UART2 Receive Buffer Register */
#define REG_UART2_THR                   0x40004024         /* UART2 Transmit Hold Register */
#define REG_UART2_TAIP                  0x40004028         /* UART2 Transmit Address/Insert Pulse Register */
#define REG_UART2_TSR                   0x4000402C         /* UART2 Transmit Shift Register */
#define REG_UART2_RSR                   0x40004030         /* UART2 Receive Shift Register */
#define REG_UART2_TXCNT                 0x40004034         /* UART2 Transmit Counter Register */
#define REG_UART2_RXCNT                 0x40004038         /* UART2 Receive Counter Register */

/* =========================
        UART
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         UART_CTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_CTL_RFRT                    30                               /* Receive FIFO RTS Threshold */
#define BITP_UART_CTL_RFIT                    29                               /* Receive FIFO IRQ Threshold */
#define BITP_UART_CTL_ACTS                    28                               /* Automatic CTS */
#define BITP_UART_CTL_ARTS                    27                               /* Automatic RTS */
#define BITP_UART_CTL_XOFF                    26                               /* Transmitter off */
#define BITP_UART_CTL_MRTS                    25                               /* Manual Request to Send */
#define BITP_UART_CTL_TPOLC                   24                               /* IrDA TX Polarity Change */
#define BITP_UART_CTL_RPOLC                   23                               /* IrDA RX Polarity Change */
#define BITP_UART_CTL_FCPOL                   22                               /* Flow Control Pin Polarity */
#define BITP_UART_CTL_SB                      19                               /* Set Break */
#define BITP_UART_CTL_FFE                     18                               /* Force Framing Error on Transmit */
#define BITP_UART_CTL_FPE                     17                               /* Force Parity Error on Transmit */
#define BITP_UART_CTL_STP                     16                               /* Sticky Parity */
#define BITP_UART_CTL_EPS                     15                               /* Even Parity Select */
#define BITP_UART_CTL_PEN                     14                               /* Parity Enable */
#define BITP_UART_CTL_STBH                    13                               /* Stop Bits (Half Bit Time) */
#define BITP_UART_CTL_STB                     12                               /* Stop Bits */
#define BITP_UART_CTL_WLS                      8                               /* Word Length Select */
#define BITP_UART_CTL_MOD                      4                               /* Mode of Operation */
#define BITP_UART_CTL_LOOP_EN                  1                               /* Loopback Enable */
#define BITP_UART_CTL_EN                       0                               /* Enable UART */

#define BITM_UART_CTL_RFRT                    (_ADI_MSK(0x40000000,uint32_t))  /* Receive FIFO RTS Threshold */
#define ENUM_UART_CTL_RX_RTS_TH4              (_ADI_MSK(0x00000000,uint32_t))  /* RFRT: De-assert RTS if RX FIFO word count > 4; assert if <= 4 */
#define ENUM_UART_CTL_RX_RTS_TH7              (_ADI_MSK(0x40000000,uint32_t))  /* RFRT: De-assert RTS if RX FIFO word count > 7; assert if <= 7 */

#define BITM_UART_CTL_RFIT                    (_ADI_MSK(0x20000000,uint32_t))  /* Receive FIFO IRQ Threshold */
#define ENUM_UART_CTL_RX_IRQ_TH4              (_ADI_MSK(0x00000000,uint32_t))  /* RFIT: Set RFCS=1 if RX FIFO count >= 4 */
#define ENUM_UART_CTL_RX_IRQ_TH7              (_ADI_MSK(0x20000000,uint32_t))  /* RFIT: Set RFCS=1 if RX FIFO count >= 7 */

#define BITM_UART_CTL_ACTS                    (_ADI_MSK(0x10000000,uint32_t))  /* Automatic CTS */
#define ENUM_UART_CTL_CTS_MAN                 (_ADI_MSK(0x00000000,uint32_t))  /* ACTS: Disable TX handshaking protocol */
#define ENUM_UART_CTL_CTS_AUTO                (_ADI_MSK(0x10000000,uint32_t))  /* ACTS: Enable TX handshaking protocol */

#define BITM_UART_CTL_ARTS                    (_ADI_MSK(0x08000000,uint32_t))  /* Automatic RTS */
#define ENUM_UART_CTL_RTS_MAN                 (_ADI_MSK(0x00000000,uint32_t))  /* ARTS: Disable RX handshaking protocol. */
#define ENUM_UART_CTL_RTS_AUTO                (_ADI_MSK(0x08000000,uint32_t))  /* ARTS: Enable RX handshaking protocol. */

#define BITM_UART_CTL_XOFF                    (_ADI_MSK(0x04000000,uint32_t))  /* Transmitter off */
#define ENUM_UART_CTL_TX_ON                   (_ADI_MSK(0x00000000,uint32_t))  /* XOFF: Transmission ON, if ACTS=0 */
#define ENUM_UART_CTL_TX_OFF                  (_ADI_MSK(0x04000000,uint32_t))  /* XOFF: Transmission OFF, if ACTS=0 */

#define BITM_UART_CTL_MRTS                    (_ADI_MSK(0x02000000,uint32_t))  /* Manual Request to Send */
#define ENUM_UART_CTL_RTS_DEASSERT            (_ADI_MSK(0x00000000,uint32_t))  /* MRTS: De-assert RTS pin when ARTS=0 */
#define ENUM_UART_CTL_RTS_ASSERT              (_ADI_MSK(0x02000000,uint32_t))  /* MRTS: Assert RTS pin  when ARTS=0 */

#define BITM_UART_CTL_TPOLC                   (_ADI_MSK(0x01000000,uint32_t))  /* IrDA TX Polarity Change */
#define ENUM_UART_CTL_TPOLC_LO                (_ADI_MSK(0x00000000,uint32_t))  /* TPOLC: Active-low TX polarity setting */
#define ENUM_UART_CTL_TPOLC_HI                (_ADI_MSK(0x01000000,uint32_t))  /* TPOLC: Active-high TX polarity setting */

#define BITM_UART_CTL_RPOLC                   (_ADI_MSK(0x00800000,uint32_t))  /* IrDA RX Polarity Change */
#define ENUM_UART_CTL_RPOLC_LO                (_ADI_MSK(0x00000000,uint32_t))  /* RPOLC: Active-low RX polarity setting */
#define ENUM_UART_CTL_RPOLC_HI                (_ADI_MSK(0x00800000,uint32_t))  /* RPOLC: Active-high RX polarity setting */

#define BITM_UART_CTL_FCPOL                   (_ADI_MSK(0x00400000,uint32_t))  /* Flow Control Pin Polarity */
#define ENUM_UART_CTL_FCPOL_LO                (_ADI_MSK(0x00000000,uint32_t))  /* FCPOL: Active low CTS/RTS */
#define ENUM_UART_CTL_FCPOL_HI                (_ADI_MSK(0x00400000,uint32_t))  /* FCPOL: Active high CTS/RTS */

#define BITM_UART_CTL_SB                      (_ADI_MSK(0x00080000,uint32_t))  /* Set Break */
#define ENUM_UART_CTL_NORM_BREAK              (_ADI_MSK(0x00000000,uint32_t))  /* SB: No force */
#define ENUM_UART_CTL_FORCE_BREAK             (_ADI_MSK(0x00080000,uint32_t))  /* SB: Force TX pin to 0 */

#define BITM_UART_CTL_FFE                     (_ADI_MSK(0x00040000,uint32_t))  /* Force Framing Error on Transmit */
#define ENUM_UART_CTL_NORM_FRM_ERR            (_ADI_MSK(0x00000000,uint32_t))  /* FFE: Normal operation */
#define ENUM_UART_CTL_FORCE_FRM_ERR           (_ADI_MSK(0x00040000,uint32_t))  /* FFE: Force error */

#define BITM_UART_CTL_FPE                     (_ADI_MSK(0x00020000,uint32_t))  /* Force Parity Error on Transmit */
#define ENUM_UART_CTL_NORM_PARITY_ERR         (_ADI_MSK(0x00000000,uint32_t))  /* FPE: Normal operation */
#define ENUM_UART_CTL_FORCE_PARITY_ERR        (_ADI_MSK(0x00020000,uint32_t))  /* FPE: Force parity error */

#define BITM_UART_CTL_STP                     (_ADI_MSK(0x00010000,uint32_t))  /* Sticky Parity */
#define ENUM_UART_CTL_NORM_PARITY             (_ADI_MSK(0x00000000,uint32_t))  /* STP: No Forced Parity */
#define ENUM_UART_CTL_STICKY_PARITY           (_ADI_MSK(0x00010000,uint32_t))  /* STP: Force (Stick) Parity to Defined Value (if PEN=1) */

#define BITM_UART_CTL_EPS                     (_ADI_MSK(0x00008000,uint32_t))  /* Even Parity Select */
#define ENUM_UART_CTL_ODD_PARITY              (_ADI_MSK(0x00000000,uint32_t))  /* EPS: Odd parity */
#define ENUM_UART_CTL_EVEN_PARITY             (_ADI_MSK(0x00008000,uint32_t))  /* EPS: Even parity */

#define BITM_UART_CTL_PEN                     (_ADI_MSK(0x00004000,uint32_t))  /* Parity Enable */
#define ENUM_UART_CTL_PARITY_DIS              (_ADI_MSK(0x00000000,uint32_t))  /* PEN: Disable */
#define ENUM_UART_CTL_PARITY_EN               (_ADI_MSK(0x00004000,uint32_t))  /* PEN: Enable parity transmit and check */

#define BITM_UART_CTL_STBH                    (_ADI_MSK(0x00002000,uint32_t))  /* Stop Bits (Half Bit Time) */
#define ENUM_UART_CTL_NO_EXTRA_STBH           (_ADI_MSK(0x00000000,uint32_t))  /* STBH: 0 half-bit-time stop bit */
#define ENUM_UART_CTL_1_EXTRA_STBH            (_ADI_MSK(0x00002000,uint32_t))  /* STBH: 1 half-bit-time stop bit */

#define BITM_UART_CTL_STB                     (_ADI_MSK(0x00001000,uint32_t))  /* Stop Bits */
#define ENUM_UART_CTL_NO_EXTRA_STB            (_ADI_MSK(0x00000000,uint32_t))  /* STB: 1 stop bit */
#define ENUM_UART_CTL_1_EXTRA_STB             (_ADI_MSK(0x00001000,uint32_t))  /* STB: 2 stop bits */

#define BITM_UART_CTL_WLS                     (_ADI_MSK(0x00000300,uint32_t))  /* Word Length Select */
#define ENUM_UART_CTL_WL5BITS                 (_ADI_MSK(0x00000000,uint32_t))  /* WLS: 5-bit Word */
#define ENUM_UART_CTL_WL6BITS                 (_ADI_MSK(0x00000100,uint32_t))  /* WLS: 6-bit Word */
#define ENUM_UART_CTL_WL7BITS                 (_ADI_MSK(0x00000200,uint32_t))  /* WLS: 7-bit Word */
#define ENUM_UART_CTL_WL8BITS                 (_ADI_MSK(0x00000300,uint32_t))  /* WLS: 8-bit Word */

#define BITM_UART_CTL_MOD                     (_ADI_MSK(0x00000030,uint32_t))  /* Mode of Operation */
#define ENUM_UART_CTL_UART_MODE               (_ADI_MSK(0x00000000,uint32_t))  /* MOD: UART Mode */
#define ENUM_UART_CTL_MDB_MODE                (_ADI_MSK(0x00000010,uint32_t))  /* MOD: MDB Mode */
#define ENUM_UART_CTL_IRDA_MODE               (_ADI_MSK(0x00000020,uint32_t))  /* MOD: IrDA SIR Mode */

#define BITM_UART_CTL_LOOP_EN                 (_ADI_MSK(0x00000002,uint32_t))  /* Loopback Enable */
#define ENUM_UART_CTL_LOOP_DIS                (_ADI_MSK(0x00000000,uint32_t))  /* LOOP_EN: Disable */
#define ENUM_UART_CTL_LOOP_EN                 (_ADI_MSK(0x00000002,uint32_t))  /* LOOP_EN: Enable */

#define BITM_UART_CTL_EN                      (_ADI_MSK(0x00000001,uint32_t))  /* Enable UART */
#define ENUM_UART_CTL_CLK_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* EN: Disable */
#define ENUM_UART_CTL_CLK_EN                  (_ADI_MSK(0x00000001,uint32_t))  /* EN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_STAT                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_STAT_RFCS                   17                               /* Receive FIFO Count Status */
#define BITP_UART_STAT_CTS                    16                               /* Clear to Send */
#define BITP_UART_STAT_SCTS                   12                               /* Sticky CTS */
#define BITP_UART_STAT_RO                     11                               /* Reception On-going */
#define BITP_UART_STAT_ADDR                   10                               /* Address Bit Status */
#define BITP_UART_STAT_ASTKY                   9                               /* Address Sticky */
#define BITP_UART_STAT_TFI                     8                               /* Transmission Finished Indicator */
#define BITP_UART_STAT_TEMT                    7                               /* TSR and THR Empty */
#define BITP_UART_STAT_THRE                    5                               /* Transmit Hold Register Empty */
#define BITP_UART_STAT_BI                      4                               /* Break Indicator */
#define BITP_UART_STAT_FE                      3                               /* Framing Error */
#define BITP_UART_STAT_PE                      2                               /* Parity Error */
#define BITP_UART_STAT_OE                      1                               /* Overrun Error */
#define BITP_UART_STAT_DR                      0                               /* Data Ready */

#define BITM_UART_STAT_RFCS                   (_ADI_MSK(0x00020000,uint32_t))  /* Receive FIFO Count Status */
#define ENUM_UART_STAT_RFCS_LO                (_ADI_MSK(0x00000000,uint32_t))  /* RFCS: RX FIFO has less than 4 (7) entries when RFIT=0 (1) */
#define ENUM_UART_STAT_RFCS_HI                (_ADI_MSK(0x00020000,uint32_t))  /* RFCS: RX FIFO has at least 4 (7) entries when RFIT=0 (1) */

#define BITM_UART_STAT_CTS                    (_ADI_MSK(0x00010000,uint32_t))  /* Clear to Send */
#define ENUM_UART_STAT_CTS_LO                 (_ADI_MSK(0x00000000,uint32_t))  /* CTS: Not clear to send (External device not ready to receive) */
#define ENUM_UART_STAT_CTS_HI                 (_ADI_MSK(0x00010000,uint32_t))  /* CTS: Clear to send (External device ready to receive) */

#define BITM_UART_STAT_SCTS                   (_ADI_MSK(0x00001000,uint32_t))  /* Sticky CTS */
#define ENUM_UART_STAT_CTS_LO_STKY            (_ADI_MSK(0x00000000,uint32_t))  /* SCTS: CTS has not transitioned from low to high */
#define ENUM_UART_STAT_CTS_HI_STKY            (_ADI_MSK(0x00001000,uint32_t))  /* SCTS: CTS has transitioned from low to high */

#define BITM_UART_STAT_RO                     (_ADI_MSK(0x00000800,uint32_t))  /* Reception On-going */
#define ENUM_UART_STAT_NO_RX_PROGRESS         (_ADI_MSK(0x00000000,uint32_t))  /* RO: No data reception in progress */
#define ENUM_UART_STAT_RX_PROGRESS            (_ADI_MSK(0x00000800,uint32_t))  /* RO: Data reception in progress */

#define BITM_UART_STAT_ADDR                   (_ADI_MSK(0x00000400,uint32_t))  /* Address Bit Status */
#define ENUM_UART_STAT_ADDR_LO                (_ADI_MSK(0x00000000,uint32_t))  /* ADDR: Address bit is low */
#define ENUM_UART_STAT_ADDR_HI                (_ADI_MSK(0x00000400,uint32_t))  /* ADDR: Address bit is high */

#define BITM_UART_STAT_ASTKY                  (_ADI_MSK(0x00000200,uint32_t))  /* Address Sticky */
#define ENUM_UART_STAT_ADDR_LO_STKY           (_ADI_MSK(0x00000000,uint32_t))  /* ASTKY: ADDR bit has not been set */
#define ENUM_UART_STAT_ADDR_HI_STKY           (_ADI_MSK(0x00000200,uint32_t))  /* ASTKY: ADDR bit has been set */

#define BITM_UART_STAT_TFI                    (_ADI_MSK(0x00000100,uint32_t))  /* Transmission Finished Indicator */
#define ENUM_UART_STAT_TX_NOT_DONE            (_ADI_MSK(0x00000000,uint32_t))  /* TFI: TEMT did not transition from 0 to 1 */
#define ENUM_UART_STAT_TX_DONE                (_ADI_MSK(0x00000100,uint32_t))  /* TFI: TEMT transition from 0 to 1 */

#define BITM_UART_STAT_TEMT                   (_ADI_MSK(0x00000080,uint32_t))  /* TSR and THR Empty */
#define ENUM_UART_STAT_TX_NOT_EMPTY           (_ADI_MSK(0x00000000,uint32_t))  /* TEMT: Not empty TSR/THR */
#define ENUM_UART_STAT_TX_EMPTY               (_ADI_MSK(0x00000080,uint32_t))  /* TEMT: TSR/THR Empty */

#define BITM_UART_STAT_THRE                   (_ADI_MSK(0x00000020,uint32_t))  /* Transmit Hold Register Empty */
#define ENUM_UART_STAT_THR_NOT_EMPTY          (_ADI_MSK(0x00000000,uint32_t))  /* THRE: Not empty THR/TAIP */
#define ENUM_UART_STAT_THR_EMPTY              (_ADI_MSK(0x00000020,uint32_t))  /* THRE: Empty THR/TAIP */

#define BITM_UART_STAT_BI                     (_ADI_MSK(0x00000010,uint32_t))  /* Break Indicator */
#define ENUM_UART_STAT_NO_BREAK_INT           (_ADI_MSK(0x00000000,uint32_t))  /* BI: No break interrupt */
#define ENUM_UART_STAT_BREAK_INT              (_ADI_MSK(0x00000010,uint32_t))  /* BI: Break interrupt */

#define BITM_UART_STAT_FE                     (_ADI_MSK(0x00000008,uint32_t))  /* Framing Error */
#define ENUM_UART_STAT_NO_FRAMING_ERR         (_ADI_MSK(0x00000000,uint32_t))  /* FE: No error */
#define ENUM_UART_STAT_FRAMING_ERR            (_ADI_MSK(0x00000008,uint32_t))  /* FE: Invalid stop bit error */

#define BITM_UART_STAT_PE                     (_ADI_MSK(0x00000004,uint32_t))  /* Parity Error */
#define ENUM_UART_STAT_NO_PARITY_ERR          (_ADI_MSK(0x00000000,uint32_t))  /* PE: No parity error */
#define ENUM_UART_STAT_PARITY_ERR             (_ADI_MSK(0x00000004,uint32_t))  /* PE: Parity error */

#define BITM_UART_STAT_OE                     (_ADI_MSK(0x00000002,uint32_t))  /* Overrun Error */
#define ENUM_UART_STAT_NO_OVR_ERR             (_ADI_MSK(0x00000000,uint32_t))  /* OE: No overrun */
#define ENUM_UART_STAT_OVR_ERR                (_ADI_MSK(0x00000002,uint32_t))  /* OE: Overrun error */

#define BITM_UART_STAT_DR                     (_ADI_MSK(0x00000001,uint32_t))  /* Data Ready */
#define ENUM_UART_STAT_NO_DATA                (_ADI_MSK(0x00000000,uint32_t))  /* DR: No new data */
#define ENUM_UART_STAT_NEW_DATA               (_ADI_MSK(0x00000001,uint32_t))  /* DR: New data in RBR */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_SCR                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_SCR_VALUE                    0                               /* Stored 8-bit Data */
#define BITM_UART_SCR_VALUE                   (_ADI_MSK(0x000000FF,uint32_t))  /* Stored 8-bit Data */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_CLK                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_CLK_EDBO                    31                               /* Enable Divide By One */
#define BITP_UART_CLK_DIV                      0                               /* Divisor */

#define BITM_UART_CLK_EDBO                    (_ADI_MSK(0x80000000,uint32_t))  /* Enable Divide By One */
#define ENUM_UART_CLK_DIS_DIV_BY_ONE          (_ADI_MSK(0x00000000,uint32_t))  /* EDBO: Bit clock prescaler = 16 */
#define ENUM_UART_CLK_EN_DIV_BY_ONE           (_ADI_MSK(0x80000000,uint32_t))  /* EDBO: Bit clock prescaler = 1 */
#define BITM_UART_CLK_DIV                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Divisor */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_IMSK                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_IMSK_ETXS                    9                               /* Enable TX to Status Interrupt Mask Status */
#define BITP_UART_IMSK_ERXS                    8                               /* Enable RX to Status Interrupt Mask Status */
#define BITP_UART_IMSK_EAWI                    7                               /* Enable Address Word Interrupt Mask Status */
#define BITP_UART_IMSK_ERFCI                   6                               /* Enable Receive FIFO Count Interrupt Mask Status */
#define BITP_UART_IMSK_ETFI                    5                               /* Enable Transmission Finished Interrupt Mask Status */
#define BITP_UART_IMSK_EDTPTI                  4                               /* Enable DMA TX Peripheral Trigerred Interrupt Mask Status */
#define BITP_UART_IMSK_EDSSI                   3                               /* Enable Modem Status Interrupt Mask Status */
#define BITP_UART_IMSK_ELSI                    2                               /* Enable Line Status Interrupt Mask Status */
#define BITP_UART_IMSK_ETBEI                   1                               /* Enable Transmit Buffer Empty Interrupt Mask Status */
#define BITP_UART_IMSK_ERBFI                   0                               /* Enable Receive Buffer Full Interrupt Mask Status */

#define BITM_UART_IMSK_ETXS                   (_ADI_MSK(0x00000200,uint32_t))  /* Enable TX to Status Interrupt Mask Status */
#define ENUM_UART_ETXS_LO                     (_ADI_MSK(0x00000000,uint32_t))  /* ETXS: Interrupt is masked */
#define ENUM_UART_ETXS_HI                     (_ADI_MSK(0x00000200,uint32_t))  /* ETXS: Interrupt is unmasked */

#define BITM_UART_IMSK_ERXS                   (_ADI_MSK(0x00000100,uint32_t))  /* Enable RX to Status Interrupt Mask Status */
#define ENUM_UART_ERXS_LO                     (_ADI_MSK(0x00000000,uint32_t))  /* ERXS: Interrupt is masked */
#define ENUM_UART_ERXS_HI                     (_ADI_MSK(0x00000100,uint32_t))  /* ERXS: Interrupt is unmasked */

#define BITM_UART_IMSK_EAWI                   (_ADI_MSK(0x00000080,uint32_t))  /* Enable Address Word Interrupt Mask Status */
#define ENUM_UART_EAWI_LO                     (_ADI_MSK(0x00000000,uint32_t))  /* EAWI: Interrupt is masked */
#define ENUM_UART_EAWI_HI                     (_ADI_MSK(0x00000080,uint32_t))  /* EAWI: Interrupt is unmasked */

#define BITM_UART_IMSK_ERFCI                  (_ADI_MSK(0x00000040,uint32_t))  /* Enable Receive FIFO Count Interrupt Mask Status */
#define ENUM_UART_ERFCI_LO                    (_ADI_MSK(0x00000000,uint32_t))  /* ERFCI: Interrupt is masked */
#define ENUM_UART_ERFCI_HI                    (_ADI_MSK(0x00000040,uint32_t))  /* ERFCI: Interrupt is unmasked */

#define BITM_UART_IMSK_ETFI                   (_ADI_MSK(0x00000020,uint32_t))  /* Enable Transmission Finished Interrupt Mask Status */
#define ENUM_UART_ETFI_LO                     (_ADI_MSK(0x00000000,uint32_t))  /* ETFI: Interrupt is masked */
#define ENUM_UART_ETFI_HI                     (_ADI_MSK(0x00000020,uint32_t))  /* ETFI: Interrupt is unmasked */

#define BITM_UART_IMSK_EDTPTI                 (_ADI_MSK(0x00000010,uint32_t))  /* Enable DMA TX Peripheral Trigerred Interrupt Mask Status */
#define ENUM_UART_EDTPTI_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* EDTPTI: Interrupt is masked */
#define ENUM_UART_EDTPTI_HI                   (_ADI_MSK(0x00000010,uint32_t))  /* EDTPTI: Interrupt is unmasked */

#define BITM_UART_IMSK_EDSSI                  (_ADI_MSK(0x00000008,uint32_t))  /* Enable Modem Status Interrupt Mask Status */
#define ENUM_UART_EDSSI_LO                    (_ADI_MSK(0x00000000,uint32_t))  /* EDSSI: Interrupt is masked */
#define ENUM_UART_EDSSI_HI                    (_ADI_MSK(0x00000008,uint32_t))  /* EDSSI: Interrupt is unmasked */

#define BITM_UART_IMSK_ELSI                   (_ADI_MSK(0x00000004,uint32_t))  /* Enable Line Status Interrupt Mask Status */
#define ENUM_UART_ELSI_LO                     (_ADI_MSK(0x00000000,uint32_t))  /* ELSI: Interrupt is masked */
#define ENUM_UART_ELSI_HI                     (_ADI_MSK(0x00000004,uint32_t))  /* ELSI: Interrupt is unmasked */

#define BITM_UART_IMSK_ETBEI                  (_ADI_MSK(0x00000002,uint32_t))  /* Enable Transmit Buffer Empty Interrupt Mask Status */
#define ENUM_UART_ETBEI_LO                    (_ADI_MSK(0x00000000,uint32_t))  /* ETBEI: Interrupt is masked */
#define ENUM_UART_ETBEI_HI                    (_ADI_MSK(0x00000002,uint32_t))  /* ETBEI: Interrupt is unmasked */

#define BITM_UART_IMSK_ERBFI                  (_ADI_MSK(0x00000001,uint32_t))  /* Enable Receive Buffer Full Interrupt Mask Status */
#define ENUM_UART_ERBFI_LO                    (_ADI_MSK(0x00000000,uint32_t))  /* ERBFI: Interrupt is masked */
#define ENUM_UART_ERBFI_HI                    (_ADI_MSK(0x00000001,uint32_t))  /* ERBFI: Interrupt is unmasked */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_IMSK_SET                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_IMSK_SET_ETXS                9                               /* Enable TX to Status Interrupt Mask Set */
#define BITP_UART_IMSK_SET_ERXS                8                               /* Enable RX to Status Interrupt Mask Set */
#define BITP_UART_IMSK_SET_EAWI                7                               /* Enable Address Word Interrupt Mask Set */
#define BITP_UART_IMSK_SET_ERFCI               6                               /* Enable Receive FIFO Count Interrupt Mask Set */
#define BITP_UART_IMSK_SET_ETFI                5                               /* Enable Transmission Finished Interrupt Mask Set */
#define BITP_UART_IMSK_SET_EDTPTI              4                               /* Enable DMA TX Peripheral Triggered Interrupt Mask Set */
#define BITP_UART_IMSK_SET_EDSSI               3                               /* Enable Modem Status Interrupt Mask Set */
#define BITP_UART_IMSK_SET_ELSI                2                               /* Enable Line Status Interrupt Mask Set */
#define BITP_UART_IMSK_SET_ETBEI               1                               /* Enable Transmit Buffer Empty Interrupt Mask Set */
#define BITP_UART_IMSK_SET_ERBFI               0                               /* Enable Receive Buffer Full Interrupt Mask Set */

/* The fields and enumerations for UART_IMSK_SET are also in UART - see the common set of ENUM_UART_* #defines located with register UART_IMSK */

#define BITM_UART_IMSK_SET_ETXS               (_ADI_MSK(0x00000200,uint32_t))  /* Enable TX to Status Interrupt Mask Set */
#define BITM_UART_IMSK_SET_ERXS               (_ADI_MSK(0x00000100,uint32_t))  /* Enable RX to Status Interrupt Mask Set */
#define BITM_UART_IMSK_SET_EAWI               (_ADI_MSK(0x00000080,uint32_t))  /* Enable Address Word Interrupt Mask Set */
#define BITM_UART_IMSK_SET_ERFCI              (_ADI_MSK(0x00000040,uint32_t))  /* Enable Receive FIFO Count Interrupt Mask Set */
#define BITM_UART_IMSK_SET_ETFI               (_ADI_MSK(0x00000020,uint32_t))  /* Enable Transmission Finished Interrupt Mask Set */
#define BITM_UART_IMSK_SET_EDTPTI             (_ADI_MSK(0x00000010,uint32_t))  /* Enable DMA TX Peripheral Triggered Interrupt Mask Set */
#define BITM_UART_IMSK_SET_EDSSI              (_ADI_MSK(0x00000008,uint32_t))  /* Enable Modem Status Interrupt Mask Set */
#define BITM_UART_IMSK_SET_ELSI               (_ADI_MSK(0x00000004,uint32_t))  /* Enable Line Status Interrupt Mask Set */
#define BITM_UART_IMSK_SET_ETBEI              (_ADI_MSK(0x00000002,uint32_t))  /* Enable Transmit Buffer Empty Interrupt Mask Set */
#define BITM_UART_IMSK_SET_ERBFI              (_ADI_MSK(0x00000001,uint32_t))  /* Enable Receive Buffer Full Interrupt Mask Set */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_IMSK_CLR                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_IMSK_CLR_ETXS                9                               /* Enable TX to Status Interrupt Mask Clear */
#define BITP_UART_IMSK_CLR_ERXS                8                               /* Enable RX to Status Interrupt Mask Clear */
#define BITP_UART_IMSK_CLR_EAWI                7                               /* Enable Address Word Interrupt Mask Clear */
#define BITP_UART_IMSK_CLR_ERFCI               6                               /* Enable Receive FIFO Count Interrupt Mask Clear */
#define BITP_UART_IMSK_CLR_ETFI                5                               /* Enable Transmission Finished Interrupt Mask Clear */
#define BITP_UART_IMSK_CLR_EDTPTI              4                               /* Enable DMA TX Peripheral Triggered Interrupt Mask Clear */
#define BITP_UART_IMSK_CLR_EDSSI               3                               /* Enable Modem Status Interrupt Mask Clear */
#define BITP_UART_IMSK_CLR_ELSI                2                               /* Enable Line Status Interrupt Mask Clear */
#define BITP_UART_IMSK_CLR_ETBEI               1                               /* Enable Transmit Buffer Empty Interrupt Mask Clear */
#define BITP_UART_IMSK_CLR_ERBFI               0                               /* Enable Receive Buffer Full Interrupt Mask Clear */

/* The fields and enumerations for UART_IMSK_CLR are also in UART - see the common set of ENUM_UART_* #defines located with register UART_IMSK */

#define BITM_UART_IMSK_CLR_ETXS               (_ADI_MSK(0x00000200,uint32_t))  /* Enable TX to Status Interrupt Mask Clear */
#define BITM_UART_IMSK_CLR_ERXS               (_ADI_MSK(0x00000100,uint32_t))  /* Enable RX to Status Interrupt Mask Clear */
#define BITM_UART_IMSK_CLR_EAWI               (_ADI_MSK(0x00000080,uint32_t))  /* Enable Address Word Interrupt Mask Clear */
#define BITM_UART_IMSK_CLR_ERFCI              (_ADI_MSK(0x00000040,uint32_t))  /* Enable Receive FIFO Count Interrupt Mask Clear */
#define BITM_UART_IMSK_CLR_ETFI               (_ADI_MSK(0x00000020,uint32_t))  /* Enable Transmission Finished Interrupt Mask Clear */
#define BITM_UART_IMSK_CLR_EDTPTI             (_ADI_MSK(0x00000010,uint32_t))  /* Enable DMA TX Peripheral Triggered Interrupt Mask Clear */
#define BITM_UART_IMSK_CLR_EDSSI              (_ADI_MSK(0x00000008,uint32_t))  /* Enable Modem Status Interrupt Mask Clear */
#define BITM_UART_IMSK_CLR_ELSI               (_ADI_MSK(0x00000004,uint32_t))  /* Enable Line Status Interrupt Mask Clear */
#define BITM_UART_IMSK_CLR_ETBEI              (_ADI_MSK(0x00000002,uint32_t))  /* Enable Transmit Buffer Empty Interrupt Mask Clear */
#define BITM_UART_IMSK_CLR_ERBFI              (_ADI_MSK(0x00000001,uint32_t))  /* Enable Receive Buffer Full Interrupt Mask Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_RBR                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_RBR_VALUE                    0                               /* 8-bit data */
#define BITM_UART_RBR_VALUE                   (_ADI_MSK(0x000000FF,uint32_t))  /* 8-bit data */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_THR                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_THR_VALUE                    0                               /* 8 bit data */
#define BITM_UART_THR_VALUE                   (_ADI_MSK(0x000000FF,uint32_t))  /* 8 bit data */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_TAIP                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_TAIP_VALUE                   0                               /* 8-bit data */
#define BITM_UART_TAIP_VALUE                  (_ADI_MSK(0x000000FF,uint32_t))  /* 8-bit data */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_TSR                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_TSR_VALUE                    0                               /* Contents of TSR */
#define BITM_UART_TSR_VALUE                   (_ADI_MSK(0x000007FF,uint32_t))  /* Contents of TSR */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_RSR                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_RSR_VALUE                    0                               /* Contents of RSR */
#define BITM_UART_RSR_VALUE                   (_ADI_MSK(0x000003FF,uint32_t))  /* Contents of RSR */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_TXCNT                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_TXCNT_VALUE                  0                               /* 16-bit Counter Value */
#define BITM_UART_TXCNT_VALUE                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* 16-bit Counter Value */

/* ------------------------------------------------------------------------------------------------------------------------
         UART_RXCNT                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_UART_RXCNT_VALUE                  0                               /* 16-bit Counter Value */
#define BITM_UART_RXCNT_VALUE                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* 16-bit Counter Value */

/* ==================================================
        General Purpose Input/Output Registers
   ================================================== */

/* =========================
        PORTA
   ========================= */
#define REG_PORTA_FER                   0x40005000         /* PORTA Port x Function Enable Register */
#define REG_PORTA_FER_SET               0x40005004         /* PORTA Port x Function Enable Set Register */
#define REG_PORTA_FER_CLR               0x40005008         /* PORTA Port x Function Enable Clear Register */
#define REG_PORTA_DATA                  0x4000500C         /* PORTA Port x GPIO Data Register */
#define REG_PORTA_DATA_SET              0x40005010         /* PORTA Port x GPIO Data Set Register */
#define REG_PORTA_DATA_CLR              0x40005014         /* PORTA Port x GPIO Data Clear Register */
#define REG_PORTA_DIR                   0x40005018         /* PORTA Port x GPIO Direction Register */
#define REG_PORTA_DIR_SET               0x4000501C         /* PORTA Port x GPIO Direction Set Register */
#define REG_PORTA_DIR_CLR               0x40005020         /* PORTA Port x GPIO Direction Clear Register */
#define REG_PORTA_INEN                  0x40005024         /* PORTA Port x GPIO Input Enable Register */
#define REG_PORTA_INEN_SET              0x40005028         /* PORTA Port x GPIO Input Enable Set Register */
#define REG_PORTA_INEN_CLR              0x4000502C         /* PORTA Port x GPIO Input Enable Clear Register */
#define REG_PORTA_MUX                   0x40005030         /* PORTA Port x Multiplexer Control Register */
#define REG_PORTA_DATA_TGL              0x40005034         /* PORTA Port x GPIO Input Enable Toggle Register */
#define REG_PORTA_POL                   0x40005038         /* PORTA Port x GPIO Polarity Invert Register */
#define REG_PORTA_POL_SET               0x4000503C         /* PORTA Port x GPIO Polarity Invert Set Register */
#define REG_PORTA_POL_CLR               0x40005040         /* PORTA Port x GPIO Polarity Invert Clear Register */
#define REG_PORTA_LOCK                  0x40005044         /* PORTA Port x GPIO Lock Register */

/* =========================
        PORTB
   ========================= */
#define REG_PORTB_FER                   0x40005080         /* PORTB Port x Function Enable Register */
#define REG_PORTB_FER_SET               0x40005084         /* PORTB Port x Function Enable Set Register */
#define REG_PORTB_FER_CLR               0x40005088         /* PORTB Port x Function Enable Clear Register */
#define REG_PORTB_DATA                  0x4000508C         /* PORTB Port x GPIO Data Register */
#define REG_PORTB_DATA_SET              0x40005090         /* PORTB Port x GPIO Data Set Register */
#define REG_PORTB_DATA_CLR              0x40005094         /* PORTB Port x GPIO Data Clear Register */
#define REG_PORTB_DIR                   0x40005098         /* PORTB Port x GPIO Direction Register */
#define REG_PORTB_DIR_SET               0x4000509C         /* PORTB Port x GPIO Direction Set Register */
#define REG_PORTB_DIR_CLR               0x400050A0         /* PORTB Port x GPIO Direction Clear Register */
#define REG_PORTB_INEN                  0x400050A4         /* PORTB Port x GPIO Input Enable Register */
#define REG_PORTB_INEN_SET              0x400050A8         /* PORTB Port x GPIO Input Enable Set Register */
#define REG_PORTB_INEN_CLR              0x400050AC         /* PORTB Port x GPIO Input Enable Clear Register */
#define REG_PORTB_MUX                   0x400050B0         /* PORTB Port x Multiplexer Control Register */
#define REG_PORTB_DATA_TGL              0x400050B4         /* PORTB Port x GPIO Input Enable Toggle Register */
#define REG_PORTB_POL                   0x400050B8         /* PORTB Port x GPIO Polarity Invert Register */
#define REG_PORTB_POL_SET               0x400050BC         /* PORTB Port x GPIO Polarity Invert Set Register */
#define REG_PORTB_POL_CLR               0x400050C0         /* PORTB Port x GPIO Polarity Invert Clear Register */
#define REG_PORTB_LOCK                  0x400050C4         /* PORTB Port x GPIO Lock Register */

/* =========================
        PORTC
   ========================= */
#define REG_PORTC_FER                   0x40005100         /* PORTC Port x Function Enable Register */
#define REG_PORTC_FER_SET               0x40005104         /* PORTC Port x Function Enable Set Register */
#define REG_PORTC_FER_CLR               0x40005108         /* PORTC Port x Function Enable Clear Register */
#define REG_PORTC_DATA                  0x4000510C         /* PORTC Port x GPIO Data Register */
#define REG_PORTC_DATA_SET              0x40005110         /* PORTC Port x GPIO Data Set Register */
#define REG_PORTC_DATA_CLR              0x40005114         /* PORTC Port x GPIO Data Clear Register */
#define REG_PORTC_DIR                   0x40005118         /* PORTC Port x GPIO Direction Register */
#define REG_PORTC_DIR_SET               0x4000511C         /* PORTC Port x GPIO Direction Set Register */
#define REG_PORTC_DIR_CLR               0x40005120         /* PORTC Port x GPIO Direction Clear Register */
#define REG_PORTC_INEN                  0x40005124         /* PORTC Port x GPIO Input Enable Register */
#define REG_PORTC_INEN_SET              0x40005128         /* PORTC Port x GPIO Input Enable Set Register */
#define REG_PORTC_INEN_CLR              0x4000512C         /* PORTC Port x GPIO Input Enable Clear Register */
#define REG_PORTC_MUX                   0x40005130         /* PORTC Port x Multiplexer Control Register */
#define REG_PORTC_DATA_TGL              0x40005134         /* PORTC Port x GPIO Input Enable Toggle Register */
#define REG_PORTC_POL                   0x40005138         /* PORTC Port x GPIO Polarity Invert Register */
#define REG_PORTC_POL_SET               0x4000513C         /* PORTC Port x GPIO Polarity Invert Set Register */
#define REG_PORTC_POL_CLR               0x40005140         /* PORTC Port x GPIO Polarity Invert Clear Register */
#define REG_PORTC_LOCK                  0x40005144         /* PORTC Port x GPIO Lock Register */

/* =========================
        PORTD
   ========================= */
#define REG_PORTD_FER                   0x40005180         /* PORTD Port x Function Enable Register */
#define REG_PORTD_FER_SET               0x40005184         /* PORTD Port x Function Enable Set Register */
#define REG_PORTD_FER_CLR               0x40005188         /* PORTD Port x Function Enable Clear Register */
#define REG_PORTD_DATA                  0x4000518C         /* PORTD Port x GPIO Data Register */
#define REG_PORTD_DATA_SET              0x40005190         /* PORTD Port x GPIO Data Set Register */
#define REG_PORTD_DATA_CLR              0x40005194         /* PORTD Port x GPIO Data Clear Register */
#define REG_PORTD_DIR                   0x40005198         /* PORTD Port x GPIO Direction Register */
#define REG_PORTD_DIR_SET               0x4000519C         /* PORTD Port x GPIO Direction Set Register */
#define REG_PORTD_DIR_CLR               0x400051A0         /* PORTD Port x GPIO Direction Clear Register */
#define REG_PORTD_INEN                  0x400051A4         /* PORTD Port x GPIO Input Enable Register */
#define REG_PORTD_INEN_SET              0x400051A8         /* PORTD Port x GPIO Input Enable Set Register */
#define REG_PORTD_INEN_CLR              0x400051AC         /* PORTD Port x GPIO Input Enable Clear Register */
#define REG_PORTD_MUX                   0x400051B0         /* PORTD Port x Multiplexer Control Register */
#define REG_PORTD_DATA_TGL              0x400051B4         /* PORTD Port x GPIO Input Enable Toggle Register */
#define REG_PORTD_POL                   0x400051B8         /* PORTD Port x GPIO Polarity Invert Register */
#define REG_PORTD_POL_SET               0x400051BC         /* PORTD Port x GPIO Polarity Invert Set Register */
#define REG_PORTD_POL_CLR               0x400051C0         /* PORTD Port x GPIO Polarity Invert Clear Register */
#define REG_PORTD_LOCK                  0x400051C4         /* PORTD Port x GPIO Lock Register */

/* =========================
        PORTE
   ========================= */
#define REG_PORTE_FER                   0x40005200         /* PORTE Port x Function Enable Register */
#define REG_PORTE_FER_SET               0x40005204         /* PORTE Port x Function Enable Set Register */
#define REG_PORTE_FER_CLR               0x40005208         /* PORTE Port x Function Enable Clear Register */
#define REG_PORTE_DATA                  0x4000520C         /* PORTE Port x GPIO Data Register */
#define REG_PORTE_DATA_SET              0x40005210         /* PORTE Port x GPIO Data Set Register */
#define REG_PORTE_DATA_CLR              0x40005214         /* PORTE Port x GPIO Data Clear Register */
#define REG_PORTE_DIR                   0x40005218         /* PORTE Port x GPIO Direction Register */
#define REG_PORTE_DIR_SET               0x4000521C         /* PORTE Port x GPIO Direction Set Register */
#define REG_PORTE_DIR_CLR               0x40005220         /* PORTE Port x GPIO Direction Clear Register */
#define REG_PORTE_INEN                  0x40005224         /* PORTE Port x GPIO Input Enable Register */
#define REG_PORTE_INEN_SET              0x40005228         /* PORTE Port x GPIO Input Enable Set Register */
#define REG_PORTE_INEN_CLR              0x4000522C         /* PORTE Port x GPIO Input Enable Clear Register */
#define REG_PORTE_MUX                   0x40005230         /* PORTE Port x Multiplexer Control Register */
#define REG_PORTE_DATA_TGL              0x40005234         /* PORTE Port x GPIO Input Enable Toggle Register */
#define REG_PORTE_POL                   0x40005238         /* PORTE Port x GPIO Polarity Invert Register */
#define REG_PORTE_POL_SET               0x4000523C         /* PORTE Port x GPIO Polarity Invert Set Register */
#define REG_PORTE_POL_CLR               0x40005240         /* PORTE Port x GPIO Polarity Invert Clear Register */
#define REG_PORTE_LOCK                  0x40005244         /* PORTE Port x GPIO Lock Register */

/* =========================
        PORTF
   ========================= */
#define REG_PORTF_FER                   0x40005280         /* PORTF Port x Function Enable Register */
#define REG_PORTF_FER_SET               0x40005284         /* PORTF Port x Function Enable Set Register */
#define REG_PORTF_FER_CLR               0x40005288         /* PORTF Port x Function Enable Clear Register */
#define REG_PORTF_DATA                  0x4000528C         /* PORTF Port x GPIO Data Register */
#define REG_PORTF_DATA_SET              0x40005290         /* PORTF Port x GPIO Data Set Register */
#define REG_PORTF_DATA_CLR              0x40005294         /* PORTF Port x GPIO Data Clear Register */
#define REG_PORTF_DIR                   0x40005298         /* PORTF Port x GPIO Direction Register */
#define REG_PORTF_DIR_SET               0x4000529C         /* PORTF Port x GPIO Direction Set Register */
#define REG_PORTF_DIR_CLR               0x400052A0         /* PORTF Port x GPIO Direction Clear Register */
#define REG_PORTF_INEN                  0x400052A4         /* PORTF Port x GPIO Input Enable Register */
#define REG_PORTF_INEN_SET              0x400052A8         /* PORTF Port x GPIO Input Enable Set Register */
#define REG_PORTF_INEN_CLR              0x400052AC         /* PORTF Port x GPIO Input Enable Clear Register */
#define REG_PORTF_MUX                   0x400052B0         /* PORTF Port x Multiplexer Control Register */
#define REG_PORTF_DATA_TGL              0x400052B4         /* PORTF Port x GPIO Input Enable Toggle Register */
#define REG_PORTF_POL                   0x400052B8         /* PORTF Port x GPIO Polarity Invert Register */
#define REG_PORTF_POL_SET               0x400052BC         /* PORTF Port x GPIO Polarity Invert Set Register */
#define REG_PORTF_POL_CLR               0x400052C0         /* PORTF Port x GPIO Polarity Invert Clear Register */
#define REG_PORTF_LOCK                  0x400052C4         /* PORTF Port x GPIO Lock Register */

/* =========================
        PORT
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         PORT_FER                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_FER_PX15                    15                               /* Port x Bit 15 Mode */
#define BITP_PORT_FER_PX14                    14                               /* Port x Bit 14 Mode */
#define BITP_PORT_FER_PX13                    13                               /* Port x Bit 13 Mode */
#define BITP_PORT_FER_PX12                    12                               /* Port x Bit 12 Mode */
#define BITP_PORT_FER_PX11                    11                               /* Port x Bit 11 Mode */
#define BITP_PORT_FER_PX10                    10                               /* Port x Bit 10 Mode */
#define BITP_PORT_FER_PX9                      9                               /* Port x Bit 9 Mode */
#define BITP_PORT_FER_PX8                      8                               /* Port x Bit 8 Mode */
#define BITP_PORT_FER_PX7                      7                               /* Port x Bit 7 Mode */
#define BITP_PORT_FER_PX6                      6                               /* Port x Bit 6 Mode */
#define BITP_PORT_FER_PX5                      5                               /* Port x Bit 5 Mode */
#define BITP_PORT_FER_PX4                      4                               /* Port x Bit 4 Mode */
#define BITP_PORT_FER_PX3                      3                               /* Port x Bit 3 Mode */
#define BITP_PORT_FER_PX2                      2                               /* Port x Bit 2 Mode */
#define BITP_PORT_FER_PX1                      1                               /* Port x Bit 1 Mode */
#define BITP_PORT_FER_PX0                      0                               /* Port x Bit 0 Mode */
#define BITM_PORT_FER_PX15                    (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Mode */
#define BITM_PORT_FER_PX14                    (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Mode */
#define BITM_PORT_FER_PX13                    (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Mode */
#define BITM_PORT_FER_PX12                    (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Mode */
#define BITM_PORT_FER_PX11                    (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Mode */
#define BITM_PORT_FER_PX10                    (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Mode */
#define BITM_PORT_FER_PX9                     (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Mode */
#define BITM_PORT_FER_PX8                     (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Mode */
#define BITM_PORT_FER_PX7                     (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Mode */
#define BITM_PORT_FER_PX6                     (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Mode */
#define BITM_PORT_FER_PX5                     (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Mode */
#define BITM_PORT_FER_PX4                     (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Mode */
#define BITM_PORT_FER_PX3                     (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Mode */
#define BITM_PORT_FER_PX2                     (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Mode */
#define BITM_PORT_FER_PX1                     (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Mode */
#define BITM_PORT_FER_PX0                     (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Mode */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_FER_SET                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_FER_SET_PX15                15                               /* Port x Bit 15 Mode Set */
#define BITP_PORT_FER_SET_PX14                14                               /* Port x Bit 14 Mode Set */
#define BITP_PORT_FER_SET_PX13                13                               /* Port x Bit 13 Mode Set */
#define BITP_PORT_FER_SET_PX12                12                               /* Port x Bit 12 Mode Set */
#define BITP_PORT_FER_SET_PX11                11                               /* Port x Bit 11 Mode Set */
#define BITP_PORT_FER_SET_PX10                10                               /* Port x Bit 10 Mode Set */
#define BITP_PORT_FER_SET_PX9                  9                               /* Port x Bit 9 Mode Set */
#define BITP_PORT_FER_SET_PX8                  8                               /* Port x Bit 8 Mode Set */
#define BITP_PORT_FER_SET_PX7                  7                               /* Port x Bit 7 Mode Set */
#define BITP_PORT_FER_SET_PX6                  6                               /* Port x Bit 6 Mode Set */
#define BITP_PORT_FER_SET_PX5                  5                               /* Port x Bit 5 Mode Set */
#define BITP_PORT_FER_SET_PX4                  4                               /* Port x Bit 4 Mode Set */
#define BITP_PORT_FER_SET_PX3                  3                               /* Port x Bit 3 Mode Set */
#define BITP_PORT_FER_SET_PX2                  2                               /* Port x Bit 2 Mode Set */
#define BITP_PORT_FER_SET_PX1                  1                               /* Port x Bit 1 Mode Set */
#define BITP_PORT_FER_SET_PX0                  0                               /* Port x Bit 0 Mode Set */
#define BITM_PORT_FER_SET_PX15                (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Mode Set */
#define BITM_PORT_FER_SET_PX14                (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Mode Set */
#define BITM_PORT_FER_SET_PX13                (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Mode Set */
#define BITM_PORT_FER_SET_PX12                (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Mode Set */
#define BITM_PORT_FER_SET_PX11                (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Mode Set */
#define BITM_PORT_FER_SET_PX10                (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Mode Set */
#define BITM_PORT_FER_SET_PX9                 (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Mode Set */
#define BITM_PORT_FER_SET_PX8                 (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Mode Set */
#define BITM_PORT_FER_SET_PX7                 (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Mode Set */
#define BITM_PORT_FER_SET_PX6                 (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Mode Set */
#define BITM_PORT_FER_SET_PX5                 (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Mode Set */
#define BITM_PORT_FER_SET_PX4                 (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Mode Set */
#define BITM_PORT_FER_SET_PX3                 (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Mode Set */
#define BITM_PORT_FER_SET_PX2                 (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Mode Set */
#define BITM_PORT_FER_SET_PX1                 (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Mode Set */
#define BITM_PORT_FER_SET_PX0                 (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Mode Set */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_FER_CLR                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_FER_CLR_PX15                15                               /* Port x Bit 15 Mode Clear */
#define BITP_PORT_FER_CLR_PX14                14                               /* Port x Bit 14 Mode Clear */
#define BITP_PORT_FER_CLR_PX13                13                               /* Port x Bit 13 Mode Clear */
#define BITP_PORT_FER_CLR_PX12                12                               /* Port x Bit 12 Mode Clear */
#define BITP_PORT_FER_CLR_PX11                11                               /* Port x Bit 11 Mode Clear */
#define BITP_PORT_FER_CLR_PX10                10                               /* Port x Bit 10 Mode Clear */
#define BITP_PORT_FER_CLR_PX9                  9                               /* Port x Bit 9 Mode Clear */
#define BITP_PORT_FER_CLR_PX8                  8                               /* Port x Bit 8 Mode Clear */
#define BITP_PORT_FER_CLR_PX7                  7                               /* Port x Bit 7 Mode Clear */
#define BITP_PORT_FER_CLR_PX6                  6                               /* Port x Bit 6 Mode Clear */
#define BITP_PORT_FER_CLR_PX5                  5                               /* Port x Bit 5 Mode Clear */
#define BITP_PORT_FER_CLR_PX4                  4                               /* Port x Bit 4 Mode Clear */
#define BITP_PORT_FER_CLR_PX3                  3                               /* Port x Bit 3 Mode Clear */
#define BITP_PORT_FER_CLR_PX2                  2                               /* Port x Bit 2 Mode Clear */
#define BITP_PORT_FER_CLR_PX1                  1                               /* Port x Bit 1 Mode Clear */
#define BITP_PORT_FER_CLR_PX0                  0                               /* Port x Bit 0 Mode Clear */
#define BITM_PORT_FER_CLR_PX15                (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Mode Clear */
#define BITM_PORT_FER_CLR_PX14                (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Mode Clear */
#define BITM_PORT_FER_CLR_PX13                (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Mode Clear */
#define BITM_PORT_FER_CLR_PX12                (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Mode Clear */
#define BITM_PORT_FER_CLR_PX11                (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Mode Clear */
#define BITM_PORT_FER_CLR_PX10                (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Mode Clear */
#define BITM_PORT_FER_CLR_PX9                 (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Mode Clear */
#define BITM_PORT_FER_CLR_PX8                 (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Mode Clear */
#define BITM_PORT_FER_CLR_PX7                 (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Mode Clear */
#define BITM_PORT_FER_CLR_PX6                 (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Mode Clear */
#define BITM_PORT_FER_CLR_PX5                 (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Mode Clear */
#define BITM_PORT_FER_CLR_PX4                 (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Mode Clear */
#define BITM_PORT_FER_CLR_PX3                 (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Mode Clear */
#define BITM_PORT_FER_CLR_PX2                 (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Mode Clear */
#define BITM_PORT_FER_CLR_PX1                 (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Mode Clear */
#define BITM_PORT_FER_CLR_PX0                 (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Mode Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_DATA                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_DATA_PX15                   15                               /* Port x Bit 15 Data */
#define BITP_PORT_DATA_PX14                   14                               /* Port x Bit 14 Data */
#define BITP_PORT_DATA_PX13                   13                               /* Port x Bit 13 Data */
#define BITP_PORT_DATA_PX12                   12                               /* Port x Bit 12 Data */
#define BITP_PORT_DATA_PX11                   11                               /* Port x Bit 11 Data */
#define BITP_PORT_DATA_PX10                   10                               /* Port x Bit 10 Data */
#define BITP_PORT_DATA_PX9                     9                               /* Port x Bit 9 Data */
#define BITP_PORT_DATA_PX8                     8                               /* Port x Bit 8 Data */
#define BITP_PORT_DATA_PX7                     7                               /* Port x Bit 7 Data */
#define BITP_PORT_DATA_PX6                     6                               /* Port x Bit 6 Data */
#define BITP_PORT_DATA_PX5                     5                               /* Port x Bit 5 Data */
#define BITP_PORT_DATA_PX4                     4                               /* Port x Bit 4 Data */
#define BITP_PORT_DATA_PX3                     3                               /* Port x Bit 3 Data */
#define BITP_PORT_DATA_PX2                     2                               /* Port x Bit 2 Data */
#define BITP_PORT_DATA_PX1                     1                               /* Port x Bit 1 Data */
#define BITP_PORT_DATA_PX0                     0                               /* Port x Bit 0 Data */
#define BITM_PORT_DATA_PX15                   (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Data */
#define BITM_PORT_DATA_PX14                   (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Data */
#define BITM_PORT_DATA_PX13                   (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Data */
#define BITM_PORT_DATA_PX12                   (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Data */
#define BITM_PORT_DATA_PX11                   (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Data */
#define BITM_PORT_DATA_PX10                   (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Data */
#define BITM_PORT_DATA_PX9                    (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Data */
#define BITM_PORT_DATA_PX8                    (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Data */
#define BITM_PORT_DATA_PX7                    (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Data */
#define BITM_PORT_DATA_PX6                    (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Data */
#define BITM_PORT_DATA_PX5                    (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Data */
#define BITM_PORT_DATA_PX4                    (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Data */
#define BITM_PORT_DATA_PX3                    (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Data */
#define BITM_PORT_DATA_PX2                    (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Data */
#define BITM_PORT_DATA_PX1                    (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Data */
#define BITM_PORT_DATA_PX0                    (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Data */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_DATA_SET                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_DATA_SET_PX15               15                               /* Port x Bit 15 Data Set */
#define BITP_PORT_DATA_SET_PX14               14                               /* Port x Bit 14 Data Set */
#define BITP_PORT_DATA_SET_PX13               13                               /* Port x Bit 13 Data Set */
#define BITP_PORT_DATA_SET_PX12               12                               /* Port x Bit 12 Data Set */
#define BITP_PORT_DATA_SET_PX11               11                               /* Port x Bit 11 Data Set */
#define BITP_PORT_DATA_SET_PX10               10                               /* Port x Bit 10 Data Set */
#define BITP_PORT_DATA_SET_PX9                 9                               /* Port x Bit 9 Data Set */
#define BITP_PORT_DATA_SET_PX8                 8                               /* Port x Bit 8 Data Set */
#define BITP_PORT_DATA_SET_PX7                 7                               /* Port x Bit 7 Data Set */
#define BITP_PORT_DATA_SET_PX6                 6                               /* Port x Bit 6 Data Set */
#define BITP_PORT_DATA_SET_PX5                 5                               /* Port x Bit 5 Data Set */
#define BITP_PORT_DATA_SET_PX4                 4                               /* Port x Bit 4 Data Set */
#define BITP_PORT_DATA_SET_PX3                 3                               /* Port x Bit 3 Data Set */
#define BITP_PORT_DATA_SET_PX2                 2                               /* Port x Bit 2 Data Set */
#define BITP_PORT_DATA_SET_PX1                 1                               /* Port x Bit 1 Data Set */
#define BITP_PORT_DATA_SET_PX0                 0                               /* Port x Bit 0 Data Set */
#define BITM_PORT_DATA_SET_PX15               (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Data Set */
#define BITM_PORT_DATA_SET_PX14               (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Data Set */
#define BITM_PORT_DATA_SET_PX13               (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Data Set */
#define BITM_PORT_DATA_SET_PX12               (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Data Set */
#define BITM_PORT_DATA_SET_PX11               (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Data Set */
#define BITM_PORT_DATA_SET_PX10               (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Data Set */
#define BITM_PORT_DATA_SET_PX9                (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Data Set */
#define BITM_PORT_DATA_SET_PX8                (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Data Set */
#define BITM_PORT_DATA_SET_PX7                (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Data Set */
#define BITM_PORT_DATA_SET_PX6                (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Data Set */
#define BITM_PORT_DATA_SET_PX5                (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Data Set */
#define BITM_PORT_DATA_SET_PX4                (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Data Set */
#define BITM_PORT_DATA_SET_PX3                (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Data Set */
#define BITM_PORT_DATA_SET_PX2                (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Data Set */
#define BITM_PORT_DATA_SET_PX1                (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Data Set */
#define BITM_PORT_DATA_SET_PX0                (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Data Set */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_DATA_CLR                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_DATA_CLR_PX15               15                               /* Port x Bit 15 Data Clear */
#define BITP_PORT_DATA_CLR_PX14               14                               /* Port x Bit 14 Data Clear */
#define BITP_PORT_DATA_CLR_PX13               13                               /* Port x Bit 13 Data Clear */
#define BITP_PORT_DATA_CLR_PX12               12                               /* Port x Bit 12 Data Clear */
#define BITP_PORT_DATA_CLR_PX11               11                               /* Port x Bit 11 Data Clear */
#define BITP_PORT_DATA_CLR_PX10               10                               /* Port x Bit 10 Data Clear */
#define BITP_PORT_DATA_CLR_PX9                 9                               /* Port x Bit 9 Data Clear */
#define BITP_PORT_DATA_CLR_PX8                 8                               /* Port x Bit 8 Data Clear */
#define BITP_PORT_DATA_CLR_PX7                 7                               /* Port x Bit 7 Data Clear */
#define BITP_PORT_DATA_CLR_PX6                 6                               /* Port x Bit 6 Data Clear */
#define BITP_PORT_DATA_CLR_PX5                 5                               /* Port x Bit 5 Data Clear */
#define BITP_PORT_DATA_CLR_PX4                 4                               /* Port x Bit 4 Data Clear */
#define BITP_PORT_DATA_CLR_PX3                 3                               /* Port x Bit 3 Data Clear */
#define BITP_PORT_DATA_CLR_PX2                 2                               /* Port x Bit 2 Data Clear */
#define BITP_PORT_DATA_CLR_PX1                 1                               /* Port x Bit 1 Data Clear */
#define BITP_PORT_DATA_CLR_PX0                 0                               /* Port x Bit 0 Data Clear */
#define BITM_PORT_DATA_CLR_PX15               (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Data Clear */
#define BITM_PORT_DATA_CLR_PX14               (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Data Clear */
#define BITM_PORT_DATA_CLR_PX13               (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Data Clear */
#define BITM_PORT_DATA_CLR_PX12               (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Data Clear */
#define BITM_PORT_DATA_CLR_PX11               (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Data Clear */
#define BITM_PORT_DATA_CLR_PX10               (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Data Clear */
#define BITM_PORT_DATA_CLR_PX9                (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Data Clear */
#define BITM_PORT_DATA_CLR_PX8                (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Data Clear */
#define BITM_PORT_DATA_CLR_PX7                (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Data Clear */
#define BITM_PORT_DATA_CLR_PX6                (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Data Clear */
#define BITM_PORT_DATA_CLR_PX5                (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Data Clear */
#define BITM_PORT_DATA_CLR_PX4                (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Data Clear */
#define BITM_PORT_DATA_CLR_PX3                (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Data Clear */
#define BITM_PORT_DATA_CLR_PX2                (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Data Clear */
#define BITM_PORT_DATA_CLR_PX1                (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Data Clear */
#define BITM_PORT_DATA_CLR_PX0                (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Data Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_DIR                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_DIR_PX15                    15                               /* Port x Bit 15 Direction */
#define BITP_PORT_DIR_PX14                    14                               /* Port x Bit 14 Direction */
#define BITP_PORT_DIR_PX13                    13                               /* Port x Bit 13 Direction */
#define BITP_PORT_DIR_PX12                    12                               /* Port x Bit 12 Direction */
#define BITP_PORT_DIR_PX11                    11                               /* Port x Bit 11 Direction */
#define BITP_PORT_DIR_PX10                    10                               /* Port x Bit 10 Direction */
#define BITP_PORT_DIR_PX9                      9                               /* Port x Bit 9 Direction */
#define BITP_PORT_DIR_PX8                      8                               /* Port x Bit 8 Direction */
#define BITP_PORT_DIR_PX7                      7                               /* Port x Bit 7 Direction */
#define BITP_PORT_DIR_PX6                      6                               /* Port x Bit 6 Direction */
#define BITP_PORT_DIR_PX5                      5                               /* Port x Bit 5 Direction */
#define BITP_PORT_DIR_PX4                      4                               /* Port x Bit 4 Direction */
#define BITP_PORT_DIR_PX3                      3                               /* Port x Bit 3 Direction */
#define BITP_PORT_DIR_PX2                      2                               /* Port x Bit 2 Direction */
#define BITP_PORT_DIR_PX1                      1                               /* Port x Bit 1 Direction */
#define BITP_PORT_DIR_PX0                      0                               /* Port x Bit 0 Direction */
#define BITM_PORT_DIR_PX15                    (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Direction */
#define BITM_PORT_DIR_PX14                    (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Direction */
#define BITM_PORT_DIR_PX13                    (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Direction */
#define BITM_PORT_DIR_PX12                    (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Direction */
#define BITM_PORT_DIR_PX11                    (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Direction */
#define BITM_PORT_DIR_PX10                    (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Direction */
#define BITM_PORT_DIR_PX9                     (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Direction */
#define BITM_PORT_DIR_PX8                     (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Direction */
#define BITM_PORT_DIR_PX7                     (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Direction */
#define BITM_PORT_DIR_PX6                     (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Direction */
#define BITM_PORT_DIR_PX5                     (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Direction */
#define BITM_PORT_DIR_PX4                     (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Direction */
#define BITM_PORT_DIR_PX3                     (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Direction */
#define BITM_PORT_DIR_PX2                     (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Direction */
#define BITM_PORT_DIR_PX1                     (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Direction */
#define BITM_PORT_DIR_PX0                     (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Direction */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_DIR_SET                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_DIR_SET_PX15                15                               /* Port x Bit 15 Direction Set */
#define BITP_PORT_DIR_SET_PX14                14                               /* Port x Bit 14 Direction Set */
#define BITP_PORT_DIR_SET_PX13                13                               /* Port x Bit 13 Direction Set */
#define BITP_PORT_DIR_SET_PX12                12                               /* Port x Bit 12 Direction Set */
#define BITP_PORT_DIR_SET_PX11                11                               /* Port x Bit 11 Direction Set */
#define BITP_PORT_DIR_SET_PX10                10                               /* Port x Bit 10 Direction Set */
#define BITP_PORT_DIR_SET_PX9                  9                               /* Port x Bit 9 Direction Set */
#define BITP_PORT_DIR_SET_PX8                  8                               /* Port x Bit 8 Direction Set */
#define BITP_PORT_DIR_SET_PX7                  7                               /* Port x Bit 7 Direction Set */
#define BITP_PORT_DIR_SET_PX6                  6                               /* Port x Bit 6 Direction Set */
#define BITP_PORT_DIR_SET_PX5                  5                               /* Port x Bit 5 Direction Set */
#define BITP_PORT_DIR_SET_PX4                  4                               /* Port x Bit 4 Direction Set */
#define BITP_PORT_DIR_SET_PX3                  3                               /* Port x Bit 3 Direction Set */
#define BITP_PORT_DIR_SET_PX2                  2                               /* Port x Bit 2 Direction Set */
#define BITP_PORT_DIR_SET_PX1                  1                               /* Port x Bit 1 Direction Set */
#define BITP_PORT_DIR_SET_PX0                  0                               /* Port x Bit 0 Direction Set */
#define BITM_PORT_DIR_SET_PX15                (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Direction Set */
#define BITM_PORT_DIR_SET_PX14                (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Direction Set */
#define BITM_PORT_DIR_SET_PX13                (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Direction Set */
#define BITM_PORT_DIR_SET_PX12                (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Direction Set */
#define BITM_PORT_DIR_SET_PX11                (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Direction Set */
#define BITM_PORT_DIR_SET_PX10                (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Direction Set */
#define BITM_PORT_DIR_SET_PX9                 (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Direction Set */
#define BITM_PORT_DIR_SET_PX8                 (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Direction Set */
#define BITM_PORT_DIR_SET_PX7                 (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Direction Set */
#define BITM_PORT_DIR_SET_PX6                 (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Direction Set */
#define BITM_PORT_DIR_SET_PX5                 (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Direction Set */
#define BITM_PORT_DIR_SET_PX4                 (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Direction Set */
#define BITM_PORT_DIR_SET_PX3                 (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Direction Set */
#define BITM_PORT_DIR_SET_PX2                 (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Direction Set */
#define BITM_PORT_DIR_SET_PX1                 (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Direction Set */
#define BITM_PORT_DIR_SET_PX0                 (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Direction Set */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_DIR_CLR                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_DIR_CLR_PX15                15                               /* Port x Bit 15 Direction Clear */
#define BITP_PORT_DIR_CLR_PX14                14                               /* Port x Bit 14 Direction Clear */
#define BITP_PORT_DIR_CLR_PX13                13                               /* Port x Bit 13 Direction Clear */
#define BITP_PORT_DIR_CLR_PX12                12                               /* Port x Bit 12 Direction Clear */
#define BITP_PORT_DIR_CLR_PX11                11                               /* Port x Bit 11 Direction Clear */
#define BITP_PORT_DIR_CLR_PX10                10                               /* Port x Bit 10 Direction Clear */
#define BITP_PORT_DIR_CLR_PX9                  9                               /* Port x Bit 9 Direction Clear */
#define BITP_PORT_DIR_CLR_PX8                  8                               /* Port x Bit 8 Direction Clear */
#define BITP_PORT_DIR_CLR_PX7                  7                               /* Port x Bit 7 Direction Clear */
#define BITP_PORT_DIR_CLR_PX6                  6                               /* Port x Bit 6 Direction Clear */
#define BITP_PORT_DIR_CLR_PX5                  5                               /* Port x Bit 5 Direction Clear */
#define BITP_PORT_DIR_CLR_PX4                  4                               /* Port x Bit 4 Direction Clear */
#define BITP_PORT_DIR_CLR_PX3                  3                               /* Port x Bit 3 Direction Clear */
#define BITP_PORT_DIR_CLR_PX2                  2                               /* Port x Bit 2 Direction Clear */
#define BITP_PORT_DIR_CLR_PX1                  1                               /* Port x Bit 1 Direction Clear */
#define BITP_PORT_DIR_CLR_PX0                  0                               /* Port x Bit 0 Direction Clear */
#define BITM_PORT_DIR_CLR_PX15                (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Direction Clear */
#define BITM_PORT_DIR_CLR_PX14                (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Direction Clear */
#define BITM_PORT_DIR_CLR_PX13                (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Direction Clear */
#define BITM_PORT_DIR_CLR_PX12                (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Direction Clear */
#define BITM_PORT_DIR_CLR_PX11                (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Direction Clear */
#define BITM_PORT_DIR_CLR_PX10                (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Direction Clear */
#define BITM_PORT_DIR_CLR_PX9                 (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Direction Clear */
#define BITM_PORT_DIR_CLR_PX8                 (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Direction Clear */
#define BITM_PORT_DIR_CLR_PX7                 (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Direction Clear */
#define BITM_PORT_DIR_CLR_PX6                 (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Direction Clear */
#define BITM_PORT_DIR_CLR_PX5                 (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Direction Clear */
#define BITM_PORT_DIR_CLR_PX4                 (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Direction Clear */
#define BITM_PORT_DIR_CLR_PX3                 (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Direction Clear */
#define BITM_PORT_DIR_CLR_PX2                 (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Direction Clear */
#define BITM_PORT_DIR_CLR_PX1                 (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Direction Clear */
#define BITM_PORT_DIR_CLR_PX0                 (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Direction Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_INEN                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_INEN_PX15                   15                               /* Port x Bit 15 Input Enable */
#define BITP_PORT_INEN_PX14                   14                               /* Port x Bit 14 Input Enable */
#define BITP_PORT_INEN_PX13                   13                               /* Port x Bit 13 Input Enable */
#define BITP_PORT_INEN_PX12                   12                               /* Port x Bit 12 Input Enable */
#define BITP_PORT_INEN_PX11                   11                               /* Port x Bit 11 Input Enable */
#define BITP_PORT_INEN_PX10                   10                               /* Port x Bit 10 Input Enable */
#define BITP_PORT_INEN_PX9                     9                               /* Port x Bit 9 Input Enable */
#define BITP_PORT_INEN_PX8                     8                               /* Port x Bit 8 Input Enable */
#define BITP_PORT_INEN_PX7                     7                               /* Port x Bit 7 Input Enable */
#define BITP_PORT_INEN_PX6                     6                               /* Port x Bit 6 Input Enable */
#define BITP_PORT_INEN_PX5                     5                               /* Port x Bit 5 Input Enable */
#define BITP_PORT_INEN_PX4                     4                               /* Port x Bit 4 Input Enable */
#define BITP_PORT_INEN_PX3                     3                               /* Port x Bit 3 Input Enable */
#define BITP_PORT_INEN_PX2                     2                               /* Port x Bit 2 Input Enable */
#define BITP_PORT_INEN_PX1                     1                               /* Port x Bit 1 Input Enable */
#define BITP_PORT_INEN_PX0                     0                               /* Port x Bit 0 Input Enable */
#define BITM_PORT_INEN_PX15                   (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Input Enable */
#define BITM_PORT_INEN_PX14                   (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Input Enable */
#define BITM_PORT_INEN_PX13                   (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Input Enable */
#define BITM_PORT_INEN_PX12                   (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Input Enable */
#define BITM_PORT_INEN_PX11                   (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Input Enable */
#define BITM_PORT_INEN_PX10                   (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Input Enable */
#define BITM_PORT_INEN_PX9                    (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Input Enable */
#define BITM_PORT_INEN_PX8                    (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Input Enable */
#define BITM_PORT_INEN_PX7                    (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Input Enable */
#define BITM_PORT_INEN_PX6                    (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Input Enable */
#define BITM_PORT_INEN_PX5                    (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Input Enable */
#define BITM_PORT_INEN_PX4                    (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Input Enable */
#define BITM_PORT_INEN_PX3                    (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Input Enable */
#define BITM_PORT_INEN_PX2                    (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Input Enable */
#define BITM_PORT_INEN_PX1                    (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Input Enable */
#define BITM_PORT_INEN_PX0                    (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Input Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_INEN_SET                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_INEN_SET_PX15               15                               /* Port x Bit 15 Input Enable Set */
#define BITP_PORT_INEN_SET_PX14               14                               /* Port x Bit 14 Input Enable Set */
#define BITP_PORT_INEN_SET_PX13               13                               /* Port x Bit 13 Input Enable Set */
#define BITP_PORT_INEN_SET_PX12               12                               /* Port x Bit 12 Input Enable Set */
#define BITP_PORT_INEN_SET_PX11               11                               /* Port x Bit 11 Input Enable Set */
#define BITP_PORT_INEN_SET_PX10               10                               /* Port x Bit 10 Input Enable Set */
#define BITP_PORT_INEN_SET_PX9                 9                               /* Port x Bit 9 Input Enable Set */
#define BITP_PORT_INEN_SET_PX8                 8                               /* Port x Bit 8 Input Enable Set */
#define BITP_PORT_INEN_SET_PX7                 7                               /* Port x Bit 7 Input Enable Set */
#define BITP_PORT_INEN_SET_PX6                 6                               /* Port x Bit 6 Input Enable Set */
#define BITP_PORT_INEN_SET_PX5                 5                               /* Port x Bit 5 Input Enable Set */
#define BITP_PORT_INEN_SET_PX4                 4                               /* Port x Bit 4 Input Enable Set */
#define BITP_PORT_INEN_SET_PX3                 3                               /* Port x Bit 3 Input Enable Set */
#define BITP_PORT_INEN_SET_PX2                 2                               /* Port x Bit 2 Input Enable Set */
#define BITP_PORT_INEN_SET_PX1                 1                               /* Port x Bit 1 Input Enable Set */
#define BITP_PORT_INEN_SET_PX0                 0                               /* Port x Bit 0 Input Enable Set */
#define BITM_PORT_INEN_SET_PX15               (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Input Enable Set */
#define BITM_PORT_INEN_SET_PX14               (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Input Enable Set */
#define BITM_PORT_INEN_SET_PX13               (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Input Enable Set */
#define BITM_PORT_INEN_SET_PX12               (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Input Enable Set */
#define BITM_PORT_INEN_SET_PX11               (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Input Enable Set */
#define BITM_PORT_INEN_SET_PX10               (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Input Enable Set */
#define BITM_PORT_INEN_SET_PX9                (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Input Enable Set */
#define BITM_PORT_INEN_SET_PX8                (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Input Enable Set */
#define BITM_PORT_INEN_SET_PX7                (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Input Enable Set */
#define BITM_PORT_INEN_SET_PX6                (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Input Enable Set */
#define BITM_PORT_INEN_SET_PX5                (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Input Enable Set */
#define BITM_PORT_INEN_SET_PX4                (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Input Enable Set */
#define BITM_PORT_INEN_SET_PX3                (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Input Enable Set */
#define BITM_PORT_INEN_SET_PX2                (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Input Enable Set */
#define BITM_PORT_INEN_SET_PX1                (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Input Enable Set */
#define BITM_PORT_INEN_SET_PX0                (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Input Enable Set */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_INEN_CLR                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_INEN_CLR_PX15               15                               /* Port x Bit 15 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX14               14                               /* Port x Bit 14 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX13               13                               /* Port x Bit 13 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX12               12                               /* Port x Bit 12 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX11               11                               /* Port x Bit 11 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX10               10                               /* Port x Bit 10 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX9                 9                               /* Port x Bit 9 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX8                 8                               /* Port x Bit 8 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX7                 7                               /* Port x Bit 7 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX6                 6                               /* Port x Bit 6 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX5                 5                               /* Port x Bit 5 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX4                 4                               /* Port x Bit 4 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX3                 3                               /* Port x Bit 3 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX2                 2                               /* Port x Bit 2 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX1                 1                               /* Port x Bit 1 Input Enable Clear */
#define BITP_PORT_INEN_CLR_PX0                 0                               /* Port x Bit 0 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX15               (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX14               (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX13               (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX12               (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX11               (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX10               (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX9                (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX8                (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX7                (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX6                (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX5                (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX4                (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX3                (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX2                (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX1                (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Input Enable Clear */
#define BITM_PORT_INEN_CLR_PX0                (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Input Enable Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_MUX                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_MUX_MUX15                   30                               /* Mux for Port x Bit 15 */
#define BITP_PORT_MUX_MUX14                   28                               /* Mux for Port x Bit 14 */
#define BITP_PORT_MUX_MUX13                   26                               /* Mux for Port x Bit 13 */
#define BITP_PORT_MUX_MUX12                   24                               /* Mux for Port x Bit 12 */
#define BITP_PORT_MUX_MUX11                   22                               /* Mux for Port x Bit 11 */
#define BITP_PORT_MUX_MUX10                   20                               /* Mux for Port x Bit 10 */
#define BITP_PORT_MUX_MUX9                    18                               /* Mux for Port x Bit 9 */
#define BITP_PORT_MUX_MUX8                    16                               /* Mux for Port x Bit 8 */
#define BITP_PORT_MUX_MUX7                    14                               /* Mux for Port x Bit 7 */
#define BITP_PORT_MUX_MUX6                    12                               /* Mux for Port x Bit 6 */
#define BITP_PORT_MUX_MUX5                    10                               /* Mux for Port x Bit 5 */
#define BITP_PORT_MUX_MUX4                     8                               /* Mux for Port x Bit 4 */
#define BITP_PORT_MUX_MUX3                     6                               /* Mux for Port x Bit 3 */
#define BITP_PORT_MUX_MUX2                     4                               /* Mux for Port x Bit 2 */
#define BITP_PORT_MUX_MUX1                     2                               /* Mux for Port x Bit 1 */
#define BITP_PORT_MUX_MUX0                     0                               /* Mux for Port x Bit 0 */
#define BITM_PORT_MUX_MUX15                   (_ADI_MSK(0xC0000000,uint32_t))  /* Mux for Port x Bit 15 */
#define BITM_PORT_MUX_MUX14                   (_ADI_MSK(0x30000000,uint32_t))  /* Mux for Port x Bit 14 */
#define BITM_PORT_MUX_MUX13                   (_ADI_MSK(0x0C000000,uint32_t))  /* Mux for Port x Bit 13 */
#define BITM_PORT_MUX_MUX12                   (_ADI_MSK(0x03000000,uint32_t))  /* Mux for Port x Bit 12 */
#define BITM_PORT_MUX_MUX11                   (_ADI_MSK(0x00C00000,uint32_t))  /* Mux for Port x Bit 11 */
#define BITM_PORT_MUX_MUX10                   (_ADI_MSK(0x00300000,uint32_t))  /* Mux for Port x Bit 10 */
#define BITM_PORT_MUX_MUX9                    (_ADI_MSK(0x000C0000,uint32_t))  /* Mux for Port x Bit 9 */
#define BITM_PORT_MUX_MUX8                    (_ADI_MSK(0x00030000,uint32_t))  /* Mux for Port x Bit 8 */
#define BITM_PORT_MUX_MUX7                    (_ADI_MSK(0x0000C000,uint32_t))  /* Mux for Port x Bit 7 */
#define BITM_PORT_MUX_MUX6                    (_ADI_MSK(0x00003000,uint32_t))  /* Mux for Port x Bit 6 */
#define BITM_PORT_MUX_MUX5                    (_ADI_MSK(0x00000C00,uint32_t))  /* Mux for Port x Bit 5 */
#define BITM_PORT_MUX_MUX4                    (_ADI_MSK(0x00000300,uint32_t))  /* Mux for Port x Bit 4 */
#define BITM_PORT_MUX_MUX3                    (_ADI_MSK(0x000000C0,uint32_t))  /* Mux for Port x Bit 3 */
#define BITM_PORT_MUX_MUX2                    (_ADI_MSK(0x00000030,uint32_t))  /* Mux for Port x Bit 2 */
#define BITM_PORT_MUX_MUX1                    (_ADI_MSK(0x0000000C,uint32_t))  /* Mux for Port x Bit 1 */
#define BITM_PORT_MUX_MUX0                    (_ADI_MSK(0x00000003,uint32_t))  /* Mux for Port x Bit 0 */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_DATA_TGL                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_DATA_TGL_PX15               15                               /* Port x Bit 15 Toggle */
#define BITP_PORT_DATA_TGL_PX14               14                               /* Port x Bit 14 Toggle */
#define BITP_PORT_DATA_TGL_PX13               13                               /* Port x Bit 13 Toggle */
#define BITP_PORT_DATA_TGL_PX12               12                               /* Port x Bit 12 Toggle */
#define BITP_PORT_DATA_TGL_PX11               11                               /* Port x Bit 11 Toggle */
#define BITP_PORT_DATA_TGL_PX10               10                               /* Port x Bit 10 Toggle */
#define BITP_PORT_DATA_TGL_PX9                 9                               /* Port x Bit 9 Toggle */
#define BITP_PORT_DATA_TGL_PX8                 8                               /* Port x Bit 8 Toggle */
#define BITP_PORT_DATA_TGL_PX7                 7                               /* Port x Bit 7 Toggle */
#define BITP_PORT_DATA_TGL_PX6                 6                               /* Port x Bit 6 Toggle */
#define BITP_PORT_DATA_TGL_PX5                 5                               /* Port x Bit 5 Toggle */
#define BITP_PORT_DATA_TGL_PX4                 4                               /* Port x Bit 4 Toggle */
#define BITP_PORT_DATA_TGL_PX3                 3                               /* Port x Bit 3 Toggle */
#define BITP_PORT_DATA_TGL_PX2                 2                               /* Port x Bit 2 Toggle */
#define BITP_PORT_DATA_TGL_PX1                 1                               /* Port x Bit 1 Toggle */
#define BITP_PORT_DATA_TGL_PX0                 0                               /* Port x Bit 0 Toggle */
#define BITM_PORT_DATA_TGL_PX15               (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Toggle */
#define BITM_PORT_DATA_TGL_PX14               (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Toggle */
#define BITM_PORT_DATA_TGL_PX13               (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Toggle */
#define BITM_PORT_DATA_TGL_PX12               (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Toggle */
#define BITM_PORT_DATA_TGL_PX11               (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Toggle */
#define BITM_PORT_DATA_TGL_PX10               (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Toggle */
#define BITM_PORT_DATA_TGL_PX9                (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Toggle */
#define BITM_PORT_DATA_TGL_PX8                (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Toggle */
#define BITM_PORT_DATA_TGL_PX7                (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Toggle */
#define BITM_PORT_DATA_TGL_PX6                (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Toggle */
#define BITM_PORT_DATA_TGL_PX5                (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Toggle */
#define BITM_PORT_DATA_TGL_PX4                (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Toggle */
#define BITM_PORT_DATA_TGL_PX3                (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Toggle */
#define BITM_PORT_DATA_TGL_PX2                (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Toggle */
#define BITM_PORT_DATA_TGL_PX1                (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Toggle */
#define BITM_PORT_DATA_TGL_PX0                (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Toggle */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_POL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_POL_PX15                    15                               /* Port x Bit 15 Polarity Invert */
#define BITP_PORT_POL_PX14                    14                               /* Port x Bit 14 Polarity Invert */
#define BITP_PORT_POL_PX13                    13                               /* Port x Bit 13 Polarity Invert */
#define BITP_PORT_POL_PX12                    12                               /* Port x Bit 12 Polarity Invert */
#define BITP_PORT_POL_PX11                    11                               /* Port x Bit 11 Polarity Invert */
#define BITP_PORT_POL_PX10                    10                               /* Port x Bit 10 Polarity Invert */
#define BITP_PORT_POL_PX9                      9                               /* Port x Bit 9 Polarity Invert */
#define BITP_PORT_POL_PX8                      8                               /* Port x Bit 8 Polarity Invert */
#define BITP_PORT_POL_PX7                      7                               /* Port x Bit 7 Polarity Invert */
#define BITP_PORT_POL_PX6                      6                               /* Port x Bit 6 Polarity Invert */
#define BITP_PORT_POL_PX5                      5                               /* Port x Bit 5 Polarity Invert */
#define BITP_PORT_POL_PX4                      4                               /* Port x Bit 4 Polarity Invert */
#define BITP_PORT_POL_PX3                      3                               /* Port x Bit 3 Polarity Invert */
#define BITP_PORT_POL_PX2                      2                               /* Port x Bit 2 Polarity Invert */
#define BITP_PORT_POL_PX1                      1                               /* Port x Bit 1 Polarity Invert */
#define BITP_PORT_POL_PX0                      0                               /* Port x Bit 0 Polarity Invert */
#define BITM_PORT_POL_PX15                    (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Polarity Invert */
#define BITM_PORT_POL_PX14                    (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Polarity Invert */
#define BITM_PORT_POL_PX13                    (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Polarity Invert */
#define BITM_PORT_POL_PX12                    (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Polarity Invert */
#define BITM_PORT_POL_PX11                    (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Polarity Invert */
#define BITM_PORT_POL_PX10                    (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Polarity Invert */
#define BITM_PORT_POL_PX9                     (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Polarity Invert */
#define BITM_PORT_POL_PX8                     (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Polarity Invert */
#define BITM_PORT_POL_PX7                     (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Polarity Invert */
#define BITM_PORT_POL_PX6                     (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Polarity Invert */
#define BITM_PORT_POL_PX5                     (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Polarity Invert */
#define BITM_PORT_POL_PX4                     (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Polarity Invert */
#define BITM_PORT_POL_PX3                     (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Polarity Invert */
#define BITM_PORT_POL_PX2                     (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Polarity Invert */
#define BITM_PORT_POL_PX1                     (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Polarity Invert */
#define BITM_PORT_POL_PX0                     (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Polarity Invert */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_POL_SET                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_POL_SET_PX15                15                               /* Port x Bit 15 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX14                14                               /* Port x Bit 14 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX13                13                               /* Port x Bit 13 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX12                12                               /* Port x Bit 12 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX11                11                               /* Port x Bit 11 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX10                10                               /* Port x Bit 10 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX9                  9                               /* Port x Bit 9 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX8                  8                               /* Port x Bit 8 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX7                  7                               /* Port x Bit 7 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX6                  6                               /* Port x Bit 6 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX5                  5                               /* Port x Bit 5 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX4                  4                               /* Port x Bit 4 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX3                  3                               /* Port x Bit 3 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX2                  2                               /* Port x Bit 2 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX1                  1                               /* Port x Bit 1 Polarity Invert Set */
#define BITP_PORT_POL_SET_PX0                  0                               /* Port x Bit 0 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX15                (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX14                (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX13                (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX12                (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX11                (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX10                (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX9                 (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX8                 (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX7                 (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX6                 (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX5                 (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX4                 (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX3                 (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX2                 (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX1                 (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Polarity Invert Set */
#define BITM_PORT_POL_SET_PX0                 (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Polarity Invert Set */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_POL_CLR                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_POL_CLR_PX15                15                               /* Port x Bit 15 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX14                14                               /* Port x Bit 14 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX13                13                               /* Port x Bit 13 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX12                12                               /* Port x Bit 12 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX11                11                               /* Port x Bit 11 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX10                10                               /* Port x Bit 10 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX9                  9                               /* Port x Bit 9 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX8                  8                               /* Port x Bit 8 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX7                  7                               /* Port x Bit 7 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX6                  6                               /* Port x Bit 6 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX5                  5                               /* Port x Bit 5 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX4                  4                               /* Port x Bit 4 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX3                  3                               /* Port x Bit 3 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX2                  2                               /* Port x Bit 2 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX1                  1                               /* Port x Bit 1 Polarity Invert Clear */
#define BITP_PORT_POL_CLR_PX0                  0                               /* Port x Bit 0 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX15                (_ADI_MSK(0x00008000,uint32_t))  /* Port x Bit 15 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX14                (_ADI_MSK(0x00004000,uint32_t))  /* Port x Bit 14 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX13                (_ADI_MSK(0x00002000,uint32_t))  /* Port x Bit 13 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX12                (_ADI_MSK(0x00001000,uint32_t))  /* Port x Bit 12 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX11                (_ADI_MSK(0x00000800,uint32_t))  /* Port x Bit 11 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX10                (_ADI_MSK(0x00000400,uint32_t))  /* Port x Bit 10 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX9                 (_ADI_MSK(0x00000200,uint32_t))  /* Port x Bit 9 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX8                 (_ADI_MSK(0x00000100,uint32_t))  /* Port x Bit 8 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX7                 (_ADI_MSK(0x00000080,uint32_t))  /* Port x Bit 7 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX6                 (_ADI_MSK(0x00000040,uint32_t))  /* Port x Bit 6 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX5                 (_ADI_MSK(0x00000020,uint32_t))  /* Port x Bit 5 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX4                 (_ADI_MSK(0x00000010,uint32_t))  /* Port x Bit 4 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX3                 (_ADI_MSK(0x00000008,uint32_t))  /* Port x Bit 3 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX2                 (_ADI_MSK(0x00000004,uint32_t))  /* Port x Bit 2 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX1                 (_ADI_MSK(0x00000002,uint32_t))  /* Port x Bit 1 Polarity Invert Clear */
#define BITM_PORT_POL_CLR_PX0                 (_ADI_MSK(0x00000001,uint32_t))  /* Port x Bit 0 Polarity Invert Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         PORT_LOCK                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PORT_LOCK_LOCK                   31                               /* Lock */
#define BITP_PORT_LOCK_POLAR                   5                               /* Polarity Lock */
#define BITP_PORT_LOCK_INEN                    4                               /* Input Enable Lock */
#define BITP_PORT_LOCK_DIR                     3                               /* Direction Lock */
#define BITP_PORT_LOCK_DATA                    2                               /* Data, TGL Lock */
#define BITP_PORT_LOCK_MUX                     1                               /* Function Multiplexer Lock */
#define BITP_PORT_LOCK_FER                     0                               /* Function Enable Lock */
#define BITM_PORT_LOCK_LOCK                   (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_PORT_LOCK_POLAR                  (_ADI_MSK(0x00000020,uint32_t))  /* Polarity Lock */
#define BITM_PORT_LOCK_INEN                   (_ADI_MSK(0x00000010,uint32_t))  /* Input Enable Lock */
#define BITM_PORT_LOCK_DIR                    (_ADI_MSK(0x00000008,uint32_t))  /* Direction Lock */
#define BITM_PORT_LOCK_DATA                   (_ADI_MSK(0x00000004,uint32_t))  /* Data, TGL Lock */
#define BITM_PORT_LOCK_MUX                    (_ADI_MSK(0x00000002,uint32_t))  /* Function Multiplexer Lock */
#define BITM_PORT_LOCK_FER                    (_ADI_MSK(0x00000001,uint32_t))  /* Function Enable Lock */

/* ==================================================
        Pads Controller Registers
   ================================================== */

/* =========================
        PADS0
   ========================= */
#define REG_PADS0_PCFG0                 0x40005404         /* PADS0 Peripheral Configuration0 Register */

/* =========================
        PADS
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         PADS_PCFG0                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PADS_PCFG0_PUE                   12                               /* Pull-Up Enable */
#define BITP_PADS_PCFG0_TWI0VSEL              10                               /* TWI Voltage Select */
#define BITP_PADS_PCFG0_PWMGPSEL               4                               /* PWM Global Precision Select */
#define BITP_PADS_PCFG0_EMAC0                  0                               /* PTP Clock Source 0 */
#define BITM_PADS_PCFG0_PUE                   (_ADI_MSK(0x00001000,uint32_t))  /* Pull-Up Enable */
#define BITM_PADS_PCFG0_TWI0VSEL              (_ADI_MSK(0x00000400,uint32_t))  /* TWI Voltage Select */
#define BITM_PADS_PCFG0_PWMGPSEL              (_ADI_MSK(0x00000010,uint32_t))  /* PWM Global Precision Select */
#define BITM_PADS_PCFG0_EMAC0                 (_ADI_MSK(0x00000003,uint32_t))  /* PTP Clock Source 0 */

/* ==================================================
        PINT Registers
   ================================================== */

/* =========================
        PINT0
   ========================= */
#define REG_PINT0_MSK_SET               0x40006000         /* PINT0 Pint Mask Set Register */
#define REG_PINT0_MSK_CLR               0x40006004         /* PINT0 Pint Mask Clear Register */
#define REG_PINT0_REQ                   0x40006008         /* PINT0 Pint Request Register */
#define REG_PINT0_ASSIGN                0x4000600C         /* PINT0 Pint Assign Register */
#define REG_PINT0_EDGE_SET              0x40006010         /* PINT0 Pint Edge Set Register */
#define REG_PINT0_EDGE_CLR              0x40006014         /* PINT0 Pint Edge Clear Register */
#define REG_PINT0_INV_SET               0x40006018         /* PINT0 Pint Invert Set Register */
#define REG_PINT0_INV_CLR               0x4000601C         /* PINT0 Pint Invert Clear Register */
#define REG_PINT0_PINSTATE              0x40006020         /* PINT0 Pint Pinstate Register */
#define REG_PINT0_LATCH                 0x40006024         /* PINT0 Pint Latch Register */

/* =========================
        PINT1
   ========================= */
#define REG_PINT1_MSK_SET               0x40006100         /* PINT1 Pint Mask Set Register */
#define REG_PINT1_MSK_CLR               0x40006104         /* PINT1 Pint Mask Clear Register */
#define REG_PINT1_REQ                   0x40006108         /* PINT1 Pint Request Register */
#define REG_PINT1_ASSIGN                0x4000610C         /* PINT1 Pint Assign Register */
#define REG_PINT1_EDGE_SET              0x40006110         /* PINT1 Pint Edge Set Register */
#define REG_PINT1_EDGE_CLR              0x40006114         /* PINT1 Pint Edge Clear Register */
#define REG_PINT1_INV_SET               0x40006118         /* PINT1 Pint Invert Set Register */
#define REG_PINT1_INV_CLR               0x4000611C         /* PINT1 Pint Invert Clear Register */
#define REG_PINT1_PINSTATE              0x40006120         /* PINT1 Pint Pinstate Register */
#define REG_PINT1_LATCH                 0x40006124         /* PINT1 Pint Latch Register */

/* =========================
        PINT2
   ========================= */
#define REG_PINT2_MSK_SET               0x40006200         /* PINT2 Pint Mask Set Register */
#define REG_PINT2_MSK_CLR               0x40006204         /* PINT2 Pint Mask Clear Register */
#define REG_PINT2_REQ                   0x40006208         /* PINT2 Pint Request Register */
#define REG_PINT2_ASSIGN                0x4000620C         /* PINT2 Pint Assign Register */
#define REG_PINT2_EDGE_SET              0x40006210         /* PINT2 Pint Edge Set Register */
#define REG_PINT2_EDGE_CLR              0x40006214         /* PINT2 Pint Edge Clear Register */
#define REG_PINT2_INV_SET               0x40006218         /* PINT2 Pint Invert Set Register */
#define REG_PINT2_INV_CLR               0x4000621C         /* PINT2 Pint Invert Clear Register */
#define REG_PINT2_PINSTATE              0x40006220         /* PINT2 Pint Pinstate Register */
#define REG_PINT2_LATCH                 0x40006224         /* PINT2 Pint Latch Register */

/* =========================
        PINT3
   ========================= */
#define REG_PINT3_MSK_SET               0x40006300         /* PINT3 Pint Mask Set Register */
#define REG_PINT3_MSK_CLR               0x40006304         /* PINT3 Pint Mask Clear Register */
#define REG_PINT3_REQ                   0x40006308         /* PINT3 Pint Request Register */
#define REG_PINT3_ASSIGN                0x4000630C         /* PINT3 Pint Assign Register */
#define REG_PINT3_EDGE_SET              0x40006310         /* PINT3 Pint Edge Set Register */
#define REG_PINT3_EDGE_CLR              0x40006314         /* PINT3 Pint Edge Clear Register */
#define REG_PINT3_INV_SET               0x40006318         /* PINT3 Pint Invert Set Register */
#define REG_PINT3_INV_CLR               0x4000631C         /* PINT3 Pint Invert Clear Register */
#define REG_PINT3_PINSTATE              0x40006320         /* PINT3 Pint Pinstate Register */
#define REG_PINT3_LATCH                 0x40006324         /* PINT3 Pint Latch Register */

/* =========================
        PINT4
   ========================= */
#define REG_PINT4_MSK_SET               0x40006400         /* PINT4 Pint Mask Set Register */
#define REG_PINT4_MSK_CLR               0x40006404         /* PINT4 Pint Mask Clear Register */
#define REG_PINT4_REQ                   0x40006408         /* PINT4 Pint Request Register */
#define REG_PINT4_ASSIGN                0x4000640C         /* PINT4 Pint Assign Register */
#define REG_PINT4_EDGE_SET              0x40006410         /* PINT4 Pint Edge Set Register */
#define REG_PINT4_EDGE_CLR              0x40006414         /* PINT4 Pint Edge Clear Register */
#define REG_PINT4_INV_SET               0x40006418         /* PINT4 Pint Invert Set Register */
#define REG_PINT4_INV_CLR               0x4000641C         /* PINT4 Pint Invert Clear Register */
#define REG_PINT4_PINSTATE              0x40006420         /* PINT4 Pint Pinstate Register */
#define REG_PINT4_LATCH                 0x40006424         /* PINT4 Pint Latch Register */

/* =========================
        PINT
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         PINT_MSK_SET                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PINT_MSK_SET_PIQ31               31                               /* Pin Interrupt 31 Unmask */
#define BITP_PINT_MSK_SET_PIQ30               30                               /* Pin Interrupt 30 Unmask */
#define BITP_PINT_MSK_SET_PIQ29               29                               /* Pin Interrupt 29 Unmask */
#define BITP_PINT_MSK_SET_PIQ28               28                               /* Pin Interrupt 28 Unmask */
#define BITP_PINT_MSK_SET_PIQ27               27                               /* Pin Interrupt 27 Unmask */
#define BITP_PINT_MSK_SET_PIQ26               26                               /* Pin Interrupt 26 Unmask */
#define BITP_PINT_MSK_SET_PIQ25               25                               /* Pin Interrupt 25 Unmask */
#define BITP_PINT_MSK_SET_PIQ24               24                               /* Pin Interrupt 24 Unmask */
#define BITP_PINT_MSK_SET_PIQ23               23                               /* Pin Interrupt 23 Unmask */
#define BITP_PINT_MSK_SET_PIQ22               22                               /* Pin Interrupt 22 Unmask */
#define BITP_PINT_MSK_SET_PIQ21               21                               /* Pin Interrupt 21 Unmask */
#define BITP_PINT_MSK_SET_PIQ20               20                               /* Pin Interrupt 20 Unmask */
#define BITP_PINT_MSK_SET_PIQ19               19                               /* Pin Interrupt 19 Unmask */
#define BITP_PINT_MSK_SET_PIQ18               18                               /* Pin Interrupt 18 Unmask */
#define BITP_PINT_MSK_SET_PIQ17               17                               /* Pin Interrupt 17 Unmask */
#define BITP_PINT_MSK_SET_PIQ16               16                               /* Pin Interrupt 16 Unmask */
#define BITP_PINT_MSK_SET_PIQ15               15                               /* Pin Interrupt 15 Unmask */
#define BITP_PINT_MSK_SET_PIQ14               14                               /* Pin Interrupt 14 Unmask */
#define BITP_PINT_MSK_SET_PIQ13               13                               /* Pin Interrupt 13 Unmask */
#define BITP_PINT_MSK_SET_PIQ12               12                               /* Pin Interrupt 12 Unmask */
#define BITP_PINT_MSK_SET_PIQ11               11                               /* Pin Interrupt 11 Unmask */
#define BITP_PINT_MSK_SET_PIQ10               10                               /* Pin Interrupt 10 Unmask */
#define BITP_PINT_MSK_SET_PIQ9                 9                               /* Pin Interrupt 9 Unmask */
#define BITP_PINT_MSK_SET_PIQ8                 8                               /* Pin Interrupt 8 Unmask */
#define BITP_PINT_MSK_SET_PIQ7                 7                               /* Pin Interrupt 7 Unmask */
#define BITP_PINT_MSK_SET_PIQ6                 6                               /* Pin Interrupt 6 Unmask */
#define BITP_PINT_MSK_SET_PIQ5                 5                               /* Pin Interrupt 5 Unmask */
#define BITP_PINT_MSK_SET_PIQ4                 4                               /* Pin Interrupt 4 Unmask */
#define BITP_PINT_MSK_SET_PIQ3                 3                               /* Pin Interrupt 3 Unmask */
#define BITP_PINT_MSK_SET_PIQ2                 2                               /* Pin Interrupt 2 Unmask */
#define BITP_PINT_MSK_SET_PIQ1                 1                               /* Pin Interrupt 1 Unmask */
#define BITP_PINT_MSK_SET_PIQ0                 0                               /* Pin Interrupt 0 Unmask */
#define BITM_PINT_MSK_SET_PIQ31               (_ADI_MSK(0x80000000,uint32_t))  /* Pin Interrupt 31 Unmask */
#define BITM_PINT_MSK_SET_PIQ30               (_ADI_MSK(0x40000000,uint32_t))  /* Pin Interrupt 30 Unmask */
#define BITM_PINT_MSK_SET_PIQ29               (_ADI_MSK(0x20000000,uint32_t))  /* Pin Interrupt 29 Unmask */
#define BITM_PINT_MSK_SET_PIQ28               (_ADI_MSK(0x10000000,uint32_t))  /* Pin Interrupt 28 Unmask */
#define BITM_PINT_MSK_SET_PIQ27               (_ADI_MSK(0x08000000,uint32_t))  /* Pin Interrupt 27 Unmask */
#define BITM_PINT_MSK_SET_PIQ26               (_ADI_MSK(0x04000000,uint32_t))  /* Pin Interrupt 26 Unmask */
#define BITM_PINT_MSK_SET_PIQ25               (_ADI_MSK(0x02000000,uint32_t))  /* Pin Interrupt 25 Unmask */
#define BITM_PINT_MSK_SET_PIQ24               (_ADI_MSK(0x01000000,uint32_t))  /* Pin Interrupt 24 Unmask */
#define BITM_PINT_MSK_SET_PIQ23               (_ADI_MSK(0x00800000,uint32_t))  /* Pin Interrupt 23 Unmask */
#define BITM_PINT_MSK_SET_PIQ22               (_ADI_MSK(0x00400000,uint32_t))  /* Pin Interrupt 22 Unmask */
#define BITM_PINT_MSK_SET_PIQ21               (_ADI_MSK(0x00200000,uint32_t))  /* Pin Interrupt 21 Unmask */
#define BITM_PINT_MSK_SET_PIQ20               (_ADI_MSK(0x00100000,uint32_t))  /* Pin Interrupt 20 Unmask */
#define BITM_PINT_MSK_SET_PIQ19               (_ADI_MSK(0x00080000,uint32_t))  /* Pin Interrupt 19 Unmask */
#define BITM_PINT_MSK_SET_PIQ18               (_ADI_MSK(0x00040000,uint32_t))  /* Pin Interrupt 18 Unmask */
#define BITM_PINT_MSK_SET_PIQ17               (_ADI_MSK(0x00020000,uint32_t))  /* Pin Interrupt 17 Unmask */
#define BITM_PINT_MSK_SET_PIQ16               (_ADI_MSK(0x00010000,uint32_t))  /* Pin Interrupt 16 Unmask */
#define BITM_PINT_MSK_SET_PIQ15               (_ADI_MSK(0x00008000,uint32_t))  /* Pin Interrupt 15 Unmask */
#define BITM_PINT_MSK_SET_PIQ14               (_ADI_MSK(0x00004000,uint32_t))  /* Pin Interrupt 14 Unmask */
#define BITM_PINT_MSK_SET_PIQ13               (_ADI_MSK(0x00002000,uint32_t))  /* Pin Interrupt 13 Unmask */
#define BITM_PINT_MSK_SET_PIQ12               (_ADI_MSK(0x00001000,uint32_t))  /* Pin Interrupt 12 Unmask */
#define BITM_PINT_MSK_SET_PIQ11               (_ADI_MSK(0x00000800,uint32_t))  /* Pin Interrupt 11 Unmask */
#define BITM_PINT_MSK_SET_PIQ10               (_ADI_MSK(0x00000400,uint32_t))  /* Pin Interrupt 10 Unmask */
#define BITM_PINT_MSK_SET_PIQ9                (_ADI_MSK(0x00000200,uint32_t))  /* Pin Interrupt 9 Unmask */
#define BITM_PINT_MSK_SET_PIQ8                (_ADI_MSK(0x00000100,uint32_t))  /* Pin Interrupt 8 Unmask */
#define BITM_PINT_MSK_SET_PIQ7                (_ADI_MSK(0x00000080,uint32_t))  /* Pin Interrupt 7 Unmask */
#define BITM_PINT_MSK_SET_PIQ6                (_ADI_MSK(0x00000040,uint32_t))  /* Pin Interrupt 6 Unmask */
#define BITM_PINT_MSK_SET_PIQ5                (_ADI_MSK(0x00000020,uint32_t))  /* Pin Interrupt 5 Unmask */
#define BITM_PINT_MSK_SET_PIQ4                (_ADI_MSK(0x00000010,uint32_t))  /* Pin Interrupt 4 Unmask */
#define BITM_PINT_MSK_SET_PIQ3                (_ADI_MSK(0x00000008,uint32_t))  /* Pin Interrupt 3 Unmask */
#define BITM_PINT_MSK_SET_PIQ2                (_ADI_MSK(0x00000004,uint32_t))  /* Pin Interrupt 2 Unmask */
#define BITM_PINT_MSK_SET_PIQ1                (_ADI_MSK(0x00000002,uint32_t))  /* Pin Interrupt 1 Unmask */
#define BITM_PINT_MSK_SET_PIQ0                (_ADI_MSK(0x00000001,uint32_t))  /* Pin Interrupt 0 Unmask */

/* ------------------------------------------------------------------------------------------------------------------------
         PINT_MSK_CLR                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PINT_MSK_CLR_PIQ31               31                               /* Pin Interrupt 31 Mask */
#define BITP_PINT_MSK_CLR_PIQ30               30                               /* Pin Interrupt 30 Mask */
#define BITP_PINT_MSK_CLR_PIQ29               29                               /* Pin Interrupt 29 Mask */
#define BITP_PINT_MSK_CLR_PIQ28               28                               /* Pin Interrupt 28 Mask */
#define BITP_PINT_MSK_CLR_PIQ27               27                               /* Pin Interrupt 27 Mask */
#define BITP_PINT_MSK_CLR_PIQ26               26                               /* Pin Interrupt 26 Mask */
#define BITP_PINT_MSK_CLR_PIQ25               25                               /* Pin Interrupt 25 Mask */
#define BITP_PINT_MSK_CLR_PIQ24               24                               /* Pin Interrupt 24 Mask */
#define BITP_PINT_MSK_CLR_PIQ23               23                               /* Pin Interrupt 23 Mask */
#define BITP_PINT_MSK_CLR_PIQ22               22                               /* Pin Interrupt 22 Mask */
#define BITP_PINT_MSK_CLR_PIQ21               21                               /* Pin Interrupt 21 Mask */
#define BITP_PINT_MSK_CLR_PIQ20               20                               /* Pin Interrupt 20 Mask */
#define BITP_PINT_MSK_CLR_PIQ19               19                               /* Pin Interrupt 19 Mask */
#define BITP_PINT_MSK_CLR_PIQ18               18                               /* Pin Interrupt 18 Mask */
#define BITP_PINT_MSK_CLR_PIQ17               17                               /* Pin Interrupt 17 Mask */
#define BITP_PINT_MSK_CLR_PIQ16               16                               /* Pin Interrupt 16 Mask */
#define BITP_PINT_MSK_CLR_PIQ15               15                               /* Pin Interrupt 15 Mask */
#define BITP_PINT_MSK_CLR_PIQ14               14                               /* Pin Interrupt 14 Mask */
#define BITP_PINT_MSK_CLR_PIQ13               13                               /* Pin Interrupt 13 Mask */
#define BITP_PINT_MSK_CLR_PIQ12               12                               /* Pin Interrupt 12 Mask */
#define BITP_PINT_MSK_CLR_PIQ11               11                               /* Pin Interrupt 11 Mask */
#define BITP_PINT_MSK_CLR_PIQ10               10                               /* Pin Interrupt 10 Mask */
#define BITP_PINT_MSK_CLR_PIQ9                 9                               /* Pin Interrupt 9 Mask */
#define BITP_PINT_MSK_CLR_PIQ8                 8                               /* Pin Interrupt 8 Mask */
#define BITP_PINT_MSK_CLR_PIQ7                 7                               /* Pin Interrupt 7 Mask */
#define BITP_PINT_MSK_CLR_PIQ6                 6                               /* Pin Interrupt 6 Mask */
#define BITP_PINT_MSK_CLR_PIQ5                 5                               /* Pin Interrupt 5 Mask */
#define BITP_PINT_MSK_CLR_PIQ4                 4                               /* Pin Interrupt 4 Mask */
#define BITP_PINT_MSK_CLR_PIQ3                 3                               /* Pin Interrupt 3 Mask */
#define BITP_PINT_MSK_CLR_PIQ2                 2                               /* Pin Interrupt 2 Mask */
#define BITP_PINT_MSK_CLR_PIQ1                 1                               /* Pin Interrupt 1 Mask */
#define BITP_PINT_MSK_CLR_PIQ0                 0                               /* Pin Interrupt 0 Mask */
#define BITM_PINT_MSK_CLR_PIQ31               (_ADI_MSK(0x80000000,uint32_t))  /* Pin Interrupt 31 Mask */
#define BITM_PINT_MSK_CLR_PIQ30               (_ADI_MSK(0x40000000,uint32_t))  /* Pin Interrupt 30 Mask */
#define BITM_PINT_MSK_CLR_PIQ29               (_ADI_MSK(0x20000000,uint32_t))  /* Pin Interrupt 29 Mask */
#define BITM_PINT_MSK_CLR_PIQ28               (_ADI_MSK(0x10000000,uint32_t))  /* Pin Interrupt 28 Mask */
#define BITM_PINT_MSK_CLR_PIQ27               (_ADI_MSK(0x08000000,uint32_t))  /* Pin Interrupt 27 Mask */
#define BITM_PINT_MSK_CLR_PIQ26               (_ADI_MSK(0x04000000,uint32_t))  /* Pin Interrupt 26 Mask */
#define BITM_PINT_MSK_CLR_PIQ25               (_ADI_MSK(0x02000000,uint32_t))  /* Pin Interrupt 25 Mask */
#define BITM_PINT_MSK_CLR_PIQ24               (_ADI_MSK(0x01000000,uint32_t))  /* Pin Interrupt 24 Mask */
#define BITM_PINT_MSK_CLR_PIQ23               (_ADI_MSK(0x00800000,uint32_t))  /* Pin Interrupt 23 Mask */
#define BITM_PINT_MSK_CLR_PIQ22               (_ADI_MSK(0x00400000,uint32_t))  /* Pin Interrupt 22 Mask */
#define BITM_PINT_MSK_CLR_PIQ21               (_ADI_MSK(0x00200000,uint32_t))  /* Pin Interrupt 21 Mask */
#define BITM_PINT_MSK_CLR_PIQ20               (_ADI_MSK(0x00100000,uint32_t))  /* Pin Interrupt 20 Mask */
#define BITM_PINT_MSK_CLR_PIQ19               (_ADI_MSK(0x00080000,uint32_t))  /* Pin Interrupt 19 Mask */
#define BITM_PINT_MSK_CLR_PIQ18               (_ADI_MSK(0x00040000,uint32_t))  /* Pin Interrupt 18 Mask */
#define BITM_PINT_MSK_CLR_PIQ17               (_ADI_MSK(0x00020000,uint32_t))  /* Pin Interrupt 17 Mask */
#define BITM_PINT_MSK_CLR_PIQ16               (_ADI_MSK(0x00010000,uint32_t))  /* Pin Interrupt 16 Mask */
#define BITM_PINT_MSK_CLR_PIQ15               (_ADI_MSK(0x00008000,uint32_t))  /* Pin Interrupt 15 Mask */
#define BITM_PINT_MSK_CLR_PIQ14               (_ADI_MSK(0x00004000,uint32_t))  /* Pin Interrupt 14 Mask */
#define BITM_PINT_MSK_CLR_PIQ13               (_ADI_MSK(0x00002000,uint32_t))  /* Pin Interrupt 13 Mask */
#define BITM_PINT_MSK_CLR_PIQ12               (_ADI_MSK(0x00001000,uint32_t))  /* Pin Interrupt 12 Mask */
#define BITM_PINT_MSK_CLR_PIQ11               (_ADI_MSK(0x00000800,uint32_t))  /* Pin Interrupt 11 Mask */
#define BITM_PINT_MSK_CLR_PIQ10               (_ADI_MSK(0x00000400,uint32_t))  /* Pin Interrupt 10 Mask */
#define BITM_PINT_MSK_CLR_PIQ9                (_ADI_MSK(0x00000200,uint32_t))  /* Pin Interrupt 9 Mask */
#define BITM_PINT_MSK_CLR_PIQ8                (_ADI_MSK(0x00000100,uint32_t))  /* Pin Interrupt 8 Mask */
#define BITM_PINT_MSK_CLR_PIQ7                (_ADI_MSK(0x00000080,uint32_t))  /* Pin Interrupt 7 Mask */
#define BITM_PINT_MSK_CLR_PIQ6                (_ADI_MSK(0x00000040,uint32_t))  /* Pin Interrupt 6 Mask */
#define BITM_PINT_MSK_CLR_PIQ5                (_ADI_MSK(0x00000020,uint32_t))  /* Pin Interrupt 5 Mask */
#define BITM_PINT_MSK_CLR_PIQ4                (_ADI_MSK(0x00000010,uint32_t))  /* Pin Interrupt 4 Mask */
#define BITM_PINT_MSK_CLR_PIQ3                (_ADI_MSK(0x00000008,uint32_t))  /* Pin Interrupt 3 Mask */
#define BITM_PINT_MSK_CLR_PIQ2                (_ADI_MSK(0x00000004,uint32_t))  /* Pin Interrupt 2 Mask */
#define BITM_PINT_MSK_CLR_PIQ1                (_ADI_MSK(0x00000002,uint32_t))  /* Pin Interrupt 1 Mask */
#define BITM_PINT_MSK_CLR_PIQ0                (_ADI_MSK(0x00000001,uint32_t))  /* Pin Interrupt 0 Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         PINT_REQ                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PINT_REQ_PIQ31                   31                               /* Pin Interrupt 31 Request */
#define BITP_PINT_REQ_PIQ30                   30                               /* Pin Interrupt 30 Request */
#define BITP_PINT_REQ_PIQ29                   29                               /* Pin Interrupt 29 Request */
#define BITP_PINT_REQ_PIQ28                   28                               /* Pin Interrupt 28 Request */
#define BITP_PINT_REQ_PIQ27                   27                               /* Pin Interrupt 27 Request */
#define BITP_PINT_REQ_PIQ26                   26                               /* Pin Interrupt 26 Request */
#define BITP_PINT_REQ_PIQ25                   25                               /* Pin Interrupt 25 Request */
#define BITP_PINT_REQ_PIQ24                   24                               /* Pin Interrupt 24 Request */
#define BITP_PINT_REQ_PIQ23                   23                               /* Pin Interrupt 23 Request */
#define BITP_PINT_REQ_PIQ22                   22                               /* Pin Interrupt 22 Request */
#define BITP_PINT_REQ_PIQ21                   21                               /* Pin Interrupt 21 Request */
#define BITP_PINT_REQ_PIQ20                   20                               /* Pin Interrupt 20 Request */
#define BITP_PINT_REQ_PIQ19                   19                               /* Pin Interrupt 19 Request */
#define BITP_PINT_REQ_PIQ18                   18                               /* Pin Interrupt 18 Request */
#define BITP_PINT_REQ_PIQ17                   17                               /* Pin Interrupt 17 Request */
#define BITP_PINT_REQ_PIQ16                   16                               /* Pin Interrupt 16 Request */
#define BITP_PINT_REQ_PIQ15                   15                               /* Pin Interrupt 15 Request */
#define BITP_PINT_REQ_PIQ14                   14                               /* Pin Interrupt 14 Request */
#define BITP_PINT_REQ_PIQ13                   13                               /* Pin Interrupt 13 Request */
#define BITP_PINT_REQ_PIQ12                   12                               /* Pin Interrupt 12 Request */
#define BITP_PINT_REQ_PIQ11                   11                               /* Pin Interrupt 11 Request */
#define BITP_PINT_REQ_PIQ10                   10                               /* Pin Interrupt 10 Request */
#define BITP_PINT_REQ_PIQ9                     9                               /* Pin Interrupt 9 Request */
#define BITP_PINT_REQ_PIQ8                     8                               /* Pin Interrupt 8 Request */
#define BITP_PINT_REQ_PIQ7                     7                               /* Pin Interrupt 7 Request */
#define BITP_PINT_REQ_PIQ6                     6                               /* Pin Interrupt 6 Request */
#define BITP_PINT_REQ_PIQ5                     5                               /* Pin Interrupt 5 Request */
#define BITP_PINT_REQ_PIQ4                     4                               /* Pin Interrupt 4 Request */
#define BITP_PINT_REQ_PIQ3                     3                               /* Pin Interrupt 3 Request */
#define BITP_PINT_REQ_PIQ2                     2                               /* Pin Interrupt 2 Request */
#define BITP_PINT_REQ_PIQ1                     1                               /* Pin Interrupt 1 Request */
#define BITP_PINT_REQ_PIQ0                     0                               /* Pin Interrupt 0 Request */
#define BITM_PINT_REQ_PIQ31                   (_ADI_MSK(0x80000000,uint32_t))  /* Pin Interrupt 31 Request */
#define BITM_PINT_REQ_PIQ30                   (_ADI_MSK(0x40000000,uint32_t))  /* Pin Interrupt 30 Request */
#define BITM_PINT_REQ_PIQ29                   (_ADI_MSK(0x20000000,uint32_t))  /* Pin Interrupt 29 Request */
#define BITM_PINT_REQ_PIQ28                   (_ADI_MSK(0x10000000,uint32_t))  /* Pin Interrupt 28 Request */
#define BITM_PINT_REQ_PIQ27                   (_ADI_MSK(0x08000000,uint32_t))  /* Pin Interrupt 27 Request */
#define BITM_PINT_REQ_PIQ26                   (_ADI_MSK(0x04000000,uint32_t))  /* Pin Interrupt 26 Request */
#define BITM_PINT_REQ_PIQ25                   (_ADI_MSK(0x02000000,uint32_t))  /* Pin Interrupt 25 Request */
#define BITM_PINT_REQ_PIQ24                   (_ADI_MSK(0x01000000,uint32_t))  /* Pin Interrupt 24 Request */
#define BITM_PINT_REQ_PIQ23                   (_ADI_MSK(0x00800000,uint32_t))  /* Pin Interrupt 23 Request */
#define BITM_PINT_REQ_PIQ22                   (_ADI_MSK(0x00400000,uint32_t))  /* Pin Interrupt 22 Request */
#define BITM_PINT_REQ_PIQ21                   (_ADI_MSK(0x00200000,uint32_t))  /* Pin Interrupt 21 Request */
#define BITM_PINT_REQ_PIQ20                   (_ADI_MSK(0x00100000,uint32_t))  /* Pin Interrupt 20 Request */
#define BITM_PINT_REQ_PIQ19                   (_ADI_MSK(0x00080000,uint32_t))  /* Pin Interrupt 19 Request */
#define BITM_PINT_REQ_PIQ18                   (_ADI_MSK(0x00040000,uint32_t))  /* Pin Interrupt 18 Request */
#define BITM_PINT_REQ_PIQ17                   (_ADI_MSK(0x00020000,uint32_t))  /* Pin Interrupt 17 Request */
#define BITM_PINT_REQ_PIQ16                   (_ADI_MSK(0x00010000,uint32_t))  /* Pin Interrupt 16 Request */
#define BITM_PINT_REQ_PIQ15                   (_ADI_MSK(0x00008000,uint32_t))  /* Pin Interrupt 15 Request */
#define BITM_PINT_REQ_PIQ14                   (_ADI_MSK(0x00004000,uint32_t))  /* Pin Interrupt 14 Request */
#define BITM_PINT_REQ_PIQ13                   (_ADI_MSK(0x00002000,uint32_t))  /* Pin Interrupt 13 Request */
#define BITM_PINT_REQ_PIQ12                   (_ADI_MSK(0x00001000,uint32_t))  /* Pin Interrupt 12 Request */
#define BITM_PINT_REQ_PIQ11                   (_ADI_MSK(0x00000800,uint32_t))  /* Pin Interrupt 11 Request */
#define BITM_PINT_REQ_PIQ10                   (_ADI_MSK(0x00000400,uint32_t))  /* Pin Interrupt 10 Request */
#define BITM_PINT_REQ_PIQ9                    (_ADI_MSK(0x00000200,uint32_t))  /* Pin Interrupt 9 Request */
#define BITM_PINT_REQ_PIQ8                    (_ADI_MSK(0x00000100,uint32_t))  /* Pin Interrupt 8 Request */
#define BITM_PINT_REQ_PIQ7                    (_ADI_MSK(0x00000080,uint32_t))  /* Pin Interrupt 7 Request */
#define BITM_PINT_REQ_PIQ6                    (_ADI_MSK(0x00000040,uint32_t))  /* Pin Interrupt 6 Request */
#define BITM_PINT_REQ_PIQ5                    (_ADI_MSK(0x00000020,uint32_t))  /* Pin Interrupt 5 Request */
#define BITM_PINT_REQ_PIQ4                    (_ADI_MSK(0x00000010,uint32_t))  /* Pin Interrupt 4 Request */
#define BITM_PINT_REQ_PIQ3                    (_ADI_MSK(0x00000008,uint32_t))  /* Pin Interrupt 3 Request */
#define BITM_PINT_REQ_PIQ2                    (_ADI_MSK(0x00000004,uint32_t))  /* Pin Interrupt 2 Request */
#define BITM_PINT_REQ_PIQ1                    (_ADI_MSK(0x00000002,uint32_t))  /* Pin Interrupt 1 Request */
#define BITM_PINT_REQ_PIQ0                    (_ADI_MSK(0x00000001,uint32_t))  /* Pin Interrupt 0 Request */

/* ------------------------------------------------------------------------------------------------------------------------
         PINT_ASSIGN                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PINT_ASSIGN_B3MAP                24                               /* Byte 3 Mapping */
#define BITP_PINT_ASSIGN_B2MAP                16                               /* Byte 2 Mapping */
#define BITP_PINT_ASSIGN_B1MAP                 8                               /* Byte 1 Mapping */
#define BITP_PINT_ASSIGN_B0MAP                 0                               /* Byte 0 Mapping */
#define BITM_PINT_ASSIGN_B3MAP                (_ADI_MSK(0xFF000000,uint32_t))  /* Byte 3 Mapping */
#define BITM_PINT_ASSIGN_B2MAP                (_ADI_MSK(0x00FF0000,uint32_t))  /* Byte 2 Mapping */
#define BITM_PINT_ASSIGN_B1MAP                (_ADI_MSK(0x0000FF00,uint32_t))  /* Byte 1 Mapping */
#define BITM_PINT_ASSIGN_B0MAP                (_ADI_MSK(0x000000FF,uint32_t))  /* Byte 0 Mapping */

/* ------------------------------------------------------------------------------------------------------------------------
         PINT_EDGE_SET                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PINT_EDGE_SET_PIQ31              31                               /* Pin Interrupt 31 Edge */
#define BITP_PINT_EDGE_SET_PIQ30              30                               /* Pin Interrupt 30 Edge */
#define BITP_PINT_EDGE_SET_PIQ29              29                               /* Pin Interrupt 29 Edge */
#define BITP_PINT_EDGE_SET_PIQ28              28                               /* Pin Interrupt 28 Edge */
#define BITP_PINT_EDGE_SET_PIQ27              27                               /* Pin Interrupt 27 Edge */
#define BITP_PINT_EDGE_SET_PIQ26              26                               /* Pin Interrupt 26 Edge */
#define BITP_PINT_EDGE_SET_PIQ25              25                               /* Pin Interrupt 25 Edge */
#define BITP_PINT_EDGE_SET_PIQ24              24                               /* Pin Interrupt 24 Edge */
#define BITP_PINT_EDGE_SET_PIQ23              23                               /* Pin Interrupt 23 Edge */
#define BITP_PINT_EDGE_SET_PIQ22              22                               /* Pin Interrupt 22 Edge */
#define BITP_PINT_EDGE_SET_PIQ21              21                               /* Pin Interrupt 21 Edge */
#define BITP_PINT_EDGE_SET_PIQ20              20                               /* Pin Interrupt 20 Edge */
#define BITP_PINT_EDGE_SET_PIQ19              19                               /* Pin Interrupt 19 Edge */
#define BITP_PINT_EDGE_SET_PIQ18              18                               /* Pin Interrupt 18 Edge */
#define BITP_PINT_EDGE_SET_PIQ17              17                               /* Pin Interrupt 17 Edge */
#define BITP_PINT_EDGE_SET_PIQ16              16                               /* Pin Interrupt 16 Edge */
#define BITP_PINT_EDGE_SET_PIQ15              15                               /* Pin Interrupt 15 Edge */
#define BITP_PINT_EDGE_SET_PIQ14              14                               /* Pin Interrupt 14 Edge */
#define BITP_PINT_EDGE_SET_PIQ13              13                               /* Pin Interrupt 13 Edge */
#define BITP_PINT_EDGE_SET_PIQ12              12                               /* Pin Interrupt 12 Edge */
#define BITP_PINT_EDGE_SET_PIQ11              11                               /* Pin Interrupt 11 Edge */
#define BITP_PINT_EDGE_SET_PIQ10              10                               /* Pin Interrupt 10 Edge */
#define BITP_PINT_EDGE_SET_PIQ9                9                               /* Pin Interrupt 9 Edge */
#define BITP_PINT_EDGE_SET_PIQ8                8                               /* Pin Interrupt 8 Edge */
#define BITP_PINT_EDGE_SET_PIQ7                7                               /* Pin Interrupt 7 Edge */
#define BITP_PINT_EDGE_SET_PIQ6                6                               /* Pin Interrupt 6 Edge */
#define BITP_PINT_EDGE_SET_PIQ5                5                               /* Pin Interrupt 5 Edge */
#define BITP_PINT_EDGE_SET_PIQ4                4                               /* Pin Interrupt 4 Edge */
#define BITP_PINT_EDGE_SET_PIQ3                3                               /* Pin Interrupt 3 Edge */
#define BITP_PINT_EDGE_SET_PIQ2                2                               /* Pin Interrupt 2 Edge */
#define BITP_PINT_EDGE_SET_PIQ1                1                               /* Pin Interrupt 1 Edge */
#define BITP_PINT_EDGE_SET_PIQ0                0                               /* Pin Interrupt 0 Edge */
#define BITM_PINT_EDGE_SET_PIQ31              (_ADI_MSK(0x80000000,uint32_t))  /* Pin Interrupt 31 Edge */
#define BITM_PINT_EDGE_SET_PIQ30              (_ADI_MSK(0x40000000,uint32_t))  /* Pin Interrupt 30 Edge */
#define BITM_PINT_EDGE_SET_PIQ29              (_ADI_MSK(0x20000000,uint32_t))  /* Pin Interrupt 29 Edge */
#define BITM_PINT_EDGE_SET_PIQ28              (_ADI_MSK(0x10000000,uint32_t))  /* Pin Interrupt 28 Edge */
#define BITM_PINT_EDGE_SET_PIQ27              (_ADI_MSK(0x08000000,uint32_t))  /* Pin Interrupt 27 Edge */
#define BITM_PINT_EDGE_SET_PIQ26              (_ADI_MSK(0x04000000,uint32_t))  /* Pin Interrupt 26 Edge */
#define BITM_PINT_EDGE_SET_PIQ25              (_ADI_MSK(0x02000000,uint32_t))  /* Pin Interrupt 25 Edge */
#define BITM_PINT_EDGE_SET_PIQ24              (_ADI_MSK(0x01000000,uint32_t))  /* Pin Interrupt 24 Edge */
#define BITM_PINT_EDGE_SET_PIQ23              (_ADI_MSK(0x00800000,uint32_t))  /* Pin Interrupt 23 Edge */
#define BITM_PINT_EDGE_SET_PIQ22              (_ADI_MSK(0x00400000,uint32_t))  /* Pin Interrupt 22 Edge */
#define BITM_PINT_EDGE_SET_PIQ21              (_ADI_MSK(0x00200000,uint32_t))  /* Pin Interrupt 21 Edge */
#define BITM_PINT_EDGE_SET_PIQ20              (_ADI_MSK(0x00100000,uint32_t))  /* Pin Interrupt 20 Edge */
#define BITM_PINT_EDGE_SET_PIQ19              (_ADI_MSK(0x00080000,uint32_t))  /* Pin Interrupt 19 Edge */
#define BITM_PINT_EDGE_SET_PIQ18              (_ADI_MSK(0x00040000,uint32_t))  /* Pin Interrupt 18 Edge */
#define BITM_PINT_EDGE_SET_PIQ17              (_ADI_MSK(0x00020000,uint32_t))  /* Pin Interrupt 17 Edge */
#define BITM_PINT_EDGE_SET_PIQ16              (_ADI_MSK(0x00010000,uint32_t))  /* Pin Interrupt 16 Edge */
#define BITM_PINT_EDGE_SET_PIQ15              (_ADI_MSK(0x00008000,uint32_t))  /* Pin Interrupt 15 Edge */
#define BITM_PINT_EDGE_SET_PIQ14              (_ADI_MSK(0x00004000,uint32_t))  /* Pin Interrupt 14 Edge */
#define BITM_PINT_EDGE_SET_PIQ13              (_ADI_MSK(0x00002000,uint32_t))  /* Pin Interrupt 13 Edge */
#define BITM_PINT_EDGE_SET_PIQ12              (_ADI_MSK(0x00001000,uint32_t))  /* Pin Interrupt 12 Edge */
#define BITM_PINT_EDGE_SET_PIQ11              (_ADI_MSK(0x00000800,uint32_t))  /* Pin Interrupt 11 Edge */
#define BITM_PINT_EDGE_SET_PIQ10              (_ADI_MSK(0x00000400,uint32_t))  /* Pin Interrupt 10 Edge */
#define BITM_PINT_EDGE_SET_PIQ9               (_ADI_MSK(0x00000200,uint32_t))  /* Pin Interrupt 9 Edge */
#define BITM_PINT_EDGE_SET_PIQ8               (_ADI_MSK(0x00000100,uint32_t))  /* Pin Interrupt 8 Edge */
#define BITM_PINT_EDGE_SET_PIQ7               (_ADI_MSK(0x00000080,uint32_t))  /* Pin Interrupt 7 Edge */
#define BITM_PINT_EDGE_SET_PIQ6               (_ADI_MSK(0x00000040,uint32_t))  /* Pin Interrupt 6 Edge */
#define BITM_PINT_EDGE_SET_PIQ5               (_ADI_MSK(0x00000020,uint32_t))  /* Pin Interrupt 5 Edge */
#define BITM_PINT_EDGE_SET_PIQ4               (_ADI_MSK(0x00000010,uint32_t))  /* Pin Interrupt 4 Edge */
#define BITM_PINT_EDGE_SET_PIQ3               (_ADI_MSK(0x00000008,uint32_t))  /* Pin Interrupt 3 Edge */
#define BITM_PINT_EDGE_SET_PIQ2               (_ADI_MSK(0x00000004,uint32_t))  /* Pin Interrupt 2 Edge */
#define BITM_PINT_EDGE_SET_PIQ1               (_ADI_MSK(0x00000002,uint32_t))  /* Pin Interrupt 1 Edge */
#define BITM_PINT_EDGE_SET_PIQ0               (_ADI_MSK(0x00000001,uint32_t))  /* Pin Interrupt 0 Edge */

/* ------------------------------------------------------------------------------------------------------------------------
         PINT_EDGE_CLR                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PINT_EDGE_CLR_PIQ31              31                               /* Pin Interrupt 31 Level */
#define BITP_PINT_EDGE_CLR_PIQ30              30                               /* Pin Interrupt 30 Level */
#define BITP_PINT_EDGE_CLR_PIQ29              29                               /* Pin Interrupt 29 Level */
#define BITP_PINT_EDGE_CLR_PIQ28              28                               /* Pin Interrupt 28 Level */
#define BITP_PINT_EDGE_CLR_PIQ27              27                               /* Pin Interrupt 27 Level */
#define BITP_PINT_EDGE_CLR_PIQ26              26                               /* Pin Interrupt 26 Level */
#define BITP_PINT_EDGE_CLR_PIQ25              25                               /* Pin Interrupt 25 Level */
#define BITP_PINT_EDGE_CLR_PIQ24              24                               /* Pin Interrupt 24 Level */
#define BITP_PINT_EDGE_CLR_PIQ23              23                               /* Pin Interrupt 23 Level */
#define BITP_PINT_EDGE_CLR_PIQ22              22                               /* Pin Interrupt 22 Level */
#define BITP_PINT_EDGE_CLR_PIQ21              21                               /* Pin Interrupt 21 Level */
#define BITP_PINT_EDGE_CLR_PIQ20              20                               /* Pin Interrupt 20 Level */
#define BITP_PINT_EDGE_CLR_PIQ19              19                               /* Pin Interrupt 19 Level */
#define BITP_PINT_EDGE_CLR_PIQ18              18                               /* Pin Interrupt 18 Level */
#define BITP_PINT_EDGE_CLR_PIQ17              17                               /* Pin Interrupt 17 Level */
#define BITP_PINT_EDGE_CLR_PIQ16              16                               /* Pin Interrupt 16 Level */
#define BITP_PINT_EDGE_CLR_PIQ15              15                               /* Pin Interrupt 15 Level */
#define BITP_PINT_EDGE_CLR_PIQ14              14                               /* Pin Interrupt 14 Level */
#define BITP_PINT_EDGE_CLR_PIQ13              13                               /* Pin Interrupt 13 Level */
#define BITP_PINT_EDGE_CLR_PIQ12              12                               /* Pin Interrupt 12 Level */
#define BITP_PINT_EDGE_CLR_PIQ11              11                               /* Pin Interrupt 11 Level */
#define BITP_PINT_EDGE_CLR_PIQ10              10                               /* Pin Interrupt 10 Level */
#define BITP_PINT_EDGE_CLR_PIQ9                9                               /* Pin Interrupt 9 Level */
#define BITP_PINT_EDGE_CLR_PIQ8                8                               /* Pin Interrupt 8 Level */
#define BITP_PINT_EDGE_CLR_PIQ7                7                               /* Pin Interrupt 7 Level */
#define BITP_PINT_EDGE_CLR_PIQ6                6                               /* Pin Interrupt 6 Level */
#define BITP_PINT_EDGE_CLR_PIQ5                5                               /* Pin Interrupt 5 Level */
#define BITP_PINT_EDGE_CLR_PIQ4                4                               /* Pin Interrupt 4 Level */
#define BITP_PINT_EDGE_CLR_PIQ3                3                               /* Pin Interrupt 3 Level */
#define BITP_PINT_EDGE_CLR_PIQ2                2                               /* Pin Interrupt 2 Level */
#define BITP_PINT_EDGE_CLR_PIQ1                1                               /* Pin Interrupt 1 Level */
#define BITP_PINT_EDGE_CLR_PIQ0                0                               /* Pin Interrupt 0 Level */
#define BITM_PINT_EDGE_CLR_PIQ31              (_ADI_MSK(0x80000000,uint32_t))  /* Pin Interrupt 31 Level */
#define BITM_PINT_EDGE_CLR_PIQ30              (_ADI_MSK(0x40000000,uint32_t))  /* Pin Interrupt 30 Level */
#define BITM_PINT_EDGE_CLR_PIQ29              (_ADI_MSK(0x20000000,uint32_t))  /* Pin Interrupt 29 Level */
#define BITM_PINT_EDGE_CLR_PIQ28              (_ADI_MSK(0x10000000,uint32_t))  /* Pin Interrupt 28 Level */
#define BITM_PINT_EDGE_CLR_PIQ27              (_ADI_MSK(0x08000000,uint32_t))  /* Pin Interrupt 27 Level */
#define BITM_PINT_EDGE_CLR_PIQ26              (_ADI_MSK(0x04000000,uint32_t))  /* Pin Interrupt 26 Level */
#define BITM_PINT_EDGE_CLR_PIQ25              (_ADI_MSK(0x02000000,uint32_t))  /* Pin Interrupt 25 Level */
#define BITM_PINT_EDGE_CLR_PIQ24              (_ADI_MSK(0x01000000,uint32_t))  /* Pin Interrupt 24 Level */
#define BITM_PINT_EDGE_CLR_PIQ23              (_ADI_MSK(0x00800000,uint32_t))  /* Pin Interrupt 23 Level */
#define BITM_PINT_EDGE_CLR_PIQ22              (_ADI_MSK(0x00400000,uint32_t))  /* Pin Interrupt 22 Level */
#define BITM_PINT_EDGE_CLR_PIQ21              (_ADI_MSK(0x00200000,uint32_t))  /* Pin Interrupt 21 Level */
#define BITM_PINT_EDGE_CLR_PIQ20              (_ADI_MSK(0x00100000,uint32_t))  /* Pin Interrupt 20 Level */
#define BITM_PINT_EDGE_CLR_PIQ19              (_ADI_MSK(0x00080000,uint32_t))  /* Pin Interrupt 19 Level */
#define BITM_PINT_EDGE_CLR_PIQ18              (_ADI_MSK(0x00040000,uint32_t))  /* Pin Interrupt 18 Level */
#define BITM_PINT_EDGE_CLR_PIQ17              (_ADI_MSK(0x00020000,uint32_t))  /* Pin Interrupt 17 Level */
#define BITM_PINT_EDGE_CLR_PIQ16              (_ADI_MSK(0x00010000,uint32_t))  /* Pin Interrupt 16 Level */
#define BITM_PINT_EDGE_CLR_PIQ15              (_ADI_MSK(0x00008000,uint32_t))  /* Pin Interrupt 15 Level */
#define BITM_PINT_EDGE_CLR_PIQ14              (_ADI_MSK(0x00004000,uint32_t))  /* Pin Interrupt 14 Level */
#define BITM_PINT_EDGE_CLR_PIQ13              (_ADI_MSK(0x00002000,uint32_t))  /* Pin Interrupt 13 Level */
#define BITM_PINT_EDGE_CLR_PIQ12              (_ADI_MSK(0x00001000,uint32_t))  /* Pin Interrupt 12 Level */
#define BITM_PINT_EDGE_CLR_PIQ11              (_ADI_MSK(0x00000800,uint32_t))  /* Pin Interrupt 11 Level */
#define BITM_PINT_EDGE_CLR_PIQ10              (_ADI_MSK(0x00000400,uint32_t))  /* Pin Interrupt 10 Level */
#define BITM_PINT_EDGE_CLR_PIQ9               (_ADI_MSK(0x00000200,uint32_t))  /* Pin Interrupt 9 Level */
#define BITM_PINT_EDGE_CLR_PIQ8               (_ADI_MSK(0x00000100,uint32_t))  /* Pin Interrupt 8 Level */
#define BITM_PINT_EDGE_CLR_PIQ7               (_ADI_MSK(0x00000080,uint32_t))  /* Pin Interrupt 7 Level */
#define BITM_PINT_EDGE_CLR_PIQ6               (_ADI_MSK(0x00000040,uint32_t))  /* Pin Interrupt 6 Level */
#define BITM_PINT_EDGE_CLR_PIQ5               (_ADI_MSK(0x00000020,uint32_t))  /* Pin Interrupt 5 Level */
#define BITM_PINT_EDGE_CLR_PIQ4               (_ADI_MSK(0x00000010,uint32_t))  /* Pin Interrupt 4 Level */
#define BITM_PINT_EDGE_CLR_PIQ3               (_ADI_MSK(0x00000008,uint32_t))  /* Pin Interrupt 3 Level */
#define BITM_PINT_EDGE_CLR_PIQ2               (_ADI_MSK(0x00000004,uint32_t))  /* Pin Interrupt 2 Level */
#define BITM_PINT_EDGE_CLR_PIQ1               (_ADI_MSK(0x00000002,uint32_t))  /* Pin Interrupt 1 Level */
#define BITM_PINT_EDGE_CLR_PIQ0               (_ADI_MSK(0x00000001,uint32_t))  /* Pin Interrupt 0 Level */

/* ------------------------------------------------------------------------------------------------------------------------
         PINT_INV_SET                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PINT_INV_SET_PIQ31               31                               /* Pin Interrupt 31 Invert */
#define BITP_PINT_INV_SET_PIQ30               30                               /* Pin Interrupt 30 Invert */
#define BITP_PINT_INV_SET_PIQ29               29                               /* Pin Interrupt 29 Invert */
#define BITP_PINT_INV_SET_PIQ28               28                               /* Pin Interrupt 28 Invert */
#define BITP_PINT_INV_SET_PIQ27               27                               /* Pin Interrupt 27 Invert */
#define BITP_PINT_INV_SET_PIQ26               26                               /* Pin Interrupt 26 Invert */
#define BITP_PINT_INV_SET_PIQ25               25                               /* Pin Interrupt 25 Invert */
#define BITP_PINT_INV_SET_PIQ24               24                               /* Pin Interrupt 24 Invert */
#define BITP_PINT_INV_SET_PIQ23               23                               /* Pin Interrupt 23 Invert */
#define BITP_PINT_INV_SET_PIQ22               22                               /* Pin Interrupt 22 Invert */
#define BITP_PINT_INV_SET_PIQ21               21                               /* Pin Interrupt 21 Invert */
#define BITP_PINT_INV_SET_PIQ20               20                               /* Pin Interrupt 20 Invert */
#define BITP_PINT_INV_SET_PIQ19               19                               /* Pin Interrupt 19 Invert */
#define BITP_PINT_INV_SET_PIQ18               18                               /* Pin Interrupt 18 Invert */
#define BITP_PINT_INV_SET_PIQ17               17                               /* Pin Interrupt 17 Invert */
#define BITP_PINT_INV_SET_PIQ16               16                               /* Pin Interrupt 16 Invert */
#define BITP_PINT_INV_SET_PIQ15               15                               /* Pin Interrupt 15 Invert */
#define BITP_PINT_INV_SET_PIQ14               14                               /* Pin Interrupt 14 Invert */
#define BITP_PINT_INV_SET_PIQ13               13                               /* Pin Interrupt 13 Invert */
#define BITP_PINT_INV_SET_PIQ12               12                               /* Pin Interrupt 12 Invert */
#define BITP_PINT_INV_SET_PIQ11               11                               /* Pin Interrupt 11 Invert */
#define BITP_PINT_INV_SET_PIQ10               10                               /* Pin Interrupt 10 Invert */
#define BITP_PINT_INV_SET_PIQ9                 9                               /* Pin Interrupt 9 Invert */
#define BITP_PINT_INV_SET_PIQ8                 8                               /* Pin Interrupt 8 Invert */
#define BITP_PINT_INV_SET_PIQ7                 7                               /* Pin Interrupt 7 Invert */
#define BITP_PINT_INV_SET_PIQ6                 6                               /* Pin Interrupt 6 Invert */
#define BITP_PINT_INV_SET_PIQ5                 5                               /* Pin Interrupt 5 Invert */
#define BITP_PINT_INV_SET_PIQ4                 4                               /* Pin Interrupt 4 Invert */
#define BITP_PINT_INV_SET_PIQ3                 3                               /* Pin Interrupt 3 Invert */
#define BITP_PINT_INV_SET_PIQ2                 2                               /* Pin Interrupt 2 Invert */
#define BITP_PINT_INV_SET_PIQ1                 1                               /* Pin Interrupt 1 Invert */
#define BITP_PINT_INV_SET_PIQ0                 0                               /* Pin Interrupt 0 Invert */
#define BITM_PINT_INV_SET_PIQ31               (_ADI_MSK(0x80000000,uint32_t))  /* Pin Interrupt 31 Invert */
#define BITM_PINT_INV_SET_PIQ30               (_ADI_MSK(0x40000000,uint32_t))  /* Pin Interrupt 30 Invert */
#define BITM_PINT_INV_SET_PIQ29               (_ADI_MSK(0x20000000,uint32_t))  /* Pin Interrupt 29 Invert */
#define BITM_PINT_INV_SET_PIQ28               (_ADI_MSK(0x10000000,uint32_t))  /* Pin Interrupt 28 Invert */
#define BITM_PINT_INV_SET_PIQ27               (_ADI_MSK(0x08000000,uint32_t))  /* Pin Interrupt 27 Invert */
#define BITM_PINT_INV_SET_PIQ26               (_ADI_MSK(0x04000000,uint32_t))  /* Pin Interrupt 26 Invert */
#define BITM_PINT_INV_SET_PIQ25               (_ADI_MSK(0x02000000,uint32_t))  /* Pin Interrupt 25 Invert */
#define BITM_PINT_INV_SET_PIQ24               (_ADI_MSK(0x01000000,uint32_t))  /* Pin Interrupt 24 Invert */
#define BITM_PINT_INV_SET_PIQ23               (_ADI_MSK(0x00800000,uint32_t))  /* Pin Interrupt 23 Invert */
#define BITM_PINT_INV_SET_PIQ22               (_ADI_MSK(0x00400000,uint32_t))  /* Pin Interrupt 22 Invert */
#define BITM_PINT_INV_SET_PIQ21               (_ADI_MSK(0x00200000,uint32_t))  /* Pin Interrupt 21 Invert */
#define BITM_PINT_INV_SET_PIQ20               (_ADI_MSK(0x00100000,uint32_t))  /* Pin Interrupt 20 Invert */
#define BITM_PINT_INV_SET_PIQ19               (_ADI_MSK(0x00080000,uint32_t))  /* Pin Interrupt 19 Invert */
#define BITM_PINT_INV_SET_PIQ18               (_ADI_MSK(0x00040000,uint32_t))  /* Pin Interrupt 18 Invert */
#define BITM_PINT_INV_SET_PIQ17               (_ADI_MSK(0x00020000,uint32_t))  /* Pin Interrupt 17 Invert */
#define BITM_PINT_INV_SET_PIQ16               (_ADI_MSK(0x00010000,uint32_t))  /* Pin Interrupt 16 Invert */
#define BITM_PINT_INV_SET_PIQ15               (_ADI_MSK(0x00008000,uint32_t))  /* Pin Interrupt 15 Invert */
#define BITM_PINT_INV_SET_PIQ14               (_ADI_MSK(0x00004000,uint32_t))  /* Pin Interrupt 14 Invert */
#define BITM_PINT_INV_SET_PIQ13               (_ADI_MSK(0x00002000,uint32_t))  /* Pin Interrupt 13 Invert */
#define BITM_PINT_INV_SET_PIQ12               (_ADI_MSK(0x00001000,uint32_t))  /* Pin Interrupt 12 Invert */
#define BITM_PINT_INV_SET_PIQ11               (_ADI_MSK(0x00000800,uint32_t))  /* Pin Interrupt 11 Invert */
#define BITM_PINT_INV_SET_PIQ10               (_ADI_MSK(0x00000400,uint32_t))  /* Pin Interrupt 10 Invert */
#define BITM_PINT_INV_SET_PIQ9                (_ADI_MSK(0x00000200,uint32_t))  /* Pin Interrupt 9 Invert */
#define BITM_PINT_INV_SET_PIQ8                (_ADI_MSK(0x00000100,uint32_t))  /* Pin Interrupt 8 Invert */
#define BITM_PINT_INV_SET_PIQ7                (_ADI_MSK(0x00000080,uint32_t))  /* Pin Interrupt 7 Invert */
#define BITM_PINT_INV_SET_PIQ6                (_ADI_MSK(0x00000040,uint32_t))  /* Pin Interrupt 6 Invert */
#define BITM_PINT_INV_SET_PIQ5                (_ADI_MSK(0x00000020,uint32_t))  /* Pin Interrupt 5 Invert */
#define BITM_PINT_INV_SET_PIQ4                (_ADI_MSK(0x00000010,uint32_t))  /* Pin Interrupt 4 Invert */
#define BITM_PINT_INV_SET_PIQ3                (_ADI_MSK(0x00000008,uint32_t))  /* Pin Interrupt 3 Invert */
#define BITM_PINT_INV_SET_PIQ2                (_ADI_MSK(0x00000004,uint32_t))  /* Pin Interrupt 2 Invert */
#define BITM_PINT_INV_SET_PIQ1                (_ADI_MSK(0x00000002,uint32_t))  /* Pin Interrupt 1 Invert */
#define BITM_PINT_INV_SET_PIQ0                (_ADI_MSK(0x00000001,uint32_t))  /* Pin Interrupt 0 Invert */

/* ------------------------------------------------------------------------------------------------------------------------
         PINT_INV_CLR                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PINT_INV_CLR_PIQ31               31                               /* Pin Interrupt 31 No Invert */
#define BITP_PINT_INV_CLR_PIQ30               30                               /* Pin Interrupt 30 No Invert */
#define BITP_PINT_INV_CLR_PIQ29               29                               /* Pin Interrupt 29 No Invert */
#define BITP_PINT_INV_CLR_PIQ28               28                               /* Pin Interrupt 28 No Invert */
#define BITP_PINT_INV_CLR_PIQ27               27                               /* Pin Interrupt 27 No Invert */
#define BITP_PINT_INV_CLR_PIQ26               26                               /* Pin Interrupt 26 No Invert */
#define BITP_PINT_INV_CLR_PIQ25               25                               /* Pin Interrupt 25 No Invert */
#define BITP_PINT_INV_CLR_PIQ24               24                               /* Pin Interrupt 24 No Invert */
#define BITP_PINT_INV_CLR_PIQ23               23                               /* Pin Interrupt 23 No Invert */
#define BITP_PINT_INV_CLR_PIQ22               22                               /* Pin Interrupt 22 No Invert */
#define BITP_PINT_INV_CLR_PIQ21               21                               /* Pin Interrupt 21 No Invert */
#define BITP_PINT_INV_CLR_PIQ20               20                               /* Pin Interrupt 20 No Invert */
#define BITP_PINT_INV_CLR_PIQ19               19                               /* Pin Interrupt 19 No Invert */
#define BITP_PINT_INV_CLR_PIQ18               18                               /* Pin Interrupt 18 No Invert */
#define BITP_PINT_INV_CLR_PIQ17               17                               /* Pin Interrupt 17 No Invert */
#define BITP_PINT_INV_CLR_PIQ16               16                               /* Pin Interrupt 16 No Invert */
#define BITP_PINT_INV_CLR_PIQ15               15                               /* Pin Interrupt 15 No Invert */
#define BITP_PINT_INV_CLR_PIQ14               14                               /* Pin Interrupt 14 No Invert */
#define BITP_PINT_INV_CLR_PIQ13               13                               /* Pin Interrupt 13 No Invert */
#define BITP_PINT_INV_CLR_PIQ12               12                               /* Pin Interrupt 12 No Invert */
#define BITP_PINT_INV_CLR_PIQ11               11                               /* Pin Interrupt 11 No Invert */
#define BITP_PINT_INV_CLR_PIQ10               10                               /* Pin Interrupt 10 No Invert */
#define BITP_PINT_INV_CLR_PIQ9                 9                               /* Pin Interrupt 9 No Invert */
#define BITP_PINT_INV_CLR_PIQ8                 8                               /* Pin Interrupt 8 No Invert */
#define BITP_PINT_INV_CLR_PIQ7                 7                               /* Pin Interrupt 7 No Invert */
#define BITP_PINT_INV_CLR_PIQ6                 6                               /* Pin Interrupt 6 No Invert */
#define BITP_PINT_INV_CLR_PIQ5                 5                               /* Pin Interrupt 5 No Invert */
#define BITP_PINT_INV_CLR_PIQ4                 4                               /* Pin Interrupt 4 No Invert */
#define BITP_PINT_INV_CLR_PIQ3                 3                               /* Pin Interrupt 3 No Invert */
#define BITP_PINT_INV_CLR_PIQ2                 2                               /* Pin Interrupt 2 No Invert */
#define BITP_PINT_INV_CLR_PIQ1                 1                               /* Pin Interrupt 1 No Invert */
#define BITP_PINT_INV_CLR_PIQ0                 0                               /* Pin Interrupt 0 No Invert */
#define BITM_PINT_INV_CLR_PIQ31               (_ADI_MSK(0x80000000,uint32_t))  /* Pin Interrupt 31 No Invert */
#define BITM_PINT_INV_CLR_PIQ30               (_ADI_MSK(0x40000000,uint32_t))  /* Pin Interrupt 30 No Invert */
#define BITM_PINT_INV_CLR_PIQ29               (_ADI_MSK(0x20000000,uint32_t))  /* Pin Interrupt 29 No Invert */
#define BITM_PINT_INV_CLR_PIQ28               (_ADI_MSK(0x10000000,uint32_t))  /* Pin Interrupt 28 No Invert */
#define BITM_PINT_INV_CLR_PIQ27               (_ADI_MSK(0x08000000,uint32_t))  /* Pin Interrupt 27 No Invert */
#define BITM_PINT_INV_CLR_PIQ26               (_ADI_MSK(0x04000000,uint32_t))  /* Pin Interrupt 26 No Invert */
#define BITM_PINT_INV_CLR_PIQ25               (_ADI_MSK(0x02000000,uint32_t))  /* Pin Interrupt 25 No Invert */
#define BITM_PINT_INV_CLR_PIQ24               (_ADI_MSK(0x01000000,uint32_t))  /* Pin Interrupt 24 No Invert */
#define BITM_PINT_INV_CLR_PIQ23               (_ADI_MSK(0x00800000,uint32_t))  /* Pin Interrupt 23 No Invert */
#define BITM_PINT_INV_CLR_PIQ22               (_ADI_MSK(0x00400000,uint32_t))  /* Pin Interrupt 22 No Invert */
#define BITM_PINT_INV_CLR_PIQ21               (_ADI_MSK(0x00200000,uint32_t))  /* Pin Interrupt 21 No Invert */
#define BITM_PINT_INV_CLR_PIQ20               (_ADI_MSK(0x00100000,uint32_t))  /* Pin Interrupt 20 No Invert */
#define BITM_PINT_INV_CLR_PIQ19               (_ADI_MSK(0x00080000,uint32_t))  /* Pin Interrupt 19 No Invert */
#define BITM_PINT_INV_CLR_PIQ18               (_ADI_MSK(0x00040000,uint32_t))  /* Pin Interrupt 18 No Invert */
#define BITM_PINT_INV_CLR_PIQ17               (_ADI_MSK(0x00020000,uint32_t))  /* Pin Interrupt 17 No Invert */
#define BITM_PINT_INV_CLR_PIQ16               (_ADI_MSK(0x00010000,uint32_t))  /* Pin Interrupt 16 No Invert */
#define BITM_PINT_INV_CLR_PIQ15               (_ADI_MSK(0x00008000,uint32_t))  /* Pin Interrupt 15 No Invert */
#define BITM_PINT_INV_CLR_PIQ14               (_ADI_MSK(0x00004000,uint32_t))  /* Pin Interrupt 14 No Invert */
#define BITM_PINT_INV_CLR_PIQ13               (_ADI_MSK(0x00002000,uint32_t))  /* Pin Interrupt 13 No Invert */
#define BITM_PINT_INV_CLR_PIQ12               (_ADI_MSK(0x00001000,uint32_t))  /* Pin Interrupt 12 No Invert */
#define BITM_PINT_INV_CLR_PIQ11               (_ADI_MSK(0x00000800,uint32_t))  /* Pin Interrupt 11 No Invert */
#define BITM_PINT_INV_CLR_PIQ10               (_ADI_MSK(0x00000400,uint32_t))  /* Pin Interrupt 10 No Invert */
#define BITM_PINT_INV_CLR_PIQ9                (_ADI_MSK(0x00000200,uint32_t))  /* Pin Interrupt 9 No Invert */
#define BITM_PINT_INV_CLR_PIQ8                (_ADI_MSK(0x00000100,uint32_t))  /* Pin Interrupt 8 No Invert */
#define BITM_PINT_INV_CLR_PIQ7                (_ADI_MSK(0x00000080,uint32_t))  /* Pin Interrupt 7 No Invert */
#define BITM_PINT_INV_CLR_PIQ6                (_ADI_MSK(0x00000040,uint32_t))  /* Pin Interrupt 6 No Invert */
#define BITM_PINT_INV_CLR_PIQ5                (_ADI_MSK(0x00000020,uint32_t))  /* Pin Interrupt 5 No Invert */
#define BITM_PINT_INV_CLR_PIQ4                (_ADI_MSK(0x00000010,uint32_t))  /* Pin Interrupt 4 No Invert */
#define BITM_PINT_INV_CLR_PIQ3                (_ADI_MSK(0x00000008,uint32_t))  /* Pin Interrupt 3 No Invert */
#define BITM_PINT_INV_CLR_PIQ2                (_ADI_MSK(0x00000004,uint32_t))  /* Pin Interrupt 2 No Invert */
#define BITM_PINT_INV_CLR_PIQ1                (_ADI_MSK(0x00000002,uint32_t))  /* Pin Interrupt 1 No Invert */
#define BITM_PINT_INV_CLR_PIQ0                (_ADI_MSK(0x00000001,uint32_t))  /* Pin Interrupt 0 No Invert */

/* ------------------------------------------------------------------------------------------------------------------------
         PINT_PINSTATE                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PINT_PINSTATE_PIQ31              31                               /* Pin Interrupt 31 State */
#define BITP_PINT_PINSTATE_PIQ30              30                               /* Pin Interrupt 30 State */
#define BITP_PINT_PINSTATE_PIQ29              29                               /* Pin Interrupt 29 State */
#define BITP_PINT_PINSTATE_PIQ28              28                               /* Pin Interrupt 28 State */
#define BITP_PINT_PINSTATE_PIQ27              27                               /* Pin Interrupt 27 State */
#define BITP_PINT_PINSTATE_PIQ26              26                               /* Pin Interrupt 26 State */
#define BITP_PINT_PINSTATE_PIQ25              25                               /* Pin Interrupt 25 State */
#define BITP_PINT_PINSTATE_PIQ24              24                               /* Pin Interrupt 24 State */
#define BITP_PINT_PINSTATE_PIQ23              23                               /* Pin Interrupt 23 State */
#define BITP_PINT_PINSTATE_PIQ22              22                               /* Pin Interrupt 22 State */
#define BITP_PINT_PINSTATE_PIQ21              21                               /* Pin Interrupt 21 State */
#define BITP_PINT_PINSTATE_PIQ20              20                               /* Pin Interrupt 20 State */
#define BITP_PINT_PINSTATE_PIQ19              19                               /* Pin Interrupt 19 State */
#define BITP_PINT_PINSTATE_PIQ18              18                               /* Pin Interrupt 18 State */
#define BITP_PINT_PINSTATE_PIQ17              17                               /* Pin Interrupt 17 State */
#define BITP_PINT_PINSTATE_PIQ16              16                               /* Pin Interrupt 16 State */
#define BITP_PINT_PINSTATE_PIQ15              15                               /* Pin Interrupt 15 State */
#define BITP_PINT_PINSTATE_PIQ14              14                               /* Pin Interrupt 14 State */
#define BITP_PINT_PINSTATE_PIQ13              13                               /* Pin Interrupt 13 State */
#define BITP_PINT_PINSTATE_PIQ12              12                               /* Pin Interrupt 12 State */
#define BITP_PINT_PINSTATE_PIQ11              11                               /* Pin Interrupt 11 State */
#define BITP_PINT_PINSTATE_PIQ10              10                               /* Pin Interrupt 10 State */
#define BITP_PINT_PINSTATE_PIQ9                9                               /* Pin Interrupt 9 State */
#define BITP_PINT_PINSTATE_PIQ8                8                               /* Pin Interrupt 8 State */
#define BITP_PINT_PINSTATE_PIQ7                7                               /* Pin Interrupt 7 State */
#define BITP_PINT_PINSTATE_PIQ6                6                               /* Pin Interrupt 6 State */
#define BITP_PINT_PINSTATE_PIQ5                5                               /* Pin Interrupt 5 State */
#define BITP_PINT_PINSTATE_PIQ4                4                               /* Pin Interrupt 4 State */
#define BITP_PINT_PINSTATE_PIQ3                3                               /* Pin Interrupt 3 State */
#define BITP_PINT_PINSTATE_PIQ2                2                               /* Pin Interrupt 2 State */
#define BITP_PINT_PINSTATE_PIQ1                1                               /* Pin Interrupt 1 State */
#define BITP_PINT_PINSTATE_PIQ0                0                               /* Pin Interrupt 0 State */
#define BITM_PINT_PINSTATE_PIQ31              (_ADI_MSK(0x80000000,uint32_t))  /* Pin Interrupt 31 State */
#define BITM_PINT_PINSTATE_PIQ30              (_ADI_MSK(0x40000000,uint32_t))  /* Pin Interrupt 30 State */
#define BITM_PINT_PINSTATE_PIQ29              (_ADI_MSK(0x20000000,uint32_t))  /* Pin Interrupt 29 State */
#define BITM_PINT_PINSTATE_PIQ28              (_ADI_MSK(0x10000000,uint32_t))  /* Pin Interrupt 28 State */
#define BITM_PINT_PINSTATE_PIQ27              (_ADI_MSK(0x08000000,uint32_t))  /* Pin Interrupt 27 State */
#define BITM_PINT_PINSTATE_PIQ26              (_ADI_MSK(0x04000000,uint32_t))  /* Pin Interrupt 26 State */
#define BITM_PINT_PINSTATE_PIQ25              (_ADI_MSK(0x02000000,uint32_t))  /* Pin Interrupt 25 State */
#define BITM_PINT_PINSTATE_PIQ24              (_ADI_MSK(0x01000000,uint32_t))  /* Pin Interrupt 24 State */
#define BITM_PINT_PINSTATE_PIQ23              (_ADI_MSK(0x00800000,uint32_t))  /* Pin Interrupt 23 State */
#define BITM_PINT_PINSTATE_PIQ22              (_ADI_MSK(0x00400000,uint32_t))  /* Pin Interrupt 22 State */
#define BITM_PINT_PINSTATE_PIQ21              (_ADI_MSK(0x00200000,uint32_t))  /* Pin Interrupt 21 State */
#define BITM_PINT_PINSTATE_PIQ20              (_ADI_MSK(0x00100000,uint32_t))  /* Pin Interrupt 20 State */
#define BITM_PINT_PINSTATE_PIQ19              (_ADI_MSK(0x00080000,uint32_t))  /* Pin Interrupt 19 State */
#define BITM_PINT_PINSTATE_PIQ18              (_ADI_MSK(0x00040000,uint32_t))  /* Pin Interrupt 18 State */
#define BITM_PINT_PINSTATE_PIQ17              (_ADI_MSK(0x00020000,uint32_t))  /* Pin Interrupt 17 State */
#define BITM_PINT_PINSTATE_PIQ16              (_ADI_MSK(0x00010000,uint32_t))  /* Pin Interrupt 16 State */
#define BITM_PINT_PINSTATE_PIQ15              (_ADI_MSK(0x00008000,uint32_t))  /* Pin Interrupt 15 State */
#define BITM_PINT_PINSTATE_PIQ14              (_ADI_MSK(0x00004000,uint32_t))  /* Pin Interrupt 14 State */
#define BITM_PINT_PINSTATE_PIQ13              (_ADI_MSK(0x00002000,uint32_t))  /* Pin Interrupt 13 State */
#define BITM_PINT_PINSTATE_PIQ12              (_ADI_MSK(0x00001000,uint32_t))  /* Pin Interrupt 12 State */
#define BITM_PINT_PINSTATE_PIQ11              (_ADI_MSK(0x00000800,uint32_t))  /* Pin Interrupt 11 State */
#define BITM_PINT_PINSTATE_PIQ10              (_ADI_MSK(0x00000400,uint32_t))  /* Pin Interrupt 10 State */
#define BITM_PINT_PINSTATE_PIQ9               (_ADI_MSK(0x00000200,uint32_t))  /* Pin Interrupt 9 State */
#define BITM_PINT_PINSTATE_PIQ8               (_ADI_MSK(0x00000100,uint32_t))  /* Pin Interrupt 8 State */
#define BITM_PINT_PINSTATE_PIQ7               (_ADI_MSK(0x00000080,uint32_t))  /* Pin Interrupt 7 State */
#define BITM_PINT_PINSTATE_PIQ6               (_ADI_MSK(0x00000040,uint32_t))  /* Pin Interrupt 6 State */
#define BITM_PINT_PINSTATE_PIQ5               (_ADI_MSK(0x00000020,uint32_t))  /* Pin Interrupt 5 State */
#define BITM_PINT_PINSTATE_PIQ4               (_ADI_MSK(0x00000010,uint32_t))  /* Pin Interrupt 4 State */
#define BITM_PINT_PINSTATE_PIQ3               (_ADI_MSK(0x00000008,uint32_t))  /* Pin Interrupt 3 State */
#define BITM_PINT_PINSTATE_PIQ2               (_ADI_MSK(0x00000004,uint32_t))  /* Pin Interrupt 2 State */
#define BITM_PINT_PINSTATE_PIQ1               (_ADI_MSK(0x00000002,uint32_t))  /* Pin Interrupt 1 State */
#define BITM_PINT_PINSTATE_PIQ0               (_ADI_MSK(0x00000001,uint32_t))  /* Pin Interrupt 0 State */

/* ------------------------------------------------------------------------------------------------------------------------
         PINT_LATCH                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PINT_LATCH_PIQ31                 31                               /* Pin Interrupt 31 Latch */
#define BITP_PINT_LATCH_PIQ30                 30                               /* Pin Interrupt 30 Latch */
#define BITP_PINT_LATCH_PIQ29                 29                               /* Pin Interrupt 29 Latch */
#define BITP_PINT_LATCH_PIQ28                 28                               /* Pin Interrupt 28 Latch */
#define BITP_PINT_LATCH_PIQ27                 27                               /* Pin Interrupt 27 Latch */
#define BITP_PINT_LATCH_PIQ26                 26                               /* Pin Interrupt 26 Latch */
#define BITP_PINT_LATCH_PIQ25                 25                               /* Pin Interrupt 25 Latch */
#define BITP_PINT_LATCH_PIQ24                 24                               /* Pin Interrupt 24 Latch */
#define BITP_PINT_LATCH_PIQ23                 23                               /* Pin Interrupt 23 Latch */
#define BITP_PINT_LATCH_PIQ22                 22                               /* Pin Interrupt 22 Latch */
#define BITP_PINT_LATCH_PIQ21                 21                               /* Pin Interrupt 21 Latch */
#define BITP_PINT_LATCH_PIQ20                 20                               /* Pin Interrupt 20 Latch */
#define BITP_PINT_LATCH_PIQ19                 19                               /* Pin Interrupt 19 Latch */
#define BITP_PINT_LATCH_PIQ18                 18                               /* Pin Interrupt 18 Latch */
#define BITP_PINT_LATCH_PIQ17                 17                               /* Pin Interrupt 17 Latch */
#define BITP_PINT_LATCH_PIQ16                 16                               /* Pin Interrupt 16 Latch */
#define BITP_PINT_LATCH_PIQ15                 15                               /* Pin Interrupt 15 Latch */
#define BITP_PINT_LATCH_PIQ14                 14                               /* Pin Interrupt 14 Latch */
#define BITP_PINT_LATCH_PIQ13                 13                               /* Pin Interrupt 13 Latch */
#define BITP_PINT_LATCH_PIQ12                 12                               /* Pin Interrupt 12 Latch */
#define BITP_PINT_LATCH_PIQ11                 11                               /* Pin Interrupt 11 Latch */
#define BITP_PINT_LATCH_PIQ10                 10                               /* Pin Interrupt 10 Latch */
#define BITP_PINT_LATCH_PIQ9                   9                               /* Pin Interrupt 9 Latch */
#define BITP_PINT_LATCH_PIQ8                   8                               /* Pin Interrupt 8 Latch */
#define BITP_PINT_LATCH_PIQ7                   7                               /* Pin Interrupt 7 Latch */
#define BITP_PINT_LATCH_PIQ6                   6                               /* Pin Interrupt 6 Latch */
#define BITP_PINT_LATCH_PIQ5                   5                               /* Pin Interrupt 5 Latch */
#define BITP_PINT_LATCH_PIQ4                   4                               /* Pin Interrupt 4 Latch */
#define BITP_PINT_LATCH_PIQ3                   3                               /* Pin Interrupt 3 Latch */
#define BITP_PINT_LATCH_PIQ2                   2                               /* Pin Interrupt 2 Latch */
#define BITP_PINT_LATCH_PIQ1                   1                               /* Pin Interrupt 1 Latch */
#define BITP_PINT_LATCH_PIQ0                   0                               /* Pin Interrupt 0 Latch */
#define BITM_PINT_LATCH_PIQ31                 (_ADI_MSK(0x80000000,uint32_t))  /* Pin Interrupt 31 Latch */
#define BITM_PINT_LATCH_PIQ30                 (_ADI_MSK(0x40000000,uint32_t))  /* Pin Interrupt 30 Latch */
#define BITM_PINT_LATCH_PIQ29                 (_ADI_MSK(0x20000000,uint32_t))  /* Pin Interrupt 29 Latch */
#define BITM_PINT_LATCH_PIQ28                 (_ADI_MSK(0x10000000,uint32_t))  /* Pin Interrupt 28 Latch */
#define BITM_PINT_LATCH_PIQ27                 (_ADI_MSK(0x08000000,uint32_t))  /* Pin Interrupt 27 Latch */
#define BITM_PINT_LATCH_PIQ26                 (_ADI_MSK(0x04000000,uint32_t))  /* Pin Interrupt 26 Latch */
#define BITM_PINT_LATCH_PIQ25                 (_ADI_MSK(0x02000000,uint32_t))  /* Pin Interrupt 25 Latch */
#define BITM_PINT_LATCH_PIQ24                 (_ADI_MSK(0x01000000,uint32_t))  /* Pin Interrupt 24 Latch */
#define BITM_PINT_LATCH_PIQ23                 (_ADI_MSK(0x00800000,uint32_t))  /* Pin Interrupt 23 Latch */
#define BITM_PINT_LATCH_PIQ22                 (_ADI_MSK(0x00400000,uint32_t))  /* Pin Interrupt 22 Latch */
#define BITM_PINT_LATCH_PIQ21                 (_ADI_MSK(0x00200000,uint32_t))  /* Pin Interrupt 21 Latch */
#define BITM_PINT_LATCH_PIQ20                 (_ADI_MSK(0x00100000,uint32_t))  /* Pin Interrupt 20 Latch */
#define BITM_PINT_LATCH_PIQ19                 (_ADI_MSK(0x00080000,uint32_t))  /* Pin Interrupt 19 Latch */
#define BITM_PINT_LATCH_PIQ18                 (_ADI_MSK(0x00040000,uint32_t))  /* Pin Interrupt 18 Latch */
#define BITM_PINT_LATCH_PIQ17                 (_ADI_MSK(0x00020000,uint32_t))  /* Pin Interrupt 17 Latch */
#define BITM_PINT_LATCH_PIQ16                 (_ADI_MSK(0x00010000,uint32_t))  /* Pin Interrupt 16 Latch */
#define BITM_PINT_LATCH_PIQ15                 (_ADI_MSK(0x00008000,uint32_t))  /* Pin Interrupt 15 Latch */
#define BITM_PINT_LATCH_PIQ14                 (_ADI_MSK(0x00004000,uint32_t))  /* Pin Interrupt 14 Latch */
#define BITM_PINT_LATCH_PIQ13                 (_ADI_MSK(0x00002000,uint32_t))  /* Pin Interrupt 13 Latch */
#define BITM_PINT_LATCH_PIQ12                 (_ADI_MSK(0x00001000,uint32_t))  /* Pin Interrupt 12 Latch */
#define BITM_PINT_LATCH_PIQ11                 (_ADI_MSK(0x00000800,uint32_t))  /* Pin Interrupt 11 Latch */
#define BITM_PINT_LATCH_PIQ10                 (_ADI_MSK(0x00000400,uint32_t))  /* Pin Interrupt 10 Latch */
#define BITM_PINT_LATCH_PIQ9                  (_ADI_MSK(0x00000200,uint32_t))  /* Pin Interrupt 9 Latch */
#define BITM_PINT_LATCH_PIQ8                  (_ADI_MSK(0x00000100,uint32_t))  /* Pin Interrupt 8 Latch */
#define BITM_PINT_LATCH_PIQ7                  (_ADI_MSK(0x00000080,uint32_t))  /* Pin Interrupt 7 Latch */
#define BITM_PINT_LATCH_PIQ6                  (_ADI_MSK(0x00000040,uint32_t))  /* Pin Interrupt 6 Latch */
#define BITM_PINT_LATCH_PIQ5                  (_ADI_MSK(0x00000020,uint32_t))  /* Pin Interrupt 5 Latch */
#define BITM_PINT_LATCH_PIQ4                  (_ADI_MSK(0x00000010,uint32_t))  /* Pin Interrupt 4 Latch */
#define BITM_PINT_LATCH_PIQ3                  (_ADI_MSK(0x00000008,uint32_t))  /* Pin Interrupt 3 Latch */
#define BITM_PINT_LATCH_PIQ2                  (_ADI_MSK(0x00000004,uint32_t))  /* Pin Interrupt 2 Latch */
#define BITM_PINT_LATCH_PIQ1                  (_ADI_MSK(0x00000002,uint32_t))  /* Pin Interrupt 1 Latch */
#define BITM_PINT_LATCH_PIQ0                  (_ADI_MSK(0x00000001,uint32_t))  /* Pin Interrupt 0 Latch */

/* ==================================================
        Static Memory Controller Registers
   ================================================== */

/* =========================
        SMC0
   ========================= */
#define REG_SMC0_B0CTL                  0x4000700C         /* SMC0 Bank 0 Control Register */
#define REG_SMC0_B0TIM                  0x40007010         /* SMC0 Bank 0 Timing Register */
#define REG_SMC0_B0ETIM                 0x40007014         /* SMC0 Bank 0 Extended Timing Register */
#define REG_SMC0_B1CTL                  0x4000701C         /* SMC0 Bank 1 Control Register */
#define REG_SMC0_B1TIM                  0x40007020         /* SMC0 Bank 1 Timing Register */
#define REG_SMC0_B1ETIM                 0x40007024         /* SMC0 Bank 1 Extended Timing Register */
#define REG_SMC0_B2CTL                  0x4000702C         /* SMC0 Bank 2 Control Register */
#define REG_SMC0_B2TIM                  0x40007030         /* SMC0 Bank 2 Timing Register */
#define REG_SMC0_B2ETIM                 0x40007034         /* SMC0 Bank 2 Extended Timing Register */
#define REG_SMC0_B3CTL                  0x4000703C         /* SMC0 Bank 3 Control Register */
#define REG_SMC0_B3TIM                  0x40007040         /* SMC0 Bank 3 Timing Register */
#define REG_SMC0_B3ETIM                 0x40007044         /* SMC0 Bank 3 Extended Timing Register */

/* =========================
        SMC
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B0CTL                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B0CTL_PGSZ                   20                               /* Flash Page Size */
#define BITP_SMC_B0CTL_RDYABTEN               14                               /* ARDY Abort Enable */
#define BITP_SMC_B0CTL_RDYPOL                 13                               /* ARDY Polarity */
#define BITP_SMC_B0CTL_RDYEN                  12                               /* ARDY Enable */
#define BITP_SMC_B0CTL_SELCTRL                 8                               /* Select Control */
#define BITP_SMC_B0CTL_MODE                    4                               /* Memory Access Mode */
#define BITP_SMC_B0CTL_EN                      0                               /* Bank 0 Enable */
#define BITM_SMC_B0CTL_PGSZ                   (_ADI_MSK(0x00300000,uint32_t))  /* Flash Page Size */
#define BITM_SMC_B0CTL_RDYABTEN               (_ADI_MSK(0x00004000,uint32_t))  /* ARDY Abort Enable */
#define BITM_SMC_B0CTL_RDYPOL                 (_ADI_MSK(0x00002000,uint32_t))  /* ARDY Polarity */
#define BITM_SMC_B0CTL_RDYEN                  (_ADI_MSK(0x00001000,uint32_t))  /* ARDY Enable */
#define BITM_SMC_B0CTL_SELCTRL                (_ADI_MSK(0x00000300,uint32_t))  /* Select Control */
#define BITM_SMC_B0CTL_MODE                   (_ADI_MSK(0x00000030,uint32_t))  /* Memory Access Mode */
#define BITM_SMC_B0CTL_EN                     (_ADI_MSK(0x00000001,uint32_t))  /* Bank 0 Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B0TIM                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B0TIM_RAT                    24                               /* Read Access Time */
#define BITP_SMC_B0TIM_RHT                    20                               /* Read Hold Time */
#define BITP_SMC_B0TIM_RST                    16                               /* Read Setup Time */
#define BITP_SMC_B0TIM_WAT                     8                               /* Write Access Time */
#define BITP_SMC_B0TIM_WHT                     4                               /* Write Hold Time */
#define BITP_SMC_B0TIM_WST                     0                               /* Write Setup Time */
#define BITM_SMC_B0TIM_RAT                    (_ADI_MSK(0x3F000000,uint32_t))  /* Read Access Time */
#define BITM_SMC_B0TIM_RHT                    (_ADI_MSK(0x00700000,uint32_t))  /* Read Hold Time */
#define BITM_SMC_B0TIM_RST                    (_ADI_MSK(0x00070000,uint32_t))  /* Read Setup Time */
#define BITM_SMC_B0TIM_WAT                    (_ADI_MSK(0x00003F00,uint32_t))  /* Write Access Time */
#define BITM_SMC_B0TIM_WHT                    (_ADI_MSK(0x00000070,uint32_t))  /* Write Hold Time */
#define BITM_SMC_B0TIM_WST                    (_ADI_MSK(0x00000007,uint32_t))  /* Write Setup Time */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B0ETIM                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B0ETIM_PGWS                  16                               /* Page Wait States */
#define BITP_SMC_B0ETIM_IT                    12                               /* Idle Time */
#define BITP_SMC_B0ETIM_TT                     8                               /* Transition Time */
#define BITP_SMC_B0ETIM_PREAT                  4                               /* Pre Access Time */
#define BITP_SMC_B0ETIM_PREST                  0                               /* Pre Setup Time */
#define BITM_SMC_B0ETIM_PGWS                  (_ADI_MSK(0x000F0000,uint32_t))  /* Page Wait States */
#define BITM_SMC_B0ETIM_IT                    (_ADI_MSK(0x00007000,uint32_t))  /* Idle Time */
#define BITM_SMC_B0ETIM_TT                    (_ADI_MSK(0x00000700,uint32_t))  /* Transition Time */
#define BITM_SMC_B0ETIM_PREAT                 (_ADI_MSK(0x00000030,uint32_t))  /* Pre Access Time */
#define BITM_SMC_B0ETIM_PREST                 (_ADI_MSK(0x00000003,uint32_t))  /* Pre Setup Time */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B1CTL                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B1CTL_PGSZ                   20                               /* Flash Page Size */
#define BITP_SMC_B1CTL_RDYABTEN               14                               /* ARDY Abort Enable */
#define BITP_SMC_B1CTL_RDYPOL                 13                               /* ARDY Polarity */
#define BITP_SMC_B1CTL_RDYEN                  12                               /* ARDY Enable */
#define BITP_SMC_B1CTL_SELCTRL                 8                               /* Select Control */
#define BITP_SMC_B1CTL_MODE                    4                               /* Memory Access Mode */
#define BITP_SMC_B1CTL_EN                      0                               /* Bank 1 Enable */
#define BITM_SMC_B1CTL_PGSZ                   (_ADI_MSK(0x00300000,uint32_t))  /* Flash Page Size */
#define BITM_SMC_B1CTL_RDYABTEN               (_ADI_MSK(0x00004000,uint32_t))  /* ARDY Abort Enable */
#define BITM_SMC_B1CTL_RDYPOL                 (_ADI_MSK(0x00002000,uint32_t))  /* ARDY Polarity */
#define BITM_SMC_B1CTL_RDYEN                  (_ADI_MSK(0x00001000,uint32_t))  /* ARDY Enable */
#define BITM_SMC_B1CTL_SELCTRL                (_ADI_MSK(0x00000300,uint32_t))  /* Select Control */
#define BITM_SMC_B1CTL_MODE                   (_ADI_MSK(0x00000030,uint32_t))  /* Memory Access Mode */
#define BITM_SMC_B1CTL_EN                     (_ADI_MSK(0x00000001,uint32_t))  /* Bank 1 Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B1TIM                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B1TIM_RAT                    24                               /* Read Access Time */
#define BITP_SMC_B1TIM_RHT                    20                               /* Read Hold Time */
#define BITP_SMC_B1TIM_RST                    16                               /* Read Setup Time */
#define BITP_SMC_B1TIM_WAT                     8                               /* Write Access Time */
#define BITP_SMC_B1TIM_WHT                     4                               /* Write Hold Time */
#define BITP_SMC_B1TIM_WST                     0                               /* Write Setup Time */
#define BITM_SMC_B1TIM_RAT                    (_ADI_MSK(0x3F000000,uint32_t))  /* Read Access Time */
#define BITM_SMC_B1TIM_RHT                    (_ADI_MSK(0x00700000,uint32_t))  /* Read Hold Time */
#define BITM_SMC_B1TIM_RST                    (_ADI_MSK(0x00070000,uint32_t))  /* Read Setup Time */
#define BITM_SMC_B1TIM_WAT                    (_ADI_MSK(0x00003F00,uint32_t))  /* Write Access Time */
#define BITM_SMC_B1TIM_WHT                    (_ADI_MSK(0x00000070,uint32_t))  /* Write Hold Time */
#define BITM_SMC_B1TIM_WST                    (_ADI_MSK(0x00000007,uint32_t))  /* Write Setup Time */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B1ETIM                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B1ETIM_PGWS                  16                               /* Page Wait States */
#define BITP_SMC_B1ETIM_IT                    12                               /* Idle Time */
#define BITP_SMC_B1ETIM_TT                     8                               /* Transition Time */
#define BITP_SMC_B1ETIM_PREAT                  4                               /* Pre Access Time */
#define BITP_SMC_B1ETIM_PREST                  0                               /* Pre Setup Time */
#define BITM_SMC_B1ETIM_PGWS                  (_ADI_MSK(0x000F0000,uint32_t))  /* Page Wait States */
#define BITM_SMC_B1ETIM_IT                    (_ADI_MSK(0x00007000,uint32_t))  /* Idle Time */
#define BITM_SMC_B1ETIM_TT                    (_ADI_MSK(0x00000700,uint32_t))  /* Transition Time */
#define BITM_SMC_B1ETIM_PREAT                 (_ADI_MSK(0x00000030,uint32_t))  /* Pre Access Time */
#define BITM_SMC_B1ETIM_PREST                 (_ADI_MSK(0x00000003,uint32_t))  /* Pre Setup Time */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B2CTL                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B2CTL_PGSZ                   20                               /* Flash Page Size */
#define BITP_SMC_B2CTL_RDYABTEN               14                               /* ARDY Abort Enable */
#define BITP_SMC_B2CTL_RDYPOL                 13                               /* ARDY Polarity */
#define BITP_SMC_B2CTL_RDYEN                  12                               /* ARDY Enable */
#define BITP_SMC_B2CTL_SELCTRL                 8                               /* Select Control */
#define BITP_SMC_B2CTL_MODE                    4                               /* Memory Access Mode */
#define BITP_SMC_B2CTL_EN                      0                               /* Bank 2 Enable */
#define BITM_SMC_B2CTL_PGSZ                   (_ADI_MSK(0x00300000,uint32_t))  /* Flash Page Size */
#define BITM_SMC_B2CTL_RDYABTEN               (_ADI_MSK(0x00004000,uint32_t))  /* ARDY Abort Enable */
#define BITM_SMC_B2CTL_RDYPOL                 (_ADI_MSK(0x00002000,uint32_t))  /* ARDY Polarity */
#define BITM_SMC_B2CTL_RDYEN                  (_ADI_MSK(0x00001000,uint32_t))  /* ARDY Enable */
#define BITM_SMC_B2CTL_SELCTRL                (_ADI_MSK(0x00000300,uint32_t))  /* Select Control */
#define BITM_SMC_B2CTL_MODE                   (_ADI_MSK(0x00000030,uint32_t))  /* Memory Access Mode */
#define BITM_SMC_B2CTL_EN                     (_ADI_MSK(0x00000001,uint32_t))  /* Bank 2 Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B2TIM                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B2TIM_RAT                    24                               /* Read Access Time */
#define BITP_SMC_B2TIM_RHT                    20                               /* Read Hold Time */
#define BITP_SMC_B2TIM_RST                    16                               /* Read Setup Time */
#define BITP_SMC_B2TIM_WAT                     8                               /* Write Access Time */
#define BITP_SMC_B2TIM_WHT                     4                               /* Write Hold Time */
#define BITP_SMC_B2TIM_WST                     0                               /* Write Setup Time */
#define BITM_SMC_B2TIM_RAT                    (_ADI_MSK(0x3F000000,uint32_t))  /* Read Access Time */
#define BITM_SMC_B2TIM_RHT                    (_ADI_MSK(0x00700000,uint32_t))  /* Read Hold Time */
#define BITM_SMC_B2TIM_RST                    (_ADI_MSK(0x00070000,uint32_t))  /* Read Setup Time */
#define BITM_SMC_B2TIM_WAT                    (_ADI_MSK(0x00003F00,uint32_t))  /* Write Access Time */
#define BITM_SMC_B2TIM_WHT                    (_ADI_MSK(0x00000070,uint32_t))  /* Write Hold Time */
#define BITM_SMC_B2TIM_WST                    (_ADI_MSK(0x00000007,uint32_t))  /* Write Setup Time */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B2ETIM                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B2ETIM_PGWS                  16                               /* Page Wait States */
#define BITP_SMC_B2ETIM_IT                    12                               /* Idle Time */
#define BITP_SMC_B2ETIM_TT                     8                               /* Transition Time */
#define BITP_SMC_B2ETIM_PREAT                  4                               /* Pre Access Time */
#define BITP_SMC_B2ETIM_PREST                  0                               /* Pre Setup Time */
#define BITM_SMC_B2ETIM_PGWS                  (_ADI_MSK(0x000F0000,uint32_t))  /* Page Wait States */
#define BITM_SMC_B2ETIM_IT                    (_ADI_MSK(0x00007000,uint32_t))  /* Idle Time */
#define BITM_SMC_B2ETIM_TT                    (_ADI_MSK(0x00000700,uint32_t))  /* Transition Time */
#define BITM_SMC_B2ETIM_PREAT                 (_ADI_MSK(0x00000030,uint32_t))  /* Pre Access Time */
#define BITM_SMC_B2ETIM_PREST                 (_ADI_MSK(0x00000003,uint32_t))  /* Pre Setup Time */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B3CTL                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B3CTL_PGSZ                   20                               /* Flash Page Size */
#define BITP_SMC_B3CTL_RDYABTEN               14                               /* ARDY Abort Enable */
#define BITP_SMC_B3CTL_RDYPOL                 13                               /* ARDY Polarity */
#define BITP_SMC_B3CTL_RDYEN                  12                               /* ARDY Enable */
#define BITP_SMC_B3CTL_SELCTRL                 8                               /* Select Control */
#define BITP_SMC_B3CTL_MODE                    4                               /* Memory Access Mode */
#define BITP_SMC_B3CTL_EN                      0                               /* Bank 3 Enable */
#define BITM_SMC_B3CTL_PGSZ                   (_ADI_MSK(0x00300000,uint32_t))  /* Flash Page Size */
#define BITM_SMC_B3CTL_RDYABTEN               (_ADI_MSK(0x00004000,uint32_t))  /* ARDY Abort Enable */
#define BITM_SMC_B3CTL_RDYPOL                 (_ADI_MSK(0x00002000,uint32_t))  /* ARDY Polarity */
#define BITM_SMC_B3CTL_RDYEN                  (_ADI_MSK(0x00001000,uint32_t))  /* ARDY Enable */
#define BITM_SMC_B3CTL_SELCTRL                (_ADI_MSK(0x00000300,uint32_t))  /* Select Control */
#define BITM_SMC_B3CTL_MODE                   (_ADI_MSK(0x00000030,uint32_t))  /* Memory Access Mode */
#define BITM_SMC_B3CTL_EN                     (_ADI_MSK(0x00000001,uint32_t))  /* Bank 3 Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B3TIM                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B3TIM_RAT                    24                               /* Read Access Time */
#define BITP_SMC_B3TIM_RHT                    20                               /* Read Hold Time */
#define BITP_SMC_B3TIM_RST                    16                               /* Read Setup Time */
#define BITP_SMC_B3TIM_WAT                     8                               /* Write Access Time */
#define BITP_SMC_B3TIM_WHT                     4                               /* Write Hold Time */
#define BITP_SMC_B3TIM_WST                     0                               /* Write Setup Time */
#define BITM_SMC_B3TIM_RAT                    (_ADI_MSK(0x3F000000,uint32_t))  /* Read Access Time */
#define BITM_SMC_B3TIM_RHT                    (_ADI_MSK(0x00700000,uint32_t))  /* Read Hold Time */
#define BITM_SMC_B3TIM_RST                    (_ADI_MSK(0x00070000,uint32_t))  /* Read Setup Time */
#define BITM_SMC_B3TIM_WAT                    (_ADI_MSK(0x00003F00,uint32_t))  /* Write Access Time */
#define BITM_SMC_B3TIM_WHT                    (_ADI_MSK(0x00000070,uint32_t))  /* Write Hold Time */
#define BITM_SMC_B3TIM_WST                    (_ADI_MSK(0x00000007,uint32_t))  /* Write Setup Time */

/* ------------------------------------------------------------------------------------------------------------------------
         SMC_B3ETIM                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SMC_B3ETIM_PGWS                  16                               /* Page Wait States */
#define BITP_SMC_B3ETIM_IT                    12                               /* Idle Time */
#define BITP_SMC_B3ETIM_TT                     8                               /* Transition Time */
#define BITP_SMC_B3ETIM_PREAT                  4                               /* Pre Access Time */
#define BITP_SMC_B3ETIM_PREST                  0                               /* Pre Setup Time */
#define BITM_SMC_B3ETIM_PGWS                  (_ADI_MSK(0x000F0000,uint32_t))  /* Page Wait States */
#define BITM_SMC_B3ETIM_IT                    (_ADI_MSK(0x00007000,uint32_t))  /* Idle Time */
#define BITM_SMC_B3ETIM_TT                    (_ADI_MSK(0x00000700,uint32_t))  /* Transition Time */
#define BITM_SMC_B3ETIM_PREAT                 (_ADI_MSK(0x00000030,uint32_t))  /* Pre Access Time */
#define BITM_SMC_B3ETIM_PREST                 (_ADI_MSK(0x00000003,uint32_t))  /* Pre Setup Time */

/* ==================================================
        Pulse-Width Modulator Registers
   ================================================== */

/* =========================
        PWM0
   ========================= */
#define REG_PWM0_CTL                    0x40008000         /* PWM0 Control Register */
#define REG_PWM0_CHANCFG                0x40008004         /* PWM0 Channel Config Register */
#define REG_PWM0_TRIPCFG                0x40008008         /* PWM0 Trip Config Register */
#define REG_PWM0_STAT                   0x4000800C         /* PWM0 Status Register */
#define REG_PWM0_IMSK                   0x40008010         /* PWM0 Interrupt Mask Register */
#define REG_PWM0_ILAT                   0x40008014         /* PWM0 Interrupt Latch Register */
#define REG_PWM0_CHOPCFG                0x40008018         /* PWM0 Chop Configuration Register */
#define REG_PWM0_DT                     0x4000801C         /* PWM0 Dead Time Register */
#define REG_PWM0_SYNC_WID               0x40008020         /* PWM0 Sync Pulse Width Register */
#define REG_PWM0_TM0                    0x40008024         /* PWM0 Timer 0 Period Register */
#define REG_PWM0_TM1                    0x40008028         /* PWM0 Timer 1 Period Register */
#define REG_PWM0_TM2                    0x4000802C         /* PWM0 Timer 2 Period Register */
#define REG_PWM0_TM3                    0x40008030         /* PWM0 Timer 3 Period Register */
#define REG_PWM0_TM4                    0x40008034         /* PWM0 Timer 4 Period Register */
#define REG_PWM0_DLYA                   0x40008038         /* PWM0 Channel A Delay Register */
#define REG_PWM0_DLYB                   0x4000803C         /* PWM0 Channel B Delay Register */
#define REG_PWM0_DLYC                   0x40008040         /* PWM0 Channel C Delay Register */
#define REG_PWM0_DLYD                   0x40008044         /* PWM0 Channel D Delay Register */
#define REG_PWM0_ACTL                   0x40008048         /* PWM0 Channel A Control Register */
#define REG_PWM0_AH0                    0x4000804C         /* PWM0 Channel A-High Duty-0 Register */
#define REG_PWM0_AH1                    0x40008050         /* PWM0 Channel A-High Duty-1 Register */
#define REG_PWM0_AH0_HP                 0x40008054         /* PWM0 Channel A-High Heightened-Precision Duty-0 Register */
#define REG_PWM0_AH1_HP                 0x40008058         /* PWM0 Channel A-High Heightened-Precision Duty-1 Register */
#define REG_PWM0_AL0                    0x4000805C         /* PWM0 Channel A-Low Duty-0 Register */
#define REG_PWM0_AL1                    0x40008060         /* PWM0 Channel A-Low Duty-1 Register */
#define REG_PWM0_AL0_HP                 0x40008064         /* PWM0 Channel A-Low Heightened-Precision Duty-0 Register */
#define REG_PWM0_AL1_HP                 0x40008068         /* PWM0 Channel A-Low Heightened-Precision Duty-1 Register */
#define REG_PWM0_BCTL                   0x4000806C         /* PWM0 Channel B Control Register */
#define REG_PWM0_BH0                    0x40008070         /* PWM0 Channel B-High Duty-0 Register */
#define REG_PWM0_BH1                    0x40008074         /* PWM0 Channel B-High Duty-1 Register */
#define REG_PWM0_BH0_HP                 0x40008078         /* PWM0 Channel B-High Heightened-Precision Duty-0 Register */
#define REG_PWM0_BH1_HP                 0x4000807C         /* PWM0 Channel B-High Heightened-Precision Duty-1 Register */
#define REG_PWM0_BL0                    0x40008080         /* PWM0 Channel B-Low Duty-0 Register */
#define REG_PWM0_BL1                    0x40008084         /* PWM0 Channel B-Low Duty-1 Register */
#define REG_PWM0_BL0_HP                 0x40008088         /* PWM0 Channel B-Low Heightened-Precision Duty-0 Register */
#define REG_PWM0_BL1_HP                 0x4000808C         /* PWM0 Channel B-Low Heightened-Precision Duty-1 Register */
#define REG_PWM0_CCTL                   0x40008090         /* PWM0 Channel C Control Register */
#define REG_PWM0_CH0                    0x40008094         /* PWM0 Channel C-High Pulse Duty Register 0 */
#define REG_PWM0_CH1                    0x40008098         /* PWM0 Channel C-High Pulse Duty Register 1 */
#define REG_PWM0_CH0_HP                 0x4000809C         /* PWM0 Channel C-High Pulse Heightened-Precision Duty Register 0 */
#define REG_PWM0_CH1_HP                 0x400080A0         /* PWM0 Channel C-High Pulse Heightened-Precision Duty Register 1 */
#define REG_PWM0_CL0                    0x400080A4         /* PWM0 Channel C-Low Pulse Duty Register 0 */
#define REG_PWM0_CL1                    0x400080A8         /* PWM0 Channel C-Low Duty-1 Register */
#define REG_PWM0_CL0_HP                 0x400080AC         /* PWM0 Channel C-Low Pulse Duty Register 1 */
#define REG_PWM0_CL1_HP                 0x400080B0         /* PWM0 Channel C-Low Heightened-Precision Duty-1 Register */
#define REG_PWM0_DCTL                   0x400080B4         /* PWM0 Channel D Control Register */
#define REG_PWM0_DH0                    0x400080B8         /* PWM0 Channel D-High Duty-0 Register */
#define REG_PWM0_DH1                    0x400080BC         /* PWM0 Channel D-High Pulse Duty Register 1 */
#define REG_PWM0_DH0_HP                 0x400080C0         /* PWM0 Channel D-High Pulse Heightened-Precision Duty Register 0 */
#define REG_PWM0_DH1_HP                 0x400080C4         /* PWM0 Channel D High Pulse Heightened-Precision Duty Register 1 */
#define REG_PWM0_DL0                    0x400080C8         /* PWM0 Channel D-Low Pulse Duty Register 0 */
#define REG_PWM0_DL1                    0x400080CC         /* PWM0 Channel D-Low Pulse Duty Register 1 */
#define REG_PWM0_DL0_HP                 0x400080D0         /* PWM0 Channel D-Low Heightened-Precision Duty-0 Register */
#define REG_PWM0_DL1_HP                 0x400080D4         /* PWM0 Channel D-Low Heightened-Precision Duty-1 Register */
#define REG_PWM0_AH_DUTY0               0x400080D8         /* PWM0 Channel A-High Full Duty0 Register */
#define REG_PWM0_AH_DUTY1               0x400080DC         /* PWM0 Channel A-High Full Duty1 Register */
#define REG_PWM0_AL_DUTY0               0x400080E0         /* PWM0 Channel A-Low Full Duty0 Register */
#define REG_PWM0_AL_DUTY1               0x400080E4         /* PWM0 Channel A-Low Full Duty1 Register */
#define REG_PWM0_BH_DUTY0               0x400080E8         /* PWM0 Channel B-High Full Duty0 Register */
#define REG_PWM0_BH_DUTY1               0x400080EC         /* PWM0 Channel B-High Full Duty1 Register */
#define REG_PWM0_BL_DUTY0               0x400080F0         /* PWM0 Channel B-Low Full Duty0 Register */
#define REG_PWM0_BL_DUTY1               0x400080F4         /* PWM0 Channel B-Low Full Duty1 Register */
#define REG_PWM0_CH_DUTY0               0x400080F8         /* PWM0 Channel C-High Full Duty0 Register */
#define REG_PWM0_CH_DUTY1               0x400080FC         /* PWM0 Channel C-High Full Duty1 Register */
#define REG_PWM0_CL_DUTY0               0x40008100         /* PWM0 Channel C-Low Full Duty0 Register */
#define REG_PWM0_CL_DUTY1               0x40008104         /* PWM0 Channel C-Low Full Duty1 Register */
#define REG_PWM0_DH_DUTY0               0x40008108         /* PWM0 Channel D-High Full Duty0 Register */
#define REG_PWM0_DH_DUTY1               0x4000810C         /* PWM0 Channel D-High Full Duty1 Register */
#define REG_PWM0_DL_DUTY0               0x40008110         /* PWM0 Channel D-Low Full Duty0 Register */
#define REG_PWM0_DL_DUTY1               0x40008114         /* PWM0 Channel D-Low Full Duty1 Register */

/* =========================
        PWM1
   ========================= */
#define REG_PWM1_CTL                    0x40008400         /* PWM1 Control Register */
#define REG_PWM1_CHANCFG                0x40008404         /* PWM1 Channel Config Register */
#define REG_PWM1_TRIPCFG                0x40008408         /* PWM1 Trip Config Register */
#define REG_PWM1_STAT                   0x4000840C         /* PWM1 Status Register */
#define REG_PWM1_IMSK                   0x40008410         /* PWM1 Interrupt Mask Register */
#define REG_PWM1_ILAT                   0x40008414         /* PWM1 Interrupt Latch Register */
#define REG_PWM1_CHOPCFG                0x40008418         /* PWM1 Chop Configuration Register */
#define REG_PWM1_DT                     0x4000841C         /* PWM1 Dead Time Register */
#define REG_PWM1_SYNC_WID               0x40008420         /* PWM1 Sync Pulse Width Register */
#define REG_PWM1_TM0                    0x40008424         /* PWM1 Timer 0 Period Register */
#define REG_PWM1_TM1                    0x40008428         /* PWM1 Timer 1 Period Register */
#define REG_PWM1_TM2                    0x4000842C         /* PWM1 Timer 2 Period Register */
#define REG_PWM1_TM3                    0x40008430         /* PWM1 Timer 3 Period Register */
#define REG_PWM1_TM4                    0x40008434         /* PWM1 Timer 4 Period Register */
#define REG_PWM1_DLYA                   0x40008438         /* PWM1 Channel A Delay Register */
#define REG_PWM1_DLYB                   0x4000843C         /* PWM1 Channel B Delay Register */
#define REG_PWM1_DLYC                   0x40008440         /* PWM1 Channel C Delay Register */
#define REG_PWM1_DLYD                   0x40008444         /* PWM1 Channel D Delay Register */
#define REG_PWM1_ACTL                   0x40008448         /* PWM1 Channel A Control Register */
#define REG_PWM1_AH0                    0x4000844C         /* PWM1 Channel A-High Duty-0 Register */
#define REG_PWM1_AH1                    0x40008450         /* PWM1 Channel A-High Duty-1 Register */
#define REG_PWM1_AH0_HP                 0x40008454         /* PWM1 Channel A-High Heightened-Precision Duty-0 Register */
#define REG_PWM1_AH1_HP                 0x40008458         /* PWM1 Channel A-High Heightened-Precision Duty-1 Register */
#define REG_PWM1_AL0                    0x4000845C         /* PWM1 Channel A-Low Duty-0 Register */
#define REG_PWM1_AL1                    0x40008460         /* PWM1 Channel A-Low Duty-1 Register */
#define REG_PWM1_AL0_HP                 0x40008464         /* PWM1 Channel A-Low Heightened-Precision Duty-0 Register */
#define REG_PWM1_AL1_HP                 0x40008468         /* PWM1 Channel A-Low Heightened-Precision Duty-1 Register */
#define REG_PWM1_BCTL                   0x4000846C         /* PWM1 Channel B Control Register */
#define REG_PWM1_BH0                    0x40008470         /* PWM1 Channel B-High Duty-0 Register */
#define REG_PWM1_BH1                    0x40008474         /* PWM1 Channel B-High Duty-1 Register */
#define REG_PWM1_BH0_HP                 0x40008478         /* PWM1 Channel B-High Heightened-Precision Duty-0 Register */
#define REG_PWM1_BH1_HP                 0x4000847C         /* PWM1 Channel B-High Heightened-Precision Duty-1 Register */
#define REG_PWM1_BL0                    0x40008480         /* PWM1 Channel B-Low Duty-0 Register */
#define REG_PWM1_BL1                    0x40008484         /* PWM1 Channel B-Low Duty-1 Register */
#define REG_PWM1_BL0_HP                 0x40008488         /* PWM1 Channel B-Low Heightened-Precision Duty-0 Register */
#define REG_PWM1_BL1_HP                 0x4000848C         /* PWM1 Channel B-Low Heightened-Precision Duty-1 Register */
#define REG_PWM1_CCTL                   0x40008490         /* PWM1 Channel C Control Register */
#define REG_PWM1_CH0                    0x40008494         /* PWM1 Channel C-High Pulse Duty Register 0 */
#define REG_PWM1_CH1                    0x40008498         /* PWM1 Channel C-High Pulse Duty Register 1 */
#define REG_PWM1_CH0_HP                 0x4000849C         /* PWM1 Channel C-High Pulse Heightened-Precision Duty Register 0 */
#define REG_PWM1_CH1_HP                 0x400084A0         /* PWM1 Channel C-High Pulse Heightened-Precision Duty Register 1 */
#define REG_PWM1_CL0                    0x400084A4         /* PWM1 Channel C-Low Pulse Duty Register 0 */
#define REG_PWM1_CL1                    0x400084A8         /* PWM1 Channel C-Low Duty-1 Register */
#define REG_PWM1_CL0_HP                 0x400084AC         /* PWM1 Channel C-Low Pulse Duty Register 1 */
#define REG_PWM1_CL1_HP                 0x400084B0         /* PWM1 Channel C-Low Heightened-Precision Duty-1 Register */
#define REG_PWM1_DCTL                   0x400084B4         /* PWM1 Channel D Control Register */
#define REG_PWM1_DH0                    0x400084B8         /* PWM1 Channel D-High Duty-0 Register */
#define REG_PWM1_DH1                    0x400084BC         /* PWM1 Channel D-High Pulse Duty Register 1 */
#define REG_PWM1_DH0_HP                 0x400084C0         /* PWM1 Channel D-High Pulse Heightened-Precision Duty Register 0 */
#define REG_PWM1_DH1_HP                 0x400084C4         /* PWM1 Channel D High Pulse Heightened-Precision Duty Register 1 */
#define REG_PWM1_DL0                    0x400084C8         /* PWM1 Channel D-Low Pulse Duty Register 0 */
#define REG_PWM1_DL1                    0x400084CC         /* PWM1 Channel D-Low Pulse Duty Register 1 */
#define REG_PWM1_DL0_HP                 0x400084D0         /* PWM1 Channel D-Low Heightened-Precision Duty-0 Register */
#define REG_PWM1_DL1_HP                 0x400084D4         /* PWM1 Channel D-Low Heightened-Precision Duty-1 Register */
#define REG_PWM1_AH_DUTY0               0x400084D8         /* PWM1 Channel A-High Full Duty0 Register */
#define REG_PWM1_AH_DUTY1               0x400084DC         /* PWM1 Channel A-High Full Duty1 Register */
#define REG_PWM1_AL_DUTY0               0x400084E0         /* PWM1 Channel A-Low Full Duty0 Register */
#define REG_PWM1_AL_DUTY1               0x400084E4         /* PWM1 Channel A-Low Full Duty1 Register */
#define REG_PWM1_BH_DUTY0               0x400084E8         /* PWM1 Channel B-High Full Duty0 Register */
#define REG_PWM1_BH_DUTY1               0x400084EC         /* PWM1 Channel B-High Full Duty1 Register */
#define REG_PWM1_BL_DUTY0               0x400084F0         /* PWM1 Channel B-Low Full Duty0 Register */
#define REG_PWM1_BL_DUTY1               0x400084F4         /* PWM1 Channel B-Low Full Duty1 Register */
#define REG_PWM1_CH_DUTY0               0x400084F8         /* PWM1 Channel C-High Full Duty0 Register */
#define REG_PWM1_CH_DUTY1               0x400084FC         /* PWM1 Channel C-High Full Duty1 Register */
#define REG_PWM1_CL_DUTY0               0x40008500         /* PWM1 Channel C-Low Full Duty0 Register */
#define REG_PWM1_CL_DUTY1               0x40008504         /* PWM1 Channel C-Low Full Duty1 Register */
#define REG_PWM1_DH_DUTY0               0x40008508         /* PWM1 Channel D-High Full Duty0 Register */
#define REG_PWM1_DH_DUTY1               0x4000850C         /* PWM1 Channel D-High Full Duty1 Register */
#define REG_PWM1_DL_DUTY0               0x40008510         /* PWM1 Channel D-Low Full Duty0 Register */
#define REG_PWM1_DL_DUTY1               0x40008514         /* PWM1 Channel D-Low Full Duty1 Register */

/* =========================
        PWM2
   ========================= */
#define REG_PWM2_CTL                    0x40008800         /* PWM2 Control Register */
#define REG_PWM2_CHANCFG                0x40008804         /* PWM2 Channel Config Register */
#define REG_PWM2_TRIPCFG                0x40008808         /* PWM2 Trip Config Register */
#define REG_PWM2_STAT                   0x4000880C         /* PWM2 Status Register */
#define REG_PWM2_IMSK                   0x40008810         /* PWM2 Interrupt Mask Register */
#define REG_PWM2_ILAT                   0x40008814         /* PWM2 Interrupt Latch Register */
#define REG_PWM2_CHOPCFG                0x40008818         /* PWM2 Chop Configuration Register */
#define REG_PWM2_DT                     0x4000881C         /* PWM2 Dead Time Register */
#define REG_PWM2_SYNC_WID               0x40008820         /* PWM2 Sync Pulse Width Register */
#define REG_PWM2_TM0                    0x40008824         /* PWM2 Timer 0 Period Register */
#define REG_PWM2_TM1                    0x40008828         /* PWM2 Timer 1 Period Register */
#define REG_PWM2_TM2                    0x4000882C         /* PWM2 Timer 2 Period Register */
#define REG_PWM2_TM3                    0x40008830         /* PWM2 Timer 3 Period Register */
#define REG_PWM2_TM4                    0x40008834         /* PWM2 Timer 4 Period Register */
#define REG_PWM2_DLYA                   0x40008838         /* PWM2 Channel A Delay Register */
#define REG_PWM2_DLYB                   0x4000883C         /* PWM2 Channel B Delay Register */
#define REG_PWM2_DLYC                   0x40008840         /* PWM2 Channel C Delay Register */
#define REG_PWM2_DLYD                   0x40008844         /* PWM2 Channel D Delay Register */
#define REG_PWM2_ACTL                   0x40008848         /* PWM2 Channel A Control Register */
#define REG_PWM2_AH0                    0x4000884C         /* PWM2 Channel A-High Duty-0 Register */
#define REG_PWM2_AH1                    0x40008850         /* PWM2 Channel A-High Duty-1 Register */
#define REG_PWM2_AH0_HP                 0x40008854         /* PWM2 Channel A-High Heightened-Precision Duty-0 Register */
#define REG_PWM2_AH1_HP                 0x40008858         /* PWM2 Channel A-High Heightened-Precision Duty-1 Register */
#define REG_PWM2_AL0                    0x4000885C         /* PWM2 Channel A-Low Duty-0 Register */
#define REG_PWM2_AL1                    0x40008860         /* PWM2 Channel A-Low Duty-1 Register */
#define REG_PWM2_AL0_HP                 0x40008864         /* PWM2 Channel A-Low Heightened-Precision Duty-0 Register */
#define REG_PWM2_AL1_HP                 0x40008868         /* PWM2 Channel A-Low Heightened-Precision Duty-1 Register */
#define REG_PWM2_BCTL                   0x4000886C         /* PWM2 Channel B Control Register */
#define REG_PWM2_BH0                    0x40008870         /* PWM2 Channel B-High Duty-0 Register */
#define REG_PWM2_BH1                    0x40008874         /* PWM2 Channel B-High Duty-1 Register */
#define REG_PWM2_BH0_HP                 0x40008878         /* PWM2 Channel B-High Heightened-Precision Duty-0 Register */
#define REG_PWM2_BH1_HP                 0x4000887C         /* PWM2 Channel B-High Heightened-Precision Duty-1 Register */
#define REG_PWM2_BL0                    0x40008880         /* PWM2 Channel B-Low Duty-0 Register */
#define REG_PWM2_BL1                    0x40008884         /* PWM2 Channel B-Low Duty-1 Register */
#define REG_PWM2_BL0_HP                 0x40008888         /* PWM2 Channel B-Low Heightened-Precision Duty-0 Register */
#define REG_PWM2_BL1_HP                 0x4000888C         /* PWM2 Channel B-Low Heightened-Precision Duty-1 Register */
#define REG_PWM2_CCTL                   0x40008890         /* PWM2 Channel C Control Register */
#define REG_PWM2_CH0                    0x40008894         /* PWM2 Channel C-High Pulse Duty Register 0 */
#define REG_PWM2_CH1                    0x40008898         /* PWM2 Channel C-High Pulse Duty Register 1 */
#define REG_PWM2_CH0_HP                 0x4000889C         /* PWM2 Channel C-High Pulse Heightened-Precision Duty Register 0 */
#define REG_PWM2_CH1_HP                 0x400088A0         /* PWM2 Channel C-High Pulse Heightened-Precision Duty Register 1 */
#define REG_PWM2_CL0                    0x400088A4         /* PWM2 Channel C-Low Pulse Duty Register 0 */
#define REG_PWM2_CL1                    0x400088A8         /* PWM2 Channel C-Low Duty-1 Register */
#define REG_PWM2_CL0_HP                 0x400088AC         /* PWM2 Channel C-Low Pulse Duty Register 1 */
#define REG_PWM2_CL1_HP                 0x400088B0         /* PWM2 Channel C-Low Heightened-Precision Duty-1 Register */
#define REG_PWM2_DCTL                   0x400088B4         /* PWM2 Channel D Control Register */
#define REG_PWM2_DH0                    0x400088B8         /* PWM2 Channel D-High Duty-0 Register */
#define REG_PWM2_DH1                    0x400088BC         /* PWM2 Channel D-High Pulse Duty Register 1 */
#define REG_PWM2_DH0_HP                 0x400088C0         /* PWM2 Channel D-High Pulse Heightened-Precision Duty Register 0 */
#define REG_PWM2_DH1_HP                 0x400088C4         /* PWM2 Channel D High Pulse Heightened-Precision Duty Register 1 */
#define REG_PWM2_DL0                    0x400088C8         /* PWM2 Channel D-Low Pulse Duty Register 0 */
#define REG_PWM2_DL1                    0x400088CC         /* PWM2 Channel D-Low Pulse Duty Register 1 */
#define REG_PWM2_DL0_HP                 0x400088D0         /* PWM2 Channel D-Low Heightened-Precision Duty-0 Register */
#define REG_PWM2_DL1_HP                 0x400088D4         /* PWM2 Channel D-Low Heightened-Precision Duty-1 Register */
#define REG_PWM2_AH_DUTY0               0x400088D8         /* PWM2 Channel A-High Full Duty0 Register */
#define REG_PWM2_AH_DUTY1               0x400088DC         /* PWM2 Channel A-High Full Duty1 Register */
#define REG_PWM2_AL_DUTY0               0x400088E0         /* PWM2 Channel A-Low Full Duty0 Register */
#define REG_PWM2_AL_DUTY1               0x400088E4         /* PWM2 Channel A-Low Full Duty1 Register */
#define REG_PWM2_BH_DUTY0               0x400088E8         /* PWM2 Channel B-High Full Duty0 Register */
#define REG_PWM2_BH_DUTY1               0x400088EC         /* PWM2 Channel B-High Full Duty1 Register */
#define REG_PWM2_BL_DUTY0               0x400088F0         /* PWM2 Channel B-Low Full Duty0 Register */
#define REG_PWM2_BL_DUTY1               0x400088F4         /* PWM2 Channel B-Low Full Duty1 Register */
#define REG_PWM2_CH_DUTY0               0x400088F8         /* PWM2 Channel C-High Full Duty0 Register */
#define REG_PWM2_CH_DUTY1               0x400088FC         /* PWM2 Channel C-High Full Duty1 Register */
#define REG_PWM2_CL_DUTY0               0x40008900         /* PWM2 Channel C-Low Full Duty0 Register */
#define REG_PWM2_CL_DUTY1               0x40008904         /* PWM2 Channel C-Low Full Duty1 Register */
#define REG_PWM2_DH_DUTY0               0x40008908         /* PWM2 Channel D-High Full Duty0 Register */
#define REG_PWM2_DH_DUTY1               0x4000890C         /* PWM2 Channel D-High Full Duty1 Register */
#define REG_PWM2_DL_DUTY0               0x40008910         /* PWM2 Channel D-Low Full Duty0 Register */
#define REG_PWM2_DL_DUTY1               0x40008914         /* PWM2 Channel D-Low Full Duty1 Register */

/* =========================
        PWM
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CTL_INTSYNCREF               18                               /* Timer reference for Internal Sync */
#define BITP_PWM_CTL_EXTSYNCSEL               17                               /* External Sync Select */
#define BITP_PWM_CTL_EXTSYNC                  16                               /* External Sync */
#define BITP_PWM_CTL_ADEN                      8                               /* Asymmetric Dead-time Enable */
#define BITP_PWM_CTL_DLYDEN                    7                               /* Enable Delay Counter for Channel D */
#define BITP_PWM_CTL_DLYCEN                    6                               /* Enable Delay Counter for Channel C */
#define BITP_PWM_CTL_DLYBEN                    5                               /* Enable Delay Counter for Channel B */
#define BITP_PWM_CTL_DLYAEN                    4                               /* Enable Delay Counter for Channel A */
#define BITP_PWM_CTL_DUEN                      3                               /* Double Update Mode Enable */
#define BITP_PWM_CTL_SWTRIP                    2                               /* Software Trip */
#define BITP_PWM_CTL_EMURUN                    1                               /* Output Behavior During Emulation Mode */
#define BITP_PWM_CTL_GLOBEN                    0                               /* Module Enable */

#define BITM_PWM_CTL_INTSYNCREF               (_ADI_MSK(0x001C0000,uint32_t))  /* Timer reference for Internal Sync */
#define ENUM_PWM_CTL_INTSYNC_0                (_ADI_MSK(0x00000000,uint32_t))  /* INTSYNCREF: PWMTMR0 provides sync reference */
#define ENUM_PWM_CTL_INTSYNC_1                (_ADI_MSK(0x00040000,uint32_t))  /* INTSYNCREF: PWMTMR1 provides sync reference */
#define ENUM_PWM_CTL_INTSYNC_2                (_ADI_MSK(0x00080000,uint32_t))  /* INTSYNCREF: PWMTMR2 provides sync reference */
#define ENUM_PWM_CTL_INTSYNC_3                (_ADI_MSK(0x000C0000,uint32_t))  /* INTSYNCREF: PWMTMR3 provides sync reference */
#define ENUM_PWM_CTL_INTSYNC_4                (_ADI_MSK(0x00100000,uint32_t))  /* INTSYNCREF: PWMTMR4 provides sync reference */

#define BITM_PWM_CTL_EXTSYNCSEL               (_ADI_MSK(0x00020000,uint32_t))  /* External Sync Select */
#define ENUM_PWM_CTL_EXTSYNC_ASYNC            (_ADI_MSK(0x00000000,uint32_t))  /* EXTSYNCSEL: Asynchronous External Sync */
#define ENUM_PWM_CTL_EXTSYNC_SYNC             (_ADI_MSK(0x00020000,uint32_t))  /* EXTSYNCSEL: Synchronous External Sync */

#define BITM_PWM_CTL_EXTSYNC                  (_ADI_MSK(0x00010000,uint32_t))  /* External Sync */
#define ENUM_PWM_CTL_INTSYNC                  (_ADI_MSK(0x00000000,uint32_t))  /* EXTSYNC: Internal sync used */
#define ENUM_PWM_CTL_EXTSYNC                  (_ADI_MSK(0x00010000,uint32_t))  /* EXTSYNC: External sync used */
#define BITM_PWM_CTL_ADEN                     (_ADI_MSK(0x00000100,uint32_t))  /* Asymmetric Dead-time Enable */

#define BITM_PWM_CTL_DLYDEN                   (_ADI_MSK(0x00000080,uint32_t))  /* Enable Delay Counter for Channel D */
#define ENUM_PWM_CTL_DLYD_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* DLYDEN: Disable */
#define ENUM_PWM_CTL_DLYD_EN                  (_ADI_MSK(0x00000080,uint32_t))  /* DLYDEN: Enable */

#define BITM_PWM_CTL_DLYCEN                   (_ADI_MSK(0x00000040,uint32_t))  /* Enable Delay Counter for Channel C */
#define ENUM_PWM_CTL_DLYC_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* DLYCEN: Disable */
#define ENUM_PWM_CTL_DLYC_EN                  (_ADI_MSK(0x00000040,uint32_t))  /* DLYCEN: Enable */

#define BITM_PWM_CTL_DLYBEN                   (_ADI_MSK(0x00000020,uint32_t))  /* Enable Delay Counter for Channel B */
#define ENUM_PWM_CTL_DLYB_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* DLYBEN: Disable */
#define ENUM_PWM_CTL_DLYB_EN                  (_ADI_MSK(0x00000020,uint32_t))  /* DLYBEN: Enable */

#define BITM_PWM_CTL_DLYAEN                   (_ADI_MSK(0x00000010,uint32_t))  /* Enable Delay Counter for Channel A */
#define ENUM_PWM_CTL_DLYA_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* DLYAEN: Disable */
#define ENUM_PWM_CTL_DLYA_EN                  (_ADI_MSK(0x00000010,uint32_t))  /* DLYAEN: Enable */
#define BITM_PWM_CTL_DUEN                     (_ADI_MSK(0x00000008,uint32_t))  /* Double Update Mode Enable */

#define BITM_PWM_CTL_SWTRIP                   (_ADI_MSK(0x00000004,uint32_t))  /* Software Trip */
#define ENUM_PWM_CTL_FORCE_TRIP               (_ADI_MSK(0x00000004,uint32_t))  /* SWTRIP: Force a Fault Trip Condition */

#define BITM_PWM_CTL_EMURUN                   (_ADI_MSK(0x00000002,uint32_t))  /* Output Behavior During Emulation Mode */
#define ENUM_PWM_CTL_EMURUN_DIS               (_ADI_MSK(0x00000000,uint32_t))  /* EMURUN: Disable Outputs */
#define ENUM_PWM_CTL_EMURUN_EN                (_ADI_MSK(0x00000002,uint32_t))  /* EMURUN: Enable Outputs */

#define BITM_PWM_CTL_GLOBEN                   (_ADI_MSK(0x00000001,uint32_t))  /* Module Enable */
#define ENUM_PWM_CTL_PWM_DIS                  (_ADI_MSK(0x00000000,uint32_t))  /* GLOBEN: Disable */
#define ENUM_PWM_CTL_PWM_EN                   (_ADI_MSK(0x00000001,uint32_t))  /* GLOBEN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CHANCFG                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CHANCFG_ENCHOPDL             30                               /* Channel D Gate Chopping Enable Low Side */
#define BITP_PWM_CHANCFG_POLDL                29                               /* Channel D low side Polarity */
#define BITP_PWM_CHANCFG_ENHPDH               28                               /* Channel D heightened-precision enable for high side Output */
#define BITP_PWM_CHANCFG_ENCHOPDH             27                               /* Channel D Gate Chopping Enable High Side */
#define BITP_PWM_CHANCFG_POLDH                26                               /* Channel D High side Polarity */
#define BITP_PWM_CHANCFG_MODELSD              25                               /* Channel D Mode of low Side Output */
#define BITP_PWM_CHANCFG_REFTMRD              24                               /* Channel D Timer Reference */
#define BITP_PWM_CHANCFG_ENCHOPCL             22                               /* Channel C Gate Chopping Enable Low Side */
#define BITP_PWM_CHANCFG_POLCL                21                               /* Channel C low side Polarity */
#define BITP_PWM_CHANCFG_ENHPCH               20                               /* Channel C heightened-precision enable for high side Output */
#define BITP_PWM_CHANCFG_ENCHOPCH             19                               /* Channel C Gate Chopping Enable High Side */
#define BITP_PWM_CHANCFG_POLCH                18                               /* Channel C High side Polarity */
#define BITP_PWM_CHANCFG_MODELSC              17                               /* Channel C Mode of low Side Output */
#define BITP_PWM_CHANCFG_REFTMRC              16                               /* Channel C Timer Reference */
#define BITP_PWM_CHANCFG_ENCHOPBL             14                               /* Channel B Gate Chopping Enable Low Side */
#define BITP_PWM_CHANCFG_POLBL                13                               /* Channel B low side Polarity */
#define BITP_PWM_CHANCFG_ENHPBH               12                               /* Channel B heightened-precision enable for high side Output */
#define BITP_PWM_CHANCFG_ENCHOPBH             11                               /* Channel B Gate Chopping Enable High Side */
#define BITP_PWM_CHANCFG_POLBH                10                               /* Channel B High side Polarity */
#define BITP_PWM_CHANCFG_MODELSB               9                               /* Channel B Mode of low Side Output */
#define BITP_PWM_CHANCFG_REFTMRB               8                               /* Channel B Timer Reference */
#define BITP_PWM_CHANCFG_ENCHOPAL              6                               /* Channel A Gate Chopping Enable Low Side */
#define BITP_PWM_CHANCFG_POLAL                 5                               /* Channel A low side Polarity */
#define BITP_PWM_CHANCFG_ENHPAH                4                               /* Channel A heightened-precision enable for high side Output */
#define BITP_PWM_CHANCFG_ENCHOPAH              3                               /* Channel A Gate Chopping Enable High Side */
#define BITP_PWM_CHANCFG_POLAH                 2                               /* Channel A High side Polarity */
#define BITP_PWM_CHANCFG_MODELSA               1                               /* Channel A Mode of low Side Output */
#define BITP_PWM_CHANCFG_REFTMRA               0                               /* Channel A Timer Reference */

#define BITM_PWM_CHANCFG_ENCHOPDL             (_ADI_MSK(0x40000000,uint32_t))  /* Channel D Gate Chopping Enable Low Side */
#define ENUM_PWM_CHANCFG_CHOPDL_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* ENCHOPDL: Disable Chopping Channel D Low Side */
#define ENUM_PWM_CHANCFG_CHOPDL_EN            (_ADI_MSK(0x40000000,uint32_t))  /* ENCHOPDL: Enable Chopping Channel D Low Side */

#define BITM_PWM_CHANCFG_POLDL                (_ADI_MSK(0x20000000,uint32_t))  /* Channel D low side Polarity */
#define ENUM_PWM_CHANCFG_DL_ACTLO             (_ADI_MSK(0x00000000,uint32_t))  /* POLDL: Active Low */
#define ENUM_PWM_CHANCFG_DL_ACTHI             (_ADI_MSK(0x20000000,uint32_t))  /* POLDL: Active High */

#define BITM_PWM_CHANCFG_ENHPDH               (_ADI_MSK(0x10000000,uint32_t))  /* Channel D heightened-precision enable for high side Output */
#define ENUM_PWM_CHANCFG_HPDH_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* ENHPDH: Disable HP Output Channel D High */
#define ENUM_PWM_CHANCFG_HPDH_EN              (_ADI_MSK(0x10000000,uint32_t))  /* ENHPDH: Enable HP Output Channel D High */

#define BITM_PWM_CHANCFG_ENCHOPDH             (_ADI_MSK(0x08000000,uint32_t))  /* Channel D Gate Chopping Enable High Side */
#define ENUM_PWM_CHANCFG_CHOPDH_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* ENCHOPDH: Disable Chopping Channel D High Side */
#define ENUM_PWM_CHANCFG_CHOPDH_EN            (_ADI_MSK(0x08000000,uint32_t))  /* ENCHOPDH: Enable Chopping Channel D High Side */

#define BITM_PWM_CHANCFG_POLDH                (_ADI_MSK(0x04000000,uint32_t))  /* Channel D High side Polarity */
#define ENUM_PWM_CHANCFG_DH_ACTLO             (_ADI_MSK(0x00000000,uint32_t))  /* POLDH: Active Low */
#define ENUM_PWM_CHANCFG_DH_ACTHI             (_ADI_MSK(0x04000000,uint32_t))  /* POLDH: Active High */

#define BITM_PWM_CHANCFG_MODELSD              (_ADI_MSK(0x02000000,uint32_t))  /* Channel D Mode of low Side Output */
#define ENUM_PWM_CHANCFG_LOD_INVHI            (_ADI_MSK(0x00000000,uint32_t))  /* MODELSD: Invert of high output */
#define ENUM_PWM_CHANCFG_LOD_IND              (_ADI_MSK(0x02000000,uint32_t))  /* MODELSD: Independent control */

#define BITM_PWM_CHANCFG_REFTMRD              (_ADI_MSK(0x01000000,uint32_t))  /* Channel D Timer Reference */
#define ENUM_PWM_CHANCFG_REFTMRD_0            (_ADI_MSK(0x00000000,uint32_t))  /* REFTMRD: PWMTMR0 is Channel D reference */
#define ENUM_PWM_CHANCFG_REFTMRD_1            (_ADI_MSK(0x01000000,uint32_t))  /* REFTMRD: PWMTMR1 is Channel D reference */

#define BITM_PWM_CHANCFG_ENCHOPCL             (_ADI_MSK(0x00400000,uint32_t))  /* Channel C Gate Chopping Enable Low Side */
#define ENUM_PWM_CHANCFG_CHOPCL_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* ENCHOPCL: Disable Chopping Channel C Low Side */
#define ENUM_PWM_CHANCFG_CHOPCL_EN            (_ADI_MSK(0x00400000,uint32_t))  /* ENCHOPCL: Enable Chopping Channel C Low Side */

#define BITM_PWM_CHANCFG_POLCL                (_ADI_MSK(0x00200000,uint32_t))  /* Channel C low side Polarity */
#define ENUM_PWM_CHANCFG_CL_ACTLO             (_ADI_MSK(0x00000000,uint32_t))  /* POLCL: Active Low */
#define ENUM_PWM_CHANCFG_CL_ACTHI             (_ADI_MSK(0x00200000,uint32_t))  /* POLCL: Active High */

#define BITM_PWM_CHANCFG_ENHPCH               (_ADI_MSK(0x00100000,uint32_t))  /* Channel C heightened-precision enable for high side Output */
#define ENUM_PWM_CHANCFG_HPCH_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* ENHPCH: Disable HP Output Channel C High */
#define ENUM_PWM_CHANCFG_HPCH_EN              (_ADI_MSK(0x00100000,uint32_t))  /* ENHPCH: Enable HP Output Channel C High */

#define BITM_PWM_CHANCFG_ENCHOPCH             (_ADI_MSK(0x00080000,uint32_t))  /* Channel C Gate Chopping Enable High Side */
#define ENUM_PWM_CHANCFG_CHOPCH_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* ENCHOPCH: Disable Chopping Channel C High Side */
#define ENUM_PWM_CHANCFG_CHOPCH_EN            (_ADI_MSK(0x00080000,uint32_t))  /* ENCHOPCH: Enable Chopping Channel C High Side */

#define BITM_PWM_CHANCFG_POLCH                (_ADI_MSK(0x00040000,uint32_t))  /* Channel C High side Polarity */
#define ENUM_PWM_CHANCFG_CH_ACTLO             (_ADI_MSK(0x00000000,uint32_t))  /* POLCH: Active Low */
#define ENUM_PWM_CHANCFG_CH_ACTHI             (_ADI_MSK(0x00040000,uint32_t))  /* POLCH: Active High */

#define BITM_PWM_CHANCFG_MODELSC              (_ADI_MSK(0x00020000,uint32_t))  /* Channel C Mode of low Side Output */
#define ENUM_PWM_CHANCFG_LOC_INVHI            (_ADI_MSK(0x00000000,uint32_t))  /* MODELSC: Invert of high output */
#define ENUM_PWM_CHANCFG_LOC_IND              (_ADI_MSK(0x00020000,uint32_t))  /* MODELSC: Independent control */

#define BITM_PWM_CHANCFG_REFTMRC              (_ADI_MSK(0x00010000,uint32_t))  /* Channel C Timer Reference */
#define ENUM_PWM_CHANCFG_REFTMRC_0            (_ADI_MSK(0x00000000,uint32_t))  /* REFTMRC: PWMTMR0 is Channel C reference */
#define ENUM_PWM_CHANCFG_REFTMRC_1            (_ADI_MSK(0x00010000,uint32_t))  /* REFTMRC: PWMTMR1 is Channel C reference */

#define BITM_PWM_CHANCFG_ENCHOPBL             (_ADI_MSK(0x00004000,uint32_t))  /* Channel B Gate Chopping Enable Low Side */
#define ENUM_PWM_CHANCFG_CHOPBL_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* ENCHOPBL: Disable Chopping Channel B Low Side */
#define ENUM_PWM_CHANCFG_CHOPBL_EN            (_ADI_MSK(0x00004000,uint32_t))  /* ENCHOPBL: Enable Chopping Channel B Low Side */

#define BITM_PWM_CHANCFG_POLBL                (_ADI_MSK(0x00002000,uint32_t))  /* Channel B low side Polarity */
#define ENUM_PWM_CHANCFG_BL_ACTLO             (_ADI_MSK(0x00000000,uint32_t))  /* POLBL: Active Low */
#define ENUM_PWM_CHANCFG_BL_ACTHI             (_ADI_MSK(0x00002000,uint32_t))  /* POLBL: Active High */

#define BITM_PWM_CHANCFG_ENHPBH               (_ADI_MSK(0x00001000,uint32_t))  /* Channel B heightened-precision enable for high side Output */
#define ENUM_PWM_CHANCFG_HPBH_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* ENHPBH: Disable HP Output Channel B High */
#define ENUM_PWM_CHANCFG_HPBH_EN              (_ADI_MSK(0x00001000,uint32_t))  /* ENHPBH: Enable HP Output Channel B High */

#define BITM_PWM_CHANCFG_ENCHOPBH             (_ADI_MSK(0x00000800,uint32_t))  /* Channel B Gate Chopping Enable High Side */
#define ENUM_PWM_CHANCFG_CHOPBH_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* ENCHOPBH: Disable Chopping Channel B High Side */
#define ENUM_PWM_CHANCFG_CHOPBH_EN            (_ADI_MSK(0x00000800,uint32_t))  /* ENCHOPBH: Enable Chopping Channel B High Side */

#define BITM_PWM_CHANCFG_POLBH                (_ADI_MSK(0x00000400,uint32_t))  /* Channel B High side Polarity */
#define ENUM_PWM_CHANCFG_BH_ACTLO             (_ADI_MSK(0x00000000,uint32_t))  /* POLBH: Active Low */
#define ENUM_PWM_CHANCFG_BH_ACTHI             (_ADI_MSK(0x00000400,uint32_t))  /* POLBH: Active High */

#define BITM_PWM_CHANCFG_MODELSB              (_ADI_MSK(0x00000200,uint32_t))  /* Channel B Mode of low Side Output */
#define ENUM_PWM_CHANCFG_LOB_INV              (_ADI_MSK(0x00000000,uint32_t))  /* MODELSB: Invert of high output */
#define ENUM_PWM_CHANCFG_LOB_IND              (_ADI_MSK(0x00000200,uint32_t))  /* MODELSB: Independent control */

#define BITM_PWM_CHANCFG_REFTMRB              (_ADI_MSK(0x00000100,uint32_t))  /* Channel B Timer Reference */
#define ENUM_PWM_CHANCFG_REFTMRB_0            (_ADI_MSK(0x00000000,uint32_t))  /* REFTMRB: PWMTMR0 is Channel  B reference */
#define ENUM_PWM_CHANCFG_REFTMRB_1            (_ADI_MSK(0x00000100,uint32_t))  /* REFTMRB: PWMTMR1 is Channel B reference */

#define BITM_PWM_CHANCFG_ENCHOPAL             (_ADI_MSK(0x00000040,uint32_t))  /* Channel A Gate Chopping Enable Low Side */
#define ENUM_PWM_CHANCFG_CHOPAL_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* ENCHOPAL: Disable Chopping Channel A Low Side */
#define ENUM_PWM_CHANCFG_CHOPAL_EN            (_ADI_MSK(0x00000040,uint32_t))  /* ENCHOPAL: Enable Chopping Channel A Low Side */

#define BITM_PWM_CHANCFG_POLAL                (_ADI_MSK(0x00000020,uint32_t))  /* Channel A low side Polarity */
#define ENUM_PWM_CHANCFG_AL_ACTLO             (_ADI_MSK(0x00000000,uint32_t))  /* POLAL: Active Low */
#define ENUM_PWM_CHANCFG_AL_ACTHI             (_ADI_MSK(0x00000020,uint32_t))  /* POLAL: Active High */

#define BITM_PWM_CHANCFG_ENHPAH               (_ADI_MSK(0x00000010,uint32_t))  /* Channel A heightened-precision enable for high side Output */
#define ENUM_PWM_CHANCFG_HPAH_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* ENHPAH: Disable HP Output Channel A High */
#define ENUM_PWM_CHANCFG_HPAH_EN              (_ADI_MSK(0x00000010,uint32_t))  /* ENHPAH: Enable HP Output Channel A High */

#define BITM_PWM_CHANCFG_ENCHOPAH             (_ADI_MSK(0x00000008,uint32_t))  /* Channel A Gate Chopping Enable High Side */
#define ENUM_PWM_CHANCFG_CHOPAH_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* ENCHOPAH: Disable Chopping Channel A High Side */
#define ENUM_PWM_CHANCFG_CHOPAH_EN            (_ADI_MSK(0x00000008,uint32_t))  /* ENCHOPAH: Enable Chopping Channel A High Side */

#define BITM_PWM_CHANCFG_POLAH                (_ADI_MSK(0x00000004,uint32_t))  /* Channel A High side Polarity */
#define ENUM_PWM_CHANCFG_AH_ACTLO             (_ADI_MSK(0x00000000,uint32_t))  /* POLAH: Active Low */
#define ENUM_PWM_CHANCFG_AH_ACTHI             (_ADI_MSK(0x00000004,uint32_t))  /* POLAH: Active High */

#define BITM_PWM_CHANCFG_MODELSA              (_ADI_MSK(0x00000002,uint32_t))  /* Channel A Mode of low Side Output */
#define ENUM_PWM_CHANCFG_LOA_INVHI            (_ADI_MSK(0x00000000,uint32_t))  /* MODELSA: Invert of high output */
#define ENUM_PWM_CHANCFG_LOA_IND              (_ADI_MSK(0x00000002,uint32_t))  /* MODELSA: Independent control */

#define BITM_PWM_CHANCFG_REFTMRA              (_ADI_MSK(0x00000001,uint32_t))  /* Channel A Timer Reference */
#define ENUM_PWM_CHANCFG_REFTMRA_0            (_ADI_MSK(0x00000000,uint32_t))  /* REFTMRA: PWMTMR0 is Channel A reference */
#define ENUM_PWM_CHANCFG_REFTMRA_1            (_ADI_MSK(0x00000001,uint32_t))  /* REFTMRA: PWMTMR1 is Channel A reference */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_TRIPCFG                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_TRIPCFG_MODE1D               27                               /* Mode of TRIP1 for Channel D */
#define BITP_PWM_TRIPCFG_EN1D                 26                               /* Enable TRIP1 as a trip source for Channel D */
#define BITP_PWM_TRIPCFG_MODE0D               25                               /* Mode of TRIP0 for Channel D */
#define BITP_PWM_TRIPCFG_EN0D                 24                               /* Enable TRIP0 as a trip source for Channel D */
#define BITP_PWM_TRIPCFG_MODE1C               19                               /* Mode of TRIP1 for Channel C */
#define BITP_PWM_TRIPCFG_EN1C                 18                               /* Enable TRIP1 as a trip source for Channel C */
#define BITP_PWM_TRIPCFG_MODE0C               17                               /* Mode of TRIP0 for Channel C */
#define BITP_PWM_TRIPCFG_EN0C                 16                               /* Enable TRIP0 as a trip source for Channel C */
#define BITP_PWM_TRIPCFG_MODE1B               11                               /* Mode of TRIP1 for Channel B */
#define BITP_PWM_TRIPCFG_EN1B                 10                               /* Enable TRIP1 as a trip source for Channel B */
#define BITP_PWM_TRIPCFG_MODE0B                9                               /* Mode of TRIP0 for Channel B */
#define BITP_PWM_TRIPCFG_EN0B                  8                               /* Enable TRIP0 as a trip source for Channel B */
#define BITP_PWM_TRIPCFG_MODE1A                3                               /* Mode of TRIP1 for Channel A */
#define BITP_PWM_TRIPCFG_EN1A                  2                               /* Enable TRIP1 as a trip source for Channel A */
#define BITP_PWM_TRIPCFG_MODE0A                1                               /* Mode of TRIP0 for Channel A */
#define BITP_PWM_TRIPCFG_EN0A                  0                               /* Enable TRIP0 as a trip source for Channel A */

#define BITM_PWM_TRIPCFG_MODE1D               (_ADI_MSK(0x08000000,uint32_t))  /* Mode of TRIP1 for Channel D */
#define ENUM_PWM_TRIPCFG_TRIP1D_FLT           (_ADI_MSK(0x00000000,uint32_t))  /* MODE1D: Fault Trip on TRIP1 Input */
#define ENUM_PWM_TRIPCFG_TRIP1D_RSTRT         (_ADI_MSK(0x08000000,uint32_t))  /* MODE1D: Self Restart on TRIP1 Input */

#define BITM_PWM_TRIPCFG_EN1D                 (_ADI_MSK(0x04000000,uint32_t))  /* Enable TRIP1 as a trip source for Channel D */
#define ENUM_PWM_TRIPCFG_TRIP1D_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* EN1D: Disable TRIP1 for Channel D */
#define ENUM_PWM_TRIPCFG_TRIP1D_EN            (_ADI_MSK(0x04000000,uint32_t))  /* EN1D: Enable TRIP1 for Channel D */

#define BITM_PWM_TRIPCFG_MODE0D               (_ADI_MSK(0x02000000,uint32_t))  /* Mode of TRIP0 for Channel D */
#define ENUM_PWM_TRIPCFG_TRIP0D_FLT           (_ADI_MSK(0x00000000,uint32_t))  /* MODE0D: Fault Trip on TRIP0 Input */
#define ENUM_PWM_TRIPCFG_TRIP0D_RSTRT         (_ADI_MSK(0x02000000,uint32_t))  /* MODE0D: Self Restart on TRIP0 Input */

#define BITM_PWM_TRIPCFG_EN0D                 (_ADI_MSK(0x01000000,uint32_t))  /* Enable TRIP0 as a trip source for Channel D */
#define ENUM_PWM_TRIPCFG_TRIP0D_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* EN0D: Disable TRIP0 for Channel D */
#define ENUM_PWM_TRIPCFG_TRIP0D_EN            (_ADI_MSK(0x01000000,uint32_t))  /* EN0D: Enable TRIP0 for Channel D */

#define BITM_PWM_TRIPCFG_MODE1C               (_ADI_MSK(0x00080000,uint32_t))  /* Mode of TRIP1 for Channel C */
#define ENUM_PWM_TRIPCFG_TRIP1C_FLT           (_ADI_MSK(0x00000000,uint32_t))  /* MODE1C: Fault Trip on TRIP1 Input */
#define ENUM_PWM_TRIPCFG_TRIP1C_RSTRT         (_ADI_MSK(0x00080000,uint32_t))  /* MODE1C: Self Restart on TRIP1 Input */

#define BITM_PWM_TRIPCFG_EN1C                 (_ADI_MSK(0x00040000,uint32_t))  /* Enable TRIP1 as a trip source for Channel C */
#define ENUM_PWM_TRIPCFG_TRIP1C_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* EN1C: Disable TRIP1 for Channel C */
#define ENUM_PWM_TRIPCFG_TRIP1C_EN            (_ADI_MSK(0x00040000,uint32_t))  /* EN1C: Enable TRIP1 for Channel C */

#define BITM_PWM_TRIPCFG_MODE0C               (_ADI_MSK(0x00020000,uint32_t))  /* Mode of TRIP0 for Channel C */
#define ENUM_PWM_TRIPCFG_TRIP0C_FLT           (_ADI_MSK(0x00000000,uint32_t))  /* MODE0C: Fault Trip on TRIP0 Input */
#define ENUM_PWM_TRIPCFG_TRIP0C_RSTRT         (_ADI_MSK(0x00020000,uint32_t))  /* MODE0C: Self Restart on TRIP0 Input */

#define BITM_PWM_TRIPCFG_EN0C                 (_ADI_MSK(0x00010000,uint32_t))  /* Enable TRIP0 as a trip source for Channel C */
#define ENUM_PWM_TRIPCFG_TRIP0C_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* EN0C: Disable TRIP0 for Channel C */
#define ENUM_PWM_TRIPCFG_TRIP0C_EN            (_ADI_MSK(0x00010000,uint32_t))  /* EN0C: Enable TRIP0 for Channel C */

#define BITM_PWM_TRIPCFG_MODE1B               (_ADI_MSK(0x00000800,uint32_t))  /* Mode of TRIP1 for Channel B */
#define ENUM_PWM_TRIPCFG_TRIP1B_FLT           (_ADI_MSK(0x00000000,uint32_t))  /* MODE1B: Fault Trip on TRIP1 Input */
#define ENUM_PWM_TRIPCFG_TRIP1B_RSTRT         (_ADI_MSK(0x00000800,uint32_t))  /* MODE1B: Self Restart on TRIP1 Input */

#define BITM_PWM_TRIPCFG_EN1B                 (_ADI_MSK(0x00000400,uint32_t))  /* Enable TRIP1 as a trip source for Channel B */
#define ENUM_PWM_TRIPCFG_TRIP1B_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* EN1B: Disable TRIP1 for Channel B */
#define ENUM_PWM_TRIPCFG_TRIP1B_EN            (_ADI_MSK(0x00000400,uint32_t))  /* EN1B: Enable TRIP1 for Channel B */

#define BITM_PWM_TRIPCFG_MODE0B               (_ADI_MSK(0x00000200,uint32_t))  /* Mode of TRIP0 for Channel B */
#define ENUM_PWM_TRIPCFG_TRIP0B_FLT           (_ADI_MSK(0x00000000,uint32_t))  /* MODE0B: Fault Trip on TRIP0 Input */
#define ENUM_PWM_TRIPCFG_TRIP0B_RSTRT         (_ADI_MSK(0x00000200,uint32_t))  /* MODE0B: Self Restart on TRIP0 Input */

#define BITM_PWM_TRIPCFG_EN0B                 (_ADI_MSK(0x00000100,uint32_t))  /* Enable TRIP0 as a trip source for Channel B */
#define ENUM_PWM_TRIPCFG_TRIP0B_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* EN0B: Disable TRIP0 for Channel B */
#define ENUM_PWM_TRIPCFG_TRIP0B_EN            (_ADI_MSK(0x00000100,uint32_t))  /* EN0B: Enable TRIP0 for Channel B */

#define BITM_PWM_TRIPCFG_MODE1A               (_ADI_MSK(0x00000008,uint32_t))  /* Mode of TRIP1 for Channel A */
#define ENUM_PWM_TRIPCFG_TRIP1A_FLT           (_ADI_MSK(0x00000000,uint32_t))  /* MODE1A: Fault Trip on TRIP1 Input */
#define ENUM_PWM_TRIPCFG_TRIP1A_RSTRT         (_ADI_MSK(0x00000008,uint32_t))  /* MODE1A: Self Restart on TRIP1 Input */

#define BITM_PWM_TRIPCFG_EN1A                 (_ADI_MSK(0x00000004,uint32_t))  /* Enable TRIP1 as a trip source for Channel A */
#define ENUM_PWM_TRIPCFG_TRIP1A_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* EN1A: Disable TRIP1 for Channel A */
#define ENUM_PWM_TRIPCFG_TRIP1A_EN            (_ADI_MSK(0x00000004,uint32_t))  /* EN1A: Enable TRIP1 for Channel A */

#define BITM_PWM_TRIPCFG_MODE0A               (_ADI_MSK(0x00000002,uint32_t))  /* Mode of TRIP0 for Channel A */
#define ENUM_PWM_TRIPCFG_TRIP0A_FLT           (_ADI_MSK(0x00000000,uint32_t))  /* MODE0A: Fault Trip on TRIP0 Input */
#define ENUM_PWM_TRIPCFG_TRIP0A_RSTRT         (_ADI_MSK(0x00000002,uint32_t))  /* MODE0A: Self Restart on TRIP0 Input */

#define BITM_PWM_TRIPCFG_EN0A                 (_ADI_MSK(0x00000001,uint32_t))  /* Enable TRIP0 as a trip source for Channel A */
#define ENUM_PWM_TRIPCFG_TRIP0A_DIS           (_ADI_MSK(0x00000000,uint32_t))  /* EN0A: Disable TRIP0 for Channel A */
#define ENUM_PWM_TRIPCFG_TRIP0A_EN            (_ADI_MSK(0x00000001,uint32_t))  /* EN0A: Enable TRIP0 for Channel A */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_STAT_HPRDY                   31                               /* Heightened-Precision Ready Status */
#define BITP_PWM_STAT_EMU                     30                               /* Emulator Status */
#define BITP_PWM_STAT_TMR4PHASE               28                               /* PWMTMR4 Phase Status */
#define BITP_PWM_STAT_TMR3PHASE               27                               /* PWMTMR3 Phase Status */
#define BITP_PWM_STAT_TMR2PHASE               26                               /* PWMTMR2 Phase Status */
#define BITP_PWM_STAT_TMR1PHASE               25                               /* PWMTMR1 Phase Status */
#define BITP_PWM_STAT_TMR0PHASE               24                               /* PWMTMR0 Phase Status */
#define BITP_PWM_STAT_TMR4PER                 20                               /* PWMTMR4 Period Boundary Status */
#define BITP_PWM_STAT_TMR3PER                 19                               /* PWMTMR3 Period Boundary Status */
#define BITP_PWM_STAT_TMR2PER                 18                               /* PWMTMR2 Period Boundary Status */
#define BITP_PWM_STAT_TMR1PER                 17                               /* PWMTMR1 Period Boundary Status */
#define BITP_PWM_STAT_TMR0PER                 16                               /* PWMTMR0 Period Boundary Status */
#define BITP_PWM_STAT_SRTRIPD                 11                               /* Self-Restart Trip Status for Channel D */
#define BITP_PWM_STAT_FLTTRIPD                10                               /* Fault Trip Status for Channel D */
#define BITP_PWM_STAT_SRTRIPC                  9                               /* Self-Restart Trip Status for Channel C */
#define BITP_PWM_STAT_FLTTRIPC                 8                               /* Fault Trip Status for Channel C */
#define BITP_PWM_STAT_SRTRIPB                  7                               /* Self-Restart Trip Status for Channel B */
#define BITP_PWM_STAT_FLTTRIPB                 6                               /* Fault Trip Status for Channel B */
#define BITP_PWM_STAT_SRTRIPA                  5                               /* Self-Restart Trip Status for Channel A */
#define BITP_PWM_STAT_FLTTRIPA                 4                               /* Fault Trip Status for Channel A */
#define BITP_PWM_STAT_RAWTRIP1                 3                               /* Raw Trip 1 Status */
#define BITP_PWM_STAT_RAWTRIP0                 2                               /* Raw Trip 0 Status */
#define BITP_PWM_STAT_TRIP1                    1                               /* Status bit set when TRIP1 is active low */
#define BITP_PWM_STAT_TRIP0                    0                               /* Status bit set when TRIP0 is active low */

#define BITM_PWM_STAT_HPRDY                   (_ADI_MSK(0x80000000,uint32_t))  /* Heightened-Precision Ready Status */
#define ENUM_PWM_STAT_NOT_HPRDY               (_ADI_MSK(0x00000000,uint32_t))  /* HPRDY: HPPWM Not Ready For Operation */
#define ENUM_PWM_STAT_HPRDY                   (_ADI_MSK(0x80000000,uint32_t))  /* HPRDY: HPPWM Ready For Operation */
#define BITM_PWM_STAT_EMU                     (_ADI_MSK(0x40000000,uint32_t))  /* Emulator Status */

#define BITM_PWM_STAT_TMR4PHASE               (_ADI_MSK(0x10000000,uint32_t))  /* PWMTMR4 Phase Status */
#define ENUM_PWM_STAT_TMR4PH1                 (_ADI_MSK(0x00000000,uint32_t))  /* TMR4PHASE: 1st Half Phase */
#define ENUM_PWM_STAT_TMR4PH2                 (_ADI_MSK(0x10000000,uint32_t))  /* TMR4PHASE: 2nd Half Phase */

#define BITM_PWM_STAT_TMR3PHASE               (_ADI_MSK(0x08000000,uint32_t))  /* PWMTMR3 Phase Status */
#define ENUM_PWM_STAT_TMR3PH1                 (_ADI_MSK(0x00000000,uint32_t))  /* TMR3PHASE: 1st Half Phase */
#define ENUM_PWM_STAT_TMR3PH2                 (_ADI_MSK(0x08000000,uint32_t))  /* TMR3PHASE: 2nd Half Phase */

#define BITM_PWM_STAT_TMR2PHASE               (_ADI_MSK(0x04000000,uint32_t))  /* PWMTMR2 Phase Status */
#define ENUM_PWM_STAT_TMR2PH1                 (_ADI_MSK(0x00000000,uint32_t))  /* TMR2PHASE: 1st Half Phase */
#define ENUM_PWM_STAT_TMR2PH2                 (_ADI_MSK(0x04000000,uint32_t))  /* TMR2PHASE: 2nd Half Phase */

#define BITM_PWM_STAT_TMR1PHASE               (_ADI_MSK(0x02000000,uint32_t))  /* PWMTMR1 Phase Status */
#define ENUM_PWM_STAT_TMR1PH1                 (_ADI_MSK(0x00000000,uint32_t))  /* TMR1PHASE: 1st Half Phase */
#define ENUM_PWM_STAT_TMR1PH2                 (_ADI_MSK(0x02000000,uint32_t))  /* TMR1PHASE: 2nd Half Phase */

#define BITM_PWM_STAT_TMR0PHASE               (_ADI_MSK(0x01000000,uint32_t))  /* PWMTMR0 Phase Status */
#define ENUM_PWM_STAT_TMR0PH1                 (_ADI_MSK(0x00000000,uint32_t))  /* TMR0PHASE: 1st Half Phase */
#define ENUM_PWM_STAT_TMR0PH2                 (_ADI_MSK(0x01000000,uint32_t))  /* TMR0PHASE: 2nd Half Phase */

#define BITM_PWM_STAT_TMR4PER                 (_ADI_MSK(0x00100000,uint32_t))  /* PWMTMR4 Period Boundary Status */
#define ENUM_PWM_STAT_NOT_PER4                (_ADI_MSK(0x00000000,uint32_t))  /* TMR4PER: PWMTMR4 period boundary not reached */
#define ENUM_PWM_STAT_PER4                    (_ADI_MSK(0x00100000,uint32_t))  /* TMR4PER: PWMTMR4 period boundary reached */

#define BITM_PWM_STAT_TMR3PER                 (_ADI_MSK(0x00080000,uint32_t))  /* PWMTMR3 Period Boundary Status */
#define ENUM_PWM_STAT_NOT_PER3                (_ADI_MSK(0x00000000,uint32_t))  /* TMR3PER: PWMTMR3 period boundary not reached */
#define ENUM_PWM_STAT_PER3                    (_ADI_MSK(0x00080000,uint32_t))  /* TMR3PER: PWMTMR3 period boundary reached */

#define BITM_PWM_STAT_TMR2PER                 (_ADI_MSK(0x00040000,uint32_t))  /* PWMTMR2 Period Boundary Status */
#define ENUM_PWM_STAT_NOT_PER2                (_ADI_MSK(0x00000000,uint32_t))  /* TMR2PER: PWMTMR2 period boundary not reached */
#define ENUM_PWM_STAT_PER2                    (_ADI_MSK(0x00040000,uint32_t))  /* TMR2PER: PWMTMR2 period boundary reached */

#define BITM_PWM_STAT_TMR1PER                 (_ADI_MSK(0x00020000,uint32_t))  /* PWMTMR1 Period Boundary Status */
#define ENUM_PWM_STAT_NOT_PER1                (_ADI_MSK(0x00000000,uint32_t))  /* TMR1PER: PWMTMR1 period boundary not reached */
#define ENUM_PWM_STAT_PER1                    (_ADI_MSK(0x00020000,uint32_t))  /* TMR1PER: PWMTMR1 period boundary reached */

#define BITM_PWM_STAT_TMR0PER                 (_ADI_MSK(0x00010000,uint32_t))  /* PWMTMR0 Period Boundary Status */
#define ENUM_PWM_STAT_NOT_PER0                (_ADI_MSK(0x00000000,uint32_t))  /* TMR0PER: PWMTMR0 period boundary not reached */
#define ENUM_PWM_STAT_PER0                    (_ADI_MSK(0x00010000,uint32_t))  /* TMR0PER: PWMTMR0 period boundary reached */

#define BITM_PWM_STAT_SRTRIPD                 (_ADI_MSK(0x00000800,uint32_t))  /* Self-Restart Trip Status for Channel D */
#define ENUM_PWM_STAT_SRD_NOTRIP              (_ADI_MSK(0x00000000,uint32_t))  /* SRTRIPD: Channel D Self-Restart Trip Status is "not tripped" */
#define ENUM_PWM_STAT_SRD_TRIP                (_ADI_MSK(0x00000800,uint32_t))  /* SRTRIPD: Channel D Self-Restart Trip Status is "tripped" */

#define BITM_PWM_STAT_FLTTRIPD                (_ADI_MSK(0x00000400,uint32_t))  /* Fault Trip Status for Channel D */
#define ENUM_PWM_STAT_FLTD_NOTRIP             (_ADI_MSK(0x00000000,uint32_t))  /* FLTTRIPD: Channel D Fault Trip Status is "not tripped" */
#define ENUM_PWM_STAT_FLTD_TRIP               (_ADI_MSK(0x00000400,uint32_t))  /* FLTTRIPD: Channel D Fault Trip Status is "tripped" */

#define BITM_PWM_STAT_SRTRIPC                 (_ADI_MSK(0x00000200,uint32_t))  /* Self-Restart Trip Status for Channel C */
#define ENUM_PWM_STAT_SRC_NOTRIP              (_ADI_MSK(0x00000000,uint32_t))  /* SRTRIPC: Channel C Self-Restart Trip Status is "not tripped" */
#define ENUM_PWM_STAT_SRC_TRIP                (_ADI_MSK(0x00000200,uint32_t))  /* SRTRIPC: Channel C Self-Restart Trip Status is "tripped" */

#define BITM_PWM_STAT_FLTTRIPC                (_ADI_MSK(0x00000100,uint32_t))  /* Fault Trip Status for Channel C */
#define ENUM_PWM_STAT_FLTC_NOTRIP             (_ADI_MSK(0x00000000,uint32_t))  /* FLTTRIPC: Channel C Fault Trip Status is "not tripped" */
#define ENUM_PWM_STAT_FLTC_TRIP               (_ADI_MSK(0x00000100,uint32_t))  /* FLTTRIPC: Channel C Fault Trip Status is "tripped" */

#define BITM_PWM_STAT_SRTRIPB                 (_ADI_MSK(0x00000080,uint32_t))  /* Self-Restart Trip Status for Channel B */
#define ENUM_PWM_STAT_SRB_NOTRIP              (_ADI_MSK(0x00000000,uint32_t))  /* SRTRIPB: Channel B Self-Restart Trip Status is "not tripped" */
#define ENUM_PWM_STAT_SRB_TRIP                (_ADI_MSK(0x00000080,uint32_t))  /* SRTRIPB: Channel B Self-Restart Trip Status is "tripped" */

#define BITM_PWM_STAT_FLTTRIPB                (_ADI_MSK(0x00000040,uint32_t))  /* Fault Trip Status for Channel B */
#define ENUM_PWM_STAT_FLTB_NOTRIP             (_ADI_MSK(0x00000000,uint32_t))  /* FLTTRIPB: Channel B Fault Trip Status is "not tripped" */
#define ENUM_PWM_STAT_FLTB_TRIP               (_ADI_MSK(0x00000040,uint32_t))  /* FLTTRIPB: Channel A Fault Trip Status is "tripped" */

#define BITM_PWM_STAT_SRTRIPA                 (_ADI_MSK(0x00000020,uint32_t))  /* Self-Restart Trip Status for Channel A */
#define ENUM_PWM_STAT_SRA_NOTRIP              (_ADI_MSK(0x00000000,uint32_t))  /* SRTRIPA: Channel A Self-Restart Trip Status is "not tripped" */
#define ENUM_PWM_STAT_SRA_TRIP                (_ADI_MSK(0x00000020,uint32_t))  /* SRTRIPA: Channel A Self-Restart Trip Status is "tripped" */

#define BITM_PWM_STAT_FLTTRIPA                (_ADI_MSK(0x00000010,uint32_t))  /* Fault Trip Status for Channel A */
#define ENUM_PWM_STAT_FLTA_NOTRIP             (_ADI_MSK(0x00000000,uint32_t))  /* FLTTRIPA: Channel A Fault Trip Status is "not tripped" */
#define ENUM_PWM_STAT_FLTA_TRIP               (_ADI_MSK(0x00000010,uint32_t))  /* FLTTRIPA: Channel A Fault Trip Status is "tripped" */

#define BITM_PWM_STAT_RAWTRIP1                (_ADI_MSK(0x00000008,uint32_t))  /* Raw Trip 1 Status */
#define ENUM_PWM_STAT_TRIP1LVL_LO             (_ADI_MSK(0x00000000,uint32_t))  /* RAWTRIP1: TRIP1 Level is Low */
#define ENUM_PWM_STAT_TRIP1LVL_HI             (_ADI_MSK(0x00000008,uint32_t))  /* RAWTRIP1: TRIP1 Level is High */

#define BITM_PWM_STAT_RAWTRIP0                (_ADI_MSK(0x00000004,uint32_t))  /* Raw Trip 0 Status */
#define ENUM_PWM_STAT_TRIP0LVL_LO             (_ADI_MSK(0x00000000,uint32_t))  /* RAWTRIP0: TRIP0 Level is Low */
#define ENUM_PWM_STAT_TRIP0LVL_HI             (_ADI_MSK(0x00000004,uint32_t))  /* RAWTRIP0: TRIP0 Level is High */

#define BITM_PWM_STAT_TRIP1                   (_ADI_MSK(0x00000002,uint32_t))  /* Status bit set when TRIP1 is active low */
#define ENUM_PWM_STAT_NO_TRIP1                (_ADI_MSK(0x00000000,uint32_t))  /* TRIP1: TRIP1 status is "not tripped" */
#define ENUM_PWM_STAT_TRIP1                   (_ADI_MSK(0x00000002,uint32_t))  /* TRIP1: TRIP1 status is "tripped" (active low) */

#define BITM_PWM_STAT_TRIP0                   (_ADI_MSK(0x00000001,uint32_t))  /* Status bit set when TRIP0 is active low */
#define ENUM_PWM_STAT_NO_TRIP0                (_ADI_MSK(0x00000000,uint32_t))  /* TRIP0: TRIP0 status is "not tripped" */
#define ENUM_PWM_STAT_TRIP0                   (_ADI_MSK(0x00000001,uint32_t))  /* TRIP0: TRIP0 status is "tripped" (active low) */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_IMSK                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_IMSK_TMR4PER                 20                               /* PWMTMR4 Period Boundary Interrupt Enable */
#define BITP_PWM_IMSK_TMR3PER                 19                               /* PWMTMR3 Period Boundary Interrupt Enable */
#define BITP_PWM_IMSK_TMR2PER                 18                               /* PWMTMR2 Period Boundary Interrupt Enable */
#define BITP_PWM_IMSK_TMR1PER                 17                               /* PWMTMR1 Period Boundary Interrupt Enable */
#define BITP_PWM_IMSK_TMR0PER                 16                               /* PWMTMR0 Period Boundary Interrupt Enable */
#define BITP_PWM_IMSK_TRIP1                    1                               /* TRIP1 Interrupt Enable */
#define BITP_PWM_IMSK_TRIP0                    0                               /* TRIP0 Interrupt Enable */

#define BITM_PWM_IMSK_TMR4PER                 (_ADI_MSK(0x00100000,uint32_t))  /* PWMTMR4 Period Boundary Interrupt Enable */
#define ENUM_PWM_IMSK_PER4_MSK                (_ADI_MSK(0x00000000,uint32_t))  /* TMR4PER: Mask PWMTMR4 Period Interrupt */
#define ENUM_PWM_IMSK_PER4_UMSK               (_ADI_MSK(0x00100000,uint32_t))  /* TMR4PER: Unmask PWMTMR4 Period Interrupt */

#define BITM_PWM_IMSK_TMR3PER                 (_ADI_MSK(0x00080000,uint32_t))  /* PWMTMR3 Period Boundary Interrupt Enable */
#define ENUM_PWM_IMSK_PER3_MSK                (_ADI_MSK(0x00000000,uint32_t))  /* TMR3PER: Mask PWMTMR3 Period Interrupt */
#define ENUM_PWM_IMSK_PER3_UMSK               (_ADI_MSK(0x00080000,uint32_t))  /* TMR3PER: Unmask PWMTMR3 Period Interrupt */

#define BITM_PWM_IMSK_TMR2PER                 (_ADI_MSK(0x00040000,uint32_t))  /* PWMTMR2 Period Boundary Interrupt Enable */
#define ENUM_PWM_IMSK_PER2_MSK                (_ADI_MSK(0x00000000,uint32_t))  /* TMR2PER: Mask PWMTMR2 Period Interrupt */
#define ENUM_PWM_IMSK_PER2_UMSK               (_ADI_MSK(0x00040000,uint32_t))  /* TMR2PER: Unmask PWMTMR2 Period Interrupt */

#define BITM_PWM_IMSK_TMR1PER                 (_ADI_MSK(0x00020000,uint32_t))  /* PWMTMR1 Period Boundary Interrupt Enable */
#define ENUM_PWM_IMSK_PER1_MSK                (_ADI_MSK(0x00000000,uint32_t))  /* TMR1PER: Mask PWMTMR1 Period Interrupt */
#define ENUM_PWM_IMSK_PER1_UMSK               (_ADI_MSK(0x00020000,uint32_t))  /* TMR1PER: Unmask PWMTMR1 Period Interrupt */

#define BITM_PWM_IMSK_TMR0PER                 (_ADI_MSK(0x00010000,uint32_t))  /* PWMTMR0 Period Boundary Interrupt Enable */
#define ENUM_PWM_IMSK_PER0_MSK                (_ADI_MSK(0x00000000,uint32_t))  /* TMR0PER: Mask PWMTMR0 Period Interrupt */
#define ENUM_PWM_IMSK_PER0_UMSK               (_ADI_MSK(0x00010000,uint32_t))  /* TMR0PER: Unmask PWMTMR0 Period Interrupt */

#define BITM_PWM_IMSK_TRIP1                   (_ADI_MSK(0x00000002,uint32_t))  /* TRIP1 Interrupt Enable */
#define ENUM_PWM_IMSK_TRIP1_MSK               (_ADI_MSK(0x00000000,uint32_t))  /* TRIP1: Mask TRIP1 Interrupt */
#define ENUM_PWM_IMSK_TRIP1_UMSK              (_ADI_MSK(0x00000002,uint32_t))  /* TRIP1: Unmask TRIP1 Interrupt */

#define BITM_PWM_IMSK_TRIP0                   (_ADI_MSK(0x00000001,uint32_t))  /* TRIP0 Interrupt Enable */
#define ENUM_PWM_IMSK_TRIP0_MSK               (_ADI_MSK(0x00000000,uint32_t))  /* TRIP0: Mask TRIP0 Interrupt */
#define ENUM_PWM_IMSK_TRIP0_UMSK              (_ADI_MSK(0x00000001,uint32_t))  /* TRIP0: Unmask TRIP0 Interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_ILAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_ILAT_TMR4PER                 20                               /* PWMTMR4 Period Latched Interrupt Status */
#define BITP_PWM_ILAT_TMR3PER                 19                               /* PWMTMR3 Period Latched Interrupt Status */
#define BITP_PWM_ILAT_TMR2PER                 18                               /* PWMTMR2 Period Latched Interrupt Status */
#define BITP_PWM_ILAT_TMR1PER                 17                               /* PWMTMR1 Period Latched Interrupt Status */
#define BITP_PWM_ILAT_TMR0PER                 16                               /* PWMTMR0 Period Boundary Interrupt Latched Status */
#define BITP_PWM_ILAT_TRIP1                    1                               /* TRIP1 Interrupt Latched Status */
#define BITP_PWM_ILAT_TRIP0                    0                               /* TRIP0 Interrupt Latched Status */

#define BITM_PWM_ILAT_TMR4PER                 (_ADI_MSK(0x00100000,uint32_t))  /* PWMTMR4 Period Latched Interrupt Status */
#define ENUM_PWM_ILAT_PER4_INTLO              (_ADI_MSK(0x00000000,uint32_t))  /* TMR4PER: No Interrupt Latched */
#define ENUM_PWM_ILAT_PER4_INTHI              (_ADI_MSK(0x00100000,uint32_t))  /* TMR4PER: Interrupt Latched */

#define BITM_PWM_ILAT_TMR3PER                 (_ADI_MSK(0x00080000,uint32_t))  /* PWMTMR3 Period Latched Interrupt Status */
#define ENUM_PWM_ILAT_PER3_INTLO              (_ADI_MSK(0x00000000,uint32_t))  /* TMR3PER: No Interrupt Latched */
#define ENUM_PWM_ILAT_PER3_INTHI              (_ADI_MSK(0x00080000,uint32_t))  /* TMR3PER: Interrupt Latched */

#define BITM_PWM_ILAT_TMR2PER                 (_ADI_MSK(0x00040000,uint32_t))  /* PWMTMR2 Period Latched Interrupt Status */
#define ENUM_PWM_ILAT_PER2_INTLO              (_ADI_MSK(0x00000000,uint32_t))  /* TMR2PER: No Interrupt Latched */
#define ENUM_PWM_ILAT_PER2_INTHI              (_ADI_MSK(0x00040000,uint32_t))  /* TMR2PER: Interrupt Latched */

#define BITM_PWM_ILAT_TMR1PER                 (_ADI_MSK(0x00020000,uint32_t))  /* PWMTMR1 Period Latched Interrupt Status */
#define ENUM_PWM_ILAT_PER1_INTLO              (_ADI_MSK(0x00000000,uint32_t))  /* TMR1PER: No Interrupt Latched */
#define ENUM_PWM_ILAT_PER1_INTHI              (_ADI_MSK(0x00020000,uint32_t))  /* TMR1PER: Interrupt Latched */

#define BITM_PWM_ILAT_TMR0PER                 (_ADI_MSK(0x00010000,uint32_t))  /* PWMTMR0 Period Boundary Interrupt Latched Status */
#define ENUM_PWM_ILAT_PER0_INTLO              (_ADI_MSK(0x00000000,uint32_t))  /* TMR0PER: No Interrupt Latched */
#define ENUM_PWM_ILAT_PER0_INTHI              (_ADI_MSK(0x00010000,uint32_t))  /* TMR0PER: Interrupt Latched */

#define BITM_PWM_ILAT_TRIP1                   (_ADI_MSK(0x00000002,uint32_t))  /* TRIP1 Interrupt Latched Status */
#define ENUM_PWM_ILAT_TRIP1_INTLO             (_ADI_MSK(0x00000000,uint32_t))  /* TRIP1: No Interrupt Latched */
#define ENUM_PWM_ILAT_TRIP1_INTHI             (_ADI_MSK(0x00000002,uint32_t))  /* TRIP1: Interrupt Latched */

#define BITM_PWM_ILAT_TRIP0                   (_ADI_MSK(0x00000001,uint32_t))  /* TRIP0 Interrupt Latched Status */
#define ENUM_PWM_ILAT_TRIP0_INTLO             (_ADI_MSK(0x00000000,uint32_t))  /* TRIP0: No Interrupt Latched */
#define ENUM_PWM_ILAT_TRIP0_INTHI             (_ADI_MSK(0x00000001,uint32_t))  /* TRIP0: Interrupt Latched */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CHOPCFG                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CHOPCFG_VALUE                 0                               /* Gate Chopping Divisor */
#define BITM_PWM_CHOPCFG_VALUE                (_ADI_MSK(0x000000FF,uint32_t))  /* Gate Chopping Divisor */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DT                                Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DT_VALUE                      0                               /* Dead Time */
#define BITM_PWM_DT_VALUE                     (_ADI_MSK(0x000003FF,uint32_t))  /* Dead Time */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_SYNC_WID                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_SYNC_WID_VALUE                0                               /* Sync Pulse Width */
#define BITM_PWM_SYNC_WID_VALUE               (_ADI_MSK(0x000003FF,uint32_t))  /* Sync Pulse Width */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_TM0                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_TM0_VALUE                     0                               /* Timer PWMTMR0 Period Value */
#define BITM_PWM_TM0_VALUE                    (_ADI_MSK(0x0000FFFF,uint32_t))  /* Timer PWMTMR0 Period Value */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_TM1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_TM1_VALUE                     0                               /* Timer PWMTMR1 Period Value */
#define BITM_PWM_TM1_VALUE                    (_ADI_MSK(0x0000FFFF,uint32_t))  /* Timer PWMTMR1 Period Value */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_TM2                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_TM2_VALUE                     0                               /* Timer PWMTMR2 Period Value */
#define BITM_PWM_TM2_VALUE                    (_ADI_MSK(0x0000FFFF,uint32_t))  /* Timer PWMTMR2 Period Value */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_TM3                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_TM3_VALUE                     0                               /* Timer PWMTMR3 Period Value */
#define BITM_PWM_TM3_VALUE                    (_ADI_MSK(0x0000FFFF,uint32_t))  /* Timer PWMTMR3 Period Value */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_TM4                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_TM4_VALUE                     0                               /* Timer PWMTMR4 Period Value */
#define BITM_PWM_TM4_VALUE                    (_ADI_MSK(0x0000FFFF,uint32_t))  /* Timer PWMTMR4 Period Value */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DLYA                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DLYA_VALUE                    0                               /* Channel A Delay Value */
#define BITM_PWM_DLYA_VALUE                   (_ADI_MSK(0x0000FFFF,uint32_t))  /* Channel A Delay Value */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DLYB                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DLYB_VALUE                    0                               /* Channel B Delay Value */
#define BITM_PWM_DLYB_VALUE                   (_ADI_MSK(0x0000FFFF,uint32_t))  /* Channel B Delay Value */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DLYC                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DLYC_VALUE                    0                               /* Channel C Delay Value */
#define BITM_PWM_DLYC_VALUE                   (_ADI_MSK(0x0000FFFF,uint32_t))  /* Channel C Delay Value */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DLYD                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DLYD_VALUE                    0                               /* Channel D Delay Value */
#define BITM_PWM_DLYD_VALUE                   (_ADI_MSK(0x0000FFFF,uint32_t))  /* Channel D Delay Value */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_ACTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_ACTL_PULSEMODELO             10                               /* Low Side Output Pulse Position */
#define BITP_PWM_ACTL_PULSEMODEHI              8                               /* High Side Output Pulse Position */
#define BITP_PWM_ACTL_XOVR                     2                               /* high-low Crossover Enable */
#define BITP_PWM_ACTL_DISLO                    1                               /* Channel Low Side Output Disable */
#define BITP_PWM_ACTL_DISHI                    0                               /* Channel High Side Output Disable */

#define BITM_PWM_ACTL_PULSEMODELO             (_ADI_MSK(0x00000C00,uint32_t))  /* Low Side Output Pulse Position */
#define ENUM_PWM_SYM_LO                       (_ADI_MSK(0x00000000,uint32_t))  /* PULSEMODELO: Symmetrical */
#define ENUM_PWM_ASYM_LO                      (_ADI_MSK(0x00000400,uint32_t))  /* PULSEMODELO: Asymmetrical */
#define ENUM_PWM_LEFT_LO                      (_ADI_MSK(0x00000800,uint32_t))  /* PULSEMODELO: Left Half */
#define ENUM_PWM_RIGHT_LO                     (_ADI_MSK(0x00000C00,uint32_t))  /* PULSEMODELO: Right Half */

#define BITM_PWM_ACTL_PULSEMODEHI             (_ADI_MSK(0x00000300,uint32_t))  /* High Side Output Pulse Position */
#define ENUM_PWM_SYM_HI                       (_ADI_MSK(0x00000000,uint32_t))  /* PULSEMODEHI: Symmetrical */
#define ENUM_PWM_ASYM_HI                      (_ADI_MSK(0x00000100,uint32_t))  /* PULSEMODEHI: Asymmetrical */
#define ENUM_PWM_LEFT_HI                      (_ADI_MSK(0x00000200,uint32_t))  /* PULSEMODEHI: Left Half */
#define ENUM_PWM_RIGHT_HI                     (_ADI_MSK(0x00000300,uint32_t))  /* PULSEMODEHI: Right Half */

#define BITM_PWM_ACTL_XOVR                    (_ADI_MSK(0x00000004,uint32_t))  /* high-low Crossover Enable */
#define ENUM_PWM_XOVR_DIS                     (_ADI_MSK(0x00000000,uint32_t))  /* XOVR: Disable Crossover */
#define ENUM_PWM_XOVR_EN                      (_ADI_MSK(0x00000004,uint32_t))  /* XOVR: Enable Crossover */

#define BITM_PWM_ACTL_DISLO                   (_ADI_MSK(0x00000002,uint32_t))  /* Channel Low Side Output Disable */
#define ENUM_PWM_LO_DIS                       (_ADI_MSK(0x00000000,uint32_t))  /* DISLO: Disable Low Side Output */
#define ENUM_PWM_LO_EN                        (_ADI_MSK(0x00000002,uint32_t))  /* DISLO: Enable Low Side Output */

#define BITM_PWM_ACTL_DISHI                   (_ADI_MSK(0x00000001,uint32_t))  /* Channel High Side Output Disable */
#define ENUM_PWM_HI_DIS                       (_ADI_MSK(0x00000000,uint32_t))  /* DISHI: Disable High Side Output */
#define ENUM_PWM_HI_EN                        (_ADI_MSK(0x00000001,uint32_t))  /* DISHI: Enable High Side Output */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AH0                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AH0_DUTY                      0                               /* Duty Cycle Asserted Count */
#define BITM_PWM_AH0_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AH1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AH1_DUTY                      0                               /* Duty Cycle De-Asserted Count */
#define BITM_PWM_AH1_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle De-Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AH0_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AH0_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_AH0_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AH1_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AH1_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_AH1_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AL0                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AL0_DUTY                      0                               /* Duty Cycle Asserted Count */
#define BITM_PWM_AL0_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AL1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AL1_DUTY                      0                               /* Duty Cycle De-Asserted Count */
#define BITM_PWM_AL1_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle De-Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AL0_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AL0_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_AL0_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AL1_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AL1_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_AL1_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BCTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BCTL_PULSEMODELO             10                               /* Low Side Output Pulse Position */
#define BITP_PWM_BCTL_PULSEMODEHI              8                               /* High Side Output Pulse Position */
#define BITP_PWM_BCTL_XOVR                     2                               /* high-low Crossover Enable */
#define BITP_PWM_BCTL_DISLO                    1                               /* Channel Low Side Output Disable */
#define BITP_PWM_BCTL_DISHI                    0                               /* Channel High Side Output Disable */

/* The fields and enumerations for PWM_BCTL are also in PWM - see the common set of ENUM_PWM_* #defines located with register PWM_ACTL */

#define BITM_PWM_BCTL_PULSEMODELO             (_ADI_MSK(0x00000C00,uint32_t))  /* Low Side Output Pulse Position */
#define BITM_PWM_BCTL_PULSEMODEHI             (_ADI_MSK(0x00000300,uint32_t))  /* High Side Output Pulse Position */
#define BITM_PWM_BCTL_XOVR                    (_ADI_MSK(0x00000004,uint32_t))  /* high-low Crossover Enable */
#define BITM_PWM_BCTL_DISLO                   (_ADI_MSK(0x00000002,uint32_t))  /* Channel Low Side Output Disable */
#define BITM_PWM_BCTL_DISHI                   (_ADI_MSK(0x00000001,uint32_t))  /* Channel High Side Output Disable */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BH0                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BH0_DUTY                      0                               /* Duty Cycle Asserted Count */
#define BITM_PWM_BH0_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BH1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BH1_DUTY                      0                               /* Duty Cycle De-Asserted Count */
#define BITM_PWM_BH1_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle De-Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BH0_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BH0_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_BH0_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BH1_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BH1_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_BH1_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BL0                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BL0_DUTY                      0                               /* Duty Cycle Asserted Count */
#define BITM_PWM_BL0_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BL1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BL1_DUTY                      0                               /* Duty Cycle De-Asserted Count */
#define BITM_PWM_BL1_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle De-Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BL0_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BL0_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_BL0_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BL1_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BL1_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_BL1_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CCTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CCTL_PULSEMODELO             10                               /* Low Side Output Pulse Position */
#define BITP_PWM_CCTL_PULSEMODEHI              8                               /* High Side Output Pulse Position */
#define BITP_PWM_CCTL_XOVR                     2                               /* high-low Crossover Enable */
#define BITP_PWM_CCTL_DISLO                    1                               /* Channel Low Side Output Disable */
#define BITP_PWM_CCTL_DISHI                    0                               /* Channel High Side Output Disable */

/* The fields and enumerations for PWM_CCTL are also in PWM - see the common set of ENUM_PWM_* #defines located with register PWM_ACTL */

#define BITM_PWM_CCTL_PULSEMODELO             (_ADI_MSK(0x00000C00,uint32_t))  /* Low Side Output Pulse Position */
#define BITM_PWM_CCTL_PULSEMODEHI             (_ADI_MSK(0x00000300,uint32_t))  /* High Side Output Pulse Position */
#define BITM_PWM_CCTL_XOVR                    (_ADI_MSK(0x00000004,uint32_t))  /* high-low Crossover Enable */
#define BITM_PWM_CCTL_DISLO                   (_ADI_MSK(0x00000002,uint32_t))  /* Channel Low Side Output Disable */
#define BITM_PWM_CCTL_DISHI                   (_ADI_MSK(0x00000001,uint32_t))  /* Channel High Side Output Disable */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CH0                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CH0_DUTY                      0                               /* Duty Cycle Asserted Count */
#define BITM_PWM_CH0_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CH1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CH1_DUTY                      0                               /* Duty Cycle De-Asserted Count */
#define BITM_PWM_CH1_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle De-Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CH0_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CH0_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_CH0_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CH1_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CH1_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_CH1_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CL0                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CL0_DUTY                      0                               /* Duty Cycle Asserted Count */
#define BITM_PWM_CL0_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CL1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CL1_DUTY                      0                               /* Duty Cycle De-Asserted Count */
#define BITM_PWM_CL1_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle De-Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CL0_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CL0_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_CL0_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CL1_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CL1_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_CL1_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DCTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DCTL_PULSEMODELO             10                               /* Low Side Output Pulse Position */
#define BITP_PWM_DCTL_PULSEMODEHI              8                               /* High Side Output Pulse Position */
#define BITP_PWM_DCTL_XOVR                     2                               /* high-low Crossover Enable */
#define BITP_PWM_DCTL_DISLO                    1                               /* Channel Low Side Output Disable */
#define BITP_PWM_DCTL_DISHI                    0                               /* Channel High Side Output Disable */

/* The fields and enumerations for PWM_DCTL are also in PWM - see the common set of ENUM_PWM_* #defines located with register PWM_ACTL */

#define BITM_PWM_DCTL_PULSEMODELO             (_ADI_MSK(0x00000C00,uint32_t))  /* Low Side Output Pulse Position */
#define BITM_PWM_DCTL_PULSEMODEHI             (_ADI_MSK(0x00000300,uint32_t))  /* High Side Output Pulse Position */
#define BITM_PWM_DCTL_XOVR                    (_ADI_MSK(0x00000004,uint32_t))  /* high-low Crossover Enable */
#define BITM_PWM_DCTL_DISLO                   (_ADI_MSK(0x00000002,uint32_t))  /* Channel Low Side Output Disable */
#define BITM_PWM_DCTL_DISHI                   (_ADI_MSK(0x00000001,uint32_t))  /* Channel High Side Output Disable */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DH0                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DH0_DUTY                      0                               /* Duty Cycle Asserted Count */
#define BITM_PWM_DH0_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DH1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DH1_DUTY                      0                               /* Duty Cycle De-Asserted Count */
#define BITM_PWM_DH1_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle De-Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DH0_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DH0_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_DH0_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DH1_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DH1_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_DH1_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DL0                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DL0_DUTY                      0                               /* Duty Cycle Asserted Count */
#define BITM_PWM_DL0_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DL1                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DL1_DUTY                      0                               /* Duty Cycle De-Asserted Count */
#define BITM_PWM_DL1_DUTY                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Duty Cycle De-Asserted Count */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DL0_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DL0_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_DL0_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DL1_HP                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DL1_HP_ENHDIV                 6                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_DL1_HP_ENHDIV                (_ADI_MSK(0x000000C0,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AH_DUTY0                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AH_DUTY0_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_AH_DUTY0_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_AH_DUTY0_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_AH_DUTY0_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AH_DUTY1                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AH_DUTY1_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_AH_DUTY1_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_AH_DUTY1_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_AH_DUTY1_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AL_DUTY0                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AL_DUTY0_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_AL_DUTY0_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_AL_DUTY0_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_AL_DUTY0_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_AL_DUTY1                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_AL_DUTY1_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_AL_DUTY1_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_AL_DUTY1_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_AL_DUTY1_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BH_DUTY0                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BH_DUTY0_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_BH_DUTY0_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_BH_DUTY0_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_BH_DUTY0_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BH_DUTY1                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BH_DUTY1_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_BH_DUTY1_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_BH_DUTY1_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_BH_DUTY1_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BL_DUTY0                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BL_DUTY0_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_BL_DUTY0_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_BL_DUTY0_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_BL_DUTY0_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_BL_DUTY1                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_BL_DUTY1_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_BL_DUTY1_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_BL_DUTY1_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_BL_DUTY1_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CH_DUTY0                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CH_DUTY0_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_CH_DUTY0_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_CH_DUTY0_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_CH_DUTY0_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CH_DUTY1                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CH_DUTY1_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_CH_DUTY1_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_CH_DUTY1_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_CH_DUTY1_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CL_DUTY0                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CL_DUTY0_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_CL_DUTY0_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_CL_DUTY0_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_CL_DUTY0_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_CL_DUTY1                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_CL_DUTY1_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_CL_DUTY1_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_CL_DUTY1_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_CL_DUTY1_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DH_DUTY0                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DH_DUTY0_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_DH_DUTY0_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_DH_DUTY0_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_DH_DUTY0_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DH_DUTY1                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DH_DUTY1_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_DH_DUTY1_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_DH_DUTY1_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_DH_DUTY1_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DL_DUTY0                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DL_DUTY0_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_DL_DUTY0_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_DL_DUTY0_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_DL_DUTY0_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         PWM_DL_DUTY1                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_PWM_DL_DUTY1_DUTY                16                               /* Coarse Duty Value */
#define BITP_PWM_DL_DUTY1_ENHDIV              14                               /* Enhanced Precision Divider Bits */
#define BITM_PWM_DL_DUTY1_DUTY                (_ADI_MSK(0xFFFF0000,uint32_t))  /* Coarse Duty Value */
#define BITM_PWM_DL_DUTY1_ENHDIV              (_ADI_MSK(0x0000C000,uint32_t))  /* Enhanced Precision Divider Bits */

/* ==================================================
        BIST for HPPWM Registers
   ================================================== */

/* =========================
        HPWMBST
   ========================= */
/* ==================================================
        CNT Registers
   ================================================== */

/* =========================
        CNT0
   ========================= */
#define REG_CNT0_CFG                    0x40009000         /* CNT0 Configuration Register */
#define REG_CNT0_IMSK                   0x40009004         /* CNT0 Interrupt Mask Register */
#define REG_CNT0_STAT                   0x40009008         /* CNT0 Status Register */
#define REG_CNT0_CMD                    0x4000900C         /* CNT0 Command Register */
#define REG_CNT0_DEBNCE                 0x40009010         /* CNT0 Debounce Register */
#define REG_CNT0_CNTR                   0x40009014         /* CNT0 Counter Register */
#define REG_CNT0_MAX                    0x40009018         /* CNT0 Maximum Count Register */
#define REG_CNT0_MIN                    0x4000901C         /* CNT0 Minimum Count Register */
#define REG_CNT0_MDIV                   0x40009020         /* CNT0 M Value for Divider */
#define REG_CNT0_NDIV                   0x40009024         /* CNT0 N Value for Divider */

/* =========================
        CNT1
   ========================= */
#define REG_CNT1_CFG                    0x4000A000         /* CNT1 Configuration Register */
#define REG_CNT1_IMSK                   0x4000A004         /* CNT1 Interrupt Mask Register */
#define REG_CNT1_STAT                   0x4000A008         /* CNT1 Status Register */
#define REG_CNT1_CMD                    0x4000A00C         /* CNT1 Command Register */
#define REG_CNT1_DEBNCE                 0x4000A010         /* CNT1 Debounce Register */
#define REG_CNT1_CNTR                   0x4000A014         /* CNT1 Counter Register */
#define REG_CNT1_MAX                    0x4000A018         /* CNT1 Maximum Count Register */
#define REG_CNT1_MIN                    0x4000A01C         /* CNT1 Minimum Count Register */
#define REG_CNT1_MDIV                   0x4000A020         /* CNT1 M Value for Divider */
#define REG_CNT1_NDIV                   0x4000A024         /* CNT1 N Value for Divider */

/* =========================
        CNT2
   ========================= */
#define REG_CNT2_CFG                    0x4000B000         /* CNT2 Configuration Register */
#define REG_CNT2_IMSK                   0x4000B004         /* CNT2 Interrupt Mask Register */
#define REG_CNT2_STAT                   0x4000B008         /* CNT2 Status Register */
#define REG_CNT2_CMD                    0x4000B00C         /* CNT2 Command Register */
#define REG_CNT2_DEBNCE                 0x4000B010         /* CNT2 Debounce Register */
#define REG_CNT2_CNTR                   0x4000B014         /* CNT2 Counter Register */
#define REG_CNT2_MAX                    0x4000B018         /* CNT2 Maximum Count Register */
#define REG_CNT2_MIN                    0x4000B01C         /* CNT2 Minimum Count Register */
#define REG_CNT2_MDIV                   0x4000B020         /* CNT2 M Value for Divider */
#define REG_CNT2_NDIV                   0x4000B024         /* CNT2 N Value for Divider */

/* =========================
        CNT3
   ========================= */
#define REG_CNT3_CFG                    0x4000C000         /* CNT3 Configuration Register */
#define REG_CNT3_IMSK                   0x4000C004         /* CNT3 Interrupt Mask Register */
#define REG_CNT3_STAT                   0x4000C008         /* CNT3 Status Register */
#define REG_CNT3_CMD                    0x4000C00C         /* CNT3 Command Register */
#define REG_CNT3_DEBNCE                 0x4000C010         /* CNT3 Debounce Register */
#define REG_CNT3_CNTR                   0x4000C014         /* CNT3 Counter Register */
#define REG_CNT3_MAX                    0x4000C018         /* CNT3 Maximum Count Register */
#define REG_CNT3_MIN                    0x4000C01C         /* CNT3 Minimum Count Register */
#define REG_CNT3_MDIV                   0x4000C020         /* CNT3 M Value for Divider */
#define REG_CNT3_NDIV                   0x4000C024         /* CNT3 N Value for Divider */

/* =========================
        CNT
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         CNT_CFG                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CNT_CFG_INPDIS                   15                               /* CUD and CDG Pin Input Disable */
#define BITP_CNT_CFG_BNDMODE                  12                               /* Boundary Register Mode */
#define BITP_CNT_CFG_ZMZC                     11                               /* CZM Zeroes Counter Enable */
#define BITP_CNT_CFG_CNTMODE                   8                               /* Counter Operating Mode */
#define BITP_CNT_CFG_DIVMODE                   7                               /* Divider mode */
#define BITP_CNT_CFG_CZMINV                    6                               /* CZM Pin Polarity Invert */
#define BITP_CNT_CFG_CUDINV                    5                               /* CUD Pin Polarity Invert */
#define BITP_CNT_CFG_CDGINV                    4                               /* CDG Pin Polarity Invert */
#define BITP_CNT_CFG_DIVNTV                    3                               /* Non-debounced Inputs to Divider Enable */
#define BITP_CNT_CFG_DIVEN                     2                               /* Divider Enable */
#define BITP_CNT_CFG_DEBEN                     1                               /* Debounce Enable */
#define BITP_CNT_CFG_EN                        0                               /* Counter Enable */

#define BITM_CNT_CFG_INPDIS                   (_ADI_MSK(0x00008000,uint32_t))  /* CUD and CDG Pin Input Disable */
#define ENUM_CNT_CFG_NO_INPDIS                (_ADI_MSK(0x00000000,uint32_t))  /* INPDIS: Enable */
#define ENUM_CNT_CFG_INPDIS                   (_ADI_MSK(0x00008000,uint32_t))  /* INPDIS: Pin Input Disable */

#define BITM_CNT_CFG_BNDMODE                  (_ADI_MSK(0x00003000,uint32_t))  /* Boundary Register Mode */
#define ENUM_CNT_CFG_BNDMODE_BNDCOMP          (_ADI_MSK(0x00000000,uint32_t))  /* BNDMODE: BND_COMP */
#define ENUM_CNT_CFG_BNDMODE_BINENC           (_ADI_MSK(0x00001000,uint32_t))  /* BNDMODE: BIN_ENC */
#define ENUM_CNT_CFG_BNDMODE_BNDCAPT          (_ADI_MSK(0x00002000,uint32_t))  /* BNDMODE: BND_CAPT */
#define ENUM_CNT_CFG_BNDMODE_BNDAEXT          (_ADI_MSK(0x00003000,uint32_t))  /* BNDMODE: BND_AEXT */

#define BITM_CNT_CFG_ZMZC                     (_ADI_MSK(0x00000800,uint32_t))  /* CZM Zeroes Counter Enable */
#define ENUM_CNT_CFG_ZMZC_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* ZMZC: Disable */
#define ENUM_CNT_CFG_ZMZC_EN                  (_ADI_MSK(0x00000800,uint32_t))  /* ZMZC: Enable */

#define BITM_CNT_CFG_CNTMODE                  (_ADI_MSK(0x00000700,uint32_t))  /* Counter Operating Mode */
#define ENUM_CNT_CFG_CNTMODE_QUADENC          (_ADI_MSK(0x00000000,uint32_t))  /* CNTMODE: QUAD_ENC */
#define ENUM_CNT_CFG_CNTMODE_BINENC           (_ADI_MSK(0x00000100,uint32_t))  /* CNTMODE: BIN_ENC */
#define ENUM_CNT_CFG_CNTMODE_UDCNT            (_ADI_MSK(0x00000200,uint32_t))  /* CNTMODE: UD_CNT */
#define ENUM_CNT_CFG_CNTMODE_DIRCNT           (_ADI_MSK(0x00000400,uint32_t))  /* CNTMODE: DIR_CNT */
#define ENUM_CNT_CFG_CNTMODE_DIRTMR           (_ADI_MSK(0x00000500,uint32_t))  /* CNTMODE: DIR_TMR */
#define BITM_CNT_CFG_DIVMODE                  (_ADI_MSK(0x00000080,uint32_t))  /* Divider mode */

#define BITM_CNT_CFG_CZMINV                   (_ADI_MSK(0x00000040,uint32_t))  /* CZM Pin Polarity Invert */
#define ENUM_CNT_CFG_CZMINV_AHI               (_ADI_MSK(0x00000000,uint32_t))  /* CZMINV: Active High, Rising Edge */
#define ENUM_CNT_CFG_CZMINV_ALO               (_ADI_MSK(0x00000040,uint32_t))  /* CZMINV: Active Low, Falling Edge */

#define BITM_CNT_CFG_CUDINV                   (_ADI_MSK(0x00000020,uint32_t))  /* CUD Pin Polarity Invert */
#define ENUM_CNT_CFG_CUDINV_AHI               (_ADI_MSK(0x00000000,uint32_t))  /* CUDINV: Active High, Rising Edge */
#define ENUM_CNT_CFG_CUDINV_ALO               (_ADI_MSK(0x00000020,uint32_t))  /* CUDINV: Active Low, Falling Edge */

#define BITM_CNT_CFG_CDGINV                   (_ADI_MSK(0x00000010,uint32_t))  /* CDG Pin Polarity Invert */
#define ENUM_CNT_CFG_CDGINV_AHI               (_ADI_MSK(0x00000000,uint32_t))  /* CDGINV: Active High, Rising Edge */
#define ENUM_CNT_CFG_CDGINV_ALO               (_ADI_MSK(0x00000010,uint32_t))  /* CDGINV: Active Low, Falling Edge */
#define BITM_CNT_CFG_DIVNTV                   (_ADI_MSK(0x00000008,uint32_t))  /* Non-debounced Inputs to Divider Enable */
#define BITM_CNT_CFG_DIVEN                    (_ADI_MSK(0x00000004,uint32_t))  /* Divider Enable */

#define BITM_CNT_CFG_DEBEN                    (_ADI_MSK(0x00000002,uint32_t))  /* Debounce Enable */
#define ENUM_CNT_CFG_DEBDIS                   (_ADI_MSK(0x00000000,uint32_t))  /* DEBEN: Disable */
#define ENUM_CNT_CFG_DEBEN                    (_ADI_MSK(0x00000002,uint32_t))  /* DEBEN: Enable */

#define BITM_CNT_CFG_EN                       (_ADI_MSK(0x00000001,uint32_t))  /* Counter Enable */
#define ENUM_CNT_CFG_CNTDIS                   (_ADI_MSK(0x00000000,uint32_t))  /* EN: Counter Disable */
#define ENUM_CNT_CFG_CNTEN                    (_ADI_MSK(0x00000001,uint32_t))  /* EN: Counter Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         CNT_IMSK                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CNT_IMSK_DCHNG                   14                               /* Direction Change Interrupt Enable */
#define BITP_CNT_IMSK_DERR                    13                               /* Direction Error Interrupt Enable */
#define BITP_CNT_IMSK_MERR                    12                               /* M Value Programming Error Interrupt Enable */
#define BITP_CNT_IMSK_STP                     11                               /* Stop Detect Interrupt Enable */
#define BITP_CNT_IMSK_CZMZ                    10                               /* Counter Zeroed by Zero Marker Interrupt Enable */
#define BITP_CNT_IMSK_CZME                     9                               /* Zero Marker Error Interrupt Enable */
#define BITP_CNT_IMSK_CZM                      8                               /* CZM Pin/Pushbutton Interrupt Enable */
#define BITP_CNT_IMSK_CZERO                    7                               /* CNT_CNTR Counts To Zero Interrupt Enable */
#define BITP_CNT_IMSK_COV15                    6                               /* Bit 15 Overflow Interrupt Enable */
#define BITP_CNT_IMSK_COV31                    5                               /* Bit 31 Overflow Interrupt Enable */
#define BITP_CNT_IMSK_MAXC                     4                               /* Max Count Interrupt Enable */
#define BITP_CNT_IMSK_MINC                     3                               /* Min Count Interrupt Enable */
#define BITP_CNT_IMSK_DC                       2                               /* Downcount Interrupt Enable */
#define BITP_CNT_IMSK_UC                       1                               /* Upcount Interrupt Enable */
#define BITP_CNT_IMSK_IC                       0                               /* Illegal Gray/Binary Code Interrupt Enable */
#define BITM_CNT_IMSK_DCHNG                   (_ADI_MSK(0x00004000,uint32_t))  /* Direction Change Interrupt Enable */
#define BITM_CNT_IMSK_DERR                    (_ADI_MSK(0x00002000,uint32_t))  /* Direction Error Interrupt Enable */
#define BITM_CNT_IMSK_MERR                    (_ADI_MSK(0x00001000,uint32_t))  /* M Value Programming Error Interrupt Enable */
#define BITM_CNT_IMSK_STP                     (_ADI_MSK(0x00000800,uint32_t))  /* Stop Detect Interrupt Enable */

#define BITM_CNT_IMSK_CZMZ                    (_ADI_MSK(0x00000400,uint32_t))  /* Counter Zeroed by Zero Marker Interrupt Enable */
#define ENUM_CNT_IMSK_CZMZ_MSK                (_ADI_MSK(0x00000000,uint32_t))  /* CZMZ: Mask Interrupt */
#define ENUM_CNT_IMSK_CZMZ_UMSK               (_ADI_MSK(0x00000400,uint32_t))  /* CZMZ: Unmask Interrupt */

#define BITM_CNT_IMSK_CZME                    (_ADI_MSK(0x00000200,uint32_t))  /* Zero Marker Error Interrupt Enable */
#define ENUM_CNT_IMSK_CZME_MSK                (_ADI_MSK(0x00000000,uint32_t))  /* CZME: Mask Interrupt */
#define ENUM_CNT_IMSK_CZME_UMSK               (_ADI_MSK(0x00000200,uint32_t))  /* CZME: Unmask Interrupt */

#define BITM_CNT_IMSK_CZM                     (_ADI_MSK(0x00000100,uint32_t))  /* CZM Pin/Pushbutton Interrupt Enable */
#define ENUM_CNT_IMSK_CZM_MSK                 (_ADI_MSK(0x00000000,uint32_t))  /* CZM: Mask Interrupt */
#define ENUM_CNT_IMSK_CZM_UMSK                (_ADI_MSK(0x00000100,uint32_t))  /* CZM: Unmask Interrupt */

#define BITM_CNT_IMSK_CZERO                   (_ADI_MSK(0x00000080,uint32_t))  /* CNT_CNTR Counts To Zero Interrupt Enable */
#define ENUM_CNT_IMSK_CZERO_MSK               (_ADI_MSK(0x00000000,uint32_t))  /* CZERO: Mask Interrupt */
#define ENUM_CNT_IMSK_CZERO_UMSK              (_ADI_MSK(0x00000080,uint32_t))  /* CZERO: Unmask Interrupt */

#define BITM_CNT_IMSK_COV15                   (_ADI_MSK(0x00000040,uint32_t))  /* Bit 15 Overflow Interrupt Enable */
#define ENUM_CNT_IMSK_COV15_MSK               (_ADI_MSK(0x00000000,uint32_t))  /* COV15: Mask Interrupt */
#define ENUM_CNT_IMSK_COV15_UMSK              (_ADI_MSK(0x00000040,uint32_t))  /* COV15: Unmask Interrupt */

#define BITM_CNT_IMSK_COV31                   (_ADI_MSK(0x00000020,uint32_t))  /* Bit 31 Overflow Interrupt Enable */
#define ENUM_CNT_IMSK_COV31_MSK               (_ADI_MSK(0x00000000,uint32_t))  /* COV31: Mask Interrupt */
#define ENUM_CNT_IMSK_COV31_UMSK              (_ADI_MSK(0x00000020,uint32_t))  /* COV31: Unmask Interrupt */

#define BITM_CNT_IMSK_MAXC                    (_ADI_MSK(0x00000010,uint32_t))  /* Max Count Interrupt Enable */
#define ENUM_CNT_IMSK_MAXC_MSK                (_ADI_MSK(0x00000000,uint32_t))  /* MAXC: Mask Interrupt */
#define ENUM_CNT_IMSK_MAXC_UMSK               (_ADI_MSK(0x00000010,uint32_t))  /* MAXC: Unmask Interrupt */

#define BITM_CNT_IMSK_MINC                    (_ADI_MSK(0x00000008,uint32_t))  /* Min Count Interrupt Enable */
#define ENUM_CNT_IMSK_MINC_MSK                (_ADI_MSK(0x00000000,uint32_t))  /* MINC: Mask Interrupt */
#define ENUM_CNT_IMSK_MINC_UMSK               (_ADI_MSK(0x00000008,uint32_t))  /* MINC: Unmask Interrupt */

#define BITM_CNT_IMSK_DC                      (_ADI_MSK(0x00000004,uint32_t))  /* Downcount Interrupt Enable */
#define ENUM_CNT_IMSK_DC_MSK                  (_ADI_MSK(0x00000000,uint32_t))  /* DC: Mask Interrupt */
#define ENUM_CNT_IMSK_DC_UMSK                 (_ADI_MSK(0x00000004,uint32_t))  /* DC: Unmask Interrupt */

#define BITM_CNT_IMSK_UC                      (_ADI_MSK(0x00000002,uint32_t))  /* Upcount Interrupt Enable */
#define ENUM_CNT_IMSK_UC_MSK                  (_ADI_MSK(0x00000000,uint32_t))  /* UC: Mask Interrupt */
#define ENUM_CNT_IMSK_UC_UMSK                 (_ADI_MSK(0x00000002,uint32_t))  /* UC: Unmask Interrupt */

#define BITM_CNT_IMSK_IC                      (_ADI_MSK(0x00000001,uint32_t))  /* Illegal Gray/Binary Code Interrupt Enable */
#define ENUM_CNT_IMSK_IC_MSK                  (_ADI_MSK(0x00000000,uint32_t))  /* IC: Mask Interrupt */
#define ENUM_CNT_IMSK_IC_UMSK                 (_ADI_MSK(0x00000001,uint32_t))  /* IC: Unmask Interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         CNT_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CNT_STAT_DCHNG                   14                               /* Direction Change Interrupt Enable */
#define BITP_CNT_STAT_DERR                    13                               /* Direction Error Interrupt */
#define BITP_CNT_STAT_MERR                    12                               /* M Value Programming Error Interrupt */
#define BITP_CNT_STAT_STP                     11                               /* Stop Detect Interrupt */
#define BITP_CNT_STAT_CZMZ                    10                               /* Counter Zeroed By Zero Marker Interrupt */
#define BITP_CNT_STAT_CZME                     9                               /* Zero Marker Error Interrupt */
#define BITP_CNT_STAT_CZM                      8                               /* CZM Pin/Pushbutton Interrupt */
#define BITP_CNT_STAT_CZERO                    7                               /* CNT_CNTR Counts To Zero Interrupt */
#define BITP_CNT_STAT_COV15                    6                               /* Bit 15 Overflow Interrupt */
#define BITP_CNT_STAT_COV31                    5                               /* Bit 31 Overflow Interrupt */
#define BITP_CNT_STAT_MAXC                     4                               /* Max Count Interrupt */
#define BITP_CNT_STAT_MINC                     3                               /* Min Count Interrupt */
#define BITP_CNT_STAT_DC                       2                               /* Down Count Interrupt */
#define BITP_CNT_STAT_UC                       1                               /* Up Count Interrupt */
#define BITP_CNT_STAT_IC                       0                               /* Illegal Gray/Binary Code Interrupt */
#define BITM_CNT_STAT_DCHNG                   (_ADI_MSK(0x00004000,uint32_t))  /* Direction Change Interrupt Enable */
#define BITM_CNT_STAT_DERR                    (_ADI_MSK(0x00002000,uint32_t))  /* Direction Error Interrupt */
#define BITM_CNT_STAT_MERR                    (_ADI_MSK(0x00001000,uint32_t))  /* M Value Programming Error Interrupt */
#define BITM_CNT_STAT_STP                     (_ADI_MSK(0x00000800,uint32_t))  /* Stop Detect Interrupt */
#define BITM_CNT_STAT_CZMZ                    (_ADI_MSK(0x00000400,uint32_t))  /* Counter Zeroed By Zero Marker Interrupt */
#define BITM_CNT_STAT_CZME                    (_ADI_MSK(0x00000200,uint32_t))  /* Zero Marker Error Interrupt */
#define BITM_CNT_STAT_CZM                     (_ADI_MSK(0x00000100,uint32_t))  /* CZM Pin/Pushbutton Interrupt */
#define BITM_CNT_STAT_CZERO                   (_ADI_MSK(0x00000080,uint32_t))  /* CNT_CNTR Counts To Zero Interrupt */
#define BITM_CNT_STAT_COV15                   (_ADI_MSK(0x00000040,uint32_t))  /* Bit 15 Overflow Interrupt */
#define BITM_CNT_STAT_COV31                   (_ADI_MSK(0x00000020,uint32_t))  /* Bit 31 Overflow Interrupt */
#define BITM_CNT_STAT_MAXC                    (_ADI_MSK(0x00000010,uint32_t))  /* Max Count Interrupt */
#define BITM_CNT_STAT_MINC                    (_ADI_MSK(0x00000008,uint32_t))  /* Min Count Interrupt */
#define BITM_CNT_STAT_DC                      (_ADI_MSK(0x00000004,uint32_t))  /* Down Count Interrupt */
#define BITM_CNT_STAT_UC                      (_ADI_MSK(0x00000002,uint32_t))  /* Up Count Interrupt */
#define BITM_CNT_STAT_IC                      (_ADI_MSK(0x00000001,uint32_t))  /* Illegal Gray/Binary Code Interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         CNT_CMD                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CNT_CMD_W1ZMONCE                 12                               /* Write 1 Zero Marker Clear Once Enable */
#define BITP_CNT_CMD_W1LMAXMIN                10                               /* Write 1 MAX Copy from MIN */
#define BITP_CNT_CMD_W1LMAXCNT                 9                               /* Write 1 MAX Capture from CNTR */
#define BITP_CNT_CMD_W1LMAXZERO                8                               /* Write 1 MAX to Zero */
#define BITP_CNT_CMD_W1LMINMAX                 7                               /* Write 1 MIN Copy from MAX */
#define BITP_CNT_CMD_W1LMINCNT                 5                               /* Write 1 MIN Capture from CNTR */
#define BITP_CNT_CMD_W1LMINZERO                4                               /* Write 1 MIN to Zero */
#define BITP_CNT_CMD_W1LCNTMAX                 3                               /* Write 1 CNTR Load from MAX */
#define BITP_CNT_CMD_W1LCNTMIN                 2                               /* Write 1 CNTR Load from MIN */
#define BITP_CNT_CMD_W1LCNTZERO                0                               /* Write 1 CNTR to Zero */
#define BITM_CNT_CMD_W1ZMONCE                 (_ADI_MSK(0x00001000,uint32_t))  /* Write 1 Zero Marker Clear Once Enable */
#define BITM_CNT_CMD_W1LMAXMIN                (_ADI_MSK(0x00000400,uint32_t))  /* Write 1 MAX Copy from MIN */
#define BITM_CNT_CMD_W1LMAXCNT                (_ADI_MSK(0x00000200,uint32_t))  /* Write 1 MAX Capture from CNTR */
#define BITM_CNT_CMD_W1LMAXZERO               (_ADI_MSK(0x00000100,uint32_t))  /* Write 1 MAX to Zero */
#define BITM_CNT_CMD_W1LMINMAX                (_ADI_MSK(0x00000080,uint32_t))  /* Write 1 MIN Copy from MAX */
#define BITM_CNT_CMD_W1LMINCNT                (_ADI_MSK(0x00000020,uint32_t))  /* Write 1 MIN Capture from CNTR */
#define BITM_CNT_CMD_W1LMINZERO               (_ADI_MSK(0x00000010,uint32_t))  /* Write 1 MIN to Zero */
#define BITM_CNT_CMD_W1LCNTMAX                (_ADI_MSK(0x00000008,uint32_t))  /* Write 1 CNTR Load from MAX */
#define BITM_CNT_CMD_W1LCNTMIN                (_ADI_MSK(0x00000004,uint32_t))  /* Write 1 CNTR Load from MIN */
#define BITM_CNT_CMD_W1LCNTZERO               (_ADI_MSK(0x00000001,uint32_t))  /* Write 1 CNTR to Zero */

/* ------------------------------------------------------------------------------------------------------------------------
         CNT_DEBNCE                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CNT_DEBNCE_DPRESCALE              0                               /* Debounce Prescale */
#define BITM_CNT_DEBNCE_DPRESCALE             (_ADI_MSK(0x0000001F,uint32_t))  /* Debounce Prescale */

/* ------------------------------------------------------------------------------------------------------------------------
         CNT_MDIV                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CNT_MDIV_MDIV                     0                               /* M Value for Divider */
#define BITM_CNT_MDIV_MDIV                    (_ADI_MSK(0x0000FFFF,uint32_t))  /* M Value for Divider */

/* ------------------------------------------------------------------------------------------------------------------------
         CNT_NDIV                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CNT_NDIV_NDIV                     0                               /* N Value for Divider */
#define BITM_CNT_NDIV_NDIV                    (_ADI_MSK(0x0000FFFF,uint32_t))  /* N Value for Divider */

/* ==================================================
        SINC Registers
   ================================================== */

/* =========================
        SINC0
   ========================= */
#define REG_SINC0_CTL                   0x4000D000         /* SINC0 Control Register */
#define REG_SINC0_STAT                  0x4000D004         /* SINC0 Status Register */
#define REG_SINC0_CLK                   0x4000D008         /* SINC0 Clock Control Register */
#define REG_SINC0_RATE0                 0x4000D010         /* SINC0 Rate Control for Group 0 Register */
#define REG_SINC0_RATE1                 0x4000D014         /* SINC0 Rate Control for Group 1 Register */
#define REG_SINC0_LEVEL0                0x4000D018         /* SINC0 Level Control for Group 0 Register */
#define REG_SINC0_LEVEL1                0x4000D01C         /* SINC0 Level Control for Group 1 Register */
#define REG_SINC0_LIMIT0                0x4000D020         /* SINC0 (Amplitude) Limits for Secondary Filter 0 Register */
#define REG_SINC0_LIMIT1                0x4000D024         /* SINC0 (Amplitude) Limits for Secondary Filter 1 Register */
#define REG_SINC0_LIMIT2                0x4000D028         /* SINC0 (Amplitude) Limits for Secondary Filter 2 Register */
#define REG_SINC0_LIMIT3                0x4000D02C         /* SINC0 (Amplitude) Limits for Secondary Filter 3 Register */
#define REG_SINC0_BIAS0                 0x4000D030         /* SINC0 Bias for Group 0 Register */
#define REG_SINC0_BIAS1                 0x4000D034         /* SINC0 Bias for Group 1 Register */
#define REG_SINC0_PPTR0                 0x4000D038         /* SINC0 Primary (Filters) Pointer for Group 0 Register */
#define REG_SINC0_PPTR1                 0x4000D03C         /* SINC0 Primary (Filters) Pointer for Group 1 Register */
#define REG_SINC0_PHEAD0                0x4000D040         /* SINC0 Primary (Filters) Head for Group 0 Register */
#define REG_SINC0_PHEAD1                0x4000D044         /* SINC0 Primary (Filters) Head for Group 1 Register */
#define REG_SINC0_PTAIL0                0x4000D048         /* SINC0 Primary (Filters) Tail for Group 0 Register */
#define REG_SINC0_PTAIL1                0x4000D04C         /* SINC0 Primary (Filters) Tail for Group 1 Register */
#define REG_SINC0_HIS_STAT              0x4000D050         /* SINC0 History Status Register */
#define REG_SINC0_P0SEC_HIST0           0x4000D080         /* SINC0 Pair 0 Secondary (Filter) History n Register */
#define REG_SINC0_P0SEC_HIST1           0x4000D084         /* SINC0 Pair 0 Secondary (Filter) History n Register */
#define REG_SINC0_P0SEC_HIST2           0x4000D088         /* SINC0 Pair 0 Secondary (Filter) History n Register */
#define REG_SINC0_P0SEC_HIST3           0x4000D08C         /* SINC0 Pair 0 Secondary (Filter) History n Register */
#define REG_SINC0_P1SEC_HIST0           0x4000D090         /* SINC0 Pair 1 Secondary (Filter) History n Register */
#define REG_SINC0_P1SEC_HIST1           0x4000D094         /* SINC0 Pair 1 Secondary (Filter) History n Register */
#define REG_SINC0_P1SEC_HIST2           0x4000D098         /* SINC0 Pair 1 Secondary (Filter) History n Register */
#define REG_SINC0_P1SEC_HIST3           0x4000D09C         /* SINC0 Pair 1 Secondary (Filter) History n Register */
#define REG_SINC0_P2SEC_HIST0           0x4000D0A0         /* SINC0 Pair 2 Secondary (Filter) History n Register */
#define REG_SINC0_P2SEC_HIST1           0x4000D0A4         /* SINC0 Pair 2 Secondary (Filter) History n Register */
#define REG_SINC0_P2SEC_HIST2           0x4000D0A8         /* SINC0 Pair 2 Secondary (Filter) History n Register */
#define REG_SINC0_P2SEC_HIST3           0x4000D0AC         /* SINC0 Pair 2 Secondary (Filter) History n Register */
#define REG_SINC0_P3SEC_HIST0           0x4000D0B0         /* SINC0 Pair 3 Secondary (Filter) History n Register */
#define REG_SINC0_P3SEC_HIST1           0x4000D0B4         /* SINC0 Pair 3 Secondary (Filter) History n Register */
#define REG_SINC0_P3SEC_HIST2           0x4000D0B8         /* SINC0 Pair 3 Secondary (Filter) History n Register */
#define REG_SINC0_P3SEC_HIST3           0x4000D0BC         /* SINC0 Pair 3 Secondary (Filter) History n Register */

/* =========================
        SINC
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         SINC_CTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_CTL_ELIM1                   31                               /* Enable Limit for Group 1 */
#define BITP_SINC_CTL_ESAT1                   30                               /* Enable Saturation for Group 1 */
#define BITP_SINC_CTL_EPCNT1                  29                               /* Enable Primary Count for Group 1 */
#define BITP_SINC_CTL_EFOVF1                  28                               /* Enable FIFO Overflow for Group 1 */
#define BITP_SINC_CTL_ELIM0                   15                               /* Enable Limit for Group 0 */
#define BITP_SINC_CTL_ESAT0                   14                               /* Enable Saturation for Group 0 */
#define BITP_SINC_CTL_EPCNT0                  13                               /* Enable Primary Count for Group 0 */
#define BITP_SINC_CTL_EFOVF0                  12                               /* Enable FIFO Overflow for Group 0 */
#define BITP_SINC_CTL_EN3                      6                               /* Enable Filter Pair 3 */
#define BITP_SINC_CTL_EN2                      4                               /* Enable Filter Pair 2 */
#define BITP_SINC_CTL_EN1                      2                               /* Enable Filter Pair 1 */
#define BITP_SINC_CTL_EN0                      0                               /* Enable Filter Pair 0 */
#define BITM_SINC_CTL_ELIM1                   (_ADI_MSK(0x80000000,uint32_t))  /* Enable Limit for Group 1 */
#define BITM_SINC_CTL_ESAT1                   (_ADI_MSK(0x40000000,uint32_t))  /* Enable Saturation for Group 1 */
#define BITM_SINC_CTL_EPCNT1                  (_ADI_MSK(0x20000000,uint32_t))  /* Enable Primary Count for Group 1 */
#define BITM_SINC_CTL_EFOVF1                  (_ADI_MSK(0x10000000,uint32_t))  /* Enable FIFO Overflow for Group 1 */
#define BITM_SINC_CTL_ELIM0                   (_ADI_MSK(0x00008000,uint32_t))  /* Enable Limit for Group 0 */
#define BITM_SINC_CTL_ESAT0                   (_ADI_MSK(0x00004000,uint32_t))  /* Enable Saturation for Group 0 */
#define BITM_SINC_CTL_EPCNT0                  (_ADI_MSK(0x00002000,uint32_t))  /* Enable Primary Count for Group 0 */
#define BITM_SINC_CTL_EFOVF0                  (_ADI_MSK(0x00001000,uint32_t))  /* Enable FIFO Overflow for Group 0 */
#define BITM_SINC_CTL_EN3                     (_ADI_MSK(0x000000C0,uint32_t))  /* Enable Filter Pair 3 */
#define BITM_SINC_CTL_EN2                     (_ADI_MSK(0x00000030,uint32_t))  /* Enable Filter Pair 2 */
#define BITM_SINC_CTL_EN1                     (_ADI_MSK(0x0000000C,uint32_t))  /* Enable Filter Pair 1 */
#define BITM_SINC_CTL_EN0                     (_ADI_MSK(0x00000003,uint32_t))  /* Enable Filter Pair 0 */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_STAT                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_STAT_GLIM1                  31                               /* Group 1 Limit Status */
#define BITP_SINC_STAT_GSAT1                  30                               /* Group 1 Saturation Status */
#define BITP_SINC_STAT_PCNT1                  29                               /* Primary (Filter) Count for Group 1 Status */
#define BITP_SINC_STAT_FOVF1                  28                               /* FIFO Overflow for Group 1 Status */
#define BITP_SINC_STAT_PFAB1                  27                               /* Primary (Filter) Fabric Error for Group 1 Status */
#define BITP_SINC_STAT_PSAT3                  23                               /* Primary (Filter) 3 Saturation Status */
#define BITP_SINC_STAT_PSAT2                  22                               /* Primary (Filter) 2 Saturation Status */
#define BITP_SINC_STAT_PSAT1                  21                               /* Primary (Filter) 1 Saturation Status */
#define BITP_SINC_STAT_PSAT0                  20                               /* Primary (Filter) 0 Saturation Status */
#define BITP_SINC_STAT_MAX3                   19                               /* Maximum for Secondary Filter 3 Status */
#define BITP_SINC_STAT_MAX2                   18                               /* Maximum for Secondary Filter 2 Status */
#define BITP_SINC_STAT_MAX1                   17                               /* Maximum for Secondary Filter 1 Status */
#define BITP_SINC_STAT_MAX0                   16                               /* Maximum for Secondary Filter 0 Status */
#define BITP_SINC_STAT_GLIM0                  15                               /* Group 0 Limit Status */
#define BITP_SINC_STAT_GSAT0                  14                               /* Group 0 Saturation Status */
#define BITP_SINC_STAT_PCNT0                  13                               /* Primary (Filter) Count for Group 0 Status */
#define BITP_SINC_STAT_FOVF0                  12                               /* FIFO Overflow for Group 0 Status */
#define BITP_SINC_STAT_PFAB0                  11                               /* Primary (Filter) Fabric Error for Group 0 Status */
#define BITP_SINC_STAT_MIN3                    3                               /* Minimum for Secondary Filter 3 Status */
#define BITP_SINC_STAT_MIN2                    2                               /* Minimum for Secondary Filter 2 Status */
#define BITP_SINC_STAT_MIN1                    1                               /* Minimum for Secondary Filter 1 Status */
#define BITP_SINC_STAT_MIN0                    0                               /* Minimum for Secondary Filter 0 Status */
#define BITM_SINC_STAT_GLIM1                  (_ADI_MSK(0x80000000,uint32_t))  /* Group 1 Limit Status */
#define BITM_SINC_STAT_GSAT1                  (_ADI_MSK(0x40000000,uint32_t))  /* Group 1 Saturation Status */
#define BITM_SINC_STAT_PCNT1                  (_ADI_MSK(0x20000000,uint32_t))  /* Primary (Filter) Count for Group 1 Status */
#define BITM_SINC_STAT_FOVF1                  (_ADI_MSK(0x10000000,uint32_t))  /* FIFO Overflow for Group 1 Status */
#define BITM_SINC_STAT_PFAB1                  (_ADI_MSK(0x08000000,uint32_t))  /* Primary (Filter) Fabric Error for Group 1 Status */
#define BITM_SINC_STAT_PSAT3                  (_ADI_MSK(0x00800000,uint32_t))  /* Primary (Filter) 3 Saturation Status */
#define BITM_SINC_STAT_PSAT2                  (_ADI_MSK(0x00400000,uint32_t))  /* Primary (Filter) 2 Saturation Status */
#define BITM_SINC_STAT_PSAT1                  (_ADI_MSK(0x00200000,uint32_t))  /* Primary (Filter) 1 Saturation Status */
#define BITM_SINC_STAT_PSAT0                  (_ADI_MSK(0x00100000,uint32_t))  /* Primary (Filter) 0 Saturation Status */
#define BITM_SINC_STAT_MAX3                   (_ADI_MSK(0x00080000,uint32_t))  /* Maximum for Secondary Filter 3 Status */
#define BITM_SINC_STAT_MAX2                   (_ADI_MSK(0x00040000,uint32_t))  /* Maximum for Secondary Filter 2 Status */
#define BITM_SINC_STAT_MAX1                   (_ADI_MSK(0x00020000,uint32_t))  /* Maximum for Secondary Filter 1 Status */
#define BITM_SINC_STAT_MAX0                   (_ADI_MSK(0x00010000,uint32_t))  /* Maximum for Secondary Filter 0 Status */
#define BITM_SINC_STAT_GLIM0                  (_ADI_MSK(0x00008000,uint32_t))  /* Group 0 Limit Status */
#define BITM_SINC_STAT_GSAT0                  (_ADI_MSK(0x00004000,uint32_t))  /* Group 0 Saturation Status */
#define BITM_SINC_STAT_PCNT0                  (_ADI_MSK(0x00002000,uint32_t))  /* Primary (Filter) Count for Group 0 Status */
#define BITM_SINC_STAT_FOVF0                  (_ADI_MSK(0x00001000,uint32_t))  /* FIFO Overflow for Group 0 Status */
#define BITM_SINC_STAT_PFAB0                  (_ADI_MSK(0x00000800,uint32_t))  /* Primary (Filter) Fabric Error for Group 0 Status */
#define BITM_SINC_STAT_MIN3                   (_ADI_MSK(0x00000008,uint32_t))  /* Minimum for Secondary Filter 3 Status */
#define BITM_SINC_STAT_MIN2                   (_ADI_MSK(0x00000004,uint32_t))  /* Minimum for Secondary Filter 2 Status */
#define BITM_SINC_STAT_MIN1                   (_ADI_MSK(0x00000002,uint32_t))  /* Minimum for Secondary Filter 1 Status */
#define BITM_SINC_STAT_MIN0                   (_ADI_MSK(0x00000001,uint32_t))  /* Minimum for Secondary Filter 0 Status */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_CLK                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_CLK_MDIV1                   26                               /* Modulator (Clock) Divider for Group 1 */
#define BITP_SINC_CLK_MREQ1                   24                               /* Modulator (Clock) Request for Group 1 Status */
#define BITP_SINC_CLK_MADJ1                   18                               /* Modulator (Clock) Adjustment for Group 1 */
#define BITP_SINC_CLK_MCEN1                   16                               /* Modulator (Clock) Enable for Group 1 */
#define BITP_SINC_CLK_MDIV0                   10                               /* Modulator (Clock) Divider for Group 0 */
#define BITP_SINC_CLK_MREQ0                    8                               /* Modulator (Clock) Request for Group 0 Status */
#define BITP_SINC_CLK_MADJ0                    2                               /* Modulator (Clock) Adjustment for Group 0 */
#define BITP_SINC_CLK_MCEN0                    0                               /* Modulator (Clock) Enable for Group 0 */
#define BITM_SINC_CLK_MDIV1                   (_ADI_MSK(0xFC000000,uint32_t))  /* Modulator (Clock) Divider for Group 1 */
#define BITM_SINC_CLK_MREQ1                   (_ADI_MSK(0x01000000,uint32_t))  /* Modulator (Clock) Request for Group 1 Status */
#define BITM_SINC_CLK_MADJ1                   (_ADI_MSK(0x00FC0000,uint32_t))  /* Modulator (Clock) Adjustment for Group 1 */
#define BITM_SINC_CLK_MCEN1                   (_ADI_MSK(0x00030000,uint32_t))  /* Modulator (Clock) Enable for Group 1 */
#define BITM_SINC_CLK_MDIV0                   (_ADI_MSK(0x0000FC00,uint32_t))  /* Modulator (Clock) Divider for Group 0 */
#define BITM_SINC_CLK_MREQ0                   (_ADI_MSK(0x00000100,uint32_t))  /* Modulator (Clock) Request for Group 0 Status */
#define BITM_SINC_CLK_MADJ0                   (_ADI_MSK(0x000000FC,uint32_t))  /* Modulator (Clock) Adjustment for Group 0 */
#define BITM_SINC_CLK_MCEN0                   (_ADI_MSK(0x00000003,uint32_t))  /* Modulator (Clock) Enable for Group 0 */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_RATE0                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_RATE0_SADJ                  25                               /* Secondary (Filter) Adjustment */
#define BITP_SINC_RATE0_PADJ                  16                               /* Primary (Filter) Adjustment */
#define BITP_SINC_RATE0_SDEC                   9                               /* Secondary (Filter) Decimation Rate */
#define BITP_SINC_RATE0_PDEC                   0                               /* Primary (Filter) Decimation Rate */
#define BITM_SINC_RATE0_SADJ                  (_ADI_MSK(0x7E000000,uint32_t))  /* Secondary (Filter) Adjustment */
#define BITM_SINC_RATE0_PADJ                  (_ADI_MSK(0x01FF0000,uint32_t))  /* Primary (Filter) Adjustment */
#define BITM_SINC_RATE0_SDEC                  (_ADI_MSK(0x00007E00,uint32_t))  /* Secondary (Filter) Decimation Rate */
#define BITM_SINC_RATE0_PDEC                  (_ADI_MSK(0x000001FF,uint32_t))  /* Primary (Filter) Decimation Rate */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_RATE1                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_RATE1_SADJ                  25                               /* Secondary (Filter) Adjustment */
#define BITP_SINC_RATE1_PADJ                  16                               /* Primary (Filter) Adjustment */
#define BITP_SINC_RATE1_SDEC                   9                               /* Secondary (Filter) Decimation Rate */
#define BITP_SINC_RATE1_PDEC                   0                               /* Primary (Filter) Decimation Rate */
#define BITM_SINC_RATE1_SADJ                  (_ADI_MSK(0x7E000000,uint32_t))  /* Secondary (Filter) Adjustment */
#define BITM_SINC_RATE1_PADJ                  (_ADI_MSK(0x01FF0000,uint32_t))  /* Primary (Filter) Adjustment */
#define BITM_SINC_RATE1_SDEC                  (_ADI_MSK(0x00007E00,uint32_t))  /* Secondary (Filter) Decimation Rate */
#define BITM_SINC_RATE1_PDEC                  (_ADI_MSK(0x000001FF,uint32_t))  /* Primary (Filter) Decimation Rate */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_LEVEL0                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_LEVEL0_PORD                 30                               /* Primary (Filter) Order */
#define BITP_SINC_LEVEL0_PSCALE               24                               /* Primary (Filter) Scaling */
#define BITP_SINC_LEVEL0_PCNT                 16                               /* Primary (Filter) Count */
#define BITP_SINC_LEVEL0_SORD                 14                               /* Secondary (Filter) Order Select */
#define BITP_SINC_LEVEL0_LCNT                 11                               /* (Excursion) Limit Count */
#define BITP_SINC_LEVEL0_LWIN                  8                               /* (Excursion) Limit Window */
#define BITM_SINC_LEVEL0_PORD                 (_ADI_MSK(0x40000000,uint32_t))  /* Primary (Filter) Order */
#define BITM_SINC_LEVEL0_PSCALE               (_ADI_MSK(0x3F000000,uint32_t))  /* Primary (Filter) Scaling */
#define BITM_SINC_LEVEL0_PCNT                 (_ADI_MSK(0x00FF0000,uint32_t))  /* Primary (Filter) Count */
#define BITM_SINC_LEVEL0_SORD                 (_ADI_MSK(0x00004000,uint32_t))  /* Secondary (Filter) Order Select */
#define BITM_SINC_LEVEL0_LCNT                 (_ADI_MSK(0x00003800,uint32_t))  /* (Excursion) Limit Count */
#define BITM_SINC_LEVEL0_LWIN                 (_ADI_MSK(0x00000700,uint32_t))  /* (Excursion) Limit Window */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_LEVEL1                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_LEVEL1_PORD                 30                               /* Primary (Filter) Order */
#define BITP_SINC_LEVEL1_PSCALE               24                               /* Primary (Filter) Scaling */
#define BITP_SINC_LEVEL1_PCNT                 16                               /* Primary (Filter) Count */
#define BITP_SINC_LEVEL1_SORD                 14                               /* Secondary (Filter) Order */
#define BITP_SINC_LEVEL1_LCNT                 11                               /* (Excursion) Limit Count */
#define BITP_SINC_LEVEL1_LWIN                  8                               /* (Excursion) Limit Window */
#define BITM_SINC_LEVEL1_PORD                 (_ADI_MSK(0x40000000,uint32_t))  /* Primary (Filter) Order */
#define BITM_SINC_LEVEL1_PSCALE               (_ADI_MSK(0x3F000000,uint32_t))  /* Primary (Filter) Scaling */
#define BITM_SINC_LEVEL1_PCNT                 (_ADI_MSK(0x00FF0000,uint32_t))  /* Primary (Filter) Count */
#define BITM_SINC_LEVEL1_SORD                 (_ADI_MSK(0x00004000,uint32_t))  /* Secondary (Filter) Order */
#define BITM_SINC_LEVEL1_LCNT                 (_ADI_MSK(0x00003800,uint32_t))  /* (Excursion) Limit Count */
#define BITM_SINC_LEVEL1_LWIN                 (_ADI_MSK(0x00000700,uint32_t))  /* (Excursion) Limit Window */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_LIMIT0                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_LIMIT0_LMAX                 16                               /* Limit Maximum for Secondary Filter 0 */
#define BITP_SINC_LIMIT0_LMIN                  0                               /* Limit Minimum for Secondary Filter 0 */
#define BITM_SINC_LIMIT0_LMAX                 (_ADI_MSK(0xFFFF0000,uint32_t))  /* Limit Maximum for Secondary Filter 0 */
#define BITM_SINC_LIMIT0_LMIN                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* Limit Minimum for Secondary Filter 0 */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_LIMIT1                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_LIMIT1_LMAX                 16                               /* Limit Maximum for Secondary Filter 1 */
#define BITP_SINC_LIMIT1_LMIN                  0                               /* Limit Minimum for Secondary Filter 1 */
#define BITM_SINC_LIMIT1_LMAX                 (_ADI_MSK(0xFFFF0000,uint32_t))  /* Limit Maximum for Secondary Filter 1 */
#define BITM_SINC_LIMIT1_LMIN                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* Limit Minimum for Secondary Filter 1 */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_LIMIT2                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_LIMIT2_LMAX                 16                               /* Limit Maximum for Secondary Filter 2 */
#define BITP_SINC_LIMIT2_LMIN                  0                               /* Limit Minimum for Secondary Filter 2 */
#define BITM_SINC_LIMIT2_LMAX                 (_ADI_MSK(0xFFFF0000,uint32_t))  /* Limit Maximum for Secondary Filter 2 */
#define BITM_SINC_LIMIT2_LMIN                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* Limit Minimum for Secondary Filter 2 */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_LIMIT3                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_LIMIT3_LMAX                 16                               /* Limit Maximum for Secondary Filter 3 */
#define BITP_SINC_LIMIT3_LMIN                  0                               /* Limit Minimum for Secondary Filter 3 */
#define BITM_SINC_LIMIT3_LMAX                 (_ADI_MSK(0xFFFF0000,uint32_t))  /* Limit Maximum for Secondary Filter 3 */
#define BITM_SINC_LIMIT3_LMIN                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* Limit Minimum for Secondary Filter 3 */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_PHEAD0                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_PHEAD0_PHEAD                 1                               /* Primary (Filter) Head Pointer */
#define BITM_SINC_PHEAD0_PHEAD                (_ADI_MSK(0xFFFFFFFE,uint32_t))  /* Primary (Filter) Head Pointer */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_PHEAD1                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_PHEAD1_PHEAD                 1                               /* Primary (Filter) Head Pointer */
#define BITM_SINC_PHEAD1_PHEAD                (_ADI_MSK(0xFFFFFFFE,uint32_t))  /* Primary (Filter) Head Pointer */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_PTAIL0                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_PTAIL0_PTAIL                 1                               /* Primary (Filter) Tail Pointer */
#define BITM_SINC_PTAIL0_PTAIL                (_ADI_MSK(0xFFFFFFFE,uint32_t))  /* Primary (Filter) Tail Pointer */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_PTAIL1                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_PTAIL1_PTAIL                 1                               /* Primary (Filter) Tail Pointer */
#define BITM_SINC_PTAIL1_PTAIL                (_ADI_MSK(0xFFFFFFFE,uint32_t))  /* Primary (Filter) Tail Pointer */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_HIS_STAT                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_HIS_STAT_P3HISPTR           12                               /* Pair 3 History Pointer */
#define BITP_SINC_HIS_STAT_P2HISPTR            8                               /* Pair 2 History Pointer */
#define BITP_SINC_HIS_STAT_P1HISPTR            4                               /* Pair 1 History Pointer */
#define BITP_SINC_HIS_STAT_P0HISPTR            0                               /* Pair 0 History Pointer */

#define BITM_SINC_HIS_STAT_P3HISPTR           (_ADI_MSK(0x00007000,uint32_t))  /* Pair 3 History Pointer */
#define ENUM_SINC_HIS_STAT_P3HIS0_H           (_ADI_MSK(0x00000000,uint32_t))  /* P3HISPTR: History Register 3, MS */
#define ENUM_SINC_HIS_STAT_P3HIS1_L           (_ADI_MSK(0x00001000,uint32_t))  /* P3HISPTR: History Register 0, LS */
#define ENUM_SINC_HIS_STAT_P3HIS1_H           (_ADI_MSK(0x00002000,uint32_t))  /* P3HISPTR: History Register 0, MS */
#define ENUM_SINC_HIS_STAT_P3HIS2_L           (_ADI_MSK(0x00003000,uint32_t))  /* P3HISPTR: History Register 1, LS */
#define ENUM_SINC_HIS_STAT_P3HIS2_H           (_ADI_MSK(0x00004000,uint32_t))  /* P3HISPTR: History Register 1, MS */
#define ENUM_SINC_HIS_STAT_P3HIS3_L           (_ADI_MSK(0x00005000,uint32_t))  /* P3HISPTR: History Register 2, LS */
#define ENUM_SINC_HIS_STAT_P3HIS3_H           (_ADI_MSK(0x00006000,uint32_t))  /* P3HISPTR: History Register 2, MS */
#define ENUM_SINC_HIS_STAT_P3HIS0_L           (_ADI_MSK(0x00007000,uint32_t))  /* P3HISPTR: History Register 3, LS */

#define BITM_SINC_HIS_STAT_P2HISPTR           (_ADI_MSK(0x00000700,uint32_t))  /* Pair 2 History Pointer */
#define ENUM_SINC_HIS_STAT_P2HIS0_H           (_ADI_MSK(0x00000000,uint32_t))  /* P2HISPTR: History Register 3, MS */
#define ENUM_SINC_HIS_STAT_P2HIS1_L           (_ADI_MSK(0x00000100,uint32_t))  /* P2HISPTR: History Register 0, LS */
#define ENUM_SINC_HIS_STAT_P2HIS1_H           (_ADI_MSK(0x00000200,uint32_t))  /* P2HISPTR: History Register 0, MS */
#define ENUM_SINC_HIS_STAT_P2HIS2_L           (_ADI_MSK(0x00000300,uint32_t))  /* P2HISPTR: History Register 1, LS */
#define ENUM_SINC_HIS_STAT_P2HIS2_H           (_ADI_MSK(0x00000400,uint32_t))  /* P2HISPTR: History Register 1, MS */
#define ENUM_SINC_HIS_STAT_P2HIS3_L           (_ADI_MSK(0x00000500,uint32_t))  /* P2HISPTR: History Register 2, LS */
#define ENUM_SINC_HIS_STAT_P2HIS3_H           (_ADI_MSK(0x00000600,uint32_t))  /* P2HISPTR: History Register 2, MS */
#define ENUM_SINC_HIS_STAT_P2HIS0_L           (_ADI_MSK(0x00000700,uint32_t))  /* P2HISPTR: History Register 3, LS */

#define BITM_SINC_HIS_STAT_P1HISPTR           (_ADI_MSK(0x00000070,uint32_t))  /* Pair 1 History Pointer */
#define ENUM_SINC_HIS_STAT_P1HIS0_H           (_ADI_MSK(0x00000000,uint32_t))  /* P1HISPTR: History Register 3, MS */
#define ENUM_SINC_HIS_STAT_P1HIS1_L           (_ADI_MSK(0x00000010,uint32_t))  /* P1HISPTR: History Register, LS */
#define ENUM_SINC_HIS_STAT_P1HIS1_H           (_ADI_MSK(0x00000020,uint32_t))  /* P1HISPTR: History Register 0, MS */
#define ENUM_SINC_HIS_STAT_P1HIS2_L           (_ADI_MSK(0x00000030,uint32_t))  /* P1HISPTR: History Register 1, LS */
#define ENUM_SINC_HIS_STAT_P1HIS2_H           (_ADI_MSK(0x00000040,uint32_t))  /* P1HISPTR: History Register 1, MS */
#define ENUM_SINC_HIS_STAT_P1HIS3_L           (_ADI_MSK(0x00000050,uint32_t))  /* P1HISPTR: History Register 2, LS */
#define ENUM_SINC_HIS_STAT_P1HIS3_H           (_ADI_MSK(0x00000060,uint32_t))  /* P1HISPTR: History Register 2, MS */
#define ENUM_SINC_HIS_STAT_P1HIS0_L           (_ADI_MSK(0x00000070,uint32_t))  /* P1HISPTR: History Register 3, LS */

#define BITM_SINC_HIS_STAT_P0HISPTR           (_ADI_MSK(0x00000007,uint32_t))  /* Pair 0 History Pointer */
#define ENUM_SINC_HIS_STAT_P0HIS0_H           (_ADI_MSK(0x00000000,uint32_t))  /* P0HISPTR: History Register 3, MS */
#define ENUM_SINC_HIS_STAT_P0HIS1_L           (_ADI_MSK(0x00000001,uint32_t))  /* P0HISPTR: History Register 0, LS */
#define ENUM_SINC_HIS_STAT_P0HIS1_H           (_ADI_MSK(0x00000002,uint32_t))  /* P0HISPTR: History Register 0, MS */
#define ENUM_SINC_HIS_STAT_P0HIS2_L           (_ADI_MSK(0x00000003,uint32_t))  /* P0HISPTR: History Register 1, LS */
#define ENUM_SINC_HIS_STAT_P0HIS2_H           (_ADI_MSK(0x00000004,uint32_t))  /* P0HISPTR: History Register 1, MS */
#define ENUM_SINC_HIS_STAT_P0HIS3_L           (_ADI_MSK(0x00000005,uint32_t))  /* P0HISPTR: History Register 2, LS */
#define ENUM_SINC_HIS_STAT_P0HIS3_H           (_ADI_MSK(0x00000006,uint32_t))  /* P0HISPTR: History Register 2, MS */
#define ENUM_SINC_HIS_STAT_P0HIS0_L           (_ADI_MSK(0x00000007,uint32_t))  /* P0HISPTR: History Register 3, LS */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_P0SEC_HIST                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_P0SEC_HIST_HI               16                               /* High Data Word */
#define BITP_SINC_P0SEC_HIST_LO                0                               /* Low Data Word */
#define BITM_SINC_P0SEC_HIST_HI               (_ADI_MSK(0xFFFF0000,uint32_t))  /* High Data Word */
#define BITM_SINC_P0SEC_HIST_LO               (_ADI_MSK(0x0000FFFF,uint32_t))  /* Low Data Word */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_P1SEC_HIST                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_P1SEC_HIST_HI               16                               /* High Data Word */
#define BITP_SINC_P1SEC_HIST_LO                0                               /* Low Data Word */
#define BITM_SINC_P1SEC_HIST_HI               (_ADI_MSK(0xFFFF0000,uint32_t))  /* High Data Word */
#define BITM_SINC_P1SEC_HIST_LO               (_ADI_MSK(0x0000FFFF,uint32_t))  /* Low Data Word */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_P2SEC_HIST                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_P2SEC_HIST_HI               16                               /* High Data Word */
#define BITP_SINC_P2SEC_HIST_LO                0                               /* Low Data Word */
#define BITM_SINC_P2SEC_HIST_HI               (_ADI_MSK(0xFFFF0000,uint32_t))  /* High Data Word */
#define BITM_SINC_P2SEC_HIST_LO               (_ADI_MSK(0x0000FFFF,uint32_t))  /* Low Data Word */

/* ------------------------------------------------------------------------------------------------------------------------
         SINC_P3SEC_HIST                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SINC_P3SEC_HIST_HI               16                               /* High Data Word */
#define BITP_SINC_P3SEC_HIST_LO                0                               /* Low Data Word */
#define BITM_SINC_P3SEC_HIST_HI               (_ADI_MSK(0xFFFF0000,uint32_t))  /* High Data Word */
#define BITM_SINC_P3SEC_HIST_LO               (_ADI_MSK(0x0000FFFF,uint32_t))  /* Low Data Word */

/* ==================================================
        ADC Controller Registers
   ================================================== */

/* =========================
        ADCC0
   ========================= */
#define REG_ADCC0_CTL                   0x4000E000         /* ADCC0 Control Register */
#define REG_ADCC0_ERRSTAT               0x4000E004         /* ADCC0 Error Status Register */
#define REG_ADCC0_ERRMSK                0x4000E008         /* ADCC0 Error Mask Register */
#define REG_ADCC0_ERRMSK_SET            0x4000E00C         /* ADCC0 Error Mask Set Register */
#define REG_ADCC0_ERRMSK_CLR            0x4000E010         /* ADCC0 Error Mask Clear Register */
#define REG_ADCC0_EISTAT                0x4000E014         /* ADCC0 Event Interrupt Status Register */
#define REG_ADCC0_EIMSK                 0x4000E018         /* ADCC0 Event Interrupt Mask Register */
#define REG_ADCC0_EIMSK_SET             0x4000E01C         /* ADCC0 Event Interrupt Mask Set Register */
#define REG_ADCC0_EIMSK_CLR             0x4000E020         /* ADCC0 Event Interrupt Mask Clear Register */
#define REG_ADCC0_FISTAT                0x4000E024         /* ADCC0 Frame Interrupt Status Register */
#define REG_ADCC0_FIMSK                 0x4000E028         /* ADCC0 Frame Interrupt Mask Register */
#define REG_ADCC0_FIMSK_SET             0x4000E02C         /* ADCC0 Frame Interrupt Mask Set Register */
#define REG_ADCC0_FIMSK_CLR             0x4000E030         /* ADCC0 Frame Interrupt Mask Clear Register */
#define REG_ADCC0_EVTEN                 0x4000E034         /* ADCC0 Event Enable Register */
#define REG_ADCC0_EVTEN_SET             0x4000E038         /* ADCC0 Event Enable Set Register */
#define REG_ADCC0_EVTEN_CLR             0x4000E03C         /* ADCC0 Event Enable Clear Register */
#define REG_ADCC0_ECOL                  0x4000E040         /* ADCC0 Event Collision Status Register */
#define REG_ADCC0_EMISS                 0x4000E044         /* ADCC0 Event Miss Status Register */
#define REG_ADCC0_BPTR0                 0x4000E048         /* ADCC0 Base Pointer 0 Register */
#define REG_ADCC0_FRINC0                0x4000E04C         /* ADCC0 Frame Increment 0 Register */
#define REG_ADCC0_CBSIZ0                0x4000E050         /* ADCC0 Circular Buffer Size 0 Register */
#define REG_ADCC0_TCA0                  0x4000E054         /* ADCC0 Timing Control A (ADC0) Register */
#define REG_ADCC0_TCB0                  0x4000E058         /* ADCC0 Timing Control B (ADC0) Register */
#define REG_ADCC0_BWMON0                0x4000E05C         /* ADCC0 Bandwidth Monitor 0 Register */
#define REG_ADCC0_CFG                   0x4000E060         /* ADCC0 ADC Configuration Register */
#define REG_ADCC0_BPTR1                 0x4000E064         /* ADCC0 DMA Base Pointer 1 Register */
#define REG_ADCC0_FRINC1                0x4000E068         /* ADCC0 Frame Increment 1 Register */
#define REG_ADCC0_CBSIZ1                0x4000E06C         /* ADCC0 Circular Buffer Size 1 Register */
#define REG_ADCC0_TCA1                  0x4000E070         /* ADCC0 Timing Control A (ADC1) Register */
#define REG_ADCC0_TCB1                  0x4000E074         /* ADCC0 Timing Control B (ADC1) Register */
#define REG_ADCC0_BWMON1                0x4000E078         /* ADCC0 Bandwidth Monitor 1 Register */
#define REG_ADCC0_EVT00                 0x4000E07C         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT01                 0x4000E084         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT02                 0x4000E08C         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT03                 0x4000E094         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT04                 0x4000E09C         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT05                 0x4000E0A4         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT06                 0x4000E0AC         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT07                 0x4000E0B4         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT08                 0x4000E0BC         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT09                 0x4000E0C4         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT10                 0x4000E0CC         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT11                 0x4000E0D4         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT12                 0x4000E0DC         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT13                 0x4000E0E4         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT14                 0x4000E0EC         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT15                 0x4000E0F4         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT16                 0x4000E0FC         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT17                 0x4000E104         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT18                 0x4000E10C         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT19                 0x4000E114         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT20                 0x4000E11C         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT21                 0x4000E124         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT22                 0x4000E12C         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVT23                 0x4000E134         /* ADCC0 Event n Time Register */
#define REG_ADCC0_EVCTL00               0x4000E080         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL01               0x4000E088         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL02               0x4000E090         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL03               0x4000E098         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL04               0x4000E0A0         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL05               0x4000E0A8         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL06               0x4000E0B0         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL07               0x4000E0B8         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL08               0x4000E0C0         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL09               0x4000E0C8         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL10               0x4000E0D0         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL11               0x4000E0D8         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL12               0x4000E0E0         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL13               0x4000E0E8         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL14               0x4000E0F0         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL15               0x4000E0F8         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL16               0x4000E100         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL17               0x4000E108         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL18               0x4000E110         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL19               0x4000E118         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL20               0x4000E120         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL21               0x4000E128         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL22               0x4000E130         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EVCTL23               0x4000E138         /* ADCC0 Event n Control Register */
#define REG_ADCC0_EPND                  0x4000E200         /* ADCC0 Pending Events Status Register */
#define REG_ADCC0_T0STAT                0x4000E204         /* ADCC0 Timer 0 Status Register */
#define REG_ADCC0_TMR0                  0x4000E208         /* ADCC0 Timer 0 Current Count Register */
#define REG_ADCC0_T1STAT                0x4000E20C         /* ADCC0 Timer 1 Status Register */
#define REG_ADCC0_TMR1                  0x4000E210         /* ADCC0 Timer 1 Current Count Register */
#define REG_ADCC0_EVDAT00               0x4000E214         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT01               0x4000E218         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT02               0x4000E21C         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT03               0x4000E220         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT04               0x4000E224         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT05               0x4000E228         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT06               0x4000E22C         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT07               0x4000E230         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT08               0x4000E234         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT09               0x4000E238         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT10               0x4000E23C         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT11               0x4000E240         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT12               0x4000E244         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT13               0x4000E248         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT14               0x4000E24C         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT15               0x4000E250         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT16               0x4000E254         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT17               0x4000E258         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT18               0x4000E25C         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT19               0x4000E260         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT20               0x4000E264         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT21               0x4000E268         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT22               0x4000E26C         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVDAT23               0x4000E270         /* ADCC0 Event n Data Register */
#define REG_ADCC0_EVSTAT00              0x4000E274         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT01              0x4000E278         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT02              0x4000E27C         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT03              0x4000E280         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT04              0x4000E284         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT05              0x4000E288         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT06              0x4000E28C         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT07              0x4000E290         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT08              0x4000E294         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT09              0x4000E298         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT10              0x4000E29C         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT11              0x4000E2A0         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT12              0x4000E2A4         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT13              0x4000E2A8         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT14              0x4000E2AC         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT15              0x4000E2B0         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT16              0x4000E2B4         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT17              0x4000E2B8         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT18              0x4000E2BC         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT19              0x4000E2C0         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT20              0x4000E2C4         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT21              0x4000E2C8         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT22              0x4000E2CC         /* ADCC0 Event n Status Register */
#define REG_ADCC0_EVSTAT23              0x4000E2D0         /* ADCC0 Event n Status Register */

/* =========================
        ADCC
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_CTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_CTL_TRGIE1                  29                               /* Trigger Input Enable 1 */
#define BITP_ADCC_CTL_TRGIE0                  28                               /* Trigger Input Enable 0 */
#define BITP_ADCC_CTL_ADCFG                   26                               /* ADC Interface Configuration (Start) */
#define BITP_ADCC_CTL_LSBF1                   25                               /* LSB First 1 */
#define BITP_ADCC_CTL_LSBF0                   24                               /* LSB First 0 */
#define BITP_ADCC_CTL_DSWP1                   23                               /* Data Swap 1 */
#define BITP_ADCC_CTL_DSWP0                   22                               /* Data Swap 0 */
#define BITP_ADCC_CTL_TIDLE1                  21                               /* Transmit Idle 0 */
#define BITP_ADCC_CTL_TIDLE0                  20                               /* Transmit Idle 0 */
#define BITP_ADCC_CTL_CSPOL1                  19                               /* Chip Select Polarity 1 */
#define BITP_ADCC_CTL_CSPOL0                  18                               /* Chip Select Polarity 0 */
#define BITP_ADCC_CTL_CKPOL1                  17                               /* Clock Polarity 1 */
#define BITP_ADCC_CTL_CKPOL0                  16                               /* Clock Polarity 0 */
#define BITP_ADCC_CTL_TRGPOL1                 15                               /* Trigger Polarity 1 */
#define BITP_ADCC_CTL_TRGSEL1                 12                               /* Trigger Select 1 */
#define BITP_ADCC_CTL_TRGPOL0                 11                               /* Trigger Polarity 0 */
#define BITP_ADCC_CTL_TRGSEL0                  8                               /* Trigger Select 0 */
#define BITP_ADCC_CTL_TRGOE1                   7                               /* Trigger Output Enable 1 */
#define BITP_ADCC_CTL_TRGOE0                   6                               /* Trigger Output Enable 0 */
#define BITP_ADCC_CTL_DSIZE                    5                               /* Data Size */
#define BITP_ADCC_CTL_CSIZE                    4                               /* Control Data Size */
#define BITP_ADCC_CTL_DMAEN                    2                               /* DMA Enable */
#define BITP_ADCC_CTL_TMR1EN                   1                               /* Timer 1 Enable */
#define BITP_ADCC_CTL_EN                       0                               /* Enable ADCC Operation */
#define BITM_ADCC_CTL_TRGIE1                  (_ADI_MSK(0x20000000,uint32_t))  /* Trigger Input Enable 1 */
#define BITM_ADCC_CTL_TRGIE0                  (_ADI_MSK(0x10000000,uint32_t))  /* Trigger Input Enable 0 */
#define BITM_ADCC_CTL_ADCFG                   (_ADI_MSK(0x04000000,uint32_t))  /* ADC Interface Configuration (Start) */
#define BITM_ADCC_CTL_LSBF1                   (_ADI_MSK(0x02000000,uint32_t))  /* LSB First 1 */
#define BITM_ADCC_CTL_LSBF0                   (_ADI_MSK(0x01000000,uint32_t))  /* LSB First 0 */
#define BITM_ADCC_CTL_DSWP1                   (_ADI_MSK(0x00800000,uint32_t))  /* Data Swap 1 */
#define BITM_ADCC_CTL_DSWP0                   (_ADI_MSK(0x00400000,uint32_t))  /* Data Swap 0 */
#define BITM_ADCC_CTL_TIDLE1                  (_ADI_MSK(0x00200000,uint32_t))  /* Transmit Idle 0 */
#define BITM_ADCC_CTL_TIDLE0                  (_ADI_MSK(0x00100000,uint32_t))  /* Transmit Idle 0 */
#define BITM_ADCC_CTL_CSPOL1                  (_ADI_MSK(0x00080000,uint32_t))  /* Chip Select Polarity 1 */
#define BITM_ADCC_CTL_CSPOL0                  (_ADI_MSK(0x00040000,uint32_t))  /* Chip Select Polarity 0 */
#define BITM_ADCC_CTL_CKPOL1                  (_ADI_MSK(0x00020000,uint32_t))  /* Clock Polarity 1 */
#define BITM_ADCC_CTL_CKPOL0                  (_ADI_MSK(0x00010000,uint32_t))  /* Clock Polarity 0 */
#define BITM_ADCC_CTL_TRGPOL1                 (_ADI_MSK(0x00008000,uint32_t))  /* Trigger Polarity 1 */
#define BITM_ADCC_CTL_TRGSEL1                 (_ADI_MSK(0x00007000,uint32_t))  /* Trigger Select 1 */
#define BITM_ADCC_CTL_TRGPOL0                 (_ADI_MSK(0x00000800,uint32_t))  /* Trigger Polarity 0 */
#define BITM_ADCC_CTL_TRGSEL0                 (_ADI_MSK(0x00000700,uint32_t))  /* Trigger Select 0 */
#define BITM_ADCC_CTL_TRGOE1                  (_ADI_MSK(0x00000080,uint32_t))  /* Trigger Output Enable 1 */
#define BITM_ADCC_CTL_TRGOE0                  (_ADI_MSK(0x00000040,uint32_t))  /* Trigger Output Enable 0 */
#define BITM_ADCC_CTL_DSIZE                   (_ADI_MSK(0x00000020,uint32_t))  /* Data Size */
#define BITM_ADCC_CTL_CSIZE                   (_ADI_MSK(0x00000010,uint32_t))  /* Control Data Size */
#define BITM_ADCC_CTL_DMAEN                   (_ADI_MSK(0x00000004,uint32_t))  /* DMA Enable */
#define BITM_ADCC_CTL_TMR1EN                  (_ADI_MSK(0x00000002,uint32_t))  /* Timer 1 Enable */
#define BITM_ADCC_CTL_EN                      (_ADI_MSK(0x00000001,uint32_t))  /* Enable ADCC Operation */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_ERRSTAT                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_ERRSTAT_EMIS                 7                               /* Event Miss Error Status */
#define BITP_ADCC_ERRSTAT_ECOL                 6                               /* Event Collision Error Status */
#define BITP_ADCC_ERRSTAT_MERR1                5                               /* Memory Response Error 1 Status */
#define BITP_ADCC_ERRSTAT_MERR0                4                               /* Memory Response Error 0 Status */
#define BITP_ADCC_ERRSTAT_BWERR1               3                               /* Bandwidth Monitor Error 1 Status */
#define BITP_ADCC_ERRSTAT_BWERR0               2                               /* Bandwidth Monitor Error 0 Status */
#define BITP_ADCC_ERRSTAT_TRGOV1               1                               /* Trigger Overrun 1 Status */
#define BITP_ADCC_ERRSTAT_TRGOV0               0                               /* Trigger Overrun 0 Status */
#define BITM_ADCC_ERRSTAT_EMIS                (_ADI_MSK(0x00000080,uint32_t))  /* Event Miss Error Status */
#define BITM_ADCC_ERRSTAT_ECOL                (_ADI_MSK(0x00000040,uint32_t))  /* Event Collision Error Status */
#define BITM_ADCC_ERRSTAT_MERR1               (_ADI_MSK(0x00000020,uint32_t))  /* Memory Response Error 1 Status */
#define BITM_ADCC_ERRSTAT_MERR0               (_ADI_MSK(0x00000010,uint32_t))  /* Memory Response Error 0 Status */
#define BITM_ADCC_ERRSTAT_BWERR1              (_ADI_MSK(0x00000008,uint32_t))  /* Bandwidth Monitor Error 1 Status */
#define BITM_ADCC_ERRSTAT_BWERR0              (_ADI_MSK(0x00000004,uint32_t))  /* Bandwidth Monitor Error 0 Status */
#define BITM_ADCC_ERRSTAT_TRGOV1              (_ADI_MSK(0x00000002,uint32_t))  /* Trigger Overrun 1 Status */
#define BITM_ADCC_ERRSTAT_TRGOV0              (_ADI_MSK(0x00000001,uint32_t))  /* Trigger Overrun 0 Status */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_ERRMSK                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_ERRMSK_EMIS                  7                               /* Event Miss Error Mask */
#define BITP_ADCC_ERRMSK_ECOL                  6                               /* Event Collision Error Mask */
#define BITP_ADCC_ERRMSK_MERR1                 5                               /* Memory Response Error 1 Mask */
#define BITP_ADCC_ERRMSK_MERR0                 4                               /* Memory Response Error 0 Mask */
#define BITP_ADCC_ERRMSK_BWERR1                3                               /* Bandwidth Monitor Error 1 Mask */
#define BITP_ADCC_ERRMSK_BWERR0                2                               /* Bandwidth Monitor Error 0 Mask */
#define BITP_ADCC_ERRMSK_TRGOV1                1                               /* Trigger Overrun 1 Error Mask */
#define BITP_ADCC_ERRMSK_TRGOV0                0                               /* Trigger Overrun 0 Error Mask */
#define BITM_ADCC_ERRMSK_EMIS                 (_ADI_MSK(0x00000080,uint32_t))  /* Event Miss Error Mask */
#define BITM_ADCC_ERRMSK_ECOL                 (_ADI_MSK(0x00000040,uint32_t))  /* Event Collision Error Mask */
#define BITM_ADCC_ERRMSK_MERR1                (_ADI_MSK(0x00000020,uint32_t))  /* Memory Response Error 1 Mask */
#define BITM_ADCC_ERRMSK_MERR0                (_ADI_MSK(0x00000010,uint32_t))  /* Memory Response Error 0 Mask */
#define BITM_ADCC_ERRMSK_BWERR1               (_ADI_MSK(0x00000008,uint32_t))  /* Bandwidth Monitor Error 1 Mask */
#define BITM_ADCC_ERRMSK_BWERR0               (_ADI_MSK(0x00000004,uint32_t))  /* Bandwidth Monitor Error 0 Mask */
#define BITM_ADCC_ERRMSK_TRGOV1               (_ADI_MSK(0x00000002,uint32_t))  /* Trigger Overrun 1 Error Mask */
#define BITM_ADCC_ERRMSK_TRGOV0               (_ADI_MSK(0x00000001,uint32_t))  /* Trigger Overrun 0 Error Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_ERRMSK_SET                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_ERRMSK_SET_EMIS              7                               /* Event Miss Error Mask Set */
#define BITP_ADCC_ERRMSK_SET_ECOL              6                               /* Event Collision Error Mask Set */
#define BITP_ADCC_ERRMSK_SET_MERR1             5                               /* Memory Response Error 1 Mask Set */
#define BITP_ADCC_ERRMSK_SET_MERR0             4                               /* Memory Response Error 0 Mask Set */
#define BITP_ADCC_ERRMSK_SET_BWERR1            3                               /* Bandwidth Monitor Error 1 Mask Set */
#define BITP_ADCC_ERRMSK_SET_BWERR0            2                               /* Bandwidth Monitor Error 0 Mask Set */
#define BITP_ADCC_ERRMSK_SET_TRGOV1            1                               /* Trigger Overrun 1 Mask Set */
#define BITP_ADCC_ERRMSK_SET_TRGOV0            0                               /* Trigger Overrun 0 Mask Set */
#define BITM_ADCC_ERRMSK_SET_EMIS             (_ADI_MSK(0x00000080,uint32_t))  /* Event Miss Error Mask Set */
#define BITM_ADCC_ERRMSK_SET_ECOL             (_ADI_MSK(0x00000040,uint32_t))  /* Event Collision Error Mask Set */
#define BITM_ADCC_ERRMSK_SET_MERR1            (_ADI_MSK(0x00000020,uint32_t))  /* Memory Response Error 1 Mask Set */
#define BITM_ADCC_ERRMSK_SET_MERR0            (_ADI_MSK(0x00000010,uint32_t))  /* Memory Response Error 0 Mask Set */
#define BITM_ADCC_ERRMSK_SET_BWERR1           (_ADI_MSK(0x00000008,uint32_t))  /* Bandwidth Monitor Error 1 Mask Set */
#define BITM_ADCC_ERRMSK_SET_BWERR0           (_ADI_MSK(0x00000004,uint32_t))  /* Bandwidth Monitor Error 0 Mask Set */
#define BITM_ADCC_ERRMSK_SET_TRGOV1           (_ADI_MSK(0x00000002,uint32_t))  /* Trigger Overrun 1 Mask Set */
#define BITM_ADCC_ERRMSK_SET_TRGOV0           (_ADI_MSK(0x00000001,uint32_t))  /* Trigger Overrun 0 Mask Set */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_ERRMSK_CLR                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_ERRMSK_CLR_EMIS              7                               /* Event Miss Error Mask Clear */
#define BITP_ADCC_ERRMSK_CLR_ECOL              6                               /* Event Collision Error Mask Clear */
#define BITP_ADCC_ERRMSK_CLR_MERR1             5                               /* Memory Response Error 1 Mask Clear */
#define BITP_ADCC_ERRMSK_CLR_MERR0             4                               /* Memory Response Error 0 Mask Clear */
#define BITP_ADCC_ERRMSK_CLR_BWERR1            3                               /* Bandwidth Monitor Error 1 Mask Clear */
#define BITP_ADCC_ERRMSK_CLR_BWERR0            2                               /* Bandwidth Monitor Error 0 Mask Clear */
#define BITP_ADCC_ERRMSK_CLR_TRGOV1            1                               /* Trigger Overrun 1 Mask Clear */
#define BITP_ADCC_ERRMSK_CLR_TRGOV0            0                               /* Trigger Overrun 0 Mask Clear */
#define BITM_ADCC_ERRMSK_CLR_EMIS             (_ADI_MSK(0x00000080,uint32_t))  /* Event Miss Error Mask Clear */
#define BITM_ADCC_ERRMSK_CLR_ECOL             (_ADI_MSK(0x00000040,uint32_t))  /* Event Collision Error Mask Clear */
#define BITM_ADCC_ERRMSK_CLR_MERR1            (_ADI_MSK(0x00000020,uint32_t))  /* Memory Response Error 1 Mask Clear */
#define BITM_ADCC_ERRMSK_CLR_MERR0            (_ADI_MSK(0x00000010,uint32_t))  /* Memory Response Error 0 Mask Clear */
#define BITM_ADCC_ERRMSK_CLR_BWERR1           (_ADI_MSK(0x00000008,uint32_t))  /* Bandwidth Monitor Error 1 Mask Clear */
#define BITM_ADCC_ERRMSK_CLR_BWERR0           (_ADI_MSK(0x00000004,uint32_t))  /* Bandwidth Monitor Error 0 Mask Clear */
#define BITM_ADCC_ERRMSK_CLR_TRGOV1           (_ADI_MSK(0x00000002,uint32_t))  /* Trigger Overrun 1 Mask Clear */
#define BITM_ADCC_ERRMSK_CLR_TRGOV0           (_ADI_MSK(0x00000001,uint32_t))  /* Trigger Overrun 0 Mask Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EISTAT                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EISTAT_EVT00                 0                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT01                 1                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT02                 2                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT03                 3                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT04                 4                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT05                 5                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT06                 6                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT07                 7                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT08                 8                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT09                 9                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT10                10                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT11                11                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT12                12                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT13                13                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT14                14                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT15                15                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT16                16                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT17                17                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT18                18                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT19                19                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT20                20                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT21                21                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT22                22                               /* Event n Interrupt */
#define BITP_ADCC_EISTAT_EVT23                23                               /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT00                (_ADI_MSK(0x00000001,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT01                (_ADI_MSK(0x00000002,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT02                (_ADI_MSK(0x00000004,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT03                (_ADI_MSK(0x00000008,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT04                (_ADI_MSK(0x00000010,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT05                (_ADI_MSK(0x00000020,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT06                (_ADI_MSK(0x00000040,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT07                (_ADI_MSK(0x00000080,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT08                (_ADI_MSK(0x00000100,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT09                (_ADI_MSK(0x00000200,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT10                (_ADI_MSK(0x00000400,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT11                (_ADI_MSK(0x00000800,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT12                (_ADI_MSK(0x00001000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT13                (_ADI_MSK(0x00002000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT14                (_ADI_MSK(0x00004000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT15                (_ADI_MSK(0x00008000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT16                (_ADI_MSK(0x00010000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT17                (_ADI_MSK(0x00020000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT18                (_ADI_MSK(0x00040000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT19                (_ADI_MSK(0x00080000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT20                (_ADI_MSK(0x00100000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT21                (_ADI_MSK(0x00200000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT22                (_ADI_MSK(0x00400000,uint32_t))  /* Event n Interrupt */
#define BITM_ADCC_EISTAT_EVT23                (_ADI_MSK(0x00800000,uint32_t))  /* Event n Interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EIMSK                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EIMSK_EVT00                  0                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT01                  1                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT02                  2                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT03                  3                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT04                  4                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT05                  5                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT06                  6                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT07                  7                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT08                  8                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT09                  9                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT10                 10                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT11                 11                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT12                 12                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT13                 13                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT14                 14                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT15                 15                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT16                 16                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT17                 17                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT18                 18                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT19                 19                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT20                 20                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT21                 21                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT22                 22                               /* Event n Interrupt Mask */
#define BITP_ADCC_EIMSK_EVT23                 23                               /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT00                 (_ADI_MSK(0x00000001,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT01                 (_ADI_MSK(0x00000002,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT02                 (_ADI_MSK(0x00000004,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT03                 (_ADI_MSK(0x00000008,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT04                 (_ADI_MSK(0x00000010,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT05                 (_ADI_MSK(0x00000020,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT06                 (_ADI_MSK(0x00000040,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT07                 (_ADI_MSK(0x00000080,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT08                 (_ADI_MSK(0x00000100,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT09                 (_ADI_MSK(0x00000200,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT10                 (_ADI_MSK(0x00000400,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT11                 (_ADI_MSK(0x00000800,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT12                 (_ADI_MSK(0x00001000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT13                 (_ADI_MSK(0x00002000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT14                 (_ADI_MSK(0x00004000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT15                 (_ADI_MSK(0x00008000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT16                 (_ADI_MSK(0x00010000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT17                 (_ADI_MSK(0x00020000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT18                 (_ADI_MSK(0x00040000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT19                 (_ADI_MSK(0x00080000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT20                 (_ADI_MSK(0x00100000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT21                 (_ADI_MSK(0x00200000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT22                 (_ADI_MSK(0x00400000,uint32_t))  /* Event n Interrupt Mask */
#define BITM_ADCC_EIMSK_EVT23                 (_ADI_MSK(0x00800000,uint32_t))  /* Event n Interrupt Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EIMSK_SET                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EIMSK_SET_EVT00              0                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT01              1                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT02              2                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT03              3                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT04              4                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT05              5                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT06              6                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT07              7                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT08              8                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT09              9                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT10             10                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT11             11                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT12             12                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT13             13                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT14             14                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT15             15                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT16             16                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT17             17                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT18             18                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT19             19                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT20             20                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT21             21                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT22             22                               /* Event n Interrupt Mask Set */
#define BITP_ADCC_EIMSK_SET_EVT23             23                               /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT00             (_ADI_MSK(0x00000001,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT01             (_ADI_MSK(0x00000002,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT02             (_ADI_MSK(0x00000004,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT03             (_ADI_MSK(0x00000008,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT04             (_ADI_MSK(0x00000010,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT05             (_ADI_MSK(0x00000020,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT06             (_ADI_MSK(0x00000040,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT07             (_ADI_MSK(0x00000080,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT08             (_ADI_MSK(0x00000100,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT09             (_ADI_MSK(0x00000200,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT10             (_ADI_MSK(0x00000400,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT11             (_ADI_MSK(0x00000800,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT12             (_ADI_MSK(0x00001000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT13             (_ADI_MSK(0x00002000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT14             (_ADI_MSK(0x00004000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT15             (_ADI_MSK(0x00008000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT16             (_ADI_MSK(0x00010000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT17             (_ADI_MSK(0x00020000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT18             (_ADI_MSK(0x00040000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT19             (_ADI_MSK(0x00080000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT20             (_ADI_MSK(0x00100000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT21             (_ADI_MSK(0x00200000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT22             (_ADI_MSK(0x00400000,uint32_t))  /* Event n Interrupt Mask Set */
#define BITM_ADCC_EIMSK_SET_EVT23             (_ADI_MSK(0x00800000,uint32_t))  /* Event n Interrupt Mask Set */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EIMSK_CLR                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EIMSK_CLR_EVT00              0                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT01              1                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT02              2                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT03              3                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT04              4                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT05              5                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT06              6                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT07              7                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT08              8                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT09              9                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT10             10                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT11             11                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT12             12                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT13             13                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT14             14                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT15             15                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT16             16                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT17             17                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT18             18                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT19             19                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT20             20                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT21             21                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT22             22                               /* Event n Interrupt Mask Clear */
#define BITP_ADCC_EIMSK_CLR_EVT23             23                               /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT00             (_ADI_MSK(0x00000001,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT01             (_ADI_MSK(0x00000002,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT02             (_ADI_MSK(0x00000004,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT03             (_ADI_MSK(0x00000008,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT04             (_ADI_MSK(0x00000010,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT05             (_ADI_MSK(0x00000020,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT06             (_ADI_MSK(0x00000040,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT07             (_ADI_MSK(0x00000080,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT08             (_ADI_MSK(0x00000100,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT09             (_ADI_MSK(0x00000200,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT10             (_ADI_MSK(0x00000400,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT11             (_ADI_MSK(0x00000800,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT12             (_ADI_MSK(0x00001000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT13             (_ADI_MSK(0x00002000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT14             (_ADI_MSK(0x00004000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT15             (_ADI_MSK(0x00008000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT16             (_ADI_MSK(0x00010000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT17             (_ADI_MSK(0x00020000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT18             (_ADI_MSK(0x00040000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT19             (_ADI_MSK(0x00080000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT20             (_ADI_MSK(0x00100000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT21             (_ADI_MSK(0x00200000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT22             (_ADI_MSK(0x00400000,uint32_t))  /* Event n Interrupt Mask Clear */
#define BITM_ADCC_EIMSK_CLR_EVT23             (_ADI_MSK(0x00800000,uint32_t))  /* Event n Interrupt Mask Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_FISTAT                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_FISTAT_FINT1                 1                               /* Frame Interrupt 1 */
#define BITP_ADCC_FISTAT_FINT0                 0                               /* Frame Interrupt 0 */
#define BITM_ADCC_FISTAT_FINT1                (_ADI_MSK(0x00000002,uint32_t))  /* Frame Interrupt 1 */
#define BITM_ADCC_FISTAT_FINT0                (_ADI_MSK(0x00000001,uint32_t))  /* Frame Interrupt 0 */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_FIMSK                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_FIMSK_FINT1                  1                               /* Frame Interrupt 1 Mask */
#define BITP_ADCC_FIMSK_FINT0                  0                               /* Frame Interrupt 0 Mask */
#define BITM_ADCC_FIMSK_FINT1                 (_ADI_MSK(0x00000002,uint32_t))  /* Frame Interrupt 1 Mask */
#define BITM_ADCC_FIMSK_FINT0                 (_ADI_MSK(0x00000001,uint32_t))  /* Frame Interrupt 0 Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_FIMSK_SET                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_FIMSK_SET_FINT1              1                               /* Frame Interrupt 1 Mask Set */
#define BITP_ADCC_FIMSK_SET_FINT0              0                               /* Frame Interrupt 0 Mask Set */
#define BITM_ADCC_FIMSK_SET_FINT1             (_ADI_MSK(0x00000002,uint32_t))  /* Frame Interrupt 1 Mask Set */
#define BITM_ADCC_FIMSK_SET_FINT0             (_ADI_MSK(0x00000001,uint32_t))  /* Frame Interrupt 0 Mask Set */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_FIMSK_CLR                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_FIMSK_CLR_FINT1              1                               /* Frame Interrupt 1 Mask Clear */
#define BITP_ADCC_FIMSK_CLR_FINT0              0                               /* Frame Interrupt 0 Mask Clear */
#define BITM_ADCC_FIMSK_CLR_FINT1             (_ADI_MSK(0x00000002,uint32_t))  /* Frame Interrupt 1 Mask Clear */
#define BITM_ADCC_FIMSK_CLR_FINT0             (_ADI_MSK(0x00000001,uint32_t))  /* Frame Interrupt 0 Mask Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EVTEN                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EVTEN_EVT00                  0                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT01                  1                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT02                  2                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT03                  3                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT04                  4                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT05                  5                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT06                  6                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT07                  7                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT08                  8                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT09                  9                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT10                 10                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT11                 11                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT12                 12                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT13                 13                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT14                 14                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT15                 15                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT16                 16                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT17                 17                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT18                 18                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT19                 19                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT20                 20                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT21                 21                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT22                 22                               /* Event n Enable */
#define BITP_ADCC_EVTEN_EVT23                 23                               /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT00                 (_ADI_MSK(0x00000001,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT01                 (_ADI_MSK(0x00000002,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT02                 (_ADI_MSK(0x00000004,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT03                 (_ADI_MSK(0x00000008,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT04                 (_ADI_MSK(0x00000010,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT05                 (_ADI_MSK(0x00000020,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT06                 (_ADI_MSK(0x00000040,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT07                 (_ADI_MSK(0x00000080,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT08                 (_ADI_MSK(0x00000100,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT09                 (_ADI_MSK(0x00000200,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT10                 (_ADI_MSK(0x00000400,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT11                 (_ADI_MSK(0x00000800,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT12                 (_ADI_MSK(0x00001000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT13                 (_ADI_MSK(0x00002000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT14                 (_ADI_MSK(0x00004000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT15                 (_ADI_MSK(0x00008000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT16                 (_ADI_MSK(0x00010000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT17                 (_ADI_MSK(0x00020000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT18                 (_ADI_MSK(0x00040000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT19                 (_ADI_MSK(0x00080000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT20                 (_ADI_MSK(0x00100000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT21                 (_ADI_MSK(0x00200000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT22                 (_ADI_MSK(0x00400000,uint32_t))  /* Event n Enable */
#define BITM_ADCC_EVTEN_EVT23                 (_ADI_MSK(0x00800000,uint32_t))  /* Event n Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EVTEN_SET                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EVTEN_SET_EVT00              0                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT01              1                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT02              2                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT03              3                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT04              4                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT05              5                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT06              6                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT07              7                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT08              8                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT09              9                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT10             10                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT11             11                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT12             12                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT13             13                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT14             14                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT15             15                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT16             16                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT17             17                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT18             18                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT19             19                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT20             20                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT21             21                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT22             22                               /* Event n Enable Set */
#define BITP_ADCC_EVTEN_SET_EVT23             23                               /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT00             (_ADI_MSK(0x00000001,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT01             (_ADI_MSK(0x00000002,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT02             (_ADI_MSK(0x00000004,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT03             (_ADI_MSK(0x00000008,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT04             (_ADI_MSK(0x00000010,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT05             (_ADI_MSK(0x00000020,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT06             (_ADI_MSK(0x00000040,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT07             (_ADI_MSK(0x00000080,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT08             (_ADI_MSK(0x00000100,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT09             (_ADI_MSK(0x00000200,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT10             (_ADI_MSK(0x00000400,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT11             (_ADI_MSK(0x00000800,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT12             (_ADI_MSK(0x00001000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT13             (_ADI_MSK(0x00002000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT14             (_ADI_MSK(0x00004000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT15             (_ADI_MSK(0x00008000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT16             (_ADI_MSK(0x00010000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT17             (_ADI_MSK(0x00020000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT18             (_ADI_MSK(0x00040000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT19             (_ADI_MSK(0x00080000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT20             (_ADI_MSK(0x00100000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT21             (_ADI_MSK(0x00200000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT22             (_ADI_MSK(0x00400000,uint32_t))  /* Event n Enable Set */
#define BITM_ADCC_EVTEN_SET_EVT23             (_ADI_MSK(0x00800000,uint32_t))  /* Event n Enable Set */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EVTEN_CLR                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EVTEN_CLR_EVT00              0                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT01              1                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT02              2                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT03              3                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT04              4                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT05              5                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT06              6                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT07              7                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT08              8                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT09              9                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT10             10                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT11             11                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT12             12                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT13             13                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT14             14                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT15             15                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT16             16                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT17             17                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT18             18                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT19             19                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT20             20                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT21             21                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT22             22                               /* Event n Enable Clear */
#define BITP_ADCC_EVTEN_CLR_EVT23             23                               /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT00             (_ADI_MSK(0x00000001,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT01             (_ADI_MSK(0x00000002,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT02             (_ADI_MSK(0x00000004,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT03             (_ADI_MSK(0x00000008,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT04             (_ADI_MSK(0x00000010,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT05             (_ADI_MSK(0x00000020,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT06             (_ADI_MSK(0x00000040,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT07             (_ADI_MSK(0x00000080,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT08             (_ADI_MSK(0x00000100,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT09             (_ADI_MSK(0x00000200,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT10             (_ADI_MSK(0x00000400,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT11             (_ADI_MSK(0x00000800,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT12             (_ADI_MSK(0x00001000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT13             (_ADI_MSK(0x00002000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT14             (_ADI_MSK(0x00004000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT15             (_ADI_MSK(0x00008000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT16             (_ADI_MSK(0x00010000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT17             (_ADI_MSK(0x00020000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT18             (_ADI_MSK(0x00040000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT19             (_ADI_MSK(0x00080000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT20             (_ADI_MSK(0x00100000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT21             (_ADI_MSK(0x00200000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT22             (_ADI_MSK(0x00400000,uint32_t))  /* Event n Enable Clear */
#define BITM_ADCC_EVTEN_CLR_EVT23             (_ADI_MSK(0x00800000,uint32_t))  /* Event n Enable Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_ECOL                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_ECOL_EVT00                   0                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT01                   1                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT02                   2                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT03                   3                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT04                   4                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT05                   5                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT06                   6                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT07                   7                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT08                   8                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT09                   9                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT10                  10                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT11                  11                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT12                  12                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT13                  13                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT14                  14                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT15                  15                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT16                  16                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT17                  17                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT18                  18                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT19                  19                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT20                  20                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT21                  21                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT22                  22                               /* Event n Collision Status */
#define BITP_ADCC_ECOL_EVT23                  23                               /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT00                  (_ADI_MSK(0x00000001,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT01                  (_ADI_MSK(0x00000002,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT02                  (_ADI_MSK(0x00000004,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT03                  (_ADI_MSK(0x00000008,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT04                  (_ADI_MSK(0x00000010,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT05                  (_ADI_MSK(0x00000020,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT06                  (_ADI_MSK(0x00000040,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT07                  (_ADI_MSK(0x00000080,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT08                  (_ADI_MSK(0x00000100,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT09                  (_ADI_MSK(0x00000200,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT10                  (_ADI_MSK(0x00000400,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT11                  (_ADI_MSK(0x00000800,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT12                  (_ADI_MSK(0x00001000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT13                  (_ADI_MSK(0x00002000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT14                  (_ADI_MSK(0x00004000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT15                  (_ADI_MSK(0x00008000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT16                  (_ADI_MSK(0x00010000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT17                  (_ADI_MSK(0x00020000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT18                  (_ADI_MSK(0x00040000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT19                  (_ADI_MSK(0x00080000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT20                  (_ADI_MSK(0x00100000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT21                  (_ADI_MSK(0x00200000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT22                  (_ADI_MSK(0x00400000,uint32_t))  /* Event n Collision Status */
#define BITM_ADCC_ECOL_EVT23                  (_ADI_MSK(0x00800000,uint32_t))  /* Event n Collision Status */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EMISS                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EMISS_EVT00                  0                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT01                  1                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT02                  2                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT03                  3                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT04                  4                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT05                  5                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT06                  6                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT07                  7                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT08                  8                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT09                  9                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT10                 10                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT11                 11                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT12                 12                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT13                 13                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT14                 14                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT15                 15                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT16                 16                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT17                 17                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT18                 18                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT19                 19                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT20                 20                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT21                 21                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT22                 22                               /* Event n Miss Status */
#define BITP_ADCC_EMISS_EVT23                 23                               /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT00                 (_ADI_MSK(0x00000001,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT01                 (_ADI_MSK(0x00000002,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT02                 (_ADI_MSK(0x00000004,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT03                 (_ADI_MSK(0x00000008,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT04                 (_ADI_MSK(0x00000010,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT05                 (_ADI_MSK(0x00000020,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT06                 (_ADI_MSK(0x00000040,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT07                 (_ADI_MSK(0x00000080,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT08                 (_ADI_MSK(0x00000100,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT09                 (_ADI_MSK(0x00000200,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT10                 (_ADI_MSK(0x00000400,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT11                 (_ADI_MSK(0x00000800,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT12                 (_ADI_MSK(0x00001000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT13                 (_ADI_MSK(0x00002000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT14                 (_ADI_MSK(0x00004000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT15                 (_ADI_MSK(0x00008000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT16                 (_ADI_MSK(0x00010000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT17                 (_ADI_MSK(0x00020000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT18                 (_ADI_MSK(0x00040000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT19                 (_ADI_MSK(0x00080000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT20                 (_ADI_MSK(0x00100000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT21                 (_ADI_MSK(0x00200000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT22                 (_ADI_MSK(0x00400000,uint32_t))  /* Event n Miss Status */
#define BITM_ADCC_EMISS_EVT23                 (_ADI_MSK(0x00800000,uint32_t))  /* Event n Miss Status */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_CBSIZ0                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_CBSIZ0_VALUE                 0                               /* Circular Buffer Size 0 Value */
#define BITM_ADCC_CBSIZ0_VALUE                (_ADI_MSK(0x0000FFFF,uint32_t))  /* Circular Buffer Size 0 Value */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_TCA0                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_TCA0_NCK                    16                               /* Number of Clocks */
#define BITP_ADCC_TCA0_CKDIV                   0                               /* Clock Divisor */
#define BITM_ADCC_TCA0_NCK                    (_ADI_MSK(0x000F0000,uint32_t))  /* Number of Clocks */
#define BITM_ADCC_TCA0_CKDIV                  (_ADI_MSK(0x0000FFFF,uint32_t))  /* Clock Divisor */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_TCB0                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_TCB0_TCSCS                  16                               /* Timing CS to CS Delay */
#define BITP_ADCC_TCB0_TCKCS                   8                               /* Time CK to CS Hold */
#define BITP_ADCC_TCB0_TCSCK                   0                               /* Time CS to CK Setup */
#define BITM_ADCC_TCB0_TCSCS                  (_ADI_MSK(0x00FF0000,uint32_t))  /* Timing CS to CS Delay */
#define BITM_ADCC_TCB0_TCKCS                  (_ADI_MSK(0x0000FF00,uint32_t))  /* Time CK to CS Hold */
#define BITM_ADCC_TCB0_TCSCK                  (_ADI_MSK(0x000000FF,uint32_t))  /* Time CS to CK Setup */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_CFG                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_CFG_REFSEL                  22                               /* Reference Selection */
#define BITP_ADCC_CFG_PND                      0                               /* Pending Configuration Status */
#define BITM_ADCC_CFG_REFSEL                  (_ADI_MSK(0x00400000,uint32_t))  /* Reference Selection */
#define BITM_ADCC_CFG_PND                     (_ADI_MSK(0x00000001,uint32_t))  /* Pending Configuration Status */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_CBSIZ1                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_CBSIZ1_VALUE                 0                               /* Circular Buffer Size 1 Value */
#define BITM_ADCC_CBSIZ1_VALUE                (_ADI_MSK(0x0000FFFF,uint32_t))  /* Circular Buffer Size 1 Value */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_TCA1                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_TCA1_NCK                    16                               /* Number of Clocks */
#define BITP_ADCC_TCA1_CKDIV                   0                               /* Clock Divisor */
#define BITM_ADCC_TCA1_NCK                    (_ADI_MSK(0x000F0000,uint32_t))  /* Number of Clocks */
#define BITM_ADCC_TCA1_CKDIV                  (_ADI_MSK(0x0000FFFF,uint32_t))  /* Clock Divisor */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_TCB1                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_TCB1_TCSCS                  16                               /* Timing CS to CS Delay */
#define BITP_ADCC_TCB1_TCKCS                   8                               /* Time CK to CS Hold */
#define BITP_ADCC_TCB1_TCSCK                   0                               /* Time CS to CK Setup */
#define BITM_ADCC_TCB1_TCSCS                  (_ADI_MSK(0x00FF0000,uint32_t))  /* Timing CS to CS Delay */
#define BITM_ADCC_TCB1_TCKCS                  (_ADI_MSK(0x0000FF00,uint32_t))  /* Time CK to CS Hold */
#define BITM_ADCC_TCB1_TCSCK                  (_ADI_MSK(0x000000FF,uint32_t))  /* Time CS to CK Setup */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EVCTLn                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EVCTL_EVTOFS                24                               /* Event Offset */
#define BITP_ADCC_EVCTL_TMRSEL                20                               /* Timer Select. */
#define BITP_ADCC_EVCTL_SIMSAMP               17                               /* Simultaneous Sampling Enable */
#define BITP_ADCC_EVCTL_ADCSEL                16                               /* ADC Select */
#define BITP_ADCC_EVCTL_CTLWD                  0                               /* Control Word for ADC */
#define BITM_ADCC_EVCTL_EVTOFS                (_ADI_MSK(0xFF000000,uint32_t))  /* Event Offset */
#define BITM_ADCC_EVCTL_TMRSEL                (_ADI_MSK(0x00100000,uint32_t))  /* Timer Select. */
#define BITM_ADCC_EVCTL_SIMSAMP               (_ADI_MSK(0x00020000,uint32_t))  /* Simultaneous Sampling Enable */
#define BITM_ADCC_EVCTL_ADCSEL                (_ADI_MSK(0x00010000,uint32_t))  /* ADC Select */
#define BITM_ADCC_EVCTL_CTLWD                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* Control Word for ADC */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EPND                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EPND_EVT00                   0                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT01                   1                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT02                   2                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT03                   3                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT04                   4                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT05                   5                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT06                   6                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT07                   7                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT08                   8                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT09                   9                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT10                  10                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT11                  11                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT12                  12                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT13                  13                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT14                  14                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT15                  15                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT16                  16                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT17                  17                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT18                  18                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT19                  19                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT20                  20                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT21                  21                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT22                  22                               /* Event n Pending Status */
#define BITP_ADCC_EPND_EVT23                  23                               /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT00                  (_ADI_MSK(0x00000001,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT01                  (_ADI_MSK(0x00000002,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT02                  (_ADI_MSK(0x00000004,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT03                  (_ADI_MSK(0x00000008,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT04                  (_ADI_MSK(0x00000010,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT05                  (_ADI_MSK(0x00000020,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT06                  (_ADI_MSK(0x00000040,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT07                  (_ADI_MSK(0x00000080,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT08                  (_ADI_MSK(0x00000100,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT09                  (_ADI_MSK(0x00000200,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT10                  (_ADI_MSK(0x00000400,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT11                  (_ADI_MSK(0x00000800,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT12                  (_ADI_MSK(0x00001000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT13                  (_ADI_MSK(0x00002000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT14                  (_ADI_MSK(0x00004000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT15                  (_ADI_MSK(0x00008000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT16                  (_ADI_MSK(0x00010000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT17                  (_ADI_MSK(0x00020000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT18                  (_ADI_MSK(0x00040000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT19                  (_ADI_MSK(0x00080000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT20                  (_ADI_MSK(0x00100000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT21                  (_ADI_MSK(0x00200000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT22                  (_ADI_MSK(0x00400000,uint32_t))  /* Event n Pending Status */
#define BITM_ADCC_EPND_EVT23                  (_ADI_MSK(0x00800000,uint32_t))  /* Event n Pending Status */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_T0STAT                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_T0STAT_DPND                 16                               /* DMA Pending Status */
#define BITP_ADCC_T0STAT_CURFR                 0                               /* Current Frame Count */
#define BITM_ADCC_T0STAT_DPND                 (_ADI_MSK(0x00010000,uint32_t))  /* DMA Pending Status */
#define BITM_ADCC_T0STAT_CURFR                (_ADI_MSK(0x0000FFFF,uint32_t))  /* Current Frame Count */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_T1STAT                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_T1STAT_DPND                 16                               /* DMA Pending Status */
#define BITP_ADCC_T1STAT_CURFR                 0                               /* Current Frame Count */
#define BITM_ADCC_T1STAT_DPND                 (_ADI_MSK(0x00010000,uint32_t))  /* DMA Pending Status */
#define BITM_ADCC_T1STAT_CURFR                (_ADI_MSK(0x0000FFFF,uint32_t))  /* Current Frame Count */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EVDATn                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EVDAT_VALUE                  0                               /* Event Data Sampled from ADC */
#define BITM_ADCC_EVDAT_VALUE                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* Event Data Sampled from ADC */

/* ------------------------------------------------------------------------------------------------------------------------
         ADCC_EVSTATn                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_ADCC_EVSTAT_DLYCNT                0                               /* Delay Count */
#define BITM_ADCC_EVSTAT_DLYCNT               (_ADI_MSK(0x0000FFFF,uint32_t))  /* Delay Count */

/* ==================================================
        DAC Controller Registers
   ================================================== */

/* =========================
        DACC0
   ========================= */
#define REG_DACC0_CTL0                  0x4000F000         /* DACC0 Control 0 Register */
#define REG_DACC0_CTL1                  0x4000F004         /* DACC0 Control 1 Register */
#define REG_DACC0_ERRSTAT               0x4000F008         /* DACC0 Error Status Register */
#define REG_DACC0_ERRMSK                0x4000F00C         /* DACC0 Error Mask Register */
#define REG_DACC0_ERRMSK_SET            0x4000F010         /* DACC0 Error Mask Set Register */
#define REG_DACC0_ERRMSK_CLR            0x4000F014         /* DACC0 Error Mask Clear Register */
#define REG_DACC0_ISTAT                 0x4000F018         /* DACC0 Interrupt Status Register */
#define REG_DACC0_IMSK                  0x4000F01C         /* DACC0 Interrupt Mask Register */
#define REG_DACC0_IMSK_SET              0x4000F020         /* DACC0 Interrupt Mask Set Register */
#define REG_DACC0_IMSK_CLR              0x4000F024         /* DACC0 Interrupt Mask Clear Register */
#define REG_DACC0_TC0                   0x4000F028         /* DACC0 Timing Control 0 Register */
#define REG_DACC0_BPTR0                 0x4000F02C         /* DACC0 Base Pointer 0 Register */
#define REG_DACC0_MOD0                  0x4000F030         /* DACC0 Modify 0 Register */
#define REG_DACC0_CNT0                  0x4000F034         /* DACC0 Count 0 Register */
#define REG_DACC0_DAT0                  0x4000F038         /* DACC0 Data FIFO 0 Register */
#define REG_DACC0_TC1                   0x4000F03C         /* DACC0 Timing Control 1 Register */
#define REG_DACC0_BPTR1                 0x4000F040         /* DACC0 Base Pointer 1 Register */
#define REG_DACC0_MOD1                  0x4000F044         /* DACC0 Modify 1 Register */
#define REG_DACC0_CNT1                  0x4000F048         /* DACC0 Count 1 Register */
#define REG_DACC0_DAT1                  0x4000F04C         /* DACC0 Data FIFO 1 Register */
#define REG_DACC0_BCST_CTL              0x4000F050         /* DACC0 Broadcast (Write) Control Register */
#define REG_DACC0_CNTCUR0               0x4000F100         /* DACC0 Current Count 0 Register */
#define REG_DACC0_CNTCUR1               0x4000F104         /* DACC0 Current Count 1 Register */
#define REG_DACC0_STAT                  0x4000F108         /* DACC0 Status Register */

/* =========================
        DACC
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         DACC_CTL0                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_CTL0_CKPOL                  18                               /* Clock Polarity */
#define BITP_DACC_CTL0_SYNCPOL                16                               /* SYNC Polarity */
#define BITP_DACC_CTL0_DLEN                    8                               /* Data Length */
#define BITP_DACC_CTL0_CINTEN                  7                               /* Circular Buffer Interrupt Enable */
#define BITP_DACC_CTL0_CBUFEN                  6                               /* Circular Buffer Enable */
#define BITP_DACC_CTL0_GCKEN                   5                               /* Gated Clock Enable */
#define BITP_DACC_CTL0_LSBF                    4                               /* LSB-First Mode */
#define BITP_DACC_CTL0_DMAW                    3                               /* DMA Data Width */
#define BITP_DACC_CTL0_DMAEN                   2                               /* DMA Enable */
#define BITP_DACC_CTL0_EN                      0                               /* Enable */
#define BITM_DACC_CTL0_CKPOL                  (_ADI_MSK(0x00040000,uint32_t))  /* Clock Polarity */
#define BITM_DACC_CTL0_SYNCPOL                (_ADI_MSK(0x00010000,uint32_t))  /* SYNC Polarity */
#define BITM_DACC_CTL0_DLEN                   (_ADI_MSK(0x00000F00,uint32_t))  /* Data Length */
#define BITM_DACC_CTL0_CINTEN                 (_ADI_MSK(0x00000080,uint32_t))  /* Circular Buffer Interrupt Enable */
#define BITM_DACC_CTL0_CBUFEN                 (_ADI_MSK(0x00000040,uint32_t))  /* Circular Buffer Enable */
#define BITM_DACC_CTL0_GCKEN                  (_ADI_MSK(0x00000020,uint32_t))  /* Gated Clock Enable */
#define BITM_DACC_CTL0_LSBF                   (_ADI_MSK(0x00000010,uint32_t))  /* LSB-First Mode */
#define BITM_DACC_CTL0_DMAW                   (_ADI_MSK(0x00000008,uint32_t))  /* DMA Data Width */
#define BITM_DACC_CTL0_DMAEN                  (_ADI_MSK(0x00000004,uint32_t))  /* DMA Enable */
#define BITM_DACC_CTL0_EN                     (_ADI_MSK(0x00000001,uint32_t))  /* Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_CTL1                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_CTL1_CKPOL                  18                               /* Clock Polarity */
#define BITP_DACC_CTL1_SYNCPOL                16                               /* SYNC Polarity */
#define BITP_DACC_CTL1_DLEN                    8                               /* Data Length */
#define BITP_DACC_CTL1_CINTEN                  7                               /* Circular Buffer Interrupt Enable */
#define BITP_DACC_CTL1_CBUFEN                  6                               /* Circular Buffer Enable */
#define BITP_DACC_CTL1_GCKEN                   5                               /* Gated Clock Enable */
#define BITP_DACC_CTL1_LSBF                    4                               /* LSB-First Mode */
#define BITP_DACC_CTL1_DMAW                    3                               /* DMA Data Width */
#define BITP_DACC_CTL1_DMAEN                   2                               /* DMA Enable */
#define BITP_DACC_CTL1_EN                      0                               /* Enable */
#define BITM_DACC_CTL1_CKPOL                  (_ADI_MSK(0x00040000,uint32_t))  /* Clock Polarity */
#define BITM_DACC_CTL1_SYNCPOL                (_ADI_MSK(0x00010000,uint32_t))  /* SYNC Polarity */
#define BITM_DACC_CTL1_DLEN                   (_ADI_MSK(0x00000F00,uint32_t))  /* Data Length */
#define BITM_DACC_CTL1_CINTEN                 (_ADI_MSK(0x00000080,uint32_t))  /* Circular Buffer Interrupt Enable */
#define BITM_DACC_CTL1_CBUFEN                 (_ADI_MSK(0x00000040,uint32_t))  /* Circular Buffer Enable */
#define BITM_DACC_CTL1_GCKEN                  (_ADI_MSK(0x00000020,uint32_t))  /* Gated Clock Enable */
#define BITM_DACC_CTL1_LSBF                   (_ADI_MSK(0x00000010,uint32_t))  /* LSB-First Mode */
#define BITM_DACC_CTL1_DMAW                   (_ADI_MSK(0x00000008,uint32_t))  /* DMA Data Width */
#define BITM_DACC_CTL1_DMAEN                  (_ADI_MSK(0x00000004,uint32_t))  /* DMA Enable */
#define BITM_DACC_CTL1_EN                     (_ADI_MSK(0x00000001,uint32_t))  /* Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_ERRSTAT                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_ERRSTAT_MER1                 5                               /* Memory Error 1 */
#define BITP_DACC_ERRSTAT_MER0                 4                               /* Memory Error 0 */
#define BITP_DACC_ERRSTAT_AER1                 3                               /* Address Alignment Error 1 */
#define BITP_DACC_ERRSTAT_AER0                 2                               /* Address Alignment Error 0 */
#define BITP_DACC_ERRSTAT_DUVF1                1                               /* DAC Underflow 1 */
#define BITP_DACC_ERRSTAT_DUVF0                0                               /* DAC0 Underflow */
#define BITM_DACC_ERRSTAT_MER1                (_ADI_MSK(0x00000020,uint32_t))  /* Memory Error 1 */
#define BITM_DACC_ERRSTAT_MER0                (_ADI_MSK(0x00000010,uint32_t))  /* Memory Error 0 */
#define BITM_DACC_ERRSTAT_AER1                (_ADI_MSK(0x00000008,uint32_t))  /* Address Alignment Error 1 */
#define BITM_DACC_ERRSTAT_AER0                (_ADI_MSK(0x00000004,uint32_t))  /* Address Alignment Error 0 */
#define BITM_DACC_ERRSTAT_DUVF1               (_ADI_MSK(0x00000002,uint32_t))  /* DAC Underflow 1 */
#define BITM_DACC_ERRSTAT_DUVF0               (_ADI_MSK(0x00000001,uint32_t))  /* DAC0 Underflow */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_ERRMSK                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_ERRMSK_MER1                  5                               /* Memory Error 1 Mask */
#define BITP_DACC_ERRMSK_MER0                  4                               /* Memory Error 0 Mask */
#define BITP_DACC_ERRMSK_AER1                  3                               /* Address Alignment Error 1 Mask */
#define BITP_DACC_ERRMSK_AER0                  2                               /* Address Alignment Error 0 Mask */
#define BITP_DACC_ERRMSK_DUVF1                 1                               /* DAC Underflow 1 Mask */
#define BITP_DACC_ERRMSK_DUVF0                 0                               /* DAC Underflow 0 Mask */
#define BITM_DACC_ERRMSK_MER1                 (_ADI_MSK(0x00000020,uint32_t))  /* Memory Error 1 Mask */
#define BITM_DACC_ERRMSK_MER0                 (_ADI_MSK(0x00000010,uint32_t))  /* Memory Error 0 Mask */
#define BITM_DACC_ERRMSK_AER1                 (_ADI_MSK(0x00000008,uint32_t))  /* Address Alignment Error 1 Mask */
#define BITM_DACC_ERRMSK_AER0                 (_ADI_MSK(0x00000004,uint32_t))  /* Address Alignment Error 0 Mask */
#define BITM_DACC_ERRMSK_DUVF1                (_ADI_MSK(0x00000002,uint32_t))  /* DAC Underflow 1 Mask */
#define BITM_DACC_ERRMSK_DUVF0                (_ADI_MSK(0x00000001,uint32_t))  /* DAC Underflow 0 Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_ERRMSK_SET                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_ERRMSK_SET_MER1              5                               /* Memory Error 1 Mask Set */
#define BITP_DACC_ERRMSK_SET_MER0              4                               /* Memory Error 0 Mask Set */
#define BITP_DACC_ERRMSK_SET_AER1              3                               /* Address Alignment Error 1 Mask Set */
#define BITP_DACC_ERRMSK_SET_AER0              2                               /* Address Alignment Error 0 Mask Set */
#define BITP_DACC_ERRMSK_SET_DUVF1             1                               /* DAC Underflow 1 Mask Set */
#define BITP_DACC_ERRMSK_SET_DUVF0             0                               /* DAC Underflow 0 Mask Set */
#define BITM_DACC_ERRMSK_SET_MER1             (_ADI_MSK(0x00000020,uint32_t))  /* Memory Error 1 Mask Set */
#define BITM_DACC_ERRMSK_SET_MER0             (_ADI_MSK(0x00000010,uint32_t))  /* Memory Error 0 Mask Set */
#define BITM_DACC_ERRMSK_SET_AER1             (_ADI_MSK(0x00000008,uint32_t))  /* Address Alignment Error 1 Mask Set */
#define BITM_DACC_ERRMSK_SET_AER0             (_ADI_MSK(0x00000004,uint32_t))  /* Address Alignment Error 0 Mask Set */
#define BITM_DACC_ERRMSK_SET_DUVF1            (_ADI_MSK(0x00000002,uint32_t))  /* DAC Underflow 1 Mask Set */
#define BITM_DACC_ERRMSK_SET_DUVF0            (_ADI_MSK(0x00000001,uint32_t))  /* DAC Underflow 0 Mask Set */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_ERRMSK_CLR                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_ERRMSK_CLR_MER1              5                               /* Memory Error 1 Mask Clear */
#define BITP_DACC_ERRMSK_CLR_MER0              4                               /* Memory Error 0 Mask Clear */
#define BITP_DACC_ERRMSK_CLR_AER1              3                               /* Address Alignment Error 0 Mask Clear */
#define BITP_DACC_ERRMSK_CLR_AER0              2                               /* Address Alignment Error 0 Mask Clear */
#define BITP_DACC_ERRMSK_CLR_DUVF1             1                               /* DAC Underflow 1 Mask Clear */
#define BITP_DACC_ERRMSK_CLR_DUVF0             0                               /* DAC Underflow 0 Mask Clear */
#define BITM_DACC_ERRMSK_CLR_MER1             (_ADI_MSK(0x00000020,uint32_t))  /* Memory Error 1 Mask Clear */
#define BITM_DACC_ERRMSK_CLR_MER0             (_ADI_MSK(0x00000010,uint32_t))  /* Memory Error 0 Mask Clear */
#define BITM_DACC_ERRMSK_CLR_AER1             (_ADI_MSK(0x00000008,uint32_t))  /* Address Alignment Error 0 Mask Clear */
#define BITM_DACC_ERRMSK_CLR_AER0             (_ADI_MSK(0x00000004,uint32_t))  /* Address Alignment Error 0 Mask Clear */
#define BITM_DACC_ERRMSK_CLR_DUVF1            (_ADI_MSK(0x00000002,uint32_t))  /* DAC Underflow 1 Mask Clear */
#define BITM_DACC_ERRMSK_CLR_DUVF0            (_ADI_MSK(0x00000001,uint32_t))  /* DAC Underflow 0 Mask Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_ISTAT                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_ISTAT_CINT1                  3                               /* Core Complete (Non-DMA) Interrupt */
#define BITP_DACC_ISTAT_CINT0                  2                               /* Core Complete (Non-DMA) Interrupt 0 */
#define BITP_DACC_ISTAT_DINT1                  1                               /* DMA Complete Interrupt 1 */
#define BITP_DACC_ISTAT_DINT0                  0                               /* DMA Complete Interrupt 0 */
#define BITM_DACC_ISTAT_CINT1                 (_ADI_MSK(0x00000008,uint32_t))  /* Core Complete (Non-DMA) Interrupt */
#define BITM_DACC_ISTAT_CINT0                 (_ADI_MSK(0x00000004,uint32_t))  /* Core Complete (Non-DMA) Interrupt 0 */
#define BITM_DACC_ISTAT_DINT1                 (_ADI_MSK(0x00000002,uint32_t))  /* DMA Complete Interrupt 1 */
#define BITM_DACC_ISTAT_DINT0                 (_ADI_MSK(0x00000001,uint32_t))  /* DMA Complete Interrupt 0 */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_IMSK                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_IMSK_CINT1                   3                               /* Core Complete (Non-DMA) Interrupt 1Mask */
#define BITP_DACC_IMSK_CINT0                   2                               /* Core Complete (Non-DMA) Interrupt 0 Mask */
#define BITP_DACC_IMSK_DINT1                   1                               /* DMA Complete Interrupt 1 Mask */
#define BITP_DACC_IMSK_DINT0                   0                               /* DMA Complete Interrupt 0 Mask */
#define BITM_DACC_IMSK_CINT1                  (_ADI_MSK(0x00000008,uint32_t))  /* Core Complete (Non-DMA) Interrupt 1Mask */
#define BITM_DACC_IMSK_CINT0                  (_ADI_MSK(0x00000004,uint32_t))  /* Core Complete (Non-DMA) Interrupt 0 Mask */
#define BITM_DACC_IMSK_DINT1                  (_ADI_MSK(0x00000002,uint32_t))  /* DMA Complete Interrupt 1 Mask */
#define BITM_DACC_IMSK_DINT0                  (_ADI_MSK(0x00000001,uint32_t))  /* DMA Complete Interrupt 0 Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_IMSK_SET                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_IMSK_SET_CINT1               3                               /* Core Complete (Non-DMA) Interrupt 1 Mask Set */
#define BITP_DACC_IMSK_SET_CINT0               2                               /* Core Complete (Non-DMA) Interrupt 0 Mask Set */
#define BITP_DACC_IMSK_SET_DINT1               1                               /* DMA Complete Interrupt 1 Mask Set */
#define BITP_DACC_IMSK_SET_DINT0               0                               /* DMA Complete Interrupt 0 Mask Set */
#define BITM_DACC_IMSK_SET_CINT1              (_ADI_MSK(0x00000008,uint32_t))  /* Core Complete (Non-DMA) Interrupt 1 Mask Set */
#define BITM_DACC_IMSK_SET_CINT0              (_ADI_MSK(0x00000004,uint32_t))  /* Core Complete (Non-DMA) Interrupt 0 Mask Set */
#define BITM_DACC_IMSK_SET_DINT1              (_ADI_MSK(0x00000002,uint32_t))  /* DMA Complete Interrupt 1 Mask Set */
#define BITM_DACC_IMSK_SET_DINT0              (_ADI_MSK(0x00000001,uint32_t))  /* DMA Complete Interrupt 0 Mask Set */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_IMSK_CLR                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_IMSK_CLR_CINT1               3                               /* Core Complete (Non-DMA) Interrupt 1 Mask Clear */
#define BITP_DACC_IMSK_CLR_CINT0               2                               /* Core Complete (Non-DMA) Interrupt 0 Mask Clear. */
#define BITP_DACC_IMSK_CLR_DINT1               1                               /* DMA Complete Interrupt 1 Mask Clear */
#define BITP_DACC_IMSK_CLR_DINT0               0                               /* DMA Complete Interrupt 0 Mask Clear */
#define BITM_DACC_IMSK_CLR_CINT1              (_ADI_MSK(0x00000008,uint32_t))  /* Core Complete (Non-DMA) Interrupt 1 Mask Clear */
#define BITM_DACC_IMSK_CLR_CINT0              (_ADI_MSK(0x00000004,uint32_t))  /* Core Complete (Non-DMA) Interrupt 0 Mask Clear. */
#define BITM_DACC_IMSK_CLR_DINT1              (_ADI_MSK(0x00000002,uint32_t))  /* DMA Complete Interrupt 1 Mask Clear */
#define BITM_DACC_IMSK_CLR_DINT0              (_ADI_MSK(0x00000001,uint32_t))  /* DMA Complete Interrupt 0 Mask Clear */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_TC0                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_TC0_FSIDLE                  16                               /* Frame Sync Idle */
#define BITP_DACC_TC0_CKDIV                    0                               /* Clock Divisor */
#define BITM_DACC_TC0_FSIDLE                  (_ADI_MSK(0xFFFF0000,uint32_t))  /* Frame Sync Idle */
#define BITM_DACC_TC0_CKDIV                   (_ADI_MSK(0x0000FFFF,uint32_t))  /* Clock Divisor */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_DAT0                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_DAT0_VALUE                   0                               /* Data FIFO 0 Value */
#define BITM_DACC_DAT0_VALUE                  (_ADI_MSK(0x0000FFFF,uint32_t))  /* Data FIFO 0 Value */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_TC1                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_TC1_FSIDLE                  16                               /* Frame Sync Idle */
#define BITP_DACC_TC1_CKDIV                    0                               /* Clock Divisor */
#define BITM_DACC_TC1_FSIDLE                  (_ADI_MSK(0xFFFF0000,uint32_t))  /* Frame Sync Idle */
#define BITM_DACC_TC1_CKDIV                   (_ADI_MSK(0x0000FFFF,uint32_t))  /* Clock Divisor */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_DAT1                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_DAT1_VALUE                   0                               /* Data FIFO 1 Value */
#define BITM_DACC_DAT1_VALUE                  (_ADI_MSK(0x0000FFFF,uint32_t))  /* Data FIFO 1 Value */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_BCST_CTL                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_BCST_CTL_CKPOL              18                               /* Clock Polarity */
#define BITP_DACC_BCST_CTL_SYNCPOL            16                               /* SYNC Polarity */
#define BITP_DACC_BCST_CTL_DLEN                8                               /* Data Length */
#define BITP_DACC_BCST_CTL_CINTEN              7                               /* Circular Buffer Interrupt Enable */
#define BITP_DACC_BCST_CTL_CBUFEN              6                               /* Circular Buffer Enable */
#define BITP_DACC_BCST_CTL_GCKEN               5                               /* Gated Clock Enable */
#define BITP_DACC_BCST_CTL_LSBF                4                               /* LSB-First Mode */
#define BITP_DACC_BCST_CTL_DMAW                3                               /* DMA Data Width */
#define BITP_DACC_BCST_CTL_DMAEN               2                               /* DMA Enable */
#define BITP_DACC_BCST_CTL_EN                  0                               /* Enable */
#define BITM_DACC_BCST_CTL_CKPOL              (_ADI_MSK(0x00040000,uint32_t))  /* Clock Polarity */
#define BITM_DACC_BCST_CTL_SYNCPOL            (_ADI_MSK(0x00010000,uint32_t))  /* SYNC Polarity */
#define BITM_DACC_BCST_CTL_DLEN               (_ADI_MSK(0x00000F00,uint32_t))  /* Data Length */
#define BITM_DACC_BCST_CTL_CINTEN             (_ADI_MSK(0x00000080,uint32_t))  /* Circular Buffer Interrupt Enable */
#define BITM_DACC_BCST_CTL_CBUFEN             (_ADI_MSK(0x00000040,uint32_t))  /* Circular Buffer Enable */
#define BITM_DACC_BCST_CTL_GCKEN              (_ADI_MSK(0x00000020,uint32_t))  /* Gated Clock Enable */
#define BITM_DACC_BCST_CTL_LSBF               (_ADI_MSK(0x00000010,uint32_t))  /* LSB-First Mode */
#define BITM_DACC_BCST_CTL_DMAW               (_ADI_MSK(0x00000008,uint32_t))  /* DMA Data Width */
#define BITM_DACC_BCST_CTL_DMAEN              (_ADI_MSK(0x00000004,uint32_t))  /* DMA Enable */
#define BITM_DACC_BCST_CTL_EN                 (_ADI_MSK(0x00000001,uint32_t))  /* Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         DACC_STAT                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DACC_STAT_FSTAT1                 12                               /* FIFO Status 1 */
#define BITP_DACC_STAT_FSTAT0                  8                               /* FIFO Status 0 */
#define BITP_DACC_STAT_DPND1                   4                               /* Data Pending 1 */
#define BITP_DACC_STAT_DPND0                   0                               /* Data Pending 0 */
#define BITM_DACC_STAT_FSTAT1                 (_ADI_MSK(0x0000F000,uint32_t))  /* FIFO Status 1 */
#define BITM_DACC_STAT_FSTAT0                 (_ADI_MSK(0x00000F00,uint32_t))  /* FIFO Status 0 */
#define BITM_DACC_STAT_DPND1                  (_ADI_MSK(0x00000010,uint32_t))  /* Data Pending 1 */
#define BITM_DACC_STAT_DPND0                  (_ADI_MSK(0x00000001,uint32_t))  /* Data Pending 0 */

/* ==================================================
        DMA Channel Registers
   ================================================== */

/* =========================
        DMA0
   ========================= */
#define REG_DMA0_DSCPTR_NXT             0x40010000         /* DMA0 Pointer to Next Initial Descriptor */
#define REG_DMA0_ADDRSTART              0x40010004         /* DMA0 Start Address of Current Buffer */
#define REG_DMA0_CFG                    0x40010008         /* DMA0 Configuration Register */
#define REG_DMA0_XCNT                   0x4001000C         /* DMA0 Inner Loop Count Start Value */
#define REG_DMA0_XMOD                   0x40010010         /* DMA0 Inner Loop Address Increment */
#define REG_DMA0_YCNT                   0x40010014         /* DMA0 Outer Loop Count Start Value (2D only) */
#define REG_DMA0_YMOD                   0x40010018         /* DMA0 Outer Loop Address Increment (2D only) */
#define REG_DMA0_DSCPTR_CUR             0x40010024         /* DMA0 Current Descriptor Pointer */
#define REG_DMA0_DSCPTR_PRV             0x40010028         /* DMA0 Previous Initial Descriptor Pointer */
#define REG_DMA0_ADDR_CUR               0x4001002C         /* DMA0 Current Address */
#define REG_DMA0_STAT                   0x40010030         /* DMA0 Status Register */
#define REG_DMA0_XCNT_CUR               0x40010034         /* DMA0 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA0_YCNT_CUR               0x40010038         /* DMA0 Current Row Count (2D only) */
#define REG_DMA0_BWLCNT                 0x40010040         /* DMA0 Bandwidth Limit Count */
#define REG_DMA0_BWLCNT_CUR             0x40010044         /* DMA0 Bandwidth Limit Count Current */
#define REG_DMA0_BWMCNT                 0x40010048         /* DMA0 Bandwidth Monitor Count */
#define REG_DMA0_BWMCNT_CUR             0x4001004C         /* DMA0 Bandwidth Monitor Count Current */

/* =========================
        DMA1
   ========================= */
#define REG_DMA1_DSCPTR_NXT             0x40010080         /* DMA1 Pointer to Next Initial Descriptor */
#define REG_DMA1_ADDRSTART              0x40010084         /* DMA1 Start Address of Current Buffer */
#define REG_DMA1_CFG                    0x40010088         /* DMA1 Configuration Register */
#define REG_DMA1_XCNT                   0x4001008C         /* DMA1 Inner Loop Count Start Value */
#define REG_DMA1_XMOD                   0x40010090         /* DMA1 Inner Loop Address Increment */
#define REG_DMA1_YCNT                   0x40010094         /* DMA1 Outer Loop Count Start Value (2D only) */
#define REG_DMA1_YMOD                   0x40010098         /* DMA1 Outer Loop Address Increment (2D only) */
#define REG_DMA1_DSCPTR_CUR             0x400100A4         /* DMA1 Current Descriptor Pointer */
#define REG_DMA1_DSCPTR_PRV             0x400100A8         /* DMA1 Previous Initial Descriptor Pointer */
#define REG_DMA1_ADDR_CUR               0x400100AC         /* DMA1 Current Address */
#define REG_DMA1_STAT                   0x400100B0         /* DMA1 Status Register */
#define REG_DMA1_XCNT_CUR               0x400100B4         /* DMA1 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA1_YCNT_CUR               0x400100B8         /* DMA1 Current Row Count (2D only) */
#define REG_DMA1_BWLCNT                 0x400100C0         /* DMA1 Bandwidth Limit Count */
#define REG_DMA1_BWLCNT_CUR             0x400100C4         /* DMA1 Bandwidth Limit Count Current */
#define REG_DMA1_BWMCNT                 0x400100C8         /* DMA1 Bandwidth Monitor Count */
#define REG_DMA1_BWMCNT_CUR             0x400100CC         /* DMA1 Bandwidth Monitor Count Current */

/* =========================
        DMA2
   ========================= */
#define REG_DMA2_DSCPTR_NXT             0x40010100         /* DMA2 Pointer to Next Initial Descriptor */
#define REG_DMA2_ADDRSTART              0x40010104         /* DMA2 Start Address of Current Buffer */
#define REG_DMA2_CFG                    0x40010108         /* DMA2 Configuration Register */
#define REG_DMA2_XCNT                   0x4001010C         /* DMA2 Inner Loop Count Start Value */
#define REG_DMA2_XMOD                   0x40010110         /* DMA2 Inner Loop Address Increment */
#define REG_DMA2_YCNT                   0x40010114         /* DMA2 Outer Loop Count Start Value (2D only) */
#define REG_DMA2_YMOD                   0x40010118         /* DMA2 Outer Loop Address Increment (2D only) */
#define REG_DMA2_DSCPTR_CUR             0x40010124         /* DMA2 Current Descriptor Pointer */
#define REG_DMA2_DSCPTR_PRV             0x40010128         /* DMA2 Previous Initial Descriptor Pointer */
#define REG_DMA2_ADDR_CUR               0x4001012C         /* DMA2 Current Address */
#define REG_DMA2_STAT                   0x40010130         /* DMA2 Status Register */
#define REG_DMA2_XCNT_CUR               0x40010134         /* DMA2 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA2_YCNT_CUR               0x40010138         /* DMA2 Current Row Count (2D only) */
#define REG_DMA2_BWLCNT                 0x40010140         /* DMA2 Bandwidth Limit Count */
#define REG_DMA2_BWLCNT_CUR             0x40010144         /* DMA2 Bandwidth Limit Count Current */
#define REG_DMA2_BWMCNT                 0x40010148         /* DMA2 Bandwidth Monitor Count */
#define REG_DMA2_BWMCNT_CUR             0x4001014C         /* DMA2 Bandwidth Monitor Count Current */

/* =========================
        DMA3
   ========================= */
#define REG_DMA3_DSCPTR_NXT             0x40010180         /* DMA3 Pointer to Next Initial Descriptor */
#define REG_DMA3_ADDRSTART              0x40010184         /* DMA3 Start Address of Current Buffer */
#define REG_DMA3_CFG                    0x40010188         /* DMA3 Configuration Register */
#define REG_DMA3_XCNT                   0x4001018C         /* DMA3 Inner Loop Count Start Value */
#define REG_DMA3_XMOD                   0x40010190         /* DMA3 Inner Loop Address Increment */
#define REG_DMA3_YCNT                   0x40010194         /* DMA3 Outer Loop Count Start Value (2D only) */
#define REG_DMA3_YMOD                   0x40010198         /* DMA3 Outer Loop Address Increment (2D only) */
#define REG_DMA3_DSCPTR_CUR             0x400101A4         /* DMA3 Current Descriptor Pointer */
#define REG_DMA3_DSCPTR_PRV             0x400101A8         /* DMA3 Previous Initial Descriptor Pointer */
#define REG_DMA3_ADDR_CUR               0x400101AC         /* DMA3 Current Address */
#define REG_DMA3_STAT                   0x400101B0         /* DMA3 Status Register */
#define REG_DMA3_XCNT_CUR               0x400101B4         /* DMA3 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA3_YCNT_CUR               0x400101B8         /* DMA3 Current Row Count (2D only) */
#define REG_DMA3_BWLCNT                 0x400101C0         /* DMA3 Bandwidth Limit Count */
#define REG_DMA3_BWLCNT_CUR             0x400101C4         /* DMA3 Bandwidth Limit Count Current */
#define REG_DMA3_BWMCNT                 0x400101C8         /* DMA3 Bandwidth Monitor Count */
#define REG_DMA3_BWMCNT_CUR             0x400101CC         /* DMA3 Bandwidth Monitor Count Current */

/* =========================
        DMA4
   ========================= */
#define REG_DMA4_DSCPTR_NXT             0x40010200         /* DMA4 Pointer to Next Initial Descriptor */
#define REG_DMA4_ADDRSTART              0x40010204         /* DMA4 Start Address of Current Buffer */
#define REG_DMA4_CFG                    0x40010208         /* DMA4 Configuration Register */
#define REG_DMA4_XCNT                   0x4001020C         /* DMA4 Inner Loop Count Start Value */
#define REG_DMA4_XMOD                   0x40010210         /* DMA4 Inner Loop Address Increment */
#define REG_DMA4_YCNT                   0x40010214         /* DMA4 Outer Loop Count Start Value (2D only) */
#define REG_DMA4_YMOD                   0x40010218         /* DMA4 Outer Loop Address Increment (2D only) */
#define REG_DMA4_DSCPTR_CUR             0x40010224         /* DMA4 Current Descriptor Pointer */
#define REG_DMA4_DSCPTR_PRV             0x40010228         /* DMA4 Previous Initial Descriptor Pointer */
#define REG_DMA4_ADDR_CUR               0x4001022C         /* DMA4 Current Address */
#define REG_DMA4_STAT                   0x40010230         /* DMA4 Status Register */
#define REG_DMA4_XCNT_CUR               0x40010234         /* DMA4 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA4_YCNT_CUR               0x40010238         /* DMA4 Current Row Count (2D only) */
#define REG_DMA4_BWLCNT                 0x40010240         /* DMA4 Bandwidth Limit Count */
#define REG_DMA4_BWLCNT_CUR             0x40010244         /* DMA4 Bandwidth Limit Count Current */
#define REG_DMA4_BWMCNT                 0x40010248         /* DMA4 Bandwidth Monitor Count */
#define REG_DMA4_BWMCNT_CUR             0x4001024C         /* DMA4 Bandwidth Monitor Count Current */

/* =========================
        DMA5
   ========================= */
#define REG_DMA5_DSCPTR_NXT             0x40010280         /* DMA5 Pointer to Next Initial Descriptor */
#define REG_DMA5_ADDRSTART              0x40010284         /* DMA5 Start Address of Current Buffer */
#define REG_DMA5_CFG                    0x40010288         /* DMA5 Configuration Register */
#define REG_DMA5_XCNT                   0x4001028C         /* DMA5 Inner Loop Count Start Value */
#define REG_DMA5_XMOD                   0x40010290         /* DMA5 Inner Loop Address Increment */
#define REG_DMA5_YCNT                   0x40010294         /* DMA5 Outer Loop Count Start Value (2D only) */
#define REG_DMA5_YMOD                   0x40010298         /* DMA5 Outer Loop Address Increment (2D only) */
#define REG_DMA5_DSCPTR_CUR             0x400102A4         /* DMA5 Current Descriptor Pointer */
#define REG_DMA5_DSCPTR_PRV             0x400102A8         /* DMA5 Previous Initial Descriptor Pointer */
#define REG_DMA5_ADDR_CUR               0x400102AC         /* DMA5 Current Address */
#define REG_DMA5_STAT                   0x400102B0         /* DMA5 Status Register */
#define REG_DMA5_XCNT_CUR               0x400102B4         /* DMA5 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA5_YCNT_CUR               0x400102B8         /* DMA5 Current Row Count (2D only) */
#define REG_DMA5_BWLCNT                 0x400102C0         /* DMA5 Bandwidth Limit Count */
#define REG_DMA5_BWLCNT_CUR             0x400102C4         /* DMA5 Bandwidth Limit Count Current */
#define REG_DMA5_BWMCNT                 0x400102C8         /* DMA5 Bandwidth Monitor Count */
#define REG_DMA5_BWMCNT_CUR             0x400102CC         /* DMA5 Bandwidth Monitor Count Current */

/* =========================
        DMA6
   ========================= */
#define REG_DMA6_DSCPTR_NXT             0x40011000         /* DMA6 Pointer to Next Initial Descriptor */
#define REG_DMA6_ADDRSTART              0x40011004         /* DMA6 Start Address of Current Buffer */
#define REG_DMA6_CFG                    0x40011008         /* DMA6 Configuration Register */
#define REG_DMA6_XCNT                   0x4001100C         /* DMA6 Inner Loop Count Start Value */
#define REG_DMA6_XMOD                   0x40011010         /* DMA6 Inner Loop Address Increment */
#define REG_DMA6_YCNT                   0x40011014         /* DMA6 Outer Loop Count Start Value (2D only) */
#define REG_DMA6_YMOD                   0x40011018         /* DMA6 Outer Loop Address Increment (2D only) */
#define REG_DMA6_DSCPTR_CUR             0x40011024         /* DMA6 Current Descriptor Pointer */
#define REG_DMA6_DSCPTR_PRV             0x40011028         /* DMA6 Previous Initial Descriptor Pointer */
#define REG_DMA6_ADDR_CUR               0x4001102C         /* DMA6 Current Address */
#define REG_DMA6_STAT                   0x40011030         /* DMA6 Status Register */
#define REG_DMA6_XCNT_CUR               0x40011034         /* DMA6 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA6_YCNT_CUR               0x40011038         /* DMA6 Current Row Count (2D only) */
#define REG_DMA6_BWLCNT                 0x40011040         /* DMA6 Bandwidth Limit Count */
#define REG_DMA6_BWLCNT_CUR             0x40011044         /* DMA6 Bandwidth Limit Count Current */
#define REG_DMA6_BWMCNT                 0x40011048         /* DMA6 Bandwidth Monitor Count */
#define REG_DMA6_BWMCNT_CUR             0x4001104C         /* DMA6 Bandwidth Monitor Count Current */

/* =========================
        DMA7
   ========================= */
#define REG_DMA7_DSCPTR_NXT             0x40011080         /* DMA7 Pointer to Next Initial Descriptor */
#define REG_DMA7_ADDRSTART              0x40011084         /* DMA7 Start Address of Current Buffer */
#define REG_DMA7_CFG                    0x40011088         /* DMA7 Configuration Register */
#define REG_DMA7_XCNT                   0x4001108C         /* DMA7 Inner Loop Count Start Value */
#define REG_DMA7_XMOD                   0x40011090         /* DMA7 Inner Loop Address Increment */
#define REG_DMA7_YCNT                   0x40011094         /* DMA7 Outer Loop Count Start Value (2D only) */
#define REG_DMA7_YMOD                   0x40011098         /* DMA7 Outer Loop Address Increment (2D only) */
#define REG_DMA7_DSCPTR_CUR             0x400110A4         /* DMA7 Current Descriptor Pointer */
#define REG_DMA7_DSCPTR_PRV             0x400110A8         /* DMA7 Previous Initial Descriptor Pointer */
#define REG_DMA7_ADDR_CUR               0x400110AC         /* DMA7 Current Address */
#define REG_DMA7_STAT                   0x400110B0         /* DMA7 Status Register */
#define REG_DMA7_XCNT_CUR               0x400110B4         /* DMA7 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA7_YCNT_CUR               0x400110B8         /* DMA7 Current Row Count (2D only) */
#define REG_DMA7_BWLCNT                 0x400110C0         /* DMA7 Bandwidth Limit Count */
#define REG_DMA7_BWLCNT_CUR             0x400110C4         /* DMA7 Bandwidth Limit Count Current */
#define REG_DMA7_BWMCNT                 0x400110C8         /* DMA7 Bandwidth Monitor Count */
#define REG_DMA7_BWMCNT_CUR             0x400110CC         /* DMA7 Bandwidth Monitor Count Current */

/* =========================
        DMA8
   ========================= */
#define REG_DMA8_DSCPTR_NXT             0x40011100         /* DMA8 Pointer to Next Initial Descriptor */
#define REG_DMA8_ADDRSTART              0x40011104         /* DMA8 Start Address of Current Buffer */
#define REG_DMA8_CFG                    0x40011108         /* DMA8 Configuration Register */
#define REG_DMA8_XCNT                   0x4001110C         /* DMA8 Inner Loop Count Start Value */
#define REG_DMA8_XMOD                   0x40011110         /* DMA8 Inner Loop Address Increment */
#define REG_DMA8_YCNT                   0x40011114         /* DMA8 Outer Loop Count Start Value (2D only) */
#define REG_DMA8_YMOD                   0x40011118         /* DMA8 Outer Loop Address Increment (2D only) */
#define REG_DMA8_DSCPTR_CUR             0x40011124         /* DMA8 Current Descriptor Pointer */
#define REG_DMA8_DSCPTR_PRV             0x40011128         /* DMA8 Previous Initial Descriptor Pointer */
#define REG_DMA8_ADDR_CUR               0x4001112C         /* DMA8 Current Address */
#define REG_DMA8_STAT                   0x40011130         /* DMA8 Status Register */
#define REG_DMA8_XCNT_CUR               0x40011134         /* DMA8 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA8_YCNT_CUR               0x40011138         /* DMA8 Current Row Count (2D only) */
#define REG_DMA8_BWLCNT                 0x40011140         /* DMA8 Bandwidth Limit Count */
#define REG_DMA8_BWLCNT_CUR             0x40011144         /* DMA8 Bandwidth Limit Count Current */
#define REG_DMA8_BWMCNT                 0x40011148         /* DMA8 Bandwidth Monitor Count */
#define REG_DMA8_BWMCNT_CUR             0x4001114C         /* DMA8 Bandwidth Monitor Count Current */

/* =========================
        DMA9
   ========================= */
#define REG_DMA9_DSCPTR_NXT             0x40011180         /* DMA9 Pointer to Next Initial Descriptor */
#define REG_DMA9_ADDRSTART              0x40011184         /* DMA9 Start Address of Current Buffer */
#define REG_DMA9_CFG                    0x40011188         /* DMA9 Configuration Register */
#define REG_DMA9_XCNT                   0x4001118C         /* DMA9 Inner Loop Count Start Value */
#define REG_DMA9_XMOD                   0x40011190         /* DMA9 Inner Loop Address Increment */
#define REG_DMA9_YCNT                   0x40011194         /* DMA9 Outer Loop Count Start Value (2D only) */
#define REG_DMA9_YMOD                   0x40011198         /* DMA9 Outer Loop Address Increment (2D only) */
#define REG_DMA9_DSCPTR_CUR             0x400111A4         /* DMA9 Current Descriptor Pointer */
#define REG_DMA9_DSCPTR_PRV             0x400111A8         /* DMA9 Previous Initial Descriptor Pointer */
#define REG_DMA9_ADDR_CUR               0x400111AC         /* DMA9 Current Address */
#define REG_DMA9_STAT                   0x400111B0         /* DMA9 Status Register */
#define REG_DMA9_XCNT_CUR               0x400111B4         /* DMA9 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA9_YCNT_CUR               0x400111B8         /* DMA9 Current Row Count (2D only) */
#define REG_DMA9_BWLCNT                 0x400111C0         /* DMA9 Bandwidth Limit Count */
#define REG_DMA9_BWLCNT_CUR             0x400111C4         /* DMA9 Bandwidth Limit Count Current */
#define REG_DMA9_BWMCNT                 0x400111C8         /* DMA9 Bandwidth Monitor Count */
#define REG_DMA9_BWMCNT_CUR             0x400111CC         /* DMA9 Bandwidth Monitor Count Current */

/* =========================
        DMA10
   ========================= */
#define REG_DMA10_DSCPTR_NXT            0x40011200         /* DMA10 Pointer to Next Initial Descriptor */
#define REG_DMA10_ADDRSTART             0x40011204         /* DMA10 Start Address of Current Buffer */
#define REG_DMA10_CFG                   0x40011208         /* DMA10 Configuration Register */
#define REG_DMA10_XCNT                  0x4001120C         /* DMA10 Inner Loop Count Start Value */
#define REG_DMA10_XMOD                  0x40011210         /* DMA10 Inner Loop Address Increment */
#define REG_DMA10_YCNT                  0x40011214         /* DMA10 Outer Loop Count Start Value (2D only) */
#define REG_DMA10_YMOD                  0x40011218         /* DMA10 Outer Loop Address Increment (2D only) */
#define REG_DMA10_DSCPTR_CUR            0x40011224         /* DMA10 Current Descriptor Pointer */
#define REG_DMA10_DSCPTR_PRV            0x40011228         /* DMA10 Previous Initial Descriptor Pointer */
#define REG_DMA10_ADDR_CUR              0x4001122C         /* DMA10 Current Address */
#define REG_DMA10_STAT                  0x40011230         /* DMA10 Status Register */
#define REG_DMA10_XCNT_CUR              0x40011234         /* DMA10 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA10_YCNT_CUR              0x40011238         /* DMA10 Current Row Count (2D only) */
#define REG_DMA10_BWLCNT                0x40011240         /* DMA10 Bandwidth Limit Count */
#define REG_DMA10_BWLCNT_CUR            0x40011244         /* DMA10 Bandwidth Limit Count Current */
#define REG_DMA10_BWMCNT                0x40011248         /* DMA10 Bandwidth Monitor Count */
#define REG_DMA10_BWMCNT_CUR            0x4001124C         /* DMA10 Bandwidth Monitor Count Current */

/* =========================
        DMA11
   ========================= */
#define REG_DMA11_DSCPTR_NXT            0x40011280         /* DMA11 Pointer to Next Initial Descriptor */
#define REG_DMA11_ADDRSTART             0x40011284         /* DMA11 Start Address of Current Buffer */
#define REG_DMA11_CFG                   0x40011288         /* DMA11 Configuration Register */
#define REG_DMA11_XCNT                  0x4001128C         /* DMA11 Inner Loop Count Start Value */
#define REG_DMA11_XMOD                  0x40011290         /* DMA11 Inner Loop Address Increment */
#define REG_DMA11_YCNT                  0x40011294         /* DMA11 Outer Loop Count Start Value (2D only) */
#define REG_DMA11_YMOD                  0x40011298         /* DMA11 Outer Loop Address Increment (2D only) */
#define REG_DMA11_DSCPTR_CUR            0x400112A4         /* DMA11 Current Descriptor Pointer */
#define REG_DMA11_DSCPTR_PRV            0x400112A8         /* DMA11 Previous Initial Descriptor Pointer */
#define REG_DMA11_ADDR_CUR              0x400112AC         /* DMA11 Current Address */
#define REG_DMA11_STAT                  0x400112B0         /* DMA11 Status Register */
#define REG_DMA11_XCNT_CUR              0x400112B4         /* DMA11 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA11_YCNT_CUR              0x400112B8         /* DMA11 Current Row Count (2D only) */
#define REG_DMA11_BWLCNT                0x400112C0         /* DMA11 Bandwidth Limit Count */
#define REG_DMA11_BWLCNT_CUR            0x400112C4         /* DMA11 Bandwidth Limit Count Current */
#define REG_DMA11_BWMCNT                0x400112C8         /* DMA11 Bandwidth Monitor Count */
#define REG_DMA11_BWMCNT_CUR            0x400112CC         /* DMA11 Bandwidth Monitor Count Current */

/* =========================
        DMA12
   ========================= */
#define REG_DMA12_DSCPTR_NXT            0x40012000         /* DMA12 Pointer to Next Initial Descriptor */
#define REG_DMA12_ADDRSTART             0x40012004         /* DMA12 Start Address of Current Buffer */
#define REG_DMA12_CFG                   0x40012008         /* DMA12 Configuration Register */
#define REG_DMA12_XCNT                  0x4001200C         /* DMA12 Inner Loop Count Start Value */
#define REG_DMA12_XMOD                  0x40012010         /* DMA12 Inner Loop Address Increment */
#define REG_DMA12_YCNT                  0x40012014         /* DMA12 Outer Loop Count Start Value (2D only) */
#define REG_DMA12_YMOD                  0x40012018         /* DMA12 Outer Loop Address Increment (2D only) */
#define REG_DMA12_DSCPTR_CUR            0x40012024         /* DMA12 Current Descriptor Pointer */
#define REG_DMA12_DSCPTR_PRV            0x40012028         /* DMA12 Previous Initial Descriptor Pointer */
#define REG_DMA12_ADDR_CUR              0x4001202C         /* DMA12 Current Address */
#define REG_DMA12_STAT                  0x40012030         /* DMA12 Status Register */
#define REG_DMA12_XCNT_CUR              0x40012034         /* DMA12 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA12_YCNT_CUR              0x40012038         /* DMA12 Current Row Count (2D only) */
#define REG_DMA12_BWLCNT                0x40012040         /* DMA12 Bandwidth Limit Count */
#define REG_DMA12_BWLCNT_CUR            0x40012044         /* DMA12 Bandwidth Limit Count Current */
#define REG_DMA12_BWMCNT                0x40012048         /* DMA12 Bandwidth Monitor Count */
#define REG_DMA12_BWMCNT_CUR            0x4001204C         /* DMA12 Bandwidth Monitor Count Current */

/* =========================
        DMA13
   ========================= */
#define REG_DMA13_DSCPTR_NXT            0x40012080         /* DMA13 Pointer to Next Initial Descriptor */
#define REG_DMA13_ADDRSTART             0x40012084         /* DMA13 Start Address of Current Buffer */
#define REG_DMA13_CFG                   0x40012088         /* DMA13 Configuration Register */
#define REG_DMA13_XCNT                  0x4001208C         /* DMA13 Inner Loop Count Start Value */
#define REG_DMA13_XMOD                  0x40012090         /* DMA13 Inner Loop Address Increment */
#define REG_DMA13_YCNT                  0x40012094         /* DMA13 Outer Loop Count Start Value (2D only) */
#define REG_DMA13_YMOD                  0x40012098         /* DMA13 Outer Loop Address Increment (2D only) */
#define REG_DMA13_DSCPTR_CUR            0x400120A4         /* DMA13 Current Descriptor Pointer */
#define REG_DMA13_DSCPTR_PRV            0x400120A8         /* DMA13 Previous Initial Descriptor Pointer */
#define REG_DMA13_ADDR_CUR              0x400120AC         /* DMA13 Current Address */
#define REG_DMA13_STAT                  0x400120B0         /* DMA13 Status Register */
#define REG_DMA13_XCNT_CUR              0x400120B4         /* DMA13 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA13_YCNT_CUR              0x400120B8         /* DMA13 Current Row Count (2D only) */
#define REG_DMA13_BWLCNT                0x400120C0         /* DMA13 Bandwidth Limit Count */
#define REG_DMA13_BWLCNT_CUR            0x400120C4         /* DMA13 Bandwidth Limit Count Current */
#define REG_DMA13_BWMCNT                0x400120C8         /* DMA13 Bandwidth Monitor Count */
#define REG_DMA13_BWMCNT_CUR            0x400120CC         /* DMA13 Bandwidth Monitor Count Current */

/* =========================
        DMA14
   ========================= */
#define REG_DMA14_DSCPTR_NXT            0x40012100         /* DMA14 Pointer to Next Initial Descriptor */
#define REG_DMA14_ADDRSTART             0x40012104         /* DMA14 Start Address of Current Buffer */
#define REG_DMA14_CFG                   0x40012108         /* DMA14 Configuration Register */
#define REG_DMA14_XCNT                  0x4001210C         /* DMA14 Inner Loop Count Start Value */
#define REG_DMA14_XMOD                  0x40012110         /* DMA14 Inner Loop Address Increment */
#define REG_DMA14_YCNT                  0x40012114         /* DMA14 Outer Loop Count Start Value (2D only) */
#define REG_DMA14_YMOD                  0x40012118         /* DMA14 Outer Loop Address Increment (2D only) */
#define REG_DMA14_DSCPTR_CUR            0x40012124         /* DMA14 Current Descriptor Pointer */
#define REG_DMA14_DSCPTR_PRV            0x40012128         /* DMA14 Previous Initial Descriptor Pointer */
#define REG_DMA14_ADDR_CUR              0x4001212C         /* DMA14 Current Address */
#define REG_DMA14_STAT                  0x40012130         /* DMA14 Status Register */
#define REG_DMA14_XCNT_CUR              0x40012134         /* DMA14 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA14_YCNT_CUR              0x40012138         /* DMA14 Current Row Count (2D only) */
#define REG_DMA14_BWLCNT                0x40012140         /* DMA14 Bandwidth Limit Count */
#define REG_DMA14_BWLCNT_CUR            0x40012144         /* DMA14 Bandwidth Limit Count Current */
#define REG_DMA14_BWMCNT                0x40012148         /* DMA14 Bandwidth Monitor Count */
#define REG_DMA14_BWMCNT_CUR            0x4001214C         /* DMA14 Bandwidth Monitor Count Current */

/* =========================
        DMA15
   ========================= */
#define REG_DMA15_DSCPTR_NXT            0x40012180         /* DMA15 Pointer to Next Initial Descriptor */
#define REG_DMA15_ADDRSTART             0x40012184         /* DMA15 Start Address of Current Buffer */
#define REG_DMA15_CFG                   0x40012188         /* DMA15 Configuration Register */
#define REG_DMA15_XCNT                  0x4001218C         /* DMA15 Inner Loop Count Start Value */
#define REG_DMA15_XMOD                  0x40012190         /* DMA15 Inner Loop Address Increment */
#define REG_DMA15_YCNT                  0x40012194         /* DMA15 Outer Loop Count Start Value (2D only) */
#define REG_DMA15_YMOD                  0x40012198         /* DMA15 Outer Loop Address Increment (2D only) */
#define REG_DMA15_DSCPTR_CUR            0x400121A4         /* DMA15 Current Descriptor Pointer */
#define REG_DMA15_DSCPTR_PRV            0x400121A8         /* DMA15 Previous Initial Descriptor Pointer */
#define REG_DMA15_ADDR_CUR              0x400121AC         /* DMA15 Current Address */
#define REG_DMA15_STAT                  0x400121B0         /* DMA15 Status Register */
#define REG_DMA15_XCNT_CUR              0x400121B4         /* DMA15 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA15_YCNT_CUR              0x400121B8         /* DMA15 Current Row Count (2D only) */
#define REG_DMA15_BWLCNT                0x400121C0         /* DMA15 Bandwidth Limit Count */
#define REG_DMA15_BWLCNT_CUR            0x400121C4         /* DMA15 Bandwidth Limit Count Current */
#define REG_DMA15_BWMCNT                0x400121C8         /* DMA15 Bandwidth Monitor Count */
#define REG_DMA15_BWMCNT_CUR            0x400121CC         /* DMA15 Bandwidth Monitor Count Current */

/* =========================
        DMA16
   ========================= */
#define REG_DMA16_DSCPTR_NXT            0x40012200         /* DMA16 Pointer to Next Initial Descriptor */
#define REG_DMA16_ADDRSTART             0x40012204         /* DMA16 Start Address of Current Buffer */
#define REG_DMA16_CFG                   0x40012208         /* DMA16 Configuration Register */
#define REG_DMA16_XCNT                  0x4001220C         /* DMA16 Inner Loop Count Start Value */
#define REG_DMA16_XMOD                  0x40012210         /* DMA16 Inner Loop Address Increment */
#define REG_DMA16_YCNT                  0x40012214         /* DMA16 Outer Loop Count Start Value (2D only) */
#define REG_DMA16_YMOD                  0x40012218         /* DMA16 Outer Loop Address Increment (2D only) */
#define REG_DMA16_DSCPTR_CUR            0x40012224         /* DMA16 Current Descriptor Pointer */
#define REG_DMA16_DSCPTR_PRV            0x40012228         /* DMA16 Previous Initial Descriptor Pointer */
#define REG_DMA16_ADDR_CUR              0x4001222C         /* DMA16 Current Address */
#define REG_DMA16_STAT                  0x40012230         /* DMA16 Status Register */
#define REG_DMA16_XCNT_CUR              0x40012234         /* DMA16 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA16_YCNT_CUR              0x40012238         /* DMA16 Current Row Count (2D only) */
#define REG_DMA16_BWLCNT                0x40012240         /* DMA16 Bandwidth Limit Count */
#define REG_DMA16_BWLCNT_CUR            0x40012244         /* DMA16 Bandwidth Limit Count Current */
#define REG_DMA16_BWMCNT                0x40012248         /* DMA16 Bandwidth Monitor Count */
#define REG_DMA16_BWMCNT_CUR            0x4001224C         /* DMA16 Bandwidth Monitor Count Current */

/* =========================
        DMA17
   ========================= */
#define REG_DMA17_DSCPTR_NXT            0x40013000         /* DMA17 Pointer to Next Initial Descriptor */
#define REG_DMA17_ADDRSTART             0x40013004         /* DMA17 Start Address of Current Buffer */
#define REG_DMA17_CFG                   0x40013008         /* DMA17 Configuration Register */
#define REG_DMA17_XCNT                  0x4001300C         /* DMA17 Inner Loop Count Start Value */
#define REG_DMA17_XMOD                  0x40013010         /* DMA17 Inner Loop Address Increment */
#define REG_DMA17_YCNT                  0x40013014         /* DMA17 Outer Loop Count Start Value (2D only) */
#define REG_DMA17_YMOD                  0x40013018         /* DMA17 Outer Loop Address Increment (2D only) */
#define REG_DMA17_DSCPTR_CUR            0x40013024         /* DMA17 Current Descriptor Pointer */
#define REG_DMA17_DSCPTR_PRV            0x40013028         /* DMA17 Previous Initial Descriptor Pointer */
#define REG_DMA17_ADDR_CUR              0x4001302C         /* DMA17 Current Address */
#define REG_DMA17_STAT                  0x40013030         /* DMA17 Status Register */
#define REG_DMA17_XCNT_CUR              0x40013034         /* DMA17 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA17_YCNT_CUR              0x40013038         /* DMA17 Current Row Count (2D only) */
#define REG_DMA17_BWLCNT                0x40013040         /* DMA17 Bandwidth Limit Count */
#define REG_DMA17_BWLCNT_CUR            0x40013044         /* DMA17 Bandwidth Limit Count Current */
#define REG_DMA17_BWMCNT                0x40013048         /* DMA17 Bandwidth Monitor Count */
#define REG_DMA17_BWMCNT_CUR            0x4001304C         /* DMA17 Bandwidth Monitor Count Current */

/* =========================
        DMA18
   ========================= */
#define REG_DMA18_DSCPTR_NXT            0x40013080         /* DMA18 Pointer to Next Initial Descriptor */
#define REG_DMA18_ADDRSTART             0x40013084         /* DMA18 Start Address of Current Buffer */
#define REG_DMA18_CFG                   0x40013088         /* DMA18 Configuration Register */
#define REG_DMA18_XCNT                  0x4001308C         /* DMA18 Inner Loop Count Start Value */
#define REG_DMA18_XMOD                  0x40013090         /* DMA18 Inner Loop Address Increment */
#define REG_DMA18_YCNT                  0x40013094         /* DMA18 Outer Loop Count Start Value (2D only) */
#define REG_DMA18_YMOD                  0x40013098         /* DMA18 Outer Loop Address Increment (2D only) */
#define REG_DMA18_DSCPTR_CUR            0x400130A4         /* DMA18 Current Descriptor Pointer */
#define REG_DMA18_DSCPTR_PRV            0x400130A8         /* DMA18 Previous Initial Descriptor Pointer */
#define REG_DMA18_ADDR_CUR              0x400130AC         /* DMA18 Current Address */
#define REG_DMA18_STAT                  0x400130B0         /* DMA18 Status Register */
#define REG_DMA18_XCNT_CUR              0x400130B4         /* DMA18 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA18_YCNT_CUR              0x400130B8         /* DMA18 Current Row Count (2D only) */
#define REG_DMA18_BWLCNT                0x400130C0         /* DMA18 Bandwidth Limit Count */
#define REG_DMA18_BWLCNT_CUR            0x400130C4         /* DMA18 Bandwidth Limit Count Current */
#define REG_DMA18_BWMCNT                0x400130C8         /* DMA18 Bandwidth Monitor Count */
#define REG_DMA18_BWMCNT_CUR            0x400130CC         /* DMA18 Bandwidth Monitor Count Current */

/* =========================
        DMA19
   ========================= */
#define REG_DMA19_DSCPTR_NXT            0x40013100         /* DMA19 Pointer to Next Initial Descriptor */
#define REG_DMA19_ADDRSTART             0x40013104         /* DMA19 Start Address of Current Buffer */
#define REG_DMA19_CFG                   0x40013108         /* DMA19 Configuration Register */
#define REG_DMA19_XCNT                  0x4001310C         /* DMA19 Inner Loop Count Start Value */
#define REG_DMA19_XMOD                  0x40013110         /* DMA19 Inner Loop Address Increment */
#define REG_DMA19_YCNT                  0x40013114         /* DMA19 Outer Loop Count Start Value (2D only) */
#define REG_DMA19_YMOD                  0x40013118         /* DMA19 Outer Loop Address Increment (2D only) */
#define REG_DMA19_DSCPTR_CUR            0x40013124         /* DMA19 Current Descriptor Pointer */
#define REG_DMA19_DSCPTR_PRV            0x40013128         /* DMA19 Previous Initial Descriptor Pointer */
#define REG_DMA19_ADDR_CUR              0x4001312C         /* DMA19 Current Address */
#define REG_DMA19_STAT                  0x40013130         /* DMA19 Status Register */
#define REG_DMA19_XCNT_CUR              0x40013134         /* DMA19 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA19_YCNT_CUR              0x40013138         /* DMA19 Current Row Count (2D only) */
#define REG_DMA19_BWLCNT                0x40013140         /* DMA19 Bandwidth Limit Count */
#define REG_DMA19_BWLCNT_CUR            0x40013144         /* DMA19 Bandwidth Limit Count Current */
#define REG_DMA19_BWMCNT                0x40013148         /* DMA19 Bandwidth Monitor Count */
#define REG_DMA19_BWMCNT_CUR            0x4001314C         /* DMA19 Bandwidth Monitor Count Current */

/* =========================
        DMA20
   ========================= */
#define REG_DMA20_DSCPTR_NXT            0x40013180         /* DMA20 Pointer to Next Initial Descriptor */
#define REG_DMA20_ADDRSTART             0x40013184         /* DMA20 Start Address of Current Buffer */
#define REG_DMA20_CFG                   0x40013188         /* DMA20 Configuration Register */
#define REG_DMA20_XCNT                  0x4001318C         /* DMA20 Inner Loop Count Start Value */
#define REG_DMA20_XMOD                  0x40013190         /* DMA20 Inner Loop Address Increment */
#define REG_DMA20_YCNT                  0x40013194         /* DMA20 Outer Loop Count Start Value (2D only) */
#define REG_DMA20_YMOD                  0x40013198         /* DMA20 Outer Loop Address Increment (2D only) */
#define REG_DMA20_DSCPTR_CUR            0x400131A4         /* DMA20 Current Descriptor Pointer */
#define REG_DMA20_DSCPTR_PRV            0x400131A8         /* DMA20 Previous Initial Descriptor Pointer */
#define REG_DMA20_ADDR_CUR              0x400131AC         /* DMA20 Current Address */
#define REG_DMA20_STAT                  0x400131B0         /* DMA20 Status Register */
#define REG_DMA20_XCNT_CUR              0x400131B4         /* DMA20 Current Count(1D) or intra-row XCNT (2D) */
#define REG_DMA20_YCNT_CUR              0x400131B8         /* DMA20 Current Row Count (2D only) */
#define REG_DMA20_BWLCNT                0x400131C0         /* DMA20 Bandwidth Limit Count */
#define REG_DMA20_BWLCNT_CUR            0x400131C4         /* DMA20 Bandwidth Limit Count Current */
#define REG_DMA20_BWMCNT                0x400131C8         /* DMA20 Bandwidth Monitor Count */
#define REG_DMA20_BWMCNT_CUR            0x400131CC         /* DMA20 Bandwidth Monitor Count Current */

/* =========================
        DMA
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         DMA_CFG                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DMA_CFG_PDRF                     28                               /* Peripheral Data Request Forward */
#define BITP_DMA_CFG_TWOD                     26                               /* Two Dimension Addressing Enable */
#define BITP_DMA_CFG_DESCIDCPY                25                               /* Descriptor ID Copy Control */
#define BITP_DMA_CFG_TOVEN                    24                               /* Trigger Overrun Error Enable */
#define BITP_DMA_CFG_TRIG                     22                               /* Generate Outgoing Trigger */
#define BITP_DMA_CFG_INT                      20                               /* Generate Interrupt */
#define BITP_DMA_CFG_NDSIZE                   16                               /* Next Descriptor Set Size */
#define BITP_DMA_CFG_TWAIT                    15                               /* Wait for Trigger */
#define BITP_DMA_CFG_FLOW                     12                               /* Next Operation */
#define BITP_DMA_CFG_MSIZE                     8                               /* Memory Transfer Word Size */
#define BITP_DMA_CFG_PSIZE                     4                               /* Peripheral Transfer Word Size */
#define BITP_DMA_CFG_CADDR                     3                               /* Use Current Address */
#define BITP_DMA_CFG_SYNC                      2                               /* Synchronize Work Unit Transitions */
#define BITP_DMA_CFG_WNR                       1                               /* Write/Read Channel Direction */
#define BITP_DMA_CFG_EN                        0                               /* DMA Channel Enable */

#define BITM_DMA_CFG_PDRF                     (_ADI_MSK(0x10000000,uint32_t))  /* Peripheral Data Request Forward */
#define ENUM_DMA_CFG_PDAT_NOTFWD              (_ADI_MSK(0x00000000,uint32_t))  /* PDRF: Peripheral Data Request Not Forwarded */
#define ENUM_DMA_CFG_PDAT_FWD                 (_ADI_MSK(0x10000000,uint32_t))  /* PDRF: Peripheral Data Request Forwarded */

#define BITM_DMA_CFG_TWOD                     (_ADI_MSK(0x04000000,uint32_t))  /* Two Dimension Addressing Enable */
#define ENUM_DMA_CFG_ADDR1D                   (_ADI_MSK(0x00000000,uint32_t))  /* TWOD: One-Dimensional Addressing */
#define ENUM_DMA_CFG_ADDR2D                   (_ADI_MSK(0x04000000,uint32_t))  /* TWOD: Two-Dimensional Addressing */

#define BITM_DMA_CFG_DESCIDCPY                (_ADI_MSK(0x02000000,uint32_t))  /* Descriptor ID Copy Control */
#define ENUM_DMA_CFG_NO_COPY                  (_ADI_MSK(0x00000000,uint32_t))  /* DESCIDCPY: Never Copy */
#define ENUM_DMA_CFG_COPY                     (_ADI_MSK(0x02000000,uint32_t))  /* DESCIDCPY: Copy on Work Unit Complete */

#define BITM_DMA_CFG_TOVEN                    (_ADI_MSK(0x01000000,uint32_t))  /* Trigger Overrun Error Enable */
#define ENUM_DMA_CFG_TOV_DIS                  (_ADI_MSK(0x00000000,uint32_t))  /* TOVEN: Ignore Trigger Overrun */
#define ENUM_DMA_CFG_TOV_EN                   (_ADI_MSK(0x01000000,uint32_t))  /* TOVEN: Error on Trigger Overrun */

#define BITM_DMA_CFG_TRIG                     (_ADI_MSK(0x00C00000,uint32_t))  /* Generate Outgoing Trigger */
#define ENUM_DMA_CFG_NO_TRIG                  (_ADI_MSK(0x00000000,uint32_t))  /* TRIG: Never assert Trigger */
#define ENUM_DMA_CFG_XCNT_TRIG                (_ADI_MSK(0x00400000,uint32_t))  /* TRIG: Trigger when XCNTCUR reaches 0 */
#define ENUM_DMA_CFG_YCNT_TRIG                (_ADI_MSK(0x00800000,uint32_t))  /* TRIG: Trigger when YCNTCUR reaches 0 */

#define BITM_DMA_CFG_INT                      (_ADI_MSK(0x00300000,uint32_t))  /* Generate Interrupt */
#define ENUM_DMA_CFG_NO_INT                   (_ADI_MSK(0x00000000,uint32_t))  /* INT: Never assert Interrupt */
#define ENUM_DMA_CFG_XCNT_INT                 (_ADI_MSK(0x00100000,uint32_t))  /* INT: Interrupt when X Count Expires */
#define ENUM_DMA_CFG_YCNT_INT                 (_ADI_MSK(0x00200000,uint32_t))  /* INT: Interrupt when Y Count Expires */
#define ENUM_DMA_CFG_PERIPH_INT               (_ADI_MSK(0x00300000,uint32_t))  /* INT: Peripheral Interrupt */

#define BITM_DMA_CFG_NDSIZE                   (_ADI_MSK(0x00070000,uint32_t))  /* Next Descriptor Set Size */
#define ENUM_DMA_CFG_FETCH01                  (_ADI_MSK(0x00000000,uint32_t))  /* NDSIZE: Fetch one Descriptor Element */
#define ENUM_DMA_CFG_FETCH02                  (_ADI_MSK(0x00010000,uint32_t))  /* NDSIZE: Fetch two Descriptor Elements */
#define ENUM_DMA_CFG_FETCH03                  (_ADI_MSK(0x00020000,uint32_t))  /* NDSIZE: Fetch three Descriptor Elements */
#define ENUM_DMA_CFG_FETCH04                  (_ADI_MSK(0x00030000,uint32_t))  /* NDSIZE: Fetch four Descriptor Elements */
#define ENUM_DMA_CFG_FETCH05                  (_ADI_MSK(0x00040000,uint32_t))  /* NDSIZE: Fetch five Descriptor Elements */
#define ENUM_DMA_CFG_FETCH06                  (_ADI_MSK(0x00050000,uint32_t))  /* NDSIZE: Fetch six Descriptor Elements */
#define ENUM_DMA_CFG_FETCH07                  (_ADI_MSK(0x00060000,uint32_t))  /* NDSIZE: Fetch seven Descriptor Elements */

#define BITM_DMA_CFG_TWAIT                    (_ADI_MSK(0x00008000,uint32_t))  /* Wait for Trigger */
#define ENUM_DMA_CFG_NO_TRGWAIT               (_ADI_MSK(0x00000000,uint32_t))  /* TWAIT: Begin Work Unit Automatically (No Wait) */
#define ENUM_DMA_CFG_TRGWAIT                  (_ADI_MSK(0x00008000,uint32_t))  /* TWAIT: Wait for Trigger (Halt before Work Unit) */

#define BITM_DMA_CFG_FLOW                     (_ADI_MSK(0x00007000,uint32_t))  /* Next Operation */
#define ENUM_DMA_CFG_STOP                     (_ADI_MSK(0x00000000,uint32_t))  /* FLOW: STOP - Stop */
#define ENUM_DMA_CFG_AUTO                     (_ADI_MSK(0x00001000,uint32_t))  /* FLOW: AUTO - Autobuffer */
#define ENUM_DMA_CFG_DSCLIST                  (_ADI_MSK(0x00004000,uint32_t))  /* FLOW: DSCL - Descriptor List */
#define ENUM_DMA_CFG_DSCARRAY                 (_ADI_MSK(0x00005000,uint32_t))  /* FLOW: DSCA - Descriptor Array */
#define ENUM_DMA_CFG_DODLIST                  (_ADI_MSK(0x00006000,uint32_t))  /* FLOW: Descriptor On Demand List */
#define ENUM_DMA_CFG_DODARRAY                 (_ADI_MSK(0x00007000,uint32_t))  /* FLOW: Descriptor On Demand Array */

#define BITM_DMA_CFG_MSIZE                    (_ADI_MSK(0x00000700,uint32_t))  /* Memory Transfer Word Size */
#define ENUM_DMA_CFG_MSIZE01                  (_ADI_MSK(0x00000000,uint32_t))  /* MSIZE: 1 Byte */
#define ENUM_DMA_CFG_MSIZE02                  (_ADI_MSK(0x00000100,uint32_t))  /* MSIZE: 2 Bytes */
#define ENUM_DMA_CFG_MSIZE04                  (_ADI_MSK(0x00000200,uint32_t))  /* MSIZE: 4 Bytes */
#define ENUM_DMA_CFG_MSIZE08                  (_ADI_MSK(0x00000300,uint32_t))  /* MSIZE: 8 Bytes */
#define ENUM_DMA_CFG_MSIZE16                  (_ADI_MSK(0x00000400,uint32_t))  /* MSIZE: 16 Bytes */
#define ENUM_DMA_CFG_MSIZE32                  (_ADI_MSK(0x00000500,uint32_t))  /* MSIZE: 32 Bytes */

#define BITM_DMA_CFG_PSIZE                    (_ADI_MSK(0x00000070,uint32_t))  /* Peripheral Transfer Word Size */
#define ENUM_DMA_CFG_PSIZE01                  (_ADI_MSK(0x00000000,uint32_t))  /* PSIZE: 1 Byte */
#define ENUM_DMA_CFG_PSIZE02                  (_ADI_MSK(0x00000010,uint32_t))  /* PSIZE: 2 Bytes */
#define ENUM_DMA_CFG_PSIZE04                  (_ADI_MSK(0x00000020,uint32_t))  /* PSIZE: 4 Bytes */
#define ENUM_DMA_CFG_PSIZE08                  (_ADI_MSK(0x00000030,uint32_t))  /* PSIZE: 8 Bytes */

#define BITM_DMA_CFG_CADDR                    (_ADI_MSK(0x00000008,uint32_t))  /* Use Current Address */
#define ENUM_DMA_CFG_LD_STARTADDR             (_ADI_MSK(0x00000000,uint32_t))  /* CADDR: Load Starting Address */
#define ENUM_DMA_CFG_LD_CURADDR               (_ADI_MSK(0x00000008,uint32_t))  /* CADDR: Use Current Address */

#define BITM_DMA_CFG_SYNC                     (_ADI_MSK(0x00000004,uint32_t))  /* Synchronize Work Unit Transitions */
#define ENUM_DMA_CFG_NO_SYNC                  (_ADI_MSK(0x00000000,uint32_t))  /* SYNC: No Synchronization */
#define ENUM_DMA_CFG_SYNC                     (_ADI_MSK(0x00000004,uint32_t))  /* SYNC: Synchronize  Channel */

#define BITM_DMA_CFG_WNR                      (_ADI_MSK(0x00000002,uint32_t))  /* Write/Read Channel Direction */
#define ENUM_DMA_CFG_READ                     (_ADI_MSK(0x00000000,uint32_t))  /* WNR: Transmit (Read from memory) */
#define ENUM_DMA_CFG_WRITE                    (_ADI_MSK(0x00000002,uint32_t))  /* WNR: Receive (Write to memory) */

#define BITM_DMA_CFG_EN                       (_ADI_MSK(0x00000001,uint32_t))  /* DMA Channel Enable */
#define ENUM_DMA_CFG_DIS                      (_ADI_MSK(0x00000000,uint32_t))  /* EN: Disable */
#define ENUM_DMA_CFG_EN                       (_ADI_MSK(0x00000001,uint32_t))  /* EN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         DMA_DSCPTR_PRV                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DMA_DSCPTR_PRV_DESCPPREV          2                               /* Pointer for Previous Descriptor Element */
#define BITP_DMA_DSCPTR_PRV_PDPO               0                               /* Previous Descriptor Pointer Overrun */
#define BITM_DMA_DSCPTR_PRV_DESCPPREV         (_ADI_MSK(0xFFFFFFFC,uint32_t))  /* Pointer for Previous Descriptor Element */
#define BITM_DMA_DSCPTR_PRV_PDPO              (_ADI_MSK(0x00000001,uint32_t))  /* Previous Descriptor Pointer Overrun */

/* ------------------------------------------------------------------------------------------------------------------------
         DMA_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DMA_STAT_TWAIT                   20                               /* Trigger Wait Status */
#define BITP_DMA_STAT_FIFOFILL                16                               /* FIFO Fill Status */
#define BITP_DMA_STAT_MBWID                   14                               /* Memory Bus Width */
#define BITP_DMA_STAT_PBWID                   12                               /* Peripheral Bus Width */
#define BITP_DMA_STAT_RUN                      8                               /* Run Status */
#define BITP_DMA_STAT_ERRC                     4                               /* Error Cause */
#define BITP_DMA_STAT_PIRQ                     2                               /* Peripheral Interrupt Request */
#define BITP_DMA_STAT_IRQERR                   1                               /* Error Interrupt */
#define BITP_DMA_STAT_IRQDONE                  0                               /* Work Unit/Row Done Interrupt */

#define BITM_DMA_STAT_TWAIT                   (_ADI_MSK(0x00100000,uint32_t))  /* Trigger Wait Status */
#define ENUM_DMA_STAT_NOTRIGRX                (_ADI_MSK(0x00000000,uint32_t))  /* TWAIT: No trigger received */
#define ENUM_DMA_STAT_TRIGRX                  (_ADI_MSK(0x00100000,uint32_t))  /* TWAIT: Trigger received */

#define BITM_DMA_STAT_FIFOFILL                (_ADI_MSK(0x00070000,uint32_t))  /* FIFO Fill Status */
#define ENUM_DMA_STAT_FIFOEMPTY               (_ADI_MSK(0x00000000,uint32_t))  /* FIFOFILL: Empty */
#define ENUM_DMA_STAT_FIFO25                  (_ADI_MSK(0x00010000,uint32_t))  /* FIFOFILL: Empty < FIFO = 1/4 Full */
#define ENUM_DMA_STAT_FIFO50                  (_ADI_MSK(0x00020000,uint32_t))  /* FIFOFILL: 1/4 Full < FIFO = 1/2 Full */
#define ENUM_DMA_STAT_FIFO75                  (_ADI_MSK(0x00030000,uint32_t))  /* FIFOFILL: 1/2 Full < FIFO = 3/4 Full */
#define ENUM_DMA_STAT_FIFONEARFULL            (_ADI_MSK(0x00040000,uint32_t))  /* FIFOFILL: 3/4 Full < FIFO = Full */
#define ENUM_DMA_STAT_FIFOFULL                (_ADI_MSK(0x00070000,uint32_t))  /* FIFOFILL: Full */

#define BITM_DMA_STAT_MBWID                   (_ADI_MSK(0x0000C000,uint32_t))  /* Memory Bus Width */
#define ENUM_DMA_STAT_MBUS02                  (_ADI_MSK(0x00000000,uint32_t))  /* MBWID: 2 Bytes */
#define ENUM_DMA_STAT_MBUS04                  (_ADI_MSK(0x00004000,uint32_t))  /* MBWID: 4 Bytes */
#define ENUM_DMA_STAT_MBUS08                  (_ADI_MSK(0x00008000,uint32_t))  /* MBWID: 8 Bytes */
#define ENUM_DMA_STAT_MBUS16                  (_ADI_MSK(0x0000C000,uint32_t))  /* MBWID: 16 Bytes */

#define BITM_DMA_STAT_PBWID                   (_ADI_MSK(0x00003000,uint32_t))  /* Peripheral Bus Width */
#define ENUM_DMA_STAT_PBUS01                  (_ADI_MSK(0x00000000,uint32_t))  /* PBWID: 1 Byte */
#define ENUM_DMA_STAT_PBUS02                  (_ADI_MSK(0x00001000,uint32_t))  /* PBWID: 2 Bytes */
#define ENUM_DMA_STAT_PBUS04                  (_ADI_MSK(0x00002000,uint32_t))  /* PBWID: 4 Bytes */
#define ENUM_DMA_STAT_PBUS08                  (_ADI_MSK(0x00003000,uint32_t))  /* PBWID: 8 Bytes */

#define BITM_DMA_STAT_RUN                     (_ADI_MSK(0x00000700,uint32_t))  /* Run Status */
#define ENUM_DMA_STAT_STOPPED                 (_ADI_MSK(0x00000000,uint32_t))  /* RUN: Idle/Stop State */
#define ENUM_DMA_STAT_DSCFETCH                (_ADI_MSK(0x00000100,uint32_t))  /* RUN: Descriptor Fetch */
#define ENUM_DMA_STAT_DATAXFER                (_ADI_MSK(0x00000200,uint32_t))  /* RUN: Data Transfer */
#define ENUM_DMA_STAT_TRGWAIT                 (_ADI_MSK(0x00000300,uint32_t))  /* RUN: Waiting for Trigger */
#define ENUM_DMA_STAT_ACKWAIT                 (_ADI_MSK(0x00000400,uint32_t))  /* RUN: Waiting for Write ACK/FIFO Drain to Peripheral */

#define BITM_DMA_STAT_ERRC                    (_ADI_MSK(0x00000070,uint32_t))  /* Error Cause */
#define ENUM_DMA_STAT_CFGERR                  (_ADI_MSK(0x00000000,uint32_t))  /* ERRC: Configuration Error */
#define ENUM_DMA_STAT_ILLWRERR                (_ADI_MSK(0x00000010,uint32_t))  /* ERRC: Illegal Write Occurred While Channel Running */
#define ENUM_DMA_STAT_ALGNERR                 (_ADI_MSK(0x00000020,uint32_t))  /* ERRC: Address Alignment Error */
#define ENUM_DMA_STAT_MEMERR                  (_ADI_MSK(0x00000030,uint32_t))  /* ERRC: Memory Access/Fabric Error */
#define ENUM_DMA_STAT_TRGOVERR                (_ADI_MSK(0x00000050,uint32_t))  /* ERRC: Trigger Overrun */
#define ENUM_DMA_STAT_BWMONERR                (_ADI_MSK(0x00000060,uint32_t))  /* ERRC: Bandwidth Monitor Error */

#define BITM_DMA_STAT_PIRQ                    (_ADI_MSK(0x00000004,uint32_t))  /* Peripheral Interrupt Request */
#define ENUM_DMA_STAT_NO_PIRQ                 (_ADI_MSK(0x00000000,uint32_t))  /* PIRQ: No Interrupt */
#define ENUM_DMA_STAT_PIRQ                    (_ADI_MSK(0x00000004,uint32_t))  /* PIRQ: Interrupt Signaled by Peripheral */

#define BITM_DMA_STAT_IRQERR                  (_ADI_MSK(0x00000002,uint32_t))  /* Error Interrupt */
#define ENUM_DMA_STAT_NO_IRQERR               (_ADI_MSK(0x00000000,uint32_t))  /* IRQERR: No Error */
#define ENUM_DMA_STAT_IRQERR                  (_ADI_MSK(0x00000002,uint32_t))  /* IRQERR: Error Occurred */

#define BITM_DMA_STAT_IRQDONE                 (_ADI_MSK(0x00000001,uint32_t))  /* Work Unit/Row Done Interrupt */
#define ENUM_DMA_STAT_NO_IRQ                  (_ADI_MSK(0x00000000,uint32_t))  /* IRQDONE: Inactive */
#define ENUM_DMA_STAT_IRQDONE                 (_ADI_MSK(0x00000001,uint32_t))  /* IRQDONE: Active */

/* ------------------------------------------------------------------------------------------------------------------------
         DMA_BWLCNT                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DMA_BWLCNT_VALUE                  0                               /* Bandwidth Limit Count */
#define BITM_DMA_BWLCNT_VALUE                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* Bandwidth Limit Count */

/* ------------------------------------------------------------------------------------------------------------------------
         DMA_BWLCNT_CUR                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DMA_BWLCNT_CUR_VALUE              0                               /* Bandwidth Limit Count Current */
#define BITM_DMA_BWLCNT_CUR_VALUE             (_ADI_MSK(0x0000FFFF,uint32_t))  /* Bandwidth Limit Count Current */

/* ==================================================
        Reset Control Unit Registers
   ================================================== */

/* =========================
        RCU0
   ========================= */
#define REG_RCU0_CTL                    0x40014000         /* RCU0 Control Register */
#define REG_RCU0_STAT                   0x40014004         /* RCU0 Status Register */
#define REG_RCU0_SVECT_LCK              0x40014008         /* RCU0 SVECT Lock Register */
#define REG_RCU0_BCODE                  0x4001400C         /* RCU0 Boot Code Register */
#define REG_RCU0_SVECT0                 0x40014010         /* RCU0 Software Vector Register 0 */
#define REG_RCU0_MSG                    0x40014014         /* RCU0 Message Register */
#define REG_RCU0_MSG_SET                0x40014018         /* RCU0 Message Set Bits Register */
#define REG_RCU0_MSG_CLR                0x4001401C         /* RCU0 Message Clear Bits Register */

/* =========================
        RCU
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         RCU_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_RCU_CTL_LOCK                     31                               /* Lock */
#define BITP_RCU_CTL_RSTOUTDSRT                2                               /* Reset Out Deassert */
#define BITP_RCU_CTL_RSTOUTASRT                1                               /* Reset Out Assert */
#define BITP_RCU_CTL_SYSRST                    0                               /* System Reset */
#define BITM_RCU_CTL_LOCK                     (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_RCU_CTL_RSTOUTDSRT               (_ADI_MSK(0x00000004,uint32_t))  /* Reset Out Deassert */
#define BITM_RCU_CTL_RSTOUTASRT               (_ADI_MSK(0x00000002,uint32_t))  /* Reset Out Assert */
#define BITM_RCU_CTL_SYSRST                   (_ADI_MSK(0x00000001,uint32_t))  /* System Reset */

/* ------------------------------------------------------------------------------------------------------------------------
         RCU_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_RCU_STAT_RSTOUTERR               18                               /* Reset Out Error */
#define BITP_RCU_STAT_LWERR                   17                               /* Lock Write Error */
#define BITP_RCU_STAT_ADDRERR                 16                               /* Address Error */
#define BITP_RCU_STAT_BMODE                    8                               /* Boot Mode */
#define BITP_RCU_STAT_RSTOUT                   5                               /* Reset Out Status */
#define BITP_RCU_STAT_SWRST                    3                               /* Software Reset */
#define BITP_RCU_STAT_SSRST                    2                               /* System Source Reset */
#define BITP_RCU_STAT_HWRST                    0                               /* Hardware Reset */
#define BITM_RCU_STAT_RSTOUTERR               (_ADI_MSK(0x00040000,uint32_t))  /* Reset Out Error */
#define BITM_RCU_STAT_LWERR                   (_ADI_MSK(0x00020000,uint32_t))  /* Lock Write Error */
#define BITM_RCU_STAT_ADDRERR                 (_ADI_MSK(0x00010000,uint32_t))  /* Address Error */
#define BITM_RCU_STAT_BMODE                   (_ADI_MSK(0x00000F00,uint32_t))  /* Boot Mode */
#define BITM_RCU_STAT_RSTOUT                  (_ADI_MSK(0x00000020,uint32_t))  /* Reset Out Status */
#define BITM_RCU_STAT_SWRST                   (_ADI_MSK(0x00000008,uint32_t))  /* Software Reset */
#define BITM_RCU_STAT_SSRST                   (_ADI_MSK(0x00000004,uint32_t))  /* System Source Reset */
#define BITM_RCU_STAT_HWRST                   (_ADI_MSK(0x00000001,uint32_t))  /* Hardware Reset */

/* ------------------------------------------------------------------------------------------------------------------------
         RCU_SVECT_LCK                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_RCU_SVECT_LCK_LOCK               31                               /* Lock */
#define BITP_RCU_SVECT_LCK_SVECT0              0                               /* Software Vector Register n */
#define BITM_RCU_SVECT_LCK_LOCK               (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_RCU_SVECT_LCK_SVECT0             (_ADI_MSK(0x00000001,uint32_t))  /* Software Vector Register n */

/* ------------------------------------------------------------------------------------------------------------------------
         RCU_BCODE                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_RCU_BCODE_LOCK                   31                               /* Lock */
#define BITP_RCU_BCODE_VALUE                   0                               /* Boot Code */
#define BITP_RCU_BCODE_BCODE                   0                               /* Boot Code (legacy macro with older name) */
#define BITM_RCU_BCODE_LOCK                   (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_RCU_BCODE_VALUE                  (_ADI_MSK(0x7FFFFFFF,uint32_t))  /* Boot Code */
#define BITM_RCU_BCODE_BCODE                  (_ADI_MSK(0x7FFFFFFF,uint32_t))  /* Boot Code (legacy macro with older name)*/

/* ------------------------------------------------------------------------------------------------------------------------
         RCU_MSG                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_RCU_MSG_CALLERR                  31                               /* Call Error */
#define BITP_RCU_MSG_CALLBACK                 30                               /* Call Back Call */
#define BITP_RCU_MSG_CALLINIT                 29                               /* Call Initcode */
#define BITP_RCU_MSG_CALLAPP                  28                               /* Call Application */
#define BITP_RCU_MSG_HALTONERR                27                               /* Halt on Error */
#define BITP_RCU_MSG_HALTONCALL               26                               /* Halt on Call */
#define BITP_RCU_MSG_HALTONINIT               25                               /* Hal on Initcode Call */
#define BITP_RCU_MSG_HALTONAPP                24                               /* Halt on Application Call */
#define BITP_RCU_MSG_L3INIT                   23                               /* L3 is Initialized */
#define BITP_RCU_MSG_L2INIT                   22                               /* L2 is Initialized */
#define BITP_RCU_MSG_C1L1INIT                 17                               /* Core 1 L1 is Initialized */
#define BITP_RCU_MSG_C0L1INIT                 16                               /* Core 0 L1 is Initialized */
#define BITM_RCU_MSG_CALLERR                  (_ADI_MSK(0x80000000,uint32_t))  /* Call Error */
#define BITM_RCU_MSG_CALLBACK                 (_ADI_MSK(0x40000000,uint32_t))  /* Call Back Call */
#define BITM_RCU_MSG_CALLINIT                 (_ADI_MSK(0x20000000,uint32_t))  /* Call Initcode */
#define BITM_RCU_MSG_CALLAPP                  (_ADI_MSK(0x10000000,uint32_t))  /* Call Application */
#define BITM_RCU_MSG_HALTONERR                (_ADI_MSK(0x08000000,uint32_t))  /* Halt on Error */
#define BITM_RCU_MSG_HALTONCALL               (_ADI_MSK(0x04000000,uint32_t))  /* Halt on Call */
#define BITM_RCU_MSG_HALTONINIT               (_ADI_MSK(0x02000000,uint32_t))  /* Hal on Initcode Call */
#define BITM_RCU_MSG_HALTONAPP                (_ADI_MSK(0x01000000,uint32_t))  /* Halt on Application Call */
#define BITM_RCU_MSG_L3INIT                   (_ADI_MSK(0x00800000,uint32_t))  /* L3 is Initialized */
#define BITM_RCU_MSG_L2INIT                   (_ADI_MSK(0x00400000,uint32_t))  /* L2 is Initialized */
#define BITM_RCU_MSG_C1L1INIT                 (_ADI_MSK(0x00020000,uint32_t))  /* Core 1 L1 is Initialized */
#define BITM_RCU_MSG_C0L1INIT                 (_ADI_MSK(0x00010000,uint32_t))  /* Core 0 L1 is Initialized */

/* ------------------------------------------------------------------------------------------------------------------------
         RCU_MSG_SET                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_RCU_MSG_SET_SET0                  0                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET1                  1                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET2                  2                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET3                  3                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET4                  4                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET5                  5                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET6                  6                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET7                  7                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET8                  8                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET9                  9                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET10                10                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET11                11                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET12                12                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET13                13                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET14                14                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET15                15                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET16                16                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET17                17                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET18                18                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET19                19                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET20                20                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET21                21                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET22                22                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET23                23                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET24                24                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET25                25                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET26                26                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET27                27                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET28                28                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET29                29                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET30                30                               /* Set Message Bits */
#define BITP_RCU_MSG_SET_SET31                31                               /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET0                 (_ADI_MSK(0x00000001,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET1                 (_ADI_MSK(0x00000002,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET2                 (_ADI_MSK(0x00000004,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET3                 (_ADI_MSK(0x00000008,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET4                 (_ADI_MSK(0x00000010,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET5                 (_ADI_MSK(0x00000020,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET6                 (_ADI_MSK(0x00000040,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET7                 (_ADI_MSK(0x00000080,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET8                 (_ADI_MSK(0x00000100,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET9                 (_ADI_MSK(0x00000200,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET10                (_ADI_MSK(0x00000400,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET11                (_ADI_MSK(0x00000800,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET12                (_ADI_MSK(0x00001000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET13                (_ADI_MSK(0x00002000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET14                (_ADI_MSK(0x00004000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET15                (_ADI_MSK(0x00008000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET16                (_ADI_MSK(0x00010000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET17                (_ADI_MSK(0x00020000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET18                (_ADI_MSK(0x00040000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET19                (_ADI_MSK(0x00080000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET20                (_ADI_MSK(0x00100000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET21                (_ADI_MSK(0x00200000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET22                (_ADI_MSK(0x00400000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET23                (_ADI_MSK(0x00800000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET24                (_ADI_MSK(0x01000000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET25                (_ADI_MSK(0x02000000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET26                (_ADI_MSK(0x04000000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET27                (_ADI_MSK(0x08000000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET28                (_ADI_MSK(0x10000000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET29                (_ADI_MSK(0x20000000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET30                (_ADI_MSK(0x40000000,uint32_t))  /* Set Message Bits */
#define BITM_RCU_MSG_SET_SET31                (_ADI_MSK(0x80000000,uint32_t))  /* Set Message Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         RCU_MSG_CLR                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_RCU_MSG_CLR_CLR0                  0                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR1                  1                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR2                  2                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR3                  3                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR4                  4                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR5                  5                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR6                  6                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR7                  7                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR8                  8                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR9                  9                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR10                10                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR11                11                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR12                12                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR13                13                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR14                14                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR15                15                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR16                16                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR17                17                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR18                18                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR19                19                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR20                20                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR21                21                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR22                22                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR23                23                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR24                24                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR25                25                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR26                26                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR27                27                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR28                28                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR29                29                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR30                30                               /* Clear MSG Register Bits */
#define BITP_RCU_MSG_CLR_CLR31                31                               /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR0                 (_ADI_MSK(0x00000001,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR1                 (_ADI_MSK(0x00000002,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR2                 (_ADI_MSK(0x00000004,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR3                 (_ADI_MSK(0x00000008,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR4                 (_ADI_MSK(0x00000010,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR5                 (_ADI_MSK(0x00000020,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR6                 (_ADI_MSK(0x00000040,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR7                 (_ADI_MSK(0x00000080,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR8                 (_ADI_MSK(0x00000100,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR9                 (_ADI_MSK(0x00000200,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR10                (_ADI_MSK(0x00000400,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR11                (_ADI_MSK(0x00000800,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR12                (_ADI_MSK(0x00001000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR13                (_ADI_MSK(0x00002000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR14                (_ADI_MSK(0x00004000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR15                (_ADI_MSK(0x00008000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR16                (_ADI_MSK(0x00010000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR17                (_ADI_MSK(0x00020000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR18                (_ADI_MSK(0x00040000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR19                (_ADI_MSK(0x00080000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR20                (_ADI_MSK(0x00100000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR21                (_ADI_MSK(0x00200000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR22                (_ADI_MSK(0x00400000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR23                (_ADI_MSK(0x00800000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR24                (_ADI_MSK(0x01000000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR25                (_ADI_MSK(0x02000000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR26                (_ADI_MSK(0x04000000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR27                (_ADI_MSK(0x08000000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR28                (_ADI_MSK(0x10000000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR29                (_ADI_MSK(0x20000000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR30                (_ADI_MSK(0x40000000,uint32_t))  /* Clear MSG Register Bits */
#define BITM_RCU_MSG_CLR_CLR31                (_ADI_MSK(0x80000000,uint32_t))  /* Clear MSG Register Bits */

/* ==================================================
        Trigger Routing Unit Registers
   ================================================== */

/* =========================
        TRU0
   ========================= */
#define REG_TRU0_SSR0                   0x40015000         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR1                   0x40015004         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR2                   0x40015008         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR3                   0x4001500C         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR4                   0x40015010         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR5                   0x40015014         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR6                   0x40015018         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR7                   0x4001501C         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR8                   0x40015020         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR9                   0x40015024         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR10                  0x40015028         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR11                  0x4001502C         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR12                  0x40015030         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR13                  0x40015034         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR14                  0x40015038         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR15                  0x4001503C         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR16                  0x40015040         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR17                  0x40015044         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR18                  0x40015048         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR19                  0x4001504C         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR20                  0x40015050         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR21                  0x40015054         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR22                  0x40015058         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR23                  0x4001505C         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR24                  0x40015060         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR25                  0x40015064         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR26                  0x40015068         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR27                  0x4001506C         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR28                  0x40015070         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR29                  0x40015074         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR30                  0x40015078         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR31                  0x4001507C         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR32                  0x40015080         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR33                  0x40015084         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR34                  0x40015088         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR35                  0x4001508C         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR36                  0x40015090         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR37                  0x40015094         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR38                  0x40015098         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR39                  0x4001509C         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR40                  0x400150A0         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR41                  0x400150A4         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR42                  0x400150A8         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR43                  0x400150AC         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR44                  0x400150B0         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR45                  0x400150B4         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR46                  0x400150B8         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR47                  0x400150BC         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR48                  0x400150C0         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR49                  0x400150C4         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR50                  0x400150C8         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR51                  0x400150CC         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR52                  0x400150D0         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR53                  0x400150D4         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR54                  0x400150D8         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR55                  0x400150DC         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR56                  0x400150E0         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR57                  0x400150E4         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR58                  0x400150E8         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR59                  0x400150EC         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR60                  0x400150F0         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR61                  0x400150F4         /* TRU0 Slave Select Register */
#define REG_TRU0_SSR62                  0x400150F8         /* TRU0 Slave Select Register */
#define REG_TRU0_MTR                    0x400157E0         /* TRU0 Master Trigger Register */
#define REG_TRU0_ERRADDR                0x400157E8         /* TRU0 Error Address Register */
#define REG_TRU0_STAT                   0x400157EC         /* TRU0 Status Information Register */
#define REG_TRU0_GCTL                   0x400157F4         /* TRU0 Global Control Register */

/* =========================
        TRU
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         TRU_SSR                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TRU_SSR_LOCK                     31                               /* SSRn Lock */
#define BITP_TRU_SSR_SSR                       0                               /* SSRn Slave Select */
#define BITM_TRU_SSR_LOCK                     (_ADI_MSK(0x80000000,uint32_t))  /* SSRn Lock */
#define BITM_TRU_SSR_SSR                      (_ADI_MSK(0x000000FF,uint32_t))  /* SSRn Slave Select */

/* ------------------------------------------------------------------------------------------------------------------------
         TRU_MTR                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TRU_MTR_MTR3                     24                               /* Master Trigger Register 3 */
#define BITP_TRU_MTR_MTR2                     16                               /* Master Trigger Register 2 */
#define BITP_TRU_MTR_MTR1                      8                               /* Master Trigger Register 1 */
#define BITP_TRU_MTR_MTR0                      0                               /* Master Trigger Register 0 */
#define BITM_TRU_MTR_MTR3                     (_ADI_MSK(0xFF000000,uint32_t))  /* Master Trigger Register 3 */
#define BITM_TRU_MTR_MTR2                     (_ADI_MSK(0x00FF0000,uint32_t))  /* Master Trigger Register 2 */
#define BITM_TRU_MTR_MTR1                     (_ADI_MSK(0x0000FF00,uint32_t))  /* Master Trigger Register 1 */
#define BITM_TRU_MTR_MTR0                     (_ADI_MSK(0x000000FF,uint32_t))  /* Master Trigger Register 0 */

/* ------------------------------------------------------------------------------------------------------------------------
         TRU_ERRADDR                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TRU_ERRADDR_ADDR                  0                               /* Error Address */
#define BITM_TRU_ERRADDR_ADDR                 (_ADI_MSK(0x00000FFF,uint32_t))  /* Error Address */

/* ------------------------------------------------------------------------------------------------------------------------
         TRU_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TRU_STAT_ADDRERR                  1                               /* Address Error Status */
#define BITP_TRU_STAT_LWERR                    0                               /* Lock Write Error Status */
#define BITM_TRU_STAT_ADDRERR                 (_ADI_MSK(0x00000002,uint32_t))  /* Address Error Status */
#define BITM_TRU_STAT_LWERR                   (_ADI_MSK(0x00000001,uint32_t))  /* Lock Write Error Status */

/* ------------------------------------------------------------------------------------------------------------------------
         TRU_GCTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_TRU_GCTL_LOCK                    31                               /* GCTL Lock Bit */
#define BITP_TRU_GCTL_MTRL                     2                               /* MTR Lock Bit */
#define BITP_TRU_GCTL_RESET                    1                               /* Soft Reset */
#define BITP_TRU_GCTL_EN                       0                               /* Non-MMR Enable */
#define BITM_TRU_GCTL_LOCK                    (_ADI_MSK(0x80000000,uint32_t))  /* GCTL Lock Bit */
#define BITM_TRU_GCTL_MTRL                    (_ADI_MSK(0x00000004,uint32_t))  /* MTR Lock Bit */
#define BITM_TRU_GCTL_RESET                   (_ADI_MSK(0x00000002,uint32_t))  /* Soft Reset */
#define BITM_TRU_GCTL_EN                      (_ADI_MSK(0x00000001,uint32_t))  /* Non-MMR Enable */

/* ==================================================
        Clock Generation Unit Registers
   ================================================== */

/* =========================
        CGU0
   ========================= */
#define REG_CGU0_CTL                    0x40016000         /* CGU0 Control Register */
#define REG_CGU0_STAT                   0x40016004         /* CGU0 Status Register */
#define REG_CGU0_DIV                    0x40016008         /* CGU0 Clocks Divisor Register */
#define REG_CGU0_CLKOUTSEL              0x4001600C         /* CGU0 CLKOUT Select Register */
#define REG_CGU0_OSCWDCTL               0x40016010         /* CGU0 Oscillator Watchdog Register */
#define REG_CGU0_TSCTL                  0x40016014         /* CGU0 Timestamp Control Register */
#define REG_CGU0_TSVALUE0               0x40016018         /* CGU0 Timestamp Counter Initial 32 l.s.b. Value Register */
#define REG_CGU0_TSVALUE1               0x4001601C         /* CGU0 Timestamp Counter Initial m.s.b. Value Register */
#define REG_CGU0_TSCOUNT0               0x40016020         /* CGU0 Timestamp Counter 32 l.s.b. */
#define REG_CGU0_TSCOUNT1               0x40016024         /* CGU0 Timestamp Counter 32 m.s.b. Register */

/* =========================
        CGU
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         CGU_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CGU_CTL_LOCK                     31                               /* Lock */
#define BITP_CGU_CTL_WFI                      30                               /* Wait For Idle */
#define BITP_CGU_CTL_MSEL                      8                               /* Multiplier Select */
#define BITP_CGU_CTL_DF                        0                               /* Divide Frequency */
#define BITM_CGU_CTL_LOCK                     (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_CGU_CTL_WFI                      (_ADI_MSK(0x40000000,uint32_t))  /* Wait For Idle */

#define BITM_CGU_CTL_MSEL                     (_ADI_MSK(0x00007F00,uint32_t))  /* Multiplier Select */
#define ENUM_CGU_CTL_MSEL1TO127               (_ADI_MSK(0x00000000,uint32_t))  /* MSEL: MSEL = 1 to 127 */
#define BITM_CGU_CTL_DF                       (_ADI_MSK(0x00000001,uint32_t))  /* Divide Frequency */

/* ------------------------------------------------------------------------------------------------------------------------
         CGU_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CGU_STAT_WDIVERR                 20                               /* Write to DIV Error */
#define BITP_CGU_STAT_WDFMSERR                19                               /* Write to DF or MSEL Error */
#define BITP_CGU_STAT_DIVERR                  18                               /* DIV Error */
#define BITP_CGU_STAT_LWERR                   17                               /* Lock Write Error */
#define BITP_CGU_STAT_ADDRERR                 16                               /* Address Error */
#define BITP_CGU_STAT_OCBF                     9                               /* OUTCLK Buffer Status */
#define BITP_CGU_STAT_DCBF                     8                               /* DCLK Buffer Status */
#define BITP_CGU_STAT_CCBF0                    4                               /* CCLK0 Buffer Status */
#define BITP_CGU_STAT_CLKSALGN                 3                               /* Clock Alignment */
#define BITP_CGU_STAT_PLOCK                    2                               /* PLL Lock */
#define BITP_CGU_STAT_PLLBP                    1                               /* PLL Bypass */
#define BITP_CGU_STAT_PLLEN                    0                               /* PLL Enable */
#define BITM_CGU_STAT_WDIVERR                 (_ADI_MSK(0x00100000,uint32_t))  /* Write to DIV Error */
#define BITM_CGU_STAT_WDFMSERR                (_ADI_MSK(0x00080000,uint32_t))  /* Write to DF or MSEL Error */
#define BITM_CGU_STAT_DIVERR                  (_ADI_MSK(0x00040000,uint32_t))  /* DIV Error */
#define BITM_CGU_STAT_LWERR                   (_ADI_MSK(0x00020000,uint32_t))  /* Lock Write Error */
#define BITM_CGU_STAT_ADDRERR                 (_ADI_MSK(0x00010000,uint32_t))  /* Address Error */
#define BITM_CGU_STAT_OCBF                    (_ADI_MSK(0x00000200,uint32_t))  /* OUTCLK Buffer Status */
#define BITM_CGU_STAT_DCBF                    (_ADI_MSK(0x00000100,uint32_t))  /* DCLK Buffer Status */
#define BITM_CGU_STAT_CCBF0                   (_ADI_MSK(0x00000010,uint32_t))  /* CCLK0 Buffer Status */
#define BITM_CGU_STAT_CLKSALGN                (_ADI_MSK(0x00000008,uint32_t))  /* Clock Alignment */
#define BITM_CGU_STAT_PLOCK                   (_ADI_MSK(0x00000004,uint32_t))  /* PLL Lock */
#define BITM_CGU_STAT_PLLBP                   (_ADI_MSK(0x00000002,uint32_t))  /* PLL Bypass */
#define BITM_CGU_STAT_PLLEN                   (_ADI_MSK(0x00000001,uint32_t))  /* PLL Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         CGU_DIV                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CGU_DIV_LOCK                     31                               /* Lock */
#define BITP_CGU_DIV_UPDT                     30                               /* Update Clock Divisors */
#define BITP_CGU_DIV_ALGN                     29                               /* Align */
#define BITP_CGU_DIV_OSEL                     22                               /* OUTCLK Divisor */
#define BITP_CGU_DIV_DSEL                     16                               /* DCLK Divisor */
#define BITP_CGU_DIV_S1SEL                    13                               /* Short Clocks Alignment Time */
#define BITP_CGU_DIV_SYSSEL                    8                               /* SYSCLK Divisor */
#define BITP_CGU_DIV_S0SEL                     5                               /* Short Clocks Alignment Time */
#define BITP_CGU_DIV_CSEL                      0                               /* CCLK Divisor */
#define BITM_CGU_DIV_LOCK                     (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_CGU_DIV_UPDT                     (_ADI_MSK(0x40000000,uint32_t))  /* Update Clock Divisors */
#define BITM_CGU_DIV_ALGN                     (_ADI_MSK(0x20000000,uint32_t))  /* Align */

#define BITM_CGU_DIV_OSEL                     (_ADI_MSK(0x1FC00000,uint32_t))  /* OUTCLK Divisor */
#define ENUM_CGU_DIV_OSEL1TO127               (_ADI_MSK(0x00000000,uint32_t))  /* OSEL: OSEL = 1 to 127 */

#define BITM_CGU_DIV_DSEL                     (_ADI_MSK(0x001F0000,uint32_t))  /* DCLK Divisor */
#define ENUM_CGU_DIV_DSEL1TO31                (_ADI_MSK(0x00000000,uint32_t))  /* DSEL: DSEL = 1 to 31 */

#define BITM_CGU_DIV_S1SEL                    (_ADI_MSK(0x0000E000,uint32_t))  /* Short Clocks Alignment Time */
#define ENUM_CGU_DIV_S1SEL1                   (_ADI_MSK(0x00002000,uint32_t))  /* S1SEL: Short Clocks Alignment Time */
#define ENUM_CGU_DIV_S1SEL2TO7                (_ADI_MSK(0x00000000,uint32_t))  /* S1SEL: Reserved */

#define BITM_CGU_DIV_SYSSEL                   (_ADI_MSK(0x00001F00,uint32_t))  /* SYSCLK Divisor */
#define ENUM_CGU_DIV_SYSSEL1TO31              (_ADI_MSK(0x00000000,uint32_t))  /* SYSSEL: SYSSEL = 1 to 31 */

#define BITM_CGU_DIV_S0SEL                    (_ADI_MSK(0x000000E0,uint32_t))  /* Short Clocks Alignment Time */
#define ENUM_CGU_DIV_S0SEL1                   (_ADI_MSK(0x00000020,uint32_t))  /* S0SEL: Short Clocks Alignment Time */
#define ENUM_CGU_DIV_S0SEL2TO7                (_ADI_MSK(0x00000000,uint32_t))  /* S0SEL: Reserved */

#define BITM_CGU_DIV_CSEL                     (_ADI_MSK(0x0000001F,uint32_t))  /* CCLK Divisor */
#define ENUM_CGU_DIV_CSEL1TO31                (_ADI_MSK(0x00000000,uint32_t))  /* CSEL: CSEL= 1 to 31 */

/* ------------------------------------------------------------------------------------------------------------------------
         CGU_CLKOUTSEL                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CGU_CLKOUTSEL_LOCK               31                               /* Lock */
#define BITP_CGU_CLKOUTSEL_USBCLKSEL          16                               /* USBCLK Select */
#define BITP_CGU_CLKOUTSEL_CLKOUTSEL           0                               /* CLKOUT Select */
#define BITM_CGU_CLKOUTSEL_LOCK               (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_CGU_CLKOUTSEL_USBCLKSEL          (_ADI_MSK(0x003F0000,uint32_t))  /* USBCLK Select */
#define BITM_CGU_CLKOUTSEL_CLKOUTSEL          (_ADI_MSK(0x0000001F,uint32_t))  /* CLKOUT Select */

/* ------------------------------------------------------------------------------------------------------------------------
         CGU_OSCWDCTL                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CGU_OSCWDCTL_LOCK                31                               /* Lock */
#define BITP_CGU_OSCWDCTL_FAULTPINDIS         23                               /* Fault Pin disabled */
#define BITP_CGU_OSCWDCTL_MONDIS              15                               /* Oscillator Watchdog Monitor functions disabled */
#define BITP_CGU_OSCWDCTL_FAULTEN             14                               /* Fault enabled */
#define BITP_CGU_OSCWDCTL_BOUEN               13                               /* Bad Oscillator Upper Frequency limit detection enabled */
#define BITP_CGU_OSCWDCTL_BOUF                 8                               /* Bad Oscillator Upper Frequency limit */
#define BITP_CGU_OSCWDCTL_CNGEN                7                               /* Clock not Good enabled */
#define BITP_CGU_OSCWDCTL_HODEN                6                               /* Harmonic Oscillation Detection enabled */
#define BITP_CGU_OSCWDCTL_HODF                 0                               /* Watchdog lower frequency limit */
#define BITM_CGU_OSCWDCTL_LOCK                (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_CGU_OSCWDCTL_FAULTPINDIS         (_ADI_MSK(0x00800000,uint32_t))  /* Fault Pin disabled */
#define BITM_CGU_OSCWDCTL_MONDIS              (_ADI_MSK(0x00008000,uint32_t))  /* Oscillator Watchdog Monitor functions disabled */
#define BITM_CGU_OSCWDCTL_FAULTEN             (_ADI_MSK(0x00004000,uint32_t))  /* Fault enabled */
#define BITM_CGU_OSCWDCTL_BOUEN               (_ADI_MSK(0x00002000,uint32_t))  /* Bad Oscillator Upper Frequency limit detection enabled */
#define BITM_CGU_OSCWDCTL_BOUF                (_ADI_MSK(0x00001F00,uint32_t))  /* Bad Oscillator Upper Frequency limit */
#define BITM_CGU_OSCWDCTL_CNGEN               (_ADI_MSK(0x00000080,uint32_t))  /* Clock not Good enabled */
#define BITM_CGU_OSCWDCTL_HODEN               (_ADI_MSK(0x00000040,uint32_t))  /* Harmonic Oscillation Detection enabled */
#define BITM_CGU_OSCWDCTL_HODF                (_ADI_MSK(0x0000003F,uint32_t))  /* Watchdog lower frequency limit */

/* ------------------------------------------------------------------------------------------------------------------------
         CGU_TSCTL                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_CGU_TSCTL_LOCK                   31                               /* Lock */
#define BITP_CGU_TSCTL_TSDIV                   4                               /* Counter's Clock Divider */
#define BITP_CGU_TSCTL_LOAD                    1                               /* Load Counter */
#define BITP_CGU_TSCTL_EN                      0                               /* Counter Enable */
#define BITM_CGU_TSCTL_LOCK                   (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_CGU_TSCTL_TSDIV                  (_ADI_MSK(0x000000F0,uint32_t))  /* Counter's Clock Divider */
#define BITM_CGU_TSCTL_LOAD                   (_ADI_MSK(0x00000002,uint32_t))  /* Load Counter */
#define BITM_CGU_TSCTL_EN                     (_ADI_MSK(0x00000001,uint32_t))  /* Counter Enable */

/* ==================================================
        Dynamic Power Management Registers
   ================================================== */

/* =========================
        DPM0
   ========================= */
#define REG_DPM0_CTL                    0x40017000         /* DPM0 Control Register */
#define REG_DPM0_STAT                   0x40017004         /* DPM0 Status Register */
#define REG_DPM0_CCBF_DIS               0x40017008         /* DPM0 Core Clock Buffer Disable Register */
#define REG_DPM0_CCBF_EN                0x4001700C         /* DPM0 Core Clock Buffer Enable Register */
#define REG_DPM0_CCBF_STAT              0x40017010         /* DPM0 Core Clock Buffer Status Register */
#define REG_DPM0_CCBF_STAT_STKY         0x40017014         /* DPM0 Core Clock Buffer Status Sticky Register */
#define REG_DPM0_SCBF_DIS               0x40017018         /* DPM0 System Clock Buffer Disable Register */
#define REG_DPM0_WAKE_EN                0x4001701C         /* DPM0 Wakeup Enable Register */
#define REG_DPM0_WAKE_POL               0x40017020         /* DPM0 Wakeup Polarity Register */
#define REG_DPM0_WAKE_STAT              0x40017024         /* DPM0 Wakeup Status Register */

/* =========================
        DPM
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         DPM_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DPM_CTL_LOCK                     31                               /* Lock */
#define BITP_DPM_CTL_DEEPSLEEP                 3                               /* Deep Sleep */
#define BITP_DPM_CTL_PLLDIS                    2                               /* PLL Disable */
#define BITP_DPM_CTL_PLLBPCL                   1                               /* PLL Bypass Clear */
#define BITP_DPM_CTL_PLLBPST                   0                               /* PLL Bypass Set */
#define BITM_DPM_CTL_LOCK                     (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_DPM_CTL_DEEPSLEEP                (_ADI_MSK(0x00000008,uint32_t))  /* Deep Sleep */
#define BITM_DPM_CTL_PLLDIS                   (_ADI_MSK(0x00000004,uint32_t))  /* PLL Disable */
#define BITM_DPM_CTL_PLLBPCL                  (_ADI_MSK(0x00000002,uint32_t))  /* PLL Bypass Clear */
#define BITM_DPM_CTL_PLLBPST                  (_ADI_MSK(0x00000001,uint32_t))  /* PLL Bypass Set */

/* ------------------------------------------------------------------------------------------------------------------------
         DPM_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DPM_STAT_PLLCFGERR               19                               /* PLL Configuration Error */
#define BITP_DPM_STAT_HVBSYERR                18                               /* HV Busy Error */
#define BITP_DPM_STAT_LWERR                   17                               /* Lock Write Error */
#define BITP_DPM_STAT_ADDRERR                 16                               /* Address Error */
#define BITP_DPM_STAT_HVBSY                    9                               /* HV Busy */
#define BITP_DPM_STAT_CCLKDIS                  8                               /* Core Clock(s) Disabled */
#define BITP_DPM_STAT_PRVMODE                  4                               /* Previous Mode */
#define BITP_DPM_STAT_CURMODE                  0                               /* Current Mode */
#define BITM_DPM_STAT_PLLCFGERR               (_ADI_MSK(0x00080000,uint32_t))  /* PLL Configuration Error */
#define BITM_DPM_STAT_HVBSYERR                (_ADI_MSK(0x00040000,uint32_t))  /* HV Busy Error */
#define BITM_DPM_STAT_LWERR                   (_ADI_MSK(0x00020000,uint32_t))  /* Lock Write Error */
#define BITM_DPM_STAT_ADDRERR                 (_ADI_MSK(0x00010000,uint32_t))  /* Address Error */
#define BITM_DPM_STAT_HVBSY                   (_ADI_MSK(0x00000200,uint32_t))  /* HV Busy */
#define BITM_DPM_STAT_CCLKDIS                 (_ADI_MSK(0x00000100,uint32_t))  /* Core Clock(s) Disabled */
#define BITM_DPM_STAT_PRVMODE                 (_ADI_MSK(0x000000F0,uint32_t))  /* Previous Mode */
#define BITM_DPM_STAT_CURMODE                 (_ADI_MSK(0x0000000F,uint32_t))  /* Current Mode */

/* ------------------------------------------------------------------------------------------------------------------------
         DPM_CCBF_DIS                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DPM_CCBF_DIS_LOCK                31                               /* Lock */
#define BITP_DPM_CCBF_DIS_CCBF0                0                               /* Core Clock Buffer n Disable */
#define BITM_DPM_CCBF_DIS_LOCK                (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_DPM_CCBF_DIS_CCBF0               (_ADI_MSK(0x00000001,uint32_t))  /* Core Clock Buffer n Disable */

/* ------------------------------------------------------------------------------------------------------------------------
         DPM_CCBF_EN                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DPM_CCBF_EN_LOCK                 31                               /* Lock */
#define BITP_DPM_CCBF_EN_CCBF0                 0                               /* Core Clock Buffer n Enable */
#define BITM_DPM_CCBF_EN_LOCK                 (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_DPM_CCBF_EN_CCBF0                (_ADI_MSK(0x00000001,uint32_t))  /* Core Clock Buffer n Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         DPM_CCBF_STAT                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DPM_CCBF_STAT_CCBF0               0                               /* Core Clock Buffer n Status */
#define BITM_DPM_CCBF_STAT_CCBF0              (_ADI_MSK(0x00000001,uint32_t))  /* Core Clock Buffer n Status */

/* ------------------------------------------------------------------------------------------------------------------------
         DPM_CCBF_STAT_STKY                    Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DPM_CCBF_STAT_STKY_CCBF0          0                               /* Core Clock Buffer n Status - Sticky */
#define BITM_DPM_CCBF_STAT_STKY_CCBF0         (_ADI_MSK(0x00000001,uint32_t))  /* Core Clock Buffer n Status - Sticky */

/* ------------------------------------------------------------------------------------------------------------------------
         DPM_SCBF_DIS                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DPM_SCBF_DIS_LOCK                31                               /* Lock */
#define BITP_DPM_SCBF_DIS_SCBF0                0                               /* System Clock Buffer n Disable */
#define BITP_DPM_SCBF_DIS_SCBF1                1                               /* System Clock Buffer n Disable */
#define BITM_DPM_SCBF_DIS_LOCK                (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_DPM_SCBF_DIS_SCBF0               (_ADI_MSK(0x00000001,uint32_t))  /* System Clock Buffer n Disable */
#define BITM_DPM_SCBF_DIS_SCBF1               (_ADI_MSK(0x00000002,uint32_t))  /* System Clock Buffer n Disable */

/* ------------------------------------------------------------------------------------------------------------------------
         DPM_WAKE_EN                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DPM_WAKE_EN_LOCK                 31                               /* Lock */
#define BITP_DPM_WAKE_EN_WS0                   0                               /* Wakeup Source n Enable */
#define BITP_DPM_WAKE_EN_WS1                   1                               /* Wakeup Source n Enable */
#define BITP_DPM_WAKE_EN_WS2                   2                               /* Wakeup Source n Enable */
#define BITP_DPM_WAKE_EN_WS3                   3                               /* Wakeup Source n Enable */
#define BITP_DPM_WAKE_EN_WS4                   4                               /* Wakeup Source n Enable */
#define BITM_DPM_WAKE_EN_LOCK                 (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_DPM_WAKE_EN_WS0                  (_ADI_MSK(0x00000001,uint32_t))  /* Wakeup Source n Enable */
#define BITM_DPM_WAKE_EN_WS1                  (_ADI_MSK(0x00000002,uint32_t))  /* Wakeup Source n Enable */
#define BITM_DPM_WAKE_EN_WS2                  (_ADI_MSK(0x00000004,uint32_t))  /* Wakeup Source n Enable */
#define BITM_DPM_WAKE_EN_WS3                  (_ADI_MSK(0x00000008,uint32_t))  /* Wakeup Source n Enable */
#define BITM_DPM_WAKE_EN_WS4                  (_ADI_MSK(0x00000010,uint32_t))  /* Wakeup Source n Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         DPM_WAKE_POL                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DPM_WAKE_POL_LOCK                31                               /* Lock */
#define BITP_DPM_WAKE_POL_WS0                  0                               /* Wakeup Source n Polarity */
#define BITP_DPM_WAKE_POL_WS1                  1                               /* Wakeup Source n Polarity */
#define BITP_DPM_WAKE_POL_WS2                  2                               /* Wakeup Source n Polarity */
#define BITP_DPM_WAKE_POL_WS3                  3                               /* Wakeup Source n Polarity */
#define BITP_DPM_WAKE_POL_WS4                  4                               /* Wakeup Source n Polarity */
#define BITM_DPM_WAKE_POL_LOCK                (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define BITM_DPM_WAKE_POL_WS0                 (_ADI_MSK(0x00000001,uint32_t))  /* Wakeup Source n Polarity */
#define BITM_DPM_WAKE_POL_WS1                 (_ADI_MSK(0x00000002,uint32_t))  /* Wakeup Source n Polarity */
#define BITM_DPM_WAKE_POL_WS2                 (_ADI_MSK(0x00000004,uint32_t))  /* Wakeup Source n Polarity */
#define BITM_DPM_WAKE_POL_WS3                 (_ADI_MSK(0x00000008,uint32_t))  /* Wakeup Source n Polarity */
#define BITM_DPM_WAKE_POL_WS4                 (_ADI_MSK(0x00000010,uint32_t))  /* Wakeup Source n Polarity */

/* ------------------------------------------------------------------------------------------------------------------------
         DPM_WAKE_STAT                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_DPM_WAKE_STAT_WS0                 0                               /* Wakeup Source n Status */
#define BITP_DPM_WAKE_STAT_WS1                 1                               /* Wakeup Source n Status */
#define BITP_DPM_WAKE_STAT_WS2                 2                               /* Wakeup Source n Status */
#define BITP_DPM_WAKE_STAT_WS3                 3                               /* Wakeup Source n Status */
#define BITP_DPM_WAKE_STAT_WS4                 4                               /* Wakeup Source n Status */
#define BITM_DPM_WAKE_STAT_WS0                (_ADI_MSK(0x00000001,uint32_t))  /* Wakeup Source n Status */
#define BITM_DPM_WAKE_STAT_WS1                (_ADI_MSK(0x00000002,uint32_t))  /* Wakeup Source n Status */
#define BITM_DPM_WAKE_STAT_WS2                (_ADI_MSK(0x00000004,uint32_t))  /* Wakeup Source n Status */
#define BITM_DPM_WAKE_STAT_WS3                (_ADI_MSK(0x00000008,uint32_t))  /* Wakeup Source n Status */
#define BITM_DPM_WAKE_STAT_WS4                (_ADI_MSK(0x00000010,uint32_t))  /* Wakeup Source n Status */

/* ==================================================
        Harmonic Analysis Engine Registers
   ================================================== */

/* =========================
        HAE0
   ========================= */
#define REG_HAE0_RUN                    0x400180A0         /* HAE0 Run Register */
#define REG_HAE0_COEF_RAM               0x40018100         /* HAE0 Coefficient RAM Register */
#define REG_HAE0_CFG0                   0x40018B00         /* HAE0 Configuration 0 Register */
#define REG_HAE0_CFG1                   0x40018B04         /* HAE0 Configuration 1 Register */
#define REG_HAE0_CFG2                   0x40018B08         /* HAE0 Configuration 2 Register */
#define REG_HAE0_CFG3                   0x40018B0C         /* HAE0 Configuration 3 Register */
#define REG_HAE0_STAT                   0x40018B20         /* HAE0 Status Register */
#define REG_HAE0_ISAMPLE                0x40018B40         /* HAE0 I (Current) Sample Register */
#define REG_HAE0_VSAMPLE                0x40018B44         /* HAE0 V (Voltage) Sample Register */
#define REG_HAE0_IWAVEFORM              0x40018B80         /* HAE0 I (Current) Waveform Register */
#define REG_HAE0_VWAVEFORM              0x40018B84         /* HAE0 V (Voltage) Waveform Register */
#define REG_HAE0_RESULTS_RAM            0x40018C00         /* HAE0 Results RAM Register */
#define REG_HAE0_DATA_RAM               0x40019000         /* HAE0 Data (Configuration) RAM Register */
#define REG_HAE0_CFG4                   0x40019E00         /* HAE0 Configuration 4 Register */
#define REG_HAE0_DIDT_GAIN              0x40019E04         /* HAE0 DIDT Gain Register */
#define REG_HAE0_DIDT_COEF              0x40019E08         /* HAE0 DIDT Coefficient Register */
#define REG_HAE0_VLEVEL                 0x40019E0C         /* HAE0 Voltage Level Register */
#define REG_HAE0_H00_INDX               0x40019E2C         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H01_INDX               0x40019E30         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H02_INDX               0x40019E34         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H03_INDX               0x40019E38         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H04_INDX               0x40019E3C         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H05_INDX               0x40019E40         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H06_INDX               0x40019E44         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H07_INDX               0x40019E48         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H08_INDX               0x40019E4C         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H09_INDX               0x40019E50         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H10_INDX               0x40019E54         /* HAE0 Harmonic n Index Register */
#define REG_HAE0_H11_INDX               0x40019E58         /* HAE0 Harmonic n Index Register */

/* =========================
        HAE
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         HAE_RUN                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_RUN_RUN                       0                               /* Run/Stop */
#define BITM_HAE_RUN_RUN                      (_ADI_MSK(0x00000001,uint32_t))  /* Run/Stop */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_COEF_RAM                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_COEF_RAM_VALUE                0                               /* Coefficient RAM Address */
#define BITM_HAE_COEF_RAM_VALUE               (_ADI_MSK(0x0FFFFFFF,uint32_t))  /* Coefficient RAM Address */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_CFG0                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_CFG0_RXIRQEN                  7                               /* Receive IRQ Enable */
#define BITP_HAE_CFG0_TXIRQEN                  6                               /* Transmit IRQ Enable */
#define BITP_HAE_CFG0_LFREQ                    1                               /* Line Frequency Select */
#define BITM_HAE_CFG0_RXIRQEN                 (_ADI_MSK(0x00000080,uint32_t))  /* Receive IRQ Enable */
#define BITM_HAE_CFG0_TXIRQEN                 (_ADI_MSK(0x00000040,uint32_t))  /* Transmit IRQ Enable */
#define BITM_HAE_CFG0_LFREQ                   (_ADI_MSK(0x00000002,uint32_t))  /* Line Frequency Select */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_CFG1                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_CFG1_STARTDIV                 0                               /* Start (Clock) Divider */
#define BITM_HAE_CFG1_STARTDIV                (_ADI_MSK(0x00007FFF,uint32_t))  /* Start (Clock) Divider */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_CFG2                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_CFG2_EN                       6                               /* Enable Clock */
#define BITP_HAE_CFG2_UPDATE                   3                               /* Update Rate Select */
#define BITP_HAE_CFG2_SETTLE                   1                               /* Settle Period Select */
#define BITP_HAE_CFG2_MODE                     0                               /* (Results) Mode Select */
#define BITM_HAE_CFG2_EN                      (_ADI_MSK(0x00000040,uint32_t))  /* Enable Clock */
#define BITM_HAE_CFG2_UPDATE                  (_ADI_MSK(0x00000038,uint32_t))  /* Update Rate Select */
#define BITM_HAE_CFG2_SETTLE                  (_ADI_MSK(0x00000006,uint32_t))  /* Settle Period Select */
#define BITM_HAE_CFG2_MODE                    (_ADI_MSK(0x00000001,uint32_t))  /* (Results) Mode Select */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_CFG3                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_CFG3_CHANEN                   0                               /* Channel n Enable */
#define BITM_HAE_CFG3_CHANEN                  (_ADI_MSK(0x00001FFF,uint32_t))  /* Channel n Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_STAT_RDY                      2                               /* Ready Status */
#define BITP_HAE_STAT_RXIRQ                    1                               /* Receive IRQ Status */
#define BITP_HAE_STAT_TXIRQ                    0                               /* Transmit IRQ Status */
#define BITM_HAE_STAT_RDY                     (_ADI_MSK(0x00000004,uint32_t))  /* Ready Status */
#define BITM_HAE_STAT_RXIRQ                   (_ADI_MSK(0x00000002,uint32_t))  /* Receive IRQ Status */
#define BITM_HAE_STAT_TXIRQ                   (_ADI_MSK(0x00000001,uint32_t))  /* Transmit IRQ Status */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_ISAMPLE                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_ISAMPLE_VALUE                 0                               /* Current Input Sample */
#define BITM_HAE_ISAMPLE_VALUE                (_ADI_MSK(0x00FFFFFF,uint32_t))  /* Current Input Sample */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_VSAMPLE                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_VSAMPLE_VALUE                 0                               /* Voltage Input Sample */
#define BITM_HAE_VSAMPLE_VALUE                (_ADI_MSK(0x00FFFFFF,uint32_t))  /* Voltage Input Sample */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_IWAVEFORM                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_IWAVEFORM_VALUE               0                               /* Current Waveform */
#define BITM_HAE_IWAVEFORM_VALUE              (_ADI_MSK(0x00FFFFFF,uint32_t))  /* Current Waveform */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_VWAVEFORM                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_VWAVEFORM_VALUE               0                               /* Voltage Waveform */
#define BITM_HAE_VWAVEFORM_VALUE              (_ADI_MSK(0x00FFFFFF,uint32_t))  /* Voltage Waveform */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_RESULTS_RAM                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_RESULTS_RAM_ENTRY             0                               /* Results Memory Address */
#define BITM_HAE_RESULTS_RAM_ENTRY            (_ADI_MSK(0x00FFFFFF,uint32_t))  /* Results Memory Address */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_DATA_RAM                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_DATA_RAM_VALUE                0                               /* Data Configuration RAM Address */
#define BITM_HAE_DATA_RAM_VALUE               (_ADI_MSK(0x0FFFFFFF,uint32_t))  /* Data Configuration RAM Address */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_CFG4                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_CFG4_DIDTEN                   1                               /* di/dt (Sensor) Enable */
#define BITP_HAE_CFG4_HPFEN                    0                               /* High-Pass Filter Enable */
#define BITM_HAE_CFG4_DIDTEN                  (_ADI_MSK(0x00000002,uint32_t))  /* di/dt (Sensor) Enable */
#define BITM_HAE_CFG4_HPFEN                   (_ADI_MSK(0x00000001,uint32_t))  /* High-Pass Filter Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_DIDT_GAIN                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_DIDT_GAIN_VALUE               0                               /* di/dt Sensor Gain */
#define BITM_HAE_DIDT_GAIN_VALUE              (_ADI_MSK(0x0FFFFFFF,uint32_t))  /* di/dt Sensor Gain */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_DIDT_COEF                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_DIDT_COEF_VALUE               0                               /* di/dt Coefficient */
#define BITM_HAE_DIDT_COEF_VALUE              (_ADI_MSK(0x0FFFFFFF,uint32_t))  /* di/dt Coefficient */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_VLEVEL                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_VLEVEL_VALUE                  0                               /* Voltage Input Level */
#define BITM_HAE_VLEVEL_VALUE                 (_ADI_MSK(0x0FFFFFFF,uint32_t))  /* Voltage Input Level */

/* ------------------------------------------------------------------------------------------------------------------------
         HAE_Hn_INDX                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_HAE_H_INDX_VALUE                  0                               /* Harmonic n Index */
#define BITM_HAE_H_INDX_VALUE                 (_ADI_MSK(0x0000003F,uint32_t))  /* Harmonic n Index */

/* ==================================================
        Ethernet MAC Registers
   ================================================== */

/* =========================
        EMAC0
   ========================= */
#define REG_EMAC0_MACCFG                0x40020000         /* EMAC0 MAC Configuration Register */
#define REG_EMAC0_MACFRMFILT            0x40020004         /* EMAC0 MAC Rx Frame Filter Register */
#define REG_EMAC0_HASHTBL_HI            0x40020008         /* EMAC0 Hash Table High Register */
#define REG_EMAC0_HASHTBL_LO            0x4002000C         /* EMAC0 Hash Table Low Register */
#define REG_EMAC0_SMI_ADDR              0x40020010         /* EMAC0 SMI Address Register */
#define REG_EMAC0_SMI_DATA              0x40020014         /* EMAC0 SMI Data Register */
#define REG_EMAC0_FLOWCTL               0x40020018         /* EMAC0 FLow Control Register */
#define REG_EMAC0_VLANTAG               0x4002001C         /* EMAC0 VLAN Tag Register */
#define REG_EMAC0_DBG                   0x40020024         /* EMAC0 Debug Register */
#define REG_EMAC0_ISTAT                 0x40020038         /* EMAC0 Interrupt Status Register */
#define REG_EMAC0_IMSK                  0x4002003C         /* EMAC0 Interrupt Mask Register */
#define REG_EMAC0_ADDR0_HI              0x40020040         /* EMAC0 MAC Address 0 High Register */
#define REG_EMAC0_ADDR0_LO              0x40020044         /* EMAC0 MAC Address 0 Low Register */
#define REG_EMAC0_MMC_CTL               0x40020100         /* EMAC0 MMC Control Register */
#define REG_EMAC0_MMC_RXINT             0x40020104         /* EMAC0 MMC Rx Interrupt Register */
#define REG_EMAC0_MMC_TXINT             0x40020108         /* EMAC0 MMC Tx Interrupt Register */
#define REG_EMAC0_MMC_RXIMSK            0x4002010C         /* EMAC0 MMC Rx Interrupt Mask Register */
#define REG_EMAC0_MMC_TXIMSK            0x40020110         /* EMAC0 MMC TX Interrupt Mask Register */
#define REG_EMAC0_TXOCTCNT_GB           0x40020114         /* EMAC0 Tx OCT Count (Good/Bad) Register */
#define REG_EMAC0_TXFRMCNT_GB           0x40020118         /* EMAC0 Tx Frame Count (Good/Bad) Register */
#define REG_EMAC0_TXBCASTFRM_G          0x4002011C         /* EMAC0 Tx Broadcast Frames (Good) Register */
#define REG_EMAC0_TXMCASTFRM_G          0x40020120         /* EMAC0 Tx Multicast Frames (Good) Register */
#define REG_EMAC0_TX64_GB               0x40020124         /* EMAC0 Tx 64-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_TX65TO127_GB          0x40020128         /* EMAC0 Tx 65- to 127-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_TX128TO255_GB         0x4002012C         /* EMAC0 Tx 128- to 255-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_TX256TO511_GB         0x40020130         /* EMAC0 Tx 256- to 511-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_TX512TO1023_GB        0x40020134         /* EMAC0 Tx 512- to 1023-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_TX1024TOMAX_GB        0x40020138         /* EMAC0 Tx 1024- to Max-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_TXUCASTFRM_GB         0x4002013C         /* EMAC0 Tx Unicast Frames (Good/Bad) Register */
#define REG_EMAC0_TXMCASTFRM_GB         0x40020140         /* EMAC0 Tx Multicast Frames (Good/Bad) Register */
#define REG_EMAC0_TXBCASTFRM_GB         0x40020144         /* EMAC0 Tx Broadcast Frames (Good/Bad) Register */
#define REG_EMAC0_TXUNDR_ERR            0x40020148         /* EMAC0 Tx Underflow Error Register */
#define REG_EMAC0_TXSNGCOL_G            0x4002014C         /* EMAC0 Tx Single Collision (Good) Register */
#define REG_EMAC0_TXMULTCOL_G           0x40020150         /* EMAC0 Tx Multiple Collision (Good) Register */
#define REG_EMAC0_TXDEFERRED            0x40020154         /* EMAC0 Tx Deferred Register */
#define REG_EMAC0_TXLATECOL             0x40020158         /* EMAC0 Tx Late Collision Register */
#define REG_EMAC0_TXEXCESSCOL           0x4002015C         /* EMAC0 Tx Excess Collision Register */
#define REG_EMAC0_TXCARR_ERR            0x40020160         /* EMAC0 Tx Carrier Error Register */
#define REG_EMAC0_TXOCTCNT_G            0x40020164         /* EMAC0 Tx Octet Count (Good) Register */
#define REG_EMAC0_TXFRMCNT_G            0x40020168         /* EMAC0 Tx Frame Count (Good) Register */
#define REG_EMAC0_TXEXCESSDEF           0x4002016C         /* EMAC0 Tx Excess Deferral Register */
#define REG_EMAC0_TXPAUSEFRM            0x40020170         /* EMAC0 Tx Pause Frame Register */
#define REG_EMAC0_TXVLANFRM_G           0x40020174         /* EMAC0 Tx VLAN Frames (Good) Register */
#define REG_EMAC0_RXFRMCNT_GB           0x40020180         /* EMAC0 Rx Frame Count (Good/Bad) Register */
#define REG_EMAC0_RXOCTCNT_GB           0x40020184         /* EMAC0 Rx Octet Count (Good/Bad) Register */
#define REG_EMAC0_RXOCTCNT_G            0x40020188         /* EMAC0 Rx Octet Count (Good) Register */
#define REG_EMAC0_RXBCASTFRM_G          0x4002018C         /* EMAC0 Rx Broadcast Frames (Good) Register */
#define REG_EMAC0_RXMCASTFRM_G          0x40020190         /* EMAC0 Rx Multicast Frames (Good) Register */
#define REG_EMAC0_RXCRC_ERR             0x40020194         /* EMAC0 Rx CRC Error Register */
#define REG_EMAC0_RXALIGN_ERR           0x40020198         /* EMAC0 Rx alignment Error Register */
#define REG_EMAC0_RXRUNT_ERR            0x4002019C         /* EMAC0 Rx Runt Error Register */
#define REG_EMAC0_RXJAB_ERR             0x400201A0         /* EMAC0 Rx Jab Error Register */
#define REG_EMAC0_RXUSIZE_G             0x400201A4         /* EMAC0 Rx Undersize (Good) Register */
#define REG_EMAC0_RXOSIZE_G             0x400201A8         /* EMAC0 Rx Oversize (Good) Register */
#define REG_EMAC0_RX64_GB               0x400201AC         /* EMAC0 Rx 64-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_RX65TO127_GB          0x400201B0         /* EMAC0 Rx 65- to 127-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_RX128TO255_GB         0x400201B4         /* EMAC0 Rx 128- to 255-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_RX256TO511_GB         0x400201B8         /* EMAC0 Rx 256- to 511-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_RX512TO1023_GB        0x400201BC         /* EMAC0 Rx 512- to 1023-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_RX1024TOMAX_GB        0x400201C0         /* EMAC0 Rx 1024- to Max-Byte Frames (Good/Bad) Register */
#define REG_EMAC0_RXUCASTFRM_G          0x400201C4         /* EMAC0 Rx Unicast Frames (Good) Register */
#define REG_EMAC0_RXLEN_ERR             0x400201C8         /* EMAC0 Rx Length Error Register */
#define REG_EMAC0_RXOORTYPE             0x400201CC         /* EMAC0 Rx Out Of Range Type Register */
#define REG_EMAC0_RXPAUSEFRM            0x400201D0         /* EMAC0 Rx Pause Frames Register */
#define REG_EMAC0_RXFIFO_OVF            0x400201D4         /* EMAC0 Rx FIFO Overflow Register */
#define REG_EMAC0_RXVLANFRM_GB          0x400201D8         /* EMAC0 Rx VLAN Frames (Good/Bad) Register */
#define REG_EMAC0_RXWDOG_ERR            0x400201DC         /* EMAC0 Rx Watch Dog Error Register */
#define REG_EMAC0_IPC_RXIMSK            0x40020200         /* EMAC0 MMC IPC Rx Interrupt Mask Register */
#define REG_EMAC0_IPC_RXINT             0x40020208         /* EMAC0 MMC IPC Rx Interrupt Register */
#define REG_EMAC0_RXIPV4_GD_FRM         0x40020210         /* EMAC0 Rx IPv4 Datagrams (Good) Register */
#define REG_EMAC0_RXIPV4_HDR_ERR_FRM    0x40020214         /* EMAC0 Rx IPv4 Datagrams Header Errors Register */
#define REG_EMAC0_RXIPV4_NOPAY_FRM      0x40020218         /* EMAC0 Rx IPv4 Datagrams No Payload Frame Register */
#define REG_EMAC0_RXIPV4_FRAG_FRM       0x4002021C         /* EMAC0 Rx IPv4 Datagrams Fragmented Frames Register */
#define REG_EMAC0_RXIPV4_UDSBL_FRM      0x40020220         /* EMAC0 Rx IPv4 UDP Disabled Frames Register */
#define REG_EMAC0_RXIPV6_GD_FRM         0x40020224         /* EMAC0 Rx IPv6 Datagrams Good Frames Register */
#define REG_EMAC0_RXIPV6_HDR_ERR_FRM    0x40020228         /* EMAC0 Rx IPv6 Datagrams Header Error Frames Register */
#define REG_EMAC0_RXIPV6_NOPAY_FRM      0x4002022C         /* EMAC0 Rx IPv6 Datagrams No Payload Frames Register */
#define REG_EMAC0_RXUDP_GD_FRM          0x40020230         /* EMAC0 Rx UDP Good Frames Register */
#define REG_EMAC0_RXUDP_ERR_FRM         0x40020234         /* EMAC0 Rx UDP Error Frames Register */
#define REG_EMAC0_RXTCP_GD_FRM          0x40020238         /* EMAC0 Rx TCP Good Frames Register */
#define REG_EMAC0_RXTCP_ERR_FRM         0x4002023C         /* EMAC0 Rx TCP Error Frames Register */
#define REG_EMAC0_RXICMP_GD_FRM         0x40020240         /* EMAC0 Rx ICMP Good Frames Register */
#define REG_EMAC0_RXICMP_ERR_FRM        0x40020244         /* EMAC0 Rx ICMP Error Frames Register */
#define REG_EMAC0_RXIPV4_GD_OCT         0x40020250         /* EMAC0 Rx IPv4 Datagrams Good Octets Register */
#define REG_EMAC0_RXIPV4_HDR_ERR_OCT    0x40020254         /* EMAC0 Rx IPv4 Datagrams Header Errors Register */
#define REG_EMAC0_RXIPV4_NOPAY_OCT      0x40020258         /* EMAC0 Rx IPv4 Datagrams No Payload Octets Register */
#define REG_EMAC0_RXIPV4_FRAG_OCT       0x4002025C         /* EMAC0 Rx IPv4 Datagrams Fragmented Octets Register */
#define REG_EMAC0_RXIPV4_UDSBL_OCT      0x40020260         /* EMAC0 Rx IPv4 UDP Disabled Octets Register */
#define REG_EMAC0_RXIPV6_GD_OCT         0x40020264         /* EMAC0 Rx IPv6 Good Octets Register */
#define REG_EMAC0_RXIPV6_HDR_ERR_OCT    0x40020268         /* EMAC0 Rx IPv6 Header Errors Register */
#define REG_EMAC0_RXIPV6_NOPAY_OCT      0x4002026C         /* EMAC0 Rx IPv6 No Payload Octets Register */
#define REG_EMAC0_RXUDP_GD_OCT          0x40020270         /* EMAC0 Rx UDP Good Octets Register */
#define REG_EMAC0_RXUDP_ERR_OCT         0x40020274         /* EMAC0 Rx UDP Error Octets Register */
#define REG_EMAC0_RXTCP_GD_OCT          0x40020278         /* EMAC0 Rx TCP Good Octets Register */
#define REG_EMAC0_RXTCP_ERR_OCT         0x4002027C         /* EMAC0 Rx TCP Error Octets Register */
#define REG_EMAC0_RXICMP_GD_OCT         0x40020280         /* EMAC0 Rx ICMP Good Octets Register */
#define REG_EMAC0_RXICMP_ERR_OCT        0x40020284         /* EMAC0 Rx ICMP Error Octets Register */
#define REG_EMAC0_TM_CTL                0x40020700         /* EMAC0 Time Stamp Control Register */
#define REG_EMAC0_TM_SUBSEC             0x40020704         /* EMAC0 Time Stamp Sub Second Increment Register */
#define REG_EMAC0_TM_SEC                0x40020708         /* EMAC0 Time Stamp Low Seconds Register */
#define REG_EMAC0_TM_NSEC               0x4002070C         /* EMAC0 Time Stamp Nanoseconds Register */
#define REG_EMAC0_TM_SECUPDT            0x40020710         /* EMAC0 Time Stamp Seconds Update Register */
#define REG_EMAC0_TM_NSECUPDT           0x40020714         /* EMAC0 Time Stamp Nanoseconds Update Register */
#define REG_EMAC0_TM_ADDEND             0x40020718         /* EMAC0 Time Stamp Addend Register */
#define REG_EMAC0_TM_TGTM               0x4002071C         /* EMAC0 Time Stamp Target Time Seconds Register */
#define REG_EMAC0_TM_NTGTM              0x40020720         /* EMAC0 Time Stamp Target Time Nanoseconds Register */
#define REG_EMAC0_TM_HISEC              0x40020724         /* EMAC0 Time Stamp High Second Register */
#define REG_EMAC0_TM_STMPSTAT           0x40020728         /* EMAC0 Time Stamp Status Register */
#define REG_EMAC0_TM_PPSCTL             0x4002072C         /* EMAC0 PPS Control Register */
#define REG_EMAC0_TM_AUXSTMP_NSEC       0x40020730         /* EMAC0 Time Stamp Auxiliary TS Nano Seconds Register */
#define REG_EMAC0_TM_AUXSTMP_SEC        0x40020734         /* EMAC0 Time Stamp Auxiliary TM Seconds Register */
#define REG_EMAC0_TM_PPSINTVL           0x40020760         /* EMAC0 Time Stamp PPS Interval Register */
#define REG_EMAC0_TM_PPSWIDTH           0x40020764         /* EMAC0 PPS Width Register */
#define REG_EMAC0_DMA_BUSMODE           0x40021000         /* EMAC0 DMA Bus Mode Register */
#define REG_EMAC0_DMA_TXPOLL            0x40021004         /* EMAC0 DMA Tx Poll Demand Register */
#define REG_EMAC0_DMA_RXPOLL            0x40021008         /* EMAC0 DMA Rx Poll Demand register */
#define REG_EMAC0_DMA_RXDSC_ADDR        0x4002100C         /* EMAC0 DMA Rx Descriptor List Address Register */
#define REG_EMAC0_DMA_TXDSC_ADDR        0x40021010         /* EMAC0 DMA Tx Descriptor List Address Register */
#define REG_EMAC0_DMA_STAT              0x40021014         /* EMAC0 DMA Status Register */
#define REG_EMAC0_DMA_OPMODE            0x40021018         /* EMAC0 DMA Operation Mode Register */
#define REG_EMAC0_DMA_IEN               0x4002101C         /* EMAC0 DMA Interrupt Enable Register */
#define REG_EMAC0_DMA_MISS_FRM          0x40021020         /* EMAC0 DMA Missed Frame Register */
#define REG_EMAC0_DMA_RXIWDOG           0x40021024         /* EMAC0 DMA Rx Interrupt Watch Dog Register */
#define REG_EMAC0_DMA_BMMODE            0x40021028         /* EMAC0 DMA SCB Bus Mode Register */
#define REG_EMAC0_DMA_BMSTAT            0x4002102C         /* EMAC0 DMA SCB Status Register */
#define REG_EMAC0_DMA_TXDSC_CUR         0x40021048         /* EMAC0 DMA Tx Descriptor Current Register */
#define REG_EMAC0_DMA_RXDSC_CUR         0x4002104C         /* EMAC0 DMA Rx Descriptor Current Register */
#define REG_EMAC0_DMA_TXBUF_CUR         0x40021050         /* EMAC0 DMA Tx Buffer Current Register */
#define REG_EMAC0_DMA_RXBUF_CUR         0x40021054         /* EMAC0 DMA Rx Buffer Current Register */

/* =========================
        EMAC
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_MACCFG                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_MACCFG_CST                  25                               /* CRC Stripping */
#define BITP_EMAC_MACCFG_WD                   23                               /* Watch Dog Disable */
#define BITP_EMAC_MACCFG_JB                   22                               /* Jabber Disable */
#define BITP_EMAC_MACCFG_JE                   20                               /* Jumbo Frame Enable */
#define BITP_EMAC_MACCFG_IFG                  17                               /* Inter-Frame Gap */
#define BITP_EMAC_MACCFG_DCRS                 16                               /* Disable Carrier Sense */
#define BITP_EMAC_MACCFG_FES                  14                               /* Speed of Operation */
#define BITP_EMAC_MACCFG_DO                   13                               /* Disable Receive Own */
#define BITP_EMAC_MACCFG_LM                   12                               /* Loopback Mode */
#define BITP_EMAC_MACCFG_DM                   11                               /* Duplex Mode */
#define BITP_EMAC_MACCFG_IPC                  10                               /* IP Checksum */
#define BITP_EMAC_MACCFG_DR                    9                               /* Disable Retry */
#define BITP_EMAC_MACCFG_ACS                   7                               /* Automatic Pad/CRC Stripping */
#define BITP_EMAC_MACCFG_BL                    5                               /* Back Off Limit */
#define BITP_EMAC_MACCFG_DC                    4                               /* Deferral Check */
#define BITP_EMAC_MACCFG_TE                    3                               /* Transmitter Enable */
#define BITP_EMAC_MACCFG_RE                    2                               /* Receiver Enable */
#define BITM_EMAC_MACCFG_CST                  (_ADI_MSK(0x02000000,uint32_t))  /* CRC Stripping */
#define BITM_EMAC_MACCFG_WD                   (_ADI_MSK(0x00800000,uint32_t))  /* Watch Dog Disable */
#define BITM_EMAC_MACCFG_JB                   (_ADI_MSK(0x00400000,uint32_t))  /* Jabber Disable */
#define BITM_EMAC_MACCFG_JE                   (_ADI_MSK(0x00100000,uint32_t))  /* Jumbo Frame Enable */

#define BITM_EMAC_MACCFG_IFG                  (_ADI_MSK(0x000E0000,uint32_t))  /* Inter-Frame Gap */
#define ENUM_EMAC_MACCFG_BIT_TIMES_96         (_ADI_MSK(0x00000000,uint32_t))  /* IFG: 96 bit times */
#define ENUM_EMAC_MACCFG_BIT_TIMES_88         (_ADI_MSK(0x00020000,uint32_t))  /* IFG: 88 bit times */
#define ENUM_EMAC_MACCFG_BIT_TIMES_80         (_ADI_MSK(0x00040000,uint32_t))  /* IFG: 80 bit times */
#define ENUM_EMAC_MACCFG_BIT_TIMES_72         (_ADI_MSK(0x00060000,uint32_t))  /* IFG: 72 bit times */
#define ENUM_EMAC_MACCFG_BIT_TIMES_64         (_ADI_MSK(0x00080000,uint32_t))  /* IFG: 64 bit times */
#define ENUM_EMAC_MACCFG_BIT_TIMES_56         (_ADI_MSK(0x000A0000,uint32_t))  /* IFG: 56 bit times */
#define ENUM_EMAC_MACCFG_BIT_TIMES_48         (_ADI_MSK(0x000C0000,uint32_t))  /* IFG: 48 bit times */
#define ENUM_EMAC_MACCFG_BIT_TIMES_40         (_ADI_MSK(0x000E0000,uint32_t))  /* IFG: 40 bit times */
#define BITM_EMAC_MACCFG_DCRS                 (_ADI_MSK(0x00010000,uint32_t))  /* Disable Carrier Sense */
#define BITM_EMAC_MACCFG_FES                  (_ADI_MSK(0x00004000,uint32_t))  /* Speed of Operation */
#define BITM_EMAC_MACCFG_DO                   (_ADI_MSK(0x00002000,uint32_t))  /* Disable Receive Own */
#define BITM_EMAC_MACCFG_LM                   (_ADI_MSK(0x00001000,uint32_t))  /* Loopback Mode */
#define BITM_EMAC_MACCFG_DM                   (_ADI_MSK(0x00000800,uint32_t))  /* Duplex Mode */
#define BITM_EMAC_MACCFG_IPC                  (_ADI_MSK(0x00000400,uint32_t))  /* IP Checksum */

#define BITM_EMAC_MACCFG_DR                   (_ADI_MSK(0x00000200,uint32_t))  /* Disable Retry */
#define ENUM_EMAC_MACCFG_RETRY_ENABLED        (_ADI_MSK(0x00000000,uint32_t))  /* DR: Retry enabled */
#define ENUM_EMAC_MACCFG_RETRY_DISABLED       (_ADI_MSK(0x00000200,uint32_t))  /* DR: Retry disabled */
#define BITM_EMAC_MACCFG_ACS                  (_ADI_MSK(0x00000080,uint32_t))  /* Automatic Pad/CRC Stripping */

#define BITM_EMAC_MACCFG_BL                   (_ADI_MSK(0x00000060,uint32_t))  /* Back Off Limit */
#define ENUM_EMAC_MACCFG_BL_10                (_ADI_MSK(0x00000000,uint32_t))  /* BL: k = min (n, 10) */
#define ENUM_EMAC_MACCFG_BL_8                 (_ADI_MSK(0x00000020,uint32_t))  /* BL: k = min (n, 8) */
#define ENUM_EMAC_MACCFG_BL_4                 (_ADI_MSK(0x00000040,uint32_t))  /* BL: k = min (n, 4) */
#define ENUM_EMAC_MACCFG_BL_1                 (_ADI_MSK(0x00000060,uint32_t))  /* BL: k = min (n, 1) */
#define BITM_EMAC_MACCFG_DC                   (_ADI_MSK(0x00000010,uint32_t))  /* Deferral Check */
#define BITM_EMAC_MACCFG_TE                   (_ADI_MSK(0x00000008,uint32_t))  /* Transmitter Enable */
#define BITM_EMAC_MACCFG_RE                   (_ADI_MSK(0x00000004,uint32_t))  /* Receiver Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_MACFRMFILT                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_MACFRMFILT_RA               31                               /* Receive All Frames */
#define BITP_EMAC_MACFRMFILT_HPF              10                               /* Hash or Perfect Filter */
#define BITP_EMAC_MACFRMFILT_PCF               6                               /* Pass Control Frames */
#define BITP_EMAC_MACFRMFILT_DBF               5                               /* Disable Broadcast Frames */
#define BITP_EMAC_MACFRMFILT_PM                4                               /* Pass All Multicast Frames */
#define BITP_EMAC_MACFRMFILT_DAIF              3                               /* Destination Address Inverse Filtering */
#define BITP_EMAC_MACFRMFILT_HMC               2                               /* Hash Multicast */
#define BITP_EMAC_MACFRMFILT_HUC               1                               /* Hash Unicast */
#define BITP_EMAC_MACFRMFILT_PR                0                               /* Promiscuous Mode */
#define BITM_EMAC_MACFRMFILT_RA               (_ADI_MSK(0x80000000,uint32_t))  /* Receive All Frames */
#define BITM_EMAC_MACFRMFILT_HPF              (_ADI_MSK(0x00000400,uint32_t))  /* Hash or Perfect Filter */

#define BITM_EMAC_MACFRMFILT_PCF              (_ADI_MSK(0x000000C0,uint32_t))  /* Pass Control Frames */
#define ENUM_EMAC_MACFRMFILT_FILT_ALL         (_ADI_MSK(0x00000000,uint32_t))  /* PCF: Pass no control frames */
#define ENUM_EMAC_MACFRMFILT_NO_PAUSE         (_ADI_MSK(0x00000040,uint32_t))  /* PCF: Pass no PAUSE frames */
#define ENUM_EMAC_MACFRMFILT_FWD_ALL          (_ADI_MSK(0x00000080,uint32_t))  /* PCF: Pass all control frames */
#define ENUM_EMAC_MACFRMFILT_PADR_FILT        (_ADI_MSK(0x000000C0,uint32_t))  /* PCF: Pass address filtered control frames */

#define BITM_EMAC_MACFRMFILT_DBF              (_ADI_MSK(0x00000020,uint32_t))  /* Disable Broadcast Frames */
#define ENUM_EMAC_MACFRMFILT_DIS_BCAST        (_ADI_MSK(0x00000000,uint32_t))  /* DBF: AFM module passes all received broadcast frames */
#define ENUM_EMAC_MACFRMFILT_EN_BCAST         (_ADI_MSK(0x00000020,uint32_t))  /* DBF: AFM module filters all incoming broadcast frames */
#define BITM_EMAC_MACFRMFILT_PM               (_ADI_MSK(0x00000010,uint32_t))  /* Pass All Multicast Frames */
#define BITM_EMAC_MACFRMFILT_DAIF             (_ADI_MSK(0x00000008,uint32_t))  /* Destination Address Inverse Filtering */
#define BITM_EMAC_MACFRMFILT_HMC              (_ADI_MSK(0x00000004,uint32_t))  /* Hash Multicast */
#define BITM_EMAC_MACFRMFILT_HUC              (_ADI_MSK(0x00000002,uint32_t))  /* Hash Unicast */
#define BITM_EMAC_MACFRMFILT_PR               (_ADI_MSK(0x00000001,uint32_t))  /* Promiscuous Mode */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_SMI_ADDR                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_SMI_ADDR_PA                 11                               /* Physical Layer Address */
#define BITP_EMAC_SMI_ADDR_SMIR                6                               /* SMI Register Address */
#define BITP_EMAC_SMI_ADDR_CR                  2                               /* Clock Range */
#define BITP_EMAC_SMI_ADDR_SMIW                1                               /* SMI Write */
#define BITP_EMAC_SMI_ADDR_SMIB                0                               /* SMI Busy */
#define BITM_EMAC_SMI_ADDR_PA                 (_ADI_MSK(0x0000F800,uint32_t))  /* Physical Layer Address */
#define BITM_EMAC_SMI_ADDR_SMIR               (_ADI_MSK(0x000007C0,uint32_t))  /* SMI Register Address */
#define BITM_EMAC_SMI_ADDR_CR                 (_ADI_MSK(0x0000003C,uint32_t))  /* Clock Range */
#define BITM_EMAC_SMI_ADDR_SMIW               (_ADI_MSK(0x00000002,uint32_t))  /* SMI Write */
#define BITM_EMAC_SMI_ADDR_SMIB               (_ADI_MSK(0x00000001,uint32_t))  /* SMI Busy */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_SMI_DATA                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_SMI_DATA_SMID                0                               /* SMI Data */
#define BITM_EMAC_SMI_DATA_SMID               (_ADI_MSK(0x0000FFFF,uint32_t))  /* SMI Data */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_FLOWCTL                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_FLOWCTL_PT                  16                               /* Pause Time */
#define BITP_EMAC_FLOWCTL_UP                   3                               /* Unicast Pause Frame Detect */
#define BITP_EMAC_FLOWCTL_RFE                  2                               /* Receive Flow Control Enable */
#define BITP_EMAC_FLOWCTL_TFE                  1                               /* Transmit Flow Control Enable */
#define BITP_EMAC_FLOWCTL_FCBBPA               0                               /* Initiate Pause Control Frame */
#define BITM_EMAC_FLOWCTL_PT                  (_ADI_MSK(0xFFFF0000,uint32_t))  /* Pause Time */
#define BITM_EMAC_FLOWCTL_UP                  (_ADI_MSK(0x00000008,uint32_t))  /* Unicast Pause Frame Detect */
#define BITM_EMAC_FLOWCTL_RFE                 (_ADI_MSK(0x00000004,uint32_t))  /* Receive Flow Control Enable */
#define BITM_EMAC_FLOWCTL_TFE                 (_ADI_MSK(0x00000002,uint32_t))  /* Transmit Flow Control Enable */
#define BITM_EMAC_FLOWCTL_FCBBPA              (_ADI_MSK(0x00000001,uint32_t))  /* Initiate Pause Control Frame */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_VLANTAG                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_VLANTAG_ETV                 16                               /* Enable Tag VLAN Comparison */
#define BITP_EMAC_VLANTAG_VL                   0                               /* VLAN Tag Id Receive Frames */
#define BITM_EMAC_VLANTAG_ETV                 (_ADI_MSK(0x00010000,uint32_t))  /* Enable Tag VLAN Comparison */
#define BITM_EMAC_VLANTAG_VL                  (_ADI_MSK(0x0000FFFF,uint32_t))  /* VLAN Tag Id Receive Frames */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_DBG                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_DBG_TXFIFOFULL              25                               /* Tx FIFO Full */
#define BITP_EMAC_DBG_TXFIFONE                24                               /* Tx FIFO Not Empty */
#define BITP_EMAC_DBG_TXFIFOACT               22                               /* Tx FIFO Active */
#define BITP_EMAC_DBG_TXFIFOCTLST             20                               /* Tx FIFO Controller State */
#define BITP_EMAC_DBG_TXPAUSE                 19                               /* Tx Paused */
#define BITP_EMAC_DBG_TXFRCTL                 17                               /* Tx Frame Controller State */
#define BITP_EMAC_DBG_MMTEA                   16                               /* MM Tx Engine Active */
#define BITP_EMAC_DBG_RXFIFOST                 8                               /* Rx FIFO State */
#define BITP_EMAC_DBG_RXFIFOCTLST              5                               /* Rx FIFO Controller State */
#define BITP_EMAC_DBG_RXFIFOACT                4                               /* Rx FIFO Active */
#define BITP_EMAC_DBG_SFIFOST                  1                               /* Small FIFO State */
#define BITP_EMAC_DBG_MMREA                    0                               /* MM Rx Engine Active */
#define BITM_EMAC_DBG_TXFIFOFULL              (_ADI_MSK(0x02000000,uint32_t))  /* Tx FIFO Full */
#define BITM_EMAC_DBG_TXFIFONE                (_ADI_MSK(0x01000000,uint32_t))  /* Tx FIFO Not Empty */
#define BITM_EMAC_DBG_TXFIFOACT               (_ADI_MSK(0x00400000,uint32_t))  /* Tx FIFO Active */
#define BITM_EMAC_DBG_TXFIFOCTLST             (_ADI_MSK(0x00300000,uint32_t))  /* Tx FIFO Controller State */
#define BITM_EMAC_DBG_TXPAUSE                 (_ADI_MSK(0x00080000,uint32_t))  /* Tx Paused */

#define BITM_EMAC_DBG_TXFRCTL                 (_ADI_MSK(0x00060000,uint32_t))  /* Tx Frame Controller State */
#define ENUM_EMAC_DBG_TXFRCTL_IDLE            (_ADI_MSK(0x00000000,uint32_t))  /* TXFRCTL: Idle */
#define ENUM_EMAC_DBG_TXFRCTL_WT_STATUS       (_ADI_MSK(0x00020000,uint32_t))  /* TXFRCTL: Wait */
#define ENUM_EMAC_DBG_TXFRCTL_PAUSE           (_ADI_MSK(0x00040000,uint32_t))  /* TXFRCTL: Pause */
#define ENUM_EMAC_DBG_TXFRCTL_TXFRAME         (_ADI_MSK(0x00060000,uint32_t))  /* TXFRCTL: Transmit */
#define BITM_EMAC_DBG_MMTEA                   (_ADI_MSK(0x00010000,uint32_t))  /* MM Tx Engine Active */

#define BITM_EMAC_DBG_RXFIFOST                (_ADI_MSK(0x00000300,uint32_t))  /* Rx FIFO State */
#define ENUM_EMAC_DBG_FIFO_EMPTY              (_ADI_MSK(0x00000000,uint32_t))  /* RXFIFOST: Rx FIFO Empty */
#define ENUM_EMAC_DBG_FIFO_BEL_THERSHLD       (_ADI_MSK(0x00000100,uint32_t))  /* RXFIFOST: Rx FIFO Below De-activate FCT */
#define ENUM_EMAC_DBG_FIFO_ABV_THERSHLD       (_ADI_MSK(0x00000200,uint32_t))  /* RXFIFOST: Rx FIFO Above De-activate FCT */
#define ENUM_EMAC_DBG_FIFO_FULL               (_ADI_MSK(0x00000300,uint32_t))  /* RXFIFOST: Rx FIFO Full */

#define BITM_EMAC_DBG_RXFIFOCTLST             (_ADI_MSK(0x00000060,uint32_t))  /* Rx FIFO Controller State */
#define ENUM_EMAC_DBG_IDLE_FIFO               (_ADI_MSK(0x00000000,uint32_t))  /* RXFIFOCTLST: Idle */
#define ENUM_EMAC_DBG_RD_DATA_FIFO            (_ADI_MSK(0x00000020,uint32_t))  /* RXFIFOCTLST: Read Data */
#define ENUM_EMAC_DBG_RD_STS_FIFO             (_ADI_MSK(0x00000040,uint32_t))  /* RXFIFOCTLST: Read Status */
#define ENUM_EMAC_DBG_FLUSH_FIFO              (_ADI_MSK(0x00000060,uint32_t))  /* RXFIFOCTLST: Flush */
#define BITM_EMAC_DBG_RXFIFOACT               (_ADI_MSK(0x00000010,uint32_t))  /* Rx FIFO Active */
#define BITM_EMAC_DBG_SFIFOST                 (_ADI_MSK(0x00000006,uint32_t))  /* Small FIFO State */
#define BITM_EMAC_DBG_MMREA                   (_ADI_MSK(0x00000001,uint32_t))  /* MM Rx Engine Active */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_ISTAT                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_ISTAT_TS                     9                               /* Time Stamp Interrupt Status */
#define BITP_EMAC_ISTAT_MMCRC                  7                               /* MMC Receive Checksum Offload Interrupt Status */
#define BITP_EMAC_ISTAT_MMCTX                  6                               /* MMC Transmit Interrupt Status */
#define BITP_EMAC_ISTAT_MMCRX                  5                               /* MMC Receive Interrupt Status */
#define BITP_EMAC_ISTAT_MMC                    4                               /* MMC Interrupt Status */
#define BITM_EMAC_ISTAT_TS                    (_ADI_MSK(0x00000200,uint32_t))  /* Time Stamp Interrupt Status */
#define BITM_EMAC_ISTAT_MMCRC                 (_ADI_MSK(0x00000080,uint32_t))  /* MMC Receive Checksum Offload Interrupt Status */
#define BITM_EMAC_ISTAT_MMCTX                 (_ADI_MSK(0x00000040,uint32_t))  /* MMC Transmit Interrupt Status */
#define BITM_EMAC_ISTAT_MMCRX                 (_ADI_MSK(0x00000020,uint32_t))  /* MMC Receive Interrupt Status */
#define BITM_EMAC_ISTAT_MMC                   (_ADI_MSK(0x00000010,uint32_t))  /* MMC Interrupt Status */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_IMSK                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_IMSK_TS                      9                               /* Time Stamp Interrupt Mask */
#define BITM_EMAC_IMSK_TS                     (_ADI_MSK(0x00000200,uint32_t))  /* Time Stamp Interrupt Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_ADDR0_HI                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_ADDR0_HI_ADDR                0                               /* Address */
#define BITM_EMAC_ADDR0_HI_ADDR               (_ADI_MSK(0x0000FFFF,uint32_t))  /* Address */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_MMC_CTL                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_MMC_CTL_FULLPSET             5                               /* Full Preset */
#define BITP_EMAC_MMC_CTL_CNTRPSET             4                               /* Counter Reset/Preset */
#define BITP_EMAC_MMC_CTL_CNTRFRZ              3                               /* Counter Freeze */
#define BITP_EMAC_MMC_CTL_RDRST                2                               /* Read Reset */
#define BITP_EMAC_MMC_CTL_NOROLL               1                               /* No Rollover */
#define BITP_EMAC_MMC_CTL_RST                  0                               /* Reset */
#define BITM_EMAC_MMC_CTL_FULLPSET            (_ADI_MSK(0x00000020,uint32_t))  /* Full Preset */
#define BITM_EMAC_MMC_CTL_CNTRPSET            (_ADI_MSK(0x00000010,uint32_t))  /* Counter Reset/Preset */
#define BITM_EMAC_MMC_CTL_CNTRFRZ             (_ADI_MSK(0x00000008,uint32_t))  /* Counter Freeze */
#define BITM_EMAC_MMC_CTL_RDRST               (_ADI_MSK(0x00000004,uint32_t))  /* Read Reset */
#define BITM_EMAC_MMC_CTL_NOROLL              (_ADI_MSK(0x00000002,uint32_t))  /* No Rollover */
#define BITM_EMAC_MMC_CTL_RST                 (_ADI_MSK(0x00000001,uint32_t))  /* Reset */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_MMC_RXINT                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_MMC_RXINT_WDOGERR           23                               /* Rx Watch Dog Error Count Half/Full */
#define BITP_EMAC_MMC_RXINT_VLANFRGB          22                               /* Rx VLAN Frames (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_RXINT_FIFOOVF           21                               /* Rx FIFO Overflow Count Half/Full */
#define BITP_EMAC_MMC_RXINT_PAUSEFR           20                               /* Rx Pause Frames Count Half/Full */
#define BITP_EMAC_MMC_RXINT_OUTRANGE          19                               /* Rx Out Of Range Type Count Half/Full */
#define BITP_EMAC_MMC_RXINT_LENERR            18                               /* Rx Length Error Count Half/Full */
#define BITP_EMAC_MMC_RXINT_UCASTG            17                               /* Rx Unicast Frames (Good) Count Half/Full */
#define BITP_EMAC_MMC_RXINT_R1024TOMAX        16                               /* Rx 1024-to-max Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_RXINT_R512TO1023        15                               /* Rx 512-to-1023 Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_RXINT_R256TO511         14                               /* Rx 255-to-511 Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_RXINT_R128TO255         13                               /* Rx 128-to-255 Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_RXINT_R65TO127          12                               /* Rx 65-to-127 Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_RXINT_R64               11                               /* Rx 64 Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_RXINT_OSIZEG            10                               /* Rx Oversize (Good) Count Half/Full */
#define BITP_EMAC_MMC_RXINT_USIZEG             9                               /* Rx Undersize (Good) Count Half/Full */
#define BITP_EMAC_MMC_RXINT_JABERR             8                               /* Rx Jabber Error Count Half/Full */
#define BITP_EMAC_MMC_RXINT_RUNTERR            7                               /* Rx Runt Error Count Half/Full */
#define BITP_EMAC_MMC_RXINT_ALIGNERR           6                               /* Rx Alignment Error Count Half/Full */
#define BITP_EMAC_MMC_RXINT_CRCERR             5                               /* Rx CRC Error Counter Half/Full */
#define BITP_EMAC_MMC_RXINT_MCASTG             4                               /* Rx Multicast Count (Good) Half/Full */
#define BITP_EMAC_MMC_RXINT_BCASTG             3                               /* Rx Broadcast Count (Good) Half/Full */
#define BITP_EMAC_MMC_RXINT_OCTCNTG            2                               /* Octet Count (Good) Half/Full */
#define BITP_EMAC_MMC_RXINT_OCTCNTGB           1                               /* Octet Count (Good/Bad) Half/Full */
#define BITP_EMAC_MMC_RXINT_FRCNTGB            0                               /* Frame Count (Good/Bad) Half/Full */
#define BITM_EMAC_MMC_RXINT_WDOGERR           (_ADI_MSK(0x00800000,uint32_t))  /* Rx Watch Dog Error Count Half/Full */
#define BITM_EMAC_MMC_RXINT_VLANFRGB          (_ADI_MSK(0x00400000,uint32_t))  /* Rx VLAN Frames (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_RXINT_FIFOOVF           (_ADI_MSK(0x00200000,uint32_t))  /* Rx FIFO Overflow Count Half/Full */
#define BITM_EMAC_MMC_RXINT_PAUSEFR           (_ADI_MSK(0x00100000,uint32_t))  /* Rx Pause Frames Count Half/Full */
#define BITM_EMAC_MMC_RXINT_OUTRANGE          (_ADI_MSK(0x00080000,uint32_t))  /* Rx Out Of Range Type Count Half/Full */
#define BITM_EMAC_MMC_RXINT_LENERR            (_ADI_MSK(0x00040000,uint32_t))  /* Rx Length Error Count Half/Full */
#define BITM_EMAC_MMC_RXINT_UCASTG            (_ADI_MSK(0x00020000,uint32_t))  /* Rx Unicast Frames (Good) Count Half/Full */
#define BITM_EMAC_MMC_RXINT_R1024TOMAX        (_ADI_MSK(0x00010000,uint32_t))  /* Rx 1024-to-max Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_RXINT_R512TO1023        (_ADI_MSK(0x00008000,uint32_t))  /* Rx 512-to-1023 Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_RXINT_R256TO511         (_ADI_MSK(0x00004000,uint32_t))  /* Rx 255-to-511 Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_RXINT_R128TO255         (_ADI_MSK(0x00002000,uint32_t))  /* Rx 128-to-255 Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_RXINT_R65TO127          (_ADI_MSK(0x00001000,uint32_t))  /* Rx 65-to-127 Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_RXINT_R64               (_ADI_MSK(0x00000800,uint32_t))  /* Rx 64 Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_RXINT_OSIZEG            (_ADI_MSK(0x00000400,uint32_t))  /* Rx Oversize (Good) Count Half/Full */
#define BITM_EMAC_MMC_RXINT_USIZEG            (_ADI_MSK(0x00000200,uint32_t))  /* Rx Undersize (Good) Count Half/Full */
#define BITM_EMAC_MMC_RXINT_JABERR            (_ADI_MSK(0x00000100,uint32_t))  /* Rx Jabber Error Count Half/Full */
#define BITM_EMAC_MMC_RXINT_RUNTERR           (_ADI_MSK(0x00000080,uint32_t))  /* Rx Runt Error Count Half/Full */
#define BITM_EMAC_MMC_RXINT_ALIGNERR          (_ADI_MSK(0x00000040,uint32_t))  /* Rx Alignment Error Count Half/Full */
#define BITM_EMAC_MMC_RXINT_CRCERR            (_ADI_MSK(0x00000020,uint32_t))  /* Rx CRC Error Counter Half/Full */
#define BITM_EMAC_MMC_RXINT_MCASTG            (_ADI_MSK(0x00000010,uint32_t))  /* Rx Multicast Count (Good) Half/Full */
#define BITM_EMAC_MMC_RXINT_BCASTG            (_ADI_MSK(0x00000008,uint32_t))  /* Rx Broadcast Count (Good) Half/Full */
#define BITM_EMAC_MMC_RXINT_OCTCNTG           (_ADI_MSK(0x00000004,uint32_t))  /* Octet Count (Good) Half/Full */
#define BITM_EMAC_MMC_RXINT_OCTCNTGB          (_ADI_MSK(0x00000002,uint32_t))  /* Octet Count (Good/Bad) Half/Full */
#define BITM_EMAC_MMC_RXINT_FRCNTGB           (_ADI_MSK(0x00000001,uint32_t))  /* Frame Count (Good/Bad) Half/Full */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_MMC_TXINT                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_MMC_TXINT_VLANFRGB          24                               /* Tx VLAN Frames (Good) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_PAUSEFRM          23                               /* Tx Pause Frames Count Half/Full */
#define BITP_EMAC_MMC_TXINT_EXCESSDEF         22                               /* Tx Excess Deferred Count Half/Full */
#define BITP_EMAC_MMC_TXINT_FRCNTG            21                               /* Tx Frame Count (Good) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_OCTCNTG           20                               /* Tx Octet Count (Good) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_CARRERR           19                               /* Tx Carrier Error Count Half/Full */
#define BITP_EMAC_MMC_TXINT_EXCESSCOL         18                               /* Tx Exess Collision Count Half/Full */
#define BITP_EMAC_MMC_TXINT_LATECOL           17                               /* Tx Late Collision Count Half/Full */
#define BITP_EMAC_MMC_TXINT_DEFERRED          16                               /* Tx Deffered Count Half/Full */
#define BITP_EMAC_MMC_TXINT_MULTCOLG          15                               /* Tx Multiple collision (Good) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_SNGCOLG           14                               /* Tx Single Collision (Good) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_UNDERR            13                               /* Tx Underflow Error Count Half/Full */
#define BITP_EMAC_MMC_TXINT_BCASTGB           12                               /* Tx Broadcast Frames (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_MCASTGB           11                               /* Tx Multicast Frames (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_UCASTGB           10                               /* Tx Unicast Frames (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_T1024TOMAX         9                               /* Tx 1024-to-max Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_T512TO1023         8                               /* Tx 512-to-1023 Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_T256TO511          7                               /* Tx 256-to-511 Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_T128TO255          6                               /* Tx 128-to-255 Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_T65TO127           5                               /* Tx 65-to-127 Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_T64                4                               /* Tx 64 Octets (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_MCASTG             3                               /* Tx Multicast Frames (Good) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_BCASTG             2                               /* Tx Broadcast Frames (Good) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_FRCNTGB            1                               /* Tx Frame Count (Good/Bad) Count Half/Full */
#define BITP_EMAC_MMC_TXINT_OCTCNTGB           0                               /* Tx Octet Count (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_VLANFRGB          (_ADI_MSK(0x01000000,uint32_t))  /* Tx VLAN Frames (Good) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_PAUSEFRM          (_ADI_MSK(0x00800000,uint32_t))  /* Tx Pause Frames Count Half/Full */
#define BITM_EMAC_MMC_TXINT_EXCESSDEF         (_ADI_MSK(0x00400000,uint32_t))  /* Tx Excess Deferred Count Half/Full */
#define BITM_EMAC_MMC_TXINT_FRCNTG            (_ADI_MSK(0x00200000,uint32_t))  /* Tx Frame Count (Good) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_OCTCNTG           (_ADI_MSK(0x00100000,uint32_t))  /* Tx Octet Count (Good) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_CARRERR           (_ADI_MSK(0x00080000,uint32_t))  /* Tx Carrier Error Count Half/Full */
#define BITM_EMAC_MMC_TXINT_EXCESSCOL         (_ADI_MSK(0x00040000,uint32_t))  /* Tx Exess Collision Count Half/Full */
#define BITM_EMAC_MMC_TXINT_LATECOL           (_ADI_MSK(0x00020000,uint32_t))  /* Tx Late Collision Count Half/Full */
#define BITM_EMAC_MMC_TXINT_DEFERRED          (_ADI_MSK(0x00010000,uint32_t))  /* Tx Deffered Count Half/Full */
#define BITM_EMAC_MMC_TXINT_MULTCOLG          (_ADI_MSK(0x00008000,uint32_t))  /* Tx Multiple collision (Good) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_SNGCOLG           (_ADI_MSK(0x00004000,uint32_t))  /* Tx Single Collision (Good) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_UNDERR            (_ADI_MSK(0x00002000,uint32_t))  /* Tx Underflow Error Count Half/Full */
#define BITM_EMAC_MMC_TXINT_BCASTGB           (_ADI_MSK(0x00001000,uint32_t))  /* Tx Broadcast Frames (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_MCASTGB           (_ADI_MSK(0x00000800,uint32_t))  /* Tx Multicast Frames (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_UCASTGB           (_ADI_MSK(0x00000400,uint32_t))  /* Tx Unicast Frames (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_T1024TOMAX        (_ADI_MSK(0x00000200,uint32_t))  /* Tx 1024-to-max Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_T512TO1023        (_ADI_MSK(0x00000100,uint32_t))  /* Tx 512-to-1023 Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_T256TO511         (_ADI_MSK(0x00000080,uint32_t))  /* Tx 256-to-511 Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_T128TO255         (_ADI_MSK(0x00000040,uint32_t))  /* Tx 128-to-255 Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_T65TO127          (_ADI_MSK(0x00000020,uint32_t))  /* Tx 65-to-127 Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_T64               (_ADI_MSK(0x00000010,uint32_t))  /* Tx 64 Octets (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_MCASTG            (_ADI_MSK(0x00000008,uint32_t))  /* Tx Multicast Frames (Good) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_BCASTG            (_ADI_MSK(0x00000004,uint32_t))  /* Tx Broadcast Frames (Good) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_FRCNTGB           (_ADI_MSK(0x00000002,uint32_t))  /* Tx Frame Count (Good/Bad) Count Half/Full */
#define BITM_EMAC_MMC_TXINT_OCTCNTGB          (_ADI_MSK(0x00000001,uint32_t))  /* Tx Octet Count (Good/Bad) Count Half/Full */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_MMC_RXIMSK                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_MMC_RXIMSK_WATCHERR         23                               /* Rx Watch Dog Error Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_VLANFRGB         22                               /* Rx VLAN Frames (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_FIFOOV           21                               /* Rx FIFO Overflow Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_PAUSEFRM         20                               /* Rx Pause Frames Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_OUTRANGE         19                               /* Rx Out Of Range Type Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_LENERR           18                               /* Rx Length Error Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_UCASTG           17                               /* Rx Unicast Frames (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_R1024TOMAX       16                               /* Rx 1024-to-max Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_R512TO1023       15                               /* Rx 512-to-1023 Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_R256TO511        14                               /* Rx 255-to-511 Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_R128TO255        13                               /* Rx 128-to-255 Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_R65TO127         12                               /* Rx 65-to-127 Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_R64              11                               /* Rx 64 Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_OSIZEG           10                               /* Rx Oversize (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_USIZEG            9                               /* Rx Undersize (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_JABERR            8                               /* Rx Jabber Error Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_RUNTERR           7                               /* Rx Runt Error Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_ALIGNERR          6                               /* Rx Alignment Error Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_CRCERR            5                               /* Rx CRC Error Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_MCASTG            4                               /* Rx Multicast Frames (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_BCASTG            3                               /* Rx Broadcast Frames (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_OCTCNTG           2                               /* Rx Octet Count (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_OCTCNTGB          1                               /* Rx Octet Count (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_RXIMSK_FRCNTGB           0                               /* Rx Frame Count (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_WATCHERR         (_ADI_MSK(0x00800000,uint32_t))  /* Rx Watch Dog Error Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_VLANFRGB         (_ADI_MSK(0x00400000,uint32_t))  /* Rx VLAN Frames (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_FIFOOV           (_ADI_MSK(0x00200000,uint32_t))  /* Rx FIFO Overflow Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_PAUSEFRM         (_ADI_MSK(0x00100000,uint32_t))  /* Rx Pause Frames Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_OUTRANGE         (_ADI_MSK(0x00080000,uint32_t))  /* Rx Out Of Range Type Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_LENERR           (_ADI_MSK(0x00040000,uint32_t))  /* Rx Length Error Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_UCASTG           (_ADI_MSK(0x00020000,uint32_t))  /* Rx Unicast Frames (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_R1024TOMAX       (_ADI_MSK(0x00010000,uint32_t))  /* Rx 1024-to-max Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_R512TO1023       (_ADI_MSK(0x00008000,uint32_t))  /* Rx 512-to-1023 Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_R256TO511        (_ADI_MSK(0x00004000,uint32_t))  /* Rx 255-to-511 Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_R128TO255        (_ADI_MSK(0x00002000,uint32_t))  /* Rx 128-to-255 Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_R65TO127         (_ADI_MSK(0x00001000,uint32_t))  /* Rx 65-to-127 Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_R64              (_ADI_MSK(0x00000800,uint32_t))  /* Rx 64 Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_OSIZEG           (_ADI_MSK(0x00000400,uint32_t))  /* Rx Oversize (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_USIZEG           (_ADI_MSK(0x00000200,uint32_t))  /* Rx Undersize (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_JABERR           (_ADI_MSK(0x00000100,uint32_t))  /* Rx Jabber Error Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_RUNTERR          (_ADI_MSK(0x00000080,uint32_t))  /* Rx Runt Error Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_ALIGNERR         (_ADI_MSK(0x00000040,uint32_t))  /* Rx Alignment Error Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_CRCERR           (_ADI_MSK(0x00000020,uint32_t))  /* Rx CRC Error Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_MCASTG           (_ADI_MSK(0x00000010,uint32_t))  /* Rx Multicast Frames (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_BCASTG           (_ADI_MSK(0x00000008,uint32_t))  /* Rx Broadcast Frames (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_OCTCNTG          (_ADI_MSK(0x00000004,uint32_t))  /* Rx Octet Count (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_OCTCNTGB         (_ADI_MSK(0x00000002,uint32_t))  /* Rx Octet Count (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_RXIMSK_FRCNTGB          (_ADI_MSK(0x00000001,uint32_t))  /* Rx Frame Count (Good/Bad) Count Half/Full Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_MMC_TXIMSK                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_MMC_TXIMSK_VLANFRG          24                               /* Tx VLAN Frames (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_PAUSEFRM         23                               /* Tx Pause Frames Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_EXCESSDEF        22                               /* Tx Excess Deferred Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_FRCNTG           21                               /* Tx Frame Count (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_OCTCNTG          20                               /* Tx Octet Count (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_CARRERR          19                               /* Tx Carrier Error Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_EXCESSCOL        18                               /* Tx Exess collision Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_LATECOL          17                               /* Tx Late Collision Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_DEFERRED         16                               /* Tx Deferred Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_MULTCOLG         15                               /* Tx Multiple Collisions (Good) Count Mask */
#define BITP_EMAC_MMC_TXIMSK_SNGCOLG          14                               /* Tx Single Collision (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_UNDERR           13                               /* Tx Underflow Error Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_BCASTGB          12                               /* Tx Broadcast Frames (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_MCASTGB          11                               /* Tx Multicast Frames (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_UCASTGB          10                               /* Tx Unicast Frames (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_T1024TOMAX        9                               /* Tx 1024-to-max Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_T512TO1023        8                               /* Tx 512-to-1023 Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_T256TO511         7                               /* Tx 256-to-511 Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_T128TO255         6                               /* Tx 128-to-255 Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_T65TO127          5                               /* Tx 65-to-127 Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_T64               4                               /* Tx 64 Octets (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_MCASTG            3                               /* Tx Multicast Frames (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_BCASTG            2                               /* Tx Broadcast Frames (Good) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_FRCNTGB           1                               /* Tx Frame Count (Good/Bad) Count Half/Full Mask */
#define BITP_EMAC_MMC_TXIMSK_OCTCNTGB          0                               /* Tx Octet Count (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_VLANFRG          (_ADI_MSK(0x01000000,uint32_t))  /* Tx VLAN Frames (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_PAUSEFRM         (_ADI_MSK(0x00800000,uint32_t))  /* Tx Pause Frames Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_EXCESSDEF        (_ADI_MSK(0x00400000,uint32_t))  /* Tx Excess Deferred Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_FRCNTG           (_ADI_MSK(0x00200000,uint32_t))  /* Tx Frame Count (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_OCTCNTG          (_ADI_MSK(0x00100000,uint32_t))  /* Tx Octet Count (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_CARRERR          (_ADI_MSK(0x00080000,uint32_t))  /* Tx Carrier Error Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_EXCESSCOL        (_ADI_MSK(0x00040000,uint32_t))  /* Tx Exess collision Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_LATECOL          (_ADI_MSK(0x00020000,uint32_t))  /* Tx Late Collision Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_DEFERRED         (_ADI_MSK(0x00010000,uint32_t))  /* Tx Deferred Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_MULTCOLG         (_ADI_MSK(0x00008000,uint32_t))  /* Tx Multiple Collisions (Good) Count Mask */
#define BITM_EMAC_MMC_TXIMSK_SNGCOLG          (_ADI_MSK(0x00004000,uint32_t))  /* Tx Single Collision (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_UNDERR           (_ADI_MSK(0x00002000,uint32_t))  /* Tx Underflow Error Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_BCASTGB          (_ADI_MSK(0x00001000,uint32_t))  /* Tx Broadcast Frames (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_MCASTGB          (_ADI_MSK(0x00000800,uint32_t))  /* Tx Multicast Frames (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_UCASTGB          (_ADI_MSK(0x00000400,uint32_t))  /* Tx Unicast Frames (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_T1024TOMAX       (_ADI_MSK(0x00000200,uint32_t))  /* Tx 1024-to-max Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_T512TO1023       (_ADI_MSK(0x00000100,uint32_t))  /* Tx 512-to-1023 Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_T256TO511        (_ADI_MSK(0x00000080,uint32_t))  /* Tx 256-to-511 Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_T128TO255        (_ADI_MSK(0x00000040,uint32_t))  /* Tx 128-to-255 Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_T65TO127         (_ADI_MSK(0x00000020,uint32_t))  /* Tx 65-to-127 Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_T64              (_ADI_MSK(0x00000010,uint32_t))  /* Tx 64 Octets (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_MCASTG           (_ADI_MSK(0x00000008,uint32_t))  /* Tx Multicast Frames (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_BCASTG           (_ADI_MSK(0x00000004,uint32_t))  /* Tx Broadcast Frames (Good) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_FRCNTGB          (_ADI_MSK(0x00000002,uint32_t))  /* Tx Frame Count (Good/Bad) Count Half/Full Mask */
#define BITM_EMAC_MMC_TXIMSK_OCTCNTGB         (_ADI_MSK(0x00000001,uint32_t))  /* Tx Octet Count (Good/Bad) Count Half/Full Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_IPC_RXIMSK                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_IPC_RXIMSK_ICMPERROCT       29                               /* Rx ICMP Error Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_ICMPGOCT         28                               /* Rx ICMP (Good) Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_TCPERROCT        27                               /* Rx TCP Error Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_TCPGOCT          26                               /* Rx TCP (Good) Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_UDPERROCT        25                               /* Rx UDP Error Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_UDPGOCT          24                               /* Rx UDP (Good) Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V6NOPAYOCT       23                               /* Rx IPv6 No Payload Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V6HDERROCT       22                               /* Rx IPv6 Header Error Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V6GOCT           21                               /* Rx IPv6 (Good) Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V4UDSBLOCT       20                               /* Rx IPv4 UDS Disable Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V4FRAGOCT        19                               /* Rx IPv4 Fragmented Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V4NOPAYOCT       18                               /* Rx IPv4 No Payload Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V4HDERROCT       17                               /* Rx IPv4 Header Error Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V4GOCT           16                               /* Rx IPv4 (Good) Octets Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_ICMPERRFRM       13                               /* Rx ICMP Error Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_ICMPGFRM         12                               /* Rx ICMP (Good) Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_TCPERRFRM        11                               /* Rx TCP Error Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_TCPGFRM          10                               /* Rx TCP (Good) Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_UDPERRFRM         9                               /* Rx UDP Error Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_UDPGFRM           8                               /* Rx UDP (Good) Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V6NOPAYFRM        7                               /* Rx IPv6 No Payload Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V6HDERRFRM        6                               /* Rx IPv6 Header Error Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V6GFRM            5                               /* Rx IPv6 (Good) Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V4UDSBLFRM        4                               /* Rx IPv4 UDS Disable Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V4FRAGFRM         3                               /* Rx IPv4 Fragmented Frames Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V4NOPAYFRM        2                               /* Rx IPv4 No Payload Frame Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V4HDERRFRM        1                               /* Rx IPv4 Header Error Frame Count Half/Full Mask */
#define BITP_EMAC_IPC_RXIMSK_V4GFRM            0                               /* Rx IPv4 (Good) Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_ICMPERROCT       (_ADI_MSK(0x20000000,uint32_t))  /* Rx ICMP Error Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_ICMPGOCT         (_ADI_MSK(0x10000000,uint32_t))  /* Rx ICMP (Good) Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_TCPERROCT        (_ADI_MSK(0x08000000,uint32_t))  /* Rx TCP Error Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_TCPGOCT          (_ADI_MSK(0x04000000,uint32_t))  /* Rx TCP (Good) Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_UDPERROCT        (_ADI_MSK(0x02000000,uint32_t))  /* Rx UDP Error Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_UDPGOCT          (_ADI_MSK(0x01000000,uint32_t))  /* Rx UDP (Good) Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V6NOPAYOCT       (_ADI_MSK(0x00800000,uint32_t))  /* Rx IPv6 No Payload Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V6HDERROCT       (_ADI_MSK(0x00400000,uint32_t))  /* Rx IPv6 Header Error Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V6GOCT           (_ADI_MSK(0x00200000,uint32_t))  /* Rx IPv6 (Good) Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V4UDSBLOCT       (_ADI_MSK(0x00100000,uint32_t))  /* Rx IPv4 UDS Disable Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V4FRAGOCT        (_ADI_MSK(0x00080000,uint32_t))  /* Rx IPv4 Fragmented Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V4NOPAYOCT       (_ADI_MSK(0x00040000,uint32_t))  /* Rx IPv4 No Payload Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V4HDERROCT       (_ADI_MSK(0x00020000,uint32_t))  /* Rx IPv4 Header Error Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V4GOCT           (_ADI_MSK(0x00010000,uint32_t))  /* Rx IPv4 (Good) Octets Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_ICMPERRFRM       (_ADI_MSK(0x00002000,uint32_t))  /* Rx ICMP Error Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_ICMPGFRM         (_ADI_MSK(0x00001000,uint32_t))  /* Rx ICMP (Good) Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_TCPERRFRM        (_ADI_MSK(0x00000800,uint32_t))  /* Rx TCP Error Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_TCPGFRM          (_ADI_MSK(0x00000400,uint32_t))  /* Rx TCP (Good) Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_UDPERRFRM        (_ADI_MSK(0x00000200,uint32_t))  /* Rx UDP Error Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_UDPGFRM          (_ADI_MSK(0x00000100,uint32_t))  /* Rx UDP (Good) Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V6NOPAYFRM       (_ADI_MSK(0x00000080,uint32_t))  /* Rx IPv6 No Payload Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V6HDERRFRM       (_ADI_MSK(0x00000040,uint32_t))  /* Rx IPv6 Header Error Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V6GFRM           (_ADI_MSK(0x00000020,uint32_t))  /* Rx IPv6 (Good) Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V4UDSBLFRM       (_ADI_MSK(0x00000010,uint32_t))  /* Rx IPv4 UDS Disable Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V4FRAGFRM        (_ADI_MSK(0x00000008,uint32_t))  /* Rx IPv4 Fragmented Frames Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V4NOPAYFRM       (_ADI_MSK(0x00000004,uint32_t))  /* Rx IPv4 No Payload Frame Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V4HDERRFRM       (_ADI_MSK(0x00000002,uint32_t))  /* Rx IPv4 Header Error Frame Count Half/Full Mask */
#define BITM_EMAC_IPC_RXIMSK_V4GFRM           (_ADI_MSK(0x00000001,uint32_t))  /* Rx IPv4 (Good) Frames Count Half/Full Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_IPC_RXINT                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_IPC_RXINT_ICMPERROCT        29                               /* Rx ICMP Error Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_ICMPGOCT          28                               /* Rx ICMP (Good) Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_TCPERROCT         27                               /* Rx TCP Error Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_TCPGOCT           26                               /* Rx TCP (Good) Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_UDPERROCT         25                               /* Rx UDP Error Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_UDPGOCT           24                               /* Rx UDP (Good) Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V6NOPAYOCT        23                               /* Rx IPv6 No Payload Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V6HDERROCT        22                               /* Rx IPv6 Header Error Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V6GOCT            21                               /* Rx IPv6 (Good) Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V4UDSBLOCT        20                               /* Rx IPv4 UDS Disable Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V4FRAGOCT         19                               /* Rx IPv4 Fragmented Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V4NOPAYOCT        18                               /* Rx IPv4 No Payload Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V4HDERROCT        17                               /* Rx IPv4 Header Error Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V4GOCT            16                               /* Rx IPv4 (Good) Octets Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_ICMPERRFRM        13                               /* Rx ICMP Error Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_ICMPGFRM          12                               /* Rx ICMP (Good) Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_TCPERRFRM         11                               /* Rx TCP Error Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_TCPGFRM           10                               /* Rx TCP (Good) Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_UDPERRFRM          9                               /* Rx IDP Error Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_UDPGFRM            8                               /* Rx UDP (Good) Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V6NOPAYFRM         7                               /* Rx IPv6 No Payload Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V6HDERRFRM         6                               /* Rx IPv6 Header Error Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V6GFRM             5                               /* Rx IPv6 (Good) Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V4UDSBLFRM         4                               /* Rx IPv4 UDS Disable Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V4FRAGFRM          3                               /* Rx IPv4 Fragmented Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V4NOPAYFRM         2                               /* Rx IPv4 No Payload Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V4HDERRFRM         1                               /* Rx IPv4 Header Error Frames Count Half/Full Interrupt */
#define BITP_EMAC_IPC_RXINT_V4GFRM             0                               /* Rx IPv4 (Good) Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_ICMPERROCT        (_ADI_MSK(0x20000000,uint32_t))  /* Rx ICMP Error Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_ICMPGOCT          (_ADI_MSK(0x10000000,uint32_t))  /* Rx ICMP (Good) Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_TCPERROCT         (_ADI_MSK(0x08000000,uint32_t))  /* Rx TCP Error Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_TCPGOCT           (_ADI_MSK(0x04000000,uint32_t))  /* Rx TCP (Good) Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_UDPERROCT         (_ADI_MSK(0x02000000,uint32_t))  /* Rx UDP Error Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_UDPGOCT           (_ADI_MSK(0x01000000,uint32_t))  /* Rx UDP (Good) Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V6NOPAYOCT        (_ADI_MSK(0x00800000,uint32_t))  /* Rx IPv6 No Payload Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V6HDERROCT        (_ADI_MSK(0x00400000,uint32_t))  /* Rx IPv6 Header Error Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V6GOCT            (_ADI_MSK(0x00200000,uint32_t))  /* Rx IPv6 (Good) Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V4UDSBLOCT        (_ADI_MSK(0x00100000,uint32_t))  /* Rx IPv4 UDS Disable Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V4FRAGOCT         (_ADI_MSK(0x00080000,uint32_t))  /* Rx IPv4 Fragmented Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V4NOPAYOCT        (_ADI_MSK(0x00040000,uint32_t))  /* Rx IPv4 No Payload Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V4HDERROCT        (_ADI_MSK(0x00020000,uint32_t))  /* Rx IPv4 Header Error Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V4GOCT            (_ADI_MSK(0x00010000,uint32_t))  /* Rx IPv4 (Good) Octets Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_ICMPERRFRM        (_ADI_MSK(0x00002000,uint32_t))  /* Rx ICMP Error Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_ICMPGFRM          (_ADI_MSK(0x00001000,uint32_t))  /* Rx ICMP (Good) Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_TCPERRFRM         (_ADI_MSK(0x00000800,uint32_t))  /* Rx TCP Error Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_TCPGFRM           (_ADI_MSK(0x00000400,uint32_t))  /* Rx TCP (Good) Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_UDPERRFRM         (_ADI_MSK(0x00000200,uint32_t))  /* Rx IDP Error Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_UDPGFRM           (_ADI_MSK(0x00000100,uint32_t))  /* Rx UDP (Good) Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V6NOPAYFRM        (_ADI_MSK(0x00000080,uint32_t))  /* Rx IPv6 No Payload Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V6HDERRFRM        (_ADI_MSK(0x00000040,uint32_t))  /* Rx IPv6 Header Error Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V6GFRM            (_ADI_MSK(0x00000020,uint32_t))  /* Rx IPv6 (Good) Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V4UDSBLFRM        (_ADI_MSK(0x00000010,uint32_t))  /* Rx IPv4 UDS Disable Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V4FRAGFRM         (_ADI_MSK(0x00000008,uint32_t))  /* Rx IPv4 Fragmented Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V4NOPAYFRM        (_ADI_MSK(0x00000004,uint32_t))  /* Rx IPv4 No Payload Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V4HDERRFRM        (_ADI_MSK(0x00000002,uint32_t))  /* Rx IPv4 Header Error Frames Count Half/Full Interrupt */
#define BITM_EMAC_IPC_RXINT_V4GFRM            (_ADI_MSK(0x00000001,uint32_t))  /* Rx IPv4 (Good) Frames Count Half/Full Interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_TM_CTL                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_TM_CTL_ATSFC                24                               /* Auxiliary Time Stamp FIFO Clear */
#define BITP_EMAC_TM_CTL_TSENMACADDR          18                               /* Time Stamp Enable MAC Address */
#define BITP_EMAC_TM_CTL_SNAPTYPSEL           16                               /* Snapshot Type Select */
#define BITP_EMAC_TM_CTL_TSMSTRENA            15                               /* Time Stamp Master (Frames) Enable */
#define BITP_EMAC_TM_CTL_TSEVNTENA            14                               /* Time Stamp Event (PTP Frames) Enable */
#define BITP_EMAC_TM_CTL_TSIPV4ENA            13                               /* Time Stamp IPV4 (PTP Frames) Enable */
#define BITP_EMAC_TM_CTL_TSIPV6ENA            12                               /* Time Stamp IPV6 (PTP Frames) Enable */
#define BITP_EMAC_TM_CTL_TSIPENA              11                               /* Time Stamp IP Enable */
#define BITP_EMAC_TM_CTL_TSVER2ENA            10                               /* Time Stamp VER2 (Snooping) Enable */
#define BITP_EMAC_TM_CTL_TSCTRLSSR             9                               /* Time Stamp Control Nanosecond Rollover */
#define BITP_EMAC_TM_CTL_TSENALL               8                               /* Time Stamp Enable All (Frames) */
#define BITP_EMAC_TM_CTL_TSADDREG              5                               /* Time Stamp Addend Register Update */
#define BITP_EMAC_TM_CTL_TSTRIG                4                               /* Time Stamp (Target Time) Trigger Enable */
#define BITP_EMAC_TM_CTL_TSUPDT                3                               /* Time Stamp (System Time) Update */
#define BITP_EMAC_TM_CTL_TSINIT                2                               /* Time Stamp (System Time) Initialize */
#define BITP_EMAC_TM_CTL_TSCFUPDT              1                               /* Time Stamp (System Time) Fine/Coarse Update */
#define BITP_EMAC_TM_CTL_TSENA                 0                               /* Time Stamp (PTP) Enable */
#define BITM_EMAC_TM_CTL_ATSFC                (_ADI_MSK(0x01000000,uint32_t))  /* Auxiliary Time Stamp FIFO Clear */

#define BITM_EMAC_TM_CTL_TSENMACADDR          (_ADI_MSK(0x00040000,uint32_t))  /* Time Stamp Enable MAC Address */
#define ENUM_EMAC_TM_CTL_D_PTP_ADDRFILT       (_ADI_MSK(0x00000000,uint32_t))  /* TSENMACADDR: Disable PTP MAC address filter */
#define ENUM_EMAC_TM_CTL_E_PTP_ADDRFILT       (_ADI_MSK(0x00040000,uint32_t))  /* TSENMACADDR: Enable PTP MAC address filter */
#define BITM_EMAC_TM_CTL_SNAPTYPSEL           (_ADI_MSK(0x00030000,uint32_t))  /* Snapshot Type Select */

#define BITM_EMAC_TM_CTL_TSMSTRENA            (_ADI_MSK(0x00008000,uint32_t))  /* Time Stamp Master (Frames) Enable */
#define ENUM_EMAC_TM_CTL_E_SLVSNPT_MSGS       (_ADI_MSK(0x00000000,uint32_t))  /* TSMSTRENA: Enable Snapshot for Slave Messages */
#define ENUM_EMAC_TM_CTL_E_MSSNPST_MSGS       (_ADI_MSK(0x00008000,uint32_t))  /* TSMSTRENA: Enable Snapshot for Master Messages */

#define BITM_EMAC_TM_CTL_TSEVNTENA            (_ADI_MSK(0x00004000,uint32_t))  /* Time Stamp Event (PTP Frames) Enable */
#define ENUM_EMAC_TM_CTL_E_ATSTMP_MSGS        (_ADI_MSK(0x00000000,uint32_t))  /* TSEVNTENA: Enable Time Stamp for All Messages */
#define ENUM_EMAC_TM_CTL_E_ETSTMP_MSGS        (_ADI_MSK(0x00004000,uint32_t))  /* TSEVNTENA: Enable Time Stamp for Event Messages Only */

#define BITM_EMAC_TM_CTL_TSIPV4ENA            (_ADI_MSK(0x00002000,uint32_t))  /* Time Stamp IPV4 (PTP Frames) Enable */
#define ENUM_EMAC_TM_CTL_D_TSTMP_IPV4         (_ADI_MSK(0x00000000,uint32_t))  /* TSIPV4ENA: Disable Time Stamp for PTP Over IPv4 Frames */
#define ENUM_EMAC_TM_CTL_E_TSTMP_IPV4         (_ADI_MSK(0x00002000,uint32_t))  /* TSIPV4ENA: Enable Time Stamp for PTP Over IPv4 Frames */

#define BITM_EMAC_TM_CTL_TSIPV6ENA            (_ADI_MSK(0x00001000,uint32_t))  /* Time Stamp IPV6 (PTP Frames) Enable */
#define ENUM_EMAC_TM_CTL_D_TSTMP_IPV6         (_ADI_MSK(0x00000000,uint32_t))  /* TSIPV6ENA: Disable Time Stamp for PTP Over IPv6 frames */
#define ENUM_EMAC_TM_CTL_E_TSTMP_IPV6         (_ADI_MSK(0x00001000,uint32_t))  /* TSIPV6ENA: Enable Time Stamp for PTP Over IPv6 Frames */

#define BITM_EMAC_TM_CTL_TSIPENA              (_ADI_MSK(0x00000800,uint32_t))  /* Time Stamp IP Enable */
#define ENUM_EMAC_TM_CTL_D_PTP_OV_ETHER       (_ADI_MSK(0x00000000,uint32_t))  /* TSIPENA: Disable PTP Over Ethernet Frames */
#define ENUM_EMAC_TM_CTL_E_PTP_OV_ETHER       (_ADI_MSK(0x00000800,uint32_t))  /* TSIPENA: Enable PTP Over Ethernet Frames */

#define BITM_EMAC_TM_CTL_TSVER2ENA            (_ADI_MSK(0x00000400,uint32_t))  /* Time Stamp VER2 (Snooping) Enable */
#define ENUM_EMAC_TM_CTL_D_PKT_SNOOP_V2       (_ADI_MSK(0x00000000,uint32_t))  /* TSVER2ENA: Disable packet snooping for V2 frames */
#define ENUM_EMAC_TM_CTL_E_PKT_SNOOP_V2       (_ADI_MSK(0x00000400,uint32_t))  /* TSVER2ENA: Enable packet snooping for V2 frames */

#define BITM_EMAC_TM_CTL_TSCTRLSSR            (_ADI_MSK(0x00000200,uint32_t))  /* Time Stamp Control Nanosecond Rollover */
#define ENUM_EMAC_TM_CTL_RO_SUBSEC_RES        (_ADI_MSK(0x00000000,uint32_t))  /* TSCTRLSSR: Roll Over Nanosecond After 0x7FFFFFFF */
#define ENUM_EMAC_TM_CTL_RO_NANO_RES          (_ADI_MSK(0x00000200,uint32_t))  /* TSCTRLSSR: Roll Over Nanosecond After 0x3B9AC9FF */

#define BITM_EMAC_TM_CTL_TSENALL              (_ADI_MSK(0x00000100,uint32_t))  /* Time Stamp Enable All (Frames) */
#define ENUM_EMAC_TM_CTL_D_TSALL_FRAMES       (_ADI_MSK(0x00000000,uint32_t))  /* TSENALL: Disable timestamp for all frames */
#define ENUM_EMAC_TM_CTL_E_TSALL_FRAMES       (_ADI_MSK(0x00000100,uint32_t))  /* TSENALL: Enable timestamp for all frames */
#define BITM_EMAC_TM_CTL_TSADDREG             (_ADI_MSK(0x00000020,uint32_t))  /* Time Stamp Addend Register Update */

#define BITM_EMAC_TM_CTL_TSTRIG               (_ADI_MSK(0x00000010,uint32_t))  /* Time Stamp (Target Time) Trigger Enable */
#define ENUM_EMAC_TM_CTL_EN_TRIGGER           (_ADI_MSK(0x00000010,uint32_t))  /* TSTRIG: Interrupt (TS) if system time is greater than target time register */

#define BITM_EMAC_TM_CTL_TSUPDT               (_ADI_MSK(0x00000008,uint32_t))  /* Time Stamp (System Time) Update */
#define ENUM_EMAC_TM_CTL_EN_UPDATE            (_ADI_MSK(0x00000008,uint32_t))  /* TSUPDT: System time updated with Time stamp register values */

#define BITM_EMAC_TM_CTL_TSINIT               (_ADI_MSK(0x00000004,uint32_t))  /* Time Stamp (System Time) Initialize */
#define ENUM_EMAC_TM_CTL_EN_TS_INIT           (_ADI_MSK(0x00000004,uint32_t))  /* TSINIT: System time initialized with Time stamp register values */

#define BITM_EMAC_TM_CTL_TSCFUPDT             (_ADI_MSK(0x00000002,uint32_t))  /* Time Stamp (System Time) Fine/Coarse Update */
#define ENUM_EMAC_TM_CTL_EN_COARSE_UPDT       (_ADI_MSK(0x00000000,uint32_t))  /* TSCFUPDT: Use Coarse Correction Method for System Time Update */
#define ENUM_EMAC_TM_CTL_EN_FINE_UPDT         (_ADI_MSK(0x00000002,uint32_t))  /* TSCFUPDT: Use Fine Correction Method for System Time Update */

#define BITM_EMAC_TM_CTL_TSENA                (_ADI_MSK(0x00000001,uint32_t))  /* Time Stamp (PTP) Enable */
#define ENUM_EMAC_TM_CTL_DTS                  (_ADI_MSK(0x00000000,uint32_t))  /* TSENA: Disable PTP Module */
#define ENUM_EMAC_TM_CTL_TS                   (_ADI_MSK(0x00000001,uint32_t))  /* TSENA: Enable PTP Module */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_TM_SUBSEC                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_TM_SUBSEC_SSINC              0                               /* Sub-Second Increment Value */
#define BITM_EMAC_TM_SUBSEC_SSINC             (_ADI_MSK(0x000000FF,uint32_t))  /* Sub-Second Increment Value */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_TM_NSEC                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_TM_NSEC_TSSS                 0                               /* Time Stamp Nanoseconds */
#define BITM_EMAC_TM_NSEC_TSSS                (_ADI_MSK(0x7FFFFFFF,uint32_t))  /* Time Stamp Nanoseconds */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_TM_NSECUPDT                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_TM_NSECUPDT_ADDSUB          31                               /* Add or Subtract the Time */
#define BITP_EMAC_TM_NSECUPDT_TSSS             0                               /* Time Stamp Sub Second Initialize/Increment */
#define BITM_EMAC_TM_NSECUPDT_ADDSUB          (_ADI_MSK(0x80000000,uint32_t))  /* Add or Subtract the Time */
#define BITM_EMAC_TM_NSECUPDT_TSSS            (_ADI_MSK(0x7FFFFFFF,uint32_t))  /* Time Stamp Sub Second Initialize/Increment */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_TM_NTGTM                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_TM_NTGTM_TSTRBUSY           31                               /* Target Time Register Busy */
#define BITP_EMAC_TM_NTGTM_TSTR                0                               /* Target Time Nano Seconds */
#define BITM_EMAC_TM_NTGTM_TSTRBUSY           (_ADI_MSK(0x80000000,uint32_t))  /* Target Time Register Busy */
#define BITM_EMAC_TM_NTGTM_TSTR               (_ADI_MSK(0x7FFFFFFF,uint32_t))  /* Target Time Nano Seconds */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_TM_HISEC                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_TM_HISEC_TSHWR               0                               /* Time Stamp Higher Word Seconds Register */
#define BITM_EMAC_TM_HISEC_TSHWR              (_ADI_MSK(0x0000FFFF,uint32_t))  /* Time Stamp Higher Word Seconds Register */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_TM_STMPSTAT                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_TM_STMPSTAT_ATSNS           25                               /* Auxiliary Time Stamp Number of Snapshots */
#define BITP_EMAC_TM_STMPSTAT_ATSSTM          24                               /* Auxiliary Time Stamp Snapshot Trigger Missed */
#define BITP_EMAC_TM_STMPSTAT_TSTRGTERR        3                               /* Time Stamp Target Time Programming Error */
#define BITP_EMAC_TM_STMPSTAT_ATSTS            2                               /* Auxiliary Time Stamp Trigger Snapshot */
#define BITP_EMAC_TM_STMPSTAT_TSTARGT          1                               /* Time Stamp Target Time Reached */
#define BITP_EMAC_TM_STMPSTAT_TSSOVF           0                               /* Time Stamp Seconds Overflow */
#define BITM_EMAC_TM_STMPSTAT_ATSNS           (_ADI_MSK(0x0E000000,uint32_t))  /* Auxiliary Time Stamp Number of Snapshots */
#define BITM_EMAC_TM_STMPSTAT_ATSSTM          (_ADI_MSK(0x01000000,uint32_t))  /* Auxiliary Time Stamp Snapshot Trigger Missed */
#define BITM_EMAC_TM_STMPSTAT_TSTRGTERR       (_ADI_MSK(0x00000008,uint32_t))  /* Time Stamp Target Time Programming Error */
#define BITM_EMAC_TM_STMPSTAT_ATSTS           (_ADI_MSK(0x00000004,uint32_t))  /* Auxiliary Time Stamp Trigger Snapshot */
#define BITM_EMAC_TM_STMPSTAT_TSTARGT         (_ADI_MSK(0x00000002,uint32_t))  /* Time Stamp Target Time Reached */
#define BITM_EMAC_TM_STMPSTAT_TSSOVF          (_ADI_MSK(0x00000001,uint32_t))  /* Time Stamp Seconds Overflow */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_TM_PPSCTL                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_TM_PPSCTL_TRGTMODSEL         5                               /* Target Time Register Mode */
#define BITP_EMAC_TM_PPSCTL_PPSEN              4                               /* Enable the flexible PPS output mode */
#define BITP_EMAC_TM_PPSCTL_PPSCTL             0                               /* PPS Frequency Control */
#define BITM_EMAC_TM_PPSCTL_TRGTMODSEL        (_ADI_MSK(0x00000060,uint32_t))  /* Target Time Register Mode */
#define BITM_EMAC_TM_PPSCTL_PPSEN             (_ADI_MSK(0x00000010,uint32_t))  /* Enable the flexible PPS output mode */
#define BITM_EMAC_TM_PPSCTL_PPSCTL            (_ADI_MSK(0x0000000F,uint32_t))  /* PPS Frequency Control */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_DMA_BUSMODE                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_DMA_BUSMODE_AAL             25                               /* Address Aligned Bursts */
#define BITP_EMAC_DMA_BUSMODE_PBL8            24                               /* PBL * 8 */
#define BITP_EMAC_DMA_BUSMODE_USP             23                               /* Use Separate PBL */
#define BITP_EMAC_DMA_BUSMODE_RPBL            17                               /* Receive Programmable Burst Length */
#define BITP_EMAC_DMA_BUSMODE_FB              16                               /* Fixed Burst */
#define BITP_EMAC_DMA_BUSMODE_PBL              8                               /* Programmable Burst Length */
#define BITP_EMAC_DMA_BUSMODE_ATDS             7                               /* Alternate Descriptor Size */
#define BITP_EMAC_DMA_BUSMODE_DSL              2                               /* Descriptor Skip Length */
#define BITP_EMAC_DMA_BUSMODE_SWR              0                               /* Software Reset */
#define BITM_EMAC_DMA_BUSMODE_AAL             (_ADI_MSK(0x02000000,uint32_t))  /* Address Aligned Bursts */
#define BITM_EMAC_DMA_BUSMODE_PBL8            (_ADI_MSK(0x01000000,uint32_t))  /* PBL * 8 */
#define BITM_EMAC_DMA_BUSMODE_USP             (_ADI_MSK(0x00800000,uint32_t))  /* Use Separate PBL */
#define BITM_EMAC_DMA_BUSMODE_RPBL            (_ADI_MSK(0x007E0000,uint32_t))  /* Receive Programmable Burst Length */
#define BITM_EMAC_DMA_BUSMODE_FB              (_ADI_MSK(0x00010000,uint32_t))  /* Fixed Burst */
#define BITM_EMAC_DMA_BUSMODE_PBL             (_ADI_MSK(0x00003F00,uint32_t))  /* Programmable Burst Length */
#define BITM_EMAC_DMA_BUSMODE_ATDS            (_ADI_MSK(0x00000080,uint32_t))  /* Alternate Descriptor Size */
#define BITM_EMAC_DMA_BUSMODE_DSL             (_ADI_MSK(0x0000007C,uint32_t))  /* Descriptor Skip Length */
#define BITM_EMAC_DMA_BUSMODE_SWR             (_ADI_MSK(0x00000001,uint32_t))  /* Software Reset */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_DMA_STAT                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_DMA_STAT_TTI                29                               /* Time Stamp Trigger Interrupt */
#define BITP_EMAC_DMA_STAT_MCI                27                               /* MAC MMC Interrupt */
#define BITP_EMAC_DMA_STAT_EB                 23                               /* Error Bits */
#define BITP_EMAC_DMA_STAT_TS                 20                               /* Tx Process State */
#define BITP_EMAC_DMA_STAT_RS                 17                               /* Rx Process State */
#define BITP_EMAC_DMA_STAT_NIS                16                               /* Normal Interrupt Summary */
#define BITP_EMAC_DMA_STAT_AIS                15                               /* Abnormal Interrupt Summary */
#define BITP_EMAC_DMA_STAT_ERI                14                               /* Early Receive Interrupt */
#define BITP_EMAC_DMA_STAT_FBI                13                               /* Fatal Bus Error Interrupt */
#define BITP_EMAC_DMA_STAT_ETI                10                               /* Early Transmit Interrupt */
#define BITP_EMAC_DMA_STAT_RWT                 9                               /* Receive WatchDog Timeout */
#define BITP_EMAC_DMA_STAT_RPS                 8                               /* Receive Process Stopped */
#define BITP_EMAC_DMA_STAT_RU                  7                               /* Receive Buffer Unavailable */
#define BITP_EMAC_DMA_STAT_RI                  6                               /* Receive Interrupt */
#define BITP_EMAC_DMA_STAT_UNF                 5                               /* Transmit Buffer Underflow */
#define BITP_EMAC_DMA_STAT_OVF                 4                               /* Receive Buffer Overflow */
#define BITP_EMAC_DMA_STAT_TJT                 3                               /* Transmit Jabber Timeout */
#define BITP_EMAC_DMA_STAT_TU                  2                               /* Transmit Buffer Unavailable */
#define BITP_EMAC_DMA_STAT_TPS                 1                               /* Transmit Process Stopped */
#define BITP_EMAC_DMA_STAT_TI                  0                               /* Transmit Interrupt */
#define BITM_EMAC_DMA_STAT_TTI                (_ADI_MSK(0x20000000,uint32_t))  /* Time Stamp Trigger Interrupt */
#define BITM_EMAC_DMA_STAT_MCI                (_ADI_MSK(0x08000000,uint32_t))  /* MAC MMC Interrupt */
#define BITM_EMAC_DMA_STAT_EB                 (_ADI_MSK(0x03800000,uint32_t))  /* Error Bits */

#define BITM_EMAC_DMA_STAT_TS                 (_ADI_MSK(0x00700000,uint32_t))  /* Tx Process State */
#define ENUM_EMAC_DMA_STAT_TS_STOPPED         (_ADI_MSK(0x00000000,uint32_t))  /* TS: Stopped; Reset or Stop Tx Command Issued */
#define ENUM_EMAC_DMA_STAT_TS_R_FTD           (_ADI_MSK(0x00100000,uint32_t))  /* TS: Running; Fetching Tx Transfer Descriptor */
#define ENUM_EMAC_DMA_STAT_TS_R_WSTAT         (_ADI_MSK(0x00200000,uint32_t))  /* TS: Running; Waiting for Status */
#define ENUM_EMAC_DMA_STAT_TS_R_TXHMBUF       (_ADI_MSK(0x00300000,uint32_t))  /* TS: Reading Data from Host Memory Buffer and Queuing It to Tx Buffer */
#define ENUM_EMAC_DMA_STAT_TS_WR_TSTMP        (_ADI_MSK(0x00400000,uint32_t))  /* TS: TIME_STAMP Write State */
#define ENUM_EMAC_DMA_STAT_TS_SUSPENDED       (_ADI_MSK(0x00600000,uint32_t))  /* TS: Suspended; Tx Descriptor Unavailable or Tx Buffer Underflow */
#define ENUM_EMAC_DMA_STAT_TS_R_CLSTD         (_ADI_MSK(0x00700000,uint32_t))  /* TS: Closing Tx Descriptor */

#define BITM_EMAC_DMA_STAT_RS                 (_ADI_MSK(0x000E0000,uint32_t))  /* Rx Process State */
#define ENUM_EMAC_DMA_STAT_RS_STOPPED         (_ADI_MSK(0x00000000,uint32_t))  /* RS: Stopped: Reset or Stop Rx Command Issued. */
#define ENUM_EMAC_DMA_STAT_RS_R_FRD           (_ADI_MSK(0x00020000,uint32_t))  /* RS: Running: Fetching Rx Transfer Descriptor. */
#define ENUM_EMAC_DMA_STAT_RS_R_WTRX          (_ADI_MSK(0x00060000,uint32_t))  /* RS: Running: Waiting for Rx Packet */
#define ENUM_EMAC_DMA_STAT_RS_SUSPENDED       (_ADI_MSK(0x00080000,uint32_t))  /* RS: Suspended: Rx Descriptor Unavailable */
#define ENUM_EMAC_DMA_STAT_RS_R_CLSRD         (_ADI_MSK(0x000A0000,uint32_t))  /* RS: Running: Closing Rx Descriptor */
#define ENUM_EMAC_DMA_STAT_RS_WR_TSTMP        (_ADI_MSK(0x000C0000,uint32_t))  /* RS: TIME_STAMP Write State */
#define ENUM_EMAC_DMA_STAT_RS_R_RXWRHM        (_ADI_MSK(0x000E0000,uint32_t))  /* RS: Running: Transferring Rx Packet Data from Rx Buffer to Host Memory */
#define BITM_EMAC_DMA_STAT_NIS                (_ADI_MSK(0x00010000,uint32_t))  /* Normal Interrupt Summary */
#define BITM_EMAC_DMA_STAT_AIS                (_ADI_MSK(0x00008000,uint32_t))  /* Abnormal Interrupt Summary */
#define BITM_EMAC_DMA_STAT_ERI                (_ADI_MSK(0x00004000,uint32_t))  /* Early Receive Interrupt */
#define BITM_EMAC_DMA_STAT_FBI                (_ADI_MSK(0x00002000,uint32_t))  /* Fatal Bus Error Interrupt */
#define BITM_EMAC_DMA_STAT_ETI                (_ADI_MSK(0x00000400,uint32_t))  /* Early Transmit Interrupt */
#define BITM_EMAC_DMA_STAT_RWT                (_ADI_MSK(0x00000200,uint32_t))  /* Receive WatchDog Timeout */
#define BITM_EMAC_DMA_STAT_RPS                (_ADI_MSK(0x00000100,uint32_t))  /* Receive Process Stopped */
#define BITM_EMAC_DMA_STAT_RU                 (_ADI_MSK(0x00000080,uint32_t))  /* Receive Buffer Unavailable */
#define BITM_EMAC_DMA_STAT_RI                 (_ADI_MSK(0x00000040,uint32_t))  /* Receive Interrupt */
#define BITM_EMAC_DMA_STAT_UNF                (_ADI_MSK(0x00000020,uint32_t))  /* Transmit Buffer Underflow */
#define BITM_EMAC_DMA_STAT_OVF                (_ADI_MSK(0x00000010,uint32_t))  /* Receive Buffer Overflow */
#define BITM_EMAC_DMA_STAT_TJT                (_ADI_MSK(0x00000008,uint32_t))  /* Transmit Jabber Timeout */
#define BITM_EMAC_DMA_STAT_TU                 (_ADI_MSK(0x00000004,uint32_t))  /* Transmit Buffer Unavailable */
#define BITM_EMAC_DMA_STAT_TPS                (_ADI_MSK(0x00000002,uint32_t))  /* Transmit Process Stopped */
#define BITM_EMAC_DMA_STAT_TI                 (_ADI_MSK(0x00000001,uint32_t))  /* Transmit Interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_DMA_OPMODE                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_DMA_OPMODE_DT               26                               /* Disable Dropping TCP/IP Errors */
#define BITP_EMAC_DMA_OPMODE_RSF              25                               /* Receive Store and Forward */
#define BITP_EMAC_DMA_OPMODE_DFF              24                               /* Disable Flushing of received Frames */
#define BITP_EMAC_DMA_OPMODE_TSF              21                               /* Transmit Store and Forward */
#define BITP_EMAC_DMA_OPMODE_FTF              20                               /* Flush Transmit FIFO */
#define BITP_EMAC_DMA_OPMODE_TTC              14                               /* Transmit Threshold Control */
#define BITP_EMAC_DMA_OPMODE_ST               13                               /* Start/Stop Transmission */
#define BITP_EMAC_DMA_OPMODE_FEF               7                               /* Forward Error Frames */
#define BITP_EMAC_DMA_OPMODE_FUF               6                               /* Forward Undersized good Frames */
#define BITP_EMAC_DMA_OPMODE_RTC               3                               /* Receive Threshold Control */
#define BITP_EMAC_DMA_OPMODE_OSF               2                               /* Operate on Second Frame */
#define BITP_EMAC_DMA_OPMODE_SR                1                               /* Start/Stop Receive */
#define BITM_EMAC_DMA_OPMODE_DT               (_ADI_MSK(0x04000000,uint32_t))  /* Disable Dropping TCP/IP Errors */
#define BITM_EMAC_DMA_OPMODE_RSF              (_ADI_MSK(0x02000000,uint32_t))  /* Receive Store and Forward */
#define BITM_EMAC_DMA_OPMODE_DFF              (_ADI_MSK(0x01000000,uint32_t))  /* Disable Flushing of received Frames */
#define BITM_EMAC_DMA_OPMODE_TSF              (_ADI_MSK(0x00200000,uint32_t))  /* Transmit Store and Forward */
#define BITM_EMAC_DMA_OPMODE_FTF              (_ADI_MSK(0x00100000,uint32_t))  /* Flush Transmit FIFO */

#define BITM_EMAC_DMA_OPMODE_TTC              (_ADI_MSK(0x0001C000,uint32_t))  /* Transmit Threshold Control */
#define ENUM_EMAC_DMA_OPMODE_TTC_64           (_ADI_MSK(0x00000000,uint32_t))  /* TTC: 64 */
#define ENUM_EMAC_DMA_OPMODE_TTC_128          (_ADI_MSK(0x00004000,uint32_t))  /* TTC: 128 */
#define ENUM_EMAC_DMA_OPMODE_TTC_192          (_ADI_MSK(0x00008000,uint32_t))  /* TTC: 192 */
#define ENUM_EMAC_DMA_OPMODE_TTC_256          (_ADI_MSK(0x0000C000,uint32_t))  /* TTC: 256 */
#define ENUM_EMAC_DMA_OPMODE_TTC_40           (_ADI_MSK(0x00010000,uint32_t))  /* TTC: 40 */
#define ENUM_EMAC_DMA_OPMODE_TTC_32           (_ADI_MSK(0x00014000,uint32_t))  /* TTC: 32 */
#define ENUM_EMAC_DMA_OPMODE_TTC_24           (_ADI_MSK(0x00018000,uint32_t))  /* TTC: 24 */
#define ENUM_EMAC_DMA_OPMODE_TTC_16           (_ADI_MSK(0x0001C000,uint32_t))  /* TTC: 16 */
#define BITM_EMAC_DMA_OPMODE_ST               (_ADI_MSK(0x00002000,uint32_t))  /* Start/Stop Transmission */
#define BITM_EMAC_DMA_OPMODE_FEF              (_ADI_MSK(0x00000080,uint32_t))  /* Forward Error Frames */
#define BITM_EMAC_DMA_OPMODE_FUF              (_ADI_MSK(0x00000040,uint32_t))  /* Forward Undersized good Frames */

#define BITM_EMAC_DMA_OPMODE_RTC              (_ADI_MSK(0x00000018,uint32_t))  /* Receive Threshold Control */
#define ENUM_EMAC_DMA_OPMODE_RTC_64           (_ADI_MSK(0x00000000,uint32_t))  /* RTC: 64 */
#define ENUM_EMAC_DMA_OPMODE_RTC_32           (_ADI_MSK(0x00000008,uint32_t))  /* RTC: 32 */
#define ENUM_EMAC_DMA_OPMODE_RTC_96           (_ADI_MSK(0x00000010,uint32_t))  /* RTC: 96 */
#define ENUM_EMAC_DMA_OPMODE_RTC_128          (_ADI_MSK(0x00000018,uint32_t))  /* RTC: 128 */
#define BITM_EMAC_DMA_OPMODE_OSF              (_ADI_MSK(0x00000004,uint32_t))  /* Operate on Second Frame */
#define BITM_EMAC_DMA_OPMODE_SR               (_ADI_MSK(0x00000002,uint32_t))  /* Start/Stop Receive */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_DMA_IEN                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_DMA_IEN_NIS                 16                               /* Normal Interrupt Summary Enable */
#define BITP_EMAC_DMA_IEN_AIS                 15                               /* Abnormal Interrupt Summary Enable */
#define BITP_EMAC_DMA_IEN_ERI                 14                               /* Early Receive Interrupt Enable */
#define BITP_EMAC_DMA_IEN_FBI                 13                               /* Fatal Bus Error Enable */
#define BITP_EMAC_DMA_IEN_ETI                 10                               /* Early Transmit Interrupt Enable */
#define BITP_EMAC_DMA_IEN_RWT                  9                               /* Receive WatchdogTimeout Enable */
#define BITP_EMAC_DMA_IEN_RPS                  8                               /* Receive Stopped Enable */
#define BITP_EMAC_DMA_IEN_RU                   7                               /* Receive Buffer Unavailable Enable */
#define BITP_EMAC_DMA_IEN_RI                   6                               /* Receive Interrupt Enable */
#define BITP_EMAC_DMA_IEN_UNF                  5                               /* Underflow Interrupt Enable */
#define BITP_EMAC_DMA_IEN_OVF                  4                               /* Overflow Interrupt Enable */
#define BITP_EMAC_DMA_IEN_TJT                  3                               /* Transmit Jabber Timeout Enable */
#define BITP_EMAC_DMA_IEN_TU                   2                               /* Transmit Buffer Unavailable Enable */
#define BITP_EMAC_DMA_IEN_TPS                  1                               /* Transmit Stopped Enable */
#define BITP_EMAC_DMA_IEN_TI                   0                               /* Transmit Interrupt Enable */
#define BITM_EMAC_DMA_IEN_NIS                 (_ADI_MSK(0x00010000,uint32_t))  /* Normal Interrupt Summary Enable */
#define BITM_EMAC_DMA_IEN_AIS                 (_ADI_MSK(0x00008000,uint32_t))  /* Abnormal Interrupt Summary Enable */
#define BITM_EMAC_DMA_IEN_ERI                 (_ADI_MSK(0x00004000,uint32_t))  /* Early Receive Interrupt Enable */
#define BITM_EMAC_DMA_IEN_FBI                 (_ADI_MSK(0x00002000,uint32_t))  /* Fatal Bus Error Enable */
#define BITM_EMAC_DMA_IEN_ETI                 (_ADI_MSK(0x00000400,uint32_t))  /* Early Transmit Interrupt Enable */
#define BITM_EMAC_DMA_IEN_RWT                 (_ADI_MSK(0x00000200,uint32_t))  /* Receive WatchdogTimeout Enable */
#define BITM_EMAC_DMA_IEN_RPS                 (_ADI_MSK(0x00000100,uint32_t))  /* Receive Stopped Enable */
#define BITM_EMAC_DMA_IEN_RU                  (_ADI_MSK(0x00000080,uint32_t))  /* Receive Buffer Unavailable Enable */
#define BITM_EMAC_DMA_IEN_RI                  (_ADI_MSK(0x00000040,uint32_t))  /* Receive Interrupt Enable */
#define BITM_EMAC_DMA_IEN_UNF                 (_ADI_MSK(0x00000020,uint32_t))  /* Underflow Interrupt Enable */
#define BITM_EMAC_DMA_IEN_OVF                 (_ADI_MSK(0x00000010,uint32_t))  /* Overflow Interrupt Enable */
#define BITM_EMAC_DMA_IEN_TJT                 (_ADI_MSK(0x00000008,uint32_t))  /* Transmit Jabber Timeout Enable */
#define BITM_EMAC_DMA_IEN_TU                  (_ADI_MSK(0x00000004,uint32_t))  /* Transmit Buffer Unavailable Enable */
#define BITM_EMAC_DMA_IEN_TPS                 (_ADI_MSK(0x00000002,uint32_t))  /* Transmit Stopped Enable */
#define BITM_EMAC_DMA_IEN_TI                  (_ADI_MSK(0x00000001,uint32_t))  /* Transmit Interrupt Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_DMA_MISS_FRM                     Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_DMA_MISS_FRM_OVFFIFO        28                               /* Overflow bit for FIFO Overflow Counter */
#define BITP_EMAC_DMA_MISS_FRM_MISSFROV       17                               /* Missed Frames Buffer Overflow */
#define BITP_EMAC_DMA_MISS_FRM_OVFMISS        16                               /* Overflow bit for Missed Frame Counter */
#define BITP_EMAC_DMA_MISS_FRM_MISSFRUN        0                               /* Missed Frames Unavailable Buffer */
#define BITM_EMAC_DMA_MISS_FRM_OVFFIFO        (_ADI_MSK(0x10000000,uint32_t))  /* Overflow bit for FIFO Overflow Counter */
#define BITM_EMAC_DMA_MISS_FRM_MISSFROV       (_ADI_MSK(0x0FFE0000,uint32_t))  /* Missed Frames Buffer Overflow */
#define BITM_EMAC_DMA_MISS_FRM_OVFMISS        (_ADI_MSK(0x00010000,uint32_t))  /* Overflow bit for Missed Frame Counter */
#define BITM_EMAC_DMA_MISS_FRM_MISSFRUN       (_ADI_MSK(0x0000FFFF,uint32_t))  /* Missed Frames Unavailable Buffer */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_DMA_RXIWDOG                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_DMA_RXIWDOG_RIWT             0                               /* RI WatchDog Timer Count */
#define BITM_EMAC_DMA_RXIWDOG_RIWT            (_ADI_MSK(0x000000FF,uint32_t))  /* RI WatchDog Timer Count */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_DMA_BMMODE                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_DMA_BMMODE_WROSRLMT         20                               /* SCB Maximum Write Outstanding Request */
#define BITP_EMAC_DMA_BMMODE_RDOSRLMT         16                               /* SCB Maximum Read Outstanding Request */
#define BITP_EMAC_DMA_BMMODE_AAL              12                               /* Address Aligned Beats */
#define BITP_EMAC_DMA_BMMODE_BLEN16            3                               /* SCB Burst Length 16 */
#define BITP_EMAC_DMA_BMMODE_BLEN8             2                               /* SCB Burst Length 8 */
#define BITP_EMAC_DMA_BMMODE_BLEN4             1                               /* SCB Burst Length 4 */
#define BITP_EMAC_DMA_BMMODE_UNDEF             0                               /* SCB Undefined Burst Length */
#define BITM_EMAC_DMA_BMMODE_WROSRLMT         (_ADI_MSK(0x00700000,uint32_t))  /* SCB Maximum Write Outstanding Request */
#define BITM_EMAC_DMA_BMMODE_RDOSRLMT         (_ADI_MSK(0x00070000,uint32_t))  /* SCB Maximum Read Outstanding Request */
#define BITM_EMAC_DMA_BMMODE_AAL              (_ADI_MSK(0x00001000,uint32_t))  /* Address Aligned Beats */
#define BITM_EMAC_DMA_BMMODE_BLEN16           (_ADI_MSK(0x00000008,uint32_t))  /* SCB Burst Length 16 */
#define BITM_EMAC_DMA_BMMODE_BLEN8            (_ADI_MSK(0x00000004,uint32_t))  /* SCB Burst Length 8 */
#define BITM_EMAC_DMA_BMMODE_BLEN4            (_ADI_MSK(0x00000002,uint32_t))  /* SCB Burst Length 4 */
#define BITM_EMAC_DMA_BMMODE_UNDEF            (_ADI_MSK(0x00000001,uint32_t))  /* SCB Undefined Burst Length */

/* ------------------------------------------------------------------------------------------------------------------------
         EMAC_DMA_BMSTAT                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EMAC_DMA_BMSTAT_BUSRD             1                               /* Bus (SCB master) Read Active */
#define BITP_EMAC_DMA_BMSTAT_BUSWR             0                               /* Bus (SCB master) Write Active */
#define BITM_EMAC_DMA_BMSTAT_BUSRD            (_ADI_MSK(0x00000002,uint32_t))  /* Bus (SCB master) Read Active */
#define BITM_EMAC_DMA_BMSTAT_BUSWR            (_ADI_MSK(0x00000001,uint32_t))  /* Bus (SCB master) Write Active */

/* ==================================================
        System Watchpoint Unit Registers
   ================================================== */

/* =========================
        SWU0
   ========================= */
#define REG_SWU0_GCTL                   0x40022000         /* SWU0 Global Control Register */
#define REG_SWU0_GSTAT                  0x40022004         /* SWU0 Global Status Register */
#define REG_SWU0_CTL0                   0x40022010         /* SWU0 Control Register n */
#define REG_SWU0_CTL1                   0x40022030         /* SWU0 Control Register n */
#define REG_SWU0_CTL2                   0x40022050         /* SWU0 Control Register n */
#define REG_SWU0_CTL3                   0x40022070         /* SWU0 Control Register n */
#define REG_SWU0_LA0                    0x40022014         /* SWU0 Lower Address Register n */
#define REG_SWU0_LA1                    0x40022034         /* SWU0 Lower Address Register n */
#define REG_SWU0_LA2                    0x40022054         /* SWU0 Lower Address Register n */
#define REG_SWU0_LA3                    0x40022074         /* SWU0 Lower Address Register n */
#define REG_SWU0_UA0                    0x40022018         /* SWU0 Upper Address Register n */
#define REG_SWU0_UA1                    0x40022038         /* SWU0 Upper Address Register n */
#define REG_SWU0_UA2                    0x40022058         /* SWU0 Upper Address Register n */
#define REG_SWU0_UA3                    0x40022078         /* SWU0 Upper Address Register n */
#define REG_SWU0_ID0                    0x4002201C         /* SWU0 ID Register n */
#define REG_SWU0_ID1                    0x4002203C         /* SWU0 ID Register n */
#define REG_SWU0_ID2                    0x4002205C         /* SWU0 ID Register n */
#define REG_SWU0_ID3                    0x4002207C         /* SWU0 ID Register n */
#define REG_SWU0_CNT0                   0x40022020         /* SWU0 Count Register n */
#define REG_SWU0_CNT1                   0x40022040         /* SWU0 Count Register n */
#define REG_SWU0_CNT2                   0x40022060         /* SWU0 Count Register n */
#define REG_SWU0_CNT3                   0x40022080         /* SWU0 Count Register n */
#define REG_SWU0_TARG0                  0x40022024         /* SWU0 Target Register n */
#define REG_SWU0_TARG1                  0x40022044         /* SWU0 Target Register n */
#define REG_SWU0_TARG2                  0x40022064         /* SWU0 Target Register n */
#define REG_SWU0_TARG3                  0x40022084         /* SWU0 Target Register n */
#define REG_SWU0_HIST0                  0x40022028         /* SWU0 Bandwidth History Register n */
#define REG_SWU0_HIST1                  0x40022048         /* SWU0 Bandwidth History Register n */
#define REG_SWU0_HIST2                  0x40022068         /* SWU0 Bandwidth History Register n */
#define REG_SWU0_HIST3                  0x40022088         /* SWU0 Bandwidth History Register n */
#define REG_SWU0_CUR0                   0x4002202C         /* SWU0 Current Register n */
#define REG_SWU0_CUR1                   0x4002204C         /* SWU0 Current Register n */
#define REG_SWU0_CUR2                   0x4002206C         /* SWU0 Current Register n */
#define REG_SWU0_CUR3                   0x4002208C         /* SWU0 Current Register n */

/* =========================
        SWU1
   ========================= */
#define REG_SWU1_GCTL                   0x40023000         /* SWU1 Global Control Register */
#define REG_SWU1_GSTAT                  0x40023004         /* SWU1 Global Status Register */
#define REG_SWU1_CTL0                   0x40023010         /* SWU1 Control Register n */
#define REG_SWU1_CTL1                   0x40023030         /* SWU1 Control Register n */
#define REG_SWU1_CTL2                   0x40023050         /* SWU1 Control Register n */
#define REG_SWU1_CTL3                   0x40023070         /* SWU1 Control Register n */
#define REG_SWU1_LA0                    0x40023014         /* SWU1 Lower Address Register n */
#define REG_SWU1_LA1                    0x40023034         /* SWU1 Lower Address Register n */
#define REG_SWU1_LA2                    0x40023054         /* SWU1 Lower Address Register n */
#define REG_SWU1_LA3                    0x40023074         /* SWU1 Lower Address Register n */
#define REG_SWU1_UA0                    0x40023018         /* SWU1 Upper Address Register n */
#define REG_SWU1_UA1                    0x40023038         /* SWU1 Upper Address Register n */
#define REG_SWU1_UA2                    0x40023058         /* SWU1 Upper Address Register n */
#define REG_SWU1_UA3                    0x40023078         /* SWU1 Upper Address Register n */
#define REG_SWU1_ID0                    0x4002301C         /* SWU1 ID Register n */
#define REG_SWU1_ID1                    0x4002303C         /* SWU1 ID Register n */
#define REG_SWU1_ID2                    0x4002305C         /* SWU1 ID Register n */
#define REG_SWU1_ID3                    0x4002307C         /* SWU1 ID Register n */
#define REG_SWU1_CNT0                   0x40023020         /* SWU1 Count Register n */
#define REG_SWU1_CNT1                   0x40023040         /* SWU1 Count Register n */
#define REG_SWU1_CNT2                   0x40023060         /* SWU1 Count Register n */
#define REG_SWU1_CNT3                   0x40023080         /* SWU1 Count Register n */
#define REG_SWU1_TARG0                  0x40023024         /* SWU1 Target Register n */
#define REG_SWU1_TARG1                  0x40023044         /* SWU1 Target Register n */
#define REG_SWU1_TARG2                  0x40023064         /* SWU1 Target Register n */
#define REG_SWU1_TARG3                  0x40023084         /* SWU1 Target Register n */
#define REG_SWU1_HIST0                  0x40023028         /* SWU1 Bandwidth History Register n */
#define REG_SWU1_HIST1                  0x40023048         /* SWU1 Bandwidth History Register n */
#define REG_SWU1_HIST2                  0x40023068         /* SWU1 Bandwidth History Register n */
#define REG_SWU1_HIST3                  0x40023088         /* SWU1 Bandwidth History Register n */
#define REG_SWU1_CUR0                   0x4002302C         /* SWU1 Current Register n */
#define REG_SWU1_CUR1                   0x4002304C         /* SWU1 Current Register n */
#define REG_SWU1_CUR2                   0x4002306C         /* SWU1 Current Register n */
#define REG_SWU1_CUR3                   0x4002308C         /* SWU1 Current Register n */

/* =========================
        SWU2
   ========================= */
#define REG_SWU2_GCTL                   0x40024000         /* SWU2 Global Control Register */
#define REG_SWU2_GSTAT                  0x40024004         /* SWU2 Global Status Register */
#define REG_SWU2_CTL0                   0x40024010         /* SWU2 Control Register n */
#define REG_SWU2_CTL1                   0x40024030         /* SWU2 Control Register n */
#define REG_SWU2_CTL2                   0x40024050         /* SWU2 Control Register n */
#define REG_SWU2_CTL3                   0x40024070         /* SWU2 Control Register n */
#define REG_SWU2_LA0                    0x40024014         /* SWU2 Lower Address Register n */
#define REG_SWU2_LA1                    0x40024034         /* SWU2 Lower Address Register n */
#define REG_SWU2_LA2                    0x40024054         /* SWU2 Lower Address Register n */
#define REG_SWU2_LA3                    0x40024074         /* SWU2 Lower Address Register n */
#define REG_SWU2_UA0                    0x40024018         /* SWU2 Upper Address Register n */
#define REG_SWU2_UA1                    0x40024038         /* SWU2 Upper Address Register n */
#define REG_SWU2_UA2                    0x40024058         /* SWU2 Upper Address Register n */
#define REG_SWU2_UA3                    0x40024078         /* SWU2 Upper Address Register n */
#define REG_SWU2_ID0                    0x4002401C         /* SWU2 ID Register n */
#define REG_SWU2_ID1                    0x4002403C         /* SWU2 ID Register n */
#define REG_SWU2_ID2                    0x4002405C         /* SWU2 ID Register n */
#define REG_SWU2_ID3                    0x4002407C         /* SWU2 ID Register n */
#define REG_SWU2_CNT0                   0x40024020         /* SWU2 Count Register n */
#define REG_SWU2_CNT1                   0x40024040         /* SWU2 Count Register n */
#define REG_SWU2_CNT2                   0x40024060         /* SWU2 Count Register n */
#define REG_SWU2_CNT3                   0x40024080         /* SWU2 Count Register n */
#define REG_SWU2_TARG0                  0x40024024         /* SWU2 Target Register n */
#define REG_SWU2_TARG1                  0x40024044         /* SWU2 Target Register n */
#define REG_SWU2_TARG2                  0x40024064         /* SWU2 Target Register n */
#define REG_SWU2_TARG3                  0x40024084         /* SWU2 Target Register n */
#define REG_SWU2_HIST0                  0x40024028         /* SWU2 Bandwidth History Register n */
#define REG_SWU2_HIST1                  0x40024048         /* SWU2 Bandwidth History Register n */
#define REG_SWU2_HIST2                  0x40024068         /* SWU2 Bandwidth History Register n */
#define REG_SWU2_HIST3                  0x40024088         /* SWU2 Bandwidth History Register n */
#define REG_SWU2_CUR0                   0x4002402C         /* SWU2 Current Register n */
#define REG_SWU2_CUR1                   0x4002404C         /* SWU2 Current Register n */
#define REG_SWU2_CUR2                   0x4002406C         /* SWU2 Current Register n */
#define REG_SWU2_CUR3                   0x4002408C         /* SWU2 Current Register n */

/* =========================
        SWU3
   ========================= */
#define REG_SWU3_GCTL                   0x40025000         /* SWU3 Global Control Register */
#define REG_SWU3_GSTAT                  0x40025004         /* SWU3 Global Status Register */
#define REG_SWU3_CTL0                   0x40025010         /* SWU3 Control Register n */
#define REG_SWU3_CTL1                   0x40025030         /* SWU3 Control Register n */
#define REG_SWU3_CTL2                   0x40025050         /* SWU3 Control Register n */
#define REG_SWU3_CTL3                   0x40025070         /* SWU3 Control Register n */
#define REG_SWU3_LA0                    0x40025014         /* SWU3 Lower Address Register n */
#define REG_SWU3_LA1                    0x40025034         /* SWU3 Lower Address Register n */
#define REG_SWU3_LA2                    0x40025054         /* SWU3 Lower Address Register n */
#define REG_SWU3_LA3                    0x40025074         /* SWU3 Lower Address Register n */
#define REG_SWU3_UA0                    0x40025018         /* SWU3 Upper Address Register n */
#define REG_SWU3_UA1                    0x40025038         /* SWU3 Upper Address Register n */
#define REG_SWU3_UA2                    0x40025058         /* SWU3 Upper Address Register n */
#define REG_SWU3_UA3                    0x40025078         /* SWU3 Upper Address Register n */
#define REG_SWU3_ID0                    0x4002501C         /* SWU3 ID Register n */
#define REG_SWU3_ID1                    0x4002503C         /* SWU3 ID Register n */
#define REG_SWU3_ID2                    0x4002505C         /* SWU3 ID Register n */
#define REG_SWU3_ID3                    0x4002507C         /* SWU3 ID Register n */
#define REG_SWU3_CNT0                   0x40025020         /* SWU3 Count Register n */
#define REG_SWU3_CNT1                   0x40025040         /* SWU3 Count Register n */
#define REG_SWU3_CNT2                   0x40025060         /* SWU3 Count Register n */
#define REG_SWU3_CNT3                   0x40025080         /* SWU3 Count Register n */
#define REG_SWU3_TARG0                  0x40025024         /* SWU3 Target Register n */
#define REG_SWU3_TARG1                  0x40025044         /* SWU3 Target Register n */
#define REG_SWU3_TARG2                  0x40025064         /* SWU3 Target Register n */
#define REG_SWU3_TARG3                  0x40025084         /* SWU3 Target Register n */
#define REG_SWU3_HIST0                  0x40025028         /* SWU3 Bandwidth History Register n */
#define REG_SWU3_HIST1                  0x40025048         /* SWU3 Bandwidth History Register n */
#define REG_SWU3_HIST2                  0x40025068         /* SWU3 Bandwidth History Register n */
#define REG_SWU3_HIST3                  0x40025088         /* SWU3 Bandwidth History Register n */
#define REG_SWU3_CUR0                   0x4002502C         /* SWU3 Current Register n */
#define REG_SWU3_CUR1                   0x4002504C         /* SWU3 Current Register n */
#define REG_SWU3_CUR2                   0x4002506C         /* SWU3 Current Register n */
#define REG_SWU3_CUR3                   0x4002508C         /* SWU3 Current Register n */

/* =========================
        SWU4
   ========================= */
#define REG_SWU4_GCTL                   0x40026000         /* SWU4 Global Control Register */
#define REG_SWU4_GSTAT                  0x40026004         /* SWU4 Global Status Register */
#define REG_SWU4_CTL0                   0x40026010         /* SWU4 Control Register n */
#define REG_SWU4_CTL1                   0x40026030         /* SWU4 Control Register n */
#define REG_SWU4_CTL2                   0x40026050         /* SWU4 Control Register n */
#define REG_SWU4_CTL3                   0x40026070         /* SWU4 Control Register n */
#define REG_SWU4_LA0                    0x40026014         /* SWU4 Lower Address Register n */
#define REG_SWU4_LA1                    0x40026034         /* SWU4 Lower Address Register n */
#define REG_SWU4_LA2                    0x40026054         /* SWU4 Lower Address Register n */
#define REG_SWU4_LA3                    0x40026074         /* SWU4 Lower Address Register n */
#define REG_SWU4_UA0                    0x40026018         /* SWU4 Upper Address Register n */
#define REG_SWU4_UA1                    0x40026038         /* SWU4 Upper Address Register n */
#define REG_SWU4_UA2                    0x40026058         /* SWU4 Upper Address Register n */
#define REG_SWU4_UA3                    0x40026078         /* SWU4 Upper Address Register n */
#define REG_SWU4_ID0                    0x4002601C         /* SWU4 ID Register n */
#define REG_SWU4_ID1                    0x4002603C         /* SWU4 ID Register n */
#define REG_SWU4_ID2                    0x4002605C         /* SWU4 ID Register n */
#define REG_SWU4_ID3                    0x4002607C         /* SWU4 ID Register n */
#define REG_SWU4_CNT0                   0x40026020         /* SWU4 Count Register n */
#define REG_SWU4_CNT1                   0x40026040         /* SWU4 Count Register n */
#define REG_SWU4_CNT2                   0x40026060         /* SWU4 Count Register n */
#define REG_SWU4_CNT3                   0x40026080         /* SWU4 Count Register n */
#define REG_SWU4_TARG0                  0x40026024         /* SWU4 Target Register n */
#define REG_SWU4_TARG1                  0x40026044         /* SWU4 Target Register n */
#define REG_SWU4_TARG2                  0x40026064         /* SWU4 Target Register n */
#define REG_SWU4_TARG3                  0x40026084         /* SWU4 Target Register n */
#define REG_SWU4_HIST0                  0x40026028         /* SWU4 Bandwidth History Register n */
#define REG_SWU4_HIST1                  0x40026048         /* SWU4 Bandwidth History Register n */
#define REG_SWU4_HIST2                  0x40026068         /* SWU4 Bandwidth History Register n */
#define REG_SWU4_HIST3                  0x40026088         /* SWU4 Bandwidth History Register n */
#define REG_SWU4_CUR0                   0x4002602C         /* SWU4 Current Register n */
#define REG_SWU4_CUR1                   0x4002604C         /* SWU4 Current Register n */
#define REG_SWU4_CUR2                   0x4002606C         /* SWU4 Current Register n */
#define REG_SWU4_CUR3                   0x4002608C         /* SWU4 Current Register n */

/* =========================
        SWU
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         SWU_GCTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SWU_GCTL_RST                      1                               /* Global Reset */
#define BITP_SWU_GCTL_EN                       0                               /* Global Enable */
#define BITM_SWU_GCTL_RST                     (_ADI_MSK(0x00000002,uint32_t))  /* Global Reset */
#define BITM_SWU_GCTL_EN                      (_ADI_MSK(0x00000001,uint32_t))  /* Global Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SWU_GSTAT                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SWU_GSTAT_ADDRERR                30                               /* Address Error Status */
#define BITP_SWU_GSTAT_OVRBW3                 15                               /* Group 3 Bandwidth Above Maximum Target */
#define BITP_SWU_GSTAT_UNDRBW3                14                               /* Group 3 Bandwidth Below Minimum Target */
#define BITP_SWU_GSTAT_OVRBW2                 13                               /* Group 2 Bandwidth Above Maximum Target */
#define BITP_SWU_GSTAT_UNDRBW2                12                               /* Group 2 Bandwidth Below Minimum Target */
#define BITP_SWU_GSTAT_OVRBW1                 11                               /* Group 1 Bandwidth Above Maximum Target */
#define BITP_SWU_GSTAT_UNDRBW1                10                               /* Group 1 Bandwidth Below Minimum Target */
#define BITP_SWU_GSTAT_OVRBW0                  9                               /* Group 0 Bandwidth Above Maximum Target */
#define BITP_SWU_GSTAT_UNDRBW0                 8                               /* Group 0 Bandwidth Below Minimum Target */
#define BITP_SWU_GSTAT_INT3                    7                               /* Group 3 Interrupt Status */
#define BITP_SWU_GSTAT_INT2                    6                               /* Group 2 Interrupt Status */
#define BITP_SWU_GSTAT_INT1                    5                               /* Group 1 Interrupt Status */
#define BITP_SWU_GSTAT_INT0                    4                               /* Group 0 Interrupt Status */
#define BITP_SWU_GSTAT_MTCH3                   3                               /* Group 3 Match */
#define BITP_SWU_GSTAT_MTCH2                   2                               /* Group 2 Match */
#define BITP_SWU_GSTAT_MTCH1                   1                               /* Group 1 Match */
#define BITP_SWU_GSTAT_MTCH0                   0                               /* Group 0 Match */
#define BITM_SWU_GSTAT_ADDRERR                (_ADI_MSK(0x40000000,uint32_t))  /* Address Error Status */
#define BITM_SWU_GSTAT_OVRBW3                 (_ADI_MSK(0x00008000,uint32_t))  /* Group 3 Bandwidth Above Maximum Target */
#define BITM_SWU_GSTAT_UNDRBW3                (_ADI_MSK(0x00004000,uint32_t))  /* Group 3 Bandwidth Below Minimum Target */
#define BITM_SWU_GSTAT_OVRBW2                 (_ADI_MSK(0x00002000,uint32_t))  /* Group 2 Bandwidth Above Maximum Target */
#define BITM_SWU_GSTAT_UNDRBW2                (_ADI_MSK(0x00001000,uint32_t))  /* Group 2 Bandwidth Below Minimum Target */
#define BITM_SWU_GSTAT_OVRBW1                 (_ADI_MSK(0x00000800,uint32_t))  /* Group 1 Bandwidth Above Maximum Target */
#define BITM_SWU_GSTAT_UNDRBW1                (_ADI_MSK(0x00000400,uint32_t))  /* Group 1 Bandwidth Below Minimum Target */
#define BITM_SWU_GSTAT_OVRBW0                 (_ADI_MSK(0x00000200,uint32_t))  /* Group 0 Bandwidth Above Maximum Target */
#define BITM_SWU_GSTAT_UNDRBW0                (_ADI_MSK(0x00000100,uint32_t))  /* Group 0 Bandwidth Below Minimum Target */
#define BITM_SWU_GSTAT_INT3                   (_ADI_MSK(0x00000080,uint32_t))  /* Group 3 Interrupt Status */
#define BITM_SWU_GSTAT_INT2                   (_ADI_MSK(0x00000040,uint32_t))  /* Group 2 Interrupt Status */
#define BITM_SWU_GSTAT_INT1                   (_ADI_MSK(0x00000020,uint32_t))  /* Group 1 Interrupt Status */
#define BITM_SWU_GSTAT_INT0                   (_ADI_MSK(0x00000010,uint32_t))  /* Group 0 Interrupt Status */
#define BITM_SWU_GSTAT_MTCH3                  (_ADI_MSK(0x00000008,uint32_t))  /* Group 3 Match */
#define BITM_SWU_GSTAT_MTCH2                  (_ADI_MSK(0x00000004,uint32_t))  /* Group 2 Match */
#define BITM_SWU_GSTAT_MTCH1                  (_ADI_MSK(0x00000002,uint32_t))  /* Group 1 Match */
#define BITM_SWU_GSTAT_MTCH0                  (_ADI_MSK(0x00000001,uint32_t))  /* Group 0 Match */

/* ------------------------------------------------------------------------------------------------------------------------
         SWU_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SWU_CTL_MAXACT                   19                               /* Action for Bandwidth Above Maximum */
#define BITP_SWU_CTL_MINACT                   18                               /* Action for Bandwidth Below Minimum */
#define BITP_SWU_CTL_BLENINC                  17                               /* Increment Bandwidth Count by Burst Length */
#define BITP_SWU_CTL_BWEN                     16                               /* Bandwidth Mode Enable */
#define BITP_SWU_CTL_TMEN                     15                               /* Trace Message Enable */
#define BITP_SWU_CTL_TRGEN                    14                               /* Trigger Enable */
#define BITP_SWU_CTL_INTEN                    13                               /* Interrupt Enable */
#define BITP_SWU_CTL_DBGEN                    12                               /* Debug Event Enable */
#define BITP_SWU_CTL_CNTRPTEN                  9                               /* Count Repeat Enable */
#define BITP_SWU_CTL_CNTEN                     8                               /* Count Enable */
#define BITP_SWU_CTL_LCMPEN                    6                               /* Locked Comparison Enable */
#define BITP_SWU_CTL_SCMPEN                    5                               /* Secure Comparison Enable */
#define BITP_SWU_CTL_IDCMPEN                   4                               /* ID Comparison Enable */
#define BITP_SWU_CTL_ACMPM                     2                               /* Address Comparison Mode */
#define BITP_SWU_CTL_DIR                       1                               /* Transaction Direction for Match */
#define BITP_SWU_CTL_EN                        0                               /* Enable Watchpoint */
#define BITM_SWU_CTL_MAXACT                   (_ADI_MSK(0x00080000,uint32_t))  /* Action for Bandwidth Above Maximum */
#define BITM_SWU_CTL_MINACT                   (_ADI_MSK(0x00040000,uint32_t))  /* Action for Bandwidth Below Minimum */
#define BITM_SWU_CTL_BLENINC                  (_ADI_MSK(0x00020000,uint32_t))  /* Increment Bandwidth Count by Burst Length */
#define BITM_SWU_CTL_BWEN                     (_ADI_MSK(0x00010000,uint32_t))  /* Bandwidth Mode Enable */
#define BITM_SWU_CTL_TMEN                     (_ADI_MSK(0x00008000,uint32_t))  /* Trace Message Enable */
#define BITM_SWU_CTL_TRGEN                    (_ADI_MSK(0x00004000,uint32_t))  /* Trigger Enable */
#define BITM_SWU_CTL_INTEN                    (_ADI_MSK(0x00002000,uint32_t))  /* Interrupt Enable */
#define BITM_SWU_CTL_DBGEN                    (_ADI_MSK(0x00001000,uint32_t))  /* Debug Event Enable */
#define BITM_SWU_CTL_CNTRPTEN                 (_ADI_MSK(0x00000200,uint32_t))  /* Count Repeat Enable */
#define BITM_SWU_CTL_CNTEN                    (_ADI_MSK(0x00000100,uint32_t))  /* Count Enable */
#define BITM_SWU_CTL_LCMPEN                   (_ADI_MSK(0x00000040,uint32_t))  /* Locked Comparison Enable */
#define BITM_SWU_CTL_SCMPEN                   (_ADI_MSK(0x00000020,uint32_t))  /* Secure Comparison Enable */
#define BITM_SWU_CTL_IDCMPEN                  (_ADI_MSK(0x00000010,uint32_t))  /* ID Comparison Enable */
#define BITM_SWU_CTL_ACMPM                    (_ADI_MSK(0x0000000C,uint32_t))  /* Address Comparison Mode */
#define BITM_SWU_CTL_DIR                      (_ADI_MSK(0x00000002,uint32_t))  /* Transaction Direction for Match */
#define BITM_SWU_CTL_EN                       (_ADI_MSK(0x00000001,uint32_t))  /* Enable Watchpoint */

/* ------------------------------------------------------------------------------------------------------------------------
         SWU_ID                                Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SWU_ID_IDMASK                    16                               /* Identity Mask (for Or with ID) */
#define BITP_SWU_ID_ID                         0                               /* Identity */
#define BITM_SWU_ID_IDMASK                    (_ADI_MSK(0xFFFF0000,uint32_t))  /* Identity Mask (for Or with ID) */
#define BITM_SWU_ID_ID                        (_ADI_MSK(0x0000FFFF,uint32_t))  /* Identity */

/* ------------------------------------------------------------------------------------------------------------------------
         SWU_CNT                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SWU_CNT_COUNT                     0                               /* Count */
#define BITM_SWU_CNT_COUNT                    (_ADI_MSK(0x0000FFFF,uint32_t))  /* Count */

/* ------------------------------------------------------------------------------------------------------------------------
         SWU_TARG                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SWU_TARG_BWMAX                   16                               /* Maximum Bandwidth Target */
#define BITP_SWU_TARG_BWMIN                    0                               /* Minimum Bandwidth Target */
#define BITM_SWU_TARG_BWMAX                   (_ADI_MSK(0xFFFF0000,uint32_t))  /* Maximum Bandwidth Target */
#define BITM_SWU_TARG_BWMIN                   (_ADI_MSK(0x0000FFFF,uint32_t))  /* Minimum Bandwidth Target */

/* ------------------------------------------------------------------------------------------------------------------------
         SWU_HIST                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SWU_HIST_BWHIST1                 16                               /* Bandwidth from Window Before Last */
#define BITP_SWU_HIST_BWHIST0                  0                               /* Bandwidth from Last Window */
#define BITM_SWU_HIST_BWHIST1                 (_ADI_MSK(0xFFFF0000,uint32_t))  /* Bandwidth from Window Before Last */
#define BITM_SWU_HIST_BWHIST0                 (_ADI_MSK(0x0000FFFF,uint32_t))  /* Bandwidth from Last Window */

/* ------------------------------------------------------------------------------------------------------------------------
         SWU_CUR                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SWU_CUR_CURBW                    16                               /* Current Bandwidth */
#define BITP_SWU_CUR_CURCNT                    0                               /* Current Count */
#define BITM_SWU_CUR_CURBW                    (_ADI_MSK(0xFFFF0000,uint32_t))  /* Current Bandwidth */
#define BITM_SWU_CUR_CURCNT                   (_ADI_MSK(0x0000FFFF,uint32_t))  /* Current Count */

/* ==================================================
        System Protection Unit Registers
   ================================================== */

/* =========================
        SPU0
   ========================= */
#define REG_SPU0_CTL                    0x40027000         /* SPU0 Control Register */
#define REG_SPU0_STAT                   0x40027004         /* SPU0 Status Register */
#define REG_SPU0_WP0                    0x40027400         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP1                    0x40027404         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP2                    0x40027408         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP3                    0x4002740C         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP4                    0x40027410         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP5                    0x40027414         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP6                    0x40027418         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP7                    0x4002741C         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP8                    0x40027420         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP9                    0x40027424         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP10                   0x40027428         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP11                   0x4002742C         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP12                   0x40027430         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP13                   0x40027434         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP14                   0x40027438         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP15                   0x4002743C         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP16                   0x40027440         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP17                   0x40027444         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP18                   0x40027448         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP19                   0x4002744C         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP20                   0x40027450         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP21                   0x40027454         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP22                   0x40027458         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP23                   0x4002745C         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP24                   0x40027460         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP25                   0x40027464         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP26                   0x40027468         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP27                   0x4002746C         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP28                   0x40027470         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP29                   0x40027474         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP30                   0x40027478         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP31                   0x4002747C         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP32                   0x40027480         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP33                   0x40027484         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP34                   0x40027488         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP35                   0x4002748C         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP36                   0x40027490         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP37                   0x40027494         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP38                   0x40027498         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP39                   0x4002749C         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP40                   0x400274A0         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP41                   0x400274A4         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP42                   0x400274A8         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP43                   0x400274AC         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP44                   0x400274B0         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP45                   0x400274B4         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP46                   0x400274B8         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP47                   0x400274BC         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP48                   0x400274C0         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP49                   0x400274C4         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP50                   0x400274C8         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP51                   0x400274CC         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP52                   0x400274D0         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP53                   0x400274D4         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP54                   0x400274D8         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP55                   0x400274DC         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP56                   0x400274E0         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP57                   0x400274E4         /* SPU0 Write Protect Register n */
#define REG_SPU0_WP58                   0x400274E8         /* SPU0 Write Protect Register n */

/* =========================
        SPU
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         SPU_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPU_CTL_WPLCK                    16                               /* Write Protect Register Lock */
#define BITP_SPU_CTL_GLCK                      0                               /* Global Lock Disable */
#define BITM_SPU_CTL_WPLCK                    (_ADI_MSK(0x00010000,uint32_t))  /* Write Protect Register Lock */
#define BITM_SPU_CTL_GLCK                     (_ADI_MSK(0x000000FF,uint32_t))  /* Global Lock Disable */

/* ------------------------------------------------------------------------------------------------------------------------
         SPU_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPU_STAT_LWERR                   31                               /* Lock Write Error */
#define BITP_SPU_STAT_ADDRERR                 30                               /* Address Error */
#define BITP_SPU_STAT_GLCK                     0                               /* Global Lock Status */
#define BITM_SPU_STAT_LWERR                   (_ADI_MSK(0x80000000,uint32_t))  /* Lock Write Error */
#define BITM_SPU_STAT_ADDRERR                 (_ADI_MSK(0x40000000,uint32_t))  /* Address Error */
#define BITM_SPU_STAT_GLCK                    (_ADI_MSK(0x00000001,uint32_t))  /* Global Lock Status */

/* ------------------------------------------------------------------------------------------------------------------------
         SPU_WP                                Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPU_WP_SM0                       16                               /* System Master x Write Protect Enable */
#define BITP_SPU_WP_SM1                       17                               /* System Master x Write Protect Enable */
#define BITP_SPU_WP_SM2                       18                               /* System Master x Write Protect Enable */
#define BITP_SPU_WP_SM3                       19                               /* System Master x Write Protect Enable */
#define BITP_SPU_WP_CM0                        0                               /* Core Master x Write Protect Enable */
#define BITM_SPU_WP_SM0                       (_ADI_MSK(0x00010000,uint32_t))  /* System Master x Write Protect Enable */
#define BITM_SPU_WP_SM1                       (_ADI_MSK(0x00020000,uint32_t))  /* System Master x Write Protect Enable */
#define BITM_SPU_WP_SM2                       (_ADI_MSK(0x00040000,uint32_t))  /* System Master x Write Protect Enable */
#define BITM_SPU_WP_SM3                       (_ADI_MSK(0x00080000,uint32_t))  /* System Master x Write Protect Enable */
#define BITM_SPU_WP_CM0                       (_ADI_MSK(0x00000001,uint32_t))  /* Core Master x Write Protect Enable */

/* ==================================================
        System Event Controller Registers
   ================================================== */

/* =========================
        SEC0
   ========================= */

/* ------------------------------------------------------------------------------------------------------------------------
       SEC Fault Management Interface (SFI) Register Definitions
   ------------------------------------------------------------------------------------------------------------------------ */
#define REG_SEC0_FCTL                   0x40028010         /* SEC0 Fault Control Register */
#define REG_SEC0_FSTAT                  0x40028014         /* SEC0 Fault Status Register */
#define REG_SEC0_FSID                   0x40028018         /* SEC0 Fault Source ID Register */
#define REG_SEC0_FEND                   0x4002801C         /* SEC0 Fault End Register */
#define REG_SEC0_FDLY                   0x40028020         /* SEC0 Fault Delay Register */
#define REG_SEC0_FDLY_CUR               0x40028024         /* SEC0 Fault Delay Current Register */
#define REG_SEC0_FSRDLY                 0x40028028         /* SEC0 Fault System Reset Delay Register */
#define REG_SEC0_FSRDLY_CUR             0x4002802C         /* SEC0 Fault System Reset Delay Current Register */
#define REG_SEC0_FCOPP                  0x40028030         /* SEC0 Fault COP Period Register */
#define REG_SEC0_FCOPP_CUR              0x40028034         /* SEC0 Fault COP Period Current Register */

/* ------------------------------------------------------------------------------------------------------------------------
       SEC Global Register Definitions
   ------------------------------------------------------------------------------------------------------------------------ */
#define REG_SEC0_GCTL                   0x40028000         /* SEC0 Global Control Register */
#define REG_SEC0_GSTAT                  0x40028004         /* SEC0 Global Status Register */
#define REG_SEC0_RAISE                  0x40028008         /* SEC0 Global Raise Register */

/* ------------------------------------------------------------------------------------------------------------------------
       SEC Source Interface (SSI) Register Definitions
   ------------------------------------------------------------------------------------------------------------------------ */
#define REG_SEC0_SCTL0                  0x40028800         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL1                  0x40028808         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL2                  0x40028810         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL3                  0x40028818         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL4                  0x40028820         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL5                  0x40028828         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL6                  0x40028830         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL7                  0x40028838         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL8                  0x40028840         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL9                  0x40028848         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL10                 0x40028850         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL11                 0x40028858         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL12                 0x40028860         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL13                 0x40028868         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL14                 0x40028870         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL15                 0x40028878         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL16                 0x40028880         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL17                 0x40028888         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL18                 0x40028890         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL19                 0x40028898         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL20                 0x400288A0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL21                 0x400288A8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL22                 0x400288B0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL23                 0x400288B8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL24                 0x400288C0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL25                 0x400288C8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL26                 0x400288D0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL27                 0x400288D8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL28                 0x400288E0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL29                 0x400288E8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL30                 0x400288F0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL31                 0x400288F8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL32                 0x40028900         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL33                 0x40028908         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL34                 0x40028910         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL35                 0x40028918         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL36                 0x40028920         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL37                 0x40028928         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL38                 0x40028930         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL39                 0x40028938         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL40                 0x40028940         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL41                 0x40028948         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL42                 0x40028950         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL43                 0x40028958         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL44                 0x40028960         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL45                 0x40028968         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL46                 0x40028970         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL47                 0x40028978         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL48                 0x40028980         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL49                 0x40028988         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL50                 0x40028990         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL51                 0x40028998         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL52                 0x400289A0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL53                 0x400289A8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL54                 0x400289B0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL55                 0x400289B8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL56                 0x400289C0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL57                 0x400289C8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL58                 0x400289D0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL59                 0x400289D8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL60                 0x400289E0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL61                 0x400289E8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL62                 0x400289F0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL63                 0x400289F8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL64                 0x40028A00         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL65                 0x40028A08         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL66                 0x40028A10         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL67                 0x40028A18         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL68                 0x40028A20         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL69                 0x40028A28         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL70                 0x40028A30         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL71                 0x40028A38         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL72                 0x40028A40         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL73                 0x40028A48         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL74                 0x40028A50         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL75                 0x40028A58         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL76                 0x40028A60         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL77                 0x40028A68         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL78                 0x40028A70         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL79                 0x40028A78         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL80                 0x40028A80         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL81                 0x40028A88         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL82                 0x40028A90         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL83                 0x40028A98         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL84                 0x40028AA0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL85                 0x40028AA8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL86                 0x40028AB0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL87                 0x40028AB8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL88                 0x40028AC0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL89                 0x40028AC8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL90                 0x40028AD0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL91                 0x40028AD8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL92                 0x40028AE0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL93                 0x40028AE8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL94                 0x40028AF0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL95                 0x40028AF8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL96                 0x40028B00         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL97                 0x40028B08         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL98                 0x40028B10         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL99                 0x40028B18         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL100                0x40028B20         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL101                0x40028B28         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL102                0x40028B30         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL103                0x40028B38         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL104                0x40028B40         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL105                0x40028B48         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL106                0x40028B50         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL107                0x40028B58         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL108                0x40028B60         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL109                0x40028B68         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL110                0x40028B70         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL111                0x40028B78         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL112                0x40028B80         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL113                0x40028B88         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL114                0x40028B90         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL115                0x40028B98         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL116                0x40028BA0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL117                0x40028BA8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL118                0x40028BB0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL119                0x40028BB8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL120                0x40028BC0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL121                0x40028BC8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL122                0x40028BD0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL123                0x40028BD8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL124                0x40028BE0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL125                0x40028BE8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL126                0x40028BF0         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL127                0x40028BF8         /* SEC0 Source Control Register n */
#define REG_SEC0_SCTL128                0x40028C00         /* SEC0 Source Control Register n */
#define REG_SEC0_SSTAT0                 0x40028804         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT1                 0x4002880C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT2                 0x40028814         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT3                 0x4002881C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT4                 0x40028824         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT5                 0x4002882C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT6                 0x40028834         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT7                 0x4002883C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT8                 0x40028844         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT9                 0x4002884C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT10                0x40028854         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT11                0x4002885C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT12                0x40028864         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT13                0x4002886C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT14                0x40028874         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT15                0x4002887C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT16                0x40028884         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT17                0x4002888C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT18                0x40028894         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT19                0x4002889C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT20                0x400288A4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT21                0x400288AC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT22                0x400288B4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT23                0x400288BC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT24                0x400288C4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT25                0x400288CC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT26                0x400288D4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT27                0x400288DC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT28                0x400288E4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT29                0x400288EC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT30                0x400288F4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT31                0x400288FC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT32                0x40028904         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT33                0x4002890C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT34                0x40028914         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT35                0x4002891C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT36                0x40028924         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT37                0x4002892C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT38                0x40028934         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT39                0x4002893C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT40                0x40028944         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT41                0x4002894C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT42                0x40028954         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT43                0x4002895C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT44                0x40028964         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT45                0x4002896C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT46                0x40028974         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT47                0x4002897C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT48                0x40028984         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT49                0x4002898C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT50                0x40028994         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT51                0x4002899C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT52                0x400289A4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT53                0x400289AC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT54                0x400289B4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT55                0x400289BC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT56                0x400289C4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT57                0x400289CC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT58                0x400289D4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT59                0x400289DC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT60                0x400289E4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT61                0x400289EC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT62                0x400289F4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT63                0x400289FC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT64                0x40028A04         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT65                0x40028A0C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT66                0x40028A14         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT67                0x40028A1C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT68                0x40028A24         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT69                0x40028A2C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT70                0x40028A34         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT71                0x40028A3C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT72                0x40028A44         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT73                0x40028A4C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT74                0x40028A54         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT75                0x40028A5C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT76                0x40028A64         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT77                0x40028A6C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT78                0x40028A74         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT79                0x40028A7C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT80                0x40028A84         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT81                0x40028A8C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT82                0x40028A94         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT83                0x40028A9C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT84                0x40028AA4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT85                0x40028AAC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT86                0x40028AB4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT87                0x40028ABC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT88                0x40028AC4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT89                0x40028ACC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT90                0x40028AD4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT91                0x40028ADC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT92                0x40028AE4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT93                0x40028AEC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT94                0x40028AF4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT95                0x40028AFC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT96                0x40028B04         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT97                0x40028B0C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT98                0x40028B14         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT99                0x40028B1C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT100               0x40028B24         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT101               0x40028B2C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT102               0x40028B34         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT103               0x40028B3C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT104               0x40028B44         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT105               0x40028B4C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT106               0x40028B54         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT107               0x40028B5C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT108               0x40028B64         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT109               0x40028B6C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT110               0x40028B74         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT111               0x40028B7C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT112               0x40028B84         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT113               0x40028B8C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT114               0x40028B94         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT115               0x40028B9C         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT116               0x40028BA4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT117               0x40028BAC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT118               0x40028BB4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT119               0x40028BBC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT120               0x40028BC4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT121               0x40028BCC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT122               0x40028BD4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT123               0x40028BDC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT124               0x40028BE4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT125               0x40028BEC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT126               0x40028BF4         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT127               0x40028BFC         /* SEC0 Source Status Register n */
#define REG_SEC0_SSTAT128               0x40028C04         /* SEC0 Source Status Register n */

/* =========================
        SEC
   ========================= */

/* ------------------------------------------------------------------------------------------------------------------------
         SEC_FCTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SEC_FCTL_LOCK                    31                               /* Lock */
#define BITP_SEC_FCTL_TES                     13                               /* Trigger Event Select */
#define BITP_SEC_FCTL_CMS                     12                               /* COP Mode Select */
#define BITP_SEC_FCTL_FIEN                     7                               /* Fault Input Enable */
#define BITP_SEC_FCTL_SREN                     6                               /* System Reset Enable */
#define BITP_SEC_FCTL_TOEN                     5                               /* Trigger Output Enable */
#define BITP_SEC_FCTL_FOEN                     4                               /* Fault Output Enable */
#define BITP_SEC_FCTL_RESET                    1                               /* Reset */
#define BITP_SEC_FCTL_EN                       0                               /* Enable */

#define BITM_SEC_FCTL_LOCK                    (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define ENUM_SEC_FCTL_UNLOCK                  (_ADI_MSK(0x00000000,uint32_t))  /* LOCK: UnLock */
#define ENUM_SEC_FCTL_LOCK                    (_ADI_MSK(0x80000000,uint32_t))  /* LOCK: Lock */

#define BITM_SEC_FCTL_TES                     (_ADI_MSK(0x00002000,uint32_t))  /* Trigger Event Select */
#define ENUM_SEC_FCTL_FLTACT_MODE             (_ADI_MSK(0x00000000,uint32_t))  /* TES: Fault Active Mode */
#define ENUM_SEC_FCTL_FLTPND_MODE             (_ADI_MSK(0x00002000,uint32_t))  /* TES: Fault Pending Mode */

#define BITM_SEC_FCTL_CMS                     (_ADI_MSK(0x00001000,uint32_t))  /* COP Mode Select */
#define ENUM_SEC_FCTL_FLT_MODE                (_ADI_MSK(0x00000000,uint32_t))  /* CMS: Fault Mode */
#define ENUM_SEC_FCTL_COP_MODE                (_ADI_MSK(0x00001000,uint32_t))  /* CMS: COP Mode */

#define BITM_SEC_FCTL_FIEN                    (_ADI_MSK(0x00000080,uint32_t))  /* Fault Input Enable */
#define ENUM_SEC_FCTL_FLTIN_DIS               (_ADI_MSK(0x00000000,uint32_t))  /* FIEN: Disable */
#define ENUM_SEC_FCTL_FLTIN_EN                (_ADI_MSK(0x00000080,uint32_t))  /* FIEN: Enable */

#define BITM_SEC_FCTL_SREN                    (_ADI_MSK(0x00000040,uint32_t))  /* System Reset Enable */
#define ENUM_SEC_FCTL_SYSRST_DIS              (_ADI_MSK(0x00000000,uint32_t))  /* SREN: Disable */
#define ENUM_SEC_FCTL_SYSRST_EN               (_ADI_MSK(0x00000040,uint32_t))  /* SREN: Enable */

#define BITM_SEC_FCTL_TOEN                    (_ADI_MSK(0x00000020,uint32_t))  /* Trigger Output Enable */
#define ENUM_SEC_FCTL_TRGOUT_DIS              (_ADI_MSK(0x00000000,uint32_t))  /* TOEN: Disable */
#define ENUM_SEC_FCTL_TRGOUT_EN               (_ADI_MSK(0x00000020,uint32_t))  /* TOEN: Enable */

#define BITM_SEC_FCTL_FOEN                    (_ADI_MSK(0x00000010,uint32_t))  /* Fault Output Enable */
#define ENUM_SEC_FCTL_FLTOUT_DIS              (_ADI_MSK(0x00000000,uint32_t))  /* FOEN: Disable */
#define ENUM_SEC_FCTL_FLTOUT_EN               (_ADI_MSK(0x00000010,uint32_t))  /* FOEN: Enable */

#define BITM_SEC_FCTL_RESET                   (_ADI_MSK(0x00000002,uint32_t))  /* Reset */
#define ENUM_SEC_FCTL_NO_RESET                (_ADI_MSK(0x00000000,uint32_t))  /* RESET: No Action */
#define ENUM_SEC_FCTL_RESET                   (_ADI_MSK(0x00000002,uint32_t))  /* RESET: Reset */

#define BITM_SEC_FCTL_EN                      (_ADI_MSK(0x00000001,uint32_t))  /* Enable */
#define ENUM_SEC_FCTL_DIS                     (_ADI_MSK(0x00000000,uint32_t))  /* EN: Disable */
#define ENUM_SEC_FCTL_EN                      (_ADI_MSK(0x00000001,uint32_t))  /* EN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SEC_FSTAT                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SEC_FSTAT_NPND                   10                               /* Next Pending Fault */
#define BITP_SEC_FSTAT_ACT                     9                               /* Fault Active */
#define BITP_SEC_FSTAT_PND                     8                               /* Pending Fault */
#define BITP_SEC_FSTAT_ERRC                    4                               /* Error Cause */
#define BITP_SEC_FSTAT_ERR                     1                               /* Error */

#define BITM_SEC_FSTAT_NPND                   (_ADI_MSK(0x00000400,uint32_t))  /* Next Pending Fault */
#define ENUM_SEC_FSTAT_NO_NXTFLT              (_ADI_MSK(0x00000000,uint32_t))  /* NPND: Not Pending */
#define ENUM_SEC_FSTAT_NXTFLT                 (_ADI_MSK(0x00000400,uint32_t))  /* NPND: Pending */

#define BITM_SEC_FSTAT_ACT                    (_ADI_MSK(0x00000200,uint32_t))  /* Fault Active */
#define ENUM_SEC_FSTAT_NO_FLTACT              (_ADI_MSK(0x00000000,uint32_t))  /* ACT: No Fault */
#define ENUM_SEC_FSTAT_FLTACT                 (_ADI_MSK(0x00000200,uint32_t))  /* ACT: Active Fault */

#define BITM_SEC_FSTAT_PND                    (_ADI_MSK(0x00000100,uint32_t))  /* Pending Fault */
#define ENUM_SEC_FSTAT_NO_FLTPND              (_ADI_MSK(0x00000000,uint32_t))  /* PND: Not Pending */
#define ENUM_SEC_FSTAT_FLTPND                 (_ADI_MSK(0x00000100,uint32_t))  /* PND: Pending */

#define BITM_SEC_FSTAT_ERRC                   (_ADI_MSK(0x00000030,uint32_t))  /* Error Cause */
#define ENUM_SEC_FSTAT_ENDERR                 (_ADI_MSK(0x00000020,uint32_t))  /* ERRC: End Error */

#define BITM_SEC_FSTAT_ERR                    (_ADI_MSK(0x00000002,uint32_t))  /* Error */
#define ENUM_SEC_FSTAT_NO_ERR                 (_ADI_MSK(0x00000000,uint32_t))  /* ERR: No Error */
#define ENUM_SEC_FSTAT_ERR                    (_ADI_MSK(0x00000002,uint32_t))  /* ERR: Error Occurred */

/* ------------------------------------------------------------------------------------------------------------------------
         SEC_FSID                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SEC_FSID_FEXT                    16                               /* Fault External */
#define BITP_SEC_FSID_SID                      0                               /* Source ID */

#define BITM_SEC_FSID_FEXT                    (_ADI_MSK(0x00010000,uint32_t))  /* Fault External */
#define ENUM_SEC_FSID_SRC_INTFLT              (_ADI_MSK(0x00000000,uint32_t))  /* FEXT: Fault Internal */
#define ENUM_SEC_FSID_SRC_EXTFLT              (_ADI_MSK(0x00010000,uint32_t))  /* FEXT: Fault External */
#define BITM_SEC_FSID_SID                     (_ADI_MSK(0x000000FF,uint32_t))  /* Source ID */

/* ------------------------------------------------------------------------------------------------------------------------
         SEC_FEND                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SEC_FEND_FEXT                    16                               /* Fault External */
#define BITP_SEC_FEND_SID                      0                               /* Source ID */

#define BITM_SEC_FEND_FEXT                    (_ADI_MSK(0x00010000,uint32_t))  /* Fault External */
#define ENUM_SEC_FEND_END_INTFLT              (_ADI_MSK(0x00000000,uint32_t))  /* FEXT: Fault Internal */
#define ENUM_SEC_FEND_END_EXTFLT              (_ADI_MSK(0x00010000,uint32_t))  /* FEXT: Fault External */
#define BITM_SEC_FEND_SID                     (_ADI_MSK(0x000000FF,uint32_t))  /* Source ID */


/* ------------------------------------------------------------------------------------------------------------------------
         SEC_GCTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SEC_GCTL_LOCK                    31                               /* Lock */
#define BITP_SEC_GCTL_RESET                    1                               /* Reset */
#define BITP_SEC_GCTL_EN                       0                               /* Enable */

#define BITM_SEC_GCTL_LOCK                    (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define ENUM_SEC_GCTL_UNLOCK                  (_ADI_MSK(0x00000000,uint32_t))  /* LOCK: Unlock */
#define ENUM_SEC_GCTL_LOCK                    (_ADI_MSK(0x80000000,uint32_t))  /* LOCK: Lock */

#define BITM_SEC_GCTL_RESET                   (_ADI_MSK(0x00000002,uint32_t))  /* Reset */
#define ENUM_SEC_GCTL_NO_RESET                (_ADI_MSK(0x00000000,uint32_t))  /* RESET: No Action */
#define ENUM_SEC_GCTL_RESET                   (_ADI_MSK(0x00000002,uint32_t))  /* RESET: Reset */

#define BITM_SEC_GCTL_EN                      (_ADI_MSK(0x00000001,uint32_t))  /* Enable */
#define ENUM_SEC_GCTL_DIS                     (_ADI_MSK(0x00000000,uint32_t))  /* EN: Disable */
#define ENUM_SEC_GCTL_EN                      (_ADI_MSK(0x00000001,uint32_t))  /* EN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SEC_GSTAT                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SEC_GSTAT_LWERR                  31                               /* Lock Write Error */
#define BITP_SEC_GSTAT_ADRERR                 30                               /* Address Error */
#define BITP_SEC_GSTAT_ERRC                    4                               /* Error Cause */
#define BITP_SEC_GSTAT_ERR                     1                               /* Error */

#define BITM_SEC_GSTAT_LWERR                  (_ADI_MSK(0x80000000,uint32_t))  /* Lock Write Error */
#define ENUM_SEC_GSTAT_NO_LWERR               (_ADI_MSK(0x00000000,uint32_t))  /* LWERR: No Error */
#define ENUM_SEC_GSTAT_LWERR                  (_ADI_MSK(0x80000000,uint32_t))  /* LWERR: Error Occurred */

#define BITM_SEC_GSTAT_ADRERR                 (_ADI_MSK(0x40000000,uint32_t))  /* Address Error */
#define ENUM_SEC_GSTAT_NO_ADRERR              (_ADI_MSK(0x00000000,uint32_t))  /* ADRERR: No Error */
#define ENUM_SEC_GSTAT_ADRERR                 (_ADI_MSK(0x40000000,uint32_t))  /* ADRERR: Error Occurred */

#define BITM_SEC_GSTAT_ERRC                   (_ADI_MSK(0x00000030,uint32_t))  /* Error Cause */
#define ENUM_SEC_GSTAT_SFIERR                 (_ADI_MSK(0x00000000,uint32_t))  /* ERRC: SFI Error */
#define ENUM_SEC_GSTAT_SSIERR                 (_ADI_MSK(0x00000020,uint32_t))  /* ERRC: SSI Error */

#define BITM_SEC_GSTAT_ERR                    (_ADI_MSK(0x00000002,uint32_t))  /* Error */
#define ENUM_SEC_GSTAT_NO_ERR                 (_ADI_MSK(0x00000000,uint32_t))  /* ERR: No Error */
#define ENUM_SEC_GSTAT_ERR                    (_ADI_MSK(0x00000002,uint32_t))  /* ERR: Error Occurred */

/* ------------------------------------------------------------------------------------------------------------------------
         SEC_RAISE                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SEC_RAISE_SID                     0                               /* Source ID of event that is set to Pending status */
#define BITM_SEC_RAISE_SID                    (_ADI_MSK(0x000000FF,uint32_t))  /* Source ID of event that is set to Pending status */


/* ------------------------------------------------------------------------------------------------------------------------
         SEC_SCTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SEC_SCTL_LOCK                    31                               /* Lock */
#define BITP_SEC_SCTL_SEN                      2                               /* Source (signal) Enable */
#define BITP_SEC_SCTL_FEN                      1                               /* Fault Enable */

#define BITM_SEC_SCTL_LOCK                    (_ADI_MSK(0x80000000,uint32_t))  /* Lock */
#define ENUM_SEC_SCTL_UNLOCK                  (_ADI_MSK(0x00000000,uint32_t))  /* LOCK: Unlock */
#define ENUM_SEC_SCTL_LOCK                    (_ADI_MSK(0x80000000,uint32_t))  /* LOCK: Lock */

#define BITM_SEC_SCTL_SEN                     (_ADI_MSK(0x00000004,uint32_t))  /* Source (signal) Enable */
#define ENUM_SEC_SCTL_SRC_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* SEN: Disable */
#define ENUM_SEC_SCTL_SRC_EN                  (_ADI_MSK(0x00000004,uint32_t))  /* SEN: Enable */

#define BITM_SEC_SCTL_FEN                     (_ADI_MSK(0x00000002,uint32_t))  /* Fault Enable */
#define ENUM_SEC_SCTL_FAULT_DIS               (_ADI_MSK(0x00000000,uint32_t))  /* FEN: Disable */
#define ENUM_SEC_SCTL_FAULT_EN                (_ADI_MSK(0x00000002,uint32_t))  /* FEN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SEC_SSTAT                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SEC_SSTAT_PND                     8                               /* Pending Source */

#define BITM_SEC_SSTAT_PND                    (_ADI_MSK(0x00000100,uint32_t))  /* Pending Source */
#define ENUM_SEC_SSTAT_NOTPENDING             (_ADI_MSK(0x00000000,uint32_t))  /* PND: Not Pending */
#define ENUM_SEC_SSTAT_PENDING                (_ADI_MSK(0x00000100,uint32_t))  /* PND: Pending */

/* ==================================================
        JTAG Registers
   ================================================== */

/* =========================
        JTAG0
   ========================= */
#define REG_JTAG0_IDCODE                0x40029000         /* JTAG0 IDCODE Register */
#define REG_JTAG0_USERCODE              0x40029004         /* JTAG0 User Code Register */

/* =========================
        JTAG
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         JTAG_IDCODE                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_JTAG_IDCODE_REVID                28                               /* Revision ID */
#define BITP_JTAG_IDCODE_PRID                 12                               /* Product ID */
#define BITP_JTAG_IDCODE_MFID                  1                               /* Manufacturer ID */
#define BITM_JTAG_IDCODE_REVID                (_ADI_MSK(0xF0000000,uint32_t))  /* Revision ID */
#define BITM_JTAG_IDCODE_PRID                 (_ADI_MSK(0x0FFFF000,uint32_t))  /* Product ID */
#define BITM_JTAG_IDCODE_MFID                 (_ADI_MSK(0x00000FFE,uint32_t))  /* Manufacturer ID */

/* ==================================================
        Serial Peripheral Interface Registers
   ================================================== */

/* =========================
        SPI0
   ========================= */
#define REG_SPI0_CTL                    0x4002A004         /* SPI0 Control Register */
#define REG_SPI0_RXCTL                  0x4002A008         /* SPI0 Receive Control Register */
#define REG_SPI0_TXCTL                  0x4002A00C         /* SPI0 Transmit Control Register */
#define REG_SPI0_CLK                    0x4002A010         /* SPI0 Clock Rate Register */
#define REG_SPI0_DLY                    0x4002A014         /* SPI0 Delay Register */
#define REG_SPI0_SLVSEL                 0x4002A018         /* SPI0 Slave Select Register */
#define REG_SPI0_RWC                    0x4002A01C         /* SPI0 Received Word Count Register */
#define REG_SPI0_RWCR                   0x4002A020         /* SPI0 Received Word Count Reload Register */
#define REG_SPI0_TWC                    0x4002A024         /* SPI0 Transmitted Word Count Register */
#define REG_SPI0_TWCR                   0x4002A028         /* SPI0 Transmitted Word Count Reload Register */
#define REG_SPI0_IMSK                   0x4002A030         /* SPI0 Interrupt Mask Register */
#define REG_SPI0_IMSK_CLR               0x4002A034         /* SPI0 Interrupt Mask Clear Register */
#define REG_SPI0_IMSK_SET               0x4002A038         /* SPI0 Interrupt Mask Set Register */
#define REG_SPI0_STAT                   0x4002A040         /* SPI0 Status Register */
#define REG_SPI0_ILAT                   0x4002A044         /* SPI0 Masked Interrupt Condition Register */
#define REG_SPI0_ILAT_CLR               0x4002A048         /* SPI0 Masked Interrupt Clear Register */
#define REG_SPI0_RFIFO                  0x4002A050         /* SPI0 Receive FIFO Data Register */
#define REG_SPI0_TFIFO                  0x4002A058         /* SPI0 Transmit FIFO Data Register */
#define REG_SPI0_MMRDH                  0x4002A060         /* SPI0 Memory Mapped Read Header */
#define REG_SPI0_MMTOP                  0x4002A064         /* SPI0 SPI Memory Top Address */

/* =========================
        SPI1
   ========================= */
#define REG_SPI1_CTL                    0x4002B004         /* SPI1 Control Register */
#define REG_SPI1_RXCTL                  0x4002B008         /* SPI1 Receive Control Register */
#define REG_SPI1_TXCTL                  0x4002B00C         /* SPI1 Transmit Control Register */
#define REG_SPI1_CLK                    0x4002B010         /* SPI1 Clock Rate Register */
#define REG_SPI1_DLY                    0x4002B014         /* SPI1 Delay Register */
#define REG_SPI1_SLVSEL                 0x4002B018         /* SPI1 Slave Select Register */
#define REG_SPI1_RWC                    0x4002B01C         /* SPI1 Received Word Count Register */
#define REG_SPI1_RWCR                   0x4002B020         /* SPI1 Received Word Count Reload Register */
#define REG_SPI1_TWC                    0x4002B024         /* SPI1 Transmitted Word Count Register */
#define REG_SPI1_TWCR                   0x4002B028         /* SPI1 Transmitted Word Count Reload Register */
#define REG_SPI1_IMSK                   0x4002B030         /* SPI1 Interrupt Mask Register */
#define REG_SPI1_IMSK_CLR               0x4002B034         /* SPI1 Interrupt Mask Clear Register */
#define REG_SPI1_IMSK_SET               0x4002B038         /* SPI1 Interrupt Mask Set Register */
#define REG_SPI1_STAT                   0x4002B040         /* SPI1 Status Register */
#define REG_SPI1_ILAT                   0x4002B044         /* SPI1 Masked Interrupt Condition Register */
#define REG_SPI1_ILAT_CLR               0x4002B048         /* SPI1 Masked Interrupt Clear Register */
#define REG_SPI1_RFIFO                  0x4002B050         /* SPI1 Receive FIFO Data Register */
#define REG_SPI1_TFIFO                  0x4002B058         /* SPI1 Transmit FIFO Data Register */
#define REG_SPI1_MMRDH                  0x4002B060         /* SPI1 Memory Mapped Read Header */
#define REG_SPI1_MMTOP                  0x4002B064         /* SPI1 SPI Memory Top Address */

/* =========================
        SPI2
   ========================= */
#define REG_SPI2_CTL                    0x4002C004         /* SPI2 Control Register */
#define REG_SPI2_RXCTL                  0x4002C008         /* SPI2 Receive Control Register */
#define REG_SPI2_TXCTL                  0x4002C00C         /* SPI2 Transmit Control Register */
#define REG_SPI2_CLK                    0x4002C010         /* SPI2 Clock Rate Register */
#define REG_SPI2_DLY                    0x4002C014         /* SPI2 Delay Register */
#define REG_SPI2_SLVSEL                 0x4002C018         /* SPI2 Slave Select Register */
#define REG_SPI2_RWC                    0x4002C01C         /* SPI2 Received Word Count Register */
#define REG_SPI2_RWCR                   0x4002C020         /* SPI2 Received Word Count Reload Register */
#define REG_SPI2_TWC                    0x4002C024         /* SPI2 Transmitted Word Count Register */
#define REG_SPI2_TWCR                   0x4002C028         /* SPI2 Transmitted Word Count Reload Register */
#define REG_SPI2_IMSK                   0x4002C030         /* SPI2 Interrupt Mask Register */
#define REG_SPI2_IMSK_CLR               0x4002C034         /* SPI2 Interrupt Mask Clear Register */
#define REG_SPI2_IMSK_SET               0x4002C038         /* SPI2 Interrupt Mask Set Register */
#define REG_SPI2_STAT                   0x4002C040         /* SPI2 Status Register */
#define REG_SPI2_ILAT                   0x4002C044         /* SPI2 Masked Interrupt Condition Register */
#define REG_SPI2_ILAT_CLR               0x4002C048         /* SPI2 Masked Interrupt Clear Register */
#define REG_SPI2_RFIFO                  0x4002C050         /* SPI2 Receive FIFO Data Register */
#define REG_SPI2_TFIFO                  0x4002C058         /* SPI2 Transmit FIFO Data Register */
#define REG_SPI2_MMRDH                  0x4002C060         /* SPI2 Memory Mapped Read Header */
#define REG_SPI2_MMTOP                  0x4002C064         /* SPI2 SPI Memory Top Address */

/* =========================
        SPI
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         SPI_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_CTL_MMSE                     31                               /* Memory-Mapped SPI Enable */
#define BITP_SPI_CTL_MMWEM                    30                               /* Memory Mapped Write Error Mask */
#define BITP_SPI_CTL_SOSI                     22                               /* Start on MOSI */
#define BITP_SPI_CTL_MIOM                     20                               /* Multiple I/O Mode */
#define BITP_SPI_CTL_FMODE                    18                               /* Fast-Mode Enable */
#define BITP_SPI_CTL_FCWM                     16                               /* Flow Control Watermark */
#define BITP_SPI_CTL_FCPL                     15                               /* Flow Control Polarity */
#define BITP_SPI_CTL_FCCH                     14                               /* Flow Control Channel Selection */
#define BITP_SPI_CTL_FCEN                     13                               /* Flow Control Enable */
#define BITP_SPI_CTL_LSBF                     12                               /* Least Significant Bit First */
#define BITP_SPI_CTL_SIZE                      9                               /* Word Transfer Size */
#define BITP_SPI_CTL_EMISO                     8                               /* Enable MISO */
#define BITP_SPI_CTL_SELST                     7                               /* Slave Select Polarity Between Transfers */
#define BITP_SPI_CTL_ASSEL                     6                               /* Slave Select Pin Control */
#define BITP_SPI_CTL_CPOL                      5                               /* Clock Polarity */
#define BITP_SPI_CTL_CPHA                      4                               /* Clock Phase */
#define BITP_SPI_CTL_ODM                       3                               /* Open Drain Mode */
#define BITP_SPI_CTL_PSSE                      2                               /* Protected Slave Select Enable */
#define BITP_SPI_CTL_MSTR                      1                               /* Master/Slave */
#define BITP_SPI_CTL_EN                        0                               /* Enable */

#define BITM_SPI_CTL_MMSE                     (_ADI_MSK(0x80000000,uint32_t))  /* Memory-Mapped SPI Enable */
#define ENUM_SPI_CTL_MM_DIS                   (_ADI_MSK(0x00000000,uint32_t))  /* MMSE: Hardware automated access of memory-mapped SPI memory disabled. */
#define ENUM_SPI_CTL_MM_EN                    (_ADI_MSK(0x80000000,uint32_t))  /* MMSE: Hardware-automated access of memory-mapped SPI memory enabled. */

#define BITM_SPI_CTL_MMWEM                    (_ADI_MSK(0x40000000,uint32_t))  /* Memory Mapped Write Error Mask */
#define ENUM_SPI_CTL_WEM_UNMSK                (_ADI_MSK(0x00000000,uint32_t))  /* MMWEM: Write error response returned upon write attempts to memory-mapped SPI memory */
#define ENUM_SPI_CTL_WEM_MSK                  (_ADI_MSK(0x40000000,uint32_t))  /* MMWEM: Write error response masked (not returned) upon write attempts to memory-mapped SPI memory */

#define BITM_SPI_CTL_SOSI                     (_ADI_MSK(0x00400000,uint32_t))  /* Start on MOSI */
#define ENUM_SPI_CTL_STMISO                   (_ADI_MSK(0x00000000,uint32_t))  /* SOSI: Start on MISO (DIOM) or start on SPIQ3 (QSPI) */
#define ENUM_SPI_CTL_STMOSI                   (_ADI_MSK(0x00400000,uint32_t))  /* SOSI: Start on MOSI */

#define BITM_SPI_CTL_MIOM                     (_ADI_MSK(0x00300000,uint32_t))  /* Multiple I/O Mode */
#define ENUM_SPI_CTL_MIO_DIS                  (_ADI_MSK(0x00000000,uint32_t))  /* MIOM: No MIOM (disabled) */
#define ENUM_SPI_CTL_MIO_DUAL                 (_ADI_MSK(0x00100000,uint32_t))  /* MIOM: DIOM operation */
#define ENUM_SPI_CTL_MIO_QUAD                 (_ADI_MSK(0x00200000,uint32_t))  /* MIOM: QIOM operation */

#define BITM_SPI_CTL_FMODE                    (_ADI_MSK(0x00040000,uint32_t))  /* Fast-Mode Enable */
#define ENUM_SPI_CTL_FAST_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* FMODE: Disable */
#define ENUM_SPI_CTL_FAST_EN                  (_ADI_MSK(0x00040000,uint32_t))  /* FMODE: Enable */

#define BITM_SPI_CTL_FCWM                     (_ADI_MSK(0x00030000,uint32_t))  /* Flow Control Watermark */
#define ENUM_SPI_CTL_FIFO0                    (_ADI_MSK(0x00000000,uint32_t))  /* FCWM: TFIFO empty or RFIFO full */
#define ENUM_SPI_CTL_FIFO1                    (_ADI_MSK(0x00010000,uint32_t))  /* FCWM: TFIFO 75% or more empty, or RFIFO 75% or more full */
#define ENUM_SPI_CTL_FIFO2                    (_ADI_MSK(0x00020000,uint32_t))  /* FCWM: TFIFO 50% or more empty, or RFIFO 50% or more full */

#define BITM_SPI_CTL_FCPL                     (_ADI_MSK(0x00008000,uint32_t))  /* Flow Control Polarity */
#define ENUM_SPI_CTL_FLOW_LO                  (_ADI_MSK(0x00000000,uint32_t))  /* FCPL: Active-low RDY */
#define ENUM_SPI_CTL_FLOW_HI                  (_ADI_MSK(0x00008000,uint32_t))  /* FCPL: Active-high RDY */

#define BITM_SPI_CTL_FCCH                     (_ADI_MSK(0x00004000,uint32_t))  /* Flow Control Channel Selection */
#define ENUM_SPI_CTL_FLOW_RX                  (_ADI_MSK(0x00000000,uint32_t))  /* FCCH: Flow control on RX buffer */
#define ENUM_SPI_CTL_FLOW_TX                  (_ADI_MSK(0x00004000,uint32_t))  /* FCCH: Flow control on TX buffer */

#define BITM_SPI_CTL_FCEN                     (_ADI_MSK(0x00002000,uint32_t))  /* Flow Control Enable */
#define ENUM_SPI_CTL_FLOW_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* FCEN: Disable */
#define ENUM_SPI_CTL_FLOW_EN                  (_ADI_MSK(0x00002000,uint32_t))  /* FCEN: Enable */

#define BITM_SPI_CTL_LSBF                     (_ADI_MSK(0x00001000,uint32_t))  /* Least Significant Bit First */
#define ENUM_SPI_CTL_MSB_FIRST                (_ADI_MSK(0x00000000,uint32_t))  /* LSBF: MSB sent/received first (big endian) */
#define ENUM_SPI_CTL_LSB_FIRST                (_ADI_MSK(0x00001000,uint32_t))  /* LSBF: LSB sent/received first (little endian) */

#define BITM_SPI_CTL_SIZE                     (_ADI_MSK(0x00000600,uint32_t))  /* Word Transfer Size */
#define ENUM_SPI_CTL_SIZE08                   (_ADI_MSK(0x00000000,uint32_t))  /* SIZE: 8-bit word */
#define ENUM_SPI_CTL_SIZE16                   (_ADI_MSK(0x00000200,uint32_t))  /* SIZE: 16-bit word */
#define ENUM_SPI_CTL_SIZE32                   (_ADI_MSK(0x00000400,uint32_t))  /* SIZE: 32-bit word */

#define BITM_SPI_CTL_EMISO                    (_ADI_MSK(0x00000100,uint32_t))  /* Enable MISO */
#define ENUM_SPI_CTL_MISO_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* EMISO: Disable */
#define ENUM_SPI_CTL_MISO_EN                  (_ADI_MSK(0x00000100,uint32_t))  /* EMISO: Enable */

#define BITM_SPI_CTL_SELST                    (_ADI_MSK(0x00000080,uint32_t))  /* Slave Select Polarity Between Transfers */
#define ENUM_SPI_CTL_DEASSRT_SSEL             (_ADI_MSK(0x00000000,uint32_t))  /* SELST: De-assert slave select (high) */
#define ENUM_SPI_CTL_ASSRT_SSEL               (_ADI_MSK(0x00000080,uint32_t))  /* SELST: Assert slave select (low) */

#define BITM_SPI_CTL_ASSEL                    (_ADI_MSK(0x00000040,uint32_t))  /* Slave Select Pin Control */
#define ENUM_SPI_CTL_SW_SSEL                  (_ADI_MSK(0x00000000,uint32_t))  /* ASSEL: Software Slave Select Control */
#define ENUM_SPI_CTL_HW_SSEL                  (_ADI_MSK(0x00000040,uint32_t))  /* ASSEL: Hardware Slave Select Control */

#define BITM_SPI_CTL_CPOL                     (_ADI_MSK(0x00000020,uint32_t))  /* Clock Polarity */
#define ENUM_SPI_CTL_SCKHI                    (_ADI_MSK(0x00000000,uint32_t))  /* CPOL: Active-high SPI CLK */
#define ENUM_SPI_CTL_SCKLO                    (_ADI_MSK(0x00000020,uint32_t))  /* CPOL: Active-low SPI CLK */

#define BITM_SPI_CTL_CPHA                     (_ADI_MSK(0x00000010,uint32_t))  /* Clock Phase */
#define ENUM_SPI_CTL_SCKMID                   (_ADI_MSK(0x00000000,uint32_t))  /* CPHA: SPI CLK toggles from middle */
#define ENUM_SPI_CTL_SCKBEG                   (_ADI_MSK(0x00000010,uint32_t))  /* CPHA: SPI CLK toggles from start */

#define BITM_SPI_CTL_ODM                      (_ADI_MSK(0x00000008,uint32_t))  /* Open Drain Mode */
#define ENUM_SPI_CTL_ODM_DIS                  (_ADI_MSK(0x00000000,uint32_t))  /* ODM: Disable */
#define ENUM_SPI_CTL_ODM_EN                   (_ADI_MSK(0x00000008,uint32_t))  /* ODM: Enable */

#define BITM_SPI_CTL_PSSE                     (_ADI_MSK(0x00000004,uint32_t))  /* Protected Slave Select Enable */
#define ENUM_SPI_CTL_PSSE_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* PSSE: Disable */
#define ENUM_SPI_CTL_PSSE_EN                  (_ADI_MSK(0x00000004,uint32_t))  /* PSSE: Enable */

#define BITM_SPI_CTL_MSTR                     (_ADI_MSK(0x00000002,uint32_t))  /* Master/Slave */
#define ENUM_SPI_CTL_SLAVE                    (_ADI_MSK(0x00000000,uint32_t))  /* MSTR: Slave */
#define ENUM_SPI_CTL_MASTER                   (_ADI_MSK(0x00000002,uint32_t))  /* MSTR: Master */

#define BITM_SPI_CTL_EN                       (_ADI_MSK(0x00000001,uint32_t))  /* Enable */
#define ENUM_SPI_CTL_DIS                      (_ADI_MSK(0x00000000,uint32_t))  /* EN: Disable SPI module */
#define ENUM_SPI_CTL_EN                       (_ADI_MSK(0x00000001,uint32_t))  /* EN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_RXCTL                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_RXCTL_RUWM                   16                               /* Receive FIFO Urgent Watermark */
#define BITP_SPI_RXCTL_RRWM                   12                               /* Receive FIFO Regular Watermark */
#define BITP_SPI_RXCTL_RDO                     8                               /* Receive Data Overrun */
#define BITP_SPI_RXCTL_RDR                     4                               /* Receive Data Request */
#define BITP_SPI_RXCTL_RWCEN                   3                               /* Receive Word Counter Enable */
#define BITP_SPI_RXCTL_RTI                     2                               /* Receive Transfer Initiate */
#define BITP_SPI_RXCTL_REN                     0                               /* Receive Enable */

#define BITM_SPI_RXCTL_RUWM                   (_ADI_MSK(0x00070000,uint32_t))  /* Receive FIFO Urgent Watermark */
#define ENUM_SPI_RXCTL_UWM_DIS                (_ADI_MSK(0x00000000,uint32_t))  /* RUWM: Disabled */
#define ENUM_SPI_RXCTL_UWM_25                 (_ADI_MSK(0x00010000,uint32_t))  /* RUWM: 25% full RFIFO */
#define ENUM_SPI_RXCTL_UWM_50                 (_ADI_MSK(0x00020000,uint32_t))  /* RUWM: 50% full RFIFO */
#define ENUM_SPI_RXCTL_UWM_75                 (_ADI_MSK(0x00030000,uint32_t))  /* RUWM: 75% full RFIFO */
#define ENUM_SPI_RXCTL_UWM_FULL               (_ADI_MSK(0x00040000,uint32_t))  /* RUWM: Full RFIFO */

#define BITM_SPI_RXCTL_RRWM                   (_ADI_MSK(0x00003000,uint32_t))  /* Receive FIFO Regular Watermark */
#define ENUM_SPI_RXCTL_RWM_0                  (_ADI_MSK(0x00000000,uint32_t))  /* RRWM: Empty RFIFO */
#define ENUM_SPI_RXCTL_RWM_25                 (_ADI_MSK(0x00001000,uint32_t))  /* RRWM: RFIFO less than 25% full */
#define ENUM_SPI_RXCTL_RWM_50                 (_ADI_MSK(0x00002000,uint32_t))  /* RRWM: RFIFO less than 50% full */
#define ENUM_SPI_RXCTL_RWM_75                 (_ADI_MSK(0x00003000,uint32_t))  /* RRWM: RFIFO less than 75% full */

#define BITM_SPI_RXCTL_RDO                    (_ADI_MSK(0x00000100,uint32_t))  /* Receive Data Overrun */
#define ENUM_SPI_RXCTL_DISCARD                (_ADI_MSK(0x00000000,uint32_t))  /* RDO: Discard incoming data if SPI_RFIFO is full */
#define ENUM_SPI_RXCTL_OVERWRITE              (_ADI_MSK(0x00000100,uint32_t))  /* RDO: Overwrite old data if SPI_RFIFO is full */

#define BITM_SPI_RXCTL_RDR                    (_ADI_MSK(0x00000070,uint32_t))  /* Receive Data Request */
#define ENUM_SPI_RXCTL_RDR_DIS                (_ADI_MSK(0x00000000,uint32_t))  /* RDR: Disabled */
#define ENUM_SPI_RXCTL_RDR_NE                 (_ADI_MSK(0x00000010,uint32_t))  /* RDR: Not empty RFIFO */
#define ENUM_SPI_RXCTL_RDR_25                 (_ADI_MSK(0x00000020,uint32_t))  /* RDR: 25% full RFIFO */
#define ENUM_SPI_RXCTL_RDR_50                 (_ADI_MSK(0x00000030,uint32_t))  /* RDR: 50% full RFIFO */
#define ENUM_SPI_RXCTL_RDR_75                 (_ADI_MSK(0x00000040,uint32_t))  /* RDR: 75% full RFIFO */
#define ENUM_SPI_RXCTL_RDR_FULL               (_ADI_MSK(0x00000050,uint32_t))  /* RDR: Full RFIFO */

#define BITM_SPI_RXCTL_RWCEN                  (_ADI_MSK(0x00000008,uint32_t))  /* Receive Word Counter Enable */
#define ENUM_SPI_RXCTL_RWC_DIS                (_ADI_MSK(0x00000000,uint32_t))  /* RWCEN: Disable */
#define ENUM_SPI_RXCTL_RWC_EN                 (_ADI_MSK(0x00000008,uint32_t))  /* RWCEN: Enable */

#define BITM_SPI_RXCTL_RTI                    (_ADI_MSK(0x00000004,uint32_t))  /* Receive Transfer Initiate */
#define ENUM_SPI_RXCTL_RTI_DIS                (_ADI_MSK(0x00000000,uint32_t))  /* RTI: Disable */
#define ENUM_SPI_RXCTL_RTI_EN                 (_ADI_MSK(0x00000004,uint32_t))  /* RTI: Enable */

#define BITM_SPI_RXCTL_REN                    (_ADI_MSK(0x00000001,uint32_t))  /* Receive Enable */
#define ENUM_SPI_RXCTL_RX_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* REN: Disable */
#define ENUM_SPI_RXCTL_RX_EN                  (_ADI_MSK(0x00000001,uint32_t))  /* REN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_TXCTL                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_TXCTL_TUWM                   16                               /* FIFO Urgent Watermark */
#define BITP_SPI_TXCTL_TRWM                   12                               /* FIFO Regular Watermark */
#define BITP_SPI_TXCTL_TDU                     8                               /* Transmit Data Under-run */
#define BITP_SPI_TXCTL_TDR                     4                               /* Transmit Data Request */
#define BITP_SPI_TXCTL_TWCEN                   3                               /* Transmit Word Counter Enable */
#define BITP_SPI_TXCTL_TTI                     2                               /* Transmit Transfer Initiate */
#define BITP_SPI_TXCTL_TEN                     0                               /* Transmit Enable */

#define BITM_SPI_TXCTL_TUWM                   (_ADI_MSK(0x00070000,uint32_t))  /* FIFO Urgent Watermark */
#define ENUM_SPI_TXCTL_UWM_DIS                (_ADI_MSK(0x00000000,uint32_t))  /* TUWM: Disabled */
#define ENUM_SPI_TXCTL_UWM_25                 (_ADI_MSK(0x00010000,uint32_t))  /* TUWM: 25% empty TFIFO */
#define ENUM_SPI_TXCTL_UWM_50                 (_ADI_MSK(0x00020000,uint32_t))  /* TUWM: 50% empty TFIFO */
#define ENUM_SPI_TXCTL_UWM_75                 (_ADI_MSK(0x00030000,uint32_t))  /* TUWM: 75% empty TFIFO */
#define ENUM_SPI_TXCTL_UWM_EMPTY              (_ADI_MSK(0x00040000,uint32_t))  /* TUWM: Empty TFIFO */

#define BITM_SPI_TXCTL_TRWM                   (_ADI_MSK(0x00003000,uint32_t))  /* FIFO Regular Watermark */
#define ENUM_SPI_TXCTL_RWM_FULL               (_ADI_MSK(0x00000000,uint32_t))  /* TRWM: Full TFIFO */
#define ENUM_SPI_TXCTL_RWM_25                 (_ADI_MSK(0x00001000,uint32_t))  /* TRWM: TFIFO less than 25% empty */
#define ENUM_SPI_TXCTL_RWM_50                 (_ADI_MSK(0x00002000,uint32_t))  /* TRWM: TFIFO less than 50% empty */
#define ENUM_SPI_TXCTL_RWM_75                 (_ADI_MSK(0x00003000,uint32_t))  /* TRWM: TFIFO less than 75% empty */

#define BITM_SPI_TXCTL_TDU                    (_ADI_MSK(0x00000100,uint32_t))  /* Transmit Data Under-run */
#define ENUM_SPI_TXCTL_LASTWD                 (_ADI_MSK(0x00000000,uint32_t))  /* TDU: Send last word when SPI_TFIFO is empty */
#define ENUM_SPI_TXCTL_ZERO                   (_ADI_MSK(0x00000100,uint32_t))  /* TDU: Send zeros when SPI_TFIFO is empty */

#define BITM_SPI_TXCTL_TDR                    (_ADI_MSK(0x00000070,uint32_t))  /* Transmit Data Request */
#define ENUM_SPI_TXCTL_TDR_DIS                (_ADI_MSK(0x00000000,uint32_t))  /* TDR: Disabled */
#define ENUM_SPI_TXCTL_TDR_NF                 (_ADI_MSK(0x00000010,uint32_t))  /* TDR: Not full TFIFO */
#define ENUM_SPI_TXCTL_TDR_25                 (_ADI_MSK(0x00000020,uint32_t))  /* TDR: 25% empty TFIFO */
#define ENUM_SPI_TXCTL_TDR_50                 (_ADI_MSK(0x00000030,uint32_t))  /* TDR: 50% empty TFIFO */
#define ENUM_SPI_TXCTL_TDR_75                 (_ADI_MSK(0x00000040,uint32_t))  /* TDR: 75% empty TFIFO */
#define ENUM_SPI_TXCTL_TDR_EMPTY              (_ADI_MSK(0x00000050,uint32_t))  /* TDR: Empty TFIFO */

#define BITM_SPI_TXCTL_TWCEN                  (_ADI_MSK(0x00000008,uint32_t))  /* Transmit Word Counter Enable */
#define ENUM_SPI_TXCTL_TWC_DIS                (_ADI_MSK(0x00000000,uint32_t))  /* TWCEN: Disable */
#define ENUM_SPI_TXCTL_TWC_EN                 (_ADI_MSK(0x00000008,uint32_t))  /* TWCEN: Enable */

#define BITM_SPI_TXCTL_TTI                    (_ADI_MSK(0x00000004,uint32_t))  /* Transmit Transfer Initiate */
#define ENUM_SPI_TXCTL_TTI_DIS                (_ADI_MSK(0x00000000,uint32_t))  /* TTI: Disable */
#define ENUM_SPI_TXCTL_TTI_EN                 (_ADI_MSK(0x00000004,uint32_t))  /* TTI: Enable */

#define BITM_SPI_TXCTL_TEN                    (_ADI_MSK(0x00000001,uint32_t))  /* Transmit Enable */
#define ENUM_SPI_TXCTL_TX_DIS                 (_ADI_MSK(0x00000000,uint32_t))  /* TEN: Disable */
#define ENUM_SPI_TXCTL_TX_EN                  (_ADI_MSK(0x00000001,uint32_t))  /* TEN: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_CLK                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_CLK_BAUD                      0                               /* Baud Rate */
#define BITM_SPI_CLK_BAUD                     (_ADI_MSK(0x0000FFFF,uint32_t))  /* Baud Rate */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_DLY                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_DLY_LAGX                      9                               /* Extended SPI Clock Lag Control */
#define BITP_SPI_DLY_LEADX                     8                               /* Extended SPI Clock Lead Control */
#define BITP_SPI_DLY_STOP                      0                               /* Transfer delay time in multiples of SPI clock period */
#define BITM_SPI_DLY_LAGX                     (_ADI_MSK(0x00000200,uint32_t))  /* Extended SPI Clock Lag Control */
#define BITM_SPI_DLY_LEADX                    (_ADI_MSK(0x00000100,uint32_t))  /* Extended SPI Clock Lead Control */
#define BITM_SPI_DLY_STOP                     (_ADI_MSK(0x000000FF,uint32_t))  /* Transfer delay time in multiples of SPI clock period */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_SLVSEL                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_SLVSEL_SSEL7                 15                               /* Slave Select 7 Input */
#define BITP_SPI_SLVSEL_SSEL6                 14                               /* Slave Select 6 Input */
#define BITP_SPI_SLVSEL_SSEL5                 13                               /* Slave Select 5 Input */
#define BITP_SPI_SLVSEL_SSEL4                 12                               /* Slave Select 4 Input */
#define BITP_SPI_SLVSEL_SSEL3                 11                               /* Slave Select 3 Input */
#define BITP_SPI_SLVSEL_SSEL2                 10                               /* Slave Select 2 Input */
#define BITP_SPI_SLVSEL_SSEL1                  9                               /* Slave Select 1 Input */
#define BITP_SPI_SLVSEL_SSE7                   7                               /* Slave Select 7 Enable */
#define BITP_SPI_SLVSEL_SSE6                   6                               /* Slave Select 6 Enable */
#define BITP_SPI_SLVSEL_SSE5                   5                               /* Slave Select 5 Enable */
#define BITP_SPI_SLVSEL_SSE4                   4                               /* Slave Select 4 Enable */
#define BITP_SPI_SLVSEL_SSE3                   3                               /* Slave Select 3 Enable */
#define BITP_SPI_SLVSEL_SSE2                   2                               /* Slave Select 2 Enable */
#define BITP_SPI_SLVSEL_SSE1                   1                               /* Slave Select 1 Enable */

#define BITM_SPI_SLVSEL_SSEL7                 (_ADI_MSK(0x00008000,uint32_t))  /* Slave Select 7 Input */
#define ENUM_SPI_SLVSEL_SSEL7_LO              (_ADI_MSK(0x00000000,uint32_t))  /* SSEL7: Low */
#define ENUM_SPI_SLVSEL_SSEL7_HI              (_ADI_MSK(0x00008000,uint32_t))  /* SSEL7: High */

#define BITM_SPI_SLVSEL_SSEL6                 (_ADI_MSK(0x00004000,uint32_t))  /* Slave Select 6 Input */
#define ENUM_SPI_SLVSEL_SSEL6_LO              (_ADI_MSK(0x00000000,uint32_t))  /* SSEL6: Low */
#define ENUM_SPI_SLVSEL_SSEL6_HI              (_ADI_MSK(0x00004000,uint32_t))  /* SSEL6: High */

#define BITM_SPI_SLVSEL_SSEL5                 (_ADI_MSK(0x00002000,uint32_t))  /* Slave Select 5 Input */
#define ENUM_SPI_SLVSEL_SSEL5_LO              (_ADI_MSK(0x00000000,uint32_t))  /* SSEL5: Low */
#define ENUM_SPI_SLVSEL_SSEL5_HI              (_ADI_MSK(0x00002000,uint32_t))  /* SSEL5: High */

#define BITM_SPI_SLVSEL_SSEL4                 (_ADI_MSK(0x00001000,uint32_t))  /* Slave Select 4 Input */
#define ENUM_SPI_SLVSEL_SSEL4_LO              (_ADI_MSK(0x00000000,uint32_t))  /* SSEL4: Low */
#define ENUM_SPI_SLVSEL_SSEL4_HI              (_ADI_MSK(0x00001000,uint32_t))  /* SSEL4: High */

#define BITM_SPI_SLVSEL_SSEL3                 (_ADI_MSK(0x00000800,uint32_t))  /* Slave Select 3 Input */
#define ENUM_SPI_SLVSEL_SSEL3_LO              (_ADI_MSK(0x00000000,uint32_t))  /* SSEL3: Low */
#define ENUM_SPI_SLVSEL_SSEL3_HI              (_ADI_MSK(0x00000800,uint32_t))  /* SSEL3: High */

#define BITM_SPI_SLVSEL_SSEL2                 (_ADI_MSK(0x00000400,uint32_t))  /* Slave Select 2 Input */
#define ENUM_SPI_SLVSEL_SSEL2_LO              (_ADI_MSK(0x00000000,uint32_t))  /* SSEL2: Low */
#define ENUM_SPI_SLVSEL_SSEL2_HI              (_ADI_MSK(0x00000400,uint32_t))  /* SSEL2: High */

#define BITM_SPI_SLVSEL_SSEL1                 (_ADI_MSK(0x00000200,uint32_t))  /* Slave Select 1 Input */
#define ENUM_SPI_SLVSEL_SSEL1_LO              (_ADI_MSK(0x00000000,uint32_t))  /* SSEL1: Low */
#define ENUM_SPI_SLVSEL_SSEL1_HI              (_ADI_MSK(0x00000200,uint32_t))  /* SSEL1: High */

#define BITM_SPI_SLVSEL_SSE7                  (_ADI_MSK(0x00000080,uint32_t))  /* Slave Select 7 Enable */
#define ENUM_SPI_SLVSEL_SSEL7_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* SSE7: Disable */
#define ENUM_SPI_SLVSEL_SSEL7_EN              (_ADI_MSK(0x00000080,uint32_t))  /* SSE7: Enable */

#define BITM_SPI_SLVSEL_SSE6                  (_ADI_MSK(0x00000040,uint32_t))  /* Slave Select 6 Enable */
#define ENUM_SPI_SLVSEL_SSEL6_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* SSE6: Disable */
#define ENUM_SPI_SLVSEL_SSEL6_EN              (_ADI_MSK(0x00000040,uint32_t))  /* SSE6: Enable */

#define BITM_SPI_SLVSEL_SSE5                  (_ADI_MSK(0x00000020,uint32_t))  /* Slave Select 5 Enable */
#define ENUM_SPI_SLVSEL_SSEL5_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* SSE5: Disable */
#define ENUM_SPI_SLVSEL_SSEL5_EN              (_ADI_MSK(0x00000020,uint32_t))  /* SSE5: Enable */

#define BITM_SPI_SLVSEL_SSE4                  (_ADI_MSK(0x00000010,uint32_t))  /* Slave Select 4 Enable */
#define ENUM_SPI_SLVSEL_SSEL4_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* SSE4: Disable */
#define ENUM_SPI_SLVSEL_SSEL4_EN              (_ADI_MSK(0x00000010,uint32_t))  /* SSE4: Enable */

#define BITM_SPI_SLVSEL_SSE3                  (_ADI_MSK(0x00000008,uint32_t))  /* Slave Select 3 Enable */
#define ENUM_SPI_SLVSEL_SSEL3_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* SSE3: Disable */
#define ENUM_SPI_SLVSEL_SSEL3_EN              (_ADI_MSK(0x00000008,uint32_t))  /* SSE3: Enable */

#define BITM_SPI_SLVSEL_SSE2                  (_ADI_MSK(0x00000004,uint32_t))  /* Slave Select 2 Enable */
#define ENUM_SPI_SLVSEL_SSEL2_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* SSE2: Disable */
#define ENUM_SPI_SLVSEL_SSEL2_EN              (_ADI_MSK(0x00000004,uint32_t))  /* SSE2: Enable */

#define BITM_SPI_SLVSEL_SSE1                  (_ADI_MSK(0x00000002,uint32_t))  /* Slave Select 1 Enable */
#define ENUM_SPI_SLVSEL_SSEL1_DIS             (_ADI_MSK(0x00000000,uint32_t))  /* SSE1: Disable */
#define ENUM_SPI_SLVSEL_SSEL1_EN              (_ADI_MSK(0x00000002,uint32_t))  /* SSE1: Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_RWC                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_RWC_VALUE                     0                               /* Received Word Count */
#define BITM_SPI_RWC_VALUE                    (_ADI_MSK(0x0000FFFF,uint32_t))  /* Received Word Count */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_RWCR                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_RWCR_VALUE                    0                               /* Received Word Count Reload */
#define BITM_SPI_RWCR_VALUE                   (_ADI_MSK(0x0000FFFF,uint32_t))  /* Received Word Count Reload */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_TWC                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_TWC_VALUE                     0                               /* Transmitted Word Count */
#define BITM_SPI_TWC_VALUE                    (_ADI_MSK(0x0000FFFF,uint32_t))  /* Transmitted Word Count */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_TWCR                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_TWCR_VALUE                    0                               /* Transmitted Word Count Reload */
#define BITM_SPI_TWCR_VALUE                   (_ADI_MSK(0x0000FFFF,uint32_t))  /* Transmitted Word Count Reload */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_IMSK                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_IMSK_TF                      11                               /* Transmit Finish Interrupt Mask */
#define BITP_SPI_IMSK_RF                      10                               /* Receive Finish Interrupt Mask */
#define BITP_SPI_IMSK_TS                       9                               /* Transmit Start Interrupt Mask */
#define BITP_SPI_IMSK_RS                       8                               /* Receive Start Interrupt Mask */
#define BITP_SPI_IMSK_MF                       7                               /* Mode Fault Interrupt Mask */
#define BITP_SPI_IMSK_TC                       6                               /* Transmit Collision Interrupt Mask */
#define BITP_SPI_IMSK_TUR                      5                               /* Transmit Underrun Interrupt Mask */
#define BITP_SPI_IMSK_ROR                      4                               /* Receive Overrun Interrupt Mask */
#define BITP_SPI_IMSK_TUWM                     2                               /* Transmit Urgent Watermark Interrupt Mask */
#define BITP_SPI_IMSK_RUWM                     1                               /* Receive Urgent Watermark Interrupt Mask */

#define BITM_SPI_IMSK_TF                      (_ADI_MSK(0x00000800,uint32_t))  /* Transmit Finish Interrupt Mask */
#define ENUM_SPI_TF_LO                        (_ADI_MSK(0x00000000,uint32_t))  /* TF: Disable (mask) interrupt */
#define ENUM_SPI_TF_HI                        (_ADI_MSK(0x00000800,uint32_t))  /* TF: Enable (unmask) interrupt */

#define BITM_SPI_IMSK_RF                      (_ADI_MSK(0x00000400,uint32_t))  /* Receive Finish Interrupt Mask */
#define ENUM_SPI_RF_LO                        (_ADI_MSK(0x00000000,uint32_t))  /* RF: Disable (mask) interrupt */
#define ENUM_SPI_RF_HI                        (_ADI_MSK(0x00000400,uint32_t))  /* RF: Enable (unmask) interrupt */

#define BITM_SPI_IMSK_TS                      (_ADI_MSK(0x00000200,uint32_t))  /* Transmit Start Interrupt Mask */
#define ENUM_SPI_TS_LO                        (_ADI_MSK(0x00000000,uint32_t))  /* TS: Disable (mask) interrupt */
#define ENUM_SPI_TS_HI                        (_ADI_MSK(0x00000200,uint32_t))  /* TS: Enable (unmask) interrupt */

#define BITM_SPI_IMSK_RS                      (_ADI_MSK(0x00000100,uint32_t))  /* Receive Start Interrupt Mask */
#define ENUM_SPI_RS_LO                        (_ADI_MSK(0x00000000,uint32_t))  /* RS: Disable (mask) interrupt */
#define ENUM_SPI_RS_HI                        (_ADI_MSK(0x00000100,uint32_t))  /* RS: Enable (unmask) interrupt */

#define BITM_SPI_IMSK_MF                      (_ADI_MSK(0x00000080,uint32_t))  /* Mode Fault Interrupt Mask */
#define ENUM_SPI_MF_LO                        (_ADI_MSK(0x00000000,uint32_t))  /* MF: Disable (mask) interrupt */
#define ENUM_SPI_MF_HI                        (_ADI_MSK(0x00000080,uint32_t))  /* MF: Enable (unmask) interrupt */

#define BITM_SPI_IMSK_TC                      (_ADI_MSK(0x00000040,uint32_t))  /* Transmit Collision Interrupt Mask */
#define ENUM_SPI_TC_LO                        (_ADI_MSK(0x00000000,uint32_t))  /* TC: Disable (mask) interrupt */
#define ENUM_SPI_TC_HI                        (_ADI_MSK(0x00000040,uint32_t))  /* TC: Enable (unmask) interrupt */

#define BITM_SPI_IMSK_TUR                     (_ADI_MSK(0x00000020,uint32_t))  /* Transmit Underrun Interrupt Mask */
#define ENUM_SPI_TUR_LO                       (_ADI_MSK(0x00000000,uint32_t))  /* TUR: Disable (mask) interrupt */
#define ENUM_SPI_TUR_HI                       (_ADI_MSK(0x00000020,uint32_t))  /* TUR: Enable (unmask) interrupt */

#define BITM_SPI_IMSK_ROR                     (_ADI_MSK(0x00000010,uint32_t))  /* Receive Overrun Interrupt Mask */
#define ENUM_SPI_ROR_LO                       (_ADI_MSK(0x00000000,uint32_t))  /* ROR: Disable (mask) interrupt */
#define ENUM_SPI_ROR_HI                       (_ADI_MSK(0x00000010,uint32_t))  /* ROR: Enable (unmask) interrupt */

#define BITM_SPI_IMSK_TUWM                    (_ADI_MSK(0x00000004,uint32_t))  /* Transmit Urgent Watermark Interrupt Mask */
#define ENUM_SPI_TUWM_LO                      (_ADI_MSK(0x00000000,uint32_t))  /* TUWM: Disable (mask) interrupt */
#define ENUM_SPI_TUWM_HI                      (_ADI_MSK(0x00000004,uint32_t))  /* TUWM: Enable (unmask) interrupt */

#define BITM_SPI_IMSK_RUWM                    (_ADI_MSK(0x00000002,uint32_t))  /* Receive Urgent Watermark Interrupt Mask */
#define ENUM_SPI_RUWM_LO                      (_ADI_MSK(0x00000000,uint32_t))  /* RUWM: Disable (mask) interrupt */
#define ENUM_SPI_RUWM_HI                      (_ADI_MSK(0x00000002,uint32_t))  /* RUWM: Enable (unmask) interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_IMSK_CLR                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_IMSK_CLR_TF                  11                               /* Clear Transmit Finish Interrupt Mask */
#define BITP_SPI_IMSK_CLR_RF                  10                               /* Clear Receive Finish Interrupt Mask */
#define BITP_SPI_IMSK_CLR_TS                   9                               /* Clear Transmit Start Interrupt Mask */
#define BITP_SPI_IMSK_CLR_RS                   8                               /* Clear Receive Start Interrupt Mask */
#define BITP_SPI_IMSK_CLR_MF                   7                               /* Clear Mode Fault Interrupt Mask */
#define BITP_SPI_IMSK_CLR_TC                   6                               /* Clear Transmit Collision Interrupt Mask */
#define BITP_SPI_IMSK_CLR_TUR                  5                               /* Clear Transmit Under-run Interrupt Mask */
#define BITP_SPI_IMSK_CLR_ROR                  4                               /* Clear Receive Overrun Interrupt Mask */
#define BITP_SPI_IMSK_CLR_TUWM                 2                               /* Clear Transmit Urgent Watermark Interrupt Mask */
#define BITP_SPI_IMSK_CLR_RUWM                 1                               /* Clear Receive Urgent Watermark Interrupt Mask */

/* The fields and enumerations for SPI_IMSK_CLR are also in SPI - see the common set of ENUM_SPI_* #defines located with register SPI_IMSK */

#define BITM_SPI_IMSK_CLR_TF                  (_ADI_MSK(0x00000800,uint32_t))  /* Clear Transmit Finish Interrupt Mask */
#define BITM_SPI_IMSK_CLR_RF                  (_ADI_MSK(0x00000400,uint32_t))  /* Clear Receive Finish Interrupt Mask */
#define BITM_SPI_IMSK_CLR_TS                  (_ADI_MSK(0x00000200,uint32_t))  /* Clear Transmit Start Interrupt Mask */
#define BITM_SPI_IMSK_CLR_RS                  (_ADI_MSK(0x00000100,uint32_t))  /* Clear Receive Start Interrupt Mask */
#define BITM_SPI_IMSK_CLR_MF                  (_ADI_MSK(0x00000080,uint32_t))  /* Clear Mode Fault Interrupt Mask */
#define BITM_SPI_IMSK_CLR_TC                  (_ADI_MSK(0x00000040,uint32_t))  /* Clear Transmit Collision Interrupt Mask */
#define BITM_SPI_IMSK_CLR_TUR                 (_ADI_MSK(0x00000020,uint32_t))  /* Clear Transmit Under-run Interrupt Mask */
#define BITM_SPI_IMSK_CLR_ROR                 (_ADI_MSK(0x00000010,uint32_t))  /* Clear Receive Overrun Interrupt Mask */
#define BITM_SPI_IMSK_CLR_TUWM                (_ADI_MSK(0x00000004,uint32_t))  /* Clear Transmit Urgent Watermark Interrupt Mask */
#define BITM_SPI_IMSK_CLR_RUWM                (_ADI_MSK(0x00000002,uint32_t))  /* Clear Receive Urgent Watermark Interrupt Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_IMSK_SET                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_IMSK_SET_TF                  11                               /* Set Transmit Finish Interrupt Mask */
#define BITP_SPI_IMSK_SET_RF                  10                               /* Set Receive Finish Interrupt Mask */
#define BITP_SPI_IMSK_SET_TS                   9                               /* Set Transmit Start Interrupt Mask */
#define BITP_SPI_IMSK_SET_RS                   8                               /* Set Receive Start Interrupt Mask */
#define BITP_SPI_IMSK_SET_MF                   7                               /* Set Mode Fault Interrupt Mask */
#define BITP_SPI_IMSK_SET_TC                   6                               /* Set Transmit Collision Interrupt Mask */
#define BITP_SPI_IMSK_SET_TUR                  5                               /* Set Transmit Under-run  Interrupt Mask */
#define BITP_SPI_IMSK_SET_ROR                  4                               /* Set Receive Overrun Interrupt Mask */
#define BITP_SPI_IMSK_SET_TUWM                 2                               /* Set Transmit Urgent Watermark Interrupt Mask */
#define BITP_SPI_IMSK_SET_RUWM                 1                               /* Set Receive Urgent Watermark Interrupt Mask */

/* The fields and enumerations for SPI_IMSK_SET are also in SPI - see the common set of ENUM_SPI_* #defines located with register SPI_IMSK */

#define BITM_SPI_IMSK_SET_TF                  (_ADI_MSK(0x00000800,uint32_t))  /* Set Transmit Finish Interrupt Mask */
#define BITM_SPI_IMSK_SET_RF                  (_ADI_MSK(0x00000400,uint32_t))  /* Set Receive Finish Interrupt Mask */
#define BITM_SPI_IMSK_SET_TS                  (_ADI_MSK(0x00000200,uint32_t))  /* Set Transmit Start Interrupt Mask */
#define BITM_SPI_IMSK_SET_RS                  (_ADI_MSK(0x00000100,uint32_t))  /* Set Receive Start Interrupt Mask */
#define BITM_SPI_IMSK_SET_MF                  (_ADI_MSK(0x00000080,uint32_t))  /* Set Mode Fault Interrupt Mask */
#define BITM_SPI_IMSK_SET_TC                  (_ADI_MSK(0x00000040,uint32_t))  /* Set Transmit Collision Interrupt Mask */
#define BITM_SPI_IMSK_SET_TUR                 (_ADI_MSK(0x00000020,uint32_t))  /* Set Transmit Under-run  Interrupt Mask */
#define BITM_SPI_IMSK_SET_ROR                 (_ADI_MSK(0x00000010,uint32_t))  /* Set Receive Overrun Interrupt Mask */
#define BITM_SPI_IMSK_SET_TUWM                (_ADI_MSK(0x00000004,uint32_t))  /* Set Transmit Urgent Watermark Interrupt Mask */
#define BITM_SPI_IMSK_SET_RUWM                (_ADI_MSK(0x00000002,uint32_t))  /* Set Receive Urgent Watermark Interrupt Mask */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_STAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_STAT_MMAE                    31                               /* Memory Mapped Access Error */
#define BITP_SPI_STAT_MMRE                    29                               /* Memory Mapped Read Error */
#define BITP_SPI_STAT_MMWE                    28                               /* Memory Mapped Write Error */
#define BITP_SPI_STAT_TFF                     23                               /* SPI_TFIFO Full */
#define BITP_SPI_STAT_RFE                     22                               /* SPI_RFIFO Empty */
#define BITP_SPI_STAT_FCS                     20                               /* Flow Control Stall Indication */
#define BITP_SPI_STAT_TFS                     16                               /* SPI_TFIFO Status */
#define BITP_SPI_STAT_RFS                     12                               /* SPI_RFIFO Status */
#define BITP_SPI_STAT_TF                      11                               /* Transmit Finish Indication */
#define BITP_SPI_STAT_RF                      10                               /* Receive Finish Indication */
#define BITP_SPI_STAT_TS                       9                               /* Transmit Start */
#define BITP_SPI_STAT_RS                       8                               /* Receive Start */
#define BITP_SPI_STAT_MF                       7                               /* Mode Fault Indication */
#define BITP_SPI_STAT_TC                       6                               /* Transmit Collision Indication */
#define BITP_SPI_STAT_TUR                      5                               /* Transmit Underrun Indication */
#define BITP_SPI_STAT_ROR                      4                               /* Receive Overrun Indication */
#define BITP_SPI_STAT_TUWM                     2                               /* Transmit Urgent Watermark Breached */
#define BITP_SPI_STAT_RUWM                     1                               /* Receive Urgent Watermark Breached */
#define BITP_SPI_STAT_SPIF                     0                               /* SPI Finished */
#define BITM_SPI_STAT_MMAE                    (_ADI_MSK(0x80000000,uint32_t))  /* Memory Mapped Access Error */
#define BITM_SPI_STAT_MMRE                    (_ADI_MSK(0x20000000,uint32_t))  /* Memory Mapped Read Error */
#define BITM_SPI_STAT_MMWE                    (_ADI_MSK(0x10000000,uint32_t))  /* Memory Mapped Write Error */

#define BITM_SPI_STAT_TFF                     (_ADI_MSK(0x00800000,uint32_t))  /* SPI_TFIFO Full */
#define ENUM_SPI_STAT_TFIFO_NF                (_ADI_MSK(0x00000000,uint32_t))  /* TFF: Not full Tx FIFO */
#define ENUM_SPI_STAT_TFIFO_F                 (_ADI_MSK(0x00800000,uint32_t))  /* TFF: Full Tx FIFO */

#define BITM_SPI_STAT_RFE                     (_ADI_MSK(0x00400000,uint32_t))  /* SPI_RFIFO Empty */
#define ENUM_SPI_STAT_RFIFO_NE                (_ADI_MSK(0x00000000,uint32_t))  /* RFE: RX FIFO not empty */
#define ENUM_SPI_STAT_RFIFO_E                 (_ADI_MSK(0x00400000,uint32_t))  /* RFE: RX FIFO empty */

#define BITM_SPI_STAT_FCS                     (_ADI_MSK(0x00100000,uint32_t))  /* Flow Control Stall Indication */
#define ENUM_SPI_STAT_STALL                   (_ADI_MSK(0x00000000,uint32_t))  /* FCS: No Stall (RDY pin asserted) */
#define ENUM_SPI_STAT_NOSTALL                 (_ADI_MSK(0x00100000,uint32_t))  /* FCS: Stall (RDY pin de-asserted) */

#define BITM_SPI_STAT_TFS                     (_ADI_MSK(0x00070000,uint32_t))  /* SPI_TFIFO Status */
#define ENUM_SPI_STAT_TFIFO_FULL              (_ADI_MSK(0x00000000,uint32_t))  /* TFS: Full TFIFO */
#define ENUM_SPI_STAT_TFIFO_25                (_ADI_MSK(0x00010000,uint32_t))  /* TFS: 25% empty TFIFO */
#define ENUM_SPI_STAT_TFIFO_50                (_ADI_MSK(0x00020000,uint32_t))  /* TFS: 50% empty TFIFO */
#define ENUM_SPI_STAT_TFIFO_75                (_ADI_MSK(0x00030000,uint32_t))  /* TFS: 75% empty TFIFO */
#define ENUM_SPI_STAT_TFIFO_EMPTY             (_ADI_MSK(0x00040000,uint32_t))  /* TFS: Empty TFIFO */

#define BITM_SPI_STAT_RFS                     (_ADI_MSK(0x00007000,uint32_t))  /* SPI_RFIFO Status */
#define ENUM_SPI_STAT_RFIFO_EMPTY             (_ADI_MSK(0x00000000,uint32_t))  /* RFS: Empty RFIFO */
#define ENUM_SPI_STAT_RFIFO_25                (_ADI_MSK(0x00001000,uint32_t))  /* RFS: 25% full RFIFO */
#define ENUM_SPI_STAT_RFIFO_50                (_ADI_MSK(0x00002000,uint32_t))  /* RFS: 50% full RFIFO */
#define ENUM_SPI_STAT_RFIFO_75                (_ADI_MSK(0x00003000,uint32_t))  /* RFS: 75% full RFIFO */
#define ENUM_SPI_STAT_RFIFO_FULL              (_ADI_MSK(0x00004000,uint32_t))  /* RFS: Full RFIFO */

#define BITM_SPI_STAT_TF                      (_ADI_MSK(0x00000800,uint32_t))  /* Transmit Finish Indication */
#define ENUM_SPI_STAT_TF_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* TF: No status */
#define ENUM_SPI_STAT_TF_HI                   (_ADI_MSK(0x00000800,uint32_t))  /* TF: Transmit finish detected */

#define BITM_SPI_STAT_RF                      (_ADI_MSK(0x00000400,uint32_t))  /* Receive Finish Indication */
#define ENUM_SPI_STAT_RF_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* RF: No status */
#define ENUM_SPI_STAT_RF_HI                   (_ADI_MSK(0x00000400,uint32_t))  /* RF: Receive finish detected */

#define BITM_SPI_STAT_TS                      (_ADI_MSK(0x00000200,uint32_t))  /* Transmit Start */
#define ENUM_SPI_STAT_TS_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* TS: No status */
#define ENUM_SPI_STAT_TS_HI                   (_ADI_MSK(0x00000200,uint32_t))  /* TS: Transmit start detected */

#define BITM_SPI_STAT_RS                      (_ADI_MSK(0x00000100,uint32_t))  /* Receive Start */
#define ENUM_SPI_STAT_RS_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* RS: No status */
#define ENUM_SPI_STAT_RS_HI                   (_ADI_MSK(0x00000100,uint32_t))  /* RS: Receive start detected */

#define BITM_SPI_STAT_MF                      (_ADI_MSK(0x00000080,uint32_t))  /* Mode Fault Indication */
#define ENUM_SPI_STAT_MF_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* MF: No status */
#define ENUM_SPI_STAT_MF_HI                   (_ADI_MSK(0x00000080,uint32_t))  /* MF: Mode fault occurred */

#define BITM_SPI_STAT_TC                      (_ADI_MSK(0x00000040,uint32_t))  /* Transmit Collision Indication */
#define ENUM_SPI_STAT_TC_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* TC: No status */
#define ENUM_SPI_STAT_TC_HI                   (_ADI_MSK(0x00000040,uint32_t))  /* TC: Transmit collision occurred */

#define BITM_SPI_STAT_TUR                     (_ADI_MSK(0x00000020,uint32_t))  /* Transmit Underrun Indication */
#define ENUM_SPI_STAT_TUR_LO                  (_ADI_MSK(0x00000000,uint32_t))  /* TUR: No status */
#define ENUM_SPI_STAT_TUR_HI                  (_ADI_MSK(0x00000020,uint32_t))  /* TUR: Transmit underrun occurred */

#define BITM_SPI_STAT_ROR                     (_ADI_MSK(0x00000010,uint32_t))  /* Receive Overrun Indication */
#define ENUM_SPI_STAT_ROR_LO                  (_ADI_MSK(0x00000000,uint32_t))  /* ROR: No status */
#define ENUM_SPI_STAT_ROR_HI                  (_ADI_MSK(0x00000010,uint32_t))  /* ROR: Receive overrun occurred */

#define BITM_SPI_STAT_TUWM                    (_ADI_MSK(0x00000004,uint32_t))  /* Transmit Urgent Watermark Breached */
#define ENUM_SPI_STAT_TUWM_LO                 (_ADI_MSK(0x00000000,uint32_t))  /* TUWM: TX Regular Watermark reached */
#define ENUM_SPI_STAT_TUWM_HI                 (_ADI_MSK(0x00000004,uint32_t))  /* TUWM: TX Urgent Watermark breached */

#define BITM_SPI_STAT_RUWM                    (_ADI_MSK(0x00000002,uint32_t))  /* Receive Urgent Watermark Breached */
#define ENUM_SPI_STAT_RUWM_LO                 (_ADI_MSK(0x00000000,uint32_t))  /* RUWM: RX Regular Watermark reached */
#define ENUM_SPI_STAT_RUWM_HI                 (_ADI_MSK(0x00000002,uint32_t))  /* RUWM: RX Urgent Watermark breached */

#define BITM_SPI_STAT_SPIF                    (_ADI_MSK(0x00000001,uint32_t))  /* SPI Finished */
#define ENUM_SPI_STAT_SPIF_LO                 (_ADI_MSK(0x00000000,uint32_t))  /* SPIF: No status */
#define ENUM_SPI_STAT_SPIF_HI                 (_ADI_MSK(0x00000001,uint32_t))  /* SPIF: Completed single-word transfer */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_ILAT                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_ILAT_TF                      11                               /* Transmit Finish Interrupt Latch */
#define BITP_SPI_ILAT_RF                      10                               /* Receive Finish Interrupt Latch */
#define BITP_SPI_ILAT_TS                       9                               /* Transmit Start Interrupt Latch */
#define BITP_SPI_ILAT_RS                       8                               /* Receive Start Interrupt Latch */
#define BITP_SPI_ILAT_MF                       7                               /* Mode Fault Interrupt Latch */
#define BITP_SPI_ILAT_TC                       6                               /* Transmit Collision Interrupt Latch */
#define BITP_SPI_ILAT_TUR                      5                               /* Transmit Under-run Interrupt Latch */
#define BITP_SPI_ILAT_ROR                      4                               /* Receive Overrun Interrupt Latch */
#define BITP_SPI_ILAT_TUWM                     2                               /* Transmit Urgent Watermark Interrupt Latch */
#define BITP_SPI_ILAT_RUWM                     1                               /* Receive Urgent Watermark Interrupt Latch */

/* The fields and enumerations for SPI_ILAT are also in SPI - see the common set of ENUM_SPI_* #defines located with register SPI_IMSK */


#define BITM_SPI_ILAT_TF                      (_ADI_MSK(0x00000800,uint32_t))  /* Transmit Finish Interrupt Latch */
#define ENUM_SPI_ILAT_TF_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* TF: No interrupt */
#define ENUM_SPI_ILAT_TF_HI                   (_ADI_MSK(0x00000800,uint32_t))  /* TF: Latched interrupt */

#define BITM_SPI_ILAT_RF                      (_ADI_MSK(0x00000400,uint32_t))  /* Receive Finish Interrupt Latch */
#define ENUM_SPI_ILAT_RF_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* RF: No interrupt */
#define ENUM_SPI_ILAT_RF_HI                   (_ADI_MSK(0x00000400,uint32_t))  /* RF: Latched interrupt */

#define BITM_SPI_ILAT_TS                      (_ADI_MSK(0x00000200,uint32_t))  /* Transmit Start Interrupt Latch */
#define ENUM_SPI_ILAT_TS_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* TS: No interrupt */
#define ENUM_SPI_ILAT_TS_HI                   (_ADI_MSK(0x00000200,uint32_t))  /* TS: Latched interrupt */

#define BITM_SPI_ILAT_RS                      (_ADI_MSK(0x00000100,uint32_t))  /* Receive Start Interrupt Latch */
#define ENUM_SPI_ILAT_RS_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* RS: No interrupt */
#define ENUM_SPI_ILAT_RS_HI                   (_ADI_MSK(0x00000100,uint32_t))  /* RS: Latched interrupt */

#define BITM_SPI_ILAT_MF                      (_ADI_MSK(0x00000080,uint32_t))  /* Mode Fault Interrupt Latch */
#define ENUM_SPI_ILAT_MF_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* MF: No interrupt */
#define ENUM_SPI_ILAT_MF_HI                   (_ADI_MSK(0x00000080,uint32_t))  /* MF: Latched interrupt */

#define BITM_SPI_ILAT_TC                      (_ADI_MSK(0x00000040,uint32_t))  /* Transmit Collision Interrupt Latch */
#define ENUM_SPI_ILAT_TC_LO                   (_ADI_MSK(0x00000000,uint32_t))  /* TC: No interrupt */
#define ENUM_SPI_ILAT_TC_HI                   (_ADI_MSK(0x00000040,uint32_t))  /* TC: Latched interrupt */

#define BITM_SPI_ILAT_TUR                     (_ADI_MSK(0x00000020,uint32_t))  /* Transmit Under-run Interrupt Latch */
#define ENUM_SPI_ILAT_TUR_LO                  (_ADI_MSK(0x00000000,uint32_t))  /* TUR: No interrupt */
#define ENUM_SPI_ILAT_TUR_HI                  (_ADI_MSK(0x00000020,uint32_t))  /* TUR: Latched interrupt */

#define BITM_SPI_ILAT_ROR                     (_ADI_MSK(0x00000010,uint32_t))  /* Receive Overrun Interrupt Latch */
#define ENUM_SPI_ILAT_ROR_LO                  (_ADI_MSK(0x00000000,uint32_t))  /* ROR: No interrupt */
#define ENUM_SPI_ILAT_ROR_HI                  (_ADI_MSK(0x00000010,uint32_t))  /* ROR: Latched interrupt */

#define BITM_SPI_ILAT_TUWM                    (_ADI_MSK(0x00000004,uint32_t))  /* Transmit Urgent Watermark Interrupt Latch */
#define ENUM_SPI_ILAT_TUWM_LO                 (_ADI_MSK(0x00000000,uint32_t))  /* TUWM: No interrupt */
#define ENUM_SPI_ILAT_TUWM_HI                 (_ADI_MSK(0x00000004,uint32_t))  /* TUWM: Latched interrupt */

#define BITM_SPI_ILAT_RUWM                    (_ADI_MSK(0x00000002,uint32_t))  /* Receive Urgent Watermark Interrupt Latch */
#define ENUM_SPI_ILAT_RUWM_LO                 (_ADI_MSK(0x00000000,uint32_t))  /* RUWM: No interrupt */
#define ENUM_SPI_ILAT_RUWM_HI                 (_ADI_MSK(0x00000002,uint32_t))  /* RUWM: Latched interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_ILAT_CLR                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_ILAT_CLR_TF                  11                               /* Clear Transmit Finish Interrupt Latch */
#define BITP_SPI_ILAT_CLR_RF                  10                               /* Clear Receive Finish Interrupt Latch */
#define BITP_SPI_ILAT_CLR_TS                   9                               /* Clear Transmit Start Interrupt Latch */
#define BITP_SPI_ILAT_CLR_RS                   8                               /* Clear Receive Start Interrupt Latch */
#define BITP_SPI_ILAT_CLR_MF                   7                               /* Clear Mode Fault Interrupt Latch */
#define BITP_SPI_ILAT_CLR_TC                   6                               /* Clear Transmit Collision Interrupt Latch */
#define BITP_SPI_ILAT_CLR_TUR                  5                               /* Clear Transmit Under-run Interrupt Latch */
#define BITP_SPI_ILAT_CLR_ROR                  4                               /* Clear Receive Overrun Interrupt Latch */
#define BITP_SPI_ILAT_CLR_TUWM                 2                               /* Clear Transmit Urgent Watermark Interrupt Latch */
#define BITP_SPI_ILAT_CLR_RUWM                 1                               /* Clear Receive Urgent Watermark Interrupt Latch */

/* The fields and enumerations for SPI_ILAT_CLR are also in SPI - see the common set of ENUM_SPI_* #defines located with register SPI_IMSK */

#define BITM_SPI_ILAT_CLR_TF                  (_ADI_MSK(0x00000800,uint32_t))  /* Clear Transmit Finish Interrupt Latch */
#define BITM_SPI_ILAT_CLR_RF                  (_ADI_MSK(0x00000400,uint32_t))  /* Clear Receive Finish Interrupt Latch */
#define BITM_SPI_ILAT_CLR_TS                  (_ADI_MSK(0x00000200,uint32_t))  /* Clear Transmit Start Interrupt Latch */
#define BITM_SPI_ILAT_CLR_RS                  (_ADI_MSK(0x00000100,uint32_t))  /* Clear Receive Start Interrupt Latch */
#define BITM_SPI_ILAT_CLR_MF                  (_ADI_MSK(0x00000080,uint32_t))  /* Clear Mode Fault Interrupt Latch */
#define BITM_SPI_ILAT_CLR_TC                  (_ADI_MSK(0x00000040,uint32_t))  /* Clear Transmit Collision Interrupt Latch */
#define BITM_SPI_ILAT_CLR_TUR                 (_ADI_MSK(0x00000020,uint32_t))  /* Clear Transmit Under-run Interrupt Latch */
#define BITM_SPI_ILAT_CLR_ROR                 (_ADI_MSK(0x00000010,uint32_t))  /* Clear Receive Overrun Interrupt Latch */
#define BITM_SPI_ILAT_CLR_TUWM                (_ADI_MSK(0x00000004,uint32_t))  /* Clear Transmit Urgent Watermark Interrupt Latch */
#define BITM_SPI_ILAT_CLR_RUWM                (_ADI_MSK(0x00000002,uint32_t))  /* Clear Receive Urgent Watermark Interrupt Latch */

/* ------------------------------------------------------------------------------------------------------------------------
         SPI_MMRDH                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SPI_MMRDH_CMDPINS                29                               /* Pins Used for Command */
#define BITP_SPI_MMRDH_CMDSKIP                28                               /* Command Skip Enable */
#define BITP_SPI_MMRDH_WRAP                   27                               /* SPI Memory Wrap Indicator */
#define BITP_SPI_MMRDH_MERGE                  26                               /* Merge Enable */
#define BITP_SPI_MMRDH_TRIDMY                 24                               /* Tristate Dummy Timing */
#define BITP_SPI_MMRDH_MODE                   16                               /* Mode Field */
#define BITP_SPI_MMRDH_DMYSIZE                12                               /* Bytes of Dummy/Mode */
#define BITP_SPI_MMRDH_ADRPINS                11                               /* Pins Used for Address */
#define BITP_SPI_MMRDH_ADRSIZE                 8                               /* Bytes of Read Address */
#define BITP_SPI_MMRDH_OPCODE                  0                               /* Read Opcode */
#define BITM_SPI_MMRDH_CMDPINS                (_ADI_MSK(0x20000000,uint32_t))  /* Pins Used for Command */
#define BITM_SPI_MMRDH_CMDSKIP                (_ADI_MSK(0x10000000,uint32_t))  /* Command Skip Enable */
#define BITM_SPI_MMRDH_WRAP                   (_ADI_MSK(0x08000000,uint32_t))  /* SPI Memory Wrap Indicator */
#define BITM_SPI_MMRDH_MERGE                  (_ADI_MSK(0x04000000,uint32_t))  /* Merge Enable */
#define BITM_SPI_MMRDH_TRIDMY                 (_ADI_MSK(0x03000000,uint32_t))  /* Tristate Dummy Timing */
#define BITM_SPI_MMRDH_MODE                   (_ADI_MSK(0x00FF0000,uint32_t))  /* Mode Field */
#define BITM_SPI_MMRDH_DMYSIZE                (_ADI_MSK(0x00007000,uint32_t))  /* Bytes of Dummy/Mode */
#define BITM_SPI_MMRDH_ADRPINS                (_ADI_MSK(0x00000800,uint32_t))  /* Pins Used for Address */
#define BITM_SPI_MMRDH_ADRSIZE                (_ADI_MSK(0x00000700,uint32_t))  /* Bytes of Read Address */
#define BITM_SPI_MMRDH_OPCODE                 (_ADI_MSK(0x000000FF,uint32_t))  /* Read Opcode */

/* ==================================================
        Watch Dog Timer Unit Registers
   ================================================== */

/* =========================
        WDOG0
   ========================= */
#define REG_WDOG0_CTL                   0x4002D000         /* WDOG0 Control Register */
#define REG_WDOG0_CNT                   0x4002D004         /* WDOG0 Count Register */
#define REG_WDOG0_STAT                  0x4002D008         /* WDOG0 Watchdog Timer Status Register */

/* =========================
        WDOG
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         WDOG_CTL                              Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_WDOG_CTL_WDRO                    15                               /* Watch Dog Rollover */
#define BITP_WDOG_CTL_WDEN                     4                               /* Watch Dog Enable */

#define BITM_WDOG_CTL_WDRO                    (_ADI_MSK(0x00008000,uint32_t))  /* Watch Dog Rollover */
#define ENUM_WDOG_CTL_WDTEXP                  (_ADI_MSK(0x00008000,uint32_t))  /* WDRO: WDT has expired */
#define BITM_WDOG_CTL_WDEN                    (_ADI_MSK(0x00000FF0,uint32_t))  /* Watch Dog Enable */

/* ==================================================
        Universal Serial Bus Controller Registers
   ================================================== */

/* =========================
        USB0
   ========================= */
#define REG_USB0_FADDR                  0x40030000         /* USB0 Function Address Register */
#define REG_USB0_POWER                  0x40030001         /* USB0 Power and Device Control Register */
#define REG_USB0_INTRTX                 0x40030002         /* USB0 Transmit Interrupt Register */
#define REG_USB0_INTRRX                 0x40030004         /* USB0 Receive Interrupt Register */
#define REG_USB0_INTRTXE                0x40030006         /* USB0 Transmit Interrupt Enable Register */
#define REG_USB0_INTRRXE                0x40030008         /* USB0 Receive Interrupt Enable Register */
#define REG_USB0_IRQ                    0x4003000A         /* USB0 Common Interrupts Register */
#define REG_USB0_IEN                    0x4003000B         /* USB0 Common Interrupts Enable Register */
#define REG_USB0_FRAME                  0x4003000C         /* USB0 Frame Number Register */
#define REG_USB0_INDEX                  0x4003000E         /* USB0 Index Register */
#define REG_USB0_TESTMODE               0x4003000F         /* USB0 Testmode Register */
#define REG_USB0_EPI_TXMAXP0            0x40030010         /* USB0 EPn Transmit Maximum Packet Length Register */
#define REG_USB0_EPI_TXCSR_P0           0x40030012         /* USB0 EPn Transmit Configuration and Status (Peripheral) Register */
#define REG_USB0_EPI_TXCSR_H0           0x40030012         /* USB0 EPn Transmit Configuration and Status (Host) Register */
#define REG_USB0_EP0I_CSR0_P            0x40030012         /* USB0 EP0 Configuration and Status (Peripheral) Register */
#define REG_USB0_EP0I_CSR0_H            0x40030012         /* USB0 EP0 Configuration and Status (Host) Register */
#define REG_USB0_EPI_RXMAXP0            0x40030014         /* USB0 EPn Receive Maximum Packet Length Register */
#define REG_USB0_EPI_RXCSR_H0           0x40030016         /* USB0 EPn Receive Configuration and Status (Host) Register */
#define REG_USB0_EPI_RXCSR_P0           0x40030016         /* USB0 EPn Receive Configuration and Status (Peripheral) Register */
#define REG_USB0_EP0I_CNT0              0x40030018         /* USB0 EP0 Number of Received Bytes Register */
#define REG_USB0_EPI_RXCNT0             0x40030018         /* USB0 EPn Number of Bytes Received Register */
#define REG_USB0_EPI_TXTYPE0            0x4003001A         /* USB0 EPn Transmit Type Register */
#define REG_USB0_EP0I_TYPE0             0x4003001A         /* USB0 EP0 Connection Type Register */
#define REG_USB0_EPI_TXINTERVAL0        0x4003001B         /* USB0 EPn Transmit Polling Interval Register */
#define REG_USB0_EP0I_NAKLIMIT0         0x4003001B         /* USB0 EP0 NAK Limit Register */
#define REG_USB0_EPI_RXTYPE0            0x4003001C         /* USB0 EPn Receive Type Register */
#define REG_USB0_EPI_RXINTERVAL0        0x4003001D         /* USB0 EPn Receive Polling Interval Register */
#define REG_USB0_EP0I_CFGDATA0          0x4003001F         /* USB0 EP0 Configuration Information Register */
#define REG_USB0_EPI_FIFOSZ0            0x4003001F         /* USB0 FIFO Size */
#define REG_USB0_FIFOB0                 0x40030020         /* USB0 FIFO Byte (8-Bit) Register */
#define REG_USB0_FIFOB1                 0x40030024         /* USB0 FIFO Byte (8-Bit) Register */
#define REG_USB0_FIFOB2                 0x40030028         /* USB0 FIFO Byte (8-Bit) Register */
#define REG_USB0_FIFOB3                 0x4003002C         /* USB0 FIFO Byte (8-Bit) Register */
#define REG_USB0_FIFOH0                 0x40030020         /* USB0 FIFO Half-Word (16-Bit) Register */
#define REG_USB0_FIFOH1                 0x40030024         /* USB0 FIFO Half-Word (16-Bit) Register */
#define REG_USB0_FIFOH2                 0x40030028         /* USB0 FIFO Half-Word (16-Bit) Register */
#define REG_USB0_FIFOH3                 0x4003002C         /* USB0 FIFO Half-Word (16-Bit) Register */
#define REG_USB0_FIFO0                  0x40030020         /* USB0 FIFO Word (32-Bit) Register */
#define REG_USB0_FIFO1                  0x40030024         /* USB0 FIFO Word (32-Bit) Register */
#define REG_USB0_FIFO2                  0x40030028         /* USB0 FIFO Word (32-Bit) Register */
#define REG_USB0_FIFO3                  0x4003002C         /* USB0 FIFO Word (32-Bit) Register */
#define REG_USB0_DEV_CTL                0x40030060         /* USB0 Device Control Register */
#define REG_USB0_EPINFO                 0x40030078         /* USB0 Endpoint Information Register */
#define REG_USB0_RAMINFO                0x40030079         /* USB0 RAM Information Register */
#define REG_USB0_LINKINFO               0x4003007A         /* USB0 Link Information Register */
#define REG_USB0_VPLEN                  0x4003007B         /* USB0 VBUS Pulse Length Register */
#define REG_USB0_FS_EOF1                0x4003007D         /* USB0 Full-Speed EOF 1 Register */
#define REG_USB0_LS_EOF1                0x4003007E         /* USB0 Low-Speed EOF 1 Register */
#define REG_USB0_SOFT_RST               0x4003007F         /* USB0 Software Reset Register */
#define REG_USB0_MP0_TXFUNCADDR         0x40030080         /* USB0 MPn Transmit Function Address Register */
#define REG_USB0_MP1_TXFUNCADDR         0x40030088         /* USB0 MPn Transmit Function Address Register */
#define REG_USB0_MP2_TXFUNCADDR         0x40030090         /* USB0 MPn Transmit Function Address Register */
#define REG_USB0_MP3_TXFUNCADDR         0x40030098         /* USB0 MPn Transmit Function Address Register */
#define REG_USB0_MP0_TXHUBADDR          0x40030082         /* USB0 MPn Transmit Hub Address Register */
#define REG_USB0_MP1_TXHUBADDR          0x4003008A         /* USB0 MPn Transmit Hub Address Register */
#define REG_USB0_MP2_TXHUBADDR          0x40030092         /* USB0 MPn Transmit Hub Address Register */
#define REG_USB0_MP3_TXHUBADDR          0x4003009A         /* USB0 MPn Transmit Hub Address Register */
#define REG_USB0_MP0_TXHUBPORT          0x40030083         /* USB0 MPn Transmit Hub Port Register */
#define REG_USB0_MP1_TXHUBPORT          0x4003008B         /* USB0 MPn Transmit Hub Port Register */
#define REG_USB0_MP2_TXHUBPORT          0x40030093         /* USB0 MPn Transmit Hub Port Register */
#define REG_USB0_MP3_TXHUBPORT          0x4003009B         /* USB0 MPn Transmit Hub Port Register */
#define REG_USB0_MP0_RXFUNCADDR         0x40030084         /* USB0 MPn Receive Function Address Register */
#define REG_USB0_MP1_RXFUNCADDR         0x4003008C         /* USB0 MPn Receive Function Address Register */
#define REG_USB0_MP2_RXFUNCADDR         0x40030094         /* USB0 MPn Receive Function Address Register */
#define REG_USB0_MP3_RXFUNCADDR         0x4003009C         /* USB0 MPn Receive Function Address Register */
#define REG_USB0_MP0_RXHUBADDR          0x40030086         /* USB0 MPn Receive Hub Address Register */
#define REG_USB0_MP1_RXHUBADDR          0x4003008E         /* USB0 MPn Receive Hub Address Register */
#define REG_USB0_MP2_RXHUBADDR          0x40030096         /* USB0 MPn Receive Hub Address Register */
#define REG_USB0_MP3_RXHUBADDR          0x4003009E         /* USB0 MPn Receive Hub Address Register */
#define REG_USB0_MP0_RXHUBPORT          0x40030087         /* USB0 MPn Receive Hub Port Register */
#define REG_USB0_MP1_RXHUBPORT          0x4003008F         /* USB0 MPn Receive Hub Port Register */
#define REG_USB0_MP2_RXHUBPORT          0x40030097         /* USB0 MPn Receive Hub Port Register */
#define REG_USB0_MP3_RXHUBPORT          0x4003009F         /* USB0 MPn Receive Hub Port Register */
#define REG_USB0_EP0_TXMAXP             0x40030100         /* USB0 EPn Transmit Maximum Packet Length Register */
#define REG_USB0_EP1_TXMAXP             0x40030110         /* USB0 EPn Transmit Maximum Packet Length Register */
#define REG_USB0_EP2_TXMAXP             0x40030120         /* USB0 EPn Transmit Maximum Packet Length Register */
#define REG_USB0_EP3_TXMAXP             0x40030130         /* USB0 EPn Transmit Maximum Packet Length Register */
#define REG_USB0_EP0_CSR0_H             0x40030102         /* USB0 EP0 Configuration and Status (Host) Register */
#define REG_USB0_EP0_TXCSR_H            0x40030102         /* USB0 EPn Transmit Configuration and Status (Host) Register */
#define REG_USB0_EP1_TXCSR_H            0x40030112         /* USB0 EPn Transmit Configuration and Status (Host) Register */
#define REG_USB0_EP2_TXCSR_H            0x40030122         /* USB0 EPn Transmit Configuration and Status (Host) Register */
#define REG_USB0_EP3_TXCSR_H            0x40030132         /* USB0 EPn Transmit Configuration and Status (Host) Register */
#define REG_USB0_EP0_CSR0_P             0x40030102         /* USB0 EP0 Configuration and Status (Peripheral) Register */
#define REG_USB0_EP0_TXCSR_P            0x40030102         /* USB0 EPn Transmit Configuration and Status (Peripheral) Register */
#define REG_USB0_EP1_TXCSR_P            0x40030112         /* USB0 EPn Transmit Configuration and Status (Peripheral) Register */
#define REG_USB0_EP2_TXCSR_P            0x40030122         /* USB0 EPn Transmit Configuration and Status (Peripheral) Register */
#define REG_USB0_EP3_TXCSR_P            0x40030132         /* USB0 EPn Transmit Configuration and Status (Peripheral) Register */
#define REG_USB0_EP0_RXMAXP             0x40030104         /* USB0 EPn Receive Maximum Packet Length Register */
#define REG_USB0_EP1_RXMAXP             0x40030114         /* USB0 EPn Receive Maximum Packet Length Register */
#define REG_USB0_EP2_RXMAXP             0x40030124         /* USB0 EPn Receive Maximum Packet Length Register */
#define REG_USB0_EP3_RXMAXP             0x40030134         /* USB0 EPn Receive Maximum Packet Length Register */
#define REG_USB0_EP0_RXCSR_H            0x40030106         /* USB0 EPn Receive Configuration and Status (Host) Register */
#define REG_USB0_EP1_RXCSR_H            0x40030116         /* USB0 EPn Receive Configuration and Status (Host) Register */
#define REG_USB0_EP2_RXCSR_H            0x40030126         /* USB0 EPn Receive Configuration and Status (Host) Register */
#define REG_USB0_EP3_RXCSR_H            0x40030136         /* USB0 EPn Receive Configuration and Status (Host) Register */
#define REG_USB0_EP0_RXCSR_P            0x40030106         /* USB0 EPn Receive Configuration and Status (Peripheral) Register */
#define REG_USB0_EP1_RXCSR_P            0x40030116         /* USB0 EPn Receive Configuration and Status (Peripheral) Register */
#define REG_USB0_EP2_RXCSR_P            0x40030126         /* USB0 EPn Receive Configuration and Status (Peripheral) Register */
#define REG_USB0_EP3_RXCSR_P            0x40030136         /* USB0 EPn Receive Configuration and Status (Peripheral) Register */
#define REG_USB0_EP0_CNT0               0x40030108         /* USB0 EP0 Number of Received Bytes Register */
#define REG_USB0_EP0_RXCNT              0x40030108         /* USB0 EPn Number of Bytes Received Register */
#define REG_USB0_EP1_RXCNT              0x40030118         /* USB0 EPn Number of Bytes Received Register */
#define REG_USB0_EP2_RXCNT              0x40030128         /* USB0 EPn Number of Bytes Received Register */
#define REG_USB0_EP3_RXCNT              0x40030138         /* USB0 EPn Number of Bytes Received Register */
#define REG_USB0_EP0_TYPE0              0x4003010A         /* USB0 EP0 Connection Type Register */
#define REG_USB0_EP0_TXTYPE             0x4003010A         /* USB0 EPn Transmit Type Register */
#define REG_USB0_EP1_TXTYPE             0x4003011A         /* USB0 EPn Transmit Type Register */
#define REG_USB0_EP2_TXTYPE             0x4003012A         /* USB0 EPn Transmit Type Register */
#define REG_USB0_EP3_TXTYPE             0x4003013A         /* USB0 EPn Transmit Type Register */
#define REG_USB0_EP0_NAKLIMIT0          0x4003010B         /* USB0 EP0 NAK Limit Register */
#define REG_USB0_EP0_TXINTERVAL         0x4003010B         /* USB0 EPn Transmit Polling Interval Register */
#define REG_USB0_EP1_TXINTERVAL         0x4003011B         /* USB0 EPn Transmit Polling Interval Register */
#define REG_USB0_EP2_TXINTERVAL         0x4003012B         /* USB0 EPn Transmit Polling Interval Register */
#define REG_USB0_EP3_TXINTERVAL         0x4003013B         /* USB0 EPn Transmit Polling Interval Register */
#define REG_USB0_EP0_RXTYPE             0x4003010C         /* USB0 EPn Receive Type Register */
#define REG_USB0_EP1_RXTYPE             0x4003011C         /* USB0 EPn Receive Type Register */
#define REG_USB0_EP2_RXTYPE             0x4003012C         /* USB0 EPn Receive Type Register */
#define REG_USB0_EP3_RXTYPE             0x4003013C         /* USB0 EPn Receive Type Register */
#define REG_USB0_EP0_RXINTERVAL         0x4003010D         /* USB0 EPn Receive Polling Interval Register */
#define REG_USB0_EP1_RXINTERVAL         0x4003011D         /* USB0 EPn Receive Polling Interval Register */
#define REG_USB0_EP2_RXINTERVAL         0x4003012D         /* USB0 EPn Receive Polling Interval Register */
#define REG_USB0_EP3_RXINTERVAL         0x4003013D         /* USB0 EPn Receive Polling Interval Register */
#define REG_USB0_EP0_CFGDATA0           0x4003010F         /* USB0 EP0 Configuration Information Register */
#define REG_USB0_EP0_FIFOSZ             0x4003010F         /* USB0 FIFO Size */
#define REG_USB0_EP1_FIFOSZ             0x4003011F         /* USB0 FIFO Size */
#define REG_USB0_EP2_FIFOSZ             0x4003012F         /* USB0 FIFO Size */
#define REG_USB0_EP3_FIFOSZ             0x4003013F         /* USB0 FIFO Size */
#define REG_USB0_DMA_IRQ                0x40030200         /* USB0 DMA Interrupt Register */
#define REG_USB0_DMA0_CTL               0x40030204         /* USB0 DMA Channel n Control Register */
#define REG_USB0_DMA1_CTL               0x40030214         /* USB0 DMA Channel n Control Register */
#define REG_USB0_DMA2_CTL               0x40030224         /* USB0 DMA Channel n Control Register */
#define REG_USB0_DMA3_CTL               0x40030234         /* USB0 DMA Channel n Control Register */
#define REG_USB0_DMA4_CTL               0x40030244         /* USB0 DMA Channel n Control Register */
#define REG_USB0_DMA5_CTL               0x40030254         /* USB0 DMA Channel n Control Register */
#define REG_USB0_DMA6_CTL               0x40030264         /* USB0 DMA Channel n Control Register */
#define REG_USB0_DMA0_ADDR              0x40030208         /* USB0 DMA Channel n Address Register */
#define REG_USB0_DMA1_ADDR              0x40030218         /* USB0 DMA Channel n Address Register */
#define REG_USB0_DMA2_ADDR              0x40030228         /* USB0 DMA Channel n Address Register */
#define REG_USB0_DMA3_ADDR              0x40030238         /* USB0 DMA Channel n Address Register */
#define REG_USB0_DMA4_ADDR              0x40030248         /* USB0 DMA Channel n Address Register */
#define REG_USB0_DMA5_ADDR              0x40030258         /* USB0 DMA Channel n Address Register */
#define REG_USB0_DMA6_ADDR              0x40030268         /* USB0 DMA Channel n Address Register */
#define REG_USB0_DMA0_CNT               0x4003020C         /* USB0 DMA Channel n Count Register */
#define REG_USB0_DMA1_CNT               0x4003021C         /* USB0 DMA Channel n Count Register */
#define REG_USB0_DMA2_CNT               0x4003022C         /* USB0 DMA Channel n Count Register */
#define REG_USB0_DMA3_CNT               0x4003023C         /* USB0 DMA Channel n Count Register */
#define REG_USB0_DMA4_CNT               0x4003024C         /* USB0 DMA Channel n Count Register */
#define REG_USB0_DMA5_CNT               0x4003025C         /* USB0 DMA Channel n Count Register */
#define REG_USB0_DMA6_CNT               0x4003026C         /* USB0 DMA Channel n Count Register */
#define REG_USB0_RQPKTCNT0              0x40030300         /* USB0 EPn Request Packet Count Register */
#define REG_USB0_RQPKTCNT1              0x40030304         /* USB0 EPn Request Packet Count Register */
#define REG_USB0_RQPKTCNT2              0x40030308         /* USB0 EPn Request Packet Count Register */
#define REG_USB0_RXDPKTBUFDIS           0x40030340         /* USB0 RX Double Packet Buffer Disable for Endpoints 1 to 3 */
#define REG_USB0_TXDPKTBUFDIS           0x40030342         /* USB0 TX Double Packet Buffer Disable  for Endpoints 1 to 3 */
#define REG_USB0_LPM_ATTR               0x40030360         /* USB0 LPM Attribute Register */
#define REG_USB0_LPM_CTL                0x40030362         /* USB0 LPM Control Register */
#define REG_USB0_LPM_IEN                0x40030363         /* USB0 LPM Interrupt Enable Register */
#define REG_USB0_LPM_IRQ                0x40030364         /* USB0 LPM Interrupt Status Register */
#define REG_USB0_LPM_FADDR              0x40030365         /* USB0 LPM Function Address Register */
#define REG_USB0_VBUS_CTL               0x40030380         /* USB0 VBUS Control Register */
#define REG_USB0_IDCTL                  0x40030382         /* USB0 ID Control */
#define REG_USB0_PHY_CTL                0x4003039C         /* USB0 FS PHY Control */
#define REG_USB0_PHY_STAT               0x4003039E         /* USB0 FS PHY Status */

/* =========================
        USB
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         USB_FADDR                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_FADDR_VALUE                   0                               /* Function Address Value */
#define BITM_USB_FADDR_VALUE                  (_ADI_MSK(0x0000007F,uint8_t))   /* Function Address Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_POWER                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_POWER_ISOUPDT                 7                               /* ISO Update Enable */
#define BITP_USB_POWER_SOFTCONN                6                               /* Soft Connect/Disconnect Enable */
#define BITP_USB_POWER_HSEN                    5                               /* High Speed Mode Enable */
#define BITP_USB_POWER_HSMODE                  4                               /* High Speed Mode */
#define BITP_USB_POWER_RESET                   3                               /* Reset USB */
#define BITP_USB_POWER_RESUME                  2                               /* Resume Mode */
#define BITP_USB_POWER_SUSPEND                 1                               /* Suspend Mode */
#define BITP_USB_POWER_SUSEN                   0                               /* SUSPENDM Output Enable */

#define BITM_USB_POWER_ISOUPDT                (_ADI_MSK(0x00000080,uint8_t))   /* ISO Update Enable */
#define ENUM_USB_POWER_NO_ISOUPDT             (_ADI_MSK(0x00000000,uint8_t))   /* ISOUPDT: Disable ISO Update */
#define ENUM_USB_POWER_ISOUPDT                (_ADI_MSK(0x00000080,uint8_t))   /* ISOUPDT: Enable ISO Update */

#define BITM_USB_POWER_SOFTCONN               (_ADI_MSK(0x00000040,uint8_t))   /* Soft Connect/Disconnect Enable */
#define ENUM_USB_POWER_NO_SOFTCONN            (_ADI_MSK(0x00000000,uint8_t))   /* SOFTCONN: Disable Soft Connect/Disconnect */
#define ENUM_USB_POWER_SOFTCONN               (_ADI_MSK(0x00000040,uint8_t))   /* SOFTCONN: Enable Soft Connect/Disconnect */

#define BITM_USB_POWER_HSEN                   (_ADI_MSK(0x00000020,uint8_t))   /* High Speed Mode Enable */
#define ENUM_USB_POWER_HSDIS                  (_ADI_MSK(0x00000000,uint8_t))   /* HSEN: Disable Negotiation for HS Mode */
#define ENUM_USB_POWER_HSEN                   (_ADI_MSK(0x00000020,uint8_t))   /* HSEN: Enable Negotiation for HS Mode */

#define BITM_USB_POWER_HSMODE                 (_ADI_MSK(0x00000010,uint8_t))   /* High Speed Mode */
#define ENUM_USB_POWER_NO_HSMODE              (_ADI_MSK(0x00000000,uint8_t))   /* HSMODE: Full Speed Mode (HS fail during reset) */
#define ENUM_USB_POWER_HSMODE                 (_ADI_MSK(0x00000010,uint8_t))   /* HSMODE: High Speed Mode (HS success during reset) */

#define BITM_USB_POWER_RESET                  (_ADI_MSK(0x00000008,uint8_t))   /* Reset USB */
#define ENUM_USB_POWER_NO_RESET               (_ADI_MSK(0x00000000,uint8_t))   /* RESET: No Reset */
#define ENUM_USB_POWER_RESET                  (_ADI_MSK(0x00000008,uint8_t))   /* RESET: Reset USB */

#define BITM_USB_POWER_RESUME                 (_ADI_MSK(0x00000004,uint8_t))   /* Resume Mode */
#define ENUM_USB_POWER_NO_RESUME              (_ADI_MSK(0x00000000,uint8_t))   /* RESUME: Disable Resume Signaling */
#define ENUM_USB_POWER_RESUME                 (_ADI_MSK(0x00000004,uint8_t))   /* RESUME: Enable Resume Signaling */

#define BITM_USB_POWER_SUSPEND                (_ADI_MSK(0x00000002,uint8_t))   /* Suspend Mode */
#define ENUM_USB_POWER_NO_SUSPEND             (_ADI_MSK(0x00000000,uint8_t))   /* SUSPEND: Disable Suspend Mode (Host) */
#define ENUM_USB_POWER_SUSPEND                (_ADI_MSK(0x00000002,uint8_t))   /* SUSPEND: Enable Suspend Mode (Host) */

#define BITM_USB_POWER_SUSEN                  (_ADI_MSK(0x00000001,uint8_t))   /* SUSPENDM Output Enable */
#define ENUM_USB_POWER_SUSDIS                 (_ADI_MSK(0x00000000,uint8_t))   /* SUSEN: Disable SUSPENDM Output */
#define ENUM_USB_POWER_SUSEN                  (_ADI_MSK(0x00000001,uint8_t))   /* SUSEN: Enable SUSPENDM Output */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_INTRTX                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_INTRTX_EP3                    3                               /* End Point 3 Tx Interrupt */
#define BITP_USB_INTRTX_EP2                    2                               /* End Point 2 Tx Interrupt */
#define BITP_USB_INTRTX_EP1                    1                               /* End Point 1 Tx Interrupt */
#define BITP_USB_INTRTX_EP0                    0                               /* End Point 0 Tx Interrupt */
#define BITM_USB_INTRTX_EP3                   (_ADI_MSK(0x00000008,uint16_t))  /* End Point 3 Tx Interrupt */
#define BITM_USB_INTRTX_EP2                   (_ADI_MSK(0x00000004,uint16_t))  /* End Point 2 Tx Interrupt */
#define BITM_USB_INTRTX_EP1                   (_ADI_MSK(0x00000002,uint16_t))  /* End Point 1 Tx Interrupt */
#define BITM_USB_INTRTX_EP0                   (_ADI_MSK(0x00000001,uint16_t))  /* End Point 0 Tx Interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_INTRRX                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_INTRRX_EP3                    3                               /* End Point 3 Rx Interrupt. */
#define BITP_USB_INTRRX_EP2                    2                               /* End Point 2 Rx Interrupt. */
#define BITP_USB_INTRRX_EP1                    1                               /* End Point 1 Rx Interrupt. */
#define BITM_USB_INTRRX_EP3                   (_ADI_MSK(0x00000008,uint16_t))  /* End Point 3 Rx Interrupt. */
#define BITM_USB_INTRRX_EP2                   (_ADI_MSK(0x00000004,uint16_t))  /* End Point 2 Rx Interrupt. */
#define BITM_USB_INTRRX_EP1                   (_ADI_MSK(0x00000002,uint16_t))  /* End Point 1 Rx Interrupt. */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_INTRTXE                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_INTRTXE_EP3                   3                               /* End Point 3 Tx Interrupt Enable */
#define BITP_USB_INTRTXE_EP2                   2                               /* End Point 2 Tx Interrupt Enable */
#define BITP_USB_INTRTXE_EP1                   1                               /* End Point 1 Tx Interrupt Enable */
#define BITP_USB_INTRTXE_EP0                   0                               /* End Point 0 Tx Interrupt Enable */
#define BITM_USB_INTRTXE_EP3                  (_ADI_MSK(0x00000008,uint16_t))  /* End Point 3 Tx Interrupt Enable */
#define BITM_USB_INTRTXE_EP2                  (_ADI_MSK(0x00000004,uint16_t))  /* End Point 2 Tx Interrupt Enable */
#define BITM_USB_INTRTXE_EP1                  (_ADI_MSK(0x00000002,uint16_t))  /* End Point 1 Tx Interrupt Enable */
#define BITM_USB_INTRTXE_EP0                  (_ADI_MSK(0x00000001,uint16_t))  /* End Point 0 Tx Interrupt Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_INTRRXE                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_INTRRXE_EP3                   3                               /* End Point 3 Rx Interrupt Enable */
#define BITP_USB_INTRRXE_EP2                   2                               /* End Point 2 Rx Interrupt Enable */
#define BITP_USB_INTRRXE_EP1                   1                               /* End Point 1 Rx Interrupt Enable */
#define BITM_USB_INTRRXE_EP3                  (_ADI_MSK(0x00000008,uint16_t))  /* End Point 3 Rx Interrupt Enable */
#define BITM_USB_INTRRXE_EP2                  (_ADI_MSK(0x00000004,uint16_t))  /* End Point 2 Rx Interrupt Enable */
#define BITM_USB_INTRRXE_EP1                  (_ADI_MSK(0x00000002,uint16_t))  /* End Point 1 Rx Interrupt Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_IRQ                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_IRQ_VBUSERR                   7                               /* VBUS Threshold Indicator */
#define BITP_USB_IRQ_SESSREQ                   6                               /* Session Request Indicator */
#define BITP_USB_IRQ_DISCON                    5                               /* Disconnect Indicator */
#define BITP_USB_IRQ_CON                       4                               /* Connection Indicator */
#define BITP_USB_IRQ_SOF                       3                               /* Start-of-frame Indicator */
#define BITP_USB_IRQ_RSTBABBLE                 2                               /* Reset/Babble Indicator */
#define BITP_USB_IRQ_RESUME                    1                               /* Resume Indicator */
#define BITP_USB_IRQ_SUSPEND                   0                               /* Suspend Indicator */

#define BITM_USB_IRQ_VBUSERR                  (_ADI_MSK(0x00000080,uint8_t))   /* VBUS Threshold Indicator */
#define ENUM_USB_IRQ_NO_VBUSERR               (_ADI_MSK(0x00000000,uint8_t))   /* VBUSERR: No Interrupt */
#define ENUM_USB_IRQ_VBUSERR                  (_ADI_MSK(0x00000080,uint8_t))   /* VBUSERR: Interrupt Pending */

#define BITM_USB_IRQ_SESSREQ                  (_ADI_MSK(0x00000040,uint8_t))   /* Session Request Indicator */
#define ENUM_USB_IRQ_NO_SESSREQ               (_ADI_MSK(0x00000000,uint8_t))   /* SESSREQ: No Interrupt */
#define ENUM_USB_IRQ_SESSREQ                  (_ADI_MSK(0x00000040,uint8_t))   /* SESSREQ: Interrupt Pending */

#define BITM_USB_IRQ_DISCON                   (_ADI_MSK(0x00000020,uint8_t))   /* Disconnect Indicator */
#define ENUM_USB_IRQ_NO_DISCON                (_ADI_MSK(0x00000000,uint8_t))   /* DISCON: No Interrupt */
#define ENUM_USB_IRQ_DISCON                   (_ADI_MSK(0x00000020,uint8_t))   /* DISCON: Interrupt Pending */

#define BITM_USB_IRQ_CON                      (_ADI_MSK(0x00000010,uint8_t))   /* Connection Indicator */
#define ENUM_USB_IRQ_NO_CON                   (_ADI_MSK(0x00000000,uint8_t))   /* CON: No Interrupt */
#define ENUM_USB_IRQ_CON                      (_ADI_MSK(0x00000010,uint8_t))   /* CON: Interrupt Pending */

#define BITM_USB_IRQ_SOF                      (_ADI_MSK(0x00000008,uint8_t))   /* Start-of-frame Indicator */
#define ENUM_USB_IRQ_NO_SOF                   (_ADI_MSK(0x00000000,uint8_t))   /* SOF: No Interrupt */
#define ENUM_USB_IRQ_SOF                      (_ADI_MSK(0x00000008,uint8_t))   /* SOF: Interrupt Pending */

#define BITM_USB_IRQ_RSTBABBLE                (_ADI_MSK(0x00000004,uint8_t))   /* Reset/Babble Indicator */
#define ENUM_USB_IRQ_NO_RSTBABBLE             (_ADI_MSK(0x00000000,uint8_t))   /* RSTBABBLE: No Interrupt */
#define ENUM_USB_IRQ_RSTBABBLE                (_ADI_MSK(0x00000004,uint8_t))   /* RSTBABBLE: Interrupt Pending */

#define BITM_USB_IRQ_RESUME                   (_ADI_MSK(0x00000002,uint8_t))   /* Resume Indicator */
#define ENUM_USB_IRQ_NO_RESUME                (_ADI_MSK(0x00000000,uint8_t))   /* RESUME: No Interrupt */
#define ENUM_USB_IRQ_RESUME                   (_ADI_MSK(0x00000002,uint8_t))   /* RESUME: Interrupt Pending */

#define BITM_USB_IRQ_SUSPEND                  (_ADI_MSK(0x00000001,uint8_t))   /* Suspend Indicator */
#define ENUM_USB_IRQ_NO_SUSPEND               (_ADI_MSK(0x00000000,uint8_t))   /* SUSPEND: No Interrupt */
#define ENUM_USB_IRQ_SUSPEND                  (_ADI_MSK(0x00000001,uint8_t))   /* SUSPEND: Interrupt Pending */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_IEN                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_IEN_VBUSERR                   7                               /* VBUS Threshold Indicator Interrupt Enable */
#define BITP_USB_IEN_SESSREQ                   6                               /* Session Request Indicator Interrupt Enable */
#define BITP_USB_IEN_DISCON                    5                               /* Disconnect Indicator Interrupt Enable */
#define BITP_USB_IEN_CON                       4                               /* Connection Indicator Interrupt Enable */
#define BITP_USB_IEN_SOF                       3                               /* Start-of-frame Indicator Interrupt Enable */
#define BITP_USB_IEN_RSTBABBLE                 2                               /* Reset/Babble Indicator Interrupt Enable */
#define BITP_USB_IEN_RESUME                    1                               /* Resume Indicator Interrupt Enable */
#define BITP_USB_IEN_SUSPEND                   0                               /* Suspend Indicator Interrupt Enable */

#define BITM_USB_IEN_VBUSERR                  (_ADI_MSK(0x00000080,uint8_t))   /* VBUS Threshold Indicator Interrupt Enable */
#define ENUM_USB_IEN_VBUSERRDIS               (_ADI_MSK(0x00000000,uint8_t))   /* VBUSERR: Disable Interrupt */
#define ENUM_USB_IEN_VBUSERREN                (_ADI_MSK(0x00000080,uint8_t))   /* VBUSERR: Enable Interrupt */

#define BITM_USB_IEN_SESSREQ                  (_ADI_MSK(0x00000040,uint8_t))   /* Session Request Indicator Interrupt Enable */
#define ENUM_USB_IEN_SESSREQDIS               (_ADI_MSK(0x00000000,uint8_t))   /* SESSREQ: Disable Interrupt */
#define ENUM_USB_IEN_SESSREQEN                (_ADI_MSK(0x00000040,uint8_t))   /* SESSREQ: Enable Interrupt */

#define BITM_USB_IEN_DISCON                   (_ADI_MSK(0x00000020,uint8_t))   /* Disconnect Indicator Interrupt Enable */
#define ENUM_USB_IEN_DISCONDIS                (_ADI_MSK(0x00000000,uint8_t))   /* DISCON: Disable Interrupt */
#define ENUM_USB_IEN_DISCONEN                 (_ADI_MSK(0x00000020,uint8_t))   /* DISCON: Enable Interrupt */

#define BITM_USB_IEN_CON                      (_ADI_MSK(0x00000010,uint8_t))   /* Connection Indicator Interrupt Enable */
#define ENUM_USB_IEN_CONDIS                   (_ADI_MSK(0x00000000,uint8_t))   /* CON: Disable Interrupt */
#define ENUM_USB_IEN_CONEN                    (_ADI_MSK(0x00000010,uint8_t))   /* CON: Enable Interrupt */

#define BITM_USB_IEN_SOF                      (_ADI_MSK(0x00000008,uint8_t))   /* Start-of-frame Indicator Interrupt Enable */
#define ENUM_USB_IEN_SOFDIS                   (_ADI_MSK(0x00000000,uint8_t))   /* SOF: Disable Interrupt */
#define ENUM_USB_IEN_SOFEN                    (_ADI_MSK(0x00000008,uint8_t))   /* SOF: Enable Interrupt */

#define BITM_USB_IEN_RSTBABBLE                (_ADI_MSK(0x00000004,uint8_t))   /* Reset/Babble Indicator Interrupt Enable */
#define ENUM_USB_IEN_RSTBABBLEDIS             (_ADI_MSK(0x00000000,uint8_t))   /* RSTBABBLE: Disable Interrupt */
#define ENUM_USB_IEN_RSTBABBLEEN              (_ADI_MSK(0x00000004,uint8_t))   /* RSTBABBLE: Enable Interrupt */

#define BITM_USB_IEN_RESUME                   (_ADI_MSK(0x00000002,uint8_t))   /* Resume Indicator Interrupt Enable */
#define ENUM_USB_IEN_RESUMEDIS                (_ADI_MSK(0x00000000,uint8_t))   /* RESUME: Disable Interrupt */
#define ENUM_USB_IEN_RESUMEEN                 (_ADI_MSK(0x00000002,uint8_t))   /* RESUME: Enable Interrupt */

#define BITM_USB_IEN_SUSPEND                  (_ADI_MSK(0x00000001,uint8_t))   /* Suspend Indicator Interrupt Enable */
#define ENUM_USB_IEN_SUSPENDDIS               (_ADI_MSK(0x00000000,uint8_t))   /* SUSPEND: Disable Interrupt */
#define ENUM_USB_IEN_SUSPENDEN                (_ADI_MSK(0x00000001,uint8_t))   /* SUSPEND: Enable Interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_FRAME                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_FRAME_VALUE                   0                               /* Frame Number Value */
#define BITM_USB_FRAME_VALUE                  (_ADI_MSK(0x000007FF,uint16_t))  /* Frame Number Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_INDEX                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_INDEX_EP                      0                               /* Endpoint Index */
#define BITM_USB_INDEX_EP                     (_ADI_MSK(0x0000000F,uint8_t))   /* Endpoint Index */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_TESTMODE                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_TESTMODE_FIFOACCESS           6                               /* FIFO Access */
#define BITP_USB_TESTMODE_TESTK                2                               /* Test_K Mode */
#define BITP_USB_TESTMODE_TESTJ                1                               /* Test_J Mode */
#define BITP_USB_TESTMODE_TESTSE0NAK           0                               /* Test SE0 NAK */
#define BITM_USB_TESTMODE_FIFOACCESS          (_ADI_MSK(0x00000040,uint8_t))   /* FIFO Access */
#define BITM_USB_TESTMODE_TESTK               (_ADI_MSK(0x00000004,uint8_t))   /* Test_K Mode */
#define BITM_USB_TESTMODE_TESTJ               (_ADI_MSK(0x00000002,uint8_t))   /* Test_J Mode */
#define BITM_USB_TESTMODE_TESTSE0NAK          (_ADI_MSK(0x00000001,uint8_t))   /* Test SE0 NAK */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPI_TXMAXP                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPI_TXMAXP_MAXPAY             0                               /* Maximum Payload */
#define BITM_USB_EPI_TXMAXP_MAXPAY            (_ADI_MSK(0x000007FF,uint16_t))  /* Maximum Payload */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPI_TXCSR_P                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPI_TXCSR_P_AUTOSET          15                               /* TxPkRdy Autoset Enable */
#define BITP_USB_EPI_TXCSR_P_ISO              14                               /* Isochronous Transfers Enable */
#define BITP_USB_EPI_TXCSR_P_DMAREQEN         12                               /* DMA Request Enable Tx EP */
#define BITP_USB_EPI_TXCSR_P_FRCDATATGL       11                               /* Force Data Toggle */
#define BITP_USB_EPI_TXCSR_P_DMAREQMODE       10                               /* DMA Mode Select */
#define BITP_USB_EPI_TXCSR_P_CLRDATATGL        6                               /* Clear Endpoint Data Toggle */
#define BITP_USB_EPI_TXCSR_P_SENTSTALL         5                               /* Sent STALL */
#define BITP_USB_EPI_TXCSR_P_SENDSTALL         4                               /* Send STALL */
#define BITP_USB_EPI_TXCSR_P_FLUSHFIFO         3                               /* Flush Endpoint FIFO */
#define BITP_USB_EPI_TXCSR_P_URUNERR           2                               /* Underrun Error */
#define BITP_USB_EPI_TXCSR_P_NEFIFO            1                               /* Not Empty FIFO */
#define BITP_USB_EPI_TXCSR_P_TXPKTRDY          0                               /* Tx Packet Ready */

#define BITM_USB_EPI_TXCSR_P_AUTOSET          (_ADI_MSK(0x00008000,uint16_t))  /* TxPkRdy Autoset Enable */
#define ENUM_USB_EPI_TXCSR_P_NO_AUTOSET       (_ADI_MSK(0x00000000,uint16_t))  /* AUTOSET: Disable Autoset */
#define ENUM_USB_EPI_TXCSR_P_AUTOSET          (_ADI_MSK(0x00008000,uint16_t))  /* AUTOSET: Enable Autoset */

#define BITM_USB_EPI_TXCSR_P_ISO              (_ADI_MSK(0x00004000,uint16_t))  /* Isochronous Transfers Enable */
#define ENUM_USB_EPI_TXCSR_P_ISODIS           (_ADI_MSK(0x00000000,uint16_t))  /* ISO: Disable Tx EP Isochronous Transfers */
#define ENUM_USB_EPI_TXCSR_P_ISOEN            (_ADI_MSK(0x00004000,uint16_t))  /* ISO: Enable Tx EP Isochronous Transfers */

#define BITM_USB_EPI_TXCSR_P_DMAREQEN         (_ADI_MSK(0x00001000,uint16_t))  /* DMA Request Enable Tx EP */
#define ENUM_USB_EPI_TXCSR_P_DMAREQDIS        (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQEN: Disable DMA Request */
#define ENUM_USB_EPI_TXCSR_P_DMAREQEN         (_ADI_MSK(0x00001000,uint16_t))  /* DMAREQEN: Enable DMA Request */

#define BITM_USB_EPI_TXCSR_P_FRCDATATGL       (_ADI_MSK(0x00000800,uint16_t))  /* Force Data Toggle */
#define ENUM_USB_EPI_TXCSR_P_NO_FRCTGL        (_ADI_MSK(0x00000000,uint16_t))  /* FRCDATATGL: No Action */
#define ENUM_USB_EPI_TXCSR_P_FRCTGL           (_ADI_MSK(0x00000800,uint16_t))  /* FRCDATATGL: Toggle Endpoint Data */

#define BITM_USB_EPI_TXCSR_P_DMAREQMODE       (_ADI_MSK(0x00000400,uint16_t))  /* DMA Mode Select */
#define ENUM_USB_EPI_TXCSR_P_DMARQMODE0       (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQMODE: DMA Request Mode 0 */
#define ENUM_USB_EPI_TXCSR_P_DMARQMODE1       (_ADI_MSK(0x00000400,uint16_t))  /* DMAREQMODE: DMA Request Mode 1 */

#define BITM_USB_EPI_TXCSR_P_CLRDATATGL       (_ADI_MSK(0x00000040,uint16_t))  /* Clear Endpoint Data Toggle */
#define ENUM_USB_EPI_TXCSR_P_NO_CLRTGL        (_ADI_MSK(0x00000000,uint16_t))  /* CLRDATATGL: No Action */
#define ENUM_USB_EPI_TXCSR_P_CLRTGL           (_ADI_MSK(0x00000040,uint16_t))  /* CLRDATATGL: Reset EP Data Toggle to 0 */

#define BITM_USB_EPI_TXCSR_P_SENTSTALL        (_ADI_MSK(0x00000020,uint16_t))  /* Sent STALL */
#define ENUM_USB_EPI_TXCSR_P_NO_STALSNT       (_ADI_MSK(0x00000000,uint16_t))  /* SENTSTALL: No Status */
#define ENUM_USB_EPI_TXCSR_P_STALSNT          (_ADI_MSK(0x00000020,uint16_t))  /* SENTSTALL: STALL Handshake Transmitted */

#define BITM_USB_EPI_TXCSR_P_SENDSTALL        (_ADI_MSK(0x00000010,uint16_t))  /* Send STALL */
#define ENUM_USB_EPI_TXCSR_P_NO_STALL         (_ADI_MSK(0x00000000,uint16_t))  /* SENDSTALL: No Request */
#define ENUM_USB_EPI_TXCSR_P_STALL            (_ADI_MSK(0x00000010,uint16_t))  /* SENDSTALL: Request STALL Handshake Transmission */

#define BITM_USB_EPI_TXCSR_P_FLUSHFIFO        (_ADI_MSK(0x00000008,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EPI_TXCSR_P_NO_FLUSH         (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EPI_TXCSR_P_FLUSH            (_ADI_MSK(0x00000008,uint16_t))  /* FLUSHFIFO: Flush endpoint FIFO */

#define BITM_USB_EPI_TXCSR_P_URUNERR          (_ADI_MSK(0x00000004,uint16_t))  /* Underrun Error */
#define ENUM_USB_EPI_TXCSR_P_NO_URUNERR       (_ADI_MSK(0x00000000,uint16_t))  /* URUNERR: No Status */
#define ENUM_USB_EPI_TXCSR_P_URUNERR          (_ADI_MSK(0x00000004,uint16_t))  /* URUNERR: Underrun Error */

#define BITM_USB_EPI_TXCSR_P_NEFIFO           (_ADI_MSK(0x00000002,uint16_t))  /* Not Empty FIFO */
#define ENUM_USB_EPI_TXCSR_P_NO_FIFONE        (_ADI_MSK(0x00000000,uint16_t))  /* NEFIFO: FIFO Empty */
#define ENUM_USB_EPI_TXCSR_P_FIFONE           (_ADI_MSK(0x00000002,uint16_t))  /* NEFIFO: FIFO Not Empty */

#define BITM_USB_EPI_TXCSR_P_TXPKTRDY         (_ADI_MSK(0x00000001,uint16_t))  /* Tx Packet Ready */
#define ENUM_USB_EPI_TXCSR_P_NO_PKTRDY        (_ADI_MSK(0x00000000,uint16_t))  /* TXPKTRDY: No Tx Packet */
#define ENUM_USB_EPI_TXCSR_P_PKTRDY           (_ADI_MSK(0x00000001,uint16_t))  /* TXPKTRDY: Tx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPI_TXCSR_H                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPI_TXCSR_H_AUTOSET          15                               /* TxPkRdy Autoset Enable */
#define BITP_USB_EPI_TXCSR_H_DMAREQEN         12                               /* DMA Request Enable Tx EP */
#define BITP_USB_EPI_TXCSR_H_FRCDATATGL       11                               /* Force Data Toggle */
#define BITP_USB_EPI_TXCSR_H_DMAREQMODE       10                               /* DMA Mode Select */
#define BITP_USB_EPI_TXCSR_H_DATGLEN           9                               /* Data Toggle Write Enable */
#define BITP_USB_EPI_TXCSR_H_DATGL             8                               /* Data Toggle */
#define BITP_USB_EPI_TXCSR_H_NAKTOINCMP        7                               /* NAK Timeout Incomplete */
#define BITP_USB_EPI_TXCSR_H_CLRDATATGL        6                               /* Clear Endpoint Data Toggle */
#define BITP_USB_EPI_TXCSR_H_RXSTALL           5                               /* Rx STALL */
#define BITP_USB_EPI_TXCSR_H_SETUPPKT          4                               /* Setup Packet */
#define BITP_USB_EPI_TXCSR_H_FLUSHFIFO         3                               /* Flush Endpoint FIFO */
#define BITP_USB_EPI_TXCSR_H_TXTOERR           2                               /* Tx Timeout Error */
#define BITP_USB_EPI_TXCSR_H_NEFIFO            1                               /* Not Empty FIFO */
#define BITP_USB_EPI_TXCSR_H_TXPKTRDY          0                               /* Tx Packet Ready */

#define BITM_USB_EPI_TXCSR_H_AUTOSET          (_ADI_MSK(0x00008000,uint16_t))  /* TxPkRdy Autoset Enable */
#define ENUM_USB_EPI_TXCSR_H_NO_AUTOSET       (_ADI_MSK(0x00000000,uint16_t))  /* AUTOSET: Disable Autoset */
#define ENUM_USB_EPI_TXCSR_H_AUTOSET          (_ADI_MSK(0x00008000,uint16_t))  /* AUTOSET: Enable Autoset */

#define BITM_USB_EPI_TXCSR_H_DMAREQEN         (_ADI_MSK(0x00001000,uint16_t))  /* DMA Request Enable Tx EP */
#define ENUM_USB_EPI_TXCSR_H_DMAREQDIS        (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQEN: Disable DMA Request */
#define ENUM_USB_EPI_TXCSR_H_DMAREQEN         (_ADI_MSK(0x00001000,uint16_t))  /* DMAREQEN: Enable DMA Request */

#define BITM_USB_EPI_TXCSR_H_FRCDATATGL       (_ADI_MSK(0x00000800,uint16_t))  /* Force Data Toggle */
#define ENUM_USB_EPI_TXCSR_H_NO_FRCTGL        (_ADI_MSK(0x00000000,uint16_t))  /* FRCDATATGL: No Action */
#define ENUM_USB_EPI_TXCSR_H_FRCTGL           (_ADI_MSK(0x00000800,uint16_t))  /* FRCDATATGL: Toggle Endpoint Data */

#define BITM_USB_EPI_TXCSR_H_DMAREQMODE       (_ADI_MSK(0x00000400,uint16_t))  /* DMA Mode Select */
#define ENUM_USB_EPI_TXCSR_H_DMARQMODE0       (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQMODE: DMA Request Mode 0 */
#define ENUM_USB_EPI_TXCSR_H_DMARQMODE1       (_ADI_MSK(0x00000400,uint16_t))  /* DMAREQMODE: DMA Request Mode 1 */

#define BITM_USB_EPI_TXCSR_H_DATGLEN          (_ADI_MSK(0x00000200,uint16_t))  /* Data Toggle Write Enable */
#define ENUM_USB_EPI_TXCSR_H_NO_DATGLEN       (_ADI_MSK(0x00000000,uint16_t))  /* DATGLEN: Disable Write to DATGL */
#define ENUM_USB_EPI_TXCSR_H_DATGLEN          (_ADI_MSK(0x00000200,uint16_t))  /* DATGLEN: Enable Write to DATGL */

#define BITM_USB_EPI_TXCSR_H_DATGL            (_ADI_MSK(0x00000100,uint16_t))  /* Data Toggle */
#define ENUM_USB_EPI_TXCSR_H_NO_DATGL         (_ADI_MSK(0x00000000,uint16_t))  /* DATGL: DATA0 is set */
#define ENUM_USB_EPI_TXCSR_H_DATGL            (_ADI_MSK(0x00000100,uint16_t))  /* DATGL: DATA1 is set */

#define BITM_USB_EPI_TXCSR_H_NAKTOINCMP       (_ADI_MSK(0x00000080,uint16_t))  /* NAK Timeout Incomplete */
#define ENUM_USB_EPI_TXCSR_H_NO_NAKTO         (_ADI_MSK(0x00000000,uint16_t))  /* NAKTOINCMP: No Status */
#define ENUM_USB_EPI_TXCSR_H_NAKTO            (_ADI_MSK(0x00000080,uint16_t))  /* NAKTOINCMP: NAK Timeout Over Maximum */

#define BITM_USB_EPI_TXCSR_H_CLRDATATGL       (_ADI_MSK(0x00000040,uint16_t))  /* Clear Endpoint Data Toggle */
#define ENUM_USB_EPI_TXCSR_H_NO_CLRTGL        (_ADI_MSK(0x00000000,uint16_t))  /* CLRDATATGL: No Action */
#define ENUM_USB_EPI_TXCSR_H_CLRTGL           (_ADI_MSK(0x00000040,uint16_t))  /* CLRDATATGL: Reset EP Data Toggle to 0 */

#define BITM_USB_EPI_TXCSR_H_RXSTALL          (_ADI_MSK(0x00000020,uint16_t))  /* Rx STALL */
#define ENUM_USB_EPI_TXCSR_H_NO_RXSTALL       (_ADI_MSK(0x00000000,uint16_t))  /* RXSTALL: No Status */
#define ENUM_USB_EPI_TXCSR_H_RXSTALL          (_ADI_MSK(0x00000020,uint16_t))  /* RXSTALL: Stall Received from Device */

#define BITM_USB_EPI_TXCSR_H_SETUPPKT         (_ADI_MSK(0x00000010,uint16_t))  /* Setup Packet */
#define ENUM_USB_EPI_TXCSR_H_NO_SETUPPK       (_ADI_MSK(0x00000000,uint16_t))  /* SETUPPKT: No Request */
#define ENUM_USB_EPI_TXCSR_H_SETUPPKT         (_ADI_MSK(0x00000010,uint16_t))  /* SETUPPKT: Send SETUP Token */

#define BITM_USB_EPI_TXCSR_H_FLUSHFIFO        (_ADI_MSK(0x00000008,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EPI_TXCSR_H_NO_FLUSH         (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EPI_TXCSR_H_FLUSH            (_ADI_MSK(0x00000008,uint16_t))  /* FLUSHFIFO: Flush endpoint FIFO */

#define BITM_USB_EPI_TXCSR_H_TXTOERR          (_ADI_MSK(0x00000004,uint16_t))  /* Tx Timeout Error */
#define ENUM_USB_EPI_TXCSR_H_NO_TXTOERR       (_ADI_MSK(0x00000000,uint16_t))  /* TXTOERR: No Status */
#define ENUM_USB_EPI_TXCSR_H_TXTOERR          (_ADI_MSK(0x00000004,uint16_t))  /* TXTOERR: Tx Timeout Error */

#define BITM_USB_EPI_TXCSR_H_NEFIFO           (_ADI_MSK(0x00000002,uint16_t))  /* Not Empty FIFO */
#define ENUM_USB_EPI_TXCSR_H_NO_NEFIFO        (_ADI_MSK(0x00000000,uint16_t))  /* NEFIFO: FIFO Empty */
#define ENUM_USB_EPI_TXCSR_H_NEFIFO           (_ADI_MSK(0x00000002,uint16_t))  /* NEFIFO: FIFO Not Empty */

#define BITM_USB_EPI_TXCSR_H_TXPKTRDY         (_ADI_MSK(0x00000001,uint16_t))  /* Tx Packet Ready */
#define ENUM_USB_EPI_TXCSR_H_NO_PKTRDY        (_ADI_MSK(0x00000000,uint16_t))  /* TXPKTRDY: No Tx Packet */
#define ENUM_USB_EPI_TXCSR_H_PKTRDY           (_ADI_MSK(0x00000001,uint16_t))  /* TXPKTRDY: Tx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0I_CSR_P                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0I_CSR_P_FLUSHFIFO          8                               /* Flush Endpoint FIFO */
#define BITP_USB_EP0I_CSR_P_SSETUPEND          7                               /* Service Setup End */
#define BITP_USB_EP0I_CSR_P_SPKTRDY            6                               /* Service Rx Packet Ready */
#define BITP_USB_EP0I_CSR_P_SENDSTALL          5                               /* Send Stall */
#define BITP_USB_EP0I_CSR_P_SETUPEND           4                               /* Setup End */
#define BITP_USB_EP0I_CSR_P_DATAEND            3                               /* Data End */
#define BITP_USB_EP0I_CSR_P_SENTSTALL          2                               /* Sent Stall */
#define BITP_USB_EP0I_CSR_P_TXPKTRDY           1                               /* Tx Packet Ready */
#define BITP_USB_EP0I_CSR_P_RXPKTRDY           0                               /* Rx Packet Ready */

#define BITM_USB_EP0I_CSR_P_FLUSHFIFO         (_ADI_MSK(0x00000100,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EP0I_CSR_P_NO_FLUSH          (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EP0I_CSR_P_FLUSH             (_ADI_MSK(0x00000100,uint16_t))  /* FLUSHFIFO: Flush Endpoint FIFO */

#define BITM_USB_EP0I_CSR_P_SSETUPEND         (_ADI_MSK(0x00000080,uint16_t))  /* Service Setup End */
#define ENUM_USB_EP0I_CSR_P_NOSSETUPEND       (_ADI_MSK(0x00000000,uint16_t))  /* SSETUPEND: No Action */
#define ENUM_USB_EP0I_CSR_P_SSETUPEND         (_ADI_MSK(0x00000080,uint16_t))  /* SSETUPEND: Clear SETUPEND Bit */

#define BITM_USB_EP0I_CSR_P_SPKTRDY           (_ADI_MSK(0x00000040,uint16_t))  /* Service Rx Packet Ready */
#define ENUM_USB_EP0I_CSR_P_NO_SPKTRDY        (_ADI_MSK(0x00000000,uint16_t))  /* SPKTRDY: No Action */
#define ENUM_USB_EP0I_CSR_P_SPKTRDY           (_ADI_MSK(0x00000040,uint16_t))  /* SPKTRDY: Clear RXPKTRDY Bit */

#define BITM_USB_EP0I_CSR_P_SENDSTALL         (_ADI_MSK(0x00000020,uint16_t))  /* Send Stall */
#define ENUM_USB_EP0I_CSR_P_NO_STALL          (_ADI_MSK(0x00000000,uint16_t))  /* SENDSTALL: No Action */
#define ENUM_USB_EP0I_CSR_P_STALL             (_ADI_MSK(0x00000020,uint16_t))  /* SENDSTALL: Terminate Current Transaction */

#define BITM_USB_EP0I_CSR_P_SETUPEND          (_ADI_MSK(0x00000010,uint16_t))  /* Setup End */
#define ENUM_USB_EP0I_CSR_P_NO_SETUPEND       (_ADI_MSK(0x00000000,uint16_t))  /* SETUPEND: No Status */
#define ENUM_USB_EP0I_CSR_P_SETUPEND          (_ADI_MSK(0x00000010,uint16_t))  /* SETUPEND: Setup Ended before DATAEND */

#define BITM_USB_EP0I_CSR_P_DATAEND           (_ADI_MSK(0x00000008,uint16_t))  /* Data End */
#define ENUM_USB_EP0I_CSR_P_NO_DATAEND        (_ADI_MSK(0x00000000,uint16_t))  /* DATAEND: No Status */
#define ENUM_USB_EP0I_CSR_P_DATAEND           (_ADI_MSK(0x00000008,uint16_t))  /* DATAEND: Data End Condition */

#define BITM_USB_EP0I_CSR_P_SENTSTALL         (_ADI_MSK(0x00000004,uint16_t))  /* Sent Stall */
#define ENUM_USB_EP0I_CSR_P_NO_STALSNT        (_ADI_MSK(0x00000000,uint16_t))  /* SENTSTALL: No Status */
#define ENUM_USB_EP0I_CSR_P_STALSNT           (_ADI_MSK(0x00000004,uint16_t))  /* SENTSTALL: Transmitted STALL Handshake */

#define BITM_USB_EP0I_CSR_P_TXPKTRDY          (_ADI_MSK(0x00000002,uint16_t))  /* Tx Packet Ready */
#define ENUM_USB_EP0I_CSR_P_NO_TXPKTRDY       (_ADI_MSK(0x00000000,uint16_t))  /* TXPKTRDY:  */
#define ENUM_USB_EP0I_CSR_P_TXPKTRDY          (_ADI_MSK(0x00000002,uint16_t))  /* TXPKTRDY: Set this bit after loading a data packet into the FIFO */

#define BITM_USB_EP0I_CSR_P_RXPKTRDY          (_ADI_MSK(0x00000001,uint16_t))  /* Rx Packet Ready */
#define ENUM_USB_EP0I_CSR_P_NO_PKTRDY         (_ADI_MSK(0x00000000,uint16_t))  /* RXPKTRDY: No Rx Packet */
#define ENUM_USB_EP0I_CSR_P_PKTRDY            (_ADI_MSK(0x00000001,uint16_t))  /* RXPKTRDY: Rx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0I_CSR_H                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0I_CSR_H_DATGLEN           10                               /* Data Toggle Write Enable */
#define BITP_USB_EP0I_CSR_H_DATGL              9                               /* Data Toggle */
#define BITP_USB_EP0I_CSR_H_FLUSHFIFO          8                               /* Flush Endpoint FIFO */
#define BITP_USB_EP0I_CSR_H_NAKTO              7                               /* NAK Timeout */
#define BITP_USB_EP0I_CSR_H_STATUSPKT          6                               /* Status Packet */
#define BITP_USB_EP0I_CSR_H_REQPKT             5                               /* Request Packet */
#define BITP_USB_EP0I_CSR_H_TOERR              4                               /* Timeout Error */
#define BITP_USB_EP0I_CSR_H_SETUPPKT           3                               /* Setup Packet */
#define BITP_USB_EP0I_CSR_H_RXSTALL            2                               /* Rx Stall */
#define BITP_USB_EP0I_CSR_H_TXPKTRDY           1                               /* Tx Packet Ready */
#define BITP_USB_EP0I_CSR_H_RXPKTRDY           0                               /* Rx Packet Ready */

#define BITM_USB_EP0I_CSR_H_DATGLEN           (_ADI_MSK(0x00000400,uint16_t))  /* Data Toggle Write Enable */
#define ENUM_USB_EP0I_CSR_H_NO_DATGLEN        (_ADI_MSK(0x00000000,uint16_t))  /* DATGLEN: Disable Write to DATGL */
#define ENUM_USB_EP0I_CSR_H_DATGLEN           (_ADI_MSK(0x00000400,uint16_t))  /* DATGLEN: Enable Write to DATGL */

#define BITM_USB_EP0I_CSR_H_DATGL             (_ADI_MSK(0x00000200,uint16_t))  /* Data Toggle */
#define ENUM_USB_EP0I_CSR_H_NO_DATATGL        (_ADI_MSK(0x00000000,uint16_t))  /* DATGL: DATA0 is Set */
#define ENUM_USB_EP0I_CSR_H_DATATGL           (_ADI_MSK(0x00000200,uint16_t))  /* DATGL: DATA1 is Set */

#define BITM_USB_EP0I_CSR_H_FLUSHFIFO         (_ADI_MSK(0x00000100,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EP0I_CSR_H_NO_FLUSH          (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EP0I_CSR_H_FLUSH             (_ADI_MSK(0x00000100,uint16_t))  /* FLUSHFIFO: Flush Endpoint FIFO */

#define BITM_USB_EP0I_CSR_H_NAKTO             (_ADI_MSK(0x00000080,uint16_t))  /* NAK Timeout */
#define ENUM_USB_EP0I_CSR_H_NO_NAKTO          (_ADI_MSK(0x00000000,uint16_t))  /* NAKTO: No Status */
#define ENUM_USB_EP0I_CSR_H_NAKTO             (_ADI_MSK(0x00000080,uint16_t))  /* NAKTO: Endpoint Halted (NAK Timeout) */

#define BITM_USB_EP0I_CSR_H_STATUSPKT         (_ADI_MSK(0x00000040,uint16_t))  /* Status Packet */
#define ENUM_USB_EP0I_CSR_H_NO_STATPKT        (_ADI_MSK(0x00000000,uint16_t))  /* STATUSPKT: No Request */
#define ENUM_USB_EP0I_CSR_H_STATPKT           (_ADI_MSK(0x00000040,uint16_t))  /* STATUSPKT: Request Status Transaction */

#define BITM_USB_EP0I_CSR_H_REQPKT            (_ADI_MSK(0x00000020,uint16_t))  /* Request Packet */
#define ENUM_USB_EP0I_CSR_H_NO_REQPKT         (_ADI_MSK(0x00000000,uint16_t))  /* REQPKT: No Request */
#define ENUM_USB_EP0I_CSR_H_REQPKT            (_ADI_MSK(0x00000020,uint16_t))  /* REQPKT: Send IN Tokens to Device */

#define BITM_USB_EP0I_CSR_H_TOERR             (_ADI_MSK(0x00000010,uint16_t))  /* Timeout Error */
#define ENUM_USB_EP0I_CSR_H_NO_TOERR          (_ADI_MSK(0x00000000,uint16_t))  /* TOERR: No Status */
#define ENUM_USB_EP0I_CSR_H_TOERR             (_ADI_MSK(0x00000010,uint16_t))  /* TOERR: Timeout Error */

#define BITM_USB_EP0I_CSR_H_SETUPPKT          (_ADI_MSK(0x00000008,uint16_t))  /* Setup Packet */
#define ENUM_USB_EP0I_CSR_H_NO_SETUPPKT       (_ADI_MSK(0x00000000,uint16_t))  /* SETUPPKT: No Request */
#define ENUM_USB_EP0I_CSR_H_SETUPPKT          (_ADI_MSK(0x00000008,uint16_t))  /* SETUPPKT: Send SETUP token */

#define BITM_USB_EP0I_CSR_H_RXSTALL           (_ADI_MSK(0x00000004,uint16_t))  /* Rx Stall */
#define ENUM_USB_EP0I_CSR_H_NO_RXSTALL        (_ADI_MSK(0x00000000,uint16_t))  /* RXSTALL: No Status */
#define ENUM_USB_EP0I_CSR_H_RXSTALL           (_ADI_MSK(0x00000004,uint16_t))  /* RXSTALL: Stall Received from Device */

#define BITM_USB_EP0I_CSR_H_TXPKTRDY          (_ADI_MSK(0x00000002,uint16_t))  /* Tx Packet Ready */
#define ENUM_USB_EP0I_CSR_H_NO_TXPKTRDY       (_ADI_MSK(0x00000000,uint16_t))  /* TXPKTRDY: No Tx Packet */
#define ENUM_USB_EP0I_CSR_H_TXPKTRDY          (_ADI_MSK(0x00000002,uint16_t))  /* TXPKTRDY: Tx Packet in Endpoint FIFO */

#define BITM_USB_EP0I_CSR_H_RXPKTRDY          (_ADI_MSK(0x00000001,uint16_t))  /* Rx Packet Ready */
#define ENUM_USB_EP0I_CSR_H_NO_RXPKTRDY       (_ADI_MSK(0x00000000,uint16_t))  /* RXPKTRDY: No Rx Packet */
#define ENUM_USB_EP0I_CSR_H_RXPKTRDY          (_ADI_MSK(0x00000001,uint16_t))  /* RXPKTRDY: Rx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPI_RXMAXP                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPI_RXMAXP_MAXPAY             0                               /* Maximum Payload */
#define BITM_USB_EPI_RXMAXP_MAXPAY            (_ADI_MSK(0x000007FF,uint16_t))  /* Maximum Payload */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPI_RXCSR_H                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPI_RXCSR_H_AUTOCLR          15                               /* Auto Clear Enable */
#define BITP_USB_EPI_RXCSR_H_AUTOREQ          14                               /* Auto Request Clear Enable */
#define BITP_USB_EPI_RXCSR_H_DMAREQEN         13                               /* DMA Request Enable Rx EP */
#define BITP_USB_EPI_RXCSR_H_PIDERR           12                               /* Packet ID Error */
#define BITP_USB_EPI_RXCSR_H_DMAREQMODE       11                               /* DMA Mode Select */
#define BITP_USB_EPI_RXCSR_H_DATGLEN          10                               /* Data Toggle Write Enable */
#define BITP_USB_EPI_RXCSR_H_DATGL             9                               /* Data Toggle */
#define BITP_USB_EPI_RXCSR_H_CLRDATATGL        7                               /* Clear Endpoint Data Toggle */
#define BITP_USB_EPI_RXCSR_H_RXSTALL           6                               /* Rx STALL */
#define BITP_USB_EPI_RXCSR_H_REQPKT            5                               /* Request Packet */
#define BITP_USB_EPI_RXCSR_H_FLUSHFIFO         4                               /* Flush Endpoint FIFO */
#define BITP_USB_EPI_RXCSR_H_NAKTODERR         3                               /* NAK Timeout Data Error */
#define BITP_USB_EPI_RXCSR_H_RXTOERR           2                               /* Rx Timeout Error */
#define BITP_USB_EPI_RXCSR_H_FIFOFULL          1                               /* FIFO Full */
#define BITP_USB_EPI_RXCSR_H_RXPKTRDY          0                               /* Rx Packet Ready */

#define BITM_USB_EPI_RXCSR_H_AUTOCLR          (_ADI_MSK(0x00008000,uint16_t))  /* Auto Clear Enable */
#define ENUM_USB_EPI_RXCSR_H_NO_AUTOCLR       (_ADI_MSK(0x00000000,uint16_t))  /* AUTOCLR: Disable Auto Clear */
#define ENUM_USB_EPI_RXCSR_H_AUTOCLR          (_ADI_MSK(0x00008000,uint16_t))  /* AUTOCLR: Enable Auto Clear */

#define BITM_USB_EPI_RXCSR_H_AUTOREQ          (_ADI_MSK(0x00004000,uint16_t))  /* Auto Request Clear Enable */
#define ENUM_USB_EPI_RXCSR_H_NO_AUTOREQ       (_ADI_MSK(0x00000000,uint16_t))  /* AUTOREQ: Disable Auto Request Clear */
#define ENUM_USB_EPI_RXCSR_H_AUTOREQ          (_ADI_MSK(0x00004000,uint16_t))  /* AUTOREQ: Enable Auto Request Clear */

#define BITM_USB_EPI_RXCSR_H_DMAREQEN         (_ADI_MSK(0x00002000,uint16_t))  /* DMA Request Enable Rx EP */
#define ENUM_USB_EPI_RXCSR_H_DMAREQDIS        (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQEN: Disable DMA Request */
#define ENUM_USB_EPI_RXCSR_H_DMAREQEN         (_ADI_MSK(0x00002000,uint16_t))  /* DMAREQEN: Enable DMA Request */

#define BITM_USB_EPI_RXCSR_H_PIDERR           (_ADI_MSK(0x00001000,uint16_t))  /* Packet ID Error */
#define ENUM_USB_EPI_RXCSR_H_NO_PIDERR        (_ADI_MSK(0x00000000,uint16_t))  /* PIDERR: No Status */
#define ENUM_USB_EPI_RXCSR_H_PIDERR           (_ADI_MSK(0x00001000,uint16_t))  /* PIDERR: PID Error */

#define BITM_USB_EPI_RXCSR_H_DMAREQMODE       (_ADI_MSK(0x00000800,uint16_t))  /* DMA Mode Select */
#define ENUM_USB_EPI_RXCSR_H_DMARQMODE0       (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQMODE: DMA Request Mode 0 */
#define ENUM_USB_EPI_RXCSR_H_DMARQMODE1       (_ADI_MSK(0x00000800,uint16_t))  /* DMAREQMODE: DMA Request Mode 1 */

#define BITM_USB_EPI_RXCSR_H_DATGLEN          (_ADI_MSK(0x00000400,uint16_t))  /* Data Toggle Write Enable */
#define ENUM_USB_EPI_RXCSR_H_DATGLDIS         (_ADI_MSK(0x00000000,uint16_t))  /* DATGLEN: Disable Write to DATGL */
#define ENUM_USB_EPI_RXCSR_H_DATGLEN          (_ADI_MSK(0x00000400,uint16_t))  /* DATGLEN: Enable Write to DATGL */

#define BITM_USB_EPI_RXCSR_H_DATGL            (_ADI_MSK(0x00000200,uint16_t))  /* Data Toggle */
#define ENUM_USB_EPI_RXCSR_H_NO_DATGL         (_ADI_MSK(0x00000000,uint16_t))  /* DATGL: DATA0 is Set */
#define ENUM_USB_EPI_RXCSR_H_DATGL            (_ADI_MSK(0x00000200,uint16_t))  /* DATGL: DATA1 is Set */

#define BITM_USB_EPI_RXCSR_H_CLRDATATGL       (_ADI_MSK(0x00000080,uint16_t))  /* Clear Endpoint Data Toggle */
#define ENUM_USB_EPI_RXCSR_H_NO_CLRTGL        (_ADI_MSK(0x00000000,uint16_t))  /* CLRDATATGL: No Action */
#define ENUM_USB_EPI_RXCSR_H_CLRTGL           (_ADI_MSK(0x00000080,uint16_t))  /* CLRDATATGL: Reset EP Data Toggle to 0 */

#define BITM_USB_EPI_RXCSR_H_RXSTALL          (_ADI_MSK(0x00000040,uint16_t))  /* Rx STALL */
#define ENUM_USB_EPI_RXCSR_H_NO_RXSTALL       (_ADI_MSK(0x00000000,uint16_t))  /* RXSTALL: No Status */
#define ENUM_USB_EPI_RXCSR_H_RXSTALL          (_ADI_MSK(0x00000040,uint16_t))  /* RXSTALL: Stall Received from Device */

#define BITM_USB_EPI_RXCSR_H_REQPKT           (_ADI_MSK(0x00000020,uint16_t))  /* Request Packet */
#define ENUM_USB_EPI_RXCSR_H_NO_REQPKT        (_ADI_MSK(0x00000000,uint16_t))  /* REQPKT: No Request */
#define ENUM_USB_EPI_RXCSR_H_REQPKT           (_ADI_MSK(0x00000020,uint16_t))  /* REQPKT: Send IN Tokens to Device */

#define BITM_USB_EPI_RXCSR_H_FLUSHFIFO        (_ADI_MSK(0x00000010,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EPI_RXCSR_H_NO_FLUSH         (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EPI_RXCSR_H_FLUSH            (_ADI_MSK(0x00000010,uint16_t))  /* FLUSHFIFO: Flush Endpoint FIFO */

#define BITM_USB_EPI_RXCSR_H_NAKTODERR        (_ADI_MSK(0x00000008,uint16_t))  /* NAK Timeout Data Error */
#define ENUM_USB_EPI_RXCSR_H_NO_NAKTO         (_ADI_MSK(0x00000000,uint16_t))  /* NAKTODERR: No Status */
#define ENUM_USB_EPI_RXCSR_H_NAKTO            (_ADI_MSK(0x00000008,uint16_t))  /* NAKTODERR: NAK Timeout Data Error */

#define BITM_USB_EPI_RXCSR_H_RXTOERR          (_ADI_MSK(0x00000004,uint16_t))  /* Rx Timeout Error */
#define ENUM_USB_EPI_RXCSR_H_NO_RXTOERR       (_ADI_MSK(0x00000000,uint16_t))  /* RXTOERR: No Status */
#define ENUM_USB_EPI_RXCSR_H_RXTOERR          (_ADI_MSK(0x00000004,uint16_t))  /* RXTOERR: Rx Timeout Error */

#define BITM_USB_EPI_RXCSR_H_FIFOFULL         (_ADI_MSK(0x00000002,uint16_t))  /* FIFO Full */
#define ENUM_USB_EPI_RXCSR_H_NO_FIFOFUL       (_ADI_MSK(0x00000000,uint16_t))  /* FIFOFULL: No Status */
#define ENUM_USB_EPI_RXCSR_H_FIFOFUL          (_ADI_MSK(0x00000002,uint16_t))  /* FIFOFULL: FIFO Full */

#define BITM_USB_EPI_RXCSR_H_RXPKTRDY         (_ADI_MSK(0x00000001,uint16_t))  /* Rx Packet Ready */
#define ENUM_USB_EPI_RXCSR_H_NO_PKTRDY        (_ADI_MSK(0x00000000,uint16_t))  /* RXPKTRDY: No Rx Packet */
#define ENUM_USB_EPI_RXCSR_H_PKTRDY           (_ADI_MSK(0x00000001,uint16_t))  /* RXPKTRDY: Rx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPI_RXCSR_P                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPI_RXCSR_P_AUTOCLR          15                               /* Auto Clear Enable */
#define BITP_USB_EPI_RXCSR_P_ISO              14                               /* Isochronous Transfers */
#define BITP_USB_EPI_RXCSR_P_DMAREQEN         13                               /* DMA Request Enable Rx EP */
#define BITP_USB_EPI_RXCSR_P_DMAREQMODE       11                               /* DMA Mode Select */
#define BITP_USB_EPI_RXCSR_P_CLRDATATGL        7                               /* Clear Endpoint Data Toggle */
#define BITP_USB_EPI_RXCSR_P_SENTSTALL         6                               /* Sent STALL */
#define BITP_USB_EPI_RXCSR_P_SENDSTALL         5                               /* Send STALL */
#define BITP_USB_EPI_RXCSR_P_FLUSHFIFO         4                               /* Flush Endpoint FIFO */
#define BITP_USB_EPI_RXCSR_P_DATAERR           3                               /* Data Error */
#define BITP_USB_EPI_RXCSR_P_ORUNERR           2                               /* OUT Run Error */
#define BITP_USB_EPI_RXCSR_P_FIFOFULL          1                               /* FIFO Full */
#define BITP_USB_EPI_RXCSR_P_RXPKTRDY          0                               /* Rx Packet Ready */

#define BITM_USB_EPI_RXCSR_P_AUTOCLR          (_ADI_MSK(0x00008000,uint16_t))  /* Auto Clear Enable */
#define ENUM_USB_EPI_RXCSR_P_NO_AUTOCLR       (_ADI_MSK(0x00000000,uint16_t))  /* AUTOCLR: Disable Auto Clear */
#define ENUM_USB_EPI_RXCSR_P_AUTOCLR          (_ADI_MSK(0x00008000,uint16_t))  /* AUTOCLR: Enable Auto Clear */

#define BITM_USB_EPI_RXCSR_P_ISO              (_ADI_MSK(0x00004000,uint16_t))  /* Isochronous Transfers */
#define ENUM_USB_EPI_RXCSR_P_ISODIS           (_ADI_MSK(0x00000000,uint16_t))  /* ISO: This bit should be cleared for bulk or interrupt transfers. */
#define ENUM_USB_EPI_RXCSR_P_ISOEN            (_ADI_MSK(0x00004000,uint16_t))  /* ISO: This bit should be set for isochronous transfers. */

#define BITM_USB_EPI_RXCSR_P_DMAREQEN         (_ADI_MSK(0x00002000,uint16_t))  /* DMA Request Enable Rx EP */
#define ENUM_USB_EPI_RXCSR_P_DMAREQDIS        (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQEN: Disable DMA Request */
#define ENUM_USB_EPI_RXCSR_P_DMAREQEN         (_ADI_MSK(0x00002000,uint16_t))  /* DMAREQEN: Enable DMA Request */

#define BITM_USB_EPI_RXCSR_P_DMAREQMODE       (_ADI_MSK(0x00000800,uint16_t))  /* DMA Mode Select */
#define ENUM_USB_EPI_RXCSR_P_DMARQMODE0       (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQMODE: DMA Request Mode 0 */
#define ENUM_USB_EPI_RXCSR_P_DMARQMODE1       (_ADI_MSK(0x00000800,uint16_t))  /* DMAREQMODE: DMA Request Mode 1 */

#define BITM_USB_EPI_RXCSR_P_CLRDATATGL       (_ADI_MSK(0x00000080,uint16_t))  /* Clear Endpoint Data Toggle */
#define ENUM_USB_EPI_RXCSR_P_NO_CLRTGL        (_ADI_MSK(0x00000000,uint16_t))  /* CLRDATATGL: No Action */
#define ENUM_USB_EPI_RXCSR_P_CLRTGL           (_ADI_MSK(0x00000080,uint16_t))  /* CLRDATATGL: Reset EP Data Toggle to 0 */

#define BITM_USB_EPI_RXCSR_P_SENTSTALL        (_ADI_MSK(0x00000040,uint16_t))  /* Sent STALL */
#define ENUM_USB_EPI_RXCSR_P_NO_STALSNT       (_ADI_MSK(0x00000000,uint16_t))  /* SENTSTALL: No Status */
#define ENUM_USB_EPI_RXCSR_P_STALSNT          (_ADI_MSK(0x00000040,uint16_t))  /* SENTSTALL: STALL Handshake Transmitted */

#define BITM_USB_EPI_RXCSR_P_SENDSTALL        (_ADI_MSK(0x00000020,uint16_t))  /* Send STALL */
#define ENUM_USB_EPI_RXCSR_P_NO_STALL         (_ADI_MSK(0x00000000,uint16_t))  /* SENDSTALL: No Action */
#define ENUM_USB_EPI_RXCSR_P_STALL            (_ADI_MSK(0x00000020,uint16_t))  /* SENDSTALL: Request STALL Handshake */

#define BITM_USB_EPI_RXCSR_P_FLUSHFIFO        (_ADI_MSK(0x00000010,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EPI_RXCSR_P_NO_FLUSH         (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EPI_RXCSR_P_FLUSH            (_ADI_MSK(0x00000010,uint16_t))  /* FLUSHFIFO: Flush Endpoint FIFO */

#define BITM_USB_EPI_RXCSR_P_DATAERR          (_ADI_MSK(0x00000008,uint16_t))  /* Data Error */
#define ENUM_USB_EPI_RXCSR_P_NO_DATAERR       (_ADI_MSK(0x00000000,uint16_t))  /* DATAERR: No Status */
#define ENUM_USB_EPI_RXCSR_P_DATAERR          (_ADI_MSK(0x00000008,uint16_t))  /* DATAERR: Data Error */

#define BITM_USB_EPI_RXCSR_P_ORUNERR          (_ADI_MSK(0x00000004,uint16_t))  /* OUT Run Error */
#define ENUM_USB_EPI_RXCSR_P_NO_ORUNERR       (_ADI_MSK(0x00000000,uint16_t))  /* ORUNERR: No Status */
#define ENUM_USB_EPI_RXCSR_P_ORUNERR          (_ADI_MSK(0x00000004,uint16_t))  /* ORUNERR: OUT Run Error */

#define BITM_USB_EPI_RXCSR_P_FIFOFULL         (_ADI_MSK(0x00000002,uint16_t))  /* FIFO Full */
#define ENUM_USB_EPI_RXCSR_P_NO_FIFOFUL       (_ADI_MSK(0x00000000,uint16_t))  /* FIFOFULL: No Status */
#define ENUM_USB_EPI_RXCSR_P_FIFOFUL          (_ADI_MSK(0x00000002,uint16_t))  /* FIFOFULL: FIFO Full */

#define BITM_USB_EPI_RXCSR_P_RXPKTRDY         (_ADI_MSK(0x00000001,uint16_t))  /* Rx Packet Ready */
#define ENUM_USB_EPI_RXCSR_P_NO_PKTRDY        (_ADI_MSK(0x00000000,uint16_t))  /* RXPKTRDY: No Rx Packet */
#define ENUM_USB_EPI_RXCSR_P_PKTRDY           (_ADI_MSK(0x00000001,uint16_t))  /* RXPKTRDY: Rx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0I_CNT                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0I_CNT_RXCNT                0                               /* Rx Byte Count Value */
#define BITM_USB_EP0I_CNT_RXCNT               (_ADI_MSK(0x0000007F,uint16_t))  /* Rx Byte Count Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPI_RXCNT                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPI_RXCNT_EPRXCNT             0                               /* EP Rx Count */
#define BITM_USB_EPI_RXCNT_EPRXCNT            (_ADI_MSK(0x00003FFF,uint16_t))  /* EP Rx Count */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPI_TXTYPE                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPI_TXTYPE_SPEED              6                               /* Speed of Operation Value */
#define BITP_USB_EPI_TXTYPE_PROTOCOL           4                               /* Protocol for Transfer */
#define BITP_USB_EPI_TXTYPE_TGTEP              0                               /* Target Endpoint Number */

#define BITM_USB_EPI_TXTYPE_SPEED             (_ADI_MSK(0x000000C0,uint8_t))   /* Speed of Operation Value */
#define ENUM_USB_EPI_TXTYPE_UNUSED            (_ADI_MSK(0x00000000,uint8_t))   /* SPEED: Same Speed as the Core */
#define ENUM_USB_EPI_TXTYPE_HIGHSPEED         (_ADI_MSK(0x00000040,uint8_t))   /* SPEED: High Speed */
#define ENUM_USB_EPI_TXTYPE_FULLSPEED         (_ADI_MSK(0x00000080,uint8_t))   /* SPEED: Full Speed */
#define ENUM_USB_EPI_TXTYPE_LOWSPEED          (_ADI_MSK(0x000000C0,uint8_t))   /* SPEED: Low Speed */

#define BITM_USB_EPI_TXTYPE_PROTOCOL          (_ADI_MSK(0x00000030,uint8_t))   /* Protocol for Transfer */
#define ENUM_USB_EPI_TXTYPE_CONTROL           (_ADI_MSK(0x00000000,uint8_t))   /* PROTOCOL: Control */
#define ENUM_USB_EPI_TXTYPE_ISO               (_ADI_MSK(0x00000010,uint8_t))   /* PROTOCOL: Isochronous */
#define ENUM_USB_EPI_TXTYPE_BULK              (_ADI_MSK(0x00000020,uint8_t))   /* PROTOCOL: Bulk */
#define ENUM_USB_EPI_TXTYPE_INT               (_ADI_MSK(0x00000030,uint8_t))   /* PROTOCOL: Interrupt */

#define BITM_USB_EPI_TXTYPE_TGTEP             (_ADI_MSK(0x0000000F,uint8_t))   /* Target Endpoint Number */
#define ENUM_USB_EPI_TXTYPE_TGTEP0            (_ADI_MSK(0x00000000,uint8_t))   /* TGTEP: Endpoint 0 */
#define ENUM_USB_EPI_TXTYPE_TGTEP1            (_ADI_MSK(0x00000001,uint8_t))   /* TGTEP: Endpoint 1 */
#define ENUM_USB_EPI_TXTYPE_TGTEP10           (_ADI_MSK(0x0000000A,uint8_t))   /* TGTEP: Endpoint 10 */
#define ENUM_USB_EPI_TXTYPE_TGTEP11           (_ADI_MSK(0x0000000B,uint8_t))   /* TGTEP: Endpoint 11 */
#define ENUM_USB_EPI_TXTYPE_TGTEP12           (_ADI_MSK(0x0000000C,uint8_t))   /* TGTEP: Endpoint 12 */
#define ENUM_USB_EPI_TXTYPE_TGTEP13           (_ADI_MSK(0x0000000D,uint8_t))   /* TGTEP: Endpoint 13 */
#define ENUM_USB_EPI_TXTYPE_TGTEP14           (_ADI_MSK(0x0000000E,uint8_t))   /* TGTEP: Endpoint 14 */
#define ENUM_USB_EPI_TXTYPE_TGTEP15           (_ADI_MSK(0x0000000F,uint8_t))   /* TGTEP: Endpoint 15 */
#define ENUM_USB_EPI_TXTYPE_TGTEP2            (_ADI_MSK(0x00000002,uint8_t))   /* TGTEP: Endpoint 2 */
#define ENUM_USB_EPI_TXTYPE_TGTEP3            (_ADI_MSK(0x00000003,uint8_t))   /* TGTEP: Endpoint 3 */
#define ENUM_USB_EPI_TXTYPE_TGTEP4            (_ADI_MSK(0x00000004,uint8_t))   /* TGTEP: Endpoint 4 */
#define ENUM_USB_EPI_TXTYPE_TGTEP5            (_ADI_MSK(0x00000005,uint8_t))   /* TGTEP: Endpoint 5 */
#define ENUM_USB_EPI_TXTYPE_TGTEP6            (_ADI_MSK(0x00000006,uint8_t))   /* TGTEP: Endpoint 6 */
#define ENUM_USB_EPI_TXTYPE_TGTEP7            (_ADI_MSK(0x00000007,uint8_t))   /* TGTEP: Endpoint 7 */
#define ENUM_USB_EPI_TXTYPE_TGTEP8            (_ADI_MSK(0x00000008,uint8_t))   /* TGTEP: Endpoint 8 */
#define ENUM_USB_EPI_TXTYPE_TGTEP9            (_ADI_MSK(0x00000009,uint8_t))   /* TGTEP: Endpoint 9 */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0I_TYPE                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0I_TYPE_SPEED               0                               /* Speed of Operation Value */
#define BITM_USB_EP0I_TYPE_SPEED              (_ADI_MSK(0x00000003,uint8_t))   /* Speed of Operation Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0I_NAKLIMIT                     Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0I_NAKLIMIT_VALUE           0                               /* Endpoint 0 Timeout Value (in Frames) */
#define BITM_USB_EP0I_NAKLIMIT_VALUE          (_ADI_MSK(0x0000001F,uint8_t))   /* Endpoint 0 Timeout Value (in Frames) */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPI_RXTYPE                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPI_RXTYPE_SPEED              6                               /* Speed of Operation Value */
#define BITP_USB_EPI_RXTYPE_PROTOCOL           4                               /* Protocol for Transfer */
#define BITP_USB_EPI_RXTYPE_TGTEP              0                               /* Target Endpoint Number */

#define BITM_USB_EPI_RXTYPE_SPEED             (_ADI_MSK(0x000000C0,uint8_t))   /* Speed of Operation Value */
#define ENUM_USB_EPI_RXTYPE_UNUSED            (_ADI_MSK(0x00000000,uint8_t))   /* SPEED: Same Speed as the Core */
#define ENUM_USB_EPI_RXTYPE_HIGHSPEED         (_ADI_MSK(0x00000040,uint8_t))   /* SPEED: High Speed */
#define ENUM_USB_EPI_RXTYPE_FULLSPEED         (_ADI_MSK(0x00000080,uint8_t))   /* SPEED: Full Speed */
#define ENUM_USB_EPI_RXTYPE_LOWSPEED          (_ADI_MSK(0x000000C0,uint8_t))   /* SPEED: Low Speed */

#define BITM_USB_EPI_RXTYPE_PROTOCOL          (_ADI_MSK(0x00000030,uint8_t))   /* Protocol for Transfer */
#define ENUM_USB_EPI_RXTYPE_CONTROL           (_ADI_MSK(0x00000000,uint8_t))   /* PROTOCOL: Control */
#define ENUM_USB_EPI_RXTYPE_ISO               (_ADI_MSK(0x00000010,uint8_t))   /* PROTOCOL: Isochronous */
#define ENUM_USB_EPI_RXTYPE_BULK              (_ADI_MSK(0x00000020,uint8_t))   /* PROTOCOL: Bulk */
#define ENUM_USB_EPI_RXTYPE_INT               (_ADI_MSK(0x00000030,uint8_t))   /* PROTOCOL: Interrupt */

#define BITM_USB_EPI_RXTYPE_TGTEP             (_ADI_MSK(0x0000000F,uint8_t))   /* Target Endpoint Number */
#define ENUM_USB_EPI_RXTYPE_TGTEP0            (_ADI_MSK(0x00000000,uint8_t))   /* TGTEP: Endpoint 0 */
#define ENUM_USB_EPI_RXTYPE_TGTEP1            (_ADI_MSK(0x00000001,uint8_t))   /* TGTEP: Endpoint 1 */
#define ENUM_USB_EPI_RXTYPE_TGTEP10           (_ADI_MSK(0x0000000A,uint8_t))   /* TGTEP: Endpoint 10 */
#define ENUM_USB_EPI_RXTYPE_TGTEP11           (_ADI_MSK(0x0000000B,uint8_t))   /* TGTEP: Endpoint 11 */
#define ENUM_USB_EPI_RXTYPE_TGTEP12           (_ADI_MSK(0x0000000C,uint8_t))   /* TGTEP: Endpoint 12 */
#define ENUM_USB_EPI_RXTYPE_TGTEP13           (_ADI_MSK(0x0000000D,uint8_t))   /* TGTEP: Endpoint 13 */
#define ENUM_USB_EPI_RXTYPE_TGTEP14           (_ADI_MSK(0x0000000E,uint8_t))   /* TGTEP: Endpoint 14 */
#define ENUM_USB_EPI_RXTYPE_TGTEP15           (_ADI_MSK(0x0000000F,uint8_t))   /* TGTEP: Endpoint 15 */
#define ENUM_USB_EPI_RXTYPE_TGTEP2            (_ADI_MSK(0x00000002,uint8_t))   /* TGTEP: Endpoint 2 */
#define ENUM_USB_EPI_RXTYPE_TGTEP3            (_ADI_MSK(0x00000003,uint8_t))   /* TGTEP: Endpoint 3 */
#define ENUM_USB_EPI_RXTYPE_TGTEP4            (_ADI_MSK(0x00000004,uint8_t))   /* TGTEP: Endpoint 4 */
#define ENUM_USB_EPI_RXTYPE_TGTEP5            (_ADI_MSK(0x00000005,uint8_t))   /* TGTEP: Endpoint 5 */
#define ENUM_USB_EPI_RXTYPE_TGTEP6            (_ADI_MSK(0x00000006,uint8_t))   /* TGTEP: Endpoint 6 */
#define ENUM_USB_EPI_RXTYPE_TGTEP7            (_ADI_MSK(0x00000007,uint8_t))   /* TGTEP: Endpoint 7 */
#define ENUM_USB_EPI_RXTYPE_TGTEP8            (_ADI_MSK(0x00000008,uint8_t))   /* TGTEP: Endpoint 8 */
#define ENUM_USB_EPI_RXTYPE_TGTEP9            (_ADI_MSK(0x00000009,uint8_t))   /* TGTEP: Endpoint 9 */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0I_CFGDATA                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0I_CFGDATA_MPRX             7                               /* Multi-Packet Aggregate for Rx Enable */
#define BITP_USB_EP0I_CFGDATA_MPTX             6                               /* Multi-Packet Split for Tx Enable */
#define BITP_USB_EP0I_CFGDATA_BIGEND           5                               /* Big Endian Data */
#define BITP_USB_EP0I_CFGDATA_HBRX             4                               /* High Bandwidth Rx Enable */
#define BITP_USB_EP0I_CFGDATA_HBTX             3                               /* High Bandwidth Tx Enable */
#define BITP_USB_EP0I_CFGDATA_DYNFIFO          2                               /* Dynamic FIFO Size Enable */
#define BITP_USB_EP0I_CFGDATA_SOFTCON          1                               /* Soft Connect Enable */
#define BITP_USB_EP0I_CFGDATA_UTMIWID          0                               /* UTMI Data Width */

#define BITM_USB_EP0I_CFGDATA_MPRX            (_ADI_MSK(0x00000080,uint8_t))   /* Multi-Packet Aggregate for Rx Enable */
#define ENUM_USB_EP0I_CFGDATA_MPRXDIS         (_ADI_MSK(0x00000000,uint8_t))   /* MPRX: No Aggregate Rx Bulk Packets */
#define ENUM_USB_EP0I_CFGDATA_MPRXEN          (_ADI_MSK(0x00000080,uint8_t))   /* MPRX: Aggregate Rx Bulk Packets */

#define BITM_USB_EP0I_CFGDATA_MPTX            (_ADI_MSK(0x00000040,uint8_t))   /* Multi-Packet Split for Tx Enable */
#define ENUM_USB_EP0I_CFGDATA_MPTXDIS         (_ADI_MSK(0x00000000,uint8_t))   /* MPTX: No Split Tx Bulk Packets */
#define ENUM_USB_EP0I_CFGDATA_MPTXEN          (_ADI_MSK(0x00000040,uint8_t))   /* MPTX: Split Tx Bulk Packets */

#define BITM_USB_EP0I_CFGDATA_BIGEND          (_ADI_MSK(0x00000020,uint8_t))   /* Big Endian Data */
#define ENUM_USB_EP0I_CFGDATA_BIGENDDIS       (_ADI_MSK(0x00000000,uint8_t))   /* BIGEND: Little Endian Configuration */
#define ENUM_USB_EP0I_CFGDATA_BIGENDEN        (_ADI_MSK(0x00000020,uint8_t))   /* BIGEND: Big Endian Configuration */

#define BITM_USB_EP0I_CFGDATA_HBRX            (_ADI_MSK(0x00000010,uint8_t))   /* High Bandwidth Rx Enable */
#define ENUM_USB_EP0I_CFGDATA_HBRXDIS         (_ADI_MSK(0x00000000,uint8_t))   /* HBRX: No High Bandwidth Rx */
#define ENUM_USB_EP0I_CFGDATA_HBRXEN          (_ADI_MSK(0x00000010,uint8_t))   /* HBRX: High Bandwidth Rx */

#define BITM_USB_EP0I_CFGDATA_HBTX            (_ADI_MSK(0x00000008,uint8_t))   /* High Bandwidth Tx Enable */
#define ENUM_USB_EP0I_CFGDATA_HBTXDIS         (_ADI_MSK(0x00000000,uint8_t))   /* HBTX: No High Bandwidth Tx */
#define ENUM_USB_EP0I_CFGDATA_HBTXEN          (_ADI_MSK(0x00000008,uint8_t))   /* HBTX: High Bandwidth Tx */

#define BITM_USB_EP0I_CFGDATA_DYNFIFO         (_ADI_MSK(0x00000004,uint8_t))   /* Dynamic FIFO Size Enable */
#define ENUM_USB_EP0I_CFGDATA_DYNSZDIS        (_ADI_MSK(0x00000000,uint8_t))   /* DYNFIFO: No Dynamic FIFO Size */
#define ENUM_USB_EP0I_CFGDATA_DYNSZEN         (_ADI_MSK(0x00000004,uint8_t))   /* DYNFIFO: Dynamic FIFO Size */

#define BITM_USB_EP0I_CFGDATA_SOFTCON         (_ADI_MSK(0x00000002,uint8_t))   /* Soft Connect Enable */
#define ENUM_USB_EP0I_CFGDATA_SFTCONDIS       (_ADI_MSK(0x00000000,uint8_t))   /* SOFTCON: No Soft Connect */
#define ENUM_USB_EP0I_CFGDATA_SFTCONEN        (_ADI_MSK(0x00000002,uint8_t))   /* SOFTCON: Soft Connect */

#define BITM_USB_EP0I_CFGDATA_UTMIWID         (_ADI_MSK(0x00000001,uint8_t))   /* UTMI Data Width */
#define ENUM_USB_EP0I_CFGDATA_UTMIWID8        (_ADI_MSK(0x00000000,uint8_t))   /* UTMIWID: 8-bit UTMI Data Width */
#define ENUM_USB_EP0I_CFGDATA_UTMIWID16       (_ADI_MSK(0x00000001,uint8_t))   /* UTMIWID: 16-bit UTMI Data Width */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPI_FIFOSZ                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPI_FIFOSZ_RXFIFOSZ           4                               /* Receive FIFO Size */
#define BITP_USB_EPI_FIFOSZ_TXFIFOSZ           0                               /* Transmit FIFO Size */
#define BITM_USB_EPI_FIFOSZ_RXFIFOSZ          (_ADI_MSK(0x000000F0,uint8_t))   /* Receive FIFO Size */
#define BITM_USB_EPI_FIFOSZ_TXFIFOSZ          (_ADI_MSK(0x0000000F,uint8_t))   /* Transmit FIFO Size */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_DEV_CTL                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_DEV_CTL_BDEVICE               7                               /* A or B Devices Indicator */
#define BITP_USB_DEV_CTL_FSDEV                 6                               /* Full or High-Speed Indicator */
#define BITP_USB_DEV_CTL_LSDEV                 5                               /* Low-Speed Indicator */
#define BITP_USB_DEV_CTL_VBUS                  3                               /* VBUS Level Indicator */
#define BITP_USB_DEV_CTL_HOSTMODE              2                               /* Host Mode Indicator */
#define BITP_USB_DEV_CTL_HOSTREQ               1                               /* Host Negotiation Request */
#define BITP_USB_DEV_CTL_SESSION               0                               /* Session Indicator */

#define BITM_USB_DEV_CTL_BDEVICE              (_ADI_MSK(0x00000080,uint8_t))   /* A or B Devices Indicator */
#define ENUM_USB_DEV_CTL_ADEVICE              (_ADI_MSK(0x00000000,uint8_t))   /* BDEVICE: A Device Detected */
#define ENUM_USB_DEV_CTL_BDEVICE              (_ADI_MSK(0x00000080,uint8_t))   /* BDEVICE: B Device Detected */

#define BITM_USB_DEV_CTL_FSDEV                (_ADI_MSK(0x00000040,uint8_t))   /* Full or High-Speed Indicator */
#define ENUM_USB_DEV_CTL_NO_FSDEV             (_ADI_MSK(0x00000000,uint8_t))   /* FSDEV: Not Detected */
#define ENUM_USB_DEV_CTL_FSDEV                (_ADI_MSK(0x00000040,uint8_t))   /* FSDEV: Full or High Speed Detected */

#define BITM_USB_DEV_CTL_LSDEV                (_ADI_MSK(0x00000020,uint8_t))   /* Low-Speed Indicator */
#define ENUM_USB_DEV_CTL_NO_LSDEV             (_ADI_MSK(0x00000000,uint8_t))   /* LSDEV: Not Detected */
#define ENUM_USB_DEV_CTL_LSDEV                (_ADI_MSK(0x00000020,uint8_t))   /* LSDEV: Low Speed Detected */

#define BITM_USB_DEV_CTL_VBUS                 (_ADI_MSK(0x00000018,uint8_t))   /* VBUS Level Indicator */
#define ENUM_USB_DEV_CTL_VBUS_BS              (_ADI_MSK(0x00000000,uint8_t))   /* VBUS: Below SessionEnd */
#define ENUM_USB_DEV_CTL_VBUS_ASBA            (_ADI_MSK(0x00000008,uint8_t))   /* VBUS: Above SessionEnd, below AValid */
#define ENUM_USB_DEV_CTL_VBUS_AABV            (_ADI_MSK(0x00000010,uint8_t))   /* VBUS: Above AValid, below VBUSValid */
#define ENUM_USB_DEV_CTL_VBUS_AV              (_ADI_MSK(0x00000018,uint8_t))   /* VBUS: Above VBUSValid */

#define BITM_USB_DEV_CTL_HOSTMODE             (_ADI_MSK(0x00000004,uint8_t))   /* Host Mode Indicator */
#define ENUM_USB_DEV_CTL_NO_HOSTMODE          (_ADI_MSK(0x00000000,uint8_t))   /* HOSTMODE: Peripheral Mode */
#define ENUM_USB_DEV_CTL_HOSTMODE             (_ADI_MSK(0x00000004,uint8_t))   /* HOSTMODE: Host Mode */

#define BITM_USB_DEV_CTL_HOSTREQ              (_ADI_MSK(0x00000002,uint8_t))   /* Host Negotiation Request */
#define ENUM_USB_DEV_CTL_NO_HOSTREQ           (_ADI_MSK(0x00000000,uint8_t))   /* HOSTREQ: No Request */
#define ENUM_USB_DEV_CTL_HOSTREQ              (_ADI_MSK(0x00000002,uint8_t))   /* HOSTREQ: Place Request */

#define BITM_USB_DEV_CTL_SESSION              (_ADI_MSK(0x00000001,uint8_t))   /* Session Indicator */
#define ENUM_USB_DEV_CTL_NO_SESSION           (_ADI_MSK(0x00000000,uint8_t))   /* SESSION: Not Detected */
#define ENUM_USB_DEV_CTL_SESSION              (_ADI_MSK(0x00000001,uint8_t))   /* SESSION: Detected Session */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EPINFO                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EPINFO_RXEP                   4                               /* Rx Endpoints */
#define BITP_USB_EPINFO_TXEP                   0                               /* Tx Endpoints */
#define BITM_USB_EPINFO_RXEP                  (_ADI_MSK(0x000000F0,uint8_t))   /* Rx Endpoints */
#define BITM_USB_EPINFO_TXEP                  (_ADI_MSK(0x0000000F,uint8_t))   /* Tx Endpoints */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_RAMINFO                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_RAMINFO_DMACHANS              4                               /* DMA Channels */
#define BITP_USB_RAMINFO_RAMBITS               0                               /* RAM Address Bits */
#define BITM_USB_RAMINFO_DMACHANS             (_ADI_MSK(0x000000F0,uint8_t))   /* DMA Channels */
#define BITM_USB_RAMINFO_RAMBITS              (_ADI_MSK(0x0000000F,uint8_t))   /* RAM Address Bits */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_LINKINFO                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_LINKINFO_WTCON                4                               /* Wait for Connect/Disconnect */
#define BITP_USB_LINKINFO_WTID                 0                               /* Wait from ID Pull-up */
#define BITM_USB_LINKINFO_WTCON               (_ADI_MSK(0x000000F0,uint8_t))   /* Wait for Connect/Disconnect */
#define BITM_USB_LINKINFO_WTID                (_ADI_MSK(0x0000000F,uint8_t))   /* Wait from ID Pull-up */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_SOFT_RST                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_SOFT_RST_RSTX                 1                               /* Reset USB XCLK Domain */
#define BITP_USB_SOFT_RST_RST                  0                               /* Reset USB CLK Domain */

#define BITM_USB_SOFT_RST_RSTX                (_ADI_MSK(0x00000002,uint8_t))   /* Reset USB XCLK Domain */
#define ENUM_USB_SOFT_RST_NO_RSTX             (_ADI_MSK(0x00000000,uint8_t))   /* RSTX: No Reset */
#define ENUM_USB_SOFT_RST_RSTX                (_ADI_MSK(0x00000002,uint8_t))   /* RSTX: Reset USB XCLK Domain */

#define BITM_USB_SOFT_RST_RST                 (_ADI_MSK(0x00000001,uint8_t))   /* Reset USB CLK Domain */
#define ENUM_USB_SOFT_RST_NO_RST              (_ADI_MSK(0x00000000,uint8_t))   /* RST: No Reset */
#define ENUM_USB_SOFT_RST_RST                 (_ADI_MSK(0x00000001,uint8_t))   /* RST: Reset USB CLK Domain */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_MP_TXFUNCADDR                     Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_MP_TXFUNCADDR_VALUE           0                               /* Tx Function Address Value */
#define BITM_USB_MP_TXFUNCADDR_VALUE          (_ADI_MSK(0x0000007F,uint8_t))   /* Tx Function Address Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_MP_TXHUBADDR                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_MP_TXHUBADDR_MULTTRANS        7                               /* Multiple Transaction Translators */
#define BITP_USB_MP_TXHUBADDR_ADDR             0                               /* Hub Address Value */
#define BITM_USB_MP_TXHUBADDR_MULTTRANS       (_ADI_MSK(0x00000080,uint8_t))   /* Multiple Transaction Translators */
#define BITM_USB_MP_TXHUBADDR_ADDR            (_ADI_MSK(0x0000007F,uint8_t))   /* Hub Address Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_MP_TXHUBPORT                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_MP_TXHUBPORT_VALUE            0                               /* Hub Port Value */
#define BITM_USB_MP_TXHUBPORT_VALUE           (_ADI_MSK(0x0000007F,uint8_t))   /* Hub Port Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_MP_RXFUNCADDR                     Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_MP_RXFUNCADDR_VALUE           0                               /* Rx Function Address Value */
#define BITM_USB_MP_RXFUNCADDR_VALUE          (_ADI_MSK(0x0000007F,uint8_t))   /* Rx Function Address Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_MP_RXHUBADDR                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_MP_RXHUBADDR_MULTTRANS        7                               /* Multiple Transaction Translators */
#define BITP_USB_MP_RXHUBADDR_ADDR             0                               /* Hub Address Value */
#define BITM_USB_MP_RXHUBADDR_MULTTRANS       (_ADI_MSK(0x00000080,uint8_t))   /* Multiple Transaction Translators */
#define BITM_USB_MP_RXHUBADDR_ADDR            (_ADI_MSK(0x0000007F,uint8_t))   /* Hub Address Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_MP_RXHUBPORT                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_MP_RXHUBPORT_VALUE            0                               /* Hub Port Value */
#define BITM_USB_MP_RXHUBPORT_VALUE           (_ADI_MSK(0x0000007F,uint8_t))   /* Hub Port Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP_TXMAXP                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP_TXMAXP_MAXPAY              0                               /* Maximum Payload */
#define BITM_USB_EP_TXMAXP_MAXPAY             (_ADI_MSK(0x000007FF,uint16_t))  /* Maximum Payload */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0_CSR_H                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0_CSR_H_DATGLEN            10                               /* Data Toggle Write Enable */
#define BITP_USB_EP0_CSR_H_DATGL               9                               /* Data Toggle */
#define BITP_USB_EP0_CSR_H_FLUSHFIFO           8                               /* Flush Endpoint FIFO */
#define BITP_USB_EP0_CSR_H_NAKTO               7                               /* NAK Timeout */
#define BITP_USB_EP0_CSR_H_STATUSPKT           6                               /* Status Packet */
#define BITP_USB_EP0_CSR_H_REQPKT              5                               /* Request Packet */
#define BITP_USB_EP0_CSR_H_TOERR               4                               /* Timeout Error */
#define BITP_USB_EP0_CSR_H_SETUPPKT            3                               /* Setup Packet */
#define BITP_USB_EP0_CSR_H_RXSTALL             2                               /* Rx Stall */
#define BITP_USB_EP0_CSR_H_TXPKTRDY            1                               /* Tx Packet Ready */
#define BITP_USB_EP0_CSR_H_RXPKTRDY            0                               /* Rx Packet Ready */

#define BITM_USB_EP0_CSR_H_DATGLEN            (_ADI_MSK(0x00000400,uint16_t))  /* Data Toggle Write Enable */
#define ENUM_USB_EP0_CSR_H_NO_DATGLEN         (_ADI_MSK(0x00000000,uint16_t))  /* DATGLEN: Disable Write to DATGL */
#define ENUM_USB_EP0_CSR_H_DATGLEN            (_ADI_MSK(0x00000400,uint16_t))  /* DATGLEN: Enable Write to DATGL */

#define BITM_USB_EP0_CSR_H_DATGL              (_ADI_MSK(0x00000200,uint16_t))  /* Data Toggle */
#define ENUM_USB_EP0_CSR_H_NO_DATATGL         (_ADI_MSK(0x00000000,uint16_t))  /* DATGL: DATA0 is Set */
#define ENUM_USB_EP0_CSR_H_DATATGL            (_ADI_MSK(0x00000200,uint16_t))  /* DATGL: DATA1 is Set */

#define BITM_USB_EP0_CSR_H_FLUSHFIFO          (_ADI_MSK(0x00000100,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EP0_CSR_H_NO_FLUSH           (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EP0_CSR_H_FLUSH              (_ADI_MSK(0x00000100,uint16_t))  /* FLUSHFIFO: Flush Endpoint FIFO */

#define BITM_USB_EP0_CSR_H_NAKTO              (_ADI_MSK(0x00000080,uint16_t))  /* NAK Timeout */
#define ENUM_USB_EP0_CSR_H_NO_NAKTO           (_ADI_MSK(0x00000000,uint16_t))  /* NAKTO: No Status */
#define ENUM_USB_EP0_CSR_H_NAKTO              (_ADI_MSK(0x00000080,uint16_t))  /* NAKTO: Endpoint Halted (NAK Timeout) */

#define BITM_USB_EP0_CSR_H_STATUSPKT          (_ADI_MSK(0x00000040,uint16_t))  /* Status Packet */
#define ENUM_USB_EP0_CSR_H_NO_STATPKT         (_ADI_MSK(0x00000000,uint16_t))  /* STATUSPKT: No Request */
#define ENUM_USB_EP0_CSR_H_STATPKT            (_ADI_MSK(0x00000040,uint16_t))  /* STATUSPKT: Request Status Transaction */

#define BITM_USB_EP0_CSR_H_REQPKT             (_ADI_MSK(0x00000020,uint16_t))  /* Request Packet */
#define ENUM_USB_EP0_CSR_H_NO_REQPKT          (_ADI_MSK(0x00000000,uint16_t))  /* REQPKT: No Request */
#define ENUM_USB_EP0_CSR_H_REQPKT             (_ADI_MSK(0x00000020,uint16_t))  /* REQPKT: Send IN Tokens to Device */

#define BITM_USB_EP0_CSR_H_TOERR              (_ADI_MSK(0x00000010,uint16_t))  /* Timeout Error */
#define ENUM_USB_EP0_CSR_H_NO_TOERR           (_ADI_MSK(0x00000000,uint16_t))  /* TOERR: No Status */
#define ENUM_USB_EP0_CSR_H_TOERR              (_ADI_MSK(0x00000010,uint16_t))  /* TOERR: Timeout Error */

#define BITM_USB_EP0_CSR_H_SETUPPKT           (_ADI_MSK(0x00000008,uint16_t))  /* Setup Packet */
#define ENUM_USB_EP0_CSR_H_NO_SETUPPKT        (_ADI_MSK(0x00000000,uint16_t))  /* SETUPPKT: No Request */
#define ENUM_USB_EP0_CSR_H_SETUPPKT           (_ADI_MSK(0x00000008,uint16_t))  /* SETUPPKT: Send SETUP token */

#define BITM_USB_EP0_CSR_H_RXSTALL            (_ADI_MSK(0x00000004,uint16_t))  /* Rx Stall */
#define ENUM_USB_EP0_CSR_H_NO_RXSTALL         (_ADI_MSK(0x00000000,uint16_t))  /* RXSTALL: No Status */
#define ENUM_USB_EP0_CSR_H_RXSTALL            (_ADI_MSK(0x00000004,uint16_t))  /* RXSTALL: Stall Received from Device */

#define BITM_USB_EP0_CSR_H_TXPKTRDY           (_ADI_MSK(0x00000002,uint16_t))  /* Tx Packet Ready */
#define ENUM_USB_EP0_CSR_H_NO_TXPKTRDY        (_ADI_MSK(0x00000000,uint16_t))  /* TXPKTRDY: No Tx Packet */
#define ENUM_USB_EP0_CSR_H_TXPKTRDY           (_ADI_MSK(0x00000002,uint16_t))  /* TXPKTRDY: Tx Packet in Endpoint FIFO */

#define BITM_USB_EP0_CSR_H_RXPKTRDY           (_ADI_MSK(0x00000001,uint16_t))  /* Rx Packet Ready */
#define ENUM_USB_EP0_CSR_H_NO_RXPKTRDY        (_ADI_MSK(0x00000000,uint16_t))  /* RXPKTRDY: No Rx Packet */
#define ENUM_USB_EP0_CSR_H_RXPKTRDY           (_ADI_MSK(0x00000001,uint16_t))  /* RXPKTRDY: Rx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP_TXCSR_H                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP_TXCSR_H_AUTOSET           15                               /* TxPkRdy Autoset Enable */
#define BITP_USB_EP_TXCSR_H_DMAREQEN          12                               /* DMA Request Enable Tx EP */
#define BITP_USB_EP_TXCSR_H_FRCDATATGL        11                               /* Force Data Toggle */
#define BITP_USB_EP_TXCSR_H_DMAREQMODE        10                               /* DMA Mode Select */
#define BITP_USB_EP_TXCSR_H_DATGLEN            9                               /* Data Toggle Write Enable */
#define BITP_USB_EP_TXCSR_H_DATGL              8                               /* Data Toggle */
#define BITP_USB_EP_TXCSR_H_NAKTOINCMP         7                               /* NAK Timeout Incomplete */
#define BITP_USB_EP_TXCSR_H_CLRDATATGL         6                               /* Clear Endpoint Data Toggle */
#define BITP_USB_EP_TXCSR_H_RXSTALL            5                               /* Rx STALL */
#define BITP_USB_EP_TXCSR_H_SETUPPKT           4                               /* Setup Packet */
#define BITP_USB_EP_TXCSR_H_FLUSHFIFO          3                               /* Flush Endpoint FIFO */
#define BITP_USB_EP_TXCSR_H_TXTOERR            2                               /* Tx Timeout Error */
#define BITP_USB_EP_TXCSR_H_NEFIFO             1                               /* Not Empty FIFO */
#define BITP_USB_EP_TXCSR_H_TXPKTRDY           0                               /* Tx Packet Ready */

#define BITM_USB_EP_TXCSR_H_AUTOSET           (_ADI_MSK(0x00008000,uint16_t))  /* TxPkRdy Autoset Enable */
#define ENUM_USB_EP_TXCSR_H_NO_AUTOSET        (_ADI_MSK(0x00000000,uint16_t))  /* AUTOSET: Disable Autoset */
#define ENUM_USB_EP_TXCSR_H_AUTOSET           (_ADI_MSK(0x00008000,uint16_t))  /* AUTOSET: Enable Autoset */

#define BITM_USB_EP_TXCSR_H_DMAREQEN          (_ADI_MSK(0x00001000,uint16_t))  /* DMA Request Enable Tx EP */
#define ENUM_USB_EP_TXCSR_H_DMAREQDIS         (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQEN: Disable DMA Request */
#define ENUM_USB_EP_TXCSR_H_DMAREQEN          (_ADI_MSK(0x00001000,uint16_t))  /* DMAREQEN: Enable DMA Request */

#define BITM_USB_EP_TXCSR_H_FRCDATATGL        (_ADI_MSK(0x00000800,uint16_t))  /* Force Data Toggle */
#define ENUM_USB_EP_TXCSR_H_NO_FRCTGL         (_ADI_MSK(0x00000000,uint16_t))  /* FRCDATATGL: No Action */
#define ENUM_USB_EP_TXCSR_H_FRCTGL            (_ADI_MSK(0x00000800,uint16_t))  /* FRCDATATGL: Toggle Endpoint Data */

#define BITM_USB_EP_TXCSR_H_DMAREQMODE        (_ADI_MSK(0x00000400,uint16_t))  /* DMA Mode Select */
#define ENUM_USB_EP_TXCSR_H_DMARQMODE0        (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQMODE: DMA Request Mode 0 */
#define ENUM_USB_EP_TXCSR_H_DMARQMODE1        (_ADI_MSK(0x00000400,uint16_t))  /* DMAREQMODE: DMA Request Mode 1 */

#define BITM_USB_EP_TXCSR_H_DATGLEN           (_ADI_MSK(0x00000200,uint16_t))  /* Data Toggle Write Enable */
#define ENUM_USB_EP_TXCSR_H_NO_DATGLEN        (_ADI_MSK(0x00000000,uint16_t))  /* DATGLEN: Disable Write to DATGL */
#define ENUM_USB_EP_TXCSR_H_DATGLEN           (_ADI_MSK(0x00000200,uint16_t))  /* DATGLEN: Enable Write to DATGL */

#define BITM_USB_EP_TXCSR_H_DATGL             (_ADI_MSK(0x00000100,uint16_t))  /* Data Toggle */
#define ENUM_USB_EP_TXCSR_H_NO_DATGL          (_ADI_MSK(0x00000000,uint16_t))  /* DATGL: DATA0 is set */
#define ENUM_USB_EP_TXCSR_H_DATGL             (_ADI_MSK(0x00000100,uint16_t))  /* DATGL: DATA1 is set */

#define BITM_USB_EP_TXCSR_H_NAKTOINCMP        (_ADI_MSK(0x00000080,uint16_t))  /* NAK Timeout Incomplete */
#define ENUM_USB_EP_TXCSR_H_NO_NAKTO          (_ADI_MSK(0x00000000,uint16_t))  /* NAKTOINCMP: No Status */
#define ENUM_USB_EP_TXCSR_H_NAKTO             (_ADI_MSK(0x00000080,uint16_t))  /* NAKTOINCMP: NAK Timeout Over Maximum */

#define BITM_USB_EP_TXCSR_H_CLRDATATGL        (_ADI_MSK(0x00000040,uint16_t))  /* Clear Endpoint Data Toggle */
#define ENUM_USB_EP_TXCSR_H_NO_CLRTGL         (_ADI_MSK(0x00000000,uint16_t))  /* CLRDATATGL: No Action */
#define ENUM_USB_EP_TXCSR_H_CLRTGL            (_ADI_MSK(0x00000040,uint16_t))  /* CLRDATATGL: Reset EP Data Toggle to 0 */

#define BITM_USB_EP_TXCSR_H_RXSTALL           (_ADI_MSK(0x00000020,uint16_t))  /* Rx STALL */
#define ENUM_USB_EP_TXCSR_H_NO_RXSTALL        (_ADI_MSK(0x00000000,uint16_t))  /* RXSTALL: No Status */
#define ENUM_USB_EP_TXCSR_H_RXSTALL           (_ADI_MSK(0x00000020,uint16_t))  /* RXSTALL: Stall Received from Device */

#define BITM_USB_EP_TXCSR_H_SETUPPKT          (_ADI_MSK(0x00000010,uint16_t))  /* Setup Packet */
#define ENUM_USB_EP_TXCSR_H_NO_SETUPPK        (_ADI_MSK(0x00000000,uint16_t))  /* SETUPPKT: No Request */
#define ENUM_USB_EP_TXCSR_H_SETUPPKT          (_ADI_MSK(0x00000010,uint16_t))  /* SETUPPKT: Send SETUP Token */

#define BITM_USB_EP_TXCSR_H_FLUSHFIFO         (_ADI_MSK(0x00000008,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EP_TXCSR_H_NO_FLUSH          (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EP_TXCSR_H_FLUSH             (_ADI_MSK(0x00000008,uint16_t))  /* FLUSHFIFO: Flush endpoint FIFO */

#define BITM_USB_EP_TXCSR_H_TXTOERR           (_ADI_MSK(0x00000004,uint16_t))  /* Tx Timeout Error */
#define ENUM_USB_EP_TXCSR_H_NO_TXTOERR        (_ADI_MSK(0x00000000,uint16_t))  /* TXTOERR: No Status */
#define ENUM_USB_EP_TXCSR_H_TXTOERR           (_ADI_MSK(0x00000004,uint16_t))  /* TXTOERR: Tx Timeout Error */

#define BITM_USB_EP_TXCSR_H_NEFIFO            (_ADI_MSK(0x00000002,uint16_t))  /* Not Empty FIFO */
#define ENUM_USB_EP_TXCSR_H_NO_NEFIFO         (_ADI_MSK(0x00000000,uint16_t))  /* NEFIFO: FIFO Empty */
#define ENUM_USB_EP_TXCSR_H_NEFIFO            (_ADI_MSK(0x00000002,uint16_t))  /* NEFIFO: FIFO Not Empty */

#define BITM_USB_EP_TXCSR_H_TXPKTRDY          (_ADI_MSK(0x00000001,uint16_t))  /* Tx Packet Ready */
#define ENUM_USB_EP_TXCSR_H_NO_PKTRDY         (_ADI_MSK(0x00000000,uint16_t))  /* TXPKTRDY: No Tx Packet */
#define ENUM_USB_EP_TXCSR_H_PKTRDY            (_ADI_MSK(0x00000001,uint16_t))  /* TXPKTRDY: Tx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0_CSR_P                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0_CSR_P_FLUSHFIFO           8                               /* Flush Endpoint FIFO */
#define BITP_USB_EP0_CSR_P_SSETUPEND           7                               /* Service Setup End */
#define BITP_USB_EP0_CSR_P_SPKTRDY             6                               /* Service Rx Packet Ready */
#define BITP_USB_EP0_CSR_P_SENDSTALL           5                               /* Send Stall */
#define BITP_USB_EP0_CSR_P_SETUPEND            4                               /* Setup End */
#define BITP_USB_EP0_CSR_P_DATAEND             3                               /* Data End */
#define BITP_USB_EP0_CSR_P_SENTSTALL           2                               /* Sent Stall */
#define BITP_USB_EP0_CSR_P_TXPKTRDY            1                               /* Tx Packet Ready */
#define BITP_USB_EP0_CSR_P_RXPKTRDY            0                               /* Rx Packet Ready */

#define BITM_USB_EP0_CSR_P_FLUSHFIFO          (_ADI_MSK(0x00000100,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EP0_CSR_P_NO_FLUSH           (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EP0_CSR_P_FLUSH              (_ADI_MSK(0x00000100,uint16_t))  /* FLUSHFIFO: Flush Endpoint FIFO */

#define BITM_USB_EP0_CSR_P_SSETUPEND          (_ADI_MSK(0x00000080,uint16_t))  /* Service Setup End */
#define ENUM_USB_EP0_CSR_P_NOSSETUPEND        (_ADI_MSK(0x00000000,uint16_t))  /* SSETUPEND: No Action */
#define ENUM_USB_EP0_CSR_P_SSETUPEND          (_ADI_MSK(0x00000080,uint16_t))  /* SSETUPEND: Clear SETUPEND Bit */

#define BITM_USB_EP0_CSR_P_SPKTRDY            (_ADI_MSK(0x00000040,uint16_t))  /* Service Rx Packet Ready */
#define ENUM_USB_EP0_CSR_P_NO_SPKTRDY         (_ADI_MSK(0x00000000,uint16_t))  /* SPKTRDY: No Action */
#define ENUM_USB_EP0_CSR_P_SPKTRDY            (_ADI_MSK(0x00000040,uint16_t))  /* SPKTRDY: Clear RXPKTRDY Bit */

#define BITM_USB_EP0_CSR_P_SENDSTALL          (_ADI_MSK(0x00000020,uint16_t))  /* Send Stall */
#define ENUM_USB_EP0_CSR_P_NO_STALL           (_ADI_MSK(0x00000000,uint16_t))  /* SENDSTALL: No Action */
#define ENUM_USB_EP0_CSR_P_STALL              (_ADI_MSK(0x00000020,uint16_t))  /* SENDSTALL: Terminate Current Transaction */

#define BITM_USB_EP0_CSR_P_SETUPEND           (_ADI_MSK(0x00000010,uint16_t))  /* Setup End */
#define ENUM_USB_EP0_CSR_P_NO_SETUPEND        (_ADI_MSK(0x00000000,uint16_t))  /* SETUPEND: No Status */
#define ENUM_USB_EP0_CSR_P_SETUPEND           (_ADI_MSK(0x00000010,uint16_t))  /* SETUPEND: Setup Ended before DATAEND */

#define BITM_USB_EP0_CSR_P_DATAEND            (_ADI_MSK(0x00000008,uint16_t))  /* Data End */
#define ENUM_USB_EP0_CSR_P_NO_DATAEND         (_ADI_MSK(0x00000000,uint16_t))  /* DATAEND: No Status */
#define ENUM_USB_EP0_CSR_P_DATAEND            (_ADI_MSK(0x00000008,uint16_t))  /* DATAEND: Data End Condition */

#define BITM_USB_EP0_CSR_P_SENTSTALL          (_ADI_MSK(0x00000004,uint16_t))  /* Sent Stall */
#define ENUM_USB_EP0_CSR_P_NO_STALSNT         (_ADI_MSK(0x00000000,uint16_t))  /* SENTSTALL: No Status */
#define ENUM_USB_EP0_CSR_P_STALSNT            (_ADI_MSK(0x00000004,uint16_t))  /* SENTSTALL: Transmitted STALL Handshake */

#define BITM_USB_EP0_CSR_P_TXPKTRDY           (_ADI_MSK(0x00000002,uint16_t))  /* Tx Packet Ready */
#define ENUM_USB_EP0_CSR_P_NO_TXPKTRDY        (_ADI_MSK(0x00000000,uint16_t))  /* TXPKTRDY:  */
#define ENUM_USB_EP0_CSR_P_TXPKTRDY           (_ADI_MSK(0x00000002,uint16_t))  /* TXPKTRDY: Set this bit after loading a data packet into the FIFO */

#define BITM_USB_EP0_CSR_P_RXPKTRDY           (_ADI_MSK(0x00000001,uint16_t))  /* Rx Packet Ready */
#define ENUM_USB_EP0_CSR_P_NO_PKTRDY          (_ADI_MSK(0x00000000,uint16_t))  /* RXPKTRDY: No Rx Packet */
#define ENUM_USB_EP0_CSR_P_PKTRDY             (_ADI_MSK(0x00000001,uint16_t))  /* RXPKTRDY: Rx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP_TXCSR_P                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP_TXCSR_P_AUTOSET           15                               /* TxPkRdy Autoset Enable */
#define BITP_USB_EP_TXCSR_P_ISO               14                               /* Isochronous Transfers Enable */
#define BITP_USB_EP_TXCSR_P_DMAREQEN          12                               /* DMA Request Enable Tx EP */
#define BITP_USB_EP_TXCSR_P_FRCDATATGL        11                               /* Force Data Toggle */
#define BITP_USB_EP_TXCSR_P_DMAREQMODE        10                               /* DMA Mode Select */
#define BITP_USB_EP_TXCSR_P_CLRDATATGL         6                               /* Clear Endpoint Data Toggle */
#define BITP_USB_EP_TXCSR_P_SENTSTALL          5                               /* Sent STALL */
#define BITP_USB_EP_TXCSR_P_SENDSTALL          4                               /* Send STALL */
#define BITP_USB_EP_TXCSR_P_FLUSHFIFO          3                               /* Flush Endpoint FIFO */
#define BITP_USB_EP_TXCSR_P_URUNERR            2                               /* Underrun Error */
#define BITP_USB_EP_TXCSR_P_NEFIFO             1                               /* Not Empty FIFO */
#define BITP_USB_EP_TXCSR_P_TXPKTRDY           0                               /* Tx Packet Ready */

#define BITM_USB_EP_TXCSR_P_AUTOSET           (_ADI_MSK(0x00008000,uint16_t))  /* TxPkRdy Autoset Enable */
#define ENUM_USB_EP_TXCSR_P_NO_AUTOSET        (_ADI_MSK(0x00000000,uint16_t))  /* AUTOSET: Disable Autoset */
#define ENUM_USB_EP_TXCSR_P_AUTOSET           (_ADI_MSK(0x00008000,uint16_t))  /* AUTOSET: Enable Autoset */

#define BITM_USB_EP_TXCSR_P_ISO               (_ADI_MSK(0x00004000,uint16_t))  /* Isochronous Transfers Enable */
#define ENUM_USB_EP_TXCSR_P_ISODIS            (_ADI_MSK(0x00000000,uint16_t))  /* ISO: Disable Tx EP Isochronous Transfers */
#define ENUM_USB_EP_TXCSR_P_ISOEN             (_ADI_MSK(0x00004000,uint16_t))  /* ISO: Enable Tx EP Isochronous Transfers */

#define BITM_USB_EP_TXCSR_P_DMAREQEN          (_ADI_MSK(0x00001000,uint16_t))  /* DMA Request Enable Tx EP */
#define ENUM_USB_EP_TXCSR_P_DMAREQDIS         (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQEN: Disable DMA Request */
#define ENUM_USB_EP_TXCSR_P_DMAREQEN          (_ADI_MSK(0x00001000,uint16_t))  /* DMAREQEN: Enable DMA Request */

#define BITM_USB_EP_TXCSR_P_FRCDATATGL        (_ADI_MSK(0x00000800,uint16_t))  /* Force Data Toggle */
#define ENUM_USB_EP_TXCSR_P_NO_FRCTGL         (_ADI_MSK(0x00000000,uint16_t))  /* FRCDATATGL: No Action */
#define ENUM_USB_EP_TXCSR_P_FRCTGL            (_ADI_MSK(0x00000800,uint16_t))  /* FRCDATATGL: Toggle Endpoint Data */

#define BITM_USB_EP_TXCSR_P_DMAREQMODE        (_ADI_MSK(0x00000400,uint16_t))  /* DMA Mode Select */
#define ENUM_USB_EP_TXCSR_P_DMARQMODE0        (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQMODE: DMA Request Mode 0 */
#define ENUM_USB_EP_TXCSR_P_DMARQMODE1        (_ADI_MSK(0x00000400,uint16_t))  /* DMAREQMODE: DMA Request Mode 1 */

#define BITM_USB_EP_TXCSR_P_CLRDATATGL        (_ADI_MSK(0x00000040,uint16_t))  /* Clear Endpoint Data Toggle */
#define ENUM_USB_EP_TXCSR_P_NO_CLRTGL         (_ADI_MSK(0x00000000,uint16_t))  /* CLRDATATGL: No Action */
#define ENUM_USB_EP_TXCSR_P_CLRTGL            (_ADI_MSK(0x00000040,uint16_t))  /* CLRDATATGL: Reset EP Data Toggle to 0 */

#define BITM_USB_EP_TXCSR_P_SENTSTALL         (_ADI_MSK(0x00000020,uint16_t))  /* Sent STALL */
#define ENUM_USB_EP_TXCSR_P_NO_STALSNT        (_ADI_MSK(0x00000000,uint16_t))  /* SENTSTALL: No Status */
#define ENUM_USB_EP_TXCSR_P_STALSNT           (_ADI_MSK(0x00000020,uint16_t))  /* SENTSTALL: STALL Handshake Transmitted */

#define BITM_USB_EP_TXCSR_P_SENDSTALL         (_ADI_MSK(0x00000010,uint16_t))  /* Send STALL */
#define ENUM_USB_EP_TXCSR_P_NO_STALL          (_ADI_MSK(0x00000000,uint16_t))  /* SENDSTALL: No Request */
#define ENUM_USB_EP_TXCSR_P_STALL             (_ADI_MSK(0x00000010,uint16_t))  /* SENDSTALL: Request STALL Handshake Transmission */

#define BITM_USB_EP_TXCSR_P_FLUSHFIFO         (_ADI_MSK(0x00000008,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EP_TXCSR_P_NO_FLUSH          (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EP_TXCSR_P_FLUSH             (_ADI_MSK(0x00000008,uint16_t))  /* FLUSHFIFO: Flush endpoint FIFO */

#define BITM_USB_EP_TXCSR_P_URUNERR           (_ADI_MSK(0x00000004,uint16_t))  /* Underrun Error */
#define ENUM_USB_EP_TXCSR_P_NO_URUNERR        (_ADI_MSK(0x00000000,uint16_t))  /* URUNERR: No Status */
#define ENUM_USB_EP_TXCSR_P_URUNERR           (_ADI_MSK(0x00000004,uint16_t))  /* URUNERR: Underrun Error */

#define BITM_USB_EP_TXCSR_P_NEFIFO            (_ADI_MSK(0x00000002,uint16_t))  /* Not Empty FIFO */
#define ENUM_USB_EP_TXCSR_P_NO_FIFONE         (_ADI_MSK(0x00000000,uint16_t))  /* NEFIFO: FIFO Empty */
#define ENUM_USB_EP_TXCSR_P_FIFONE            (_ADI_MSK(0x00000002,uint16_t))  /* NEFIFO: FIFO Not Empty */

#define BITM_USB_EP_TXCSR_P_TXPKTRDY          (_ADI_MSK(0x00000001,uint16_t))  /* Tx Packet Ready */
#define ENUM_USB_EP_TXCSR_P_NO_PKTRDY         (_ADI_MSK(0x00000000,uint16_t))  /* TXPKTRDY: No Tx Packet */
#define ENUM_USB_EP_TXCSR_P_PKTRDY            (_ADI_MSK(0x00000001,uint16_t))  /* TXPKTRDY: Tx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP_RXMAXP                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP_RXMAXP_MAXPAY              0                               /* Maximum Payload */
#define BITM_USB_EP_RXMAXP_MAXPAY             (_ADI_MSK(0x000007FF,uint16_t))  /* Maximum Payload */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP_RXCSR_H                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP_RXCSR_H_AUTOCLR           15                               /* Auto Clear Enable */
#define BITP_USB_EP_RXCSR_H_AUTOREQ           14                               /* Auto Request Clear Enable */
#define BITP_USB_EP_RXCSR_H_DMAREQEN          13                               /* DMA Request Enable Rx EP */
#define BITP_USB_EP_RXCSR_H_PIDERR            12                               /* Packet ID Error */
#define BITP_USB_EP_RXCSR_H_DMAREQMODE        11                               /* DMA Mode Select */
#define BITP_USB_EP_RXCSR_H_DATGLEN           10                               /* Data Toggle Write Enable */
#define BITP_USB_EP_RXCSR_H_DATGL              9                               /* Data Toggle */
#define BITP_USB_EP_RXCSR_H_CLRDATATGL         7                               /* Clear Endpoint Data Toggle */
#define BITP_USB_EP_RXCSR_H_RXSTALL            6                               /* Rx STALL */
#define BITP_USB_EP_RXCSR_H_REQPKT             5                               /* Request Packet */
#define BITP_USB_EP_RXCSR_H_FLUSHFIFO          4                               /* Flush Endpoint FIFO */
#define BITP_USB_EP_RXCSR_H_NAKTODERR          3                               /* NAK Timeout Data Error */
#define BITP_USB_EP_RXCSR_H_RXTOERR            2                               /* Rx Timeout Error */
#define BITP_USB_EP_RXCSR_H_FIFOFULL           1                               /* FIFO Full */
#define BITP_USB_EP_RXCSR_H_RXPKTRDY           0                               /* Rx Packet Ready */

#define BITM_USB_EP_RXCSR_H_AUTOCLR           (_ADI_MSK(0x00008000,uint16_t))  /* Auto Clear Enable */
#define ENUM_USB_EP_RXCSR_H_NO_AUTOCLR        (_ADI_MSK(0x00000000,uint16_t))  /* AUTOCLR: Disable Auto Clear */
#define ENUM_USB_EP_RXCSR_H_AUTOCLR           (_ADI_MSK(0x00008000,uint16_t))  /* AUTOCLR: Enable Auto Clear */

#define BITM_USB_EP_RXCSR_H_AUTOREQ           (_ADI_MSK(0x00004000,uint16_t))  /* Auto Request Clear Enable */
#define ENUM_USB_EP_RXCSR_H_NO_AUTOREQ        (_ADI_MSK(0x00000000,uint16_t))  /* AUTOREQ: Disable Auto Request Clear */
#define ENUM_USB_EP_RXCSR_H_AUTOREQ           (_ADI_MSK(0x00004000,uint16_t))  /* AUTOREQ: Enable Auto Request Clear */

#define BITM_USB_EP_RXCSR_H_DMAREQEN          (_ADI_MSK(0x00002000,uint16_t))  /* DMA Request Enable Rx EP */
#define ENUM_USB_EP_RXCSR_H_DMAREQDIS         (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQEN: Disable DMA Request */
#define ENUM_USB_EP_RXCSR_H_DMAREQEN          (_ADI_MSK(0x00002000,uint16_t))  /* DMAREQEN: Enable DMA Request */

#define BITM_USB_EP_RXCSR_H_PIDERR            (_ADI_MSK(0x00001000,uint16_t))  /* Packet ID Error */
#define ENUM_USB_EP_RXCSR_H_NO_PIDERR         (_ADI_MSK(0x00000000,uint16_t))  /* PIDERR: No Status */
#define ENUM_USB_EP_RXCSR_H_PIDERR            (_ADI_MSK(0x00001000,uint16_t))  /* PIDERR: PID Error */

#define BITM_USB_EP_RXCSR_H_DMAREQMODE        (_ADI_MSK(0x00000800,uint16_t))  /* DMA Mode Select */
#define ENUM_USB_EP_RXCSR_H_DMARQMODE0        (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQMODE: DMA Request Mode 0 */
#define ENUM_USB_EP_RXCSR_H_DMARQMODE1        (_ADI_MSK(0x00000800,uint16_t))  /* DMAREQMODE: DMA Request Mode 1 */

#define BITM_USB_EP_RXCSR_H_DATGLEN           (_ADI_MSK(0x00000400,uint16_t))  /* Data Toggle Write Enable */
#define ENUM_USB_EP_RXCSR_H_DATGLDIS          (_ADI_MSK(0x00000000,uint16_t))  /* DATGLEN: Disable Write to DATGL */
#define ENUM_USB_EP_RXCSR_H_DATGLEN           (_ADI_MSK(0x00000400,uint16_t))  /* DATGLEN: Enable Write to DATGL */

#define BITM_USB_EP_RXCSR_H_DATGL             (_ADI_MSK(0x00000200,uint16_t))  /* Data Toggle */
#define ENUM_USB_EP_RXCSR_H_NO_DATGL          (_ADI_MSK(0x00000000,uint16_t))  /* DATGL: DATA0 is Set */
#define ENUM_USB_EP_RXCSR_H_DATGL             (_ADI_MSK(0x00000200,uint16_t))  /* DATGL: DATA1 is Set */

#define BITM_USB_EP_RXCSR_H_CLRDATATGL        (_ADI_MSK(0x00000080,uint16_t))  /* Clear Endpoint Data Toggle */
#define ENUM_USB_EP_RXCSR_H_NO_CLRTGL         (_ADI_MSK(0x00000000,uint16_t))  /* CLRDATATGL: No Action */
#define ENUM_USB_EP_RXCSR_H_CLRTGL            (_ADI_MSK(0x00000080,uint16_t))  /* CLRDATATGL: Reset EP Data Toggle to 0 */

#define BITM_USB_EP_RXCSR_H_RXSTALL           (_ADI_MSK(0x00000040,uint16_t))  /* Rx STALL */
#define ENUM_USB_EP_RXCSR_H_NO_RXSTALL        (_ADI_MSK(0x00000000,uint16_t))  /* RXSTALL: No Status */
#define ENUM_USB_EP_RXCSR_H_RXSTALL           (_ADI_MSK(0x00000040,uint16_t))  /* RXSTALL: Stall Received from Device */

#define BITM_USB_EP_RXCSR_H_REQPKT            (_ADI_MSK(0x00000020,uint16_t))  /* Request Packet */
#define ENUM_USB_EP_RXCSR_H_NO_REQPKT         (_ADI_MSK(0x00000000,uint16_t))  /* REQPKT: No Request */
#define ENUM_USB_EP_RXCSR_H_REQPKT            (_ADI_MSK(0x00000020,uint16_t))  /* REQPKT: Send IN Tokens to Device */

#define BITM_USB_EP_RXCSR_H_FLUSHFIFO         (_ADI_MSK(0x00000010,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EP_RXCSR_H_NO_FLUSH          (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EP_RXCSR_H_FLUSH             (_ADI_MSK(0x00000010,uint16_t))  /* FLUSHFIFO: Flush Endpoint FIFO */

#define BITM_USB_EP_RXCSR_H_NAKTODERR         (_ADI_MSK(0x00000008,uint16_t))  /* NAK Timeout Data Error */
#define ENUM_USB_EP_RXCSR_H_NO_NAKTO          (_ADI_MSK(0x00000000,uint16_t))  /* NAKTODERR: No Status */
#define ENUM_USB_EP_RXCSR_H_NAKTO             (_ADI_MSK(0x00000008,uint16_t))  /* NAKTODERR: NAK Timeout Data Error */

#define BITM_USB_EP_RXCSR_H_RXTOERR           (_ADI_MSK(0x00000004,uint16_t))  /* Rx Timeout Error */
#define ENUM_USB_EP_RXCSR_H_NO_RXTOERR        (_ADI_MSK(0x00000000,uint16_t))  /* RXTOERR: No Status */
#define ENUM_USB_EP_RXCSR_H_RXTOERR           (_ADI_MSK(0x00000004,uint16_t))  /* RXTOERR: Rx Timeout Error */

#define BITM_USB_EP_RXCSR_H_FIFOFULL          (_ADI_MSK(0x00000002,uint16_t))  /* FIFO Full */
#define ENUM_USB_EP_RXCSR_H_NO_FIFOFUL        (_ADI_MSK(0x00000000,uint16_t))  /* FIFOFULL: No Status */
#define ENUM_USB_EP_RXCSR_H_FIFOFUL           (_ADI_MSK(0x00000002,uint16_t))  /* FIFOFULL: FIFO Full */

#define BITM_USB_EP_RXCSR_H_RXPKTRDY          (_ADI_MSK(0x00000001,uint16_t))  /* Rx Packet Ready */
#define ENUM_USB_EP_RXCSR_H_NO_PKTRDY         (_ADI_MSK(0x00000000,uint16_t))  /* RXPKTRDY: No Rx Packet */
#define ENUM_USB_EP_RXCSR_H_PKTRDY            (_ADI_MSK(0x00000001,uint16_t))  /* RXPKTRDY: Rx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP_RXCSR_P                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP_RXCSR_P_AUTOCLR           15                               /* Auto Clear Enable */
#define BITP_USB_EP_RXCSR_P_ISO               14                               /* Isochronous Transfers */
#define BITP_USB_EP_RXCSR_P_DMAREQEN          13                               /* DMA Request Enable Rx EP */
#define BITP_USB_EP_RXCSR_P_DMAREQMODE        11                               /* DMA Mode Select */
#define BITP_USB_EP_RXCSR_P_CLRDATATGL         7                               /* Clear Endpoint Data Toggle */
#define BITP_USB_EP_RXCSR_P_SENTSTALL          6                               /* Sent STALL */
#define BITP_USB_EP_RXCSR_P_SENDSTALL          5                               /* Send STALL */
#define BITP_USB_EP_RXCSR_P_FLUSHFIFO          4                               /* Flush Endpoint FIFO */
#define BITP_USB_EP_RXCSR_P_DATAERR            3                               /* Data Error */
#define BITP_USB_EP_RXCSR_P_ORUNERR            2                               /* OUT Run Error */
#define BITP_USB_EP_RXCSR_P_FIFOFULL           1                               /* FIFO Full */
#define BITP_USB_EP_RXCSR_P_RXPKTRDY           0                               /* Rx Packet Ready */

#define BITM_USB_EP_RXCSR_P_AUTOCLR           (_ADI_MSK(0x00008000,uint16_t))  /* Auto Clear Enable */
#define ENUM_USB_EP_RXCSR_P_NO_AUTOCLR        (_ADI_MSK(0x00000000,uint16_t))  /* AUTOCLR: Disable Auto Clear */
#define ENUM_USB_EP_RXCSR_P_AUTOCLR           (_ADI_MSK(0x00008000,uint16_t))  /* AUTOCLR: Enable Auto Clear */

#define BITM_USB_EP_RXCSR_P_ISO               (_ADI_MSK(0x00004000,uint16_t))  /* Isochronous Transfers */
#define ENUM_USB_EP_RXCSR_P_ISODIS            (_ADI_MSK(0x00000000,uint16_t))  /* ISO: This bit should be cleared for bulk or interrupt transfers. */
#define ENUM_USB_EP_RXCSR_P_ISOEN             (_ADI_MSK(0x00004000,uint16_t))  /* ISO: This bit should be set for isochronous transfers. */

#define BITM_USB_EP_RXCSR_P_DMAREQEN          (_ADI_MSK(0x00002000,uint16_t))  /* DMA Request Enable Rx EP */
#define ENUM_USB_EP_RXCSR_P_DMAREQDIS         (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQEN: Disable DMA Request */
#define ENUM_USB_EP_RXCSR_P_DMAREQEN          (_ADI_MSK(0x00002000,uint16_t))  /* DMAREQEN: Enable DMA Request */

#define BITM_USB_EP_RXCSR_P_DMAREQMODE        (_ADI_MSK(0x00000800,uint16_t))  /* DMA Mode Select */
#define ENUM_USB_EP_RXCSR_P_DMARQMODE0        (_ADI_MSK(0x00000000,uint16_t))  /* DMAREQMODE: DMA Request Mode 0 */
#define ENUM_USB_EP_RXCSR_P_DMARQMODE1        (_ADI_MSK(0x00000800,uint16_t))  /* DMAREQMODE: DMA Request Mode 1 */

#define BITM_USB_EP_RXCSR_P_CLRDATATGL        (_ADI_MSK(0x00000080,uint16_t))  /* Clear Endpoint Data Toggle */
#define ENUM_USB_EP_RXCSR_P_NO_CLRTGL         (_ADI_MSK(0x00000000,uint16_t))  /* CLRDATATGL: No Action */
#define ENUM_USB_EP_RXCSR_P_CLRTGL            (_ADI_MSK(0x00000080,uint16_t))  /* CLRDATATGL: Reset EP Data Toggle to 0 */

#define BITM_USB_EP_RXCSR_P_SENTSTALL         (_ADI_MSK(0x00000040,uint16_t))  /* Sent STALL */
#define ENUM_USB_EP_RXCSR_P_NO_STALSNT        (_ADI_MSK(0x00000000,uint16_t))  /* SENTSTALL: No Status */
#define ENUM_USB_EP_RXCSR_P_STALSNT           (_ADI_MSK(0x00000040,uint16_t))  /* SENTSTALL: STALL Handshake Transmitted */

#define BITM_USB_EP_RXCSR_P_SENDSTALL         (_ADI_MSK(0x00000020,uint16_t))  /* Send STALL */
#define ENUM_USB_EP_RXCSR_P_NO_STALL          (_ADI_MSK(0x00000000,uint16_t))  /* SENDSTALL: No Action */
#define ENUM_USB_EP_RXCSR_P_STALL             (_ADI_MSK(0x00000020,uint16_t))  /* SENDSTALL: Request STALL Handshake */

#define BITM_USB_EP_RXCSR_P_FLUSHFIFO         (_ADI_MSK(0x00000010,uint16_t))  /* Flush Endpoint FIFO */
#define ENUM_USB_EP_RXCSR_P_NO_FLUSH          (_ADI_MSK(0x00000000,uint16_t))  /* FLUSHFIFO: No Flush */
#define ENUM_USB_EP_RXCSR_P_FLUSH             (_ADI_MSK(0x00000010,uint16_t))  /* FLUSHFIFO: Flush Endpoint FIFO */

#define BITM_USB_EP_RXCSR_P_DATAERR           (_ADI_MSK(0x00000008,uint16_t))  /* Data Error */
#define ENUM_USB_EP_RXCSR_P_NO_DATAERR        (_ADI_MSK(0x00000000,uint16_t))  /* DATAERR: No Status */
#define ENUM_USB_EP_RXCSR_P_DATAERR           (_ADI_MSK(0x00000008,uint16_t))  /* DATAERR: Data Error */

#define BITM_USB_EP_RXCSR_P_ORUNERR           (_ADI_MSK(0x00000004,uint16_t))  /* OUT Run Error */
#define ENUM_USB_EP_RXCSR_P_NO_ORUNERR        (_ADI_MSK(0x00000000,uint16_t))  /* ORUNERR: No Status */
#define ENUM_USB_EP_RXCSR_P_ORUNERR           (_ADI_MSK(0x00000004,uint16_t))  /* ORUNERR: OUT Run Error */

#define BITM_USB_EP_RXCSR_P_FIFOFULL          (_ADI_MSK(0x00000002,uint16_t))  /* FIFO Full */
#define ENUM_USB_EP_RXCSR_P_NO_FIFOFUL        (_ADI_MSK(0x00000000,uint16_t))  /* FIFOFULL: No Status */
#define ENUM_USB_EP_RXCSR_P_FIFOFUL           (_ADI_MSK(0x00000002,uint16_t))  /* FIFOFULL: FIFO Full */

#define BITM_USB_EP_RXCSR_P_RXPKTRDY          (_ADI_MSK(0x00000001,uint16_t))  /* Rx Packet Ready */
#define ENUM_USB_EP_RXCSR_P_NO_PKTRDY         (_ADI_MSK(0x00000000,uint16_t))  /* RXPKTRDY: No Rx Packet */
#define ENUM_USB_EP_RXCSR_P_PKTRDY            (_ADI_MSK(0x00000001,uint16_t))  /* RXPKTRDY: Rx Packet in Endpoint FIFO */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0_CNT                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0_CNT_RXCNT                 0                               /* Rx Byte Count Value */
#define BITM_USB_EP0_CNT_RXCNT                (_ADI_MSK(0x0000007F,uint16_t))  /* Rx Byte Count Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP_RXCNT                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP_RXCNT_EPRXCNT              0                               /* EP Rx Count */
#define BITM_USB_EP_RXCNT_EPRXCNT             (_ADI_MSK(0x00003FFF,uint16_t))  /* EP Rx Count */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0_TYPE                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0_TYPE_SPEED                0                               /* Speed of Operation Value */
#define BITM_USB_EP0_TYPE_SPEED               (_ADI_MSK(0x00000003,uint8_t))   /* Speed of Operation Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP_TXTYPE                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP_TXTYPE_SPEED               6                               /* Speed of Operation Value */
#define BITP_USB_EP_TXTYPE_PROTOCOL            4                               /* Protocol for Transfer */
#define BITP_USB_EP_TXTYPE_TGTEP               0                               /* Target Endpoint Number */

#define BITM_USB_EP_TXTYPE_SPEED              (_ADI_MSK(0x000000C0,uint8_t))   /* Speed of Operation Value */
#define ENUM_USB_EP_TXTYPE_UNUSED             (_ADI_MSK(0x00000000,uint8_t))   /* SPEED: Same Speed as the Core */
#define ENUM_USB_EP_TXTYPE_HIGHSPEED          (_ADI_MSK(0x00000040,uint8_t))   /* SPEED: High Speed */
#define ENUM_USB_EP_TXTYPE_FULLSPEED          (_ADI_MSK(0x00000080,uint8_t))   /* SPEED: Full Speed */
#define ENUM_USB_EP_TXTYPE_LOWSPEED           (_ADI_MSK(0x000000C0,uint8_t))   /* SPEED: Low Speed */

#define BITM_USB_EP_TXTYPE_PROTOCOL           (_ADI_MSK(0x00000030,uint8_t))   /* Protocol for Transfer */
#define ENUM_USB_EP_TXTYPE_CONTROL            (_ADI_MSK(0x00000000,uint8_t))   /* PROTOCOL: Control */
#define ENUM_USB_EP_TXTYPE_ISO                (_ADI_MSK(0x00000010,uint8_t))   /* PROTOCOL: Isochronous */
#define ENUM_USB_EP_TXTYPE_BULK               (_ADI_MSK(0x00000020,uint8_t))   /* PROTOCOL: Bulk */
#define ENUM_USB_EP_TXTYPE_INT                (_ADI_MSK(0x00000030,uint8_t))   /* PROTOCOL: Interrupt */

#define BITM_USB_EP_TXTYPE_TGTEP              (_ADI_MSK(0x0000000F,uint8_t))   /* Target Endpoint Number */
#define ENUM_USB_EP_TXTYPE_TGTEP0             (_ADI_MSK(0x00000000,uint8_t))   /* TGTEP: Endpoint 0 */
#define ENUM_USB_EP_TXTYPE_TGTEP1             (_ADI_MSK(0x00000001,uint8_t))   /* TGTEP: Endpoint 1 */
#define ENUM_USB_EP_TXTYPE_TGTEP10            (_ADI_MSK(0x0000000A,uint8_t))   /* TGTEP: Endpoint 10 */
#define ENUM_USB_EP_TXTYPE_TGTEP11            (_ADI_MSK(0x0000000B,uint8_t))   /* TGTEP: Endpoint 11 */
#define ENUM_USB_EP_TXTYPE_TGTEP12            (_ADI_MSK(0x0000000C,uint8_t))   /* TGTEP: Endpoint 12 */
#define ENUM_USB_EP_TXTYPE_TGTEP13            (_ADI_MSK(0x0000000D,uint8_t))   /* TGTEP: Endpoint 13 */
#define ENUM_USB_EP_TXTYPE_TGTEP14            (_ADI_MSK(0x0000000E,uint8_t))   /* TGTEP: Endpoint 14 */
#define ENUM_USB_EP_TXTYPE_TGTEP15            (_ADI_MSK(0x0000000F,uint8_t))   /* TGTEP: Endpoint 15 */
#define ENUM_USB_EP_TXTYPE_TGTEP2             (_ADI_MSK(0x00000002,uint8_t))   /* TGTEP: Endpoint 2 */
#define ENUM_USB_EP_TXTYPE_TGTEP3             (_ADI_MSK(0x00000003,uint8_t))   /* TGTEP: Endpoint 3 */
#define ENUM_USB_EP_TXTYPE_TGTEP4             (_ADI_MSK(0x00000004,uint8_t))   /* TGTEP: Endpoint 4 */
#define ENUM_USB_EP_TXTYPE_TGTEP5             (_ADI_MSK(0x00000005,uint8_t))   /* TGTEP: Endpoint 5 */
#define ENUM_USB_EP_TXTYPE_TGTEP6             (_ADI_MSK(0x00000006,uint8_t))   /* TGTEP: Endpoint 6 */
#define ENUM_USB_EP_TXTYPE_TGTEP7             (_ADI_MSK(0x00000007,uint8_t))   /* TGTEP: Endpoint 7 */
#define ENUM_USB_EP_TXTYPE_TGTEP8             (_ADI_MSK(0x00000008,uint8_t))   /* TGTEP: Endpoint 8 */
#define ENUM_USB_EP_TXTYPE_TGTEP9             (_ADI_MSK(0x00000009,uint8_t))   /* TGTEP: Endpoint 9 */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0_NAKLIMIT                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0_NAKLIMIT_VALUE            0                               /* Endpoint 0 Timeout Value (in Frames) */
#define BITM_USB_EP0_NAKLIMIT_VALUE           (_ADI_MSK(0x0000001F,uint8_t))   /* Endpoint 0 Timeout Value (in Frames) */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP_RXTYPE                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP_RXTYPE_SPEED               6                               /* Speed of Operation Value */
#define BITP_USB_EP_RXTYPE_PROTOCOL            4                               /* Protocol for Transfer */
#define BITP_USB_EP_RXTYPE_TGTEP               0                               /* Target Endpoint Number */

#define BITM_USB_EP_RXTYPE_SPEED              (_ADI_MSK(0x000000C0,uint8_t))   /* Speed of Operation Value */
#define ENUM_USB_EP_RXTYPE_UNUSED             (_ADI_MSK(0x00000000,uint8_t))   /* SPEED: Same Speed as the Core */
#define ENUM_USB_EP_RXTYPE_HIGHSPEED          (_ADI_MSK(0x00000040,uint8_t))   /* SPEED: High Speed */
#define ENUM_USB_EP_RXTYPE_FULLSPEED          (_ADI_MSK(0x00000080,uint8_t))   /* SPEED: Full Speed */
#define ENUM_USB_EP_RXTYPE_LOWSPEED           (_ADI_MSK(0x000000C0,uint8_t))   /* SPEED: Low Speed */

#define BITM_USB_EP_RXTYPE_PROTOCOL           (_ADI_MSK(0x00000030,uint8_t))   /* Protocol for Transfer */
#define ENUM_USB_EP_RXTYPE_CONTROL            (_ADI_MSK(0x00000000,uint8_t))   /* PROTOCOL: Control */
#define ENUM_USB_EP_RXTYPE_ISO                (_ADI_MSK(0x00000010,uint8_t))   /* PROTOCOL: Isochronous */
#define ENUM_USB_EP_RXTYPE_BULK               (_ADI_MSK(0x00000020,uint8_t))   /* PROTOCOL: Bulk */
#define ENUM_USB_EP_RXTYPE_INT                (_ADI_MSK(0x00000030,uint8_t))   /* PROTOCOL: Interrupt */

#define BITM_USB_EP_RXTYPE_TGTEP              (_ADI_MSK(0x0000000F,uint8_t))   /* Target Endpoint Number */
#define ENUM_USB_EP_RXTYPE_TGTEP0             (_ADI_MSK(0x00000000,uint8_t))   /* TGTEP: Endpoint 0 */
#define ENUM_USB_EP_RXTYPE_TGTEP1             (_ADI_MSK(0x00000001,uint8_t))   /* TGTEP: Endpoint 1 */
#define ENUM_USB_EP_RXTYPE_TGTEP10            (_ADI_MSK(0x0000000A,uint8_t))   /* TGTEP: Endpoint 10 */
#define ENUM_USB_EP_RXTYPE_TGTEP11            (_ADI_MSK(0x0000000B,uint8_t))   /* TGTEP: Endpoint 11 */
#define ENUM_USB_EP_RXTYPE_TGTEP12            (_ADI_MSK(0x0000000C,uint8_t))   /* TGTEP: Endpoint 12 */
#define ENUM_USB_EP_RXTYPE_TGTEP13            (_ADI_MSK(0x0000000D,uint8_t))   /* TGTEP: Endpoint 13 */
#define ENUM_USB_EP_RXTYPE_TGTEP14            (_ADI_MSK(0x0000000E,uint8_t))   /* TGTEP: Endpoint 14 */
#define ENUM_USB_EP_RXTYPE_TGTEP15            (_ADI_MSK(0x0000000F,uint8_t))   /* TGTEP: Endpoint 15 */
#define ENUM_USB_EP_RXTYPE_TGTEP2             (_ADI_MSK(0x00000002,uint8_t))   /* TGTEP: Endpoint 2 */
#define ENUM_USB_EP_RXTYPE_TGTEP3             (_ADI_MSK(0x00000003,uint8_t))   /* TGTEP: Endpoint 3 */
#define ENUM_USB_EP_RXTYPE_TGTEP4             (_ADI_MSK(0x00000004,uint8_t))   /* TGTEP: Endpoint 4 */
#define ENUM_USB_EP_RXTYPE_TGTEP5             (_ADI_MSK(0x00000005,uint8_t))   /* TGTEP: Endpoint 5 */
#define ENUM_USB_EP_RXTYPE_TGTEP6             (_ADI_MSK(0x00000006,uint8_t))   /* TGTEP: Endpoint 6 */
#define ENUM_USB_EP_RXTYPE_TGTEP7             (_ADI_MSK(0x00000007,uint8_t))   /* TGTEP: Endpoint 7 */
#define ENUM_USB_EP_RXTYPE_TGTEP8             (_ADI_MSK(0x00000008,uint8_t))   /* TGTEP: Endpoint 8 */
#define ENUM_USB_EP_RXTYPE_TGTEP9             (_ADI_MSK(0x00000009,uint8_t))   /* TGTEP: Endpoint 9 */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP0_CFGDATA                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP0_CFGDATA_MPRX              7                               /* Multi-Packet Aggregate for Rx Enable */
#define BITP_USB_EP0_CFGDATA_MPTX              6                               /* Multi-Packet Split for Tx Enable */
#define BITP_USB_EP0_CFGDATA_BIGEND            5                               /* Big Endian Data */
#define BITP_USB_EP0_CFGDATA_HBRX              4                               /* High Bandwidth Rx Enable */
#define BITP_USB_EP0_CFGDATA_HBTX              3                               /* High Bandwidth Tx Enable */
#define BITP_USB_EP0_CFGDATA_DYNFIFO           2                               /* Dynamic FIFO Size Enable */
#define BITP_USB_EP0_CFGDATA_SOFTCON           1                               /* Soft Connect Enable */
#define BITP_USB_EP0_CFGDATA_UTMIWID           0                               /* UTMI Data Width */

#define BITM_USB_EP0_CFGDATA_MPRX             (_ADI_MSK(0x00000080,uint8_t))   /* Multi-Packet Aggregate for Rx Enable */
#define ENUM_USB_EP0_CFGDATA_MPRXDIS          (_ADI_MSK(0x00000000,uint8_t))   /* MPRX: No Aggregate Rx Bulk Packets */
#define ENUM_USB_EP0_CFGDATA_MPRXEN           (_ADI_MSK(0x00000080,uint8_t))   /* MPRX: Aggregate Rx Bulk Packets */

#define BITM_USB_EP0_CFGDATA_MPTX             (_ADI_MSK(0x00000040,uint8_t))   /* Multi-Packet Split for Tx Enable */
#define ENUM_USB_EP0_CFGDATA_MPTXDIS          (_ADI_MSK(0x00000000,uint8_t))   /* MPTX: No Split Tx Bulk Packets */
#define ENUM_USB_EP0_CFGDATA_MPTXEN           (_ADI_MSK(0x00000040,uint8_t))   /* MPTX: Split Tx Bulk Packets */

#define BITM_USB_EP0_CFGDATA_BIGEND           (_ADI_MSK(0x00000020,uint8_t))   /* Big Endian Data */
#define ENUM_USB_EP0_CFGDATA_BIGENDDIS        (_ADI_MSK(0x00000000,uint8_t))   /* BIGEND: Little Endian Configuration */
#define ENUM_USB_EP0_CFGDATA_BIGENDEN         (_ADI_MSK(0x00000020,uint8_t))   /* BIGEND: Big Endian Configuration */

#define BITM_USB_EP0_CFGDATA_HBRX             (_ADI_MSK(0x00000010,uint8_t))   /* High Bandwidth Rx Enable */
#define ENUM_USB_EP0_CFGDATA_HBRXDIS          (_ADI_MSK(0x00000000,uint8_t))   /* HBRX: No High Bandwidth Rx */
#define ENUM_USB_EP0_CFGDATA_HBRXEN           (_ADI_MSK(0x00000010,uint8_t))   /* HBRX: High Bandwidth Rx */

#define BITM_USB_EP0_CFGDATA_HBTX             (_ADI_MSK(0x00000008,uint8_t))   /* High Bandwidth Tx Enable */
#define ENUM_USB_EP0_CFGDATA_HBTXDIS          (_ADI_MSK(0x00000000,uint8_t))   /* HBTX: No High Bandwidth Tx */
#define ENUM_USB_EP0_CFGDATA_HBTXEN           (_ADI_MSK(0x00000008,uint8_t))   /* HBTX: High Bandwidth Tx */

#define BITM_USB_EP0_CFGDATA_DYNFIFO          (_ADI_MSK(0x00000004,uint8_t))   /* Dynamic FIFO Size Enable */
#define ENUM_USB_EP0_CFGDATA_DYNSZDIS         (_ADI_MSK(0x00000000,uint8_t))   /* DYNFIFO: No Dynamic FIFO Size */
#define ENUM_USB_EP0_CFGDATA_DYNSZEN          (_ADI_MSK(0x00000004,uint8_t))   /* DYNFIFO: Dynamic FIFO Size */

#define BITM_USB_EP0_CFGDATA_SOFTCON          (_ADI_MSK(0x00000002,uint8_t))   /* Soft Connect Enable */
#define ENUM_USB_EP0_CFGDATA_SFTCONDIS        (_ADI_MSK(0x00000000,uint8_t))   /* SOFTCON: No Soft Connect */
#define ENUM_USB_EP0_CFGDATA_SFTCONEN         (_ADI_MSK(0x00000002,uint8_t))   /* SOFTCON: Soft Connect */

#define BITM_USB_EP0_CFGDATA_UTMIWID          (_ADI_MSK(0x00000001,uint8_t))   /* UTMI Data Width */
#define ENUM_USB_EP0_CFGDATA_UTMIWID8         (_ADI_MSK(0x00000000,uint8_t))   /* UTMIWID: 8-bit UTMI Data Width */
#define ENUM_USB_EP0_CFGDATA_UTMIWID16        (_ADI_MSK(0x00000001,uint8_t))   /* UTMIWID: 16-bit UTMI Data Width */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_EP_FIFOSZ                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_EP_FIFOSZ_RXFIFOSZ            4                               /* Receive FIFO Size */
#define BITP_USB_EP_FIFOSZ_TXFIFOSZ            0                               /* Transmit FIFO Size */
#define BITM_USB_EP_FIFOSZ_RXFIFOSZ           (_ADI_MSK(0x000000F0,uint8_t))   /* Receive FIFO Size */
#define BITM_USB_EP_FIFOSZ_TXFIFOSZ           (_ADI_MSK(0x0000000F,uint8_t))   /* Transmit FIFO Size */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_DMA_IRQ                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_DMA_IRQ_D6                    6                               /* DMA 6 Interrupt Pending Status */
#define BITP_USB_DMA_IRQ_D5                    5                               /* DMA 5 Interrupt Pending Status */
#define BITP_USB_DMA_IRQ_D4                    4                               /* DMA 4 Interrupt Pending Status */
#define BITP_USB_DMA_IRQ_D3                    3                               /* DMA 3 Interrupt Pending Status */
#define BITP_USB_DMA_IRQ_D2                    2                               /* DMA 2 Interrupt Pending Status */
#define BITP_USB_DMA_IRQ_D1                    1                               /* DMA 1 Interrupt Pending Status */
#define BITP_USB_DMA_IRQ_D0                    0                               /* DMA 0 Interrupt Pending Status */
#define BITM_USB_DMA_IRQ_D6                   (_ADI_MSK(0x00000040,uint8_t))   /* DMA 6 Interrupt Pending Status */
#define BITM_USB_DMA_IRQ_D5                   (_ADI_MSK(0x00000020,uint8_t))   /* DMA 5 Interrupt Pending Status */
#define BITM_USB_DMA_IRQ_D4                   (_ADI_MSK(0x00000010,uint8_t))   /* DMA 4 Interrupt Pending Status */
#define BITM_USB_DMA_IRQ_D3                   (_ADI_MSK(0x00000008,uint8_t))   /* DMA 3 Interrupt Pending Status */
#define BITM_USB_DMA_IRQ_D2                   (_ADI_MSK(0x00000004,uint8_t))   /* DMA 2 Interrupt Pending Status */
#define BITM_USB_DMA_IRQ_D1                   (_ADI_MSK(0x00000002,uint8_t))   /* DMA 1 Interrupt Pending Status */
#define BITM_USB_DMA_IRQ_D0                   (_ADI_MSK(0x00000001,uint8_t))   /* DMA 0 Interrupt Pending Status */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_DMA_CTL                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_DMA_CTL_BRSTM                 9                               /* Burst Mode */
#define BITP_USB_DMA_CTL_ERR                   8                               /* Bus Error */
#define BITP_USB_DMA_CTL_EP                    4                               /* DMA Channel Endpoint Assignment */
#define BITP_USB_DMA_CTL_IE                    3                               /* DMA Interrupt Enable */
#define BITP_USB_DMA_CTL_MODE                  2                               /* DMA Mode */
#define BITP_USB_DMA_CTL_DIR                   1                               /* DMA Transfer Direction */
#define BITP_USB_DMA_CTL_EN                    0                               /* DMA Enable */

#define BITM_USB_DMA_CTL_BRSTM                (_ADI_MSK(0x00000600,uint16_t))  /* Burst Mode */
#define ENUM_USB_DMA_CTL_BRSTM00              (_ADI_MSK(0x00000000,uint16_t))  /* BRSTM: Unspecified Length */
#define ENUM_USB_DMA_CTL_BRSTM01              (_ADI_MSK(0x00000200,uint16_t))  /* BRSTM: INCR4 or Unspecified Length */
#define ENUM_USB_DMA_CTL_BRSTM10              (_ADI_MSK(0x00000400,uint16_t))  /* BRSTM: INCR8, INCR4, or Unspecified Length */
#define ENUM_USB_DMA_CTL_BRSTM11              (_ADI_MSK(0x00000600,uint16_t))  /* BRSTM: INCR16, INCR8, INCR4, or Unspecified Length */

#define BITM_USB_DMA_CTL_ERR                  (_ADI_MSK(0x00000100,uint16_t))  /* Bus Error */
#define ENUM_USB_DMA_CTL_NO_DMAERR            (_ADI_MSK(0x00000000,uint16_t))  /* ERR: No Status */
#define ENUM_USB_DMA_CTL_DMAERR               (_ADI_MSK(0x00000100,uint16_t))  /* ERR: Bus Error */

#define BITM_USB_DMA_CTL_EP                   (_ADI_MSK(0x000000F0,uint16_t))  /* DMA Channel Endpoint Assignment */
#define ENUM_USB_DMA_CTL_DMAEP0               (_ADI_MSK(0x00000000,uint16_t))  /* EP: Endpoint 0 */
#define ENUM_USB_DMA_CTL_DMAEP1               (_ADI_MSK(0x00000010,uint16_t))  /* EP: Endpoint 1 */
#define ENUM_USB_DMA_CTL_DMAEP10              (_ADI_MSK(0x000000A0,uint16_t))  /* EP: Endpoint 10 */
#define ENUM_USB_DMA_CTL_DMAEP11              (_ADI_MSK(0x000000B0,uint16_t))  /* EP: Endpoint 11 */
#define ENUM_USB_DMA_CTL_DMAEP12              (_ADI_MSK(0x000000C0,uint16_t))  /* EP: Endpoint 12 */
#define ENUM_USB_DMA_CTL_DMAEP13              (_ADI_MSK(0x000000D0,uint16_t))  /* EP: Endpoint 13 */
#define ENUM_USB_DMA_CTL_DMAEP14              (_ADI_MSK(0x000000E0,uint16_t))  /* EP: Endpoint 14 */
#define ENUM_USB_DMA_CTL_DMAEP15              (_ADI_MSK(0x000000F0,uint16_t))  /* EP: Endpoint 15 */
#define ENUM_USB_DMA_CTL_DMAEP2               (_ADI_MSK(0x00000020,uint16_t))  /* EP: Endpoint 2 */
#define ENUM_USB_DMA_CTL_DMAEP3               (_ADI_MSK(0x00000030,uint16_t))  /* EP: Endpoint 3 */
#define ENUM_USB_DMA_CTL_DMAEP4               (_ADI_MSK(0x00000040,uint16_t))  /* EP: Endpoint 4 */
#define ENUM_USB_DMA_CTL_DMAEP5               (_ADI_MSK(0x00000050,uint16_t))  /* EP: Endpoint 5 */
#define ENUM_USB_DMA_CTL_DMAEP6               (_ADI_MSK(0x00000060,uint16_t))  /* EP: Endpoint 6 */
#define ENUM_USB_DMA_CTL_DMAEP7               (_ADI_MSK(0x00000070,uint16_t))  /* EP: Endpoint 7 */
#define ENUM_USB_DMA_CTL_DMAEP8               (_ADI_MSK(0x00000080,uint16_t))  /* EP: Endpoint 8 */
#define ENUM_USB_DMA_CTL_DMAEP9               (_ADI_MSK(0x00000090,uint16_t))  /* EP: Endpoint 9 */

#define BITM_USB_DMA_CTL_IE                   (_ADI_MSK(0x00000008,uint16_t))  /* DMA Interrupt Enable */
#define ENUM_USB_DMA_CTL_DMAINTDIS            (_ADI_MSK(0x00000000,uint16_t))  /* IE: Disable Interrupt */
#define ENUM_USB_DMA_CTL_DMAINTEN             (_ADI_MSK(0x00000008,uint16_t))  /* IE: Enable Interrupt */

#define BITM_USB_DMA_CTL_MODE                 (_ADI_MSK(0x00000004,uint16_t))  /* DMA Mode */
#define ENUM_USB_DMA_CTL_DMAMODE0             (_ADI_MSK(0x00000000,uint16_t))  /* MODE: DMA Mode 0 */
#define ENUM_USB_DMA_CTL_DMAMODE1             (_ADI_MSK(0x00000004,uint16_t))  /* MODE: DMA Mode 1 */

#define BITM_USB_DMA_CTL_DIR                  (_ADI_MSK(0x00000002,uint16_t))  /* DMA Transfer Direction */
#define ENUM_USB_DMA_CTL_DMADIR_RX            (_ADI_MSK(0x00000000,uint16_t))  /* DIR: DMA Write (for Rx Endpoint) */
#define ENUM_USB_DMA_CTL_DMADIR_TX            (_ADI_MSK(0x00000002,uint16_t))  /* DIR: DMA Read (for Tx Endpoint) */

#define BITM_USB_DMA_CTL_EN                   (_ADI_MSK(0x00000001,uint16_t))  /* DMA Enable */
#define ENUM_USB_DMA_CTL_DMADIS               (_ADI_MSK(0x00000000,uint16_t))  /* EN: Disable DMA */
#define ENUM_USB_DMA_CTL_DMAEN                (_ADI_MSK(0x00000001,uint16_t))  /* EN: Enable DMA (Start Transfer) */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_RXDPKTBUFDIS                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_RXDPKTBUFDIS_EP3              3                               /* Disable RX Double Buffer of Endpoint 3 */
#define BITP_USB_RXDPKTBUFDIS_EP2              2                               /* Disable RX Double Buffer of Endpoint 2 */
#define BITP_USB_RXDPKTBUFDIS_EP1              1                               /* Disable RX Double Buffer of Endpoint 1 */
#define BITM_USB_RXDPKTBUFDIS_EP3             (_ADI_MSK(0x00000008,uint16_t))  /* Disable RX Double Buffer of Endpoint 3 */
#define BITM_USB_RXDPKTBUFDIS_EP2             (_ADI_MSK(0x00000004,uint16_t))  /* Disable RX Double Buffer of Endpoint 2 */
#define BITM_USB_RXDPKTBUFDIS_EP1             (_ADI_MSK(0x00000002,uint16_t))  /* Disable RX Double Buffer of Endpoint 1 */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_TXDPKTBUFDIS                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_TXDPKTBUFDIS_EP3              3                               /* Disable TX Double Buffer of Endpoint 3 */
#define BITP_USB_TXDPKTBUFDIS_EP2              2                               /* Disable TX Double Buffer of Endpoint 2 */
#define BITP_USB_TXDPKTBUFDIS_EP1              1                               /* Disable TX Double Buffer of Endpoint 1 */
#define BITM_USB_TXDPKTBUFDIS_EP3             (_ADI_MSK(0x00000008,uint16_t))  /* Disable TX Double Buffer of Endpoint 3 */
#define BITM_USB_TXDPKTBUFDIS_EP2             (_ADI_MSK(0x00000004,uint16_t))  /* Disable TX Double Buffer of Endpoint 2 */
#define BITM_USB_TXDPKTBUFDIS_EP1             (_ADI_MSK(0x00000002,uint16_t))  /* Disable TX Double Buffer of Endpoint 1 */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_LPM_ATTR                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_LPM_ATTR_EP                  12                               /* Endpoint */
#define BITP_USB_LPM_ATTR_RMTWAK               8                               /* Remote Wakeup Enable */
#define BITP_USB_LPM_ATTR_HIRD                 4                               /* Host Initiated Resume Duration */
#define BITP_USB_LPM_ATTR_LINKSTATE            0                               /* Link State */
#define BITM_USB_LPM_ATTR_EP                  (_ADI_MSK(0x0000F000,uint16_t))  /* Endpoint */

#define BITM_USB_LPM_ATTR_RMTWAK              (_ADI_MSK(0x00000100,uint16_t))  /* Remote Wakeup Enable */
#define ENUM_USB_LPM_ATTR_RMTWAKDIS           (_ADI_MSK(0x00000000,uint16_t))  /* RMTWAK: Disable Remote Wakeup */
#define ENUM_USB_LPM_ATTR_RMTWAKEN            (_ADI_MSK(0x00000100,uint16_t))  /* RMTWAK: Enable Remote Wakeup */
#define BITM_USB_LPM_ATTR_HIRD                (_ADI_MSK(0x000000F0,uint16_t))  /* Host Initiated Resume Duration */

#define BITM_USB_LPM_ATTR_LINKSTATE           (_ADI_MSK(0x0000000F,uint16_t))  /* Link State */
#define ENUM_USB_LPM_ATTR_LNKSTATE_SSL1       (_ADI_MSK(0x00000001,uint16_t))  /* LINKSTATE: Sleep State (L1) */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_LPM_CTL                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_LPM_CTL_NAK                   4                               /* LPM NAK Enable */
#define BITP_USB_LPM_CTL_EN                    2                               /* LPM Enable */
#define BITP_USB_LPM_CTL_RESUME                1                               /* LPM Resume (Remote Wakeup) */
#define BITP_USB_LPM_CTL_TX                    0                               /* LPM Transmit */
#define BITM_USB_LPM_CTL_NAK                  (_ADI_MSK(0x00000010,uint8_t))   /* LPM NAK Enable */
#define BITM_USB_LPM_CTL_EN                   (_ADI_MSK(0x0000000C,uint8_t))   /* LPM Enable */
#define BITM_USB_LPM_CTL_RESUME               (_ADI_MSK(0x00000002,uint8_t))   /* LPM Resume (Remote Wakeup) */
#define BITM_USB_LPM_CTL_TX                   (_ADI_MSK(0x00000001,uint8_t))   /* LPM Transmit */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_LPM_IEN                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_LPM_IEN_LPMERR                5                               /* LPM Error Interrupt Enable */
#define BITP_USB_LPM_IEN_LPMRES                4                               /* LPM Resume Interrupt Enable */
#define BITP_USB_LPM_IEN_LPMNC                 3                               /* LPM NYET Control Interrupt Enable */
#define BITP_USB_LPM_IEN_LPMACK                2                               /* LPM ACK Interrupt Enable */
#define BITP_USB_LPM_IEN_LPMNY                 1                               /* LPM NYET Interrupt Enable */
#define BITP_USB_LPM_IEN_LPMST                 0                               /* LPM STALL Interrupt Enable */
#define BITM_USB_LPM_IEN_LPMERR               (_ADI_MSK(0x00000020,uint8_t))   /* LPM Error Interrupt Enable */
#define BITM_USB_LPM_IEN_LPMRES               (_ADI_MSK(0x00000010,uint8_t))   /* LPM Resume Interrupt Enable */
#define BITM_USB_LPM_IEN_LPMNC                (_ADI_MSK(0x00000008,uint8_t))   /* LPM NYET Control Interrupt Enable */
#define BITM_USB_LPM_IEN_LPMACK               (_ADI_MSK(0x00000004,uint8_t))   /* LPM ACK Interrupt Enable */
#define BITM_USB_LPM_IEN_LPMNY                (_ADI_MSK(0x00000002,uint8_t))   /* LPM NYET Interrupt Enable */
#define BITM_USB_LPM_IEN_LPMST                (_ADI_MSK(0x00000001,uint8_t))   /* LPM STALL Interrupt Enable */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_LPM_IRQ                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_LPM_IRQ_LPMERR                5                               /* LPM Error Interrupt */
#define BITP_USB_LPM_IRQ_LPMRES                4                               /* LPM Resume Interrupt */
#define BITP_USB_LPM_IRQ_LPMNC                 3                               /* LPM NYET Control Interrupt */
#define BITP_USB_LPM_IRQ_LPMACK                2                               /* LPM ACK Interrupt */
#define BITP_USB_LPM_IRQ_LPMNY                 1                               /* LPM NYET Interrupt */
#define BITP_USB_LPM_IRQ_LPMST                 0                               /* LPM STALL Interrupt */
#define BITM_USB_LPM_IRQ_LPMERR               (_ADI_MSK(0x00000020,uint8_t))   /* LPM Error Interrupt */
#define BITM_USB_LPM_IRQ_LPMRES               (_ADI_MSK(0x00000010,uint8_t))   /* LPM Resume Interrupt */
#define BITM_USB_LPM_IRQ_LPMNC                (_ADI_MSK(0x00000008,uint8_t))   /* LPM NYET Control Interrupt */
#define BITM_USB_LPM_IRQ_LPMACK               (_ADI_MSK(0x00000004,uint8_t))   /* LPM ACK Interrupt */
#define BITM_USB_LPM_IRQ_LPMNY                (_ADI_MSK(0x00000002,uint8_t))   /* LPM NYET Interrupt */
#define BITM_USB_LPM_IRQ_LPMST                (_ADI_MSK(0x00000001,uint8_t))   /* LPM STALL Interrupt */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_LPM_FADDR                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_LPM_FADDR_VALUE               0                               /* Function Address Value */
#define BITM_USB_LPM_FADDR_VALUE              (_ADI_MSK(0x0000007F,uint8_t))   /* Function Address Value */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_VBUS_CTL                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_VBUS_CTL_DRV                  4                               /* VBUS Drive */
#define BITP_USB_VBUS_CTL_DRVINT               3                               /* VBUS Drive Interrupt */
#define BITP_USB_VBUS_CTL_DRVIEN               2                               /* VBUS Drive Interrupt Enable */
#define BITP_USB_VBUS_CTL_DRVOD                1                               /* VBUS Drive Open Drain */
#define BITP_USB_VBUS_CTL_INVDRV               0                               /* VBUS Invert Drive */
#define BITM_USB_VBUS_CTL_DRV                 (_ADI_MSK(0x00000010,uint8_t))   /* VBUS Drive */
#define BITM_USB_VBUS_CTL_DRVINT              (_ADI_MSK(0x00000008,uint8_t))   /* VBUS Drive Interrupt */
#define BITM_USB_VBUS_CTL_DRVIEN              (_ADI_MSK(0x00000004,uint8_t))   /* VBUS Drive Interrupt Enable */
#define BITM_USB_VBUS_CTL_DRVOD               (_ADI_MSK(0x00000002,uint8_t))   /* VBUS Drive Open Drain */
#define BITM_USB_VBUS_CTL_INVDRV              (_ADI_MSK(0x00000001,uint8_t))   /* VBUS Invert Drive */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_IDCTL                             Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_IDCTL_IDVAL                   1                               /* ID Value */
#define BITP_USB_IDCTL_IDSEL                   0                               /* ID Select */
#define BITM_USB_IDCTL_IDVAL                  (_ADI_MSK(0x00000002,uint8_t))   /* ID Value */
#define BITM_USB_IDCTL_IDSEL                  (_ADI_MSK(0x00000001,uint8_t))   /* ID Select */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_PHY_CTL                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_PHY_CTL_SUSPEND               1                               /* Suspend Power */
#define BITP_USB_PHY_CTL_PHYMAN                0                               /* PHY Management */
#define BITM_USB_PHY_CTL_SUSPEND              (_ADI_MSK(0x00000002,uint16_t))  /* Suspend Power */
#define BITM_USB_PHY_CTL_PHYMAN               (_ADI_MSK(0x00000001,uint16_t))  /* PHY Management */

/* ------------------------------------------------------------------------------------------------------------------------
         USB_PHY_STAT                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_USB_PHY_STAT_VBUSVALID            7                               /* Vbus Voltage Valid */
#define BITP_USB_PHY_STAT_AVALID               5                               /* Vbus Voltage A Device Valid */
#define BITP_USB_PHY_STAT_VBUSLO               4                               /* Vbus Voltage Session End */
#define BITP_USB_PHY_STAT_CID                  3                               /* ID Input State */
#define BITM_USB_PHY_STAT_VBUSVALID           (_ADI_MSK(0x00000080,uint16_t))  /* Vbus Voltage Valid */
#define BITM_USB_PHY_STAT_AVALID              (_ADI_MSK(0x00000020,uint16_t))  /* Vbus Voltage A Device Valid */
#define BITM_USB_PHY_STAT_VBUSLO              (_ADI_MSK(0x00000010,uint16_t))  /* Vbus Voltage Session End */
#define BITM_USB_PHY_STAT_CID                 (_ADI_MSK(0x00000008,uint16_t))  /* ID Input State */

/* ==================================================
        eFUSE Controller Registers
   ================================================== */

/* =========================
        EFS0
   ========================= */
#define REG_EFS0_CTL                    0x40031000         /* EFS0 Control Register */
#define REG_EFS0_DAT0                   0x40031008         /* EFS0 Data Register 0 */
#define REG_EFS0_DAT1                   0x4003100C         /* EFS0 Data Register 1 */
#define REG_EFS0_DAT2                   0x40031010         /* EFS0 Data Register 2 */
#define REG_EFS0_DAT3                   0x40031014         /* EFS0 Data Register 3 */
#define REG_EFS0_DAT4                   0x40031018         /* EFS0 Data Register 4 */
#define REG_EFS0_DAT5                   0x4003101C         /* EFS0 Data Register 5 */
#define REG_EFS0_DAT6                   0x40031020         /* EFS0 Data Register 6 */
#define REG_EFS0_DAT7                   0x40031024         /* EFS0 Data Register 7 */

/* =========================
        EFS
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         EFS_CTL                               Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_EFS_CTL_READ                      0                               /* Read */
#define BITM_EFS_CTL_READ                     (_ADI_MSK(0x00000001,uint32_t))  /* Read */

/* ==================================================
        System Cross Bar Registers
   ================================================== */

/* =========================
        SCB0
   ========================= */
#define REG_SCB0_MST00_IB_SYNC          0x40142020         /* SCB0 Master 0 IB Sync Mode */
#define REG_SCB0_MST00_IB_RQOS          0x40142100         /* SCB0 Master 0 Read Quality of Service */
#define REG_SCB0_MST00_IB_WQOS          0x40142104         /* SCB0 Master 0 Write Quality of Service */
#define REG_SCB0_MST01_IB_SYNC          0x40143020         /* SCB0 Master 1 IB Sync Mode */
#define REG_SCB0_MST01_IB_RQOS          0x40143100         /* SCB0 Master 1 Read Quality of Service */
#define REG_SCB0_MST01_IB_WQOS          0x40143104         /* SCB0 Master 1 Write Quality of Service */
#define REG_SCB0_MST02_RQOS             0x40144100         /* SCB0 Master 2 Read Quality of Service */
#define REG_SCB0_MST02_WQOS             0x40144104         /* SCB0 Master 2 Write Quality of Service */
#define REG_SCB0_MST03_RQOS             0x40145100         /* SCB0 Master 3 Read Quality of Service */
#define REG_SCB0_MST03_WQOS             0x40145104         /* SCB0 Master 3 Write Quality of Service */
#define REG_SCB0_MST04_RQOS             0x40146100         /* SCB0 Master 4 Read Quality of Service */
#define REG_SCB0_MST04_WQOS             0x40146104         /* SCB0 Master 4 Write Quality of Service */
#define REG_SCB0_MST05_RQOS             0x40147100         /* SCB0 Master 5 Read Quality of Service */
#define REG_SCB0_MST05_WQOS             0x40147104         /* SCB0 Master 5 Write Quality of Service */
#define REG_SCB0_MST06_RQOS             0x40148100         /* SCB0 Master 6 Read Quality of Service */
#define REG_SCB0_MST06_WQOS             0x40148104         /* SCB0 Master 6 Write Quality of Service */
#define REG_SCB0_MST07_RQOS             0x40149100         /* SCB0 Master 7 Read Quality of Service */
#define REG_SCB0_MST07_WQOS             0x40149104         /* SCB0 Master 7 Write Quality of Service */
#define REG_SCB0_MST08_RQOS             0x4014A100         /* SCB0 Master 8 Read Quality of Service */
#define REG_SCB0_MST08_WQOS             0x4014A104         /* SCB0 Master 8 Write Quality of Service */
#define REG_SCB0_MST09_RQOS             0x4014B100         /* SCB0 Master 9 Read Quality of Service */
#define REG_SCB0_MST09_WQOS             0x4014B104         /* SCB0 Master 9 Write Quality of Service */
#define REG_SCB0_MST10_RQOS             0x4014C100         /* SCB0 Master 10 Read Quality of Service */
#define REG_SCB0_MST10_WQOS             0x4014C104         /* SCB0 Master 10 Write Quality of Service */
#define REG_SCB0_MST11_RQOS             0x4014D100         /* SCB0 Master 11 Read Quality of Service */
#define REG_SCB0_MST11_WQOS             0x4014D104         /* SCB0 Master 11 Write Quality of Service */
#define REG_SCB0_MST12_RQOS             0x4014E100         /* SCB0 Master 12 Read Quality of Service */
#define REG_SCB0_MST12_WQOS             0x4014E104         /* SCB0 Master 12 Write Quality of Service */
#define REG_SCB0_MST13_RQOS             0x4014F100         /* SCB0 Master 13 Read Quality of Service */
#define REG_SCB0_MST13_WQOS             0x4014F104         /* SCB0 Master 13 Write Quality of Service */
#define REG_SCB0_MST14_RQOS             0x40150100         /* SCB0 Master 14 Read Quality of Service */
#define REG_SCB0_MST14_WQOS             0x40150104         /* SCB0 Master 14 Write Quality of Service */
#define REG_SCB0_MST15_RQOS             0x40151100         /* SCB0 Master 15 Read Quality of Service */
#define REG_SCB0_MST15_WQOS             0x40151104         /* SCB0 Master 15 Write Quality of Service */
#define REG_SCB0_MST16_RQOS             0x40152100         /* SCB0 Master 16 Read Quality of Service */
#define REG_SCB0_MST16_WQOS             0x40152104         /* SCB0 Master 16 Write Quality of Service */
#define REG_SCB0_MST17_RQOS             0x40153100         /* SCB0 Master 17 Read Quality of Service */
#define REG_SCB0_MST17_WQOS             0x40153104         /* SCB0 Master 17 Write Quality of Service */
#define REG_SCB0_MST18_RQOS             0x40154100         /* SCB0 Master 18 Read Quality of Service */
#define REG_SCB0_MST18_WQOS             0x40154104         /* SCB0 Master 18 Write Quality of Service */
#define REG_SCB0_MST19_RQOS             0x40155100         /* SCB0 Master 19 Read Quality of Service */
#define REG_SCB0_MST19_WQOS             0x40155104         /* SCB0 Master 19 Write Quality of Service */
#define REG_SCB0_MST20_RQOS             0x40156100         /* SCB0 Master20 Read Quality of Service */
#define REG_SCB0_MST20_WQOS             0x40156104         /* SCB0 Master 20 Write Quality of Service */
#define REG_SCB0_MST21_RQOS             0x40157100         /* SCB0 Master 21 Read Quality of Service */
#define REG_SCB0_MST21_WQOS             0x40157104         /* SCB0 Master 21 Write Quality of Service */
#define REG_SCB0_MST22_RQOS             0x40158100         /* SCB0 Master 22 Read Quality of Service */
#define REG_SCB0_MST22_WQOS             0x40158104         /* SCB0 Master 22 Write Quality of Service */
#define REG_SCB0_MST23_RQOS             0x40159100         /* SCB0 Master 23 Read Quality of Service */
#define REG_SCB0_MST23_WQOS             0x40159104         /* SCB0 Master 23 Write Quality of Service */
#define REG_SCB0_MST24_RQOS             0x4015A100         /* SCB0 Master 24 Read Quality of Service */
#define REG_SCB0_MST24_WQOS             0x4015A104         /* SCB0 Master 24 Write Quality of Service */
#define REG_SCB0_MST25_RQOS             0x4015B100         /* SCB0 Master 25 Read Quality of Service */
#define REG_SCB0_MST25_WQOS             0x4015B104         /* SCB0 Master 25 Write Quality of Service */
#define REG_SCB0_MST26_RQOS             0x4015C100         /* SCB0 Master 26 Read Quality of Service */
#define REG_SCB0_MST26_WQOS             0x4015C104         /* SCB0 Master 26 Write Quality of Service */

/* =========================
        SCB
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST00_IB_SYNC                     Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST00_IB_SYNC_VALUE           0                               /* IB Sync Mode Value */
#define BITM_SCB_MST00_IB_SYNC_VALUE          (_ADI_MSK(0x00000007,uint32_t))  /* IB Sync Mode Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST00_IB_RQOS                     Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST00_IB_RQOS_VALUE           0                               /* IB Read Quality of Service Value */
#define BITM_SCB_MST00_IB_RQOS_VALUE          (_ADI_MSK(0x0000000F,uint32_t))  /* IB Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST00_IB_WQOS                     Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST00_IB_WQOS_VALUE           0                               /* IB Write Quality of Service Value */
#define BITM_SCB_MST00_IB_WQOS_VALUE          (_ADI_MSK(0x0000000F,uint32_t))  /* IB Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST01_IB_SYNC                     Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST01_IB_SYNC_VALUE           0                               /* IB Sync Mode Value */
#define BITM_SCB_MST01_IB_SYNC_VALUE          (_ADI_MSK(0x00000007,uint32_t))  /* IB Sync Mode Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST01_IB_RQOS                     Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST01_IB_RQOS_VALUE           0                               /* IB Read Quality of Service Value */
#define BITM_SCB_MST01_IB_RQOS_VALUE          (_ADI_MSK(0x0000000F,uint32_t))  /* IB Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST01_IB_WQOS                     Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST01_IB_WQOS_VALUE           0                               /* IB Write Quality of Service Value */
#define BITM_SCB_MST01_IB_WQOS_VALUE          (_ADI_MSK(0x0000000F,uint32_t))  /* IB Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST02_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST02_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST02_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST02_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST02_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST02_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST03_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST03_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST03_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST03_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST03_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST03_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST04_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST04_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST04_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST04_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST04_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST04_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST05_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST05_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST05_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST05_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST05_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST05_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST06_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST06_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST06_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST06_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST06_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST06_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST07_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST07_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST07_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST07_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST07_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST07_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST08_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST08_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST08_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST08_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST08_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST08_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST09_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST09_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST09_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST09_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST09_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST09_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST10_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST10_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST10_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST10_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST10_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST10_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST11_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST11_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST11_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST11_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST11_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST11_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST12_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST12_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST12_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST12_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST12_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST12_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST13_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST13_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST13_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST13_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST13_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST13_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST14_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST14_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST14_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST14_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST14_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST14_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST15_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST15_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST15_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST15_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST15_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST15_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST16_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST16_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST16_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST16_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST16_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST16_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST17_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST17_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST17_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST17_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST17_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST17_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST18_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST18_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST18_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST18_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST18_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST18_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST19_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST19_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST19_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST19_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST19_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST19_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST20_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST20_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST20_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST20_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST20_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST20_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST21_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST21_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST21_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST21_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST21_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST21_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST22_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST22_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST22_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST22_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST22_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST22_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST23_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST23_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST23_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST23_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST23_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST23_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST24_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST24_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST24_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST24_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST24_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST24_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST25_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST25_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST25_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST25_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST25_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST25_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST26_RQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST26_RQOS_VALUE              0                               /* Read Quality of Service Value */
#define BITM_SCB_MST26_RQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Read Quality of Service Value */

/* ------------------------------------------------------------------------------------------------------------------------
         SCB_MST26_WQOS                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCB_MST26_WQOS_VALUE              0                               /* Write Quality of Service Value */
#define BITM_SCB_MST26_WQOS_VALUE             (_ADI_MSK(0x0000000F,uint32_t))  /* Write Quality of Service Value */

/* ==================================================
        M4_ITM Registers
   ================================================== */

/* =========================
        ITM
   ========================= */
/* ==================================================
        M4_DWT Registers
   ================================================== */

/* =========================
        DWT0
   ========================= */
#define REG_DWT0_CTRL                   0xE0001000         /* DWT0 DWT Control Register */
#define REG_DWT0_CYCCNT                 0xE0001004         /* DWT0 DWT Current PC Sampler Cycle Count Register */
#define REG_DWT0_CPICNT                 0xE0001008         /* DWT0 DWT CPI Count Register */
#define REG_DWT0_EXCCNT                 0xE000100C         /* DWT0 DWT Exception Overhead Count Register */
#define REG_DWT0_SLEEPCNT               0xE0001010         /* DWT0 DWT Sleep Count Register */
#define REG_DWT0_LSUCNT                 0xE0001014         /* DWT0 DWT LSU Count Register */
#define REG_DWT0_FOLDCNT                0xE0001018         /* DWT0 DWT Fold Count Register */
#define REG_DWT0_PCSR                   0xE000101C         /* DWT0 DWT Program Counter Sample Register */
#define REG_DWT0_COMP0                  0xE0001020         /* DWT0 DWT Comparator Register 0 */
#define REG_DWT0_MSK0                   0xE0001024         /* DWT0 DWT Mask Register 0 */
#define REG_DWT0_FUNCTION0              0xE0001028         /* DWT0 DWT Function Register 0 */
#define REG_DWT0_COMP1                  0xE0001030         /* DWT0 DWT Comparator Register 1 */
#define REG_DWT0_MSK1                   0xE0001034         /* DWT0 DWT Mask Register 1 */
#define REG_DWT0_FUNCTION1              0xE0001038         /* DWT0 DWT Function Register 1 */
#define REG_DWT0_COMP2                  0xE0001040         /* DWT0 DWT Comparator Register 2 */
#define REG_DWT0_MSK2                   0xE0001044         /* DWT0 DWT Mask Register 2 */
#define REG_DWT0_FUNCTION2              0xE0001048         /* DWT0 DWT Function Register 2 */
#define REG_DWT0_COMP3                  0xE0001050         /* DWT0 DWT Comparator Register 3 */
#define REG_DWT0_MSK3                   0xE0001054         /* DWT0 DWT Mask Register 3 */
#define REG_DWT0_FUNCTION3              0xE0001058         /* DWT0 DWT Function Register 3 */

/* =========================
        DWT
   ========================= */
/* ==================================================
        M4_FPB Registers
   ================================================== */

/* =========================
        FPB
   ========================= */
/* ==================================================
        M4_SCS Registers
   ================================================== */

/* =========================
        SCS0
   ========================= */
#define REG_SCS0_ICTR                   0xE000E004         /* SCS0 Interrupt Control Type Register */
#define REG_SCS0_ACTLR                  0xE000E008         /* SCS0 Auxiliary Control Register */
#define REG_SCS0_STCSR                  0xE000E010         /* SCS0 SysTick Control and Status Register */
#define REG_SCS0_STRVR                  0xE000E014         /* SCS0 SysTick Reload Value Register */
#define REG_SCS0_STCVR                  0xE000E018         /* SCS0 SysTick Current Value Register */
#define REG_SCS0_STCR                   0xE000E01C         /* SCS0 SysTick Calibration Value Register */
#define REG_SCS0_NVIC_ISER0             0xE000E100         /* SCS0 Irq  Set Enable Register n */
#define REG_SCS0_NVIC_ISER1             0xE000E104         /* SCS0 Irq  Set Enable Register n */
#define REG_SCS0_NVIC_ISER2             0xE000E108         /* SCS0 Irq  Set Enable Register n */
#define REG_SCS0_NVIC_ISER3             0xE000E10C         /* SCS0 Irq  Set Enable Register n */
#define REG_SCS0_NVIC_ISER4             0xE000E110         /* SCS0 Irq  Set Enable Register n */
#define REG_SCS0_NVIC_ICER0             0xE000E180         /* SCS0 Irq Clear Enable Register n */
#define REG_SCS0_NVIC_ICER1             0xE000E184         /* SCS0 Irq Clear Enable Register n */
#define REG_SCS0_NVIC_ICER2             0xE000E188         /* SCS0 Irq Clear Enable Register n */
#define REG_SCS0_NVIC_ICER3             0xE000E18C         /* SCS0 Irq Clear Enable Register n */
#define REG_SCS0_NVIC_ICER4             0xE000E190         /* SCS0 Irq Clear Enable Register n */
#define REG_SCS0_NVIC_ISPR0             0xE000E200         /* SCS0 Irq Set Pending Register n */
#define REG_SCS0_NVIC_ISPR1             0xE000E204         /* SCS0 Irq Set Pending Register n */
#define REG_SCS0_NVIC_ISPR2             0xE000E208         /* SCS0 Irq Set Pending Register n */
#define REG_SCS0_NVIC_ISPR3             0xE000E20C         /* SCS0 Irq Set Pending Register n */
#define REG_SCS0_NVIC_ISPR4             0xE000E210         /* SCS0 Irq Set Pending Register n */
#define REG_SCS0_NVIC_ICPR0             0xE000E280         /* SCS0 Irq Clear Pending Register n */
#define REG_SCS0_NVIC_ICPR1             0xE000E284         /* SCS0 Irq Clear Pending Register n */
#define REG_SCS0_NVIC_ICPR2             0xE000E288         /* SCS0 Irq Clear Pending Register n */
#define REG_SCS0_NVIC_ICPR3             0xE000E28C         /* SCS0 Irq Clear Pending Register n */
#define REG_SCS0_NVIC_ICPR4             0xE000E290         /* SCS0 Irq Clear Pending Register n */
#define REG_SCS0_NVIC_IABR0             0xE000E300         /* SCS0 Irq Active Bit Register n */
#define REG_SCS0_NVIC_IABR1             0xE000E304         /* SCS0 Irq Active Bit Register n */
#define REG_SCS0_NVIC_IABR2             0xE000E308         /* SCS0 Irq Active Bit Register n */
#define REG_SCS0_NVIC_IABR3             0xE000E30C         /* SCS0 Irq Active Bit Register n */
#define REG_SCS0_NVIC_IABR4             0xE000E310         /* SCS0 Irq Active Bit Register n */
#define REG_SCS0_NVIC_IPR00             0xE000E400         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR01             0xE000E404         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR02             0xE000E408         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR03             0xE000E40C         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR04             0xE000E410         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR05             0xE000E414         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR06             0xE000E418         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR07             0xE000E41C         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR08             0xE000E420         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR09             0xE000E424         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR10             0xE000E428         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR11             0xE000E42C         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR12             0xE000E430         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR13             0xE000E434         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR14             0xE000E438         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR15             0xE000E43C         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR16             0xE000E440         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR17             0xE000E444         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR18             0xE000E448         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR19             0xE000E44C         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR20             0xE000E450         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR21             0xE000E454         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR22             0xE000E458         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR23             0xE000E45C         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR24             0xE000E460         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR25             0xE000E464         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR26             0xE000E468         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR27             0xE000E46C         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR28             0xE000E470         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR29             0xE000E474         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR30             0xE000E478         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR31             0xE000E47C         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_NVIC_IPR32             0xE000E480         /* SCS0 Irq Priority Register nn */
#define REG_SCS0_CPUID                  0xE000ED00         /* SCS0 CPUID Base Register */
#define REG_SCS0_ICSR                   0xE000ED04         /* SCS0 Interrupt Control State Register */
#define REG_SCS0_VTOR                   0xE000ED08         /* SCS0 Vector Table Offset Register */
#define REG_SCS0_AIRCR                  0xE000ED0C         /* SCS0 Application Interrupt/Reset Control Register */
#define REG_SCS0_SCR                    0xE000ED10         /* SCS0 System Control Register */
#define REG_SCS0_CCR                    0xE000ED14         /* SCS0 Configuration Control Register */
#define REG_SCS0_SHPR1                  0xE000ED18         /* SCS0 System Handlers 4-7 Priority Register */
#define REG_SCS0_SHPR2                  0xE000ED1C         /* SCS0 System Handlers 8-11 Priority Register */
#define REG_SCS0_SHPR3                  0xE000ED20         /* SCS0 System Handlers 12-15 Priority Register */
#define REG_SCS0_SHCSR                  0xE000ED24         /* SCS0 System Handler Control and State Register */
#define REG_SCS0_CFSR                   0xE000ED28         /* SCS0 Configurable Fault Status Registers */
#define REG_SCS0_HFSR                   0xE000ED2C         /* SCS0 Hard Fault Status Register */
#define REG_SCS0_DFSR                   0xE000ED30         /* SCS0 Debug Fault Status Register */
#define REG_SCS0_MMFAR                  0xE000ED34         /* SCS0 Mem Manage Fault Address Register */
#define REG_SCS0_BFAR                   0xE000ED38         /* SCS0 Bus Fault Address Register */
#define REG_SCS0_AFSR                   0xE000ED3C         /* SCS0 Auxiliary Fault Status Register */
#define REG_SCS0_CPACR                  0xE000ED88         /* SCS0 Coprocessor Access Control Register */
#define REG_SCS0_MPU_TYPE               0xE000ED90         /* SCS0 MPU Type Register */
#define REG_SCS0_MPU_CTRL               0xE000ED94         /* SCS0 MPU Control Register */
#define REG_SCS0_MPU_RNR                0xE000ED98         /* SCS0 MPU Region Number Register */
#define REG_SCS0_MPU_RBAR               0xE000ED9C         /* SCS0 MPU Region Base Address Register */
#define REG_SCS0_MPU_RASR               0xE000EDA0         /* SCS0 MPU Region Attribute and Size Register */
#define REG_SCS0_MPU_RBAR_A1            0xE000EDA4         /* SCS0 MPU Alias 1 Region Base Address register */
#define REG_SCS0_MPU_RASR_A1            0xE000EDA8         /* SCS0 MPU Alias 1 Region Attribute and Size register */
#define REG_SCS0_MPU_RBAR_A2            0xE000EDAC         /* SCS0 MPU Alias 2 Region Base Address register */
#define REG_SCS0_MPU_RASR_A2            0xE000EDB0         /* SCS0 MPU Alias 2 Region Attribute and Size register */
#define REG_SCS0_MPU_RBAR_A3            0xE000EDB4         /* SCS0 MPU Alias 3 Region Base Address register */
#define REG_SCS0_MPU_RASR_A3            0xE000EDB8         /* SCS0 MPU Alias 3 Region Attribute and Size register */
#define REG_SCS0_STIR                   0xE000EF00         /* SCS0 Software Trigger Interrupt Register */
#define REG_SCS0_FPCCR                  0xE000EF34         /* SCS0 Floating Point Context Control Register */
#define REG_SCS0_FPCAR                  0xE000EF38         /* SCS0 Floating-Point Context Address Register */
#define REG_SCS0_FPDSCR                 0xE000EF3C         /* SCS0 Floating Point Default Status Control Register */

/* =========================
        SCS
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         SCS_NVIC_IPRn                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_SCS_NVIC_IPR_POS3                28                               /* Priority of interrupt in Position 3 */
#define BITP_SCS_NVIC_IPR_POS2                20                               /* Priority of interrupt in Position 2 */
#define BITP_SCS_NVIC_IPR_POS1                12                               /* Priority of interrupt in Position 1 */
#define BITP_SCS_NVIC_IPR_POS0                 4                               /* Priority of interrupt in Position 0 */
#define BITM_SCS_NVIC_IPR_POS3                (_ADI_MSK(0xF0000000,uint32_t))  /* Priority of interrupt in Position 3 */
#define BITM_SCS_NVIC_IPR_POS2                (_ADI_MSK(0x00F00000,uint32_t))  /* Priority of interrupt in Position 2 */
#define BITM_SCS_NVIC_IPR_POS1                (_ADI_MSK(0x0000F000,uint32_t))  /* Priority of interrupt in Position 1 */
#define BITM_SCS_NVIC_IPR_POS0                (_ADI_MSK(0x000000F0,uint32_t))  /* Priority of interrupt in Position 0 */

/* ==================================================
        TPIU_Register_Definitions Registers
   ================================================== */

/* =========================
        TPIU
   ========================= */
/* ==================================================
        M4_ETM Registers
   ================================================== */

/* =========================
        ETM
   ========================= */
/* ==================================================
        SWO_Register_Definitions Registers
   ================================================== */

/* =========================
        SWO
   ========================= */
/* ==================================================
        CSTF_Register_Definitions Registers
   ================================================== */

/* =========================
        CSTF
   ========================= */
/* ==================================================
        CoreSight TMC Registers Registers
   ================================================== */

/* =========================
        CXTMC
   ========================= */
/* ==================================================
        CSCTI_Register_Definitions Registers
   ================================================== */

/* =========================
        CTI
   ========================= */
/* ==================================================
        ARM Cortex-M4 Platform Registers
   ================================================== */

/* =========================
        M4P0
   ========================= */
#define REG_M4P0_CACHE_CFG              0xF0000000         /* M4P0 Code Cache Configuration and Status Register */
#define REG_M4P0_CACHE_PEADDR           0xF0000004         /* M4P0 Code Cache Parity Error Address Register */
#define REG_M4P0_CACHE_MEMX             0xF0000008         /* M4P0 MEMX Space Configuration Register */
#define REG_M4P0_CACHE_MEMY             0xF000000C         /* M4P0 MEMY Space Configuration Register */
#define REG_M4P0_SRAM_CFG               0xF0000020         /* M4P0 SRAM Configuration Register */
#define REG_M4P0_SRAM_PEADDR_CORE       0xF0000024         /* M4P0 SRAM Parity Error Address (Core) Register */
#define REG_M4P0_SRAM_PEADDR_DMA        0xF0000028         /* M4P0 SRAM Parity Error Address (DMA) Register */
#define REG_M4P0_BUSFLT                 0xF000002C         /* M4P0 Bus Fault Error Information Register */
#define REG_M4P0_STCALIB                0xF0000030         /* M4P0 SysTick Calibration Register */
#define REG_M4P0_CACHE_CNTCTL           0xF0000040         /* M4P0 Cache Counter Control Register */
#define REG_M4P0_CACHE_IREF             0xF0000044         /* M4P0 Cache ICODE Reference Counter Register */
#define REG_M4P0_CACHE_DREF             0xF0000048         /* M4P0 Cache DCODE Reference Counter Register */
#define REG_M4P0_CACHE_IMISS            0xF000004C         /* M4P0 Cache ICODE Miss Counter Register */
#define REG_M4P0_CACHE_DMISS            0xF0000050         /* M4P0 Cache DCODE Miss Counter Register */
#define REG_M4P0_CACHE_IFILL            0xF0000054         /* M4P0 Cache ICODE Line Fill Counter Register */
#define REG_M4P0_CACHE_DFILL            0xF0000058         /* M4P0 Cache DCODE Line Fill Counter Register */

/* =========================
        M4P
   ========================= */
/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_CFG                         Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_CFG_PF                 27                               /* Cache Prefetch Control */
#define BITP_M4P_CACHE_CFG_FPEND              26                               /* Cache Line Fill Pending */
#define BITP_M4P_CACHE_CFG_NOSPEC             25                               /* Speculative Fetch Control */
#define BITP_M4P_CACHE_CFG_PIRQ               24                               /* Parity Error Interrupt request */
#define BITP_M4P_CACHE_CFG_PERR               23                               /* Parity Error Indicator */
#define BITP_M4P_CACHE_CFG_PCNT               20                               /* Parity Error Count */
#define BITP_M4P_CACHE_CFG_PMSK               19                               /* Parity Error Mask */
#define BITP_M4P_CACHE_CFG_PLIM               16                               /* Parity Error Limit Prior to Interrupt Request */
#define BITP_M4P_CACHE_CFG_DLBF               15                               /* DCODE Cache Line Base First */
#define BITP_M4P_CACHE_CFG_ILBF               14                               /* ICODE Cache Line Base First */
#define BITP_M4P_CACHE_CFG_DLINE              12                               /* DCODE Cache Fill Line Size */
#define BITP_M4P_CACHE_CFG_ILINE              10                               /* ICODE Cache Fill Line Size */
#define BITP_M4P_CACHE_CFG_CORG                7                               /* Cache Organization */
#define BITP_M4P_CACHE_CFG_NOPRE               6                               /* ICODE Preemptive Fetching Disable */
#define BITP_M4P_CACHE_CFG_CLEAR               4                               /* Cache Clear Request */
#define BITP_M4P_CACHE_CFG_PEMODE              2                               /* Cache Mode with Parity Error */
#define BITP_M4P_CACHE_CFG_CMODE               0                               /* Cache Mode without Parity Error */
#define BITM_M4P_CACHE_CFG_PF                 (_ADI_MSK(0x38000000,uint32_t))  /* Cache Prefetch Control */
#define BITM_M4P_CACHE_CFG_FPEND              (_ADI_MSK(0x04000000,uint32_t))  /* Cache Line Fill Pending */

#define BITM_M4P_CACHE_CFG_NOSPEC             (_ADI_MSK(0x02000000,uint32_t))  /* Speculative Fetch Control */
#define ENUM_M4P_CACHE_CFG_SPECENA            (_ADI_MSK(0x00000000,uint32_t))  /* NOSPEC: Enable Speculative Fetching */
#define ENUM_M4P_CACHE_CFG_SPECDIS            (_ADI_MSK(0x02000000,uint32_t))  /* NOSPEC: Disable Speculative Fetching */
#define BITM_M4P_CACHE_CFG_PIRQ               (_ADI_MSK(0x01000000,uint32_t))  /* Parity Error Interrupt request */
#define BITM_M4P_CACHE_CFG_PERR               (_ADI_MSK(0x00800000,uint32_t))  /* Parity Error Indicator */
#define BITM_M4P_CACHE_CFG_PCNT               (_ADI_MSK(0x00700000,uint32_t))  /* Parity Error Count */
#define BITM_M4P_CACHE_CFG_PMSK               (_ADI_MSK(0x00080000,uint32_t))  /* Parity Error Mask */
#define BITM_M4P_CACHE_CFG_PLIM               (_ADI_MSK(0x00070000,uint32_t))  /* Parity Error Limit Prior to Interrupt Request */
#define BITM_M4P_CACHE_CFG_DLBF               (_ADI_MSK(0x00008000,uint32_t))  /* DCODE Cache Line Base First */
#define BITM_M4P_CACHE_CFG_ILBF               (_ADI_MSK(0x00004000,uint32_t))  /* ICODE Cache Line Base First */
#define BITM_M4P_CACHE_CFG_DLINE              (_ADI_MSK(0x00003000,uint32_t))  /* DCODE Cache Fill Line Size */
#define BITM_M4P_CACHE_CFG_ILINE              (_ADI_MSK(0x00000C00,uint32_t))  /* ICODE Cache Fill Line Size */
#define BITM_M4P_CACHE_CFG_CORG               (_ADI_MSK(0x00000380,uint32_t))  /* Cache Organization */
#define BITM_M4P_CACHE_CFG_NOPRE              (_ADI_MSK(0x00000040,uint32_t))  /* ICODE Preemptive Fetching Disable */
#define BITM_M4P_CACHE_CFG_CLEAR              (_ADI_MSK(0x00000010,uint32_t))  /* Cache Clear Request */
#define BITM_M4P_CACHE_CFG_PEMODE             (_ADI_MSK(0x0000000C,uint32_t))  /* Cache Mode with Parity Error */
#define BITM_M4P_CACHE_CFG_CMODE              (_ADI_MSK(0x00000003,uint32_t))  /* Cache Mode without Parity Error */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_PEADDR                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_PEADDR_REPSET          16                               /* Cache Set of State Machine Memory Error */
#define BITP_M4P_CACHE_PEADDR_PESET            5                               /* Cache Set of Bank Parity Error */
#define BITP_M4P_CACHE_PEADDR_PEBNK            2                               /* Cache Bank of Parity Error */
#define BITP_M4P_CACHE_PEADDR_BNKERR           1                               /* Cache Bank Parity Error */
#define BITP_M4P_CACHE_PEADDR_REPERR           0                               /* Line Replacement Parity Error */
#define BITM_M4P_CACHE_PEADDR_REPSET          (_ADI_MSK(0x01FF0000,uint32_t))  /* Cache Set of State Machine Memory Error */
#define BITM_M4P_CACHE_PEADDR_PESET           (_ADI_MSK(0x00003FE0,uint32_t))  /* Cache Set of Bank Parity Error */
#define BITM_M4P_CACHE_PEADDR_PEBNK           (_ADI_MSK(0x0000001C,uint32_t))  /* Cache Bank of Parity Error */
#define BITM_M4P_CACHE_PEADDR_BNKERR          (_ADI_MSK(0x00000002,uint32_t))  /* Cache Bank Parity Error */
#define BITM_M4P_CACHE_PEADDR_REPERR          (_ADI_MSK(0x00000001,uint32_t))  /* Line Replacement Parity Error */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_MEMX                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_MEMX_BASE              24                               /* MEMX Space Physical Base Address */
#define BITP_M4P_CACHE_MEMX_XNVR               3                               /* MEMX_ExecuteNever permission */
#define BITP_M4P_CACHE_MEMX_AP                 0                               /* MEMX Access permissions */
#define BITM_M4P_CACHE_MEMX_BASE              (_ADI_MSK(0xFF000000,uint32_t))  /* MEMX Space Physical Base Address */

#define BITM_M4P_CACHE_MEMX_XNVR              (_ADI_MSK(0x00000008,uint32_t))  /* MEMX_ExecuteNever permission */
#define ENUM_M4P_CACHE_MEMX_XOK               (_ADI_MSK(0x00000000,uint32_t))  /* XNVR: Execution of fetched instructions permitted */
#define ENUM_M4P_CACHE_MEMX_XNVR              (_ADI_MSK(0x00000008,uint32_t))  /* XNVR: Execution of fetched instructions not permitted */

#define BITM_M4P_CACHE_MEMX_AP                (_ADI_MSK(0x00000007,uint32_t))  /* MEMX Access permissions */
#define ENUM_M4P_CACHE_MEMX_NOACC             (_ADI_MSK(0x00000000,uint32_t))  /* AP: Any access generates a permission fault */
#define ENUM_M4P_CACHE_MEMX_PVL               (_ADI_MSK(0x00000001,uint32_t))  /* AP: Privileged access only */
#define ENUM_M4P_CACHE_MEMX_PVLW              (_ADI_MSK(0x00000002,uint32_t))  /* AP: Privileged access and non-privileged Read access only */
#define ENUM_M4P_CACHE_MEMX_FULL              (_ADI_MSK(0x00000003,uint32_t))  /* AP: Full access */
#define ENUM_M4P_CACHE_MEMX_PVLRO             (_ADI_MSK(0x00000005,uint32_t))  /* AP: Privileged Read-Only */
#define ENUM_M4P_CACHE_MEMX_RO                (_ADI_MSK(0x00000006,uint32_t))  /* AP: Privileged and unprivileged Read-Only */
#define ENUM_M4P_CACHE_MEMX_RO2               (_ADI_MSK(0x00000007,uint32_t))  /* AP: Privileged and unprivileged Read-Only */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_MEMY                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_MEMY_BASE              24                               /* MEMY Space Physical Base Address */
#define BITP_M4P_CACHE_MEMY_XNVR               3                               /* MEMY_ExecuteNever permission */
#define BITP_M4P_CACHE_MEMY_AP                 0                               /* MEMY Access permissions */
#define BITM_M4P_CACHE_MEMY_BASE              (_ADI_MSK(0xFF000000,uint32_t))  /* MEMY Space Physical Base Address */

#define BITM_M4P_CACHE_MEMY_XNVR              (_ADI_MSK(0x00000008,uint32_t))  /* MEMY_ExecuteNever permission */
#define ENUM_M4P_CACHE_MEMY_XOK               (_ADI_MSK(0x00000000,uint32_t))  /* XNVR: Execution of fetched instructions permitted */
#define ENUM_M4P_CACHE_MEMY_XNVR              (_ADI_MSK(0x00000008,uint32_t))  /* XNVR: Execution of fetched instructions not permitted */

#define BITM_M4P_CACHE_MEMY_AP                (_ADI_MSK(0x00000007,uint32_t))  /* MEMY Access permissions */
#define ENUM_M4P_CACHE_MEMY_NOACC             (_ADI_MSK(0x00000000,uint32_t))  /* AP: Any access generates a permission fault */
#define ENUM_M4P_CACHE_MEMY_PVL               (_ADI_MSK(0x00000001,uint32_t))  /* AP: Privileged access only */
#define ENUM_M4P_CACHE_MEMY_PVLW              (_ADI_MSK(0x00000002,uint32_t))  /* AP: Privileged access and non-privileged Read access only */
#define ENUM_M4P_CACHE_MEMY_FULL              (_ADI_MSK(0x00000003,uint32_t))  /* AP: Full access */
#define ENUM_M4P_CACHE_MEMY_PVLRO             (_ADI_MSK(0x00000005,uint32_t))  /* AP: Privileged Read-Only */
#define ENUM_M4P_CACHE_MEMY_RO                (_ADI_MSK(0x00000006,uint32_t))  /* AP: Privileged and unprivileged Read-Only */
#define ENUM_M4P_CACHE_MEMY_RO2               (_ADI_MSK(0x00000007,uint32_t))  /* AP: Privileged and unprivileged Read-Only */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_SRAM_CFG                          Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_SRAM_CFG_POSTWR              12                               /* Enable Posted System Writes */
#define BITP_M4P_SRAM_CFG_PERRDMA              9                               /* Enable Parity Error, DMA */
#define BITP_M4P_SRAM_CFG_PERRCORE             8                               /* Enable Parity Error, Core */
#define BITP_M4P_SRAM_CFG_CDBANKS              0                               /* Code/Data Banks Partition */

#define BITM_M4P_SRAM_CFG_POSTWR              (_ADI_MSK(0x00001000,uint32_t))  /* Enable Posted System Writes */
#define ENUM_M4P_SRAM_CFG_NORMSYSWRITE        (_ADI_MSK(0x00000000,uint32_t))  /* POSTWR: Normal System Writes */
#define ENUM_M4P_SRAM_CFG_POSTSYSWRITE        (_ADI_MSK(0x00001000,uint32_t))  /* POSTWR: Posted System Writes */
#define BITM_M4P_SRAM_CFG_PERRDMA             (_ADI_MSK(0x00000200,uint32_t))  /* Enable Parity Error, DMA */
#define BITM_M4P_SRAM_CFG_PERRCORE            (_ADI_MSK(0x00000100,uint32_t))  /* Enable Parity Error, Core */

#define BITM_M4P_SRAM_CFG_CDBANKS             (_ADI_MSK(0x0000000F,uint32_t))  /* Code/Data Banks Partition */
#define ENUM_M4P_SRAM_CFG_SRAM_CODE_0         (_ADI_MSK(0x00000000,uint32_t))  /* CDBANKS: No CODE Config Banks: all assigned to Data */
#define ENUM_M4P_SRAM_CFG_SRAM_CODE_1         (_ADI_MSK(0x00000001,uint32_t))  /* CDBANKS: 1 CODE bank, 3 DATA banks */
#define ENUM_M4P_SRAM_CFG_SRAM_CODE_2         (_ADI_MSK(0x00000002,uint32_t))  /* CDBANKS: 2 CODE banks, 2 DATA Banks */
#define ENUM_M4P_SRAM_CFG_SRAM_CODE_3         (_ADI_MSK(0x00000003,uint32_t))  /* CDBANKS: 3 CODE banks, 1 DATA banks */
#define ENUM_M4P_SRAM_CFG_SRAM_CODE_4         (_ADI_MSK(0x00000004,uint32_t))  /* CDBANKS: 4 CODE banks, 0 DATA banks */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_SRAM_PEADDR_CORE                  Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_SRAM_PEADDR_CORE_STAT        31                               /* Parity Error Status */
#define BITP_M4P_SRAM_PEADDR_CORE_MSTAT       30                               /* Multiple Parity Error Status */
#define BITP_M4P_SRAM_PEADDR_CORE_BUS         28                               /* Party Error Bus Interface */
#define BITP_M4P_SRAM_PEADDR_CORE_BMSK        24                               /* Parity Error Byte Mask */
#define BITP_M4P_SRAM_PEADDR_CORE_ADDR         2                               /* Parity Error Address */
#define BITM_M4P_SRAM_PEADDR_CORE_STAT        (_ADI_MSK(0x80000000,uint32_t))  /* Parity Error Status */
#define BITM_M4P_SRAM_PEADDR_CORE_MSTAT       (_ADI_MSK(0x40000000,uint32_t))  /* Multiple Parity Error Status */

#define BITM_M4P_SRAM_PEADDR_CORE_BUS         (_ADI_MSK(0x30000000,uint32_t))  /* Party Error Bus Interface */
#define ENUM_M4P_SRAM_PEADDR_CORE_IBUS        (_ADI_MSK(0x00000000,uint32_t))  /* BUS: Parity Error From I-CODE interface */
#define ENUM_M4P_SRAM_PEADDR_CORE_DBUS        (_ADI_MSK(0x10000000,uint32_t))  /* BUS: Parity Error From D-Code Interface */
#define ENUM_M4P_SRAM_PEADDR_CORE_SBUS        (_ADI_MSK(0x20000000,uint32_t))  /* BUS: Parity Error from SYS  interface */
#define BITM_M4P_SRAM_PEADDR_CORE_BMSK        (_ADI_MSK(0x0F000000,uint32_t))  /* Parity Error Byte Mask */
#define BITM_M4P_SRAM_PEADDR_CORE_ADDR        (_ADI_MSK(0x000FFFFC,uint32_t))  /* Parity Error Address */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_SRAM_PEADDR_DMA                   Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_SRAM_PEADDR_DMA_STAT         31                               /* Parity Error Status */
#define BITP_M4P_SRAM_PEADDR_DMA_MSTAT        30                               /* Multiple Parity Error Status */
#define BITP_M4P_SRAM_PEADDR_DMA_BMSK         24                               /* Parity Error Byte Mask */
#define BITP_M4P_SRAM_PEADDR_DMA_ADDR          2                               /* Parity Error Address */
#define BITM_M4P_SRAM_PEADDR_DMA_STAT         (_ADI_MSK(0x80000000,uint32_t))  /* Parity Error Status */
#define BITM_M4P_SRAM_PEADDR_DMA_MSTAT        (_ADI_MSK(0x40000000,uint32_t))  /* Multiple Parity Error Status */
#define BITM_M4P_SRAM_PEADDR_DMA_BMSK         (_ADI_MSK(0x0F000000,uint32_t))  /* Parity Error Byte Mask */
#define BITM_M4P_SRAM_PEADDR_DMA_ADDR         (_ADI_MSK(0x000FFFFC,uint32_t))  /* Parity Error Address */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_BUSFLT                            Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_BUSFLT_ADDR                   2                               /* Bus Fault Address */
#define BITP_M4P_BUSFLT_STAT                   0                               /* Bus Fault Status */
#define BITM_M4P_BUSFLT_ADDR                  (_ADI_MSK(0xFFFFFFFC,uint32_t))  /* Bus Fault Address */
#define BITM_M4P_BUSFLT_STAT                  (_ADI_MSK(0x00000001,uint32_t))  /* Bus Fault Status */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_STCALIB                           Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_STCALIB_NOREF                31                               /* SysTick Ref Clock Implementation */
#define BITP_M4P_STCALIB_SKEW                 30                               /* SysTick Inexact */
#define BITP_M4P_STCALIB_TENMS                 0                               /* SysTick 10ms Calibration */

#define BITM_M4P_STCALIB_NOREF                (_ADI_MSK(0x80000000,uint32_t))  /* SysTick Ref Clock Implementation */
#define ENUM_M4P_STCALIB_XREFCLK              (_ADI_MSK(0x00000000,uint32_t))  /* NOREF: SYSTICK External Reference Clock Is Implemented */
#define ENUM_M4P_STCALIB_NO_XREFCLK           (_ADI_MSK(0x80000000,uint32_t))  /* NOREF: SYSTICK External Reference Clock is Not Implemented */
#define BITM_M4P_STCALIB_SKEW                 (_ADI_MSK(0x40000000,uint32_t))  /* SysTick Inexact */
#define BITM_M4P_STCALIB_TENMS                (_ADI_MSK(0x00FFFFFF,uint32_t))  /* SysTick 10ms Calibration */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_CNTCTL                      Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_CNTCTL_TST_DFILL       21                               /* Test DFILL Counter */
#define BITP_M4P_CACHE_CNTCTL_TST_IFILL       20                               /* Test IFILL Counter */
#define BITP_M4P_CACHE_CNTCTL_TST_DMISS       19                               /* Test DMISS Counter */
#define BITP_M4P_CACHE_CNTCTL_TST_IMISS       18                               /* Test IMISS Counter */
#define BITP_M4P_CACHE_CNTCTL_TST_DREF        17                               /* Test DREF Counter */
#define BITP_M4P_CACHE_CNTCTL_TST_IREF        16                               /* Test IREF Counter */
#define BITP_M4P_CACHE_CNTCTL_SAMPLE           3                               /* Sample to Shadow Counters */
#define BITP_M4P_CACHE_CNTCTL_CNTZERO          2                               /* Reset Counters to Zero */
#define BITP_M4P_CACHE_CNTCTL_ENSPEC           1                               /* Enable Speculative Fill Count */
#define BITP_M4P_CACHE_CNTCTL_ENCNT            0                               /* Enable Cache Counters */
#define BITM_M4P_CACHE_CNTCTL_TST_DFILL       (_ADI_MSK(0x00200000,uint32_t))  /* Test DFILL Counter */
#define BITM_M4P_CACHE_CNTCTL_TST_IFILL       (_ADI_MSK(0x00100000,uint32_t))  /* Test IFILL Counter */
#define BITM_M4P_CACHE_CNTCTL_TST_DMISS       (_ADI_MSK(0x00080000,uint32_t))  /* Test DMISS Counter */
#define BITM_M4P_CACHE_CNTCTL_TST_IMISS       (_ADI_MSK(0x00040000,uint32_t))  /* Test IMISS Counter */
#define BITM_M4P_CACHE_CNTCTL_TST_DREF        (_ADI_MSK(0x00020000,uint32_t))  /* Test DREF Counter */
#define BITM_M4P_CACHE_CNTCTL_TST_IREF        (_ADI_MSK(0x00010000,uint32_t))  /* Test IREF Counter */
#define BITM_M4P_CACHE_CNTCTL_SAMPLE          (_ADI_MSK(0x00000008,uint32_t))  /* Sample to Shadow Counters */
#define BITM_M4P_CACHE_CNTCTL_CNTZERO         (_ADI_MSK(0x00000004,uint32_t))  /* Reset Counters to Zero */
#define BITM_M4P_CACHE_CNTCTL_ENSPEC          (_ADI_MSK(0x00000002,uint32_t))  /* Enable Speculative Fill Count */
#define BITM_M4P_CACHE_CNTCTL_ENCNT           (_ADI_MSK(0x00000001,uint32_t))  /* Enable Cache Counters */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_IREF                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_IREF_OVF               24                               /* Count Overflow */
#define BITP_M4P_CACHE_IREF_VALUE              0                               /* ICODE Cache References Counter */
#define BITM_M4P_CACHE_IREF_OVF               (_ADI_MSK(0x01000000,uint32_t))  /* Count Overflow */
#define BITM_M4P_CACHE_IREF_VALUE             (_ADI_MSK(0x00FFFFFF,uint32_t))  /* ICODE Cache References Counter */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_DREF                        Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_DREF_OVF               24                               /* Count Overflow */
#define BITP_M4P_CACHE_DREF_VALUE              0                               /* DCODE Cache References Counter */
#define BITM_M4P_CACHE_DREF_OVF               (_ADI_MSK(0x01000000,uint32_t))  /* Count Overflow */
#define BITM_M4P_CACHE_DREF_VALUE             (_ADI_MSK(0x00FFFFFF,uint32_t))  /* DCODE Cache References Counter */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_IMISS                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_IMISS_OVF              24                               /* Count Overflow */
#define BITP_M4P_CACHE_IMISS_VALUE             0                               /* ICODE Cache Miss Counter */
#define BITM_M4P_CACHE_IMISS_OVF              (_ADI_MSK(0x01000000,uint32_t))  /* Count Overflow */
#define BITM_M4P_CACHE_IMISS_VALUE            (_ADI_MSK(0x00FFFFFF,uint32_t))  /* ICODE Cache Miss Counter */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_DMISS                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_DMISS_OVF              24                               /* Count Overflow */
#define BITP_M4P_CACHE_DMISS_VALUE             0                               /* DCODE Cache Miss Counter */
#define BITM_M4P_CACHE_DMISS_OVF              (_ADI_MSK(0x01000000,uint32_t))  /* Count Overflow */
#define BITM_M4P_CACHE_DMISS_VALUE            (_ADI_MSK(0x00FFFFFF,uint32_t))  /* DCODE Cache Miss Counter */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_IFILL                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_IFILL_OVF              24                               /* Count Overflow */
#define BITP_M4P_CACHE_IFILL_VALUE             0                               /* ICODE Cache Line Fill Counter */
#define BITM_M4P_CACHE_IFILL_OVF              (_ADI_MSK(0x01000000,uint32_t))  /* Count Overflow */
#define BITM_M4P_CACHE_IFILL_VALUE            (_ADI_MSK(0x00FFFFFF,uint32_t))  /* ICODE Cache Line Fill Counter */

/* ------------------------------------------------------------------------------------------------------------------------
         M4P_CACHE_DFILL                       Pos/Masks                        Description
   ------------------------------------------------------------------------------------------------------------------------ */
#define BITP_M4P_CACHE_DFILL_OVF              24                               /* Count Overflow */
#define BITP_M4P_CACHE_DFILL_VALUE             0                               /* DCODE Cache Line Fill Counter */
#define BITM_M4P_CACHE_DFILL_OVF              (_ADI_MSK(0x01000000,uint32_t))  /* Count Overflow */
#define BITM_M4P_CACHE_DFILL_VALUE            (_ADI_MSK(0x00FFFFFF,uint32_t))  /* DCODE Cache Line Fill Counter */

/* ==================================
       DMA Alias Definitions
   ================================== */
#define SPORT0_A_DMA_DSCPTR_NXT               (REG_DMA0_DSCPTR_NXT)
#define SPORT0_A_DMA_ADDRSTART                (REG_DMA0_ADDRSTART)
#define SPORT0_A_DMA_CFG                      (REG_DMA0_CFG)
#define SPORT0_A_DMA_XCNT                     (REG_DMA0_XCNT)
#define SPORT0_A_DMA_XMOD                     (REG_DMA0_XMOD)
#define SPORT0_A_DMA_YCNT                     (REG_DMA0_YCNT)
#define SPORT0_A_DMA_YMOD                     (REG_DMA0_YMOD)
#define SPORT0_A_DMA_DSCPTR_CUR               (REG_DMA0_DSCPTR_CUR)
#define SPORT0_A_DMA_DSCPTR_PRV               (REG_DMA0_DSCPTR_PRV)
#define SPORT0_A_DMA_ADDR_CUR                 (REG_DMA0_ADDR_CUR)
#define SPORT0_A_DMA_STAT                     (REG_DMA0_STAT)
#define SPORT0_A_DMA_XCNT_CUR                 (REG_DMA0_XCNT_CUR)
#define SPORT0_A_DMA_YCNT_CUR                 (REG_DMA0_YCNT_CUR)
#define SPORT0_A_DMA_BWLCNT                   (REG_DMA0_BWLCNT)
#define SPORT0_A_DMA_BWLCNT_CUR               (REG_DMA0_BWLCNT_CUR)
#define SPORT0_A_DMA_BWMCNT                   (REG_DMA0_BWMCNT)
#define SPORT0_A_DMA_BWMCNT_CUR               (REG_DMA0_BWMCNT_CUR)
#define SPORT0_B_DMA_DSCPTR_NXT               (REG_DMA1_DSCPTR_NXT)
#define SPORT0_B_DMA_ADDRSTART                (REG_DMA1_ADDRSTART)
#define SPORT0_B_DMA_CFG                      (REG_DMA1_CFG)
#define SPORT0_B_DMA_XCNT                     (REG_DMA1_XCNT)
#define SPORT0_B_DMA_XMOD                     (REG_DMA1_XMOD)
#define SPORT0_B_DMA_YCNT                     (REG_DMA1_YCNT)
#define SPORT0_B_DMA_YMOD                     (REG_DMA1_YMOD)
#define SPORT0_B_DMA_DSCPTR_CUR               (REG_DMA1_DSCPTR_CUR)
#define SPORT0_B_DMA_DSCPTR_PRV               (REG_DMA1_DSCPTR_PRV)
#define SPORT0_B_DMA_ADDR_CUR                 (REG_DMA1_ADDR_CUR)
#define SPORT0_B_DMA_STAT                     (REG_DMA1_STAT)
#define SPORT0_B_DMA_XCNT_CUR                 (REG_DMA1_XCNT_CUR)
#define SPORT0_B_DMA_YCNT_CUR                 (REG_DMA1_YCNT_CUR)
#define SPORT0_B_DMA_BWLCNT                   (REG_DMA1_BWLCNT)
#define SPORT0_B_DMA_BWLCNT_CUR               (REG_DMA1_BWLCNT_CUR)
#define SPORT0_B_DMA_BWMCNT                   (REG_DMA1_BWMCNT)
#define SPORT0_B_DMA_BWMCNT_CUR               (REG_DMA1_BWMCNT_CUR)
#define SPI0_TXDMA_DSCPTR_NXT                 (REG_DMA2_DSCPTR_NXT)
#define SPI0_TXDMA_ADDRSTART                  (REG_DMA2_ADDRSTART)
#define SPI0_TXDMA_CFG                        (REG_DMA2_CFG)
#define SPI0_TXDMA_XCNT                       (REG_DMA2_XCNT)
#define SPI0_TXDMA_XMOD                       (REG_DMA2_XMOD)
#define SPI0_TXDMA_YCNT                       (REG_DMA2_YCNT)
#define SPI0_TXDMA_YMOD                       (REG_DMA2_YMOD)
#define SPI0_TXDMA_DSCPTR_CUR                 (REG_DMA2_DSCPTR_CUR)
#define SPI0_TXDMA_DSCPTR_PRV                 (REG_DMA2_DSCPTR_PRV)
#define SPI0_TXDMA_ADDR_CUR                   (REG_DMA2_ADDR_CUR)
#define SPI0_TXDMA_STAT                       (REG_DMA2_STAT)
#define SPI0_TXDMA_XCNT_CUR                   (REG_DMA2_XCNT_CUR)
#define SPI0_TXDMA_YCNT_CUR                   (REG_DMA2_YCNT_CUR)
#define SPI0_TXDMA_BWLCNT                     (REG_DMA2_BWLCNT)
#define SPI0_TXDMA_BWLCNT_CUR                 (REG_DMA2_BWLCNT_CUR)
#define SPI0_TXDMA_BWMCNT                     (REG_DMA2_BWMCNT)
#define SPI0_TXDMA_BWMCNT_CUR                 (REG_DMA2_BWMCNT_CUR)
#define SPI0_RXDMA_DSCPTR_NXT                 (REG_DMA3_DSCPTR_NXT)
#define SPI0_RXDMA_ADDRSTART                  (REG_DMA3_ADDRSTART)
#define SPI0_RXDMA_CFG                        (REG_DMA3_CFG)
#define SPI0_RXDMA_XCNT                       (REG_DMA3_XCNT)
#define SPI0_RXDMA_XMOD                       (REG_DMA3_XMOD)
#define SPI0_RXDMA_YCNT                       (REG_DMA3_YCNT)
#define SPI0_RXDMA_YMOD                       (REG_DMA3_YMOD)
#define SPI0_RXDMA_DSCPTR_CUR                 (REG_DMA3_DSCPTR_CUR)
#define SPI0_RXDMA_DSCPTR_PRV                 (REG_DMA3_DSCPTR_PRV)
#define SPI0_RXDMA_ADDR_CUR                   (REG_DMA3_ADDR_CUR)
#define SPI0_RXDMA_STAT                       (REG_DMA3_STAT)
#define SPI0_RXDMA_XCNT_CUR                   (REG_DMA3_XCNT_CUR)
#define SPI0_RXDMA_YCNT_CUR                   (REG_DMA3_YCNT_CUR)
#define SPI0_RXDMA_BWLCNT                     (REG_DMA3_BWLCNT)
#define SPI0_RXDMA_BWLCNT_CUR                 (REG_DMA3_BWLCNT_CUR)
#define SPI0_RXDMA_BWMCNT                     (REG_DMA3_BWMCNT)
#define SPI0_RXDMA_BWMCNT_CUR                 (REG_DMA3_BWMCNT_CUR)
#define UART0_TXDMA_DSCPTR_NXT                (REG_DMA4_DSCPTR_NXT)
#define UART0_TXDMA_ADDRSTART                 (REG_DMA4_ADDRSTART)
#define UART0_TXDMA_CFG                       (REG_DMA4_CFG)
#define UART0_TXDMA_XCNT                      (REG_DMA4_XCNT)
#define UART0_TXDMA_XMOD                      (REG_DMA4_XMOD)
#define UART0_TXDMA_YCNT                      (REG_DMA4_YCNT)
#define UART0_TXDMA_YMOD                      (REG_DMA4_YMOD)
#define UART0_TXDMA_DSCPTR_CUR                (REG_DMA4_DSCPTR_CUR)
#define UART0_TXDMA_DSCPTR_PRV                (REG_DMA4_DSCPTR_PRV)
#define UART0_TXDMA_ADDR_CUR                  (REG_DMA4_ADDR_CUR)
#define UART0_TXDMA_STAT                      (REG_DMA4_STAT)
#define UART0_TXDMA_XCNT_CUR                  (REG_DMA4_XCNT_CUR)
#define UART0_TXDMA_YCNT_CUR                  (REG_DMA4_YCNT_CUR)
#define UART0_TXDMA_BWLCNT                    (REG_DMA4_BWLCNT)
#define UART0_TXDMA_BWLCNT_CUR                (REG_DMA4_BWLCNT_CUR)
#define UART0_TXDMA_BWMCNT                    (REG_DMA4_BWMCNT)
#define UART0_TXDMA_BWMCNT_CUR                (REG_DMA4_BWMCNT_CUR)
#define UART0_RXDMA_DSCPTR_NXT                (REG_DMA5_DSCPTR_NXT)
#define UART0_RXDMA_ADDRSTART                 (REG_DMA5_ADDRSTART)
#define UART0_RXDMA_CFG                       (REG_DMA5_CFG)
#define UART0_RXDMA_XCNT                      (REG_DMA5_XCNT)
#define UART0_RXDMA_XMOD                      (REG_DMA5_XMOD)
#define UART0_RXDMA_YCNT                      (REG_DMA5_YCNT)
#define UART0_RXDMA_YMOD                      (REG_DMA5_YMOD)
#define UART0_RXDMA_DSCPTR_CUR                (REG_DMA5_DSCPTR_CUR)
#define UART0_RXDMA_DSCPTR_PRV                (REG_DMA5_DSCPTR_PRV)
#define UART0_RXDMA_ADDR_CUR                  (REG_DMA5_ADDR_CUR)
#define UART0_RXDMA_STAT                      (REG_DMA5_STAT)
#define UART0_RXDMA_XCNT_CUR                  (REG_DMA5_XCNT_CUR)
#define UART0_RXDMA_YCNT_CUR                  (REG_DMA5_YCNT_CUR)
#define UART0_RXDMA_BWLCNT                    (REG_DMA5_BWLCNT)
#define UART0_RXDMA_BWLCNT_CUR                (REG_DMA5_BWLCNT_CUR)
#define UART0_RXDMA_BWMCNT                    (REG_DMA5_BWMCNT)
#define UART0_RXDMA_BWMCNT_CUR                (REG_DMA5_BWMCNT_CUR)
#define SPORT1_A_DMA_DSCPTR_NXT               (REG_DMA6_DSCPTR_NXT)
#define SPORT1_A_DMA_ADDRSTART                (REG_DMA6_ADDRSTART)
#define SPORT1_A_DMA_CFG                      (REG_DMA6_CFG)
#define SPORT1_A_DMA_XCNT                     (REG_DMA6_XCNT)
#define SPORT1_A_DMA_XMOD                     (REG_DMA6_XMOD)
#define SPORT1_A_DMA_YCNT                     (REG_DMA6_YCNT)
#define SPORT1_A_DMA_YMOD                     (REG_DMA6_YMOD)
#define SPORT1_A_DMA_DSCPTR_CUR               (REG_DMA6_DSCPTR_CUR)
#define SPORT1_A_DMA_DSCPTR_PRV               (REG_DMA6_DSCPTR_PRV)
#define SPORT1_A_DMA_ADDR_CUR                 (REG_DMA6_ADDR_CUR)
#define SPORT1_A_DMA_STAT                     (REG_DMA6_STAT)
#define SPORT1_A_DMA_XCNT_CUR                 (REG_DMA6_XCNT_CUR)
#define SPORT1_A_DMA_YCNT_CUR                 (REG_DMA6_YCNT_CUR)
#define SPORT1_A_DMA_BWLCNT                   (REG_DMA6_BWLCNT)
#define SPORT1_A_DMA_BWLCNT_CUR               (REG_DMA6_BWLCNT_CUR)
#define SPORT1_A_DMA_BWMCNT                   (REG_DMA6_BWMCNT)
#define SPORT1_A_DMA_BWMCNT_CUR               (REG_DMA6_BWMCNT_CUR)
#define SPORT1_B_DMA_DSCPTR_NXT               (REG_DMA7_DSCPTR_NXT)
#define SPORT1_B_DMA_ADDRSTART                (REG_DMA7_ADDRSTART)
#define SPORT1_B_DMA_CFG                      (REG_DMA7_CFG)
#define SPORT1_B_DMA_XCNT                     (REG_DMA7_XCNT)
#define SPORT1_B_DMA_XMOD                     (REG_DMA7_XMOD)
#define SPORT1_B_DMA_YCNT                     (REG_DMA7_YCNT)
#define SPORT1_B_DMA_YMOD                     (REG_DMA7_YMOD)
#define SPORT1_B_DMA_DSCPTR_CUR               (REG_DMA7_DSCPTR_CUR)
#define SPORT1_B_DMA_DSCPTR_PRV               (REG_DMA7_DSCPTR_PRV)
#define SPORT1_B_DMA_ADDR_CUR                 (REG_DMA7_ADDR_CUR)
#define SPORT1_B_DMA_STAT                     (REG_DMA7_STAT)
#define SPORT1_B_DMA_XCNT_CUR                 (REG_DMA7_XCNT_CUR)
#define SPORT1_B_DMA_YCNT_CUR                 (REG_DMA7_YCNT_CUR)
#define SPORT1_B_DMA_BWLCNT                   (REG_DMA7_BWLCNT)
#define SPORT1_B_DMA_BWLCNT_CUR               (REG_DMA7_BWLCNT_CUR)
#define SPORT1_B_DMA_BWMCNT                   (REG_DMA7_BWMCNT)
#define SPORT1_B_DMA_BWMCNT_CUR               (REG_DMA7_BWMCNT_CUR)
#define SPI1_TXDMA_DSCPTR_NXT                 (REG_DMA8_DSCPTR_NXT)
#define SPI1_TXDMA_ADDRSTART                  (REG_DMA8_ADDRSTART)
#define SPI1_TXDMA_CFG                        (REG_DMA8_CFG)
#define SPI1_TXDMA_XCNT                       (REG_DMA8_XCNT)
#define SPI1_TXDMA_XMOD                       (REG_DMA8_XMOD)
#define SPI1_TXDMA_YCNT                       (REG_DMA8_YCNT)
#define SPI1_TXDMA_YMOD                       (REG_DMA8_YMOD)
#define SPI1_TXDMA_DSCPTR_CUR                 (REG_DMA8_DSCPTR_CUR)
#define SPI1_TXDMA_DSCPTR_PRV                 (REG_DMA8_DSCPTR_PRV)
#define SPI1_TXDMA_ADDR_CUR                   (REG_DMA8_ADDR_CUR)
#define SPI1_TXDMA_STAT                       (REG_DMA8_STAT)
#define SPI1_TXDMA_XCNT_CUR                   (REG_DMA8_XCNT_CUR)
#define SPI1_TXDMA_YCNT_CUR                   (REG_DMA8_YCNT_CUR)
#define SPI1_TXDMA_BWLCNT                     (REG_DMA8_BWLCNT)
#define SPI1_TXDMA_BWLCNT_CUR                 (REG_DMA8_BWLCNT_CUR)
#define SPI1_TXDMA_BWMCNT                     (REG_DMA8_BWMCNT)
#define SPI1_TXDMA_BWMCNT_CUR                 (REG_DMA8_BWMCNT_CUR)
#define SPI1_RXDMA_DSCPTR_NXT                 (REG_DMA9_DSCPTR_NXT)
#define SPI1_RXDMA_ADDRSTART                  (REG_DMA9_ADDRSTART)
#define SPI1_RXDMA_CFG                        (REG_DMA9_CFG)
#define SPI1_RXDMA_XCNT                       (REG_DMA9_XCNT)
#define SPI1_RXDMA_XMOD                       (REG_DMA9_XMOD)
#define SPI1_RXDMA_YCNT                       (REG_DMA9_YCNT)
#define SPI1_RXDMA_YMOD                       (REG_DMA9_YMOD)
#define SPI1_RXDMA_DSCPTR_CUR                 (REG_DMA9_DSCPTR_CUR)
#define SPI1_RXDMA_DSCPTR_PRV                 (REG_DMA9_DSCPTR_PRV)
#define SPI1_RXDMA_ADDR_CUR                   (REG_DMA9_ADDR_CUR)
#define SPI1_RXDMA_STAT                       (REG_DMA9_STAT)
#define SPI1_RXDMA_XCNT_CUR                   (REG_DMA9_XCNT_CUR)
#define SPI1_RXDMA_YCNT_CUR                   (REG_DMA9_YCNT_CUR)
#define SPI1_RXDMA_BWLCNT                     (REG_DMA9_BWLCNT)
#define SPI1_RXDMA_BWLCNT_CUR                 (REG_DMA9_BWLCNT_CUR)
#define SPI1_RXDMA_BWMCNT                     (REG_DMA9_BWMCNT)
#define SPI1_RXDMA_BWMCNT_CUR                 (REG_DMA9_BWMCNT_CUR)
#define UART1_TXDMA_DSCPTR_NXT                (REG_DMA10_DSCPTR_NXT)
#define UART1_TXDMA_ADDRSTART                 (REG_DMA10_ADDRSTART)
#define UART1_TXDMA_CFG                       (REG_DMA10_CFG)
#define UART1_TXDMA_XCNT                      (REG_DMA10_XCNT)
#define UART1_TXDMA_XMOD                      (REG_DMA10_XMOD)
#define UART1_TXDMA_YCNT                      (REG_DMA10_YCNT)
#define UART1_TXDMA_YMOD                      (REG_DMA10_YMOD)
#define UART1_TXDMA_DSCPTR_CUR                (REG_DMA10_DSCPTR_CUR)
#define UART1_TXDMA_DSCPTR_PRV                (REG_DMA10_DSCPTR_PRV)
#define UART1_TXDMA_ADDR_CUR                  (REG_DMA10_ADDR_CUR)
#define UART1_TXDMA_STAT                      (REG_DMA10_STAT)
#define UART1_TXDMA_XCNT_CUR                  (REG_DMA10_XCNT_CUR)
#define UART1_TXDMA_YCNT_CUR                  (REG_DMA10_YCNT_CUR)
#define UART1_TXDMA_BWLCNT                    (REG_DMA10_BWLCNT)
#define UART1_TXDMA_BWLCNT_CUR                (REG_DMA10_BWLCNT_CUR)
#define UART1_TXDMA_BWMCNT                    (REG_DMA10_BWMCNT)
#define UART1_TXDMA_BWMCNT_CUR                (REG_DMA10_BWMCNT_CUR)
#define UART1_RXDMA_DSCPTR_NXT                (REG_DMA11_DSCPTR_NXT)
#define UART1_RXDMA_ADDRSTART                 (REG_DMA11_ADDRSTART)
#define UART1_RXDMA_CFG                       (REG_DMA11_CFG)
#define UART1_RXDMA_XCNT                      (REG_DMA11_XCNT)
#define UART1_RXDMA_XMOD                      (REG_DMA11_XMOD)
#define UART1_RXDMA_YCNT                      (REG_DMA11_YCNT)
#define UART1_RXDMA_YMOD                      (REG_DMA11_YMOD)
#define UART1_RXDMA_DSCPTR_CUR                (REG_DMA11_DSCPTR_CUR)
#define UART1_RXDMA_DSCPTR_PRV                (REG_DMA11_DSCPTR_PRV)
#define UART1_RXDMA_ADDR_CUR                  (REG_DMA11_ADDR_CUR)
#define UART1_RXDMA_STAT                      (REG_DMA11_STAT)
#define UART1_RXDMA_XCNT_CUR                  (REG_DMA11_XCNT_CUR)
#define UART1_RXDMA_YCNT_CUR                  (REG_DMA11_YCNT_CUR)
#define UART1_RXDMA_BWLCNT                    (REG_DMA11_BWLCNT)
#define UART1_RXDMA_BWLCNT_CUR                (REG_DMA11_BWLCNT_CUR)
#define UART1_RXDMA_BWMCNT                    (REG_DMA11_BWMCNT)
#define UART1_RXDMA_BWMCNT_CUR                (REG_DMA11_BWMCNT_CUR)
#define UART2_TXDMA_DSCPTR_NXT                (REG_DMA12_DSCPTR_NXT)
#define UART2_TXDMA_ADDRSTART                 (REG_DMA12_ADDRSTART)
#define UART2_TXDMA_CFG                       (REG_DMA12_CFG)
#define UART2_TXDMA_XCNT                      (REG_DMA12_XCNT)
#define UART2_TXDMA_XMOD                      (REG_DMA12_XMOD)
#define UART2_TXDMA_YCNT                      (REG_DMA12_YCNT)
#define UART2_TXDMA_YMOD                      (REG_DMA12_YMOD)
#define UART2_TXDMA_DSCPTR_CUR                (REG_DMA12_DSCPTR_CUR)
#define UART2_TXDMA_DSCPTR_PRV                (REG_DMA12_DSCPTR_PRV)
#define UART2_TXDMA_ADDR_CUR                  (REG_DMA12_ADDR_CUR)
#define UART2_TXDMA_STAT                      (REG_DMA12_STAT)
#define UART2_TXDMA_XCNT_CUR                  (REG_DMA12_XCNT_CUR)
#define UART2_TXDMA_YCNT_CUR                  (REG_DMA12_YCNT_CUR)
#define UART2_TXDMA_BWLCNT                    (REG_DMA12_BWLCNT)
#define UART2_TXDMA_BWLCNT_CUR                (REG_DMA12_BWLCNT_CUR)
#define UART2_TXDMA_BWMCNT                    (REG_DMA12_BWMCNT)
#define UART2_TXDMA_BWMCNT_CUR                (REG_DMA12_BWMCNT_CUR)
#define UART2_RXDMA_DSCPTR_NXT                (REG_DMA13_DSCPTR_NXT)
#define UART2_RXDMA_ADDRSTART                 (REG_DMA13_ADDRSTART)
#define UART2_RXDMA_CFG                       (REG_DMA13_CFG)
#define UART2_RXDMA_XCNT                      (REG_DMA13_XCNT)
#define UART2_RXDMA_XMOD                      (REG_DMA13_XMOD)
#define UART2_RXDMA_YCNT                      (REG_DMA13_YCNT)
#define UART2_RXDMA_YMOD                      (REG_DMA13_YMOD)
#define UART2_RXDMA_DSCPTR_CUR                (REG_DMA13_DSCPTR_CUR)
#define UART2_RXDMA_DSCPTR_PRV                (REG_DMA13_DSCPTR_PRV)
#define UART2_RXDMA_ADDR_CUR                  (REG_DMA13_ADDR_CUR)
#define UART2_RXDMA_STAT                      (REG_DMA13_STAT)
#define UART2_RXDMA_XCNT_CUR                  (REG_DMA13_XCNT_CUR)
#define UART2_RXDMA_YCNT_CUR                  (REG_DMA13_YCNT_CUR)
#define UART2_RXDMA_BWLCNT                    (REG_DMA13_BWLCNT)
#define UART2_RXDMA_BWLCNT_CUR                (REG_DMA13_BWLCNT_CUR)
#define UART2_RXDMA_BWMCNT                    (REG_DMA13_BWMCNT)
#define UART2_RXDMA_BWMCNT_CUR                (REG_DMA13_BWMCNT_CUR)
#define HAE0_RXDMA_CH0_DSCPTR_NXT             (REG_DMA14_DSCPTR_NXT)
#define HAE0_RXDMA_CH0_ADDRSTART              (REG_DMA14_ADDRSTART)
#define HAE0_RXDMA_CH0_CFG                    (REG_DMA14_CFG)
#define HAE0_RXDMA_CH0_XCNT                   (REG_DMA14_XCNT)
#define HAE0_RXDMA_CH0_XMOD                   (REG_DMA14_XMOD)
#define HAE0_RXDMA_CH0_YCNT                   (REG_DMA14_YCNT)
#define HAE0_RXDMA_CH0_YMOD                   (REG_DMA14_YMOD)
#define HAE0_RXDMA_CH0_DSCPTR_CUR             (REG_DMA14_DSCPTR_CUR)
#define HAE0_RXDMA_CH0_DSCPTR_PRV             (REG_DMA14_DSCPTR_PRV)
#define HAE0_RXDMA_CH0_ADDR_CUR               (REG_DMA14_ADDR_CUR)
#define HAE0_RXDMA_CH0_STAT                   (REG_DMA14_STAT)
#define HAE0_RXDMA_CH0_XCNT_CUR               (REG_DMA14_XCNT_CUR)
#define HAE0_RXDMA_CH0_YCNT_CUR               (REG_DMA14_YCNT_CUR)
#define HAE0_RXDMA_CH0_BWLCNT                 (REG_DMA14_BWLCNT)
#define HAE0_RXDMA_CH0_BWLCNT_CUR             (REG_DMA14_BWLCNT_CUR)
#define HAE0_RXDMA_CH0_BWMCNT                 (REG_DMA14_BWMCNT)
#define HAE0_RXDMA_CH0_BWMCNT_CUR             (REG_DMA14_BWMCNT_CUR)
#define HAE0_RXDMA_CH1_DSCPTR_NXT             (REG_DMA15_DSCPTR_NXT)
#define HAE0_RXDMA_CH1_ADDRSTART              (REG_DMA15_ADDRSTART)
#define HAE0_RXDMA_CH1_CFG                    (REG_DMA15_CFG)
#define HAE0_RXDMA_CH1_XCNT                   (REG_DMA15_XCNT)
#define HAE0_RXDMA_CH1_XMOD                   (REG_DMA15_XMOD)
#define HAE0_RXDMA_CH1_YCNT                   (REG_DMA15_YCNT)
#define HAE0_RXDMA_CH1_YMOD                   (REG_DMA15_YMOD)
#define HAE0_RXDMA_CH1_DSCPTR_CUR             (REG_DMA15_DSCPTR_CUR)
#define HAE0_RXDMA_CH1_DSCPTR_PRV             (REG_DMA15_DSCPTR_PRV)
#define HAE0_RXDMA_CH1_ADDR_CUR               (REG_DMA15_ADDR_CUR)
#define HAE0_RXDMA_CH1_STAT                   (REG_DMA15_STAT)
#define HAE0_RXDMA_CH1_XCNT_CUR               (REG_DMA15_XCNT_CUR)
#define HAE0_RXDMA_CH1_YCNT_CUR               (REG_DMA15_YCNT_CUR)
#define HAE0_RXDMA_CH1_BWLCNT                 (REG_DMA15_BWLCNT)
#define HAE0_RXDMA_CH1_BWLCNT_CUR             (REG_DMA15_BWLCNT_CUR)
#define HAE0_RXDMA_CH1_BWMCNT                 (REG_DMA15_BWMCNT)
#define HAE0_RXDMA_CH1_BWMCNT_CUR             (REG_DMA15_BWMCNT_CUR)
#define HAE0_TXDMA_DSCPTR_NXT                 (REG_DMA16_DSCPTR_NXT)
#define HAE0_TXDMA_ADDRSTART                  (REG_DMA16_ADDRSTART)
#define HAE0_TXDMA_CFG                        (REG_DMA16_CFG)
#define HAE0_TXDMA_XCNT                       (REG_DMA16_XCNT)
#define HAE0_TXDMA_XMOD                       (REG_DMA16_XMOD)
#define HAE0_TXDMA_YCNT                       (REG_DMA16_YCNT)
#define HAE0_TXDMA_YMOD                       (REG_DMA16_YMOD)
#define HAE0_TXDMA_DSCPTR_CUR                 (REG_DMA16_DSCPTR_CUR)
#define HAE0_TXDMA_DSCPTR_PRV                 (REG_DMA16_DSCPTR_PRV)
#define HAE0_TXDMA_ADDR_CUR                   (REG_DMA16_ADDR_CUR)
#define HAE0_TXDMA_STAT                       (REG_DMA16_STAT)
#define HAE0_TXDMA_XCNT_CUR                   (REG_DMA16_XCNT_CUR)
#define HAE0_TXDMA_YCNT_CUR                   (REG_DMA16_YCNT_CUR)
#define HAE0_TXDMA_BWLCNT                     (REG_DMA16_BWLCNT)
#define HAE0_TXDMA_BWLCNT_CUR                 (REG_DMA16_BWLCNT_CUR)
#define HAE0_TXDMA_BWMCNT                     (REG_DMA16_BWMCNT)
#define HAE0_TXDMA_BWMCNT_CUR                 (REG_DMA16_BWMCNT_CUR)
#define MDMA0_SRC_DSCPTR_NXT                  (REG_DMA17_DSCPTR_NXT)
#define MDMA0_SRC_ADDRSTART                   (REG_DMA17_ADDRSTART)
#define MDMA0_SRC_CFG                         (REG_DMA17_CFG)
#define MDMA0_SRC_XCNT                        (REG_DMA17_XCNT)
#define MDMA0_SRC_XMOD                        (REG_DMA17_XMOD)
#define MDMA0_SRC_YCNT                        (REG_DMA17_YCNT)
#define MDMA0_SRC_YMOD                        (REG_DMA17_YMOD)
#define MDMA0_SRC_DSCPTR_CUR                  (REG_DMA17_DSCPTR_CUR)
#define MDMA0_SRC_DSCPTR_PRV                  (REG_DMA17_DSCPTR_PRV)
#define MDMA0_SRC_ADDR_CUR                    (REG_DMA17_ADDR_CUR)
#define MDMA0_SRC_STAT                        (REG_DMA17_STAT)
#define MDMA0_SRC_XCNT_CUR                    (REG_DMA17_XCNT_CUR)
#define MDMA0_SRC_YCNT_CUR                    (REG_DMA17_YCNT_CUR)
#define MDMA0_SRC_BWLCNT                      (REG_DMA17_BWLCNT)
#define MDMA0_SRC_BWLCNT_CUR                  (REG_DMA17_BWLCNT_CUR)
#define MDMA0_SRC_BWMCNT                      (REG_DMA17_BWMCNT)
#define MDMA0_SRC_BWMCNT_CUR                  (REG_DMA17_BWMCNT_CUR)
#define MDMA0_DST_DSCPTR_NXT                  (REG_DMA18_DSCPTR_NXT)
#define MDMA0_DST_ADDRSTART                   (REG_DMA18_ADDRSTART)
#define MDMA0_DST_CFG                         (REG_DMA18_CFG)
#define MDMA0_DST_XCNT                        (REG_DMA18_XCNT)
#define MDMA0_DST_XMOD                        (REG_DMA18_XMOD)
#define MDMA0_DST_YCNT                        (REG_DMA18_YCNT)
#define MDMA0_DST_YMOD                        (REG_DMA18_YMOD)
#define MDMA0_DST_DSCPTR_CUR                  (REG_DMA18_DSCPTR_CUR)
#define MDMA0_DST_DSCPTR_PRV                  (REG_DMA18_DSCPTR_PRV)
#define MDMA0_DST_ADDR_CUR                    (REG_DMA18_ADDR_CUR)
#define MDMA0_DST_STAT                        (REG_DMA18_STAT)
#define MDMA0_DST_XCNT_CUR                    (REG_DMA18_XCNT_CUR)
#define MDMA0_DST_YCNT_CUR                    (REG_DMA18_YCNT_CUR)
#define MDMA0_DST_BWLCNT                      (REG_DMA18_BWLCNT)
#define MDMA0_DST_BWLCNT_CUR                  (REG_DMA18_BWLCNT_CUR)
#define MDMA0_DST_BWMCNT                      (REG_DMA18_BWMCNT)
#define MDMA0_DST_BWMCNT_CUR                  (REG_DMA18_BWMCNT_CUR)
#define MDMA1_SRC_DSCPTR_NXT                  (REG_DMA19_DSCPTR_NXT)
#define MDMA1_SRC_ADDRSTART                   (REG_DMA19_ADDRSTART)
#define MDMA1_SRC_CFG                         (REG_DMA19_CFG)
#define MDMA1_SRC_XCNT                        (REG_DMA19_XCNT)
#define MDMA1_SRC_XMOD                        (REG_DMA19_XMOD)
#define MDMA1_SRC_YCNT                        (REG_DMA19_YCNT)
#define MDMA1_SRC_YMOD                        (REG_DMA19_YMOD)
#define MDMA1_SRC_DSCPTR_CUR                  (REG_DMA19_DSCPTR_CUR)
#define MDMA1_SRC_DSCPTR_PRV                  (REG_DMA19_DSCPTR_PRV)
#define MDMA1_SRC_ADDR_CUR                    (REG_DMA19_ADDR_CUR)
#define MDMA1_SRC_STAT                        (REG_DMA19_STAT)
#define MDMA1_SRC_XCNT_CUR                    (REG_DMA19_XCNT_CUR)
#define MDMA1_SRC_YCNT_CUR                    (REG_DMA19_YCNT_CUR)
#define MDMA1_SRC_BWLCNT                      (REG_DMA19_BWLCNT)
#define MDMA1_SRC_BWLCNT_CUR                  (REG_DMA19_BWLCNT_CUR)
#define MDMA1_SRC_BWMCNT                      (REG_DMA19_BWMCNT)
#define MDMA1_SRC_BWMCNT_CUR                  (REG_DMA19_BWMCNT_CUR)
#define MDMA1_DST_DSCPTR_NXT                  (REG_DMA20_DSCPTR_NXT)
#define MDMA1_DST_ADDRSTART                   (REG_DMA20_ADDRSTART)
#define MDMA1_DST_CFG                         (REG_DMA20_CFG)
#define MDMA1_DST_XCNT                        (REG_DMA20_XCNT)
#define MDMA1_DST_XMOD                        (REG_DMA20_XMOD)
#define MDMA1_DST_YCNT                        (REG_DMA20_YCNT)
#define MDMA1_DST_YMOD                        (REG_DMA20_YMOD)
#define MDMA1_DST_DSCPTR_CUR                  (REG_DMA20_DSCPTR_CUR)
#define MDMA1_DST_DSCPTR_PRV                  (REG_DMA20_DSCPTR_PRV)
#define MDMA1_DST_ADDR_CUR                    (REG_DMA20_ADDR_CUR)
#define MDMA1_DST_STAT                        (REG_DMA20_STAT)
#define MDMA1_DST_XCNT_CUR                    (REG_DMA20_XCNT_CUR)
#define MDMA1_DST_YCNT_CUR                    (REG_DMA20_YCNT_CUR)
#define MDMA1_DST_BWLCNT                      (REG_DMA20_BWLCNT)
#define MDMA1_DST_BWLCNT_CUR                  (REG_DMA20_BWLCNT_CUR)
#define MDMA1_DST_BWMCNT                      (REG_DMA20_BWMCNT)
#define MDMA1_DST_BWMCNT_CUR                  (REG_DMA20_BWMCNT_CUR)

/* ==================================
       DMA Error CHID Definitions
   ================================== */
#define CHID_SPORT0_A_DMA                       0           /* Channel A DMA Transfer Complete */
#define CHID_SPORT0_B_DMA                       1           /* Channel B DMA Transfer Complete */
#define CHID_SPI0_TXDMA                         2           /* TX DMA Channel Transfer Complete */
#define CHID_SPI0_RXDMA                         3           /* RX DMA Channel Transfer Complete */
#define CHID_UART0_TXDMA                        4           /* Transmit DMA Transfer Complete */
#define CHID_UART0_RXDMA                        5           /* Receive DMA Transfer Complete */
#define CHID_SPORT1_A_DMA                       6           /* Channel A DMA Transfer Complete */
#define CHID_SPORT1_B_DMA                       7           /* Channel B DMA Transfer Complete */
#define CHID_SPI1_TXDMA                         8           /* TX DMA Channel Transfer Complete */
#define CHID_SPI1_RXDMA                         9           /* RX DMA Channel Transfer Complete */
#define CHID_UART1_TXDMA                       10           /* Transmit DMA Transfer Complete */
#define CHID_UART1_RXDMA                       11           /* Receive DMA Transfer Complete */
#define CHID_UART2_TXDMA                       12           /* Transmit DMA Transfer Complete */
#define CHID_UART2_RXDMA                       13           /* Receive DMA Operation Complete */
#define CHID_HAE0_RXDMA_CH0                    14           /* RX DMA Channel 0 Transfer Complete */
#define CHID_HAE0_RXDMA_CH1                    15           /* RX DMA Channel 1 Transfer Complete */
#define CHID_HAE0_TXDMA                        16           /* TX DMA Channel 0 Transfer Complete */
#define CHID_MDMA0_SRC                         17           /* Memory DMA Stream 0 Source / CRC0 In Channel Transfer Complete */
#define CHID_MDMA0_DST                         18           /* Memory DMA Stream 0 Destination / CRC0 Out Channel Transfer Complete */
#define CHID_MDMA1_SRC                         19           /* Memory DMA Stream 1 Source Channel Transfer Complete */
#define CHID_MDMA1_DST                         20           /* Memory DMA Stream 1 Destination Channel Transfer Complete */

/* ==============================
       Interrupt Definitions
   ============================== */
#define ADI_INTR_BASE                           0         /* No base offset needed for interrupt indexing for CM40z */

#define INTR_RESET                            (-15)       /* Reset */
#define INTR_NonMaskableInt                   (-14)       /* Non-maskable Interrupt */
#define INTR_HardFault                        (-13)       /* Unmanaged Fault */
#define INTR_MemoryManagement                 (-12)       /* MPU Fault */
#define INTR_BusFault                         (-11)       /* Crossbar Fault */
#define INTR_UsageFault                       (-10)       /* Instruction/Privilege Fault */
/*      -- RESERVED --                         -9  */
/*      -- RESERVED --                         -8  */
/*      -- RESERVED --                         -7  */
/*      -- RESERVED --                         -6  */
#define INTR_SVCall                           ( -5)       /* Service Call */
#define INTR_DebugMonitor                     ( -4)       /* Debug Monitor */
/*      -- RESERVED --                         -3  */
#define INTR_PendSV                           ( -2)       /* Pending Service */
#define INTR_SysTick                          ( -1)       /* System Time Tick */
#define INTR_OSCW_EVT                         (ADI_INTR_BASE +   0)  /* Oscillator Watchdog Error */
#define INTR_CGU0_EVT                         (ADI_INTR_BASE +   1)  /* PLL Lock Count Expired */
#define INTR_M4P_L1CC_PERR                    (ADI_INTR_BASE +   2)  /* L1 Cache Code Parity Error */
#define INTR_M4P_CORE_SRAM_PERR               (ADI_INTR_BASE +   3)  /* SRAM Core Parity Error */
#define INTR_M4P_DMA_SRAM_PERR                (ADI_INTR_BASE +   4)  /* SRAM DMA Parity Error */
#define INTR_M4P_BUS_FAULT                    (ADI_INTR_BASE +   5)  /* Bus Fault */
#define INTR_M4P_LOCKUP                       (ADI_INTR_BASE +   6)  /* Lockup Error (Fault only; not an interrupt) */
#define INTR_M4P_SRAM_PERR_FLT                (ADI_INTR_BASE +   7)  /* SRAM Parity Error (Fault only; not an interrupt) */
#define INTR_WDOG0_EXP                        (ADI_INTR_BASE +   8)  /* Expiration */
#define INTR_SEC0_ERR                         (ADI_INTR_BASE +   9)  /* Fault Interrupt */
#define INTR_ECT_EVT0                         (ADI_INTR_BASE +  10)  /* Embedded Cross Trigger Event 0 */
#define INTR_ECT_EVT1                         (ADI_INTR_BASE +  11)  /* Embedded Cross Trigger Event 1 */
#define INTR_PWM0_TRIP                        (ADI_INTR_BASE +  12)  /* Trip Occurred */
#define INTR_PWM1_TRIP                        (ADI_INTR_BASE +  13)  /* Trip Occurred */
#define INTR_PWM2_TRIP                        (ADI_INTR_BASE +  14)  /* Trip Occurred */
#define INTR_PWM0_SYNC                        (ADI_INTR_BASE +  15)  /* PWMTMR Group Interrupt */
#define INTR_PWM1_SYNC                        (ADI_INTR_BASE +  16)  /* PWMTMR Group Interrupt */
#define INTR_PWM2_SYNC                        (ADI_INTR_BASE +  17)  /* PWMTMR Group Interrupt */
#define INTR_PINT0_BLOCK                      (ADI_INTR_BASE +  18)  /* Block Interrupt Generated */
#define INTR_PINT1_BLOCK                      (ADI_INTR_BASE +  19)  /* Block Interrupt Generated */
#define INTR_PINT2_BLOCK                      (ADI_INTR_BASE +  20)  /* Block Interrupt Generated */
#define INTR_PINT3_BLOCK                      (ADI_INTR_BASE +  21)  /* Block Interrupt Generated */
#define INTR_PINT4_BLOCK                      (ADI_INTR_BASE +  22)  /* Block Interrupt Generated */
#define INTR_SPORT0_A_DMA_ERR                 (ADI_INTR_BASE +  23)  /* DMA Channel 0 Error */
#define INTR_SPORT0_B_DMA_ERR                 (ADI_INTR_BASE +  24)  /* DMA Channel 1 Error */
#define INTR_SPI0_TXDMA_ERR                   (ADI_INTR_BASE +  25)  /* DMA Channel 2 Error */
#define INTR_SPI0_RXDMA_ERR                   (ADI_INTR_BASE +  26)  /* DMA Channel 3 Error */
#define INTR_UART0_TXDMA_ERR                  (ADI_INTR_BASE +  27)  /* DMA Channel 4 Error */
#define INTR_UART0_RXDMA_ERR                  (ADI_INTR_BASE +  28)  /* DMA Channel 5 Error */
#define INTR_SPORT1_A_DMA_ERR                 (ADI_INTR_BASE +  29)  /* DMA Channel 6 Error */
#define INTR_SPORT1_B_DMA_ERR                 (ADI_INTR_BASE +  30)  /* DMA Channel 7 Error */
#define INTR_SPI1_TXDMA_ERR                   (ADI_INTR_BASE +  31)  /* DMA Channel 8 Error */
#define INTR_SPI1_RXDMA_ERR                   (ADI_INTR_BASE +  32)  /* DMA Channel 9 Error */
#define INTR_UART1_TXDMA_ERR                  (ADI_INTR_BASE +  33)  /* DMA Channel 10 Error */
#define INTR_UART1_RXDMA_ERR                  (ADI_INTR_BASE +  34)  /* DMA Channel 11 Error */
#define INTR_UART2_TXDMA_ERR                  (ADI_INTR_BASE +  35)  /* DMA Channel 12 Error */
#define INTR_UART2_RXDMA_ERR                  (ADI_INTR_BASE +  36)  /* DMA Channel 13 Error */
#define INTR_HAE0_RXDMA_CH0_ERR               (ADI_INTR_BASE +  37)  /* DMA Channel 14 Error */
#define INTR_HAE0_RXDMA_CH1_ERR               (ADI_INTR_BASE +  38)  /* DMA Channel 15 Error */
#define INTR_HAE0_TXDMA_ERR                   (ADI_INTR_BASE +  39)  /* DMA Channel 16 Error */
/*      -- RESERVED --                         40  */
#define INTR_SPI0_ERR                         (ADI_INTR_BASE +  41)  /* Error */
#define INTR_SPI1_ERR                         (ADI_INTR_BASE +  42)  /* Error */
#define INTR_SPI2_ERR                         (ADI_INTR_BASE +  43)  /* Error */
#define INTR_ADCC0_ERR                        (ADI_INTR_BASE +  44)  /* Error */
#define INTR_DACC0_ERR                        (ADI_INTR_BASE +  45)  /* DAC Error */
#define INTR_MDMA0_SRC_CRC0_IN_ERR            (ADI_INTR_BASE +  46)  /* DMA Channel 17 Error */
#define INTR_MDMA0_DST_CRC0_OUT_ERR           (ADI_INTR_BASE +  47)  /* DMA Channel 18 Error */
#define INTR_MDMA1_SRC_ERR                    (ADI_INTR_BASE +  48)  /* DMA Channel 19 Error */
#define INTR_MDMA1_DST_ERR                    (ADI_INTR_BASE +  49)  /* DMA Channel 20 Error */
#define INTR_TIMER0_STAT                      (ADI_INTR_BASE +  50)  /* Status */
#define INTR_TIMER0_TMR0                      (ADI_INTR_BASE +  51)  /* Timer 0 Expiration or Event */
#define INTR_TIMER0_TMR1                      (ADI_INTR_BASE +  52)  /* Timer 1 Expiration or Event */
#define INTR_TIMER0_TMR2                      (ADI_INTR_BASE +  53)  /* Timer 2 Expiration or Event */
#define INTR_TIMER0_TMR3                      (ADI_INTR_BASE +  54)  /* Timer 3 Expiration or Event */
#define INTR_TIMER0_TMR4                      (ADI_INTR_BASE +  55)  /* Timer 4 Expiration or Event */
#define INTR_TIMER0_TMR5                      (ADI_INTR_BASE +  56)  /* Timer 5 Expiration or Event */
#define INTR_TIMER0_TMR6                      (ADI_INTR_BASE +  57)  /* Timer 6 Expiration or Event */
#define INTR_TIMER0_TMR7                      (ADI_INTR_BASE +  58)  /* Timer 7 Expiration or Event */
#define INTR_CNT0_STAT                        (ADI_INTR_BASE +  59)  /* Count Status */
#define INTR_CNT1_STAT                        (ADI_INTR_BASE +  60)  /* Count Status */
#define INTR_CNT2_STAT                        (ADI_INTR_BASE +  61)  /* Count Status */
#define INTR_CNT3_STAT                        (ADI_INTR_BASE +  62)  /* Count Status */
#define INTR_SPORT0_A_STAT                    (ADI_INTR_BASE +  63)  /* Channel A Status */
#define INTR_SPORT0_A_DMA                     (ADI_INTR_BASE +  64)  /* Channel A DMA Transfer Complete */
#define INTR_SPORT0_B_STAT                    (ADI_INTR_BASE +  65)  /* Channel B Status */
#define INTR_SPORT0_B_DMA                     (ADI_INTR_BASE +  66)  /* Channel B DMA Transfer Complete */
#define INTR_UART0_STAT                       (ADI_INTR_BASE +  67)  /* Status */
#define INTR_UART0_TXDMA                      (ADI_INTR_BASE +  68)  /* Transmit DMA Transfer Complete */
#define INTR_UART0_RXDMA                      (ADI_INTR_BASE +  69)  /* Receive DMA Transfer Complete */
#define INTR_SINC0_STAT                       (ADI_INTR_BASE +  70)  /* Status */
#define INTR_SPI0_STAT                        (ADI_INTR_BASE +  71)  /* Status */
#define INTR_SPI0_TXDMA                       (ADI_INTR_BASE +  72)  /* TX DMA Channel Transfer Complete */
#define INTR_SPI0_RXDMA                       (ADI_INTR_BASE +  73)  /* RX DMA Channel Transfer Complete */
#define INTR_SPORT1_A_STAT                    (ADI_INTR_BASE +  74)  /* Channel A Status */
#define INTR_SPORT1_A_DMA                     (ADI_INTR_BASE +  75)  /* Channel A DMA Transfer Complete */
#define INTR_SPORT1_B_STAT                    (ADI_INTR_BASE +  76)  /* Channel B Status */
#define INTR_SPORT1_B_DMA                     (ADI_INTR_BASE +  77)  /* Channel B DMA Transfer Complete */
#define INTR_UART1_STAT                       (ADI_INTR_BASE +  78)  /* Status */
#define INTR_UART1_TXDMA                      (ADI_INTR_BASE +  79)  /* Transmit DMA Transfer Complete */
#define INTR_UART1_RXDMA                      (ADI_INTR_BASE +  80)  /* Receive DMA Transfer Complete */
#define INTR_SPI1_STAT                        (ADI_INTR_BASE +  81)  /* Status */
#define INTR_SPI1_TXDMA                       (ADI_INTR_BASE +  82)  /* TX DMA Channel Transfer Complete */
#define INTR_SPI1_RXDMA                       (ADI_INTR_BASE +  83)  /* RX DMA Channel Transfer Complete */
#define INTR_SPI2_TX                          (ADI_INTR_BASE +  84)  /* TX  Channel (non-DMA) Transfer Complete */
#define INTR_SPI2_RX                          (ADI_INTR_BASE +  85)  /* RX Channel (non-DMA) Transfer Complete */
#define INTR_EMAC0_STAT                       (ADI_INTR_BASE +  86)  /* Status */
#define INTR_UART2_STAT                       (ADI_INTR_BASE +  87)  /* Status */
#define INTR_UART2_TXDMA                      (ADI_INTR_BASE +  88)  /* Transmit DMA Transfer Complete */
#define INTR_UART2_RXDMA                      (ADI_INTR_BASE +  89)  /* Receive DMA Operation Complete */
#define INTR_HAE0_STAT                        (ADI_INTR_BASE +  90)  /* Status */
#define INTR_HAE0_RXDMA_CH0                   (ADI_INTR_BASE +  91)  /* RX DMA Channel 0 Transfer Complete */
#define INTR_HAE0_RXDMA_CH1                   (ADI_INTR_BASE +  92)  /* RX DMA Channel 1 Transfer Complete */
#define INTR_HAE0_TXDMA                       (ADI_INTR_BASE +  93)  /* TX DMA Channel 0 Transfer Complete */
#define INTR_ADCC0_TMR0_EVT                   (ADI_INTR_BASE +  94)  /* Timer 0 Event Complete */
#define INTR_ADCC0_TMR1_EVT                   (ADI_INTR_BASE +  95)  /* Timer 1 Event Complete */
#define INTR_DACC0_DAC0                       (ADI_INTR_BASE +  96)  /* DAC Interrupt 0 Generated */
#define INTR_DACC0_DAC1                       (ADI_INTR_BASE +  97)  /* DAC Interrupt 1 Generated */
#define INTR_SPI2_STAT                        (ADI_INTR_BASE +  98)  /* Status */
#define INTR_TWI0_DATA                        (ADI_INTR_BASE +  99)  /* Data Interrupt */
#define INTR_CRC0_DCNTEXP                     (ADI_INTR_BASE + 100)  /* Datacount expiration */
#define INTR_CRC0_ERR                         (ADI_INTR_BASE + 101)  /* Error */
#define INTR_MDMA0_SRC                        (ADI_INTR_BASE + 102)  /* Memory DMA Stream 0 Source / CRC0 In Channel Transfer Complete */
#define INTR_MDMA0_DST                        (ADI_INTR_BASE + 103)  /* Memory DMA Stream 0 Destination / CRC0 Out Channel Transfer Complete */
#define INTR_MDMA1_SRC                        (ADI_INTR_BASE + 104)  /* Memory DMA Stream 1 Source Channel Transfer Complete */
#define INTR_MDMA1_DST                        (ADI_INTR_BASE + 105)  /* Memory DMA Stream 1 Destination Channel Transfer Complete */
#define INTR_USB0_STAT                        (ADI_INTR_BASE + 106)  /* Status/FIFO Data Ready */
#define INTR_USB0_DATA                        (ADI_INTR_BASE + 107)  /* DMA Status/Transfer Complete */
#define INTR_TRU0_INT0                        (ADI_INTR_BASE + 108)  /* Interrupt 0 Generated */
#define INTR_TRU0_INT1                        (ADI_INTR_BASE + 109)  /* Interrupt 1 Generated */
#define INTR_TRU0_INT2                        (ADI_INTR_BASE + 110)  /* Interrupt 2 Generated */
#define INTR_TRU0_INT3                        (ADI_INTR_BASE + 111)  /* Interrupt 3 Generated */
#define INTR_CGU0_ERR                         (ADI_INTR_BASE + 112)  /* Error */
#define INTR_DPM0_EVT                         (ADI_INTR_BASE + 113)  /* Event */
#define INTR_SOFT0                            (ADI_INTR_BASE + 114)  /* Software-Driven Interrupt 0 Generated */
#define INTR_SOFT1                            (ADI_INTR_BASE + 115)  /* Software-Driven Interrupt 1 Generated */
#define INTR_SOFT2                            (ADI_INTR_BASE + 116)  /* Software-Driven Interrupt 2 Generated */
#define INTR_SOFT3                            (ADI_INTR_BASE + 117)  /* Software-Driven Interrupt 3 Generated */
#define INTR_SWU0_EVT                         (ADI_INTR_BASE + 118)  /* Event */
#define INTR_SWU1_EVT                         (ADI_INTR_BASE + 119)  /* Event */
#define INTR_SWU2_EVT                         (ADI_INTR_BASE + 120)  /* Event */
#define INTR_SWU3_EVT                         (ADI_INTR_BASE + 121)  /* Event */
#define INTR_SWU4_EVT                         (ADI_INTR_BASE + 122)  /* Event */
#define INTR_CAN0_RX                          (ADI_INTR_BASE + 123)  /* Receive Transfer Complete */
#define INTR_CAN0_TX                          (ADI_INTR_BASE + 124)  /* Transmit Transfer Complete */
#define INTR_CAN0_STAT                        (ADI_INTR_BASE + 125)  /* Status */
#define INTR_CAN1_RX                          (ADI_INTR_BASE + 126)  /* Receive Transfer Complete */
#define INTR_CAN1_TX                          (ADI_INTR_BASE + 127)  /* Transmit Transfer Complete */
#define INTR_CAN1_STAT                        (ADI_INTR_BASE + 128)  /* Status */

/* ==============================
       Parameters
   ============================== */

/* Generic System Module Parameters */

#define PARAM_SYS0_NUM_BMODE                           2
#define PARAM_SYS0_NUM_CORES                           1
#define PARAM_SYS0_NUM_MDMA_STREAMS                    2
#define PARAM_SYS0_NUM_RSVD_INT                        7
#define PARAM_SYS0_NUM_RSVD_TRIG                       6
#define PARAM_SYS0_NUM_SW_INT                          4
#define PARAM_SYS0_NUM_SW_TRIG                         6

/* General-Purpose Timer Block Parameters */

#define PARAM_TIMER0_NUMTIMERS                         8

/* UART Parameters */

#define PARAM_UART0_REVID_MAJOR                        4
#define PARAM_UART0_REVID_REV                          0
#define PARAM_UART1_REVID_MAJOR                        4
#define PARAM_UART1_REVID_REV                          0
#define PARAM_UART2_REVID_MAJOR                        4
#define PARAM_UART2_REVID_REV                          0

/* General Purpose Input/Output Parameters */

#define PARAM_PORTA_PORT_WIDTH                        16
#define PARAM_PORTA_REVID_MAJOR                        0
#define PARAM_PORTA_REVID_REV                          0
#define PARAM_PORTB_PORT_WIDTH                        16
#define PARAM_PORTB_REVID_MAJOR                        0
#define PARAM_PORTB_REVID_REV                          0
#define PARAM_PORTC_PORT_WIDTH                        16
#define PARAM_PORTC_REVID_MAJOR                        0
#define PARAM_PORTC_REVID_REV                          0
#define PARAM_PORTD_PORT_WIDTH                        16
#define PARAM_PORTD_REVID_MAJOR                        0
#define PARAM_PORTD_REVID_REV                          0
#define PARAM_PORTE_PORT_WIDTH                        16
#define PARAM_PORTE_REVID_MAJOR                        0
#define PARAM_PORTE_REVID_REV                          0
#define PARAM_PORTF_PORT_WIDTH                        11
#define PARAM_PORTF_REVID_MAJOR                        0
#define PARAM_PORTF_REVID_REV                          0

/* Pads Controller Parameters */

#define PARAM_PADS0_PCFG0_EXISTS                       1
#define PARAM_PADS0_PCFG1_EXISTS                       1

/* Static Memory Controller Parameters */

#define PARAM_SMC0_BURST_FLASH_EXISTS                  0
#define PARAM_SMC0_BUS_GRANT_EXISTS                    0
#define PARAM_SMC0_NUM_ABE                             2
#define PARAM_SMC0_NUM_ADDR                           26
#define PARAM_SMC0_NUM_AMS                             4
#define PARAM_SMC0_NUM_DATA                           16
#define PARAM_SMC0_REVID_MAJOR                         3
#define PARAM_SMC0_REVID_REV                           0

/* Pulse-Width Modulator Parameters */

#define PARAM_PWM0_ASYM_DEADTIME                       1
#define PARAM_PWM0_COMPRESS                            1
#define PARAM_PWM0_DOUBLE_UPDATE                       1
#define PARAM_PWM0_FULL_DUTY_REGS                      1
#define PARAM_PWM0_LO_HP_REGS                          1
#define PARAM_PWM0_NUM_TRIP_PINS                       2
#define PARAM_PWM0_NUM_TRIP_TRIG                       3
#define PARAM_PWM0_REVID_MAJOR                         4
#define PARAM_PWM0_REVID_REV                           0
#define PARAM_PWM1_ASYM_DEADTIME                       1
#define PARAM_PWM1_COMPRESS                            1
#define PARAM_PWM1_DOUBLE_UPDATE                       1
#define PARAM_PWM1_FULL_DUTY_REGS                      1
#define PARAM_PWM1_LO_HP_REGS                          1
#define PARAM_PWM1_NUM_TRIP_PINS                       2
#define PARAM_PWM1_NUM_TRIP_TRIG                       3
#define PARAM_PWM1_REVID_MAJOR                         4
#define PARAM_PWM1_REVID_REV                           0
#define PARAM_PWM2_ASYM_DEADTIME                       1
#define PARAM_PWM2_COMPRESS                            1
#define PARAM_PWM2_DOUBLE_UPDATE                       1
#define PARAM_PWM2_FULL_DUTY_REGS                      1
#define PARAM_PWM2_LO_HP_REGS                          1
#define PARAM_PWM2_NUM_TRIP_PINS                       2
#define PARAM_PWM2_NUM_TRIP_TRIG                       3
#define PARAM_PWM2_REVID_MAJOR                         4
#define PARAM_PWM2_REVID_REV                           0

/* CNT Parameters */

#define PARAM_CNT0_DIVIDER_ENABLED                     1
#define PARAM_CNT0_REGWIDTH                           32
#define PARAM_CNT0_REVID_MAJOR                         2
#define PARAM_CNT0_REVID_REV                           0
#define PARAM_CNT1_DIVIDER_ENABLED                     1
#define PARAM_CNT1_REGWIDTH                           32
#define PARAM_CNT1_REVID_MAJOR                         2
#define PARAM_CNT1_REVID_REV                           0
#define PARAM_CNT2_DIVIDER_ENABLED                     1
#define PARAM_CNT2_REGWIDTH                           32
#define PARAM_CNT2_REVID_MAJOR                         2
#define PARAM_CNT2_REVID_REV                           0
#define PARAM_CNT3_DIVIDER_ENABLED                     1
#define PARAM_CNT3_REGWIDTH                           32
#define PARAM_CNT3_REVID_MAJOR                         2
#define PARAM_CNT3_REVID_REV                           0

/* SINC Parameters */

#define PARAM_SINC0_REVID_MAJOR                        0
#define PARAM_SINC0_REVID_REV                          0

/* ADC Controller Parameters */

#define PARAM_ADCC0_NUM_EVTS                          24
#define PARAM_ADCC0_NUM_TRIG_SLAVES                    6
#define PARAM_ADCC0_REVID_MAJOR                        0
#define PARAM_ADCC0_REVID_REV                          0

/* DAC Controller Parameters */

#define PARAM_DACC0_REVID_MAJOR                        0
#define PARAM_DACC0_REVID_REV                          0

/* Reset Control Unit Parameters */

#define PARAM_RCU0_CCOUNT                              1
#define PARAM_RCU0_COMPRESS                            1
#define PARAM_RCU0_CORERESET_EN                        0
#define PARAM_RCU0_CRCTL_CR_INIT                       0
#define PARAM_RCU0_CRSTAT_CR_INIT                      1
#define PARAM_RCU0_HIBERNATE_EN                        0
#define PARAM_RCU0_MESSAGING_EN                        1
#define PARAM_RCU0_OSCWD_EN                            1
#define PARAM_RCU0_SICOUNT                             2
#define PARAM_RCU0_SIHNDSHK_EN                         0
#define PARAM_RCU0_SVECT_INIT                     0x0000

/* Trigger Routing Unit Parameters */

#define PARAM_TRU0_NUM_INTS                            4
#define PARAM_TRU0_NUM_TRIGS                           4
#define PARAM_TRU0_REVID_MAJOR                         0
#define PARAM_TRU0_REVID_REV                           1
#define PARAM_TRU0_SSRCOUNT                           63

/* Clock Generation Unit Parameters */

#define PARAM_CGU0_CCLK0_EN                            1
#define PARAM_CGU0_CCLK1_EN                            0
#define PARAM_CGU0_CLKOUTSELEN                         1
#define PARAM_CGU0_CLKOUTSEL_CFG1                      0
#define PARAM_CGU0_CLKOUTSEL_CFG2                      1
#define PARAM_CGU0_COMPRESS                            1
#define PARAM_CGU0_CSEL_DEFAULT                        4
#define PARAM_CGU0_DCLK_EN                             1
#define PARAM_CGU0_DEFBYPASS                           1
#define PARAM_CGU0_DSEL_DEFAULT                        8
#define PARAM_CGU0_ENG_FBDELSEL_DEFAULT                0
#define PARAM_CGU0_MAJOR                               1
#define PARAM_CGU0_MSEL_DEFAULT                       16
#define PARAM_CGU0_OCLK_EN                             1
#define PARAM_CGU0_OSCWD_EN                            1
#define PARAM_CGU0_OSEL_DEFAULT                       16
#define PARAM_CGU0_PLLBP_DEFAULT                       0
#define PARAM_CGU0_REV                                 0
#define PARAM_CGU0_S0SEL_DEFAULT                       1
#define PARAM_CGU0_S1SEL_DEFAULT                       1
#define PARAM_CGU0_SCLK0_EN                            0
#define PARAM_CGU0_SCLK1_EN                            0
#define PARAM_CGU0_SYSSEL_DEFAULT                      8
#define PARAM_CGU0_TIMSTMP_EN                          1
#define PARAM_CGU0_USBCLKSELEN                         1

/* Dynamic Power Management Parameters */

#define PARAM_DPM0_COMPRESS                            1
#define PARAM_DPM0_DEEPSLEEP_EN                        1
#define PARAM_DPM0_DEFACTIVE                           1
#define PARAM_DPM0_HIBERNATE_EN                        0
#define PARAM_DPM0_MAJOR                               1
#define PARAM_DPM0_NUM_CCLK                            1
#define PARAM_DPM0_NUM_HV                             16
#define PARAM_DPM0_NUM_SCLK                            2
#define PARAM_DPM0_NUM_WAKE                            5
#define PARAM_DPM0_OSCWD_EN                            1
#define PARAM_DPM0_REV                                 1

/* Harmonic Analysis Engine Parameters */

#define PARAM_HAE0_REVID_MAJOR                         0
#define PARAM_HAE0_REVID_REV                           0

/* Ethernet MAC Parameters */

#define PARAM_EMAC0_NUM_RX                             2
#define PARAM_EMAC0_NUM_TX                             2

/* System Protection Unit Parameters */

#define PARAM_SPU0_CM_COUNT                            1
#define PARAM_SPU0_END_POINT_COUNT                    59
#define PARAM_SPU0_SM_COUNT                            4

/* System Event Controller Parameters */

#define PARAM_SEC0_CCOUNT                              0
#define PARAM_SEC0_SCOUNT                            129

/* Serial Peripheral Interface Parameters */

#define PARAM_SPI0_MEM_MAPPED                          1
#define PARAM_SPI0_NUM_SEL                             3
#define PARAM_SPI0_PTM_EXISTS                          0
#define PARAM_SPI0_REVID_MAJOR                         4
#define PARAM_SPI0_REVID_REV                           0
#define PARAM_SPI1_MEM_MAPPED                          1
#define PARAM_SPI1_NUM_SEL                             3
#define PARAM_SPI1_PTM_EXISTS                          0
#define PARAM_SPI1_REVID_MAJOR                         4
#define PARAM_SPI1_REVID_REV                           0
#define PARAM_SPI2_MEM_MAPPED                          1
#define PARAM_SPI2_NUM_SEL                             3
#define PARAM_SPI2_PTM_EXISTS                          0
#define PARAM_SPI2_REVID_MAJOR                         4
#define PARAM_SPI2_REVID_REV                           0

/* Universal Serial Bus Controller Parameters */

#define PARAM_USB0_DMA_CHAN                            7
#define PARAM_USB0_DYN_FIFO_SIZE                       0
#define PARAM_USB0_FS_PHY                              1
#define PARAM_USB0_HS_PHY                              0
#define PARAM_USB0_LOOPBACK                            0
#define PARAM_USB0_NUM_ENDPTS                          4
#define PARAM_USB0_NUM_ENDPTS_MINUS_1                  3

/* SCS Parameters */

#define PARAM_SCS0_LVL_WIDTH                           4

/* TPIU Parameters */

#define PARAM_TPIU0_TRACEWIDTH                         4

/* CoreSight TMC Registers Parameters */

#define PARAM_CXTMC0_ATBM_AXIM_CFG                     0
#define PARAM_CXTMC0_ATB_DATA_WIDTH                   32
#define PARAM_CXTMC0_MEM_SIZE                        128
#define PARAM_CXTMC0_WBUFFER_DEPTH                     4

/* ARM Cortex-M4 Platform Parameters */

#define PARAM_M4P0_BB_PRESENT                          1
#define PARAM_M4P0_CLKGATE_PRESENT                     1
#define PARAM_M4P0_CONST_AHB_CTRL                      0
#define PARAM_M4P0_DEBUG_LVL                           3
#define PARAM_M4P0_FPU_PRESENT                         1
#define PARAM_M4P0_JTAG_PRESENT                        1
#define PARAM_M4P0_LVL_WIDTH                           4
#define PARAM_M4P0_M4P_CODEMUX                         0
#define PARAM_M4P0_MPU_PRESENT                         1
#define PARAM_M4P0_NUM_IRQ                            64
#define PARAM_M4P0_NUM_SRAM_COLS                       4
#define PARAM_M4P0_NUM_SRAM_ROWS                       6
#define PARAM_M4P0_RESET_ALL_REGS                      0
#define PARAM_M4P0_TRACE_LVL                           2
#define PARAM_M4P0_WIC_LINES                           4
#define PARAM_M4P0_WIC_PRESENT                         1

/* ===================================
       Trigger Master Definitions
   =================================== */
/*      -- RESERVED --                          0  */
#define TRGM_CGU0_EVT                           1           /* Event */
#define TRGM_TIMER0_TMR0                        2           /* Timer 0 Expiration or Event */
#define TRGM_TIMER0_TMR1                        3           /* Timer 1 Expiration or Event */
#define TRGM_TIMER0_TMR2                        4           /* Timer 2 Expiration or Event */
#define TRGM_TIMER0_TMR3                        5           /* Timer 3 Expiration or Event */
#define TRGM_TIMER0_TMR4                        6           /* Timer 4 Expiration or Event */
#define TRGM_TIMER0_TMR5                        7           /* Timer 5 Expiration or Event */
#define TRGM_TIMER0_TMR6                        8           /* Timer 6 Expiration or Event */
#define TRGM_TIMER0_TMR7                        9           /* Timer 7 Expiration or Event */
#define TRGM_PINT0_BLOCK                       10           /* Block Interrupt Generated */
#define TRGM_PINT1_BLOCK                       11           /* Block Interrupt Generated */
#define TRGM_PINT2_BLOCK                       12           /* Block Interrupt Generated */
#define TRGM_PINT3_BLOCK                       13           /* Block Interrupt Generated */
#define TRGM_PINT4_BLOCK                       14           /* Block Interrupt Generated */
#define TRGM_CNT0_STAT                         15           /* Counter Status */
#define TRGM_CNT1_STAT                         16           /* Counter Status */
#define TRGM_CNT2_STAT                         17           /* Counter Status */
#define TRGM_CNT3_STAT                         18           /* Counter Status */
#define TRGM_PWM0_SYNC                         19           /* PWMTMR Group Trigger */
#define TRGM_PWM1_SYNC                         20           /* PWMTMR Group Trigger */
#define TRGM_PWM2_SYNC                         21           /* PWMTMR Group Trigger */
#define TRGM_ADCC0_TMR0_EVT                    22           /* Timer 0 Event Complete */
#define TRGM_ADCC0_TMR1_EVT                    23           /* Timer 1 Event Complete */
#define TRGM_SPORT0_A_DMA                      24           /* Channel A DMA Transfer Complete */
#define TRGM_SPORT0_B_DMA                      25           /* Channel B DMA Transfer Complete */
#define TRGM_SPORT1_A_DMA                      26           /* Channel A DMA Transfer Complete */
#define TRGM_SPORT1_B_DMA                      27           /* Channel B DMA Transfer Complete */
#define TRGM_SPI0_TXDMA                        28           /* TX DMA Channel Transfer Complete */
#define TRGM_SPI0_RXDMA                        29           /* RX DMA Channel Transfer Complete */
#define TRGM_SPI1_TXDMA                        30           /* TX DMA Channel Transfer Complete */
#define TRGM_SPI1_RXDMA                        31           /* RX DMA Channel Transfer Complete */
#define TRGM_EMAC0_STAT                        32           /* Status */
#define TRGM_HAE0_RXDMA_CH0                    33           /* RX DMA Channel 0 Transfer Complete */
#define TRGM_HAE0_RXDMA_CH1                    34           /* RX DMA Channel 1 Transfer Complete */
#define TRGM_HAE0_TXDMA                        35           /* TX DMA Channel 0 Transfer Complete */
#define TRGM_SINC0_P0_OVLD                     36           /* Pair 0 Overload Indicator */
#define TRGM_SINC0_P1_OVLD                     37           /* Pair 1 Overload Indicator */
#define TRGM_SINC0_P2_OVLD                     38           /* Pair 2 Overload Indicator */
#define TRGM_SINC0_P3_OVLD                     39           /* Pair 3 Overload Indicator */
#define TRGM_SINC0_DATA0                       40           /* Data Move 0 Complete */
#define TRGM_SINC0_DATA1                       41           /* Data Move 1 Complete */
#define TRGM_UART0_TXDMA                       42           /* Transmit DMA Transfer Complete */
#define TRGM_UART0_RXDMA                       43           /* Receive DMA Transfer Complete */
#define TRGM_UART1_TXDMA                       44           /* Transmit DMA Transfer Complete */
#define TRGM_UART1_RXDMA                       45           /* Receive DMA Transfer Complete */
#define TRGM_UART2_TXDMA                       46           /* Transmit DMA Transfer Complete */
#define TRGM_UART2_RXDMA                       47           /* Receive DMA Transfer Complete */
#define TRGM_MDMA0_SRC                         48           /* Memory DMA Stream 0 Source/CRC0 Input Channel Transfer Complete */
#define TRGM_MDMA0_DST                         49           /* Memory DMA Stream 0 Destination/CRC0 Output Channel Transfer Complete */
#define TRGM_MDMA1_SRC                         50           /* Memory DMA Stream 1 Source Channel Transfer Complete */
#define TRGM_MDMA1_DST                         51           /* Memory DMA Stream 1 Destination Channel Transfer Complete */
#define TRGM_USB0_DATA                         52           /* DMA Status/Transfer Complete */
#define TRGM_SEC0_FAULT                        53           /* Fault Indication Received */
#define TRGM_SOFT0                             54           /* Software-driven Trigger 0 */
#define TRGM_SOFT1                             55           /* Software-driven Trigger 1 */
#define TRGM_SOFT2                             56           /* Software-driven Trigger 2 */
#define TRGM_SOFT3                             57           /* Software-driven Trigger 3 */
#define TRGM_SOFT4                             58           /* Software-driven Trigger 4 */
#define TRGM_SOFT5                             59           /* Software-driven Trigger 5 */
#define TRGM_SWU0_EVT                          60           /* Event */
#define TRGM_SWU1_EVT                          61           /* Event */
#define TRGM_SWU2_EVT                          62           /* Event */
#define TRGM_SWU3_EVT                          63           /* Event */
#define TRGM_SWU4_EVT                          64           /* Event */
#define TRGM_ECT_MST0                          65           /* Embedded Cross Trigger Master 0 */
#define TRGM_ECT_MST1                          66           /* Embedded Cross Trigger Master 1 */
#define TRGM_ECT_MST2                          67           /* Embedded Cross Trigger Master 2 */
#define TRGM_ECT_MST3                          68           /* Embedded Cross Trigger Master 3 */

/* ===================================
       Trigger Slave Definitions
   =================================== */
#define TRGS_RCU0_SYSRST0                       0           /* System Reset Assert (Slave 0) */
#define TRGS_RCU0_SYSRST1                       1           /* System Reset Assert (Slave 1) */
#define TRGS_TIMER0_TMR0                        2           /* Timer 0 Slave */
#define TRGS_TIMER0_TMR1                        3           /* Timer 1 Slave */
#define TRGS_TIMER0_TMR2                        4           /* Timer 2 Slave */
#define TRGS_TIMER0_TMR3                        5           /* Timer 3 Slave */
#define TRGS_TIMER0_TMR4                        6           /* Timer 4 Slave */
#define TRGS_TIMER0_TMR5                        7           /* Timer 5 Slave */
#define TRGS_TIMER0_TMR6                        8           /* Timer 6 Slave */
#define TRGS_TIMER0_TMR7                        9           /* Timer 7 Slave */
#define TRGS_C0_NMI_S0                         10           /* Generate NMI on Core 0  (Slave 0) */
#define TRGS_C0_NMI_S1                         11           /* Generate NMI on Core 0 ( Slave 1) */
#define TRGS_TRU0_IRQ0                         12           /* Interrupt Request 0 */
#define TRGS_TRU0_IRQ1                         13           /* Interrupt Request 1 */
#define TRGS_TRU0_IRQ2                         14           /* Interrupt Request 2 */
#define TRGS_TRU0_IRQ3                         15           /* Interrupt Request 3 */
#define TRGS_SPORT0_A_DMA                      16           /* Channel A DMA Transfer Start */
#define TRGS_SPORT0_B_DMA                      17           /* Channel B DMA Transfer Start */
#define TRGS_SPORT1_A_DMA                      18           /* Channel A DMA Transfer Start */
#define TRGS_SPORT1_B_DMA                      19           /* Channel B DMA Transfer Start */
#define TRGS_SPI0_TXDMA                        20           /* TX DMA Channel Transfer Start */
#define TRGS_SPI0_RXDMA                        21           /* RX DMA Channel Transfer Start */
#define TRGS_SPI1_TXDMA                        22           /* TX DMA Channel Transfer Start */
#define TRGS_SPI1_RXDMA                        23           /* RX DMA Channel Transfer Start */
#define TRGS_ADCC0_TRIG0                       24           /* Trigger Slave 0 */
#define TRGS_ADCC0_TRIG1                       25           /* Trigger Slave 1 */
#define TRGS_ADCC0_TRIG2                       26           /* Trigger Slave 2 */
#define TRGS_ADCC0_TRIG3                       27           /* Trigger Slave 3 */
#define TRGS_ADCC0_TRIG4                       28           /* Trigger Slave 4 */
#define TRGS_ADCC0_TRIG5                       29           /* Trigger Slave 5 */
#define TRGS_HAE0_RXDMA_CH0                    30           /* RX DMA Channel 0 Transfer Start */
#define TRGS_HAE0_RXDMA_CH1                    31           /* RX DMA Channel 1 Transfer Start */
#define TRGS_HAE0_TXDMA                        32           /* TX DMA Channel 0 Transfer Start */
#define TRGS_UART0_TXDMA                       33           /* Transmit DMA Transfer Start */
#define TRGS_UART0_RXDMA                       34           /* Receive DMA Transfer Start */
#define TRGS_UART1_TXDMA                       35           /* Transmit DMA Transfer Start */
#define TRGS_UART1_RXDMA                       36           /* Receive DMA Transfer Start */
#define TRGS_UART2_TXDMA                       37           /* Transmit DMA Transfer Start */
#define TRGS_UART2_RXDMA                       38           /* Receive DMA Transfer Start */
#define TRGS_MDMA0_SRC                         39           /* Memory DMA Stream 0 Source/CRC0 Input Channel Transfer Start */
#define TRGS_MDMA0_DST                         40           /* Memory DMA Stream 0 Destination/CRC0 Output Channel Transfer Start */
#define TRGS_MDMA1_SRC                         41           /* Memory DMA Stream 1 Source Channel Transfer Start */
#define TRGS_MDMA1_DST                         42           /* Memory DMA Stream 1 Destination Channel Transfer Start */
#define TRGS_SWU0_EVT                          43           /* Event */
#define TRGS_SWU1_EVT                          44           /* Event */
#define TRGS_SWU2_EVT                          45           /* Event */
#define TRGS_SWU3_EVT                          46           /* Event */
#define TRGS_SWU4_EVT                          47           /* Event */
#define TRGS_PWM0_TRIP_TRIG0                   48           /* Trip Trigger Slave 0 */
#define TRGS_PWM0_TRIP_TRIG1                   49           /* Trip Trigger Slave 1 */
#define TRGS_PWM0_TRIP_TRIG2                   50           /* Trip Trigger Slave 2 */
#define TRGS_PWM1_TRIP_TRIG0                   51           /* Trip Trigger Slave 0 */
#define TRGS_PWM1_TRIP_TRIG1                   52           /* Trip Trigger Slave 1 */
#define TRGS_PWM1_TRIP_TRIG2                   53           /* Trip Trigger Slave 2 */
#define TRGS_PWM2_TRIP_TRIG0                   54           /* Trip Trigger Slave 0 */
#define TRGS_PWM2_TRIP_TRIG1                   55           /* Trip Trigger Slave 1 */
#define TRGS_PWM2_TRIP_TRIG2                   56           /* Trip Trigger Slave 2 */
#define TRGS_SINC0_SYNC0                       57           /* Synchronization Input 0 */
#define TRGS_SINC0_SYNC1                       58           /* Synchronization Input 1 */
#define TRGS_ECT_SLV0                          59           /* Embedded Cross Trigger Slave 0 */
#define TRGS_ECT_SLV1                          60           /* Embedded Cross Trigger Slave 1 */
#define TRGS_ECT_SLV2                          61           /* Embedded Cross Trigger Slave 2 */
#define TRGS_ECT_SLV3                          62           /* Embedded Cross Trigger Slave 3 */


/* ============================================================================
       Memory Map Macros
   ============================================================================ */

/* ADSP-CM40z is a single-core processor */

#define MEM_NUM_CORES              1

#endif	/* end ifndef _DEF_CM40Z_H */
